package com.tencent.mm.ui.transmit;

import android.app.Dialog;
import android.content.Intent;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.LinearLayout.LayoutParams;
import android.widget.ListView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.cl;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.c;
import com.tencent.mm.platformtools.x;
import com.tencent.mm.pluginsdk.model.e;
import com.tencent.mm.sdk.platformtools.BackwardSupportUtil.ExifHelper;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.d;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.chatting.ChattingUI;
import com.tencent.mm.ui.contact.SelectContactUI;
import com.tencent.mm.ui.contact.s;
import com.tencent.mm.ui.tools.ShowImageUI;
import java.util.ArrayList;

public class ShareImageSelectorUI extends MMActivity implements OnItemClickListener {
    private static int zKF = 1;
    private ImageView ikh;
    private View laJ;
    private ak mHandler = new 2(this);
    private ListView mListView;
    private String zIs;
    private a zKG;
    private Dialog zKH;
    private OnClickListener zKI = new 1(this);
    private int zou = 2;

    class a extends BaseAdapter {
        public a[] zKK = new a[]{new a(this, 2131298817, 2131231920), new a(this, 2131298818, 2131231296), new a(this, 2131298816, 2131231632)};

        a() {
            AppMethodBeat.i(35254);
            AppMethodBeat.o(35254);
        }

        public final int getCount() {
            return 3;
        }

        public final long getItemId(int i) {
            return (long) i;
        }

        public final View getView(int i, View view, ViewGroup viewGroup) {
            b bVar;
            AppMethodBeat.i(35255);
            if (view == null || view.getTag() == null) {
                view = LayoutInflater.from(ShareImageSelectorUI.this.mController.ylL).inflate(2130970665, null);
                bVar = new b(ShareImageSelectorUI.this, view);
            } else {
                bVar = (b) view.getTag();
            }
            a aVar = this.zKK[i];
            if (aVar != null) {
                bVar.zKO.setText(aVar.zKL);
                bVar.mlG.setImageResource(aVar.zKM);
            }
            AppMethodBeat.o(35255);
            return view;
        }

        public final /* bridge */ /* synthetic */ Object getItem(int i) {
            return this.zKK[i];
        }
    }

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public ShareImageSelectorUI() {
        AppMethodBeat.i(35257);
        AppMethodBeat.o(35257);
    }

    static /* synthetic */ void b(ShareImageSelectorUI shareImageSelectorUI) {
        AppMethodBeat.i(35269);
        shareImageSelectorUI.bKc();
        AppMethodBeat.o(35269);
    }

    static /* synthetic */ void c(ShareImageSelectorUI shareImageSelectorUI) {
        AppMethodBeat.i(35270);
        shareImageSelectorUI.dKr();
        AppMethodBeat.o(35270);
    }

    static /* synthetic */ void d(ShareImageSelectorUI shareImageSelectorUI) {
        AppMethodBeat.i(35271);
        shareImageSelectorUI.dKs();
        AppMethodBeat.o(35271);
    }

    static /* synthetic */ void e(ShareImageSelectorUI shareImageSelectorUI) {
        AppMethodBeat.i(35272);
        shareImageSelectorUI.dKt();
        AppMethodBeat.o(35272);
    }

    static /* synthetic */ void f(ShareImageSelectorUI shareImageSelectorUI) {
        AppMethodBeat.i(35273);
        shareImageSelectorUI.dKu();
        AppMethodBeat.o(35273);
    }

    public final int getLayoutId() {
        return 2130970664;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(35258);
        super.onCreate(bundle);
        aw.ZK();
        Object obj = c.Ry().get(229635, null);
        if (obj instanceof Integer) {
            int intValue = ((Integer) obj).intValue();
            if (intValue == 0 || intValue == 1) {
                zKF = intValue;
            }
        }
        setMMTitle(2131301428);
        setBackBtn(new OnMenuItemClickListener() {
            public final boolean onMenuItemClick(MenuItem menuItem) {
                AppMethodBeat.i(35249);
                ShareImageSelectorUI.b(ShareImageSelectorUI.this);
                AppMethodBeat.o(35249);
                return false;
            }
        });
        this.zou = getIntent().getIntExtra("Select_Conv_Type", 2);
        this.zIs = getIntent().getStringExtra("intent_extra_image_path");
        this.laJ = findViewById(2131824524);
        this.ikh = (ImageView) findViewById(2131820629);
        this.ikh.setOnClickListener(this.zKI);
        this.mListView = (ListView) findViewById(2131820986);
        this.zKG = new a();
        this.mListView.setAdapter(this.zKG);
        this.mListView.setOnItemClickListener(this);
        ab.d("MicroMsg.ShareImageSelectorUI", "mSelectType:%s ImagePath:%s", new Object[]{this.zou, this.zIs});
        if (zKF == 1) {
            setTitleVisibility(8);
            this.mListView.setVisibility(8);
            this.ikh.setLayoutParams(new LayoutParams(-1, -1));
            this.ikh.setPadding(0, 0, 0, 0);
            this.ikh.setOnClickListener(null);
            this.laJ.setBackgroundColor(getResources().getColor(2131689915));
            dKr();
        }
        long currentTimeMillis = System.currentTimeMillis();
        Bitmap vv = x.vv(this.zIs);
        ab.d("MicroMsg.ShareImageSelectorUI", "cpan [onCreate]degree:%d", new Object[]{Integer.valueOf(ExifHelper.bJ(this.zIs))});
        vv = d.b(vv, (float) r3);
        if (!(vv == null || vv.isRecycled())) {
            this.ikh.setImageBitmap(vv);
        }
        ab.d("MicroMsg.ShareImageSelectorUI", "cpan[onCreate] Read Bitmap Time:%s", new Object[]{(System.currentTimeMillis() - currentTimeMillis) + "'"});
        AppMethodBeat.o(35258);
    }

    public final int getForceOrientation() {
        return 1;
    }

    public void onResume() {
        AppMethodBeat.i(35259);
        super.onResume();
        if (zKF == 1 && (this.zKH == null || !this.zKH.isShowing())) {
            dKr();
        }
        AppMethodBeat.o(35259);
    }

    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
        AppMethodBeat.i(35260);
        switch (i) {
            case 0:
                dKs();
                AppMethodBeat.o(35260);
                return;
            case 1:
                dKt();
                AppMethodBeat.o(35260);
                return;
            case 2:
                dKu();
                AppMethodBeat.o(35260);
                return;
            default:
                ab.e("MicroMsg.ShareImageSelectorUI", "unknow postion.");
                AppMethodBeat.o(35260);
                return;
        }
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(35261);
        ab.d("MicroMsg.ShareImageSelectorUI", "requestCode:%d , resultCode:%d", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
        switch (i) {
            case 1001:
                if (i2 == -1) {
                    ArrayList arrayList = null;
                    if (intent != null) {
                        arrayList = intent.getStringArrayListExtra("Select_Contact");
                    }
                    if (arrayList != null && arrayList.size() == 1) {
                        Intent intent2 = new Intent(this, ChattingUI.class);
                        intent2.putExtra("Chat_User", (String) arrayList.get(0));
                        startActivity(intent2);
                    }
                    finish();
                    AppMethodBeat.o(35261);
                    return;
                }
                ab.w("MicroMsg.ShareImageSelectorUI", "user cancle");
                AppMethodBeat.o(35261);
                return;
            case 1002:
                if (i2 == -1) {
                    Toast.makeText(this.mController.ylL, 2131298422, 0).show();
                    finish();
                    AppMethodBeat.o(35261);
                    return;
                }
                ab.w("MicroMsg.ShareImageSelectorUI", "user cancle");
                AppMethodBeat.o(35261);
                return;
            default:
                ab.w("MicroMsg.ShareImageSelectorUI", "unknow result");
                AppMethodBeat.o(35261);
                return;
        }
    }

    public void onBackPressed() {
        AppMethodBeat.i(35262);
        bKc();
        AppMethodBeat.o(35262);
    }

    private void dKr() {
        AppMethodBeat.i(35264);
        if (this.zKH == null || !this.zKH.isShowing()) {
            this.zKH = h.a(this.mController.ylL, getString(2131301428), new String[]{getString(2131298817), getString(2131298818), getString(2131298816)}, null, new 6(this), new 7(this));
            AppMethodBeat.o(35264);
            return;
        }
        AppMethodBeat.o(35264);
    }

    private void dKs() {
        AppMethodBeat.i(35265);
        Intent intent = new Intent(this, SelectContactUI.class);
        intent.putExtra("list_attr", s.znL);
        intent.putExtra("titile", getString(2131296482));
        intent.putExtra("list_type", 11);
        intent.putExtra("shareImage", true);
        intent.putExtra("shareImagePath", this.zIs);
        startActivityForResult(intent, 1001);
        AppMethodBeat.o(35265);
    }

    private void dKt() {
        AppMethodBeat.i(35266);
        Intent intent = new Intent();
        intent.putExtra("Ksnsupload_type", 0);
        intent.putExtra("sns_kemdia_path", this.zIs);
        intent.putExtra("need_result", true);
        com.tencent.mm.bp.d.b(this.mController.ylL, "sns", ".ui.SnsUploadUI", intent, 1002);
        AppMethodBeat.o(35266);
    }

    private void dKu() {
        AppMethodBeat.i(35267);
        cl clVar = new cl();
        e.a(clVar, 6, this.zIs);
        clVar.cvA.activity = this;
        clVar.cvA.cvH = 52;
        com.tencent.mm.sdk.b.a.xxA.m(clVar);
        com.tencent.mm.plugin.report.service.h.pYm.e(11048, new Object[]{Integer.valueOf(3), Integer.valueOf(0), Integer.valueOf(0)});
        if (this.mHandler != null) {
            this.mHandler.sendEmptyMessageDelayed(0, 800);
        }
        AppMethodBeat.o(35267);
    }

    private void bKc() {
        AppMethodBeat.i(35263);
        h.a(this.mController.ylL, getString(2131298813), getString(2131298815), true, new 4(this), new 5(this));
        AppMethodBeat.o(35263);
    }

    static /* synthetic */ void a(ShareImageSelectorUI shareImageSelectorUI) {
        AppMethodBeat.i(35268);
        Intent intent = new Intent(shareImageSelectorUI, ShowImageUI.class);
        intent.putExtra("key_image_path", shareImageSelectorUI.zIs);
        intent.putExtra("show_menu", false);
        shareImageSelectorUI.startActivity(intent);
        AppMethodBeat.o(35268);
    }
}
