package android.support.design.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.support.design.a.a;
import android.util.AttributeSet;
import android.view.ViewGroup;
import android.widget.FrameLayout.LayoutParams;

public class CollapsingToolbarLayout$LayoutParams extends LayoutParams {
    int pi = 0;
    float pj = 0.5f;

    public CollapsingToolbarLayout$LayoutParams(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.CollapsingToolbarLayout_Layout);
        this.pi = obtainStyledAttributes.getInt(0, 0);
        this.pj = obtainStyledAttributes.getFloat(1, 0.5f);
        obtainStyledAttributes.recycle();
    }

    public CollapsingToolbarLayout$LayoutParams() {
        super(-1, -1);
    }

    public CollapsingToolbarLayout$LayoutParams(ViewGroup.LayoutParams layoutParams) {
        super(layoutParams);
    }
}
