package com.google.firebase.analytics;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.support.annotation.Keep;
import com.google.android.gms.common.internal.Preconditions;
import com.google.android.gms.internal.measurement.zzgl;
import com.google.android.gms.tasks.Task;
import com.tencent.matrix.trace.core.AppMethodBeat;

@Keep
public final class FirebaseAnalytics {
    private final zzgl zzacw;

    public FirebaseAnalytics(zzgl zzgl) {
        AppMethodBeat.i(69824);
        Preconditions.checkNotNull(zzgl);
        this.zzacw = zzgl;
        AppMethodBeat.o(69824);
    }

    @Keep
    public static FirebaseAnalytics getInstance(Context context) {
        AppMethodBeat.i(69815);
        FirebaseAnalytics zzjs = zzgl.zzg(context).zzjs();
        AppMethodBeat.o(69815);
        return zzjs;
    }

    public final Task<String> getAppInstanceId() {
        AppMethodBeat.i(69823);
        Task appInstanceId = this.zzacw.zzfu().getAppInstanceId();
        AppMethodBeat.o(69823);
        return appInstanceId;
    }

    public final void logEvent(String str, Bundle bundle) {
        AppMethodBeat.i(69816);
        this.zzacw.zzjr().logEvent(str, bundle);
        AppMethodBeat.o(69816);
    }

    public final void resetAnalyticsData() {
        AppMethodBeat.i(69825);
        this.zzacw.zzfu().resetAnalyticsData();
        AppMethodBeat.o(69825);
    }

    public final void setAnalyticsCollectionEnabled(boolean z) {
        AppMethodBeat.i(69819);
        this.zzacw.zzjr().setMeasurementEnabled(z);
        AppMethodBeat.o(69819);
    }

    @Keep
    public final void setCurrentScreen(Activity activity, String str, String str2) {
        AppMethodBeat.i(69818);
        this.zzacw.zzfy().setCurrentScreen(activity, str, str2);
        AppMethodBeat.o(69818);
    }

    public final void setMinimumSessionDuration(long j) {
        AppMethodBeat.i(69821);
        this.zzacw.zzjr().setMinimumSessionDuration(j);
        AppMethodBeat.o(69821);
    }

    public final void setSessionTimeoutDuration(long j) {
        AppMethodBeat.i(69822);
        this.zzacw.zzjr().setSessionTimeoutDuration(j);
        AppMethodBeat.o(69822);
    }

    public final void setUserId(String str) {
        AppMethodBeat.i(69820);
        this.zzacw.zzjr().setUserPropertyInternal("app", "_id", str);
        AppMethodBeat.o(69820);
    }

    public final void setUserProperty(String str, String str2) {
        AppMethodBeat.i(69817);
        this.zzacw.zzjr().setUserProperty(str, str2);
        AppMethodBeat.o(69817);
    }
}
