package com.tencent.mm.emoji.view;

import a.f.b.j;
import a.l;
import android.content.Context;
import android.util.AttributeSet;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.b.a;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.emoji.PluginEmoji;
import com.tencent.mm.plugin.gif.MMAnimateView;
import com.tencent.mm.storage.emotion.EmojiGroupInfo;
import com.tencent.mm.storage.emotion.EmojiInfo;

@l(dWo = {1, 1, 13}, dWp = {"\u0000B\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u0012\n\u0000\b\u0016\u0018\u00002\u00020\u0001B\u0011\b\u0016\u0012\b\u0010\u0002\u001a\u0004\u0018\u00010\u0003¢\u0006\u0002\u0010\u0004B\u001b\b\u0016\u0012\b\u0010\u0002\u001a\u0004\u0018\u00010\u0003\u0012\b\u0010\u0005\u001a\u0004\u0018\u00010\u0006¢\u0006\u0002\u0010\u0007B!\u0012\b\u0010\u0002\u001a\u0004\u0018\u00010\u0003\u0012\b\u0010\u0005\u001a\u0004\u0018\u00010\u0006\u0012\u0006\u0010\b\u001a\u00020\t¢\u0006\u0002\u0010\nJ\u0006\u0010\u0014\u001a\u00020\u0015J\u0012\u0010\u0016\u001a\u00020\u00172\b\u0010\u0018\u001a\u0004\u0018\u00010\u0019H\u0002R\u000e\u0010\u000b\u001a\u00020\fXD¢\u0006\u0002\n\u0000R(\u0010\u000f\u001a\u0004\u0018\u00010\u000e2\b\u0010\r\u001a\u0004\u0018\u00010\u000e@VX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0010\u0010\u0011\"\u0004\b\u0012\u0010\u0013R\u000e\u0010\u0014\u001a\u00020\u0015X\u000e¢\u0006\u0002\n\u0000¨\u0006\u001a"}, dWq = {"Lcom/tencent/mm/emoji/view/BaseEmojiView;", "Lcom/tencent/mm/plugin/gif/MMAnimateView;", "context", "Landroid/content/Context;", "(Landroid/content/Context;)V", "attrs", "Landroid/util/AttributeSet;", "(Landroid/content/Context;Landroid/util/AttributeSet;)V", "defStyleAttr", "", "(Landroid/content/Context;Landroid/util/AttributeSet;I)V", "TAG", "", "value", "Lcom/tencent/mm/storage/emotion/EmojiInfo;", "emojiInfo", "getEmojiInfo", "()Lcom/tencent/mm/storage/emotion/EmojiInfo;", "setEmojiInfo", "(Lcom/tencent/mm/storage/emotion/EmojiInfo;)V", "isHevc", "", "setMMGIFFileByteArray", "", "bytes", "", "plugin-emojisdk_release"})
public class BaseEmojiView extends MMAnimateView {
    private final String TAG;
    public boolean eAi;
    private EmojiInfo exP;

    public BaseEmojiView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.TAG = "MicroMsg.BaseEmojiView";
    }

    public BaseEmojiView(Context context) {
        this(context, null);
    }

    public BaseEmojiView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public EmojiInfo getEmojiInfo() {
        return this.exP;
    }

    public void setEmojiInfo(EmojiInfo emojiInfo) {
        AppMethodBeat.i(63304);
        if (j.j(this.exP, emojiInfo)) {
            AppMethodBeat.o(63304);
            return;
        }
        this.exP = emojiInfo;
        if (emojiInfo != null) {
            String dve = emojiInfo.dve();
            if (emojiInfo.getGroup() == EmojiGroupInfo.yad || emojiInfo.getGroup() == EmojiInfo.yak || emojiInfo.getGroup() == EmojiInfo.yaj) {
                setImageBitmap(emojiInfo.w(getContext(), 300));
                AppMethodBeat.o(63304);
                return;
            } else if (emojiInfo.duS()) {
                b(EmojiInfo.bJ(getContext(), emojiInfo.getName()), "");
                AppMethodBeat.o(63304);
                return;
            } else if ((emojiInfo.duX() & EmojiInfo.yaB) == EmojiInfo.yaB) {
                a M = g.M(PluginEmoji.class);
                j.o(M, "MMKernel.plugin(PluginEmoji::class.java)");
                setMMGIFFileByteArray(((PluginEmoji) M).getProvider().l(getEmojiInfo()));
                AppMethodBeat.o(63304);
                return;
            } else {
                eE(dve, "");
            }
        }
        AppMethodBeat.o(63304);
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x0042 A:{Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }} */
    private final void setMMGIFFileByteArray(byte[] r7) {
        /*
        r6 = this;
        r5 = 0;
        r4 = 63305; // 0xf749 float:8.8709E-41 double:3.1277E-319;
        r3 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r4);
        r0 = com.tencent.mm.sdk.platformtools.bo.cb(r7);	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        if (r0 != 0) goto L_0x00c2;
    L_0x000e:
        r0 = com.tencent.mm.sdk.platformtools.r.bU(r7);	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        if (r0 == 0) goto L_0x0051;
    L_0x0014:
        r0 = com.tencent.mm.plugin.emoji.PluginEmoji.class;
        r0 = com.tencent.mm.kernel.g.M(r0);	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r1 = "MMKernel.plugin(PluginEmoji::class.java)";
        a.f.b.j.o(r0, r1);	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r0 = (com.tencent.mm.plugin.emoji.PluginEmoji) r0;	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r0 = r0.getProvider();	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r1 = "MMKernel.plugin(PluginEmoji::class.java).provider";
        a.f.b.j.o(r0, r1);	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r0 = r0.bjX();	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        if (r0 == 0) goto L_0x0051;
    L_0x0032:
        r0 = new com.tencent.mm.plugin.gif.h;	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r0.<init>(r7);	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r0 = (com.tencent.mm.plugin.gif.b) r0;	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r1 = 1;
        r6.eAi = r1;	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
    L_0x003c:
        r1 = r0.isRunning();	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        if (r1 != 0) goto L_0x0045;
    L_0x0042:
        r0.reset();	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
    L_0x0045:
        r0 = (android.graphics.drawable.Drawable) r0;	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r6.setImageDrawable(r0);	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r0 = 63305; // 0xf749 float:8.8709E-41 double:3.1277E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
    L_0x0050:
        return;
    L_0x0051:
        r0 = r6.TAG;	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r1 = "set with gif";
        com.tencent.mm.sdk.platformtools.ab.v(r0, r1);	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r0 = new com.tencent.mm.plugin.gif.d;	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r0.<init>(r7);	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        r0 = (com.tencent.mm.plugin.gif.b) r0;	 Catch:{ MMGIFException -> 0x0061, IOException -> 0x00c9, NullPointerException -> 0x00db }
        goto L_0x003c;
    L_0x0061:
        r0 = move-exception;
        a(r0);
        r1 = r0.getErrorCode();
        r2 = 103; // 0x67 float:1.44E-43 double:5.1E-322;
        if (r1 != r2) goto L_0x00a9;
    L_0x006d:
        r0 = r6.TAG;
        r1 = "setMMGIFFileByteArray D_GIF_ERR_NOT_GIF_FILE";
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1);
        r0 = com.tencent.mm.sdk.platformtools.d.bQ(r7);
        if (r0 == 0) goto L_0x0089;
    L_0x007b:
        r1 = r6.getEmojiDensity();
        r0.setDensity(r1);
        r6.setImageBitmap(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        goto L_0x0050;
    L_0x0089:
        r0 = r6.TAG;
        r1 = "setMMGIFFileByteArray failed bitmap is null. bytes %s";
        r2 = new java.lang.Object[r3];
        r3 = java.lang.String.valueOf(r7);
        r2[r5] = r3;
        com.tencent.mm.sdk.platformtools.ab.w(r0, r1, r2);
        r0 = r6.getEmojiInfo();
        if (r0 == 0) goto L_0x00a2;
    L_0x009f:
        r0.duQ();
    L_0x00a2:
        r6.init();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        goto L_0x0050;
    L_0x00a9:
        r1 = r6.TAG;
        r2 = "setMMGIFFileByteArray failed. %s";
        r3 = new java.lang.Object[r3];
        r0 = r0.toString();
        r3[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.e(r1, r2, r3);
        r0 = r6.getEmojiInfo();
        if (r0 == 0) goto L_0x00c2;
    L_0x00bf:
        r0.duQ();
    L_0x00c2:
        r6.init();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        goto L_0x0050;
    L_0x00c9:
        r0 = move-exception;
        r1 = r6.TAG;
        r2 = "setMMGIFFileByteArray failed. %s";
        r3 = new java.lang.Object[r3];
        r0 = r0.toString();
        r3[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.e(r1, r2, r3);
        goto L_0x00c2;
    L_0x00db:
        r0 = move-exception;
        r1 = r6.TAG;
        r2 = "setMMGIFFileByteArray failed. %s";
        r3 = new java.lang.Object[r3];
        r0 = r0.toString();
        r3[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.e(r1, r2, r3);
        goto L_0x00c2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.emoji.view.BaseEmojiView.setMMGIFFileByteArray(byte[]):void");
    }
}
