package com.tencent.mm.plugin.account.security.ui;

import android.app.ProgressDialog;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.widget.Button;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.account.friend.a.x;
import com.tencent.mm.plugin.b.a;
import com.tencent.mm.protocal.protobuf.jp;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.br;
import com.tencent.mm.ui.MMWizardActivity;
import com.tencent.mm.ui.base.h;
import java.util.Map;

public class SecurityAccountIntroUI extends MMWizardActivity implements f {
    private String cFl;
    private ProgressDialog ehJ = null;
    private String gsF;
    private String gzO;
    private String gzP;
    private boolean gzQ = false;
    private Button gzR;
    private String jumpUrl;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void e(SecurityAccountIntroUI securityAccountIntroUI) {
        AppMethodBeat.i(69914);
        securityAccountIntroUI.aoZ();
        AppMethodBeat.o(69914);
    }

    public final int getLayoutId() {
        return 2130970576;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(69907);
        super.onCreate(bundle);
        this.gzO = getIntent().getStringExtra("auth_ticket");
        this.cFl = getIntent().getStringExtra("binded_mobile");
        this.gzQ = getIntent().getBooleanExtra("re_open_verify", false);
        String stringExtra = getIntent().getStringExtra("close_safe_device_style");
        ab.i("MicroMsg.SecurityAccountIntroUI", "summerphone authTicket[%s], showStyle[%s]", new Object[]{bo.anv(this.gzO), stringExtra});
        if (!bo.isNullOrNil(stringExtra)) {
            Map z = br.z(stringExtra, "wording");
            if (z != null) {
                this.gzP = (String) z.get(".wording.title");
                this.jumpUrl = (String) z.get(".wording.url");
                ab.i("MicroMsg.SecurityAccountIntroUI", "summerphone closeBtnText[%s], jumpUrl[%s]", new Object[]{this.gzP, this.jumpUrl});
            }
        }
        this.gsF = a.arO();
        initView();
        AppMethodBeat.o(69907);
    }

    public void onResume() {
        AppMethodBeat.i(69908);
        super.onResume();
        g.Rg().a(145, this);
        g.Rg().a(132, this);
        if (!this.gzQ) {
            StringBuilder stringBuilder = new StringBuilder();
            g.RN();
            stringBuilder = stringBuilder.append(com.tencent.mm.kernel.a.Rb()).append(",").append(getClass().getName()).append(",L600_100,");
            g.RN();
            a.f(true, stringBuilder.append(com.tencent.mm.kernel.a.lF("L600_100")).append(",1").toString());
            a.wz("L600_100");
        }
        AppMethodBeat.o(69908);
    }

    public void onPause() {
        AppMethodBeat.i(69909);
        super.onPause();
        g.Rg().b(145, this);
        g.Rg().b(132, this);
        if (!this.gzQ) {
            StringBuilder stringBuilder = new StringBuilder();
            g.RN();
            stringBuilder = stringBuilder.append(com.tencent.mm.kernel.a.Rb()).append(",").append(getClass().getName()).append(",L600_100,");
            g.RN();
            a.f(false, stringBuilder.append(com.tencent.mm.kernel.a.lF("L600_100")).append(",2").toString());
        }
        AppMethodBeat.o(69909);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(69910);
        if (keyEvent.getKeyCode() == 4 && keyEvent.getRepeatCount() == 0) {
            aoZ();
            AppMethodBeat.o(69910);
            return true;
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(69910);
        return onKeyDown;
    }

    public final void initView() {
        AppMethodBeat.i(69911);
        setMMTitle(2131302704);
        findViewById(2131827289).setOnClickListener(new 1(this));
        if (!this.gzQ) {
            this.gzR = (Button) findViewById(2131827290);
            if (!bo.isNullOrNil(this.gzP)) {
                this.gzR.setText(this.gzP);
            }
            this.gzR.setVisibility(0);
            this.gzR.setOnClickListener(new 2(this));
        }
        setBackBtn(new 3(this));
        AppMethodBeat.o(69911);
    }

    private void aoZ() {
        AppMethodBeat.i(69912);
        a.wA(this.gsF);
        cancel();
        Ni(1);
        AppMethodBeat.o(69912);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(69913);
        if (this.ehJ != null && this.ehJ.isShowing()) {
            this.ehJ.dismiss();
            this.ehJ = null;
        }
        if (i == 0 && i2 == 0) {
            String str2;
            if (this.gzQ) {
                str2 = ((jp) ((x) mVar).ehh.fsH.fsP).vHS;
            } else {
                str2 = ((com.tencent.mm.modelfriend.a) mVar).agh();
            }
            ab.d("MicroMsg.SecurityAccountIntroUI", "duanyi test authTicket_login = " + this.gzO + "duanyi test authTicket_check = " + str2);
            Intent intent = new Intent(this, SecurityAccountVerifyUI.class);
            intent.putExtra("auth_ticket", str2);
            intent.putExtra("binded_mobile", this.cFl);
            intent.putExtra("re_open_verify", this.gzQ);
            intent.putExtra("from_source", getIntent().getIntExtra("from_source", 1));
            J(this, intent);
            if (getIntent().getIntExtra("from_source", 1) == 3) {
                finish();
            }
            AppMethodBeat.o(69913);
            return;
        }
        int i3;
        switch (i2) {
            case -74:
                h.a(this, 2131297534, 2131297061, null);
                i3 = 1;
                break;
            case -57:
            case -1:
                Toast.makeText(this, 2131296906, 0).show();
                i3 = 1;
                break;
            case -41:
                Toast.makeText(this, 2131297537, 0).show();
                i3 = 1;
                break;
            case -34:
                Toast.makeText(this, 2131297538, 0).show();
                i3 = 1;
                break;
            default:
                i3 = 0;
                break;
        }
        if (i3 != 0 || com.tencent.mm.plugin.account.a.a.gkF.a((Context) this, i, i2, str)) {
            AppMethodBeat.o(69913);
            return;
        }
        Toast.makeText(this, getString(2131302698, new Object[]{Integer.valueOf(i), Integer.valueOf(i2)}), 0).show();
        AppMethodBeat.o(69913);
    }
}
