package com.tencent.mm.plugin.appbrand.dynamic.ui;

import android.content.Intent;
import android.os.Bundle;
import android.text.Html;
import android.text.Spannable;
import android.text.SpannableStringBuilder;
import android.text.method.LinkMovementMethod;
import android.text.style.URLSpan;
import android.view.View;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.modelappbrand.e;
import com.tencent.mm.plugin.appbrand.dynamic.html.CustomURLSpan;
import com.tencent.mm.plugin.appbrand.dynamic.widget.b;
import com.tencent.mm.plugin.appbrand.widget.a.a;
import com.tencent.mm.plugin.appbrand.widget.l;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.widget.MMSwitchBtn;

public class WxaWidgetDebugUI extends MMActivity {
    String appId;
    int cBc;
    int gVu;
    MMSwitchBtn hpc;
    l hpd;
    String id;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        String format;
        AppMethodBeat.i(11015);
        super.onCreate(bundle);
        setBackBtn(new 1(this));
        Object[] objArr = new Object[1];
        if (((e) g.K(e.class)).abz().abF()) {
            format = String.format("(%s)", new Object[]{b.aAm()});
        } else {
            format = "";
        }
        objArr[0] = format;
        setMMTitle(getString(2131305743, objArr));
        Intent intent = getIntent();
        this.id = intent.getStringExtra("id");
        this.appId = intent.getStringExtra("app_id");
        this.cBc = intent.getIntExtra("pkg_type", 0);
        this.gVu = intent.getIntExtra("pkg_version", 0);
        setMMSubTitle(String.format("(%s)", new Object[]{this.id}));
        this.hpc = (MMSwitchBtn) findViewById(2131829240);
        this.hpd = ((a) g.K(a.class)).auR().Ev(this.appId);
        if (this.hpd == null) {
            this.hpd = new l();
            this.hpd.field_appId = this.appId;
        }
        this.hpc.setCheck(this.hpd.field_openDebug);
        this.hpc.setSwitchListener(new 2(this));
        TextView textView = (TextView) findViewById(2131829241);
        CharSequence fromHtml = Html.fromHtml(getString(2131305749), new com.tencent.mm.plugin.appbrand.dynamic.html.a(), new com.tencent.mm.plugin.appbrand.dynamic.html.b());
        if (fromHtml instanceof Spannable) {
            Spannable spannable = (Spannable) fromHtml;
            URLSpan[] uRLSpanArr = (URLSpan[]) spannable.getSpans(0, fromHtml.length(), URLSpan.class);
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder(fromHtml);
            for (Object obj : uRLSpanArr) {
                spannableStringBuilder.removeSpan(obj);
                spannableStringBuilder.setSpan(new CustomURLSpan(obj.getURL()), spannable.getSpanStart(obj), spannable.getSpanEnd(obj), 34);
            }
            fromHtml = spannableStringBuilder;
        }
        textView.setText(fromHtml);
        textView.setMovementMethod(LinkMovementMethod.getInstance());
        findViewById(2131827404).setOnClickListener(new 3(this));
        View findViewById = findViewById(2131829242);
        if (((e) g.K(e.class)).abz().abF()) {
            findViewById.setVisibility(0);
            findViewById.setOnClickListener(new 4(this));
            AppMethodBeat.o(11015);
            return;
        }
        findViewById.setVisibility(8);
        AppMethodBeat.o(11015);
    }

    public final int getLayoutId() {
        return 2130971249;
    }
}
