package com.tencent.mm.plugin.recharge.ui;

import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnCancelListener;
import android.content.Intent;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.provider.ContactsContract.CommonDataKinds.Phone;
import android.telephony.PhoneNumberUtils;
import android.view.View;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.g.a.se;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.appbrand.jsapi.storage.d;
import com.tencent.mm.plugin.recharge.ui.form.InstantAutoCompleteTextView;
import com.tencent.mm.plugin.recharge.ui.form.MallFormView;
import com.tencent.mm.plugin.recharge.ui.form.c$b$5;
import com.tencent.mm.plugin.recharge.ui.form.c.b;
import com.tencent.mm.plugin.recharge.ui.form.c.b.1;
import com.tencent.mm.plugin.recharge.ui.form.c.b.2;
import com.tencent.mm.plugin.recharge.ui.form.c.b.3;
import com.tencent.mm.plugin.recharge.ui.form.c.b.4;
import com.tencent.mm.plugin.recharge.ui.form.d.a;
import com.tencent.mm.plugin.wallet.a.e;
import com.tencent.mm.plugin.wallet.a.p;
import com.tencent.mm.plugin.wallet.a.q;
import com.tencent.mm.plugin.wallet_core.model.mall.MallFunction;
import com.tencent.mm.pluginsdk.wallet.PayInfo;
import com.tencent.mm.sdk.b.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ac;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.t;
import com.tencent.mm.ui.v;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class PhoneRechargeUI extends MMActivity implements f, a {
    private String aIm = "";
    private String desc = "";
    private int errCode = 0;
    protected Dialog gII = null;
    private String mAppId = "";
    private View pGT = null;
    private ImageView pGU = null;
    private TextView pGV = null;
    private MallFormView pGW = null;
    private TextView pGX = null;
    private TextView pGY = null;
    private GridView pGZ = null;
    private ArrayList<q> pGh = null;
    private ArrayList<q> pGi = null;
    private e pGj = null;
    private e pGk = null;
    private e pGl = null;
    private e pGm = null;
    private e pGn = null;
    private GridView pHa = null;
    private TextView pHb = null;
    private TextView pHc = null;
    private TextView pHd = null;
    private TextView pHe = null;
    private TextView pHf = null;
    private TextView pHg = null;
    private b pHh = null;
    private b pHi = null;
    private MallFunction pHj = null;
    private String pHk = "";
    private int pHl;
    private String pHm = "";
    private String pHn = "";
    private b pHo = null;
    private p pHp = null;
    private boolean pHq = false;
    private List<String[]> pHr;
    private boolean piJ = false;
    private c piM = new 14(this);

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public PhoneRechargeUI() {
        AppMethodBeat.i(44276);
        AppMethodBeat.o(44276);
    }

    static /* synthetic */ String b(PhoneRechargeUI phoneRechargeUI, String str) {
        AppMethodBeat.i(44301);
        String VC = phoneRechargeUI.VC(str);
        AppMethodBeat.o(44301);
        return VC;
    }

    static /* synthetic */ void e(PhoneRechargeUI phoneRechargeUI) {
        AppMethodBeat.i(44299);
        phoneRechargeUI.G(false, false);
        AppMethodBeat.o(44299);
    }

    static /* synthetic */ void n(PhoneRechargeUI phoneRechargeUI) {
        AppMethodBeat.i(44306);
        phoneRechargeUI.cem();
        AppMethodBeat.o(44306);
    }

    private void ceh() {
        AppMethodBeat.i(44277);
        this.mAppId = "";
        cel();
        this.errCode = 0;
        this.aIm = "";
        this.desc = "";
        AppMethodBeat.o(44277);
    }

    private String VC(String str) {
        AppMethodBeat.i(44279);
        String str2;
        if (bo.isNullOrNil(str)) {
            str2 = "";
            AppMethodBeat.o(44279);
            return str2;
        }
        try {
            str2 = "";
            if (!(this.pHo == null || this.pHo.pGx == null || bo.isNullOrNil(this.pHo.pGx.name))) {
                str2 = this.pHo.pGx.name;
            }
            if (str2.equals(getString(2131305280))) {
                str2 = "WeChatAccountBindNumber";
            }
            String text = this.pGW.getText();
            str2 = URLEncoder.encode(URLEncoder.encode(str2, "utf-8"), "utf-8");
            if (str.startsWith("http://") || str.startsWith("https://")) {
                ab.i("MicroMsg.PhoneRechargeUI", "new url");
                if (str.indexOf("%7Bphone%7D") > 0) {
                    str = str.replace("%7Bphone%7D", text);
                } else {
                    str = str.replace("{phone}", text);
                }
                if (str.indexOf("%7Bremark%7D") > 0) {
                    str2 = str.replace("%7Bremark%7D", str2);
                } else {
                    str2 = str.replace("{remark}", str2);
                }
                AppMethodBeat.o(44279);
                return str2;
            }
            ab.i("MicroMsg.PhoneRechargeUI", "old url");
            str2 = URLDecoder.decode(str, "utf-8") + String.format("?phone=%s&remark=%s", new Object[]{text, str2});
            AppMethodBeat.o(44279);
            return str2;
        } catch (UnsupportedEncodingException e) {
            str2 = str;
            ab.printErrStackTrace("MicroMsg.PhoneRechargeUI", e, "", new Object[0]);
            AppMethodBeat.o(44279);
            return str2;
        }
    }

    private boolean cei() {
        AppMethodBeat.i(44280);
        if (this.pHp != null) {
            String str = (String) g.RP().Ry().get(ac.a.xJV, "");
            if (bo.isNullOrNil(str)) {
                ab.i("MicroMsg.PhoneRechargeUI", "hy: no banner before, show");
                AppMethodBeat.o(44280);
                return false;
            }
            String[] split = str.split(";");
            if (split != null) {
                int length = split.length;
                int i = 0;
                while (i < length) {
                    String str2 = split[i];
                    if (str2 == null || !str2.equals(String.valueOf(this.pHp.id))) {
                        i++;
                    } else {
                        ab.i("MicroMsg.PhoneRechargeUI", "hy: found closed. ");
                        AppMethodBeat.o(44280);
                        return true;
                    }
                }
            }
            ab.i("MicroMsg.PhoneRechargeUI", "hy: not found closed banner.");
            AppMethodBeat.o(44280);
            return false;
        }
        ab.e("MicroMsg.PhoneRechargeUI", "hy: no banner");
        AppMethodBeat.o(44280);
        return true;
    }

    private void o(m mVar) {
        AppMethodBeat.i(44281);
        if (!(this.gII == null || !this.gII.isShowing() || mVar.getType() == d.CTRL_INDEX)) {
            this.gII.dismiss();
            this.gII = null;
        }
        AppMethodBeat.o(44281);
    }

    private void c(final m mVar, boolean z) {
        AppMethodBeat.i(44282);
        if (this.gII == null || !(this.gII == null || this.gII.isShowing())) {
            if (z) {
                this.gII = com.tencent.mm.wallet_core.ui.g.a(this.mController.ylL, true, new OnCancelListener() {
                    public final void onCancel(DialogInterface dialogInterface) {
                        AppMethodBeat.i(44275);
                        g.Rg().c(mVar);
                        AppMethodBeat.o(44275);
                    }
                });
            } else {
                this.gII = com.tencent.mm.wallet_core.ui.g.b(this.mController.ylL, true, new 2(this, mVar));
            }
        }
        g.Rg().a(mVar, 0);
        AppMethodBeat.o(44282);
    }

    public void onResume() {
        AppMethodBeat.i(44283);
        super.onResume();
        G(false, true);
        AppMethodBeat.o(44283);
    }

    public void onDestroy() {
        AppMethodBeat.i(44284);
        super.onDestroy();
        g.Rg().b(1571, this);
        g.Rg().b(498, this);
        com.tencent.mm.sdk.b.a.xxA.d(this.piM);
        AppMethodBeat.o(44284);
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0052  */
    private void G(boolean r6, boolean r7) {
        /*
        r5 = this;
        r4 = 44285; // 0xacfd float:6.2057E-41 double:2.18797E-319;
        r3 = 8;
        r2 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r4);
        r0 = r5.pHp;
        if (r0 == 0) goto L_0x0109;
    L_0x000d:
        r0 = r5.cei();
        if (r0 != 0) goto L_0x0109;
    L_0x0013:
        r0 = r5.pGT;
        r0.setVisibility(r2);
        r0 = r5.pGV;
        r1 = r5.pHp;
        r1 = r1.name;
        r0.setText(r1);
        r0 = "MicroMsg.PhoneRechargeUI";
        r1 = "hy: Show banner!";
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1);
        r0 = 6;
        com.tencent.mm.protocal.g.gu(r0, r2);
    L_0x002e:
        r0 = r5.pHh;
        r1 = r5.pGh;
        r0.pGL = r1;
        r0 = r5.pHh;
        r0.notifyDataSetChanged();
        r0 = r5.pHi;
        r1 = r5.pGi;
        r0.pGL = r1;
        r0 = r5.pHi;
        r0.notifyDataSetChanged();
        if (r6 != 0) goto L_0x0119;
    L_0x0046:
        r0 = r5.pHf;
        r0.setVisibility(r3);
    L_0x004b:
        r0 = r5.pHg;
        r0.setVisibility(r3);
    L_0x0050:
        if (r7 == 0) goto L_0x005e;
    L_0x0052:
        r0 = r5.pGn;
        r0 = r0.name;
        r1 = new com.tencent.mm.plugin.recharge.ui.PhoneRechargeUI$3;
        r1.<init>(r5);
        r5.addTextOptionMenu(r2, r0, r1);
    L_0x005e:
        r1 = r5.pGX;
        r0 = r5.pGh;
        if (r0 == 0) goto L_0x0137;
    L_0x0064:
        r0 = r5.pGh;
        r0 = r0.size();
        if (r0 <= 0) goto L_0x0137;
    L_0x006c:
        r0 = r5.pGh;
        r0 = r0.get(r2);
        r0 = (com.tencent.mm.plugin.wallet.a.q) r0;
        r0 = r0.tnt;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x0137;
    L_0x007c:
        r0 = r5.pGh;
        r0 = r0.get(r2);
        r0 = (com.tencent.mm.plugin.wallet.a.q) r0;
        r0 = r0.tnt;
    L_0x0086:
        r1.setText(r0);
        r1 = r5.pGY;
        r0 = r5.pGi;
        if (r0 == 0) goto L_0x0140;
    L_0x008f:
        r0 = r5.pGi;
        r0 = r0.size();
        if (r0 <= 0) goto L_0x0140;
    L_0x0097:
        r0 = r5.pGi;
        r0 = r0.get(r2);
        r0 = (com.tencent.mm.plugin.wallet.a.q) r0;
        r0 = r0.tnt;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x0140;
    L_0x00a7:
        r0 = r5.pGi;
        r0 = r0.get(r2);
        r0 = (com.tencent.mm.plugin.wallet.a.q) r0;
        r0 = r0.tnt;
    L_0x00b1:
        r1.setText(r0);
        r0 = r5.pGm;
        if (r0 == 0) goto L_0x00c2;
    L_0x00b8:
        r0 = r5.pGm;
        r0 = r0.name;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 == 0) goto L_0x0149;
    L_0x00c2:
        r0 = r5.pHc;
        r0.setVisibility(r3);
    L_0x00c7:
        r0 = r5.pGj;
        if (r0 == 0) goto L_0x00d5;
    L_0x00cb:
        r0 = r5.pGj;
        r0 = r0.name;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 == 0) goto L_0x0163;
    L_0x00d5:
        r0 = r5.pHb;
        r0.setVisibility(r3);
    L_0x00da:
        r0 = r5.pGk;
        if (r0 == 0) goto L_0x00e8;
    L_0x00de:
        r0 = r5.pGk;
        r0 = r0.name;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 == 0) goto L_0x017d;
    L_0x00e8:
        r0 = r5.pHd;
        r0.setVisibility(r3);
    L_0x00ed:
        r0 = r5.pGl;
        if (r0 == 0) goto L_0x00fb;
    L_0x00f1:
        r0 = r5.pGl;
        r0 = r0.name;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 == 0) goto L_0x0197;
    L_0x00fb:
        r0 = r5.pHe;
        r0.setVisibility(r3);
    L_0x0100:
        r0 = r5.pHj;
        r5.d(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        return;
    L_0x0109:
        r0 = r5.pGT;
        r0.setVisibility(r3);
        r0 = "MicroMsg.PhoneRechargeUI";
        r1 = "hy: dismiss banner!";
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1);
        goto L_0x002e;
    L_0x0119:
        r0 = r5.cek();
        if (r0 == 0) goto L_0x0131;
    L_0x011f:
        r0 = r5.pHf;
        r0.setVisibility(r2);
    L_0x0124:
        r0 = r5.cej();
        if (r0 == 0) goto L_0x004b;
    L_0x012a:
        r0 = r5.pHg;
        r0.setVisibility(r2);
        goto L_0x0050;
    L_0x0131:
        r0 = r5.pHf;
        r0.setVisibility(r3);
        goto L_0x0124;
    L_0x0137:
        r0 = 2131305273; // 0x7f092339 float:1.8228712E38 double:1.053004716E-314;
        r0 = r5.getString(r0);
        goto L_0x0086;
    L_0x0140:
        r0 = 2131305274; // 0x7f09233a float:1.8228714E38 double:1.0530047167E-314;
        r0 = r5.getString(r0);
        goto L_0x00b1;
    L_0x0149:
        r0 = r5.pHc;
        r0.setVisibility(r2);
        r0 = r5.pHc;
        r1 = r5.pGm;
        r1 = r1.name;
        r0.setText(r1);
        r0 = r5.pHc;
        r1 = new com.tencent.mm.plugin.recharge.ui.PhoneRechargeUI$4;
        r1.<init>();
        r0.setOnClickListener(r1);
        goto L_0x00c7;
    L_0x0163:
        r0 = r5.pHb;
        r0.setVisibility(r2);
        r0 = r5.pHb;
        r1 = r5.pGj;
        r1 = r1.name;
        r0.setText(r1);
        r0 = r5.pHb;
        r1 = new com.tencent.mm.plugin.recharge.ui.PhoneRechargeUI$5;
        r1.<init>(r5);
        r0.setOnClickListener(r1);
        goto L_0x00da;
    L_0x017d:
        r0 = r5.pHd;
        r0.setVisibility(r2);
        r0 = r5.pHd;
        r1 = r5.pGk;
        r1 = r1.name;
        r0.setText(r1);
        r0 = r5.pHd;
        r1 = new com.tencent.mm.plugin.recharge.ui.PhoneRechargeUI$6;
        r1.<init>();
        r0.setOnClickListener(r1);
        goto L_0x00ed;
    L_0x0197:
        r0 = r5.pHe;
        r0.setVisibility(r2);
        r0 = r5.pHe;
        r1 = r5.pGl;
        r1 = r1.name;
        r0.setText(r1);
        r0 = r5.pHe;
        r1 = new com.tencent.mm.plugin.recharge.ui.PhoneRechargeUI$7;
        r1.<init>();
        r0.setOnClickListener(r1);
        goto L_0x0100;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.recharge.ui.PhoneRechargeUI.G(boolean, boolean):void");
    }

    private boolean cej() {
        AppMethodBeat.i(44286);
        Iterator it = this.pGi.iterator();
        while (it.hasNext()) {
            if (((q) it.next()).status != 0) {
                AppMethodBeat.o(44286);
                return false;
            }
        }
        AppMethodBeat.o(44286);
        return true;
    }

    private boolean cek() {
        AppMethodBeat.i(44287);
        Iterator it = this.pGh.iterator();
        while (it.hasNext()) {
            if (((q) it.next()).status != 0) {
                AppMethodBeat.o(44287);
                return false;
            }
        }
        AppMethodBeat.o(44287);
        return true;
    }

    private void d(MallFunction mallFunction) {
        AppMethodBeat.i(44288);
        if (com.tencent.mm.plugin.recharge.model.b.c(mallFunction)) {
            com.tencent.mm.plugin.recharge.model.b.ced();
            ab.d("MicroMsg.PhoneRechargeUI", this.pHj.tDn.toString());
            VD(this.pHj.tDn.tDC);
        }
        AppMethodBeat.o(44288);
    }

    private void VD(String str) {
        AppMethodBeat.i(44289);
        h.a(this.mController.ylL, getString(2131305289), v.hu(this).inflate(2130970479, null), getString(2131305290), getString(2131305288), new 8(this, str), new 9(this));
        AppMethodBeat.o(44289);
    }

    private void cel() {
        AppMethodBeat.i(44290);
        this.pGh = new ArrayList();
        q qVar = new q();
        qVar.name = getString(2131305263);
        qVar.status = 0;
        q qVar2 = new q();
        qVar2.name = getString(2131305264);
        qVar2.status = 0;
        q qVar3 = new q();
        qVar3.name = getString(2131305265);
        qVar3.status = 0;
        q qVar4 = new q();
        qVar4.name = getString(2131305266);
        qVar4.status = 0;
        q qVar5 = new q();
        qVar5.name = getString(2131305267);
        qVar5.status = 0;
        q qVar6 = new q();
        qVar6.name = getString(2131305268);
        qVar6.status = 0;
        this.pGh.add(qVar);
        this.pGh.add(qVar2);
        this.pGh.add(qVar3);
        this.pGh.add(qVar4);
        this.pGh.add(qVar5);
        this.pGh.add(qVar6);
        this.pGi = new ArrayList();
        qVar = new q();
        qVar.name = getString(2131305269);
        qVar.status = 0;
        qVar2 = new q();
        qVar2.name = getString(2131305270);
        qVar2.status = 0;
        qVar3 = new q();
        qVar3.name = getString(2131305271);
        qVar3.status = 0;
        this.pGi.add(qVar);
        this.pGi.add(qVar2);
        this.pGi.add(qVar3);
        AppMethodBeat.o(44290);
    }

    public final int getLayoutId() {
        return 2130970361;
    }

    private void VE(String str) {
        AppMethodBeat.i(44291);
        h.a(this, str, "", false, new 10(this));
        AppMethodBeat.o(44291);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(44292);
        if (mVar instanceof com.tencent.mm.plugin.recharge.model.f) {
            com.tencent.mm.plugin.recharge.model.f fVar = (com.tencent.mm.plugin.recharge.model.f) mVar;
            if (fVar.cmdId != 0) {
                ab.i("MicroMsg.PhoneRechargeUI", "do delete phone number");
                AppMethodBeat.o(44292);
                return;
            } else if (bo.isNullOrNil(fVar.gDV) || fVar.gDV.equals(this.pGW.getText())) {
                o(mVar);
                if (fVar.pGg) {
                    ab.e("MicroMsg.PhoneRechargeUI", "hy: cgi failed.");
                    VE(fVar.aIm);
                    ceh();
                    AppMethodBeat.o(44292);
                    return;
                }
                boolean z;
                boolean z2;
                this.mAppId = fVar.appId;
                this.pGh = fVar.pGh;
                this.pGj = fVar.pGj;
                this.pGk = fVar.pGk;
                this.pGl = fVar.pGl;
                this.pGm = fVar.pGm;
                this.errCode = fVar.errCode;
                this.aIm = fVar.aIm;
                this.pHk = fVar.desc;
                ab.i("MicroMsg.PhoneRechargeUI", "desc: %s, mobile: %s", new Object[]{this.pHk, this.pGW.getText()});
                if (bo.isNullOrNil(this.pHk)) {
                    this.desc = "";
                    this.pHl = getResources().getColor(2131690316);
                } else if (this.pHo.pGx != null && this.pHo.pGx.pFM.trim().equals(this.pGW.getText())) {
                    this.pHo.pGx.pFN = this.pHk;
                    this.pHo.setInput(this.pHo.pGx);
                }
                this.pHp = fVar.pGo;
                this.pGi = fVar.pGi;
                if (this.pGi != null) {
                    for (int size = this.pGi.size() - 1; size >= 0; size--) {
                        q qVar = (q) this.pGi.get(size);
                        if (qVar.name.isEmpty()) {
                            this.pGi.remove(qVar);
                        }
                    }
                }
                if (fVar.pGn == null || (fVar.pGn.name.equals(this.pGn.name) && fVar.pGn.url.equals(this.pGn.url) && fVar.pGn.tmN.equals(this.pGn.tmN) && fVar.pGn.fjD.equals(this.pGn.fjD))) {
                    z = false;
                } else {
                    ab.i("MicroMsg.PhoneRechargeUI", "need to update head");
                    this.pGn = fVar.pGn;
                    z = true;
                }
                if (this.pHk.equals("")) {
                    z2 = false;
                } else {
                    z2 = true;
                }
                G(z2, z);
                List list = fVar.pGp;
                if (list != null) {
                    ab.d("MicroMsg.PhoneRechargeUI", "update record history");
                    com.tencent.mm.plugin.recharge.a.a.cea().cK(list);
                    if (this.pHo != null) {
                        if (fVar.pGq) {
                            this.pHo.kd(true);
                        } else {
                            this.pHo.kd(false);
                        }
                    }
                }
                this.pGW.postDelayed(new 11(this), 300);
                AppMethodBeat.o(44292);
                return;
            } else {
                ab.i("MicroMsg.PhoneRechargeUI", "hy: mobiel num not match.abourt, %s, %s", new Object[]{fVar.gDV, this.pGW.getText()});
                AppMethodBeat.o(44292);
                return;
            }
        }
        if (mVar instanceof com.tencent.mm.plugin.recharge.model.g) {
            o(mVar);
            if (i == 0 && i2 == 0) {
                PayInfo payInfo = ((com.tencent.mm.plugin.recharge.model.g) mVar).pGr;
                payInfo.cIf = 6;
                payInfo.vwe = 100;
                payInfo.kck = this.pGW.getText();
                payInfo.hHV = this.pHo.pGx != null ? this.pHo.pGx.name : "";
                com.tencent.mm.pluginsdk.wallet.h.a(this, payInfo, 2);
                com.tencent.mm.sdk.b.a.xxA.c(this.piM);
                AppMethodBeat.o(44292);
                return;
            }
            if (bo.isNullOrNil(str)) {
                str = getString(2131305389);
            }
            VE(str);
        }
        AppMethodBeat.o(44292);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(44293);
        switch (i) {
            case 1:
                if (i2 == -1) {
                    this.pHq = true;
                    String str = null;
                    ArrayList arrayList = new ArrayList();
                    Uri data = intent.getData();
                    if (data != null) {
                        if (android.support.v4.content.b.checkSelfPermission(this, "android.permission.READ_CONTACTS") == 0) {
                            try {
                                Cursor query = getContentResolver().query(data, null, null, null, null);
                                if (query != null && query.getCount() > 0) {
                                    query.moveToFirst();
                                    int columnIndex = query.getColumnIndex("has_phone_number");
                                    if (columnIndex <= 0 || query.getInt(columnIndex) > 0) {
                                        Cursor query2 = getContentResolver().query(Phone.CONTENT_URI, null, "contact_id = ".concat(String.valueOf(query.getString(query.getColumnIndex("_id")))), null, null);
                                        if (query2 != null && query2.moveToFirst()) {
                                            String str2 = null;
                                            while (!query2.isAfterLast()) {
                                                columnIndex = query2.getColumnIndex("data1");
                                                int columnIndex2 = query2.getColumnIndex("display_name");
                                                String string = query2.getString(columnIndex);
                                                str2 = query2.getString(columnIndex2);
                                                ab.d("MicroMsg.PhoneRechargeUI", "hy: username : ".concat(String.valueOf(str2)));
                                                if (string != null) {
                                                    ab.d("MicroMsg.PhoneRechargeUI", "hy: phoneNumber : ".concat(String.valueOf(string)));
                                                    String ws = com.tencent.mm.plugin.recharge.model.b.ws(string);
                                                    ab.d("MicroMsg.PhoneRechargeUI", "hy: phoneNumber : ".concat(String.valueOf(ws)));
                                                    if (PhoneNumberUtils.isGlobalPhoneNumber(ws) && ws.length() == 11) {
                                                        arrayList.add(ws);
                                                    }
                                                    ab.d("MicroMsg.PhoneRechargeUI", "hy: phoneResult : ".concat(String.valueOf(ws)));
                                                }
                                                query2.moveToNext();
                                            }
                                            str = str2;
                                        }
                                        if (query2 != null) {
                                            query2.close();
                                        }
                                    }
                                }
                                if (!(query == null || query.isClosed())) {
                                    query.close();
                                }
                                if (arrayList.size() <= 1) {
                                    if (arrayList.size() != 1) {
                                        h.b(this, getString(2131301392), "", true);
                                        break;
                                    }
                                    this.pHo.setInput(new com.tencent.mm.plugin.recharge.model.a((String) arrayList.get(0), str, 1));
                                    cem();
                                    break;
                                }
                                com.tencent.mm.ui.widget.a.c a = h.a(this, getString(2131305283), arrayList, -1, new 13(this, arrayList, str));
                                if (a != null) {
                                    a.setCanceledOnTouchOutside(true);
                                    break;
                                }
                            } catch (SecurityException e) {
                                ab.e("MicroMsg.PhoneRechargeUI", "hy: permission denied: %s", new Object[]{e.toString()});
                                h.b(this, getString(2131301394), "", true);
                                break;
                            }
                        }
                        ab.e("MicroMsg.PhoneRechargeUI", "no contact permission");
                        AppMethodBeat.o(44293);
                        return;
                    }
                    ab.e("MicroMsg.PhoneRechargeUI", "hy: uri == null");
                    AppMethodBeat.o(44293);
                    return;
                }
                break;
            case 2:
                if (i2 == -1) {
                    if (!this.piJ) {
                        ab.i("MicroMsg.PhoneRechargeUI", "hy: MallRecharge pay result : ok");
                        com.tencent.mm.plugin.recharge.a.a.cea().a(new com.tencent.mm.plugin.recharge.model.a(this.pGW.getText(), this.pGW.getTipsTv().getText().toString(), 0));
                        finish();
                        this.piJ = true;
                        break;
                    }
                }
                ab.i("MicroMsg.PhoneRechargeUI", "hy: MallRecharge pay result : cancel");
                break;
                break;
        }
        super.onActivityResult(i, i2, intent);
        AppMethodBeat.o(44293);
    }

    private void cem() {
        AppMethodBeat.i(44294);
        g.Rg().a(new com.tencent.mm.plugin.recharge.model.f(this.pGW.getText()), 0);
        AppMethodBeat.o(44294);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(44278);
        this.yll = true;
        super.onCreate(bundle);
        xE(this.mController.dyj());
        g.Rg().a(1571, this);
        g.Rg().a(498, this);
        this.pHj = (MallFunction) getIntent().getParcelableExtra("key_func_info");
        if (this.pHj == null) {
            ab.e("MicroMsg.PhoneRechargeUI", "hy: function info is null");
            t.makeText(this, "function info is null", 1).show();
            finish();
        }
        cel();
        setMMTitle(this.pHj.cOI);
        setBackBtn(new 1(this));
        this.pGn = new e();
        this.pGn.name = getString(2131305276);
        this.pGn.url = getString(2131305277);
        this.pGT = findViewById(2131826525);
        this.pGU = (ImageView) findViewById(2131826527);
        this.pGV = (TextView) findViewById(2131826526);
        this.pGW = (MallFormView) findViewById(2131826529);
        com.tencent.mm.plugin.recharge.ui.form.c.b(this.pGW);
        this.pHo = new b(this.pGW);
        b bVar = this.pHo;
        ab.d(com.tencent.mm.plugin.recharge.ui.form.c.access$100(), "hy: setMobileEditTv");
        MallFormView mallFormView = bVar.pIg;
        1 1 = new 1(bVar);
        if (mallFormView.pIm != null) {
            mallFormView.pIm.addTextChangedListener(1);
        }
        InstantAutoCompleteTextView instantAutoCompleteTextView = (InstantAutoCompleteTextView) bVar.pIg.getContentEditText();
        bVar.pGw = com.tencent.mm.pluginsdk.a.cJ(bVar.pIg.getContext());
        bVar.pIh = new com.tencent.mm.plugin.recharge.ui.form.d(bVar.pIg, bVar.pGw);
        bVar.pIh.pIU = new 2(bVar);
        bVar.pIh.pIV = this;
        bVar.kd(true);
        instantAutoCompleteTextView.setShowAlways(true);
        instantAutoCompleteTextView.setAdapter(bVar.pIh);
        instantAutoCompleteTextView.setOnItemClickListener(new 3(bVar, instantAutoCompleteTextView));
        bVar.pIg.setOnFocusChangeListener(new 4(bVar, instantAutoCompleteTextView));
        instantAutoCompleteTextView.setOnClickListener(new c$b$5(bVar, instantAutoCompleteTextView));
        this.pGZ = (GridView) findViewById(2131826533);
        this.pHb = (TextView) findViewById(2131826540);
        this.pHc = (TextView) findViewById(2131826539);
        this.pHd = (TextView) findViewById(2131826541);
        this.pHe = (TextView) findViewById(2131826538);
        this.pGX = (TextView) findViewById(2131826531);
        this.pGY = (TextView) findViewById(2131826534);
        this.pHa = (GridView) findViewById(2131826536);
        this.pHf = (TextView) findViewById(2131826532);
        this.pHg = (TextView) findViewById(2131826535);
        this.pGW.setOnInputValidChangeListener(new 12(this));
        this.pGW.getInfoIv().setOnClickListener(new 15(this));
        this.pHh = new b();
        this.pHh.pGM = new 16(this);
        this.pHi = new b();
        this.pHi.pGM = new 17(this);
        this.pGZ.setAdapter(this.pHh);
        this.pHa.setAdapter(this.pHi);
        this.pGU.setOnClickListener(new 18(this));
        this.pGV.setOnClickListener(new 19(this));
        this.pGW.cew();
        int gd = (com.tencent.mm.bz.a.gd(this) / 4) - 20;
        ab.i("MicroMsg.PhoneRechargeUI", "max width: %s", new Object[]{Integer.valueOf(gd)});
        this.pHb.setMaxWidth(gd);
        this.pHc.setMaxWidth(gd);
        this.pHd.setMaxWidth(gd);
        this.pHe.setMaxWidth(gd);
        this.pHl = getResources().getColor(2131690316);
        if (!(this.pHo.pGx == null || bo.isNullOrNil(this.pHo.pGx.name))) {
            this.desc = this.pHo.pGx.name;
        }
        this.pGW.getContentEditText().setHintTextColor(getResources().getColor(2131690373));
        if (bo.isNullOrNil(this.pGW.getText())) {
            c(new com.tencent.mm.plugin.recharge.model.f(""), false);
            AppMethodBeat.o(44278);
            return;
        }
        c(new com.tencent.mm.plugin.recharge.model.f(this.pGW.getText()), false);
        AppMethodBeat.o(44278);
    }

    public final void cen() {
        AppMethodBeat.i(44295);
        g.Rg().a(new com.tencent.mm.plugin.recharge.model.f("", 1), 0);
        AppMethodBeat.o(44295);
    }

    static /* synthetic */ void VF(String str) {
        AppMethodBeat.i(44297);
        ab.i("MicroMsg.PhoneRechargeUI", "do scene: %s", new Object[]{str});
        g.Rg().a(new com.tencent.mm.plugin.recharge.model.f(str), 0);
        AppMethodBeat.o(44297);
    }

    static /* synthetic */ boolean a(PhoneRechargeUI phoneRechargeUI, String str, String str2) {
        AppMethodBeat.i(44300);
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            AppMethodBeat.o(44300);
            return false;
        }
        CharSequence charSequence = "";
        CharSequence charSequence2 = "";
        CharSequence charSequence3 = "";
        if (!(phoneRechargeUI.pHo == null || phoneRechargeUI.pHo.pGx == null || bo.isNullOrNil(phoneRechargeUI.pHo.pGx.name))) {
            com.tencent.mm.plugin.recharge.model.a aVar = phoneRechargeUI.pHo.pGx;
            charSequence = aVar.pFM;
            charSequence2 = aVar.name;
            charSequence3 = aVar.cvp == 3 ? "1" : "0";
        }
        ab.i("MicroMsg.PhoneRechargeUI", "weappID: %s, weappPath: %s", new Object[]{str, str2.replace("{phone}", charSequence).replace("{remark}", charSequence2).replace("{isbind}", charSequence3)});
        se seVar = new se();
        seVar.cOf.userName = str;
        seVar.cOf.cOh = bo.bc(r0, "");
        seVar.cOf.scene = 1098;
        seVar.cOf.cOi = 0;
        com.tencent.mm.sdk.b.a.xxA.m(seVar);
        AppMethodBeat.o(44300);
        return true;
    }

    static /* synthetic */ void d(PhoneRechargeUI phoneRechargeUI, String str) {
        AppMethodBeat.i(44304);
        phoneRechargeUI.c(new com.tencent.mm.plugin.recharge.model.g(phoneRechargeUI.mAppId, phoneRechargeUI.pHj.pFP, str, "mobile=" + com.tencent.mm.plugin.recharge.model.b.ws(phoneRechargeUI.pGW.getText()) + "&markup=" + (phoneRechargeUI.pHo.pGx != null ? phoneRechargeUI.pHo.pGx.name : "")), true);
        AppMethodBeat.o(44304);
    }

    static /* synthetic */ void g(PhoneRechargeUI phoneRechargeUI) {
        AppMethodBeat.i(44305);
        if (phoneRechargeUI.pHp != null) {
            Object valueOf;
            String str = (String) g.RP().Ry().get(ac.a.xJV, "");
            if (bo.isNullOrNil(str)) {
                valueOf = String.valueOf(phoneRechargeUI.pHp.id);
            } else {
                valueOf = str + ";" + phoneRechargeUI.pHp.id;
            }
            g.RP().Ry().set(ac.a.xJV, valueOf);
            g.RP().Ry().dsb();
        }
        AppMethodBeat.o(44305);
    }
}
