package com.tencent.mm.plugin.webview.ui.tools;

import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.at.a.a.c$a;
import com.tencent.mm.at.o;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.gdpr.c;
import com.tencent.mm.plugin.webview.model.ag;
import com.tencent.mm.plugin.webview.model.z;
import com.tencent.mm.protocal.protobuf.bew;
import com.tencent.mm.protocal.protobuf.buo;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.a;
import java.io.IOException;
import java.util.Iterator;
import java.util.LinkedList;

@a(3)
public class SDKOAuthOtherUI extends MMActivity implements f {
    private int accountType = 2;
    private String appId;
    private String cOG;
    private long startTime;
    private String state;
    private String transaction;
    private ag usm;
    private buo usn;
    private int uso;
    private boolean usp = false;
    private a usv;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        boolean z = false;
        AppMethodBeat.i(7516);
        super.onCreate(bundle);
        xE(getResources().getColor(2131689613));
        dyb();
        setMMTitle(getString(2131301683));
        pP(false);
        b(null, new 1(this));
        Intent intent = getIntent();
        this.appId = intent.getStringExtra("0");
        this.transaction = intent.getStringExtra("1");
        try {
            this.usn = (buo) new buo().parseFrom(intent.getByteArrayExtra("2"));
        } catch (IOException e) {
            ab.e("MicroMsg.SDKOAuthOtherUI", "SdkOauthAuthorizeResp parseFrom byteArray failed");
        }
        this.state = intent.getStringExtra("4");
        this.usp = intent.getBooleanExtra("auth_from_scan", false);
        if (this.usp) {
            this.accountType = 3;
            this.cOG = intent.getStringExtra("auth_raw_url");
            this.usm = new ag(this, this.appId, this.cOG);
        } else {
            this.usm = new ag(this, this.appId, this.transaction, this.state);
        }
        this.uso = intent.getIntExtra("3", -1);
        TextView textView = (TextView) findViewById(2131827264);
        textView.setText(2131301682);
        textView.getPaint().setFakeBoldText(true);
        ImageView imageView = (ImageView) findViewById(2131827262);
        TextView textView2 = (TextView) findViewById(2131827263);
        c$a c_a = new c$a();
        c_a.ePT = 2131231695;
        c_a.eQg = getResources().getDimension(2131428616);
        c_a.eQf = true;
        o.ahp().a(this.usn.wIL, imageView, c_a.ahG());
        textView2.setText(this.usn.fhH);
        ListView listView = (ListView) findViewById(2131827265);
        LinkedList linkedList = new LinkedList();
        Iterator it = this.usn.wIK.iterator();
        while (it.hasNext()) {
            boolean z2;
            bew bew = (bew) it.next();
            if (!(bew.scope.equals("snsapi_userinfo") || bew.scope.equals("snsapi_login") || bew.scope.equals("group_sns_login") || bew.scope.equals("snsapi_friend"))) {
                linkedList.add(bew);
                if (bew.wIR == 3) {
                    z2 = true;
                    z = z2;
                }
            }
            z2 = z;
            z = z2;
        }
        this.usv = new a(this, linkedList);
        listView.setAdapter(this.usv);
        Button button = (Button) findViewById(2131827266);
        Button button2 = (Button) findViewById(2131827267);
        int intExtra = intent.getIntExtra("5", -2);
        int intExtra2 = intent.getIntExtra("6", -2);
        this.startTime = System.currentTimeMillis();
        button.setOnClickListener(new 2(this, intExtra, intExtra2));
        button2.setOnClickListener(new 3(this, z, intExtra, intExtra2));
        AppMethodBeat.o(7516);
    }

    public void onResume() {
        AppMethodBeat.i(7517);
        super.onResume();
        g.Rg().a(1346, this);
        g.Rg().a(1137, this);
        AppMethodBeat.o(7517);
    }

    public void onPause() {
        AppMethodBeat.i(7518);
        super.onPause();
        g.Rg().b(1346, this);
        g.Rg().b(1137, this);
        AppMethodBeat.o(7518);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(7519);
        if (i == 4 && keyEvent.getRepeatCount() == 0) {
            com.tencent.mm.plugin.webview.e.a aVar = com.tencent.mm.plugin.webview.e.a.uKJ;
            com.tencent.mm.plugin.webview.e.a.a(this.appId, this.startTime, 0, this.accountType, 4, 1, 0);
            this.usm.IH(-2);
            finish();
            AppMethodBeat.o(7519);
            return true;
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(7519);
        return onKeyDown;
    }

    public final int getLayoutId() {
        return 2130970563;
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(7520);
        if (!(i == 0 && i2 == 0)) {
            com.tencent.mm.plugin.webview.e.a aVar = com.tencent.mm.plugin.webview.e.a.uKJ;
            com.tencent.mm.plugin.webview.e.a.a(this.appId, this.startTime, 2, this.accountType, 4, 1, i2);
        }
        if (mVar instanceof com.tencent.mm.plugin.webview.model.ab) {
            this.usm.j(i, i2, str, mVar);
            AppMethodBeat.o(7520);
            return;
        }
        if (mVar instanceof z) {
            this.usm.z(i, i2, str);
        }
        AppMethodBeat.o(7520);
    }

    private void ap(int i, int i2, int i3) {
        AppMethodBeat.i(7521);
        ab.i("MicroMsg.SDKOAuthOtherUI", "accept go  MPGdprPolicyUtil.checkPolicy");
        c.a(this, com.tencent.mm.model.gdpr.a.fom, this.appId, new 4(this, i3, i, i2));
        AppMethodBeat.o(7521);
    }

    static /* synthetic */ void a(SDKOAuthOtherUI sDKOAuthOtherUI, int i, int i2) {
        AppMethodBeat.i(7522);
        sDKOAuthOtherUI.ap(i, i2, 7);
        AppMethodBeat.o(7522);
    }

    static /* synthetic */ void a(SDKOAuthOtherUI sDKOAuthOtherUI, boolean z, int i, int i2) {
        AppMethodBeat.i(7523);
        if (z) {
            sDKOAuthOtherUI.usm.IH(-4);
        }
        sDKOAuthOtherUI.ap(i, i2, 8);
        AppMethodBeat.o(7523);
    }
}
