package com.tencent.mm.plugin.webview.ui.tools.jsapi;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.modelgeo.c;
import com.tencent.mm.modelgeo.d;
import com.tencent.mm.pluginsdk.ui.tools.AppChooserUI;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.ttpic.util.VideoMaterialUtil;
import java.lang.ref.WeakReference;
import java.net.URISyntaxException;
import java.net.URLEncoder;
import java.util.ArrayList;

public final class j implements com.tencent.mm.ui.MMActivity.a {
    WeakReference<Context> aIq;
    d fwu = null;
    c nOO = null;
    boolean uIK = false;
    int uIL;
    e uIM;
    e uIN;
    String uIO;
    d uIP;
    com.tencent.mm.modelgeo.c.a uIQ = null;
    com.tencent.mm.modelgeo.c.a uIR = null;
    com.tencent.mm.modelgeo.b.a uIS = null;
    final Runnable uIT = new 1(this);
    int unO;

    static final class a extends f {
        private a() {
            super((byte) 0);
        }

        /* synthetic */ a(byte b) {
            this();
        }

        /* Access modifiers changed, original: protected|final */
        public final void a(Context context, e eVar, e eVar2, String str) {
            AppMethodBeat.i(9826);
            if (context == null) {
                super.a(context, eVar, eVar2, str);
                AppMethodBeat.o(9826);
                return;
            }
            Object format = String.format("baidumap://map/direction?destination=%f,%f&mode=driving", new Object[]{Double.valueOf(eVar2.latitude), Double.valueOf(eVar2.longitude)});
            if (eVar != null) {
                format = format + String.format("origin=%f,%f", new Object[]{Double.valueOf(eVar.latitude), Double.valueOf(eVar.longitude)});
            }
            ab.d("MicroMsg.OpenMapNavigator", "url ".concat(String.valueOf(format)));
            try {
                context.startActivity(Intent.parseUri(format + "&src=webapp.car.carroutelistmappg.weixindrivenav", 0));
                AppMethodBeat.o(9826);
            } catch (URISyntaxException e) {
                ab.printErrStackTrace("MicroMsg.OpenMapNavigator", e, "", new Object[0]);
                AppMethodBeat.o(9826);
            }
        }

        /* Access modifiers changed, original: protected|final */
        public final String getPackageName() {
            AppMethodBeat.i(9827);
            String str = com.tencent.mm.pluginsdk.model.a.a.vaX.getPackage();
            AppMethodBeat.o(9827);
            return str;
        }
    }

    static final class h extends f {
        private h() {
            super((byte) 0);
        }

        /* synthetic */ h(byte b) {
            this();
        }

        /* Access modifiers changed, original: protected|final */
        public final void a(Context context, e eVar, e eVar2, String str) {
            AppMethodBeat.i(9834);
            if (context == null) {
                super.a(context, eVar, eVar2, str);
                AppMethodBeat.o(9834);
                return;
            }
            String format = String.format("sosomap://type=nav&tocoord=%f,%f", new Object[]{Double.valueOf(eVar2.longitude), Double.valueOf(eVar2.latitude)});
            if (eVar != null) {
                format = format + String.format("fromcoord=%f,%f", new Object[]{Double.valueOf(eVar.longitude), Double.valueOf(eVar.latitude)});
                if (!bo.isNullOrNil(eVar.uIW)) {
                    format = format + String.format("&from=%s", new Object[]{URLEncoder.encode(eVar.uIW)});
                }
            }
            if (bo.isNullOrNil(str)) {
                if (bo.isNullOrNil(eVar2.uIW)) {
                    str = "地图选点";
                } else {
                    str = eVar2.uIW;
                }
            }
            format = format + String.format("&to=%s", new Object[]{URLEncoder.encode(str)});
            Intent intent = new Intent("android.intent.action.VIEW", Uri.parse(format + "&referer=wx_client"));
            intent.setPackage(com.tencent.mm.pluginsdk.model.a.a.vaU.getPackage());
            context.startActivity(intent);
            AppMethodBeat.o(9834);
        }

        /* Access modifiers changed, original: protected|final */
        public final String getPackageName() {
            AppMethodBeat.i(138443);
            String str = com.tencent.mm.pluginsdk.model.a.a.vaU.getPackage();
            AppMethodBeat.o(138443);
            return str;
        }
    }

    public final void c(int i, int i2, Intent intent) {
        AppMethodBeat.i(9836);
        Context context = (Context) this.aIq.get();
        if (!(this.uIP == null || context == null)) {
            if (!this.uIK) {
                ab.e("MicroMsg.OpenMapNavigator", "onActivityResult called without msgId attached...");
            } else if (i != 33) {
                ab.e("MicroMsg.OpenMapNavigator", "onActivityResult, mismatched request_code = %d", new Object[]{Integer.valueOf(i)});
                this.uIP.onFail(this.unO);
            } else if (i2 == 4097 || i2 == 0) {
                this.uIP.JP(this.unO);
            } else if (i2 == -1) {
                String stringExtra = intent.getStringExtra("selectpkg");
                if (bo.isNullOrNil(stringExtra)) {
                    ab.e("MicroMsg.OpenMapNavigator", "onActivityResult, get null packageName");
                    this.uIP.onFail(this.unO);
                } else {
                    f cVar;
                    if (com.tencent.mm.pluginsdk.model.a.a.vaV.getPackage().equals(stringExtra)) {
                        cVar = new c((byte) 0);
                    } else if (com.tencent.mm.pluginsdk.model.a.a.vaX.getPackage().equals(stringExtra)) {
                        cVar = new a();
                    } else if (com.tencent.mm.pluginsdk.model.a.a.vaW.getPackage().equals(stringExtra)) {
                        cVar = new g((byte) 0);
                    } else if (com.tencent.mm.pluginsdk.model.a.a.vaY.getPackage().equals(stringExtra)) {
                        cVar = new b((byte) 0);
                    } else {
                        cVar = new h();
                    }
                    cVar.a(context, this.uIM, this.uIN, this.uIO);
                    this.uIP.onSuccess(this.unO);
                }
            } else {
                ab.e("MicroMsg.OpenMapNavigator", "onActivityResult, not support result_code = %d", new Object[]{Integer.valueOf(i2)});
                this.uIP.onFail(this.unO);
            }
        }
        if (this.uIK && this.uIP != null) {
            this.uIP.JQ(this.unO);
        }
        this.uIK = false;
        this.uIL = com.tencent.mm.pluginsdk.model.a.a.vaU.code;
        this.uIM = null;
        this.uIN = null;
        this.aIq = null;
        this.uIP = null;
        this.uIO = null;
        this.uIQ = null;
        this.uIR = null;
        if (!(this.fwu == null || this.uIS == null)) {
            this.fwu.c(this.uIS);
        }
        this.fwu = null;
        this.uIS = null;
        if (this.nOO != null) {
            if (this.uIQ != null) {
                this.nOO.a(this.uIQ);
            }
            if (this.uIR != null) {
                this.nOO.a(this.uIR);
            }
        }
        this.nOO = null;
        this.uIQ = null;
        this.uIR = null;
        AppMethodBeat.o(9836);
    }

    j() {
        AppMethodBeat.i(9837);
        AppMethodBeat.o(9837);
    }

    /* Access modifiers changed, original: final */
    public final void dcP() {
        Context context = null;
        AppMethodBeat.i(9838);
        this.uIS = null;
        this.uIQ = null;
        this.uIR = null;
        if (this.aIq != null) {
            context = (Context) this.aIq.get();
        }
        if (context == null) {
            AppMethodBeat.o(9838);
            return;
        }
        Intent intent = new Intent(context, AppChooserUI.class);
        ArrayList arrayList = new ArrayList(5);
        arrayList.add(com.tencent.mm.pluginsdk.model.a.a.vaU.getPackage());
        arrayList.add(com.tencent.mm.pluginsdk.model.a.a.vaV.getPackage());
        arrayList.add(com.tencent.mm.pluginsdk.model.a.a.vaW.getPackage());
        arrayList.add(com.tencent.mm.pluginsdk.model.a.a.vaX.getPackage());
        arrayList.add(com.tencent.mm.pluginsdk.model.a.a.vaY.getPackage());
        intent.putStringArrayListExtra("targetwhitelist", arrayList);
        Intent intent2 = new Intent("android.intent.action.VIEW", Uri.parse(String.format("geo:%f,%f", new Object[]{Double.valueOf(this.uIN.latitude), Double.valueOf(this.uIN.longitude)})));
        intent.putExtra("targetintent", intent2);
        Bundle bundle = new Bundle(2);
        bundle.putInt("key_map_app", this.uIL);
        bundle.putParcelable("key_target_intent", intent2);
        intent.putExtra("key_recommend_params", bundle);
        intent.putExtra(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE, 2);
        intent.putExtra("title", context.getString(2131305715));
        ((MMActivity) context).b(this, intent, 33);
        AppMethodBeat.o(9838);
    }
}
