package com.tencent.mm.ui;

import android.content.Context;
import android.content.Intent;
import android.database.DataSetObserver;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.at.a.a.c;
import com.tencent.mm.at.a.a.c$a;
import com.tencent.mm.at.o;
import com.tencent.mm.g.a.nx;
import com.tencent.mm.g.a.tz;
import com.tencent.mm.model.aw;
import com.tencent.mm.protocal.protobuf.anz;
import com.tencent.mm.protocal.protobuf.bxi;
import com.tencent.mm.protocal.protobuf.cfx;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.p;
import com.tencent.mm.ui.base.t;
import com.tencent.mm.ui.widget.MMSwitchBtn;
import java.util.Iterator;
import java.util.LinkedList;

public class ServiceNotifySettingsUI extends MMActivity implements f {
    private DataSetObserver PL;
    private ListView mListView;
    private int mMode;
    private String mSceneId;
    private MMSwitchBtn omp;
    private p sfa;
    private a ypX;

    static class a extends BaseAdapter {
        private Context mContext;
        private LayoutInflater mLayoutInflater;
        private int mMode;
        private OnClickListener mOnClickListener;
        private String mSceneId;
        LinkedList<a> yqd = new LinkedList();
        LinkedList<a> yqe = new LinkedList();
        private c yqf;

        public final /* synthetic */ Object getItem(int i) {
            AppMethodBeat.i(29861);
            a Nv = Nv(i);
            AppMethodBeat.o(29861);
            return Nv;
        }

        public a(Context context, LayoutInflater layoutInflater, int i, String str) {
            AppMethodBeat.i(29857);
            this.mContext = context;
            this.mMode = i;
            this.mSceneId = str;
            this.mLayoutInflater = layoutInflater;
            this.mOnClickListener = new 1(this, i);
            c$a c_a = new c$a();
            c_a.eQf = true;
            c_a.ePW = com.tencent.mm.modelappbrand.a.a.abQ();
            this.yqf = c_a.ahG();
            AppMethodBeat.o(29857);
        }

        public final int getCount() {
            AppMethodBeat.i(29858);
            int size = this.yqd.size();
            AppMethodBeat.o(29858);
            return size;
        }

        private a Nv(int i) {
            AppMethodBeat.i(29859);
            a aVar = (a) this.yqd.get(i);
            AppMethodBeat.o(29859);
            return aVar;
        }

        public final long getItemId(int i) {
            return (long) i;
        }

        public final View getView(int i, View view, ViewGroup viewGroup) {
            b bVar;
            AppMethodBeat.i(29860);
            a Nv = Nv(i);
            if (view == null) {
                view = this.mLayoutInflater.inflate(2130970618, viewGroup, false);
                b bVar2 = new b((byte) 0);
                bVar2.eks = (ImageView) view.findViewById(2131827354);
                bVar2.gne = (TextView) view.findViewById(2131821314);
                bVar2.yqj = (TextView) view.findViewById(2131827355);
                view.setTag(bVar2);
                bVar = bVar2;
            } else {
                bVar = (b) view.getTag();
            }
            o.ahp().a(Nv.url, bVar.eks, this.yqf);
            bVar.gne.setText(Nv.title);
            if (this.mMode == 1) {
                bVar.yqj.setText(this.mContext.getString(2131301846));
            } else {
                bVar.yqj.setText(this.mContext.getString(2131301847));
            }
            bVar.yqj.setTag(Nv.username);
            bVar.yqj.setOnClickListener(this.mOnClickListener);
            AppMethodBeat.o(29860);
            return view;
        }
    }

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    /* Access modifiers changed, original: protected|final */
    public final int getLayoutId() {
        return 2130970619;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(29862);
        super.onCreate(bundle);
        Intent intent = getIntent();
        this.mMode = intent.getIntExtra("mode", 0);
        this.mSceneId = intent.getStringExtra("scene_id");
        intent.putExtra("scene_id", this.mSceneId);
        String stringExtra = intent.getStringExtra("title");
        if (TextUtils.isEmpty(stringExtra)) {
            setMMTitle(2131301855);
        } else {
            setMMTitle(stringExtra);
        }
        setBackBtn(new 1(this));
        this.omp = (MMSwitchBtn) findViewById(2131820932);
        this.mListView = (ListView) findViewById(2131821698);
        ((TextView) findViewById(2131827357)).setText(this.mMode == 1 ? 2131301838 : 2131301835);
        ((TextView) findViewById(2131827356)).setText(this.mMode == 1 ? 2131301839 : 2131301841);
        this.ypX = new a(this, getLayoutInflater(), this.mMode, this.mSceneId);
        this.mListView.setAdapter(this.ypX);
        getString(2131297061);
        this.sfa = h.b(this, getString(2131297086), true, new 2(this));
        this.PL = new 3(this);
        this.ypX.registerDataSetObserver(this.PL);
        int i = 3;
        if (this.mMode == 1) {
            i = 12;
        }
        aw.Rg().a(1145, this);
        aw.Rg().a(new com.tencent.mm.modelappbrand.p(i), 0);
        this.omp.setCheck(dzb());
        AppMethodBeat.o(29862);
    }

    public void onDestroy() {
        int i;
        int i2 = 3;
        AppMethodBeat.i(29863);
        aw.Rg().b(1145, this);
        boolean dzb = dzb();
        boolean z = this.omp.zMU != dzb;
        LinkedList linkedList = new LinkedList();
        if (z) {
            int i3;
            boolean z2;
            cfx cfx = new cfx();
            if (this.omp.zMU) {
                i3 = 1;
            } else {
                i3 = 0;
            }
            cfx.xeW = i3;
            if (this.mMode == 1) {
                i3 = 2;
            } else {
                i3 = 0;
            }
            cfx.jCt = i3;
            linkedList.add(cfx);
            if (dzb) {
                z2 = false;
            } else {
                z2 = true;
            }
            com.tencent.mm.storage.ac.a aVar = com.tencent.mm.storage.ac.a.xON;
            if (this.mMode == 1) {
                aVar = com.tencent.mm.storage.ac.a.xOO;
            }
            aw.ZK();
            com.tencent.mm.model.c.Ry().set(aVar, Boolean.valueOf(z2));
            com.tencent.mm.sdk.b.a.xxA.m(new nx());
            if (this.mMode == 1) {
                if (cfx.xeW == 1) {
                    i3 = 3;
                } else {
                    i3 = 2;
                }
                ab.d("MicroMsg.ServiceNotifySettingsUI", "stev report(%s), eventId : %s, mSceneId %s", new Object[]{Integer.valueOf(13798), Integer.valueOf(i3), this.mSceneId});
                com.tencent.mm.plugin.report.service.h.pYm.e(13798, new Object[]{Integer.valueOf(i3), "", Integer.valueOf(0), this.mSceneId, Long.valueOf(bo.anT())});
            } else {
                i3 = cfx.xeW == 1 ? 11 : 10;
                com.tencent.mm.plugin.report.service.h.pYm.e(13796, new Object[]{Integer.valueOf(i3), "", "", Integer.valueOf(0), Long.valueOf(bo.anT())});
            }
        }
        if (this.mMode == 1) {
            i = 2;
        } else {
            i = 1;
        }
        LinkedList linkedList2 = this.ypX.yqe;
        if (!(linkedList2 == null || linkedList2.isEmpty())) {
            if (this.mMode != 1) {
                i2 = 1;
            }
            Iterator it = linkedList2.iterator();
            while (it.hasNext()) {
                a aVar2 = (a) it.next();
                cfx cfx2 = new cfx();
                cfx2.xeX = aVar2.username;
                cfx2.jCt = i2;
                cfx2.xeW = 1;
                linkedList.add(cfx2);
                tz tzVar = new tz();
                tzVar.cQf.csl = aVar2.username;
                tzVar.cQf.action = 2;
                tzVar.cQf.cQh = i;
                com.tencent.mm.sdk.b.a.xxA.m(tzVar);
            }
        }
        if (!linkedList.isEmpty()) {
            aw.Rg().a(1176, new 4(this, z, dzb, linkedList, i));
            aw.Rg().a(new com.tencent.mm.modelappbrand.o(linkedList), 0);
        }
        this.ypX.unregisterDataSetObserver(this.PL);
        super.onDestroy();
        AppMethodBeat.o(29863);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(29864);
        if (this.sfa != null) {
            this.sfa.dismiss();
        }
        ab.i("MicroMsg.ServiceNotifySettingsUI", "onSceneEnd(GetServiceNotifyOptions), errType : %s, errCode : %s, errMsg : %s.", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), str});
        if (i == 0 && i2 == 0) {
            final anz abG = ((com.tencent.mm.modelappbrand.p) mVar).abG();
            if (this.mMode == 1) {
                this.omp.setCheck(abG.wsw);
            } else {
                this.omp.setCheck(abG.vKO);
            }
            runOnUiThread(new Runnable() {
                public final void run() {
                    AppMethodBeat.i(29854);
                    if (ServiceNotifySettingsUI.this.mMode == 1) {
                        ServiceNotifySettingsUI.a(ServiceNotifySettingsUI.this, abG.wsx);
                        AppMethodBeat.o(29854);
                        return;
                    }
                    ServiceNotifySettingsUI.a(ServiceNotifySettingsUI.this, abG.vKP);
                    AppMethodBeat.o(29854);
                }
            });
            AppMethodBeat.o(29864);
            return;
        }
        t.makeText(this, 2131301844, 0).show();
        AppMethodBeat.o(29864);
    }

    private boolean dzb() {
        AppMethodBeat.i(29865);
        com.tencent.mm.storage.ac.a aVar = com.tencent.mm.storage.ac.a.xON;
        if (this.mMode == 1) {
            aVar = com.tencent.mm.storage.ac.a.xOO;
        }
        aw.ZK();
        boolean z = com.tencent.mm.model.c.Ry().getBoolean(aVar, true);
        AppMethodBeat.o(29865);
        return z;
    }

    static /* synthetic */ void a(ServiceNotifySettingsUI serviceNotifySettingsUI, LinkedList linkedList) {
        AppMethodBeat.i(29866);
        LinkedList linkedList2 = new LinkedList();
        Iterator it = linkedList.iterator();
        while (it.hasNext()) {
            bxi bxi = (bxi) it.next();
            a aVar = new a((byte) 0);
            aVar.username = bxi.username;
            aVar.title = bxi.nickname;
            aVar.url = bxi.wrK;
            linkedList2.add(aVar);
        }
        a aVar2 = serviceNotifySettingsUI.ypX;
        aVar2.yqd.clear();
        if (!linkedList2.isEmpty()) {
            aVar2.yqd.addAll(linkedList2);
        }
        serviceNotifySettingsUI.ypX.notifyDataSetChanged();
        AppMethodBeat.o(29866);
    }
}
