package com.tencent.mm.ui.base;

import android.annotation.TargetApi;
import android.content.Context;
import android.os.Build.VERSION;
import android.util.AttributeSet;
import android.view.View;
import android.widget.GridView;
import android.widget.ListAdapter;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.lang.reflect.Field;
import java.util.ArrayList;

public class HeaderGridView extends GridView {
    private ArrayList<a> oiP = new ArrayList();

    public HeaderGridView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(106303);
        super.setClipChildren(false);
        AppMethodBeat.o(106303);
    }

    public HeaderGridView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(106304);
        super.setClipChildren(false);
        AppMethodBeat.o(106304);
    }

    @TargetApi(11)
    public int getNumColumns() {
        int i = 1;
        AppMethodBeat.i(106305);
        if (VERSION.SDK_INT >= 11) {
            i = super.getNumColumns();
            AppMethodBeat.o(106305);
            return i;
        }
        try {
            Field declaredField = getClass().getSuperclass().getDeclaredField("mNumColumns");
            declaredField.setAccessible(true);
            i = declaredField.getInt(this);
            AppMethodBeat.o(106305);
            return i;
        } catch (Exception e) {
            AppMethodBeat.o(106305);
            return i;
        }
    }

    public void setClipChildren(boolean z) {
    }

    public final void eE(View view) {
        AppMethodBeat.i(106306);
        ListAdapter adapter = getAdapter();
        if (adapter == null || (adapter instanceof c)) {
            a aVar = new a((byte) 0);
            b bVar = new b(this, getContext());
            bVar.addView(view);
            aVar.view = view;
            aVar.oiV = bVar;
            aVar.data = null;
            aVar.isSelectable = false;
            this.oiP.add(aVar);
            if (adapter != null) {
                ((c) adapter).mDataSetObservable.notifyChanged();
            }
            AppMethodBeat.o(106306);
            return;
        }
        IllegalStateException illegalStateException = new IllegalStateException("Cannot add header view to grid -- setAdapter has already been called.");
        AppMethodBeat.o(106306);
        throw illegalStateException;
    }

    public int getHeaderViewCount() {
        AppMethodBeat.i(106307);
        int size = this.oiP.size();
        AppMethodBeat.o(106307);
        return size;
    }

    public final void setAdapter$159aa965(ListAdapter listAdapter) {
        AppMethodBeat.i(106308);
        if (this.oiP.size() > 0) {
            c cVar = new c(this.oiP, listAdapter);
            if (cVar.mNumColumns != 5) {
                cVar.mNumColumns = 5;
                cVar.mDataSetObservable.notifyChanged();
            }
            super.setAdapter(cVar);
            AppMethodBeat.o(106308);
            return;
        }
        super.setAdapter(listAdapter);
        AppMethodBeat.o(106308);
    }
}
