package android.support.design.widget;

import android.os.Build.VERSION;
import android.support.v4.view.a;
import android.support.v4.view.a.b;
import android.text.TextUtils;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.widget.EditText;

class TextInputLayout$a extends a {
    final /* synthetic */ TextInputLayout tS;

    TextInputLayout$a(TextInputLayout textInputLayout) {
        this.tS = textInputLayout;
    }

    public final void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(view, accessibilityEvent);
        accessibilityEvent.setClassName(TextInputLayout.class.getSimpleName());
    }

    public final void onPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
        super.onPopulateAccessibilityEvent(view, accessibilityEvent);
        CharSequence charSequence = this.tS.oU.mText;
        if (!TextUtils.isEmpty(charSequence)) {
            accessibilityEvent.getText().add(charSequence);
        }
    }

    public final void onInitializeAccessibilityNodeInfo(View view, b bVar) {
        super.onInitializeAccessibilityNodeInfo(view, bVar);
        bVar.setClassName(TextInputLayout.class.getSimpleName());
        CharSequence charSequence = this.tS.oU.mText;
        if (!TextUtils.isEmpty(charSequence)) {
            bVar.setText(charSequence);
        }
        if (this.tS.tc != null) {
            EditText editText = this.tS.tc;
            if (VERSION.SDK_INT >= 17) {
                bVar.NG.setLabelFor(editText);
            }
        }
        charSequence = this.tS.tm != null ? this.tS.tm.getText() : null;
        if (!TextUtils.isEmpty(charSequence)) {
            if (VERSION.SDK_INT >= 19) {
                bVar.NG.setContentInvalid(true);
            }
            if (VERSION.SDK_INT >= 21) {
                bVar.NG.setError(charSequence);
            }
        }
    }
}
