package com.tencent.mm.plugin.appbrand.launching;

import android.os.HandlerThread;
import android.support.v4.f.a;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.iz;
import com.tencent.mm.g.a.vx;
import com.tencent.mm.g.a.vy;
import com.tencent.mm.g.b.a.cg;
import com.tencent.mm.model.ai;
import com.tencent.mm.plugin.appbrand.app.f;
import com.tencent.mm.plugin.appbrand.appcache.WxaPkgWrappingInfo;
import com.tencent.mm.plugin.appbrand.appcache.s;
import com.tencent.mm.plugin.appbrand.appusage.k;
import com.tencent.mm.plugin.appbrand.config.AppBrandGlobalSystemConfig;
import com.tencent.mm.plugin.appbrand.config.AppBrandInitConfigWC;
import com.tencent.mm.plugin.appbrand.config.AppBrandLaunchReferrer;
import com.tencent.mm.plugin.appbrand.config.AppBrandSysConfigWC;
import com.tencent.mm.plugin.appbrand.config.WxaAttributes;
import com.tencent.mm.plugin.appbrand.config.WxaAttributes.e;
import com.tencent.mm.plugin.appbrand.config.h;
import com.tencent.mm.plugin.appbrand.config.p;
import com.tencent.mm.plugin.appbrand.r.j;
import com.tencent.mm.plugin.appbrand.report.AppBrandStatObject;
import com.tencent.mm.plugin.appbrand.report.model.kv_14609;
import com.tencent.mm.plugin.appbrand.report.quality.QualitySession;
import com.tencent.mm.sdk.b.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ac;
import com.tencent.mm.vending.j.d;
import java.util.List;
import java.util.Locale;
import java.util.Timer;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.FutureTask;
import java.util.concurrent.TimeUnit;

public final class g implements ILaunchWxaAppInfoNotify {
    private static final a<String, g> igC = new a();
    private static final d<AppBrandSysConfigWC, AppBrandLaunchErrorAction, AppStartupPerformanceReportBundle> igQ = com.tencent.mm.vending.j.a.i(null, null, null);
    final String appId;
    final int cDB;
    final int cOq;
    final int har;
    final String hgC;
    final AppBrandLaunchReferrer hgF;
    private final QualitySession hgN;
    volatile b igD;
    volatile boolean igE;
    volatile d<AppBrandSysConfigWC, AppBrandLaunchErrorAction, AppStartupPerformanceReportBundle> igF;
    volatile long igG;
    final String igH;
    final int igI;
    private volatile e igJ;
    private final AppStartupPerformanceReportBundle igK;
    private final List<kv_14609> igL;
    private final c<iz> igM;
    private final List<cg> igN;
    private final c<vx> igO;
    private final c<vy> igP;
    volatile boolean started;
    final String username;

    static {
        AppMethodBeat.i(131801);
        AppMethodBeat.o(131801);
    }

    static g Cg(String str) {
        g gVar;
        AppMethodBeat.i(131787);
        synchronized (igC) {
            try {
                gVar = (g) igC.remove(str);
            } catch (Throwable th) {
                while (true) {
                    AppMethodBeat.o(131787);
                }
            }
        }
        if (gVar != null) {
            ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "pollProcess appId(%s) type(%d) sessionId(%s)", new Object[]{gVar.appId, Integer.valueOf(gVar.har), str});
        }
        AppMethodBeat.o(131787);
        return gVar;
    }

    static g Ch(String str) {
        g gVar;
        AppMethodBeat.i(131788);
        synchronized (igC) {
            try {
                gVar = (g) igC.get(str);
            } finally {
                while (true) {
                }
                AppMethodBeat.o(131788);
            }
        }
        return gVar;
    }

    public g(AppBrandInitConfigWC appBrandInitConfigWC, AppBrandStatObject appBrandStatObject) {
        this(appBrandInitConfigWC.username, appBrandInitConfigWC.appId, appBrandInitConfigWC.gVs, appBrandStatObject.cOq, appBrandStatObject.scene, appBrandInitConfigWC.hgC, appBrandInitConfigWC.hgF, appBrandInitConfigWC.xz(), -1, appBrandInitConfigWC.hgN);
        AppMethodBeat.i(131789);
        if (appBrandInitConfigWC.xy()) {
            s.xp(appBrandInitConfigWC.appId);
        }
        AppMethodBeat.o(131789);
    }

    public g(String str, String str2, int i, int i2, int i3, String str3, AppBrandLaunchReferrer appBrandLaunchReferrer, String str4, int i4, QualitySession qualitySession) {
        AppMethodBeat.i(131790);
        this.igG = -1;
        this.igL = new CopyOnWriteArrayList();
        this.igM = new 1(this);
        this.igN = new CopyOnWriteArrayList();
        this.igO = new 2(this);
        this.igP = new 3(this);
        this.username = str;
        this.appId = str2;
        this.har = i;
        this.cOq = i2;
        this.cDB = i3;
        this.hgC = str3;
        this.hgF = appBrandLaunchReferrer;
        this.igH = str4;
        this.igI = i4;
        this.hgN = qualitySession;
        this.igK = new AppStartupPerformanceReportBundle(qualitySession.igT);
        AppMethodBeat.o(131790);
    }

    /* Access modifiers changed, original: final */
    public final void a(d<AppBrandSysConfigWC, AppBrandLaunchErrorAction, AppStartupPerformanceReportBundle> dVar) {
        AppMethodBeat.i(131791);
        this.igF = dVar;
        if (this.igD != null) {
            this.igD.a((AppBrandSysConfigWC) dVar.get(0), (AppBrandLaunchErrorAction) dVar.get(1), (AppStartupPerformanceReportBundle) dVar.get(2));
            Cg(this.igH);
        }
        AppMethodBeat.o(131791);
    }

    public final void a(String str, int i, String str2, aa aaVar) {
        AppMethodBeat.i(131792);
        if (this.igF != null) {
            AppBrandLaunchErrorAction.a aVar = AppBrandLaunchErrorAction.CREATOR;
            AppBrandLaunchErrorAction a = AppBrandLaunchErrorAction.a.a(this.appId, this.har, aaVar);
            if (a != null) {
                this.igF = com.tencent.mm.vending.j.a.i(null, a, this.igK);
                AppMethodBeat.o(131792);
                return;
            }
            AppBrandSysConfigWC appBrandSysConfigWC = (AppBrandSysConfigWC) this.igF.get(0);
            if (appBrandSysConfigWC == null) {
                ab.e("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "notifyLaunchInfoUpdate null config with appId(%s)", new Object[]{str});
                AppMethodBeat.o(131792);
                return;
            }
            aaVar.a(appBrandSysConfigWC);
            this.igF = com.tencent.mm.vending.j.a.i(appBrandSysConfigWC, null, this.igK);
        }
        AppMethodBeat.o(131792);
    }

    public final void aHd() {
        AppMethodBeat.i(131793);
        if (this.started) {
            AppMethodBeat.o(131793);
            return;
        }
        this.started = true;
        ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "[applaunch] startPrepare in mm %s %d", new Object[]{this.appId, Integer.valueOf(this.har)});
        synchronized (igC) {
            try {
                igC.put(this.igH, this);
            } finally {
                while (true) {
                }
                AppMethodBeat.o(131793);
            }
        }
        a aVar = new a(this.igH);
        long toMillis = TimeUnit.SECONDS.toMillis(300);
        aVar.ae(toMillis, toMillis);
        HandlerThread anM = com.tencent.mm.sdk.g.d.anM(String.format(Locale.US, "AppLaunchPrepareProcess[%s %d]", new Object[]{this.appId, Integer.valueOf(this.har)}));
        anM.start();
        new ak(anM.getLooper()).post(new 4(this, anM));
    }

    /* Access modifiers changed, original: final */
    public final void aHg() {
        AppMethodBeat.i(131795);
        if (this.igD != null) {
            this.igD.onDownloadProgress(100);
        }
        AppMethodBeat.o(131795);
    }

    private void aHh() {
        AppMethodBeat.i(131796);
        ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "transferData   callback != null " + (this.igD != null));
        Timer timer = new Timer();
        timer.schedule(new 8(this), 5000);
        if (this.igD != null) {
            this.igD.nm(1);
            ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "DATA_TRANSFER_STATE_START ");
        }
        ai[] aiVarArr = new ai[]{new com.tencent.mm.plugin.appbrand.appstorage.c(this.appId)};
        for (int i = 0; i <= 0; i++) {
            ai aiVar = aiVarArr[0];
            if (aiVar.kw(com.tencent.mm.protocal.d.vxo)) {
                aiVar.transfer(com.tencent.mm.protocal.d.vxo);
            }
        }
        timer.cancel();
        if (this.igD != null) {
            this.igD.nm(2);
            ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "DATA_TRANSFER_STATE_FINISH ");
        }
        AppMethodBeat.o(131796);
    }

    public final d<AppBrandSysConfigWC, AppBrandLaunchErrorAction, AppStartupPerformanceReportBundle> aHf() {
        AppMethodBeat.i(131794);
        AppBrandSysConfigWC zj = p.zj(this.appId);
        if (zj == null) {
            ag.Ck(com.tencent.mm.plugin.appbrand.s.e.getMMString(2131296770, new Object[]{""}));
        }
        if (zj == null) {
            ab.e("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "get null config!!!");
            d dVar = igQ;
            AppMethodBeat.o(131794);
            return dVar;
        }
        Object obj;
        ((k) f.E(k.class)).x(p.zo(this.appId), bo.anT());
        j jVar = new j();
        WxaAttributes e = f.auO().e(this.appId, new String[]{"versionInfo", "appInfo"});
        this.igM.dnU();
        if (this.har == 0) {
            this.igO.dnU();
        } else {
            this.igP.dnU();
        }
        this.igJ = e.ayL();
        5 5 = new 5(this, zj.appId, this.har, this.hgC, this.cDB, e);
        FutureTask futureTask = new FutureTask(5);
        com.tencent.mm.sdk.g.d.xDG.a(futureTask, 5.getTag(), new af$1(5, futureTask));
        aa aaVar = (aa) new 6(this, this.appId, this.har, this.cOq, this.cDB, this.hgC, this.hgF, this.igH, this.igI, this.hgN).aHy();
        if (aaVar == null) {
            ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "fillConfig username %s, appId %s, get null launchInfo", new Object[]{this.username, this.appId});
            obj = null;
        } else {
            AppBrandLaunchErrorAction.a aVar = AppBrandLaunchErrorAction.CREATOR;
            AppBrandLaunchErrorAction a = AppBrandLaunchErrorAction.a.a(this.appId, this.har, aaVar);
            if (a != null) {
                jVar.value = a;
                ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "fillConfig username %s, appId %s, launch ban code %d", new Object[]{this.username, this.appId, Integer.valueOf(aaVar.field_launchAction.vAS)});
                obj = null;
            } else {
                this.igK.igW = aaVar.ihY;
                if (aaVar.field_jsapiInfo == null || aaVar.field_jsapiInfo.vYw == null) {
                    ab.e("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "fillConfig username %s, appId %s, get null jsapi_info", new Object[]{this.username, this.appId});
                    obj = null;
                } else {
                    aaVar.a(zj);
                    if (aaVar.field_launchAction.wBv) {
                        com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.widget.recentview.d.class);
                        zj.bQr = !com.tencent.mm.kernel.g.RP().Ry().getBoolean(ac.a.xOt, false);
                        com.tencent.mm.kernel.g.RP().Ry().set(ac.a.xOt, Boolean.TRUE);
                    } else {
                        zj.bQr = false;
                    }
                    WxaPkgWrappingInfo wxaPkgWrappingInfo = (WxaPkgWrappingInfo) futureTask.get();
                    this.igE = true;
                    aHg();
                    this.igM.dead();
                    this.igO.dead();
                    this.igP.dead();
                    this.igK.igU.addAll(this.igN);
                    this.igK.igV.addAll(this.igL);
                    if (wxaPkgWrappingInfo == null) {
                        ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "fillConfig null app pkg, username %s appId %s", new Object[]{this.username, this.appId});
                        obj = null;
                    } else {
                        zj.hhd.a(wxaPkgWrappingInfo);
                        if (zj.hhd.gVt != 0) {
                            zj.hhd.gVu = 0;
                        }
                        ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "fillConfig username %s, appId %s, app pkg %s", new Object[]{this.username, zj.appId, zj.hhd});
                        zj.bQO = AppBrandGlobalSystemConfig.ayC();
                        zj.bQP = f.xH().get("key_sendtodesktop_no_more_show_permission_notify_dialog", "0").equals("1");
                        com.tencent.mm.plugin.appbrand.i.f fVar = com.tencent.mm.plugin.appbrand.i.f.inF;
                        Long cF = com.tencent.mm.plugin.appbrand.i.f.cF(this.appId, "copypath");
                        zj.bQN = cF == null ? 0 : cF.longValue();
                        ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "copyPathMenuShowExpireTime = " + zj.bQN);
                        com.tencent.mm.sdk.g.d.post(new 7(this), "AppLaunchPrepareProcess#ExtraWorks");
                        ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "fillConfig ok username %s, appId %s", new Object[]{this.username, this.appId});
                        aHh();
                        com.tencent.mm.plugin.appbrand.appstorage.c.a aVar2 = com.tencent.mm.plugin.appbrand.appstorage.c.gXe;
                        zj.hhe = com.tencent.mm.plugin.appbrand.appstorage.c.a.xV(this.appId);
                        zj.hhf = com.tencent.mm.plugin.appbrand.appstorage.d.gXk.awJ();
                        obj = 1;
                    }
                }
            }
        }
        d<AppBrandSysConfigWC, AppBrandLaunchErrorAction, AppStartupPerformanceReportBundle> i;
        if (obj == null) {
            ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "fillConfig, false, username %s, appId %s", new Object[]{this.username, this.appId});
            i = com.tencent.mm.vending.j.a.i(null, jVar.value, this.igK);
            AppMethodBeat.o(131794);
            return i;
        }
        ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "prepare ok, just go weapp, username %s, appId %s", new Object[]{this.username, this.appId});
        i = com.tencent.mm.vending.j.a.i(zj, null, this.igK);
        AppMethodBeat.o(131794);
        return i;
    }

    static /* synthetic */ void a(g gVar, d dVar) {
        boolean z;
        AppMethodBeat.i(131797);
        ab.v("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "[applaunch] onPrepareDone %s %d in mm process", new Object[]{gVar.appId, Integer.valueOf(gVar.har)});
        gVar.a(dVar);
        h hVar = (h) dVar.get(0);
        String str = gVar.appId;
        int i = gVar.har;
        int i2 = gVar.cDB;
        if (hVar != null) {
            z = true;
        } else {
            z = false;
        }
        LaunchBroadCast.a(str, i, i2, z);
        AppMethodBeat.o(131797);
    }

    static /* synthetic */ void d(g gVar) {
        AppMethodBeat.i(131798);
        ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "preDownload, appId %s, versionType %d", new Object[]{gVar.appId, Integer.valueOf(gVar.har)});
        gVar.igG = bo.anU();
        if (gVar.igD != null) {
            gVar.igD.aHe();
        }
        AppMethodBeat.o(131798);
    }

    static /* synthetic */ void e(g gVar) {
        AppMethodBeat.i(131799);
        ab.i("MicroMsg.AppBrand.AppLaunchPrepareProcess[applaunch]", "postDownload, appId %s, versionType %d", new Object[]{gVar.appId, Integer.valueOf(gVar.har)});
        if (gVar.igD != null) {
            b bVar = gVar.igD;
        }
        AppMethodBeat.o(131799);
    }

    static /* synthetic */ void f(g gVar) {
        AppMethodBeat.i(131800);
        if (gVar.igD != null) {
            gVar.igD.atT();
        }
        AppMethodBeat.o(131800);
    }
}
