package com.tencent.mm.plugin.facedetectlight.ui.a;

import android.os.Bundle;
import android.text.TextUtils;
import android.view.ViewGroup;
import android.view.animation.RotateAnimation;
import android.widget.ImageView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.facedetectlight.ui.FaceReflectMask;
import com.tencent.mm.plugin.facedetectlight.ui.PreviewFrameLayout;
import com.tencent.mm.plugin.facedetectlight.ui.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.ui.base.MMTextureView;
import com.tencent.smtt.sdk.WebView;

public final class a extends com.tencent.mm.plugin.facedetectlight.ui.a implements b {
    PreviewFrameLayout mcO;
    MMTextureView mcQ;
    private ImageView mcR;
    public TextView mcS;
    public b mcZ;
    public FaceReflectMask mdz;
    public ImageView mee;
    private TextView mef;
    ImageView meg;

    public a(ViewGroup viewGroup, com.tencent.mm.plugin.facedetectlight.ui.container.a aVar) {
        super(viewGroup, aVar);
    }

    public final int btU() {
        return 2130969466;
    }

    public final void initView() {
        AppMethodBeat.i(825);
        this.mcR = (ImageView) findViewById(2131823758);
        this.mcO = (PreviewFrameLayout) findViewById(2131823756);
        this.mcQ = (MMTextureView) findViewById(2131823757);
        this.mdz = (FaceReflectMask) findViewById(2131823760);
        this.mee = (ImageView) findViewById(2131823782);
        this.mcS = (TextView) findViewById(2131823761);
        this.meg = (ImageView) findViewById(2131823783);
        this.mef = (TextView) findViewById(2131823775);
        AppMethodBeat.o(825);
    }

    public final void setBusinessTip(String str) {
        AppMethodBeat.i(826);
        if (TextUtils.isEmpty(str) || this.mef == null) {
            AppMethodBeat.o(826);
            return;
        }
        ab.d(this.TAG, "business tip is : ".concat(String.valueOf(str)));
        this.mef.setText(str);
        AppMethodBeat.o(826);
    }

    public final void a(byte[] bArr, String str, String str2, String str3) {
        AppMethodBeat.i(827);
        ab.d(this.TAG, "initCamera : bioID=%s ,appID=%s ,userName=%s", new Object[]{str, str2, str3});
        this.mcZ = new b(this.BE.getContext(), this);
        this.mcZ.mdy = this.mcS;
        this.mcZ.mdz = this.mdz;
        this.mcZ.mdA = this.mcO;
        this.mcZ.lWX = bArr;
        this.mcZ.mdC = str;
        this.mcZ.mAppId = str2;
        this.mcZ.edV = str3;
        this.mcZ.mdD = this.mcR;
        AppMethodBeat.o(827);
    }

    public final void bua() {
        AppMethodBeat.i(828);
        ab.i(this.TAG, "finish ReflectUI");
        FaceReflectMask faceReflectMask = this.mdz;
        faceReflectMask.mdZ = true;
        faceReflectMask.mcM = true;
        faceReflectMask.invalidate();
        this.mdz.setBackgroundColor(WebView.NIGHT_MODE_COLOR);
        this.mcZ.stopPreview();
        setVisibility(8);
        this.meg.setVisibility(0);
        AppMethodBeat.o(828);
    }

    public final void bub() {
        AppMethodBeat.i(829);
        ab.i(this.TAG, "reflectLoadAnimation()");
        int width = this.mdz.getWidth();
        int height = this.mdz.getHeight();
        RotateAnimation rotateAnimation = new RotateAnimation(0.0f, 360.0f, 1, 0.5f, 1, 0.5f);
        rotateAnimation.setDuration(2500);
        rotateAnimation.setRepeatCount(-1);
        this.meg.setVisibility(4);
        this.meg.post(new 2(this, width, height, rotateAnimation));
        this.mee.setVisibility(4);
        AppMethodBeat.o(829);
    }

    public final void buc() {
        AppMethodBeat.i(830);
        this.mef.setVisibility(0);
        AppMethodBeat.o(830);
    }

    public final void resume() {
        AppMethodBeat.i(831);
        ab.i(this.TAG, " FaceReflect Preview UI resume");
        if (this.mcZ != null) {
            this.mcZ.a(this.mcQ);
            this.mcZ.btX();
            this.mcZ.mdx = true;
            this.mcS.setText(2131299505);
        }
        AppMethodBeat.o(831);
    }

    public final void aB(int i, String str) {
        AppMethodBeat.i(833);
        this.mds.a(1, i, str, null);
        AppMethodBeat.o(833);
    }

    public final void Ly(String str) {
        AppMethodBeat.i(834);
        ab.i(this.TAG, "callbackDetectSuccess()");
        Bundle bundle = new Bundle();
        bundle.putString("key_bio_buffer_path", str);
        this.mds.a(0, 0, "collect data ok", bundle);
        AppMethodBeat.o(834);
    }

    public final void u(int i, String str, String str2) {
        AppMethodBeat.i(835);
        ab.i(this.TAG, "callbackDetectFailed()");
        Bundle bundle = new Bundle();
        bundle.putString("show_err_msg", str2);
        this.mds.a(4, i, str, bundle);
        AppMethodBeat.o(835);
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x0127  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x00e7  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x00fb  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x00e7  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0127  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x00fb  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0127  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x00e7  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x00fb  */
    public final void bsk() {
        /*
        r12 = this;
        r6 = 1;
        r9 = 0;
        r10 = 1;
        r11 = 832; // 0x340 float:1.166E-42 double:4.11E-321;
        r8 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r11);
        com.tencent.mm.plugin.facedetectlight.ui.c.a.btY();
        r0 = "MicroMsg.FaceReflectLogic";
        r1 = "initAuth()";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r0 = com.tencent.mm.sdk.platformtools.ah.getContext();
        r1 = "rel_wechat_2055-12-06.lic1.2";
        r0 = com.tencent.youtu.ytcommon.YTCommonExInterface.initAuth(r0, r1, r8, r8);
        r1 = r12.TAG;
        r2 = "auth：";
        r3 = java.lang.String.valueOf(r0);
        r2 = r2.concat(r3);
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        if (r0 == 0) goto L_0x0048;
    L_0x0033:
        r0 = r12.TAG;
        r1 = "initAuth failed";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r1 = com.tencent.mm.plugin.report.service.h.pYm;
        r2 = 917; // 0x395 float:1.285E-42 double:4.53E-321;
        r4 = 29;
        r1.a(r2, r4, r6, r8);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
    L_0x0047:
        return;
    L_0x0048:
        r0 = r12.TAG;
        r1 = "initAuth success";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r1 = com.tencent.mm.plugin.report.service.h.pYm;
        r2 = 917; // 0x395 float:1.285E-42 double:4.53E-321;
        r4 = 28;
        r1.a(r2, r4, r6, r8);
        r4 = com.tencent.mm.plugin.facedetectlight.ui.c.a.btY();
        r0 = r12.BE;
        r0 = r0.getContext();
        r0 = (android.app.Activity) r0;
        r1 = "MicroMsg.FaceReflectLogic";
        r2 = "initYoutuInstance()";
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        r1 = com.tencent.mm.sdk.platformtools.ah.getContext();	 Catch:{ IOException -> 0x0109 }
        r1 = r1.getAssets();	 Catch:{ IOException -> 0x0109 }
        r2 = new java.lang.StringBuilder;	 Catch:{ IOException -> 0x0109 }
        r3 = "face_detect";
        r2.<init>(r3);	 Catch:{ IOException -> 0x0109 }
        r3 = java.io.File.separator;	 Catch:{ IOException -> 0x0109 }
        r2 = r2.append(r3);	 Catch:{ IOException -> 0x0109 }
        r3 = "ufdmtcc.bin";
        r2 = r2.append(r3);	 Catch:{ IOException -> 0x0109 }
        r2 = r2.toString();	 Catch:{ IOException -> 0x0109 }
        r3 = r1.open(r2);	 Catch:{ IOException -> 0x0109 }
        r1 = com.tencent.mm.sdk.platformtools.ah.getContext();	 Catch:{ IOException -> 0x0109 }
        r1 = r1.getAssets();	 Catch:{ IOException -> 0x0109 }
        r2 = new java.lang.StringBuilder;	 Catch:{ IOException -> 0x0109 }
        r5 = "face_detect";
        r2.<init>(r5);	 Catch:{ IOException -> 0x0109 }
        r5 = java.io.File.separator;	 Catch:{ IOException -> 0x0109 }
        r2 = r2.append(r5);	 Catch:{ IOException -> 0x0109 }
        r5 = "ufat.bin";
        r2 = r2.append(r5);	 Catch:{ IOException -> 0x0109 }
        r2 = r2.toString();	 Catch:{ IOException -> 0x0109 }
        r5 = r1.open(r2);	 Catch:{ IOException -> 0x0109 }
        r1 = r3.available();	 Catch:{ IOException -> 0x0109 }
        r2 = new byte[r1];	 Catch:{ IOException -> 0x0109 }
        r3.read(r2);	 Catch:{ IOException -> 0x0142 }
        r1 = r5.available();	 Catch:{ IOException -> 0x0142 }
        r1 = new byte[r1];	 Catch:{ IOException -> 0x0142 }
        r5.read(r1);	 Catch:{ IOException -> 0x0145 }
        r3.close();	 Catch:{ IOException -> 0x0145 }
        r5.close();	 Catch:{ IOException -> 0x0145 }
    L_0x00d0:
        r3 = com.tencent.youtu.ytfacetrace.YTFaceTraceInterface.initModel(r2, r1);
        r5 = "MicroMsg.FaceReflectLogic";
        r6 = "YTFaceTraceInterface.initModel ret: %s";
        r7 = new java.lang.Object[r10];
        r9 = java.lang.Integer.valueOf(r3);
        r7[r8] = r9;
        com.tencent.mm.sdk.platformtools.ab.i(r5, r6, r7);
        if (r3 == 0) goto L_0x0127;
    L_0x00e7:
        r1 = "MicroMsg.FaceReflectLogic";
        r2 = "YTFacePreviewInterface.initModel failed，return:";
        r3 = java.lang.String.valueOf(r3);
        r2 = r2.concat(r3);
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        r1 = r8;
    L_0x00f9:
        if (r1 == 0) goto L_0x0100;
    L_0x00fb:
        r1 = 255; // 0xff float:3.57E-43 double:1.26E-321;
        com.tencent.youtu.ytcommon.YTCommonExInterface.setAppBrightness(r0, r1);
    L_0x0100:
        r4.mState = r8;
        r4.mdI = r12;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x0047;
    L_0x0109:
        r3 = move-exception;
        r1 = r9;
        r2 = r9;
    L_0x010c:
        r5 = "MicroMsg.FaceReflectLogic";
        r6 = new java.lang.StringBuilder;
        r7 = "load ufat.bin or ufdmtcc.bin failed";
        r6.<init>(r7);
        r3 = r3.getMessage();
        r3 = r6.append(r3);
        r3 = r3.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r5, r3);
        goto L_0x00d0;
    L_0x0127:
        r1 = com.tencent.youtu.ytagreflectlivecheck.YTAGReflectLiveCheckInterface.initModel(r2, r1);
        if (r1 == 0) goto L_0x0140;
    L_0x012d:
        r2 = "MicroMsg.FaceReflectLogic";
        r3 = "YTFacePreviewInterface.initModel failed，return:";
        r1 = java.lang.String.valueOf(r1);
        r1 = r3.concat(r1);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r1);
        r1 = r8;
        goto L_0x00f9;
    L_0x0140:
        r1 = r10;
        goto L_0x00f9;
    L_0x0142:
        r3 = move-exception;
        r1 = r9;
        goto L_0x010c;
    L_0x0145:
        r3 = move-exception;
        goto L_0x010c;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.facedetectlight.ui.a.a.bsk():void");
    }
}
