package com.tencent.mm.plugin.fav.ui;

import android.app.ActivityOptions;
import android.content.Intent;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.util.Pair;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.model.t;
import com.tencent.mm.plugin.fav.a.ae;
import com.tencent.mm.plugin.fav.a.g;
import com.tencent.mm.plugin.fav.a.h;
import com.tencent.mm.plugin.fav.a.k;
import com.tencent.mm.plugin.fav.ui.a.b;
import com.tencent.mm.plugin.fav.ui.d.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.util.HashSet;
import java.util.Set;

public class FavSelectUI extends FavBaseUI {
    private String mjA;
    private b mjB = null;
    private Set<Integer> mjC = new HashSet();
    private k mjD = new k();
    private OnClickListener mjE = new 5(this);
    private String toUser;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public FavSelectUI() {
        AppMethodBeat.i(74108);
        AppMethodBeat.o(74108);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(74109);
        super.onCreate(bundle);
        this.toUser = getIntent().getStringExtra("key_to_user");
        this.mjA = getIntent().getStringExtra("key_fav_item_id");
        if (this.mjA != null) {
            for (String str : this.mjA.split(",")) {
                int i = bo.getInt(str, Integer.MAX_VALUE);
                if (Integer.MAX_VALUE != i) {
                    this.mjC.add(Integer.valueOf(i));
                }
            }
        }
        this.mjC.remove(Integer.valueOf(3));
        this.mjB.f(this.mjC);
        this.mjD.mfm = false;
        this.mjB.a(this.mjD);
        this.mcy.post(new 1(this));
        addIconOptionMenu(0, 2131230741, new 2(this));
        setMMTitle(2131299731);
        setBackBtn(new 3(this));
        AppMethodBeat.o(74109);
    }

    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
        AppMethodBeat.i(74110);
        a.b bVar = (a.b) view.getTag();
        if (bVar == null) {
            ab.w("MicroMsg.FavSelectUI", "on item click, holder is null");
            AppMethodBeat.o(74110);
        } else if (bVar.mgf == null) {
            ab.w("MicroMsg.FavSelectUI", "on item click, info is null");
            AppMethodBeat.o(74110);
        } else {
            g gVar = bVar.mgf;
            h.j(gVar.field_localId, 1, 1);
            if (gVar.field_type == 3) {
                com.tencent.mm.ui.widget.snackbar.b.i(this, getString(2131296321));
                AppMethodBeat.o(74110);
            } else if (gVar.field_type == 8 && t.mZ(this.toUser)) {
                com.tencent.mm.ui.widget.snackbar.b.i(this, getString(2131296319));
                AppMethodBeat.o(74110);
            } else {
                ((com.tencent.mm.plugin.fav.a.ab) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.fav.a.ab.class)).a(this.mController.ylL, this.toUser, bVar.mgf, true, new 4(this, bVar));
                AppMethodBeat.o(74110);
            }
        }
    }

    public final com.tencent.mm.plugin.fav.ui.a.a bvu() {
        AppMethodBeat.i(74111);
        if (this.mjB == null) {
            this.mjB = new b(this.mhy, false);
        }
        b bVar = this.mjB;
        AppMethodBeat.o(74111);
        return bVar;
    }

    /* Access modifiers changed, original: protected|final */
    public final void bvv() {
    }

    /* Access modifiers changed, original: protected|final */
    public final boolean bvw() {
        AppMethodBeat.i(74112);
        if (((ae) com.tencent.mm.kernel.g.M(ae.class)).getFavItemInfoStorage().getCount() > 0) {
            AppMethodBeat.o(74112);
            return true;
        }
        AppMethodBeat.o(74112);
        return false;
    }

    /* Access modifiers changed, original: protected|final */
    public final void bvx() {
        AppMethodBeat.i(74113);
        this.mht.setCompoundDrawablesWithIntrinsicBounds(0, 2130838780, 0, 0);
        this.mht.setCompoundDrawablePadding(com.tencent.mm.bz.a.fromDPToPix(this.mController.ylL, 10));
        this.mht.setText(2131299615);
        AppMethodBeat.o(74113);
    }

    /* Access modifiers changed, original: protected|final */
    public final OnClickListener bvy() {
        return this.mjE;
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(74114);
        if (i == 0 && -1 == i2) {
            finish();
            AppMethodBeat.o(74114);
            return;
        }
        super.onActivityResult(i, i2, intent);
        AppMethodBeat.o(74114);
    }

    public void onDestroy() {
        AppMethodBeat.i(74115);
        super.onDestroy();
        if (this.mjB != null) {
            this.mjB.finish();
        }
        AppMethodBeat.o(74115);
    }

    static /* synthetic */ void a(FavSelectUI favSelectUI, Intent intent) {
        AppMethodBeat.i(74116);
        intent.putExtra("key_to_user", favSelectUI.toUser);
        intent.putExtra("key_fav_item_id", favSelectUI.mjA);
        intent.putExtra("key_search_type", 1);
        intent.putExtra("key_enter_fav_search_from", 1);
        Bundle bundle = null;
        if (VERSION.SDK_INT >= 21) {
            bundle = ActivityOptions.makeSceneTransitionAnimation(favSelectUI, new Pair[0]).toBundle();
        }
        com.tencent.mm.plugin.fav.a.b.a(favSelectUI.mController.ylL, ".ui.FavSearchUI", intent, 0, bundle);
        AppMethodBeat.o(74116);
    }
}
