package com.tencent.mm.plugin.priority;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.at.o;
import com.tencent.mm.kernel.a.b.b;
import com.tencent.mm.kernel.api.bucket.c;
import com.tencent.mm.kernel.b.f;
import com.tencent.mm.kernel.e;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.messenger.foundation.a.a.h;
import com.tencent.mm.plugin.messenger.foundation.a.j;
import com.tencent.mm.plugin.priority.a.a;
import com.tencent.mm.plugin.priority.b.a.d;
import com.tencent.mm.sdk.platformtools.ab;

public class PluginPriority extends f implements b, c, a {
    private long pfZ;
    private com.tencent.mm.plugin.priority.b.b pga;
    private com.tencent.mm.plugin.priority.b.a.c pgb;
    private d pgc;
    private com.tencent.mm.plugin.priority.b.d pgd;
    private com.tencent.mm.plugin.priority.b.a.b pge;
    private com.tencent.mm.plugin.priority.b.a.a pgf;
    private h.a pgg = new 1(this);

    public PluginPriority() {
        AppMethodBeat.i(54868);
        AppMethodBeat.o(54868);
    }

    public void onAccountInitialized(e.c cVar) {
        AppMethodBeat.i(54869);
        com.tencent.mm.sdk.g.d.post(new a(this, (byte) 0), "Priority.InitPriorityTask");
        com.tencent.mm.pluginsdk.cmd.b.a(new com.tencent.mm.plugin.priority.b.a(), new String[]{"//priority"});
        AppMethodBeat.o(54869);
    }

    public com.tencent.mm.plugin.priority.b.a.a getC2CImgAutoDownloader() {
        return this.pgf;
    }

    public com.tencent.mm.plugin.priority.b.d getPriorityTaskRunner() {
        return this.pgd;
    }

    public com.tencent.mm.plugin.priority.b.a.b getC2CMsgAutoDownloadResLogic() {
        return this.pge;
    }

    public com.tencent.mm.plugin.priority.b.a.c getC2CMsgAutoDownloadResStorage() {
        return this.pgb;
    }

    public d getC2CMsgImgUsageStorage() {
        return this.pgc;
    }

    public void onAccountRelease() {
        AppMethodBeat.i(54870);
        ((j) g.K(j.class)).bOr().a(this.pgg);
        if (this.pgf != null) {
            com.tencent.mm.plugin.priority.b.a.a aVar = this.pgf;
            aVar.pgt = 0;
            o.ahm().a(aVar);
            aVar.fDh.dead();
            this.pgf = null;
        }
        if (this.pge != null) {
            this.pge = null;
        }
        if (this.pgd != null) {
            com.tencent.mm.plugin.priority.b.d dVar = this.pgd;
            dVar.pgp.clear();
            dVar.pgr.removeCallbacksAndMessages(null);
            dVar.pgq.oAl.quit();
            dVar.pgr = null;
            dVar.pgq = null;
            this.pgd = null;
        }
        if (this.pgb != null) {
            com.tencent.mm.plugin.priority.b.a.c cVar = this.pgb;
            cVar.pgA.close();
            cVar.pgB.close();
            cVar.pgC.close();
            cVar.pgD.close();
            cVar.pgE.close();
            cVar.pgF.close();
            this.pgb = null;
        }
        if (this.pgc != null) {
            d dVar2 = this.pgc;
            dVar2.pgG.close();
            dVar2.pgH.close();
            dVar2.pgI.close();
        }
        if (this.pga != null) {
            boolean z;
            com.tencent.mm.plugin.priority.b.b bVar = this.pga;
            String str = "MicroMsg.Priority.PriorityDB";
            String str2 = "close db:%s isOpen:%b ";
            Object[] objArr = new Object[2];
            objArr[0] = bVar.pgl;
            if (bVar.pgl == null) {
                z = false;
            } else {
                z = bVar.pgl.isOpen();
            }
            objArr[1] = Boolean.valueOf(z);
            ab.w(str, str2, objArr);
            if (bVar.pgl != null && bVar.pgl.isOpen()) {
                ab.w("MicroMsg.Priority.PriorityDB", "close in trans :%b ", new Object[]{Boolean.valueOf(bVar.pgl.inTransaction())});
                while (bVar.pgl.inTransaction()) {
                    bVar.pgl.endTransaction();
                }
                bVar.pgm.close();
                bVar.pgn.close();
                bVar.pgo.close();
                bVar.pgl.close();
                bVar.pgl = null;
            }
            this.pga = null;
        }
        AppMethodBeat.o(54870);
    }

    public void parallelsDependency() {
    }

    public void execute(com.tencent.mm.kernel.b.g gVar) {
        AppMethodBeat.i(54871);
        if (gVar.SG()) {
            g.a(com.tencent.mm.plugin.comm.a.b.class, new a());
        }
        AppMethodBeat.o(54871);
    }

    public long getInstallPriorityTime() {
        return this.pfZ;
    }

    public float getBorderPriority() {
        AppMethodBeat.i(54872);
        try {
            float a = ((float) ((com.tencent.mm.plugin.expt.a.a) g.K(com.tencent.mm.plugin.expt.a.a.class)).a(com.tencent.mm.plugin.expt.a.a.a.lHG, 30)) / 100.0f;
            AppMethodBeat.o(54872);
            return a;
        } catch (Exception e) {
            AppMethodBeat.o(54872);
            return 0.5f;
        }
    }

    public float getBgBorderPriority() {
        AppMethodBeat.i(54873);
        try {
            float a = ((float) ((com.tencent.mm.plugin.expt.a.a) g.K(com.tencent.mm.plugin.expt.a.a.class)).a(com.tencent.mm.plugin.expt.a.a.a.lHH, 10)) / 100.0f;
            AppMethodBeat.o(54873);
            return a;
        } catch (Exception e) {
            AppMethodBeat.o(54873);
            return 0.1f;
        }
    }
}
