package com.tencent.mm.plugin.shake.ui;

import android.content.Intent;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.aw.a;
import com.tencent.mm.g.a.se;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.c;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
import com.tencent.mm.plugin.shake.b.d;
import com.tencent.mm.plugin.shake.b.e;
import com.tencent.mm.plugin.shake.b.m;
import com.tencent.mm.plugin.shake.d.a.h;
import com.tencent.mm.plugin.shake.d.a.i;
import com.tencent.mm.plugin.shake.d.a.k;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ad;

class ShakeItemListUI$3 implements OnItemClickListener {
    final /* synthetic */ ShakeItemListUI quC;
    final /* synthetic */ int quE;

    ShakeItemListUI$3(ShakeItemListUI shakeItemListUI, int i) {
        this.quC = shakeItemListUI;
        this.quE = i;
    }

    public final void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
        AppMethodBeat.i(24722);
        d dVar = (d) ShakeItemListUI.b(this.quC).getItem(i);
        if (dVar == null) {
            AppMethodBeat.o(24722);
            return;
        }
        e cjS = m.cjS();
        if (dVar == null) {
            ab.w("MicroMsg.NewShakeItemStorage", "setRead, but item is null");
        } else {
            dVar.field_insertBatch = 1;
            dVar.bJt = WXMediaMessage.DESCRIPTION_LENGTH_LIMIT;
            if (-1 != cjS.bSd.update("shakeitem1", dVar.Hl(), "shakeItemID=? and insertBatch=?", new String[]{dVar.field_shakeItemID, "2"})) {
                cjS.doNotify();
            }
        }
        int i2 = dVar.field_type;
        Intent intent;
        if (i2 == 4) {
            intent = new Intent();
            if (com.tencent.mm.aw.d.aio()) {
                a.b(i.d(dVar.field_lvbuffer, 0));
            } else {
                a.aic();
                intent.putExtra("key_mode", 1);
                intent.putExtra("KGlobalShakeMusic", true);
                a.c(i.d(dVar.field_lvbuffer, 0));
            }
            intent.putExtra("key_scene", 3);
            com.tencent.mm.bp.d.b(this.quC, "music", ".ui.MusicMainUI", intent);
            AppMethodBeat.o(24722);
        } else if (i2 == 11) {
            if (System.currentTimeMillis() - this.quC.quz > 2000) {
                this.quC.quz = System.currentTimeMillis();
                if (dVar.field_reserved3 == null || dVar.field_reserved3.split(",").length != 3 || dVar.field_reserved3.split(",")[0] == null || dVar.field_reserved3.split(",")[0].equals("")) {
                    intent = new Intent();
                    intent.putExtra("rawUrl", dVar.getCity());
                    intent.putExtra("scene", 27);
                    intent.putExtra("stastic_scene", 5);
                    com.tencent.mm.bp.d.b(ah.getContext(), "webview", ".ui.tools.WebViewUI", intent);
                } else {
                    String[] split = dVar.field_reserved3.split(",");
                    se seVar = new se();
                    seVar.cOf.userName = split[0];
                    seVar.cOf.cOh = bo.bc(split[1], "");
                    seVar.cOf.cOi = Integer.parseInt(split[2]);
                    seVar.cOf.scene = 1077;
                    com.tencent.mm.sdk.b.a.xxA.m(seVar);
                }
                if (ShakeItemListUI.d(this.quC)) {
                    h.a(dVar);
                    h.b(dVar);
                }
            }
            AppMethodBeat.o(24722);
        } else if (k.Cz(i2)) {
            k.a(dVar, this.quC, true);
            AppMethodBeat.o(24722);
        } else {
            String str = dVar.field_username;
            aw.ZK();
            ad aoO = c.XM().aoO(str);
            ab.d("MicroMsg.ShakeItemListUI", "listView onTtemClick username:" + str + " display:" + dVar.field_nickname + " position:" + i + " contactName" + aoO.field_username);
            ab.d("MicroMsg.ShakeItemListUI", "isContact:" + com.tencent.mm.n.a.jh(aoO.field_type) + "  contact:" + aoO);
            if (com.tencent.mm.n.a.jh(aoO.field_type)) {
                Intent intent2 = new Intent();
                intent2.putExtra("Contact_User", str);
                intent2.putExtra("Contact_Scene", this.quE == dVar.field_sex ? 23 : 24);
                intent2.putExtra("Sns_from_Scene", 22);
                if (str != null && str.length() > 0) {
                    if (aoO.dsf()) {
                        com.tencent.mm.plugin.report.service.h.pYm.X(10298, dVar.field_username + "," + intent2.getIntExtra("Contact_Scene", 23));
                        intent2.putExtra("Contact_Scene", 23);
                    }
                    com.tencent.mm.plugin.shake.a.gkE.c(intent2, this.quC);
                }
                AppMethodBeat.o(24722);
                return;
            }
            ab.d("MicroMsg.ShakeItemListUI", "listView onTtemClick username:" + str + " display:" + dVar.field_nickname + " position:" + i + " contactName" + aoO.field_username);
            Intent intent3 = new Intent();
            intent3.putExtra("Contact_User", dVar.field_username);
            intent3.putExtra("Contact_Nick", dVar.field_nickname);
            intent3.putExtra("Contact_Distance", dVar.field_distance);
            intent3.putExtra("Contact_Signature", dVar.field_signature);
            intent3.putExtra("Contact_Province", dVar.getProvince());
            intent3.putExtra("Contact_City", dVar.getCity());
            intent3.putExtra("Contact_Sex", dVar.field_sex);
            intent3.putExtra("Contact_IsLBSFriend", true);
            intent3.putExtra("Contact_VUser_Info", dVar.field_reserved3);
            intent3.putExtra("Contact_VUser_Info_Flag", dVar.field_reserved1);
            intent3.putExtra("Contact_Scene", this.quE == dVar.field_sex ? 23 : 24);
            intent3.putExtra("Sns_from_Scene", 22);
            intent3.putExtra("Contact_KSnsIFlag", dVar.field_snsFlag);
            intent3.putExtra("Contact_KSnsBgUrl", dVar.field_sns_bgurl);
            if ((dVar.field_reserved1 & 8) > 0) {
                com.tencent.mm.plugin.report.service.h.pYm.X(10298, dVar.field_username + "," + intent3.getIntExtra("Contact_Scene", 23));
            }
            com.tencent.mm.plugin.shake.a.gkE.c(intent3, this.quC);
            AppMethodBeat.o(24722);
        }
    }
}
