package com.tencent.mm.plugin.sns.ui;

import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup.LayoutParams;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.t;
import com.tencent.mm.plugin.messenger.foundation.a.j;
import com.tencent.mm.plugin.sns.model.af;
import com.tencent.mm.plugin.sns.model.am$a;
import com.tencent.mm.plugin.sns.model.b.b;
import com.tencent.mm.plugin.sns.storage.n;
import com.tencent.mm.protocal.protobuf.bau;
import com.tencent.mm.sdk.e.k.a;
import com.tencent.mm.sdk.platformtools.BackwardSupportUtil;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.storage.ad;
import com.tencent.mm.storage.az;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.MMImageView;
import com.tencent.mm.ui.base.h;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

public class SnsStrangerCommentDetailUI extends MMActivity implements b {
    private static int rxv = 4;
    private long cND;
    private int cvd;
    private ImageView gvq;
    private TextView jWY;
    private View omD;
    private an rhs;
    private n ros;
    private int rpW = -1;
    private a rtZ = new 7(this);
    private ListView rxn;
    private SnsCommentFooter rxo;
    private LinearLayout rxp;
    private List<View> rxq;
    private a rxr;
    private boolean rxs = false;
    private boolean rxt = false;
    private ad rxu;
    private String talker;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public SnsStrangerCommentDetailUI() {
        AppMethodBeat.i(39329);
        AppMethodBeat.o(39329);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(39330);
        super.onCreate(bundle);
        setMMTitle(2131303611);
        this.cND = getIntent().getLongExtra("INTENT_SNSID", 0);
        this.talker = getIntent().getStringExtra("INTENT_TALKER");
        this.ros = af.cnF().kD(this.cND);
        this.cvd = getIntent().getIntExtra("INTENT_SOURCE", -1);
        g.RQ();
        this.rxu = ((j) g.K(j.class)).XM().aoO(this.talker);
        if (this.ros == null || this.talker == null) {
            finish();
            AppMethodBeat.o(39330);
            return;
        }
        this.rhs = new an(this);
        af.cnK().c(this.rtZ);
        initView();
        AppMethodBeat.o(39330);
    }

    public void onResume() {
        AppMethodBeat.i(39331);
        af.cnA().a(this);
        super.onResume();
        AppMethodBeat.o(39331);
    }

    public void onPause() {
        AppMethodBeat.i(39332);
        af.cnA().b(this);
        super.onPause();
        AppMethodBeat.o(39332);
    }

    public void onDestroy() {
        AppMethodBeat.i(39333);
        af.cnK().d(this.rtZ);
        af.cnC().ab(this);
        if (this.rxr != null) {
            this.rxr.bIf();
        }
        super.onDestroy();
        AppMethodBeat.o(39333);
    }

    public final void initView() {
        AppMethodBeat.i(39334);
        this.rxn = (ListView) findViewById(2131827707);
        this.rxo = (SnsCommentFooter) findViewById(2131822763);
        this.omD = View.inflate(this, 2130970803, null);
        ctP();
        ctS();
        ctT();
        1 1 = new 1(this);
        setBackBtn(new 4(this));
        addIconOptionMenu(0, 2130839555, new 5(this));
        AppMethodBeat.o(39334);
    }

    private void ctP() {
        AppMethodBeat.i(39335);
        this.rxp = (LinearLayout) this.omD.findViewById(2131827858);
        this.gvq = (ImageView) this.omD.findViewById(2131827708);
        this.jWY = (TextView) this.omD.findViewById(2131827857);
        com.tencent.mm.pluginsdk.ui.a.b.t(this.gvq, this.ros.field_userName);
        this.jWY.setText(com.tencent.mm.pluginsdk.ui.e.j.b(this, ((com.tencent.mm.plugin.messenger.a.b) g.K(com.tencent.mm.plugin.messenger.a.b.class)).mJ(this.ros.field_userName), this.jWY.getTextSize()));
        ctQ();
        ctR();
        AppMethodBeat.o(39335);
    }

    private void ctQ() {
        AppMethodBeat.i(39336);
        this.rxp.removeAllViews();
        int b = BackwardSupportUtil.b.b(this, (float) rxv);
        LinkedList linkedList = this.ros.cqu().xfI.wbK;
        this.rxq = new ArrayList();
        int i = 0;
        while (true) {
            int i2 = i;
            if (i2 < linkedList.size()) {
                MMImageView mMImageView = new MMImageView(this);
                mMImageView.setPadding(b, b, b, b);
                this.rxp.addView(mMImageView, new LayoutParams(-2, -2));
                Bitmap Xh = af.cnC().a((bau) linkedList.get(i2), mMImageView, hashCode(), az.xYU).Xh();
                if (Xh == null) {
                    a(this.ros.field_type, mMImageView);
                } else {
                    mMImageView.setImageBitmap(Xh);
                }
                this.rxq.add(mMImageView);
                i = i2 + 1;
            } else {
                AppMethodBeat.o(39336);
                return;
            }
        }
    }

    private void ctR() {
        AppMethodBeat.i(39337);
        int i = 0;
        while (true) {
            int i2 = i;
            if (i2 < this.rxq.size()) {
                ao aoVar = new ao();
                aoVar.czD = this.ros.cqU();
                aoVar.index = i2;
                aoVar.rsl = this.rxq;
                ((View) this.rxq.get(i2)).setTag(aoVar);
                ((View) this.rxq.get(i2)).setOnClickListener(new 9(this));
                i = i2 + 1;
            } else {
                AppMethodBeat.o(39337);
                return;
            }
        }
    }

    private void ctS() {
        AppMethodBeat.i(39338);
        this.rxn.addHeaderView(this.omD);
        this.rxr = new a(this, this);
        this.rxn.post(new 10(this));
        this.rxn.setAdapter(this.rxr);
        this.rxn.setOnScrollListener(new 11(this));
        AppMethodBeat.o(39338);
    }

    private void ctT() {
        AppMethodBeat.i(39339);
        this.rxo.setAfterEditAction(new 2(this));
        this.rxo.ctf();
        this.rxo.setOnCommentSendImp(new 3(this));
        this.rxo.setCommentHint(getString(2131303752) + this.talker + getString(2131303593));
        AppMethodBeat.o(39339);
    }

    public final int getLayoutId() {
        return 2130970752;
    }

    private static void a(int i, MMImageView mMImageView) {
        int i2 = 2131230820;
        AppMethodBeat.i(39340);
        switch (i) {
            case 1:
                i2 = 2130837705;
                break;
            case 2:
                mMImageView.setImageDrawable(null);
                i2 = 0;
                break;
            case 4:
                i2 = 2131230800;
                break;
            case 5:
                i2 = 2131230817;
                break;
            case 6:
                i2 = 2131230798;
                break;
            case 7:
                i2 = 2130837705;
                break;
            case 8:
                mMImageView.setImageDrawable(null);
                i2 = 0;
                break;
        }
        if (i2 != 0) {
            mMImageView.setImageResource(i2);
        }
        AppMethodBeat.o(39340);
    }

    public final void Xw(String str) {
        AppMethodBeat.i(39341);
        ctQ();
        AppMethodBeat.o(39341);
    }

    public final void bj(String str, boolean z) {
    }

    public final void cmu() {
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(39342);
        ab.i("MicroMsg.SnsStrangerCommentDetailUI", "onAcvityResult requestCode:".concat(String.valueOf(i)));
        if (i2 != -1) {
            AppMethodBeat.o(39342);
            return;
        }
        switch (i) {
            case 1:
                if (i2 == -1) {
                    Cursor managedQuery = managedQuery(intent.getData(), null, null, null, null);
                    if (managedQuery.moveToFirst()) {
                        startActivity(new Intent("android.intent.action.EDIT", Uri.parse("content://com.android.contacts/contacts/".concat(String.valueOf(managedQuery.getString(managedQuery.getColumnIndexOrThrow("_id")))))));
                        break;
                    }
                }
                break;
        }
        AppMethodBeat.o(39342);
    }

    public final void bk(String str, boolean z) {
    }

    static /* synthetic */ void b(SnsStrangerCommentDetailUI snsStrangerCommentDetailUI) {
        AppMethodBeat.i(39343);
        String[] strArr = new String[1];
        if (snsStrangerCommentDetailUI.rxu == null) {
            snsStrangerCommentDetailUI.rxu = new ad();
            AppMethodBeat.o(39343);
            return;
        }
        if (!com.tencent.mm.n.a.jh(snsStrangerCommentDetailUI.rxu.field_type)) {
            t.f(snsStrangerCommentDetailUI.rxu);
        }
        if (snsStrangerCommentDetailUI.rxu.Oa()) {
            strArr[0] = snsStrangerCommentDetailUI.getString(2131298599);
        } else {
            strArr[0] = snsStrangerCommentDetailUI.getString(2131298594);
        }
        h.a((Context) snsStrangerCommentDetailUI, "", strArr, "", false, new 6(snsStrangerCommentDetailUI));
        AppMethodBeat.o(39343);
    }

    static /* synthetic */ void a(SnsStrangerCommentDetailUI snsStrangerCommentDetailUI, n nVar, String str) {
        AppMethodBeat.i(39344);
        if (str == null || str.trim().equals("")) {
            AppMethodBeat.o(39344);
            return;
        }
        am$a.a(snsStrangerCommentDetailUI.talker, 3, str, nVar, snsStrangerCommentDetailUI.cvd);
        AppMethodBeat.o(39344);
    }
}
