package com.tencent.mm.plugin.sns.ui;

import android.content.Intent;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.at.c;
import com.tencent.mm.at.o;
import com.tencent.mm.model.t;
import com.tencent.mm.modelsns.b;
import com.tencent.mm.opensdk.modelmsg.SendMessageToWX.Req;
import com.tencent.mm.opensdk.modelmsg.WXImageObject;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
import com.tencent.mm.opensdk.modelmsg.WXVideoObject;
import com.tencent.mm.plugin.sns.c.a;
import com.tencent.mm.plugin.sns.i.g;
import com.tencent.mm.plugin.sns.i.h;
import com.tencent.mm.plugin.sns.model.af;
import com.tencent.mm.plugin.sns.model.ax;
import com.tencent.mm.plugin.sns.storage.n;
import com.tencent.mm.pluginsdk.ui.applet.CdnImageView;
import com.tencent.mm.pointers.PInt;
import com.tencent.mm.protocal.protobuf.ayt;
import com.tencent.mm.protocal.protobuf.bau;
import com.tencent.mm.protocal.protobuf.baw;
import com.tencent.mm.protocal.protobuf.cco;
import com.tencent.mm.protocal.protobuf.cfg;
import com.tencent.mm.protocal.protobuf.cvi;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.d;
import com.tencent.mm.ui.MMActivity;
import java.io.IOException;
import java.util.LinkedList;
import java.util.List;
import org.b.d.i;

public final class z implements y {
    private String appId;
    private String appName;
    private String cMg;
    private String cMl;
    private String cMm;
    final MMActivity crP;
    public String fiM = "";
    public String fiN = "";
    private Bitmap fru = null;
    private TextView gne = null;
    private int h = -1;
    String hcl;
    private View jAp = null;
    String link = "";
    private boolean mog = false;
    private cvi qNQ = null;
    private String rid = "";
    private byte[] rie = null;
    private String rif;
    private int rig;
    private CdnImageView rih = null;
    private TextView rii = null;
    private b rim = null;
    private boolean rjA = false;
    private String rjB;
    private String rjC;
    private boolean rjD = false;
    private boolean rjE = false;
    private boolean rjF = false;
    private boolean rjG = false;
    private WXMediaMessage rjH = null;
    private String rjI = "";
    private String rjJ = "";
    private String rjK;
    private String rjL;
    private int rjM = 0;
    private b rjN = null;
    private int rjO = 0;
    private String rjP = "";
    private String rjQ = "";
    private int rjR = 0;
    private String rjS = "";
    private String rjT = "";
    String rjU = "";
    private String title = "";
    private String videoUrl = "";
    private int w = -1;

    public z(MMActivity mMActivity) {
        this.crP = mMActivity;
    }

    public final void M(Bundle bundle) {
        AppMethodBeat.i(38276);
        this.rim = b.u(this.crP.getIntent());
        this.rjO = this.crP.getIntent().getIntExtra("Ksnsupload_type", 0);
        this.rjR = this.crP.getIntent().getIntExtra("KSnsStreamVideoTotalTime", 0);
        this.rjS = bo.bc(this.crP.getIntent().getStringExtra("KSnsStreamVideoWroding"), "");
        this.rjT = bo.bc(this.crP.getIntent().getStringExtra("KSnsStreamVideoWebUrl"), "");
        this.fiM = bo.bc(this.crP.getIntent().getStringExtra("KSnsStreamVideoAduxInfo"), "");
        this.fiN = bo.bc(this.crP.getIntent().getStringExtra("KSnsStreamVideoPublishId"), "");
        this.w = this.crP.getIntent().getIntExtra("Ksnsupload_width", -1);
        this.h = this.crP.getIntent().getIntExtra("Ksnsupload_height", -1);
        this.rig = this.crP.getIntent().getIntExtra("Ksnsupload_source", 0);
        this.rjC = bo.bc(this.crP.getIntent().getStringExtra("key_snsad_statextstr"), "");
        this.link = bo.bc(this.crP.getIntent().getStringExtra("Ksnsupload_link"), "");
        this.title = bo.bc(this.crP.getIntent().getStringExtra("Ksnsupload_title"), "");
        this.rid = bo.bc(this.crP.getIntent().getStringExtra("Ksnsupload_imgurl"), "");
        this.rie = this.crP.getIntent().getByteArrayExtra("Ksnsupload_imgbuf");
        if (this.rie == null && this.rjH != null && this.rjH.mediaObject != null && (this.rjH.mediaObject instanceof WXImageObject)) {
            this.rie = ((WXImageObject) this.rjH.mediaObject).imageData;
        }
        this.mog = this.crP.getIntent().getBooleanExtra("ksnsis_video", false);
        this.rjD = this.crP.getIntent().getBooleanExtra("ksnsis_music", false);
        this.rjE = this.crP.getIntent().getBooleanExtra("ksnsis_appbrand", false);
        this.cMg = bo.bc(this.crP.getIntent().getStringExtra("src_username"), "");
        this.rif = bo.bc(this.crP.getIntent().getStringExtra("src_displayname"), "");
        this.appId = bo.bc(this.crP.getIntent().getStringExtra("Ksnsupload_appid"), "");
        this.appName = bo.bc(this.crP.getIntent().getStringExtra("Ksnsupload_appname"), "");
        this.rjF = this.crP.getIntent().getBooleanExtra("KThrid_app", false);
        this.rjG = this.crP.getIntent().getBooleanExtra("KSnsAction", false);
        this.rjK = bo.bc(this.crP.getIntent().getStringExtra("ShareUrlOriginal"), "");
        this.rjL = bo.bc(this.crP.getIntent().getStringExtra("ShareUrlOpen"), "");
        this.cMl = bo.bc(this.crP.getIntent().getStringExtra("JsAppId"), "");
        this.cMm = bo.bc(this.crP.getIntent().getStringExtra("KPublisherId"), "");
        this.hcl = bo.bc(this.crP.getIntent().getStringExtra("reportSessionId"), "");
        this.rjM = this.crP.getIntent().getIntExtra("Ksnsupload_contentattribute", 0);
        this.rjU = this.crP.getIntent().getStringExtra("fav_note_xml");
        this.rjP = bo.bc(this.crP.getIntent().getStringExtra("KsnsUpload_BrandUsername"), "");
        this.rjQ = bo.bc(this.crP.getIntent().getStringExtra("KsnsUpload_BrandPath"), "");
        this.rjB = bo.bc(this.crP.getIntent().getStringExtra("KlinkThumb_url"), "");
        if (this.rjB.startsWith("http://mmsns.qpic.cn") || this.rjB.startsWith("https://mmsns.qpic.cn")) {
            this.rid = this.rjB;
            this.rie = null;
            ab.i("MicroMsg.LinkWidget", "get thumb url %s", new Object[]{this.rjB});
        }
        Bundle bundleExtra = this.crP.getIntent().getBundleExtra("Ksnsupload_timeline");
        if (bundleExtra != null) {
            this.rjH = new Req(bundleExtra).message;
            if (bo.isNullOrNil(this.title)) {
                this.title = this.rjH.title;
            }
            if (bo.isNullOrNil(this.rjJ)) {
                this.rjJ = this.rjH.description;
            }
            if (bo.cb(this.rie)) {
                this.rie = this.rjH.thumbData;
            }
        }
        byte[] byteArrayExtra = this.crP.getIntent().getByteArrayExtra("KWebSearchInfo");
        if (byteArrayExtra != null) {
            this.qNQ = new cvi();
            try {
                this.qNQ.parseFrom(byteArrayExtra);
            } catch (IOException e) {
                ab.printErrStackTrace("MicroMsg.LinkWidget", e, "parse web search info failed", new Object[0]);
                this.qNQ = null;
            }
        }
        String stringExtra = this.crP.getIntent().getStringExtra("KSnsStrId");
        n YT = af.cnF().YT(bo.bc(this.crP.getIntent().getStringExtra("KSnsLocalId"), ""));
        if (!bo.isNullOrNil(stringExtra)) {
            this.rjN = b.lY(706);
            this.rjN.mc(this.rjN.fQh).ty(System.currentTimeMillis()).mc(this.rjN.fQi).mc(1).ty(stringExtra);
            if (YT != null) {
                this.rjN.mb(YT.field_type);
                this.rjN.cS(YT.DI(32)).tx(YT.crc()).tx(this.link);
            }
            h.qTp.b(this.rjN);
        }
        AppMethodBeat.o(38276);
    }

    public final void N(Bundle bundle) {
    }

    public final boolean crG() {
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x00b4  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x007e  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x00c0  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x008d  */
    public final android.view.View crH() {
        /*
        r7 = this;
        r6 = 2131824637; // 0x7f110ffd float:1.9282108E38 double:1.053261316E-314;
        r5 = 38277; // 0x9585 float:5.3638E-41 double:1.89114E-319;
        r1 = 1;
        r2 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r5);
        r0 = r7.crP;
        r0 = com.tencent.mm.ui.v.hu(r0);
        r3 = 2130970978; // 0x7f040962 float:1.7550681E38 double:1.0528395525E-314;
        r4 = 0;
        r0 = r0.inflate(r3, r4);
        r7.jAp = r0;
        r0 = r7.link;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x002d;
    L_0x0023:
        r0 = r7.jAp;
        r3 = new com.tencent.mm.plugin.sns.ui.z$1;
        r3.<init>(r7);
        r0.setOnClickListener(r3);
    L_0x002d:
        r0 = r7.jAp;
        r3 = 2131825687; // 0x7f111417 float:1.9284237E38 double:1.053261835E-314;
        r0 = r0.findViewById(r3);
        r0 = (com.tencent.mm.pluginsdk.ui.applet.CdnImageView) r0;
        r7.rih = r0;
        r0 = r7.jAp;
        r3 = 2131825689; // 0x7f111419 float:1.9284241E38 double:1.053261836E-314;
        r0 = r0.findViewById(r3);
        r0 = (android.widget.TextView) r0;
        r7.gne = r0;
        r0 = r7.jAp;
        r3 = 2131825690; // 0x7f11141a float:1.9284243E38 double:1.0532618364E-314;
        r0 = r0.findViewById(r3);
        r0 = (android.widget.TextView) r0;
        r7.rii = r0;
        r0 = r7.mog;
        if (r0 != 0) goto L_0x006d;
    L_0x0058:
        r0 = r7.rjD;
        if (r0 != 0) goto L_0x006d;
    L_0x005c:
        r0 = r7.qNQ;
        if (r0 == 0) goto L_0x00a6;
    L_0x0060:
        r0 = r7.qNQ;
        r0 = r0.uaa;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x00a6;
    L_0x006a:
        r0 = r1;
    L_0x006b:
        if (r0 == 0) goto L_0x00a8;
    L_0x006d:
        r0 = r7.jAp;
        r0 = r0.findViewById(r6);
        r0.setVisibility(r2);
    L_0x0076:
        r0 = r7.title;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x00b4;
    L_0x007e:
        r0 = r7.gne;
        r3 = r7.title;
        r0.setText(r3);
    L_0x0085:
        r0 = r7.rid;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x00c0;
    L_0x008d:
        r0 = r7.rih;
        r0.setVisibility(r2);
        r0 = r7.rih;
        r1 = r7.rid;
        r0.setUrl(r1);
    L_0x0099:
        r0 = r7.rih;
        r1 = r7.crP;
        com.tencent.mm.plugin.sns.data.i.b(r0, r1);
        r0 = r7.jAp;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        return r0;
    L_0x00a6:
        r0 = r2;
        goto L_0x006b;
    L_0x00a8:
        r0 = r7.jAp;
        r0 = r0.findViewById(r6);
        r3 = 8;
        r0.setVisibility(r3);
        goto L_0x0076;
    L_0x00b4:
        r0 = r7.gne;
        r3 = r7.link;
        r3 = com.tencent.mm.plugin.sns.ui.au.ZI(r3);
        r0.setText(r3);
        goto L_0x0085;
    L_0x00c0:
        r0 = r7.rie;
        r0 = com.tencent.mm.sdk.platformtools.bo.cb(r0);
        if (r0 != 0) goto L_0x00df;
    L_0x00c8:
        r0 = r7.rih;
        r0.setVisibility(r2);
        r0 = r7.rie;
        r0 = com.tencent.mm.sdk.platformtools.d.bQ(r0);
        r7.fru = r0;
        r0 = r7.rih;
        r2 = r7.fru;
        r0.setImageBitmap(r2);
        r7.rjA = r1;
        goto L_0x0099;
    L_0x00df:
        r0 = r7.rjU;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x00f5;
    L_0x00e7:
        r0 = r7.rih;
        r1 = 2131231726; // 0x7f0803ee float:1.8079541E38 double:1.052968379E-314;
        r0.setImageResource(r1);
        r0 = r7.rih;
        r0.setVisibility(r2);
        goto L_0x0099;
    L_0x00f5:
        r0 = r7.rih;
        r1 = 2131230820; // 0x7f080064 float:1.8077704E38 double:1.0529679315E-314;
        r0.setImageResource(r1);
        r0 = r7.rih;
        r0.setVisibility(r2);
        goto L_0x0099;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.sns.ui.z.crH():android.view.View");
    }

    public final boolean a(int i, int i2, i iVar, String str, List<String> list, ayt ayt, int i3, boolean z, List<String> list2, PInt pInt, String str2, int i4, int i5) {
        ax axVar;
        String str3;
        AppMethodBeat.i(38278);
        if (this.rjD) {
            axVar = new ax(4);
        } else if (this.mog) {
            axVar = new ax(5);
        } else if (this.rjE) {
            axVar = new ax(25);
            axVar.qNK.xfO.username = this.rjP;
            axVar.qNK.xfO.path = this.rjQ;
        } else if (this.rjO == 11) {
            axVar = new ax(18);
            cfg cfg = new cfg();
            cfg.fiJ = this.rjS;
            cfg.fiI = this.title;
            cfg.fiG = this.link;
            cfg.fiK = this.rjT;
            cfg.fiH = this.rjR;
            cfg.fiL = this.rid;
            cfg.fiM = this.fiM;
            cfg.fiN = this.fiN;
            axVar.qNP = cfg;
            axVar.qNK.xfN = cfg;
        } else if (this.rjO == 15) {
            axVar = new ax(26);
            axVar.qNK.xfI.wbM = this.rjU;
        } else if (this.rjO != 16 || this.qNQ == null) {
            axVar = new ax(3);
        } else {
            axVar = new ax(3);
            cvi cvi = this.qNQ;
            if (cvi != null) {
                axVar.qNQ = cvi;
            }
        }
        pInt.value = axVar.aPA;
        if (i3 > a.qFE) {
            axVar.Dd(4);
        }
        if (this.rie == null) {
            o.ahk();
            Bitmap kR = c.kR(this.rid);
            if (!(kR == null || kR.isRecycled())) {
                ab.i("MicroMsg.LinkWidget", "create bitmap %d %d", new Object[]{Integer.valueOf(d.a(kR, 150, 150, false, false).getHeight()), Integer.valueOf(d.a(kR, 150, 150, false, false).getWidth())});
                this.rie = d.ai(kR);
            }
        }
        axVar.Yr(this.title).Yp(this.link).Yq(this.link).Ym(str);
        if (this.rjO == 15) {
            axVar.Yp(bo.bc(this.crP.getIntent().getStringExtra("fav_note_link_description"), ""));
        }
        if (this.rjD) {
            if (!axVar.a(this.rie, this.link, this.link, this.link, 3, "", "")) {
            }
        } else if (this.mog) {
            WXVideoObject wXVideoObject;
            if (this.rjH != null) {
                wXVideoObject = (WXVideoObject) this.rjH.mediaObject;
            } else {
                wXVideoObject = null;
            }
            axVar.a(this.rie, this.link, wXVideoObject == null ? this.link : bo.bc(wXVideoObject.videoLowBandUrl, this.link), wXVideoObject == null ? this.link : bo.bc(wXVideoObject.videoUrl, this.link), 4, bo.bc(this.title, ""), bo.bc(this.rjJ, ""));
        } else if (!bo.isNullOrNil(this.rjB)) {
            str3 = this.rjB;
            String str4 = "";
            String str5 = "";
            int i6 = this.w;
            int i7 = this.h;
            bau ag = ax.ag("", str3, str3);
            if (ag == null) {
                ab.e("MicroMsg.UploadPackHelper", "share img o.url is null!");
            } else {
                ag.Desc = str4;
                if (i6 > 0 && i7 > 0) {
                    baw baw = new baw();
                    baw.wFy = (float) i7;
                    baw.wFx = (float) i6;
                    ag.wEK = baw;
                }
                if (!bo.isNullOrNil(str5)) {
                    ag.Title = str5;
                }
                if (!bo.isNullOrNil(str4)) {
                    ag.Desc = str4;
                }
                axVar.qNK.xfI.wbK.add(ag);
            }
        } else if (this.rie != null) {
            if (this.rjE) {
                Object obj;
                byte[] bArr = this.rie;
                if (bArr == null) {
                    obj = null;
                } else if (bArr.length < 4) {
                    obj = null;
                } else {
                    obj = 1;
                    byte[] bArr2 = new byte[]{(byte) -119, (byte) 80, (byte) 78, (byte) 71};
                    for (int i8 = 0; i8 < 4; i8++) {
                        if (bArr[i8] != bArr2[i8]) {
                            obj = null;
                        }
                    }
                }
                if (obj != null) {
                    ab.i("MicroMsg.LinkWidget", "isPngThumbData");
                    byte[] bj = e.bj(this.rie);
                    if (bj != null && bj.length > 0) {
                        ab.i("MicroMsg.LinkWidget", "use covert data");
                        this.rie = e.bj(bj);
                    }
                }
            }
            axVar.b(this.rie, "", "");
        }
        axVar.Dh(this.rig);
        axVar.Yu(this.cMg);
        axVar.Yv(this.rif);
        axVar.qNK.rjC = bo.nullAsNil(this.rjC);
        ab.i("MicroMsg.UploadPackHelper", "setStatExtStr:%s", new Object[]{str3});
        axVar.Df(i);
        if (z) {
            axVar.Di(1);
        } else {
            axVar.Di(0);
        }
        axVar.dg(list2);
        LinkedList linkedList = new LinkedList();
        if (list != null) {
            LinkedList linkedList2 = new LinkedList();
            List Zn = t.Zn();
            for (String str32 : list) {
                if (!Zn.contains(str32)) {
                    cco cco = new cco();
                    cco.jBB = str32;
                    linkedList.add(cco);
                }
            }
        }
        if (iVar != null) {
            axVar.gc(iVar.token, iVar.wFn);
        }
        axVar.ar(linkedList);
        if (!bo.isNullOrNil(this.appId)) {
            axVar.Ys(this.appId);
        }
        if (!bo.isNullOrNil(this.appName)) {
            axVar.Yt(bo.bc(this.appName, ""));
        }
        if (this.rjF) {
            axVar.Dh(5);
        }
        axVar.a(ayt);
        if (this.rjG && this.rjH != null) {
            axVar.Yn(this.rjH.mediaTagName);
            axVar.af(this.appId, this.rjH.messageExt, this.rjH.messageAction);
        }
        axVar.Yo(str2);
        axVar.g(this.rjK, this.rjL, this.cMl, i4, i5);
        axVar.qNL.cMm = this.cMm;
        axVar.setSessionId(this.hcl);
        axVar.qNK.fgt = this.rjM;
        int commit = axVar.commit();
        if (this.rim != null) {
            this.rim.ma(commit);
            g.qTp.c(this.rim);
        }
        if (this.rjN != null) {
            this.rjN.ma(commit);
            h.qTp.c(this.rjN);
            this.rjN.ajK();
        }
        af.cnB().cmp();
        this.crP.finish();
        AppMethodBeat.o(38278);
        return false;
    }

    public final boolean f(int i, Intent intent) {
        return false;
    }

    public final boolean crI() {
        AppMethodBeat.i(38279);
        if (!(this.fru == null || this.fru.isRecycled() || !this.rjA)) {
            this.fru.recycle();
        }
        AppMethodBeat.o(38279);
        return false;
    }
}
