package com.tencent.mm.plugin.webview.model;

import android.net.Uri;
import android.os.Bundle;
import android.os.RemoteException;
import com.google.android.gms.common.internal.Constants;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.webview.model.af.b;
import com.tencent.mm.plugin.webview.stub.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.util.ArrayList;

public final class af$c {
    public static boolean a(String str, String str2, int i, d dVar, af.d dVar2, b bVar, int i2) {
        AppMethodBeat.i(6668);
        if (dVar == null) {
            ab.e("MicroMsg.OauthAuthorizeLogic", "doOauthAuthorize invoker null");
            AppMethodBeat.o(6668);
            return false;
        }
        ab.i("MicroMsg.OauthAuthorizeLogic", "doOauthAuthorize scene: %d", new Object[]{Integer.valueOf(i)});
        dVar2.d(new 1(dVar2, bVar));
        Bundle bundle = new Bundle();
        bundle.putString("oauth_url", str);
        bundle.putString("biz_username", str2);
        bundle.putInt("scene", i);
        bundle.putInt("webview_binder_id", i2);
        try {
            bVar.add(1254);
            dVar.s(1254, bundle);
            AppMethodBeat.o(6668);
            return true;
        } catch (RemoteException e) {
            ab.w("MicroMsg.OauthAuthorizeLogic", "invoker.doScene exp : %s", new Object[]{e.getLocalizedMessage()});
            AppMethodBeat.o(6668);
            return false;
        }
    }

    static void a(d dVar, String str, int i, ArrayList<String> arrayList, b bVar, boolean z, int i2) {
        AppMethodBeat.i(6669);
        if (dVar == null) {
            ab.e("MicroMsg.OauthAuthorizeLogic", "doOauthAuthorizeConfirm invoker null");
            AppMethodBeat.o(6669);
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putString("oauth_url", str);
        bundle.putInt("opt", i);
        bundle.putStringArrayList(Constants.KEY_SCOPES, arrayList);
        bundle.putInt("webview_binder_id", i2);
        if (z) {
            try {
                bVar.add(1373);
            } catch (RemoteException e) {
                ab.w("MicroMsg.OauthAuthorizeLogic", "doOauthAuthorizeConfirm doScene exp : %s", new Object[]{e.getLocalizedMessage()});
                AppMethodBeat.o(6669);
                return;
            }
        }
        dVar.s(1373, bundle);
        AppMethodBeat.o(6669);
    }

    public static boolean a(String str, d dVar) {
        AppMethodBeat.i(6670);
        if (af.cXD() == null && !af.cXE()) {
            try {
                Bundle g = dVar.g(94, new Bundle());
                String str2 = null;
                if (g != null) {
                    str2 = g.getString("oauth_host_paths");
                }
                if (bo.isNullOrNil(str2)) {
                    str2 = "open.weixin.qq.com/connect/oauth2/authorize";
                }
                af.K(str2.split(";"));
                af.cXF();
            } catch (RemoteException e) {
                ab.w("MicroMsg.OauthAuthorizeLogic", "isOauthHost exp:%s", new Object[]{e.getLocalizedMessage()});
                AppMethodBeat.o(6670);
                return false;
            }
        }
        if (af.cXD() == null || af.cXD().length == 0) {
            ab.i("MicroMsg.OauthAuthorizeLogic", "isOauthHost sOauthHostPaths nil");
            AppMethodBeat.o(6670);
            return false;
        }
        Uri parse = Uri.parse(str);
        String str3 = parse.getAuthority() + parse.getPath();
        if (bo.isNullOrNil(str3)) {
            ab.i("MicroMsg.OauthAuthorizeLogic", "isOauthHost target nil");
            AppMethodBeat.o(6670);
            return false;
        }
        ab.d("MicroMsg.OauthAuthorizeLogic", "isOauthHost target:%s", new Object[]{str3});
        for (String equalsIgnoreCase : af.cXD()) {
            if (str3.equalsIgnoreCase(equalsIgnoreCase)) {
                AppMethodBeat.o(6670);
                return true;
            }
        }
        AppMethodBeat.o(6670);
        return false;
    }

    public static boolean a(d dVar) {
        boolean z = false;
        AppMethodBeat.i(6671);
        try {
            Bundle g = dVar.g(93, new Bundle());
            if (g == null) {
                ab.w("MicroMsg.OauthAuthorizeLogic", "shouldNativeOauthIntercept Bundle isOauthNative null");
                AppMethodBeat.o(6671);
            } else {
                z = g.getBoolean("is_oauth_native");
                AppMethodBeat.o(6671);
            }
        } catch (RemoteException e) {
            ab.w("MicroMsg.OauthAuthorizeLogic", "shouldNativeOauthIntercept exp:%s", new Object[]{e.getLocalizedMessage()});
            AppMethodBeat.o(6671);
        }
        return z;
    }

    public static String aep(String str) {
        String str2 = null;
        AppMethodBeat.i(6672);
        if (bo.isNullOrNil(str)) {
            AppMethodBeat.o(6672);
        } else {
            try {
                str2 = Uri.parse(str).getQueryParameter("appid");
                if (bo.isNullOrNil(str2)) {
                    ab.i("MicroMsg.OauthAuthorizeLogic", "parseAppId try case not sensitive, oauthUrl:%s", new Object[]{str});
                    str2 = Uri.parse(str.toLowerCase()).getQueryParameter("appid");
                }
            } catch (Exception e) {
            }
            AppMethodBeat.o(6672);
        }
        return str2;
    }
}
