package com.tencent.mm.pluginsdk.model;

import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap.CompressFormat;
import android.net.Uri;
import android.os.Looper;
import com.google.android.gms.stats.netstats.NetstatsParserPatterns;
import com.tencent.mars.cdn.X509Util.CertVerifyStatusAndroid;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.j.a;
import com.tencent.mm.kernel.g;
import com.tencent.mm.modelcontrol.VideoTransPara;
import com.tencent.mm.modelvideo.n;
import com.tencent.mm.modelvideo.o;
import com.tencent.mm.modelvideo.t;
import com.tencent.mm.modelvideo.u;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
import com.tencent.mm.plugin.a.c;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.plugin.sight.base.SightVideoJNI;
import com.tencent.mm.pointers.PInt;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.at;
import com.tencent.mm.sdk.platformtools.az;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.d;
import com.tencent.mm.vfs.e;
import com.tencent.smtt.sdk.WebView;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public final class j extends Thread {
    private static int ehv;
    private static HashMap<String, b> uPs = new HashMap();
    private static Object uPt = new byte[0];
    private static az uPu;
    private Context context;
    private Intent intent;
    private boolean isStop;
    private String talker;
    private List<String> uPi;
    private List<Integer> uPj = new ArrayList();
    private List<String> uPk = new ArrayList();
    private List<String> uPl = new ArrayList();
    private List<Integer> uPm = new ArrayList();
    private int vbg;
    private a vbh;

    static /* synthetic */ void dV(String str, int i) {
        AppMethodBeat.i(50994);
        dT(str, i);
        AppMethodBeat.o(50994);
    }

    static /* synthetic */ void f(boolean z, String str, String str2) {
        AppMethodBeat.i(50995);
        e(z, str, str2);
        AppMethodBeat.o(50995);
    }

    static {
        AppMethodBeat.i(50997);
        AppMethodBeat.o(50997);
    }

    public j(Context context, List<String> list, Intent intent, String str, int i, a aVar) {
        AppMethodBeat.i(50974);
        this.context = context;
        this.uPi = list;
        this.intent = intent;
        this.vbh = aVar;
        this.talker = str;
        this.vbg = i;
        AppMethodBeat.o(50974);
    }

    public final void run() {
        AppMethodBeat.i(50975);
        if (this.uPi == null || this.uPi.size() <= 0) {
            E(this.context, this.intent);
        } else {
            for (int i = 0; i < this.uPi.size() && !this.isStop; i++) {
                ab.i("MicroMsg.ImportMultiVideo", "start to import %s", new Object[]{this.uPi.get(i)});
                Intent intent = new Intent();
                intent.setData(Uri.parse("file://" + ((String) this.uPi.get(i))));
                E(this.context, intent);
            }
        }
        if (!(this.vbh == null || this.isStop)) {
            al.d(new Runnable() {
                public final void run() {
                    AppMethodBeat.i(50971);
                    a e = j.this.vbh;
                    j.this.uPj;
                    j.this.uPk;
                    j.this.uPl;
                    j.this.uPm;
                    e.dhi();
                    AppMethodBeat.o(50971);
                }
            });
        }
        AppMethodBeat.o(50975);
    }

    private void E(Context context, Intent intent) {
        AppMethodBeat.i(50976);
        String ug = t.ug((String) g.RP().Ry().get(2, ""));
        o.all();
        String ui = t.ui(ug);
        o.all();
        String uh = t.uh(ug);
        boolean is2G = at.is2G(ah.getContext());
        String i = a.i(context, intent);
        if (bo.isNullOrNil(i)) {
            ab.e("MicroMsg.ImportMultiVideo", "GetVideoMetadata filed.");
            a(-50005, ug, i, 0, null, intent);
            AppMethodBeat.o(50976);
            return;
        }
        int i2;
        VideoTransPara videoTransPara;
        Object obj;
        int i3;
        a.a j;
        int asZ = (int) e.asZ(i);
        if (c.vC(i)) {
            ab.i("MicroMsg.ImportMultiVideo", "mp4 format: %s", new Object[]{Boolean.valueOf(c.vC(i))});
            PInt pInt = new PInt();
            VideoTransPara a = a(i, pInt);
            i2 = pInt.value;
            videoTransPara = a;
        } else {
            if (asZ > (is2G ? 10485760 : 26214400)) {
                i2 = -5;
                videoTransPara = null;
            } else {
                ab.i("MicroMsg.ImportMultiVideo", "mp4 format: %s", new Object[]{Boolean.valueOf(r5)});
                i2 = 1;
                videoTransPara = null;
            }
        }
        ab.i("MicroMsg.ImportMultiVideo", "check remuxing, ret %d isMp4 %b length %d", new Object[]{Integer.valueOf(i2), Boolean.valueOf(r5), Integer.valueOf(asZ)});
        switch (i2) {
            case CertVerifyStatusAndroid.INCORRECT_KEY_USAGE /*-6*/:
            case CertVerifyStatusAndroid.NOT_YET_VALID /*-4*/:
            case -3:
            case -2:
                a(-50002, ug, i, 0, null, intent);
                AppMethodBeat.o(50976);
                return;
            case CertVerifyStatusAndroid.UNABLE_TO_PARSE /*-5*/:
                a(-50008, ug, i, 0, null, intent);
                AppMethodBeat.o(50976);
                return;
            case -1:
                a(-50007, ug, i, 0, null, intent);
                AppMethodBeat.o(50976);
                return;
            case 0:
                obj = 1;
                i3 = 0;
                break;
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
                if (asZ <= 26214400) {
                    obj = null;
                    i3 = 0;
                    break;
                }
                a(-50002, ug, i, 0, null, intent);
                obj = null;
                i3 = -50002;
                break;
            default:
                ab.e("MicroMsg.ImportMultiVideo", "unknown check type");
                a(-50001, ug, i, 0, null, intent);
                AppMethodBeat.o(50976);
                return;
        }
        a.a aVar = null;
        try {
            j = a.j(context, intent);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.ImportMultiVideo", e, "", new Object[0]);
            j = aVar;
        }
        if (j == null) {
            ab.e("MicroMsg.ImportMultiVideo", "GetVideoMetadata filed.");
            a(-50005, ug, i, 0, null, intent);
            AppMethodBeat.o(50976);
            return;
        }
        if (obj == null) {
            e.y(i, uh);
            dT(uh, this.vbg);
            e(false, i, uh);
        } else {
            i3 = -50006;
        }
        int mA = bo.mA((long) j.duration);
        Object obj2 = 1;
        if (j.bitmap != null) {
            try {
                d.a(j.bitmap, 60, CompressFormat.JPEG, ui, true);
                obj2 = null;
                ou(true);
            } catch (Exception e2) {
                ab.printErrStackTrace("MicroMsg.ImportMultiVideo", e2, "", new Object[0]);
            }
        }
        if (obj2 != null) {
            try {
                ou(false);
                d.a(d.au(WebView.NIGHT_MODE_COLOR, 320, 480), 60, CompressFormat.JPEG, ui, true);
            } catch (Exception e22) {
                ab.printErrStackTrace("MicroMsg.ImportMultiVideo", e22, "", new Object[0]);
            }
        }
        if (obj == null && !e.ct(uh)) {
            i3 = -50003;
        }
        if (!e.ct(ui)) {
            i3 = -50004;
        }
        a(i3, ug, i, mA, videoTransPara, intent);
        AppMethodBeat.o(50976);
    }

    public final void dhb() {
        AppMethodBeat.i(50977);
        this.isStop = true;
        interrupt();
        AppMethodBeat.o(50977);
    }

    private void a(int i, String str, String str2, int i2, VideoTransPara videoTransPara, Intent intent) {
        AppMethodBeat.i(50978);
        ab.i("MicroMsg.ImportMultiVideo", "finish to import %s to %s | ret %d | duration %d", new Object[]{str2, str, Integer.valueOf(i), Integer.valueOf(i2)});
        e(i, str, str2, i2);
        if (i == -50002) {
            dhd();
            a(this.talker, str, str2, intent, i2, 141);
            AppMethodBeat.o(50978);
        } else if (i == -50008) {
            dhf();
            a(this.talker, str, str2, intent, i2, 140);
            AppMethodBeat.o(50978);
        } else if (i == -50006) {
            if (u.t(str, this.talker, str2) < 0) {
                a(this.talker, str, str2, intent, i2, 142);
                ab.e("MicroMsg.ImportMultiVideo", "prepare");
                AppMethodBeat.o(50978);
                return;
            }
            if (uPu == null) {
                uPu = new az(5, "remuxing-thread-" + System.currentTimeMillis(), 1, Looper.getMainLooper());
            }
            b bVar = new b((byte) 0);
            synchronized (uPt) {
                try {
                    uPs.put(str, bVar);
                } finally {
                    while (true) {
                    }
                    int i3 = bVar;
                    AppMethodBeat.o(50978);
                }
            }
            bVar.fileName = str;
            bVar.fUG = str2;
            o.all();
            bVar.hzq = t.uh(str);
            bVar.vbg = this.vbg;
            bVar.toUser = this.talker;
            bVar.fWR = videoTransPara;
            bVar.ozx = com.tencent.mm.bj.e.uD(str2);
            bVar.vbj = new com.tencent.mm.bj.g();
            uPu.e(bVar);
        } else if (i < 0) {
            dhe();
            a(this.talker, str, str2, intent, i2, 142);
            AppMethodBeat.o(50978);
        } else {
            u.c(str, i2, this.talker, str2);
            u.uo(str);
            int i4 = this.vbg == 1 ? 8 : 1;
            o.all();
            n.alj().a(str2, t.uh(str), this.talker, "", "", i4, 2);
            AppMethodBeat.o(50978);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x016e  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0119  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0130  */
    private void a(java.lang.String r13, java.lang.String r14, java.lang.String r15, android.content.Intent r16, int r17, int r18) {
        /*
        r12 = this;
        r2 = 50979; // 0xc723 float:7.1437E-41 double:2.5187E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
        r3 = new com.tencent.mm.storage.bi;
        r3.<init>();
        r2 = 5;
        r3.setStatus(r2);
        r3.ju(r13);
        r4 = com.tencent.mm.model.bf.oC(r13);
        r3.eJ(r4);
        r2 = 1;
        r3.hO(r2);
        r3.jv(r14);
        r2 = 43;
        r3.setType(r2);
        r2 = com.tencent.mm.plugin.messenger.foundation.a.j.class;
        r2 = com.tencent.mm.kernel.g.K(r2);
        r2 = (com.tencent.mm.plugin.messenger.foundation.a.j) r2;
        r2 = r2.bOr();
        r4 = r2.Z(r3);
        r2 = "MicroMsg.ImportMultiVideo";
        r6 = "after update msgInfo, localId[%d] svrId[%d] talker[%s] type[%d] isSend[%d] imgPath[%s], status[%d] createTime[%d]";
        r7 = 8;
        r7 = new java.lang.Object[r7];
        r8 = 0;
        r10 = r3.field_msgId;
        r9 = java.lang.Long.valueOf(r10);
        r7[r8] = r9;
        r8 = 1;
        r10 = r3.field_msgSvrId;
        r9 = java.lang.Long.valueOf(r10);
        r7[r8] = r9;
        r8 = 2;
        r9 = r3.field_talker;
        r7[r8] = r9;
        r8 = 3;
        r9 = r3.getType();
        r9 = java.lang.Integer.valueOf(r9);
        r7[r8] = r9;
        r8 = 4;
        r9 = r3.field_isSend;
        r9 = java.lang.Integer.valueOf(r9);
        r7[r8] = r9;
        r8 = 5;
        r9 = r3.field_imgPath;
        r7[r8] = r9;
        r8 = 6;
        r9 = r3.field_status;
        r9 = java.lang.Integer.valueOf(r9);
        r7[r8] = r9;
        r8 = 7;
        r10 = r3.field_createTime;
        r3 = java.lang.Long.valueOf(r10);
        r7[r8] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r6, r7);
        r2 = -1;
        r2 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r2 != 0) goto L_0x00a0;
    L_0x008a:
        r2 = "MicroMsg.ImportMultiVideo";
        r3 = "[insertErrMsg] :%s";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r4[r5] = r13;
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3, r4);
        r2 = 50979; // 0xc723 float:7.1437E-41 double:2.5187E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
    L_0x009f:
        return;
    L_0x00a0:
        r2 = com.tencent.mm.modelvideo.u.ut(r14);
        if (r2 != 0) goto L_0x0143;
    L_0x00a6:
        com.tencent.mm.modelvideo.o.all();
        r3 = com.tencent.mm.modelvideo.t.ui(r14);
        r2 = r12.context;	 Catch:{ Exception -> 0x015f }
        r0 = r16;
        r2 = com.tencent.mm.compatible.j.a.j(r2, r0);	 Catch:{ Exception -> 0x015f }
        if (r2 == 0) goto L_0x014b;
    L_0x00b7:
        r6 = r2.bitmap;	 Catch:{ Exception -> 0x015f }
        if (r6 == 0) goto L_0x014b;
    L_0x00bb:
        r6 = r2.duration;	 Catch:{ Exception -> 0x015f }
        r6 = (long) r6;	 Catch:{ Exception -> 0x015f }
        r17 = com.tencent.mm.sdk.platformtools.bo.mA(r6);	 Catch:{ Exception -> 0x015f }
        r2 = r2.bitmap;	 Catch:{ Exception -> 0x015f }
        r6 = 60;
        r7 = android.graphics.Bitmap.CompressFormat.JPEG;	 Catch:{ Exception -> 0x015f }
        r8 = 1;
        com.tencent.mm.sdk.platformtools.d.a(r2, r6, r7, r3, r8);	 Catch:{ Exception -> 0x015f }
    L_0x00cc:
        r3 = com.tencent.mm.modelvideo.t.uj(r3);
        com.tencent.mm.modelvideo.o.all();
        r2 = com.tencent.mm.modelvideo.t.uh(r14);
        r2 = com.tencent.mm.modelvideo.t.uj(r2);
        r6 = new com.tencent.mm.modelvideo.s;
        r6.<init>();
        r6.fileName = r14;
        if (r2 <= 0) goto L_0x016e;
    L_0x00e4:
        r6.frO = r2;
        r6.fXa = r3;
        r0 = r17;
        r6.fXd = r0;
        r6.cIS = r13;
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = 2;
        r7 = "";
        r2 = r2.get(r3, r7);
        r2 = (java.lang.String) r2;
        r6.fWW = r2;
        r2 = com.tencent.mm.sdk.platformtools.bo.anT();
        r6.createTime = r2;
        r2 = com.tencent.mm.sdk.platformtools.bo.anT();
        r6.fXb = r2;
        r2 = 0;
        r6.fXj = r2;
        r6.fUG = r15;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r15);
        if (r2 != 0) goto L_0x011c;
    L_0x0119:
        r2 = 1;
        r6.fXh = r2;
    L_0x011c:
        r2 = -1;
        r6.fXk = r2;
        r0 = r18;
        r6.status = r0;
        r2 = (int) r4;
        r6.fXe = r2;
        r2 = com.tencent.mm.modelvideo.o.all();
        r2 = r2.b(r6);
        if (r2 != 0) goto L_0x0143;
    L_0x0130:
        r2 = "MicroMsg.ImportMultiVideo";
        r3 = "[insertErrMsg] localMsgId:%s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r4 = java.lang.Long.valueOf(r4);
        r6[r7] = r4;
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3, r6);
    L_0x0143:
        r2 = 50979; // 0xc723 float:7.1437E-41 double:2.5187E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x009f;
    L_0x014b:
        r2 = -16777216; // 0xffffffffff000000 float:-1.7014118E38 double:NaN;
        r6 = 320; // 0x140 float:4.48E-43 double:1.58E-321;
        r7 = 480; // 0x1e0 float:6.73E-43 double:2.37E-321;
        r2 = com.tencent.mm.sdk.platformtools.d.au(r2, r6, r7);	 Catch:{ Exception -> 0x015f }
        r6 = 60;
        r7 = android.graphics.Bitmap.CompressFormat.JPEG;	 Catch:{ Exception -> 0x015f }
        r8 = 1;
        com.tencent.mm.sdk.platformtools.d.a(r2, r6, r7, r3, r8);	 Catch:{ Exception -> 0x015f }
        goto L_0x00cc;
    L_0x015f:
        r2 = move-exception;
        r6 = "MicroMsg.ImportMultiVideo";
        r7 = "";
        r8 = 0;
        r8 = new java.lang.Object[r8];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r6, r2, r7, r8);
        goto L_0x00cc;
    L_0x016e:
        r2 = 0;
        goto L_0x00e4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.pluginsdk.model.j.a(java.lang.String, java.lang.String, java.lang.String, android.content.Intent, int, int):void");
    }

    /* JADX WARNING: Removed duplicated region for block: B:39:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00a1  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00ad  */
    public static void c(java.lang.String r10, int[] r11) {
        /*
        r9 = 640; // 0x280 float:8.97E-43 double:3.16E-321;
        r8 = 480; // 0x1e0 float:6.73E-43 double:2.37E-321;
        r7 = 50980; // 0xc724 float:7.1438E-41 double:2.51875E-319;
        r6 = 1;
        r4 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        r2 = 0;
        r1 = new android.media.MediaMetadataRetriever;	 Catch:{ all -> 0x0094 }
        r1.<init>();	 Catch:{ all -> 0x0094 }
        r1.setDataSource(r10);	 Catch:{ all -> 0x00bb }
        r0 = 18;
        r0 = r1.extractMetadata(r0);	 Catch:{ all -> 0x00bb }
        r2 = 0;
        r2 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r2);	 Catch:{ all -> 0x00bb }
        r0 = 19;
        r0 = r1.extractMetadata(r0);	 Catch:{ all -> 0x00bb }
        r3 = 0;
        r0 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r3);	 Catch:{ all -> 0x00bb }
        r3 = 0;
        r11[r3] = r2;	 Catch:{ all -> 0x00bb }
        r3 = 1;
        r11[r3] = r0;	 Catch:{ all -> 0x00bb }
        r3 = r4;
    L_0x0032:
        r5 = 3;
        if (r3 >= r5) goto L_0x0068;
    L_0x0035:
        r5 = r2 % 2;
        if (r5 != 0) goto L_0x003d;
    L_0x0039:
        r5 = r0 % 2;
        if (r5 == 0) goto L_0x005c;
    L_0x003d:
        r1.release();
        r0 = r11[r4];
        r0 = r0 % 2;
        if (r0 == 0) goto L_0x004c;
    L_0x0046:
        r0 = r11[r4];
        r0 = r0 + 1;
        r11[r4] = r0;
    L_0x004c:
        r0 = r11[r6];
        r0 = r0 % 2;
        if (r0 == 0) goto L_0x0058;
    L_0x0052:
        r0 = r11[r6];
        r0 = r0 + 1;
        r11[r6] = r0;
    L_0x0058:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
    L_0x005b:
        return;
    L_0x005c:
        if (r2 < r0) goto L_0x0062;
    L_0x005e:
        if (r2 <= r9) goto L_0x0068;
    L_0x0060:
        if (r0 <= r8) goto L_0x0068;
    L_0x0062:
        if (r2 > r0) goto L_0x008d;
    L_0x0064:
        if (r2 <= r8) goto L_0x0068;
    L_0x0066:
        if (r0 > r9) goto L_0x008d;
    L_0x0068:
        r3 = 0;
        r11[r3] = r2;	 Catch:{ all -> 0x00bb }
        r2 = 1;
        r11[r2] = r0;	 Catch:{ all -> 0x00bb }
        r1.release();
        r0 = r11[r4];
        r0 = r0 % 2;
        if (r0 == 0) goto L_0x007d;
    L_0x0077:
        r0 = r11[r4];
        r0 = r0 + 1;
        r11[r4] = r0;
    L_0x007d:
        r0 = r11[r6];
        r0 = r0 % 2;
        if (r0 == 0) goto L_0x00b7;
    L_0x0083:
        r0 = r11[r6];
        r0 = r0 + 1;
        r11[r6] = r0;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x005b;
    L_0x008d:
        r2 = r2 / 2;
        r0 = r0 / 2;
        r3 = r3 + 1;
        goto L_0x0032;
    L_0x0094:
        r0 = move-exception;
        r1 = r2;
    L_0x0096:
        if (r1 == 0) goto L_0x009b;
    L_0x0098:
        r1.release();
    L_0x009b:
        r1 = r11[r4];
        r1 = r1 % 2;
        if (r1 == 0) goto L_0x00a7;
    L_0x00a1:
        r1 = r11[r4];
        r1 = r1 + 1;
        r11[r4] = r1;
    L_0x00a7:
        r1 = r11[r6];
        r1 = r1 % 2;
        if (r1 == 0) goto L_0x00b3;
    L_0x00ad:
        r1 = r11[r6];
        r1 = r1 + 1;
        r11[r6] = r1;
    L_0x00b3:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x00b7:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x005b;
    L_0x00bb:
        r0 = move-exception;
        goto L_0x0096;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.pluginsdk.model.j.c(java.lang.String, int[]):void");
    }

    private synchronized void e(int i, String str, String str2, int i2) {
        AppMethodBeat.i(50981);
        this.uPj.add(Integer.valueOf(i));
        this.uPk.add(str);
        this.uPl.add(str2);
        this.uPm.add(Integer.valueOf(i2));
        AppMethodBeat.o(50981);
    }

    public static void dhc() {
        int size;
        AppMethodBeat.i(50982);
        synchronized (uPt) {
            try {
                size = uPs.size();
                uPs.clear();
            } finally {
                while (true) {
                }
                AppMethodBeat.o(50982);
            }
        }
        if (uPu == null) {
            ab.i("MicroMsg.ImportMultiVideo", "do clear remuxing job, worker is null, setCount %d", new Object[]{Integer.valueOf(size)});
            return;
        }
        ab.i("MicroMsg.ImportMultiVideo", "do clear remuxing job, setCount %d, workerJobCount %d", new Object[]{Integer.valueOf(size), Integer.valueOf(uPu.xAV.size())});
        uPu.xAV.clear();
        uPu = null;
        AppMethodBeat.o(50982);
    }

    public static boolean aiB(String str) {
        boolean containsKey;
        AppMethodBeat.i(50983);
        synchronized (uPt) {
            try {
                containsKey = uPs.containsKey(str);
            } finally {
                while (true) {
                }
                AppMethodBeat.o(50983);
            }
        }
        ab.i("MicroMsg.ImportMultiVideo", "check %s is remuxing, ret %B", new Object[]{str, Boolean.valueOf(containsKey)});
        return containsKey;
    }

    public static void aiC(String str) {
        boolean z = true;
        AppMethodBeat.i(50984);
        synchronized (uPt) {
            try {
                if (uPs.remove(str) == null) {
                    z = false;
                }
                ab.i("MicroMsg.ImportMultiVideo", "remove remuxing job, filename %s, ret %B", new Object[]{str, Boolean.valueOf(z)});
            } finally {
                while (true) {
                }
                AppMethodBeat.o(50984);
            }
        }
    }

    private static VideoTransPara a(String str, PInt pInt) {
        AppMethodBeat.i(50985);
        if (com.tencent.mm.modelcontrol.d.afF().rT(str)) {
            ab.i("MicroMsg.ImportMultiVideo", "check remuxing, this video had wx meta do not remuxing. %s ", new Object[]{str});
            pInt.value = 1;
            dhg();
            AppMethodBeat.o(50985);
            return null;
        }
        VideoTransPara uE = com.tencent.mm.bj.e.uE(str);
        Boolean valueOf = Boolean.valueOf(com.tencent.mm.bj.e.uD(str));
        ab.d("MicroMsg.ImportMultiVideo", "check remuxing old para %s", new Object[]{uE});
        VideoTransPara b = com.tencent.mm.modelcontrol.d.afF().b(uE);
        if (b == null) {
            ab.i("MicroMsg.ImportMultiVideo", "get C2C album video para is null. old para %s", new Object[]{uE});
            pInt.value = -5;
            AppMethodBeat.o(50985);
            return null;
        }
        ab.d("MicroMsg.ImportMultiVideo", "check remuxing new para %s", new Object[]{b});
        if (uE.videoBitrate <= 640000 || b.videoBitrate > uE.videoBitrate) {
            ab.i("MicroMsg.ImportMultiVideo", "new bitrate is bigger than old bitrate %s %s", new Object[]{b, uE});
            if (valueOf.booleanValue()) {
                pInt.value = 0;
                AppMethodBeat.o(50985);
                return uE;
            }
            pInt.value = 1;
            AppMethodBeat.o(50985);
            return null;
        } else if (uE.fps < 45 || uE.duration * NetstatsParserPatterns.NEW_TS_TO_MILLIS < 180000) {
            if (valueOf.booleanValue()) {
                pInt.value = 0;
            } else {
                boolean is2G = at.is2G(ah.getContext());
                pInt.value = SightVideoJNI.shouldRemuxing(str, b.width, b.height, is2G ? 10485760 : 26214400, is2G ? 60000.0d : 300000.0d, 1000000);
            }
            AppMethodBeat.o(50985);
            return b;
        } else {
            pInt.value = -6;
            AppMethodBeat.o(50985);
            return null;
        }
    }

    private void ou(boolean z) {
        int i;
        AppMethodBeat.i(50986);
        if (this.vbg == 1) {
            if (z) {
                i = com.tencent.view.d.MIC_PTU_DRAMA;
            } else {
                i = com.tencent.view.d.MIC_PTU_NIGHT;
            }
        } else if (z) {
            i = 231;
        } else {
            i = com.tencent.view.d.MIC_PTU_JINGWU;
        }
        ab.d("MicroMsg.ImportMultiVideo", "report video thumb reportId : " + i + " had Thumb : " + z + " importType : " + this.vbg);
        h.pYm.a(106, (long) i, 1, false);
        AppMethodBeat.o(50986);
    }

    private void dhd() {
        int i;
        AppMethodBeat.i(50987);
        if (this.vbg == 1) {
            i = com.tencent.view.d.MIC_PTU_FBBS;
        } else {
            i = com.tencent.view.d.MIC_PTU_ZIPAI_LIGHTWHITE;
        }
        ab.d("MicroMsg.ImportMultiVideo", "report video too big reportId : " + i + " importType : " + this.vbg);
        h.pYm.a(106, (long) i, 1, false);
        AppMethodBeat.o(50987);
    }

    private void dhe() {
        int i;
        AppMethodBeat.i(50988);
        if (this.vbg == 1) {
            i = com.tencent.view.d.MIC_PTU_SENLIN;
        } else {
            i = com.tencent.view.d.MIC_PTU_ZIPAI_RICHRED;
        }
        ab.d("MicroMsg.ImportMultiVideo", "report video file error reportId : " + i + " importType : " + this.vbg);
        h.pYm.a(106, (long) i, 1, false);
        AppMethodBeat.o(50988);
    }

    private static void dT(String str, int i) {
        int i2;
        int i3;
        int i4;
        AppMethodBeat.i(50989);
        if (i == 1) {
            i2 = com.tencent.view.d.MIC_PTU_HEIBAI3;
            i3 = com.tencent.view.d.MIC_PTU_NAICHA;
            i4 = com.tencent.view.d.MIC_PTU_FUGU;
        } else {
            i2 = com.tencent.view.d.MIC_PTU_FENGJING;
            i3 = com.tencent.view.d.MIC_PTU_QUANMINYINGDI;
            i4 = com.tencent.view.d.MIC_PTU_MEISHI;
        }
        long asZ = e.asZ(str);
        int h = bo.h((Integer) h.a((int) (asZ / 1024), new int[]{WXMediaMessage.TITLE_LENGTH_LIMIT, WXMediaMessage.DESCRIPTION_LENGTH_LIMIT, 2048, 5120, 8192, 10240, 15360, 20480}, i2, i3));
        h.pYm.a(106, (long) h, 1, false);
        h.pYm.a(106, (long) i4, 1, false);
        ab.d("MicroMsg.ImportMultiVideo", "report no compress video report id : " + h + " file len : " + (asZ / 1024) + "K");
        AppMethodBeat.o(50989);
    }

    private static void dhf() {
        AppMethodBeat.i(50990);
        h.pYm.a(106, 210, 1, false);
        AppMethodBeat.o(50990);
    }

    private static void dhg() {
        AppMethodBeat.i(50991);
        h.pYm.a(422, 51, 1, false);
        AppMethodBeat.o(50991);
    }

    private static void e(boolean z, String str, String str2) {
        AppMethodBeat.i(50992);
        com.tencent.mm.modelvideo.a.j(z ? 1 : 0, str, str2);
        AppMethodBeat.o(50992);
    }

    static /* synthetic */ void dU(String str, int i) {
        AppMethodBeat.i(50993);
        if (i == 2) {
            long asZ = e.asZ(str);
            int h = bo.h((Integer) h.a((int) (asZ / 1024), new int[]{WXMediaMessage.TITLE_LENGTH_LIMIT, WXMediaMessage.DESCRIPTION_LENGTH_LIMIT, 2048, 5120, 8192, 10240, 15360, 20480}, com.tencent.view.d.MIC_PTU_ZIPAI_NEXTDOOR, 255));
            h.pYm.a(106, (long) h, 1, false);
            h.pYm.a(106, 246, 1, false);
            ab.d("MicroMsg.ImportMultiVideo", "report compress video report id : " + h + " file len : " + (asZ / 1024) + "K");
        }
        AppMethodBeat.o(50993);
    }

    static /* synthetic */ void a(int i, int i2, String str, String str2, int i3) {
        AppMethodBeat.i(50996);
        long asZ = e.asZ(str);
        if (asZ > 0) {
            int asZ2 = (int) ((100 * e.asZ(str2)) / asZ);
            ab.i("MicroMsg.ImportMultiVideo", "kv report video compression isNew[%d], oriSize[%d], remuxingSize[%d], compressionRatio[%d], bitrate[%d], preset[%d], retDuration[%d]", new Object[]{Integer.valueOf(i), Long.valueOf(asZ), Long.valueOf(e.asZ(str2)), Integer.valueOf(asZ2), Integer.valueOf(i2), Integer.valueOf(0), Integer.valueOf(i3)});
            h.pYm.e(13432, new Object[]{Integer.valueOf(i), Long.valueOf(asZ), Long.valueOf(r2), Integer.valueOf(asZ2), Integer.valueOf(i2), Integer.valueOf(0), Integer.valueOf(i3)});
            AppMethodBeat.o(50996);
            return;
        }
        ab.e("MicroMsg.ImportMultiVideo", "file canot be empty");
        AppMethodBeat.o(50996);
    }
}
