package com.tencent.mm.ui.chatting;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.text.TextUtils;
import android.util.TypedValue;
import android.view.View;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.jj;
import com.tencent.mm.g.a.l;
import com.tencent.mm.g.a.p;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.t;
import com.tencent.mm.modelappbrand.i;
import com.tencent.mm.plugin.appbrand.config.WxaAttributes;
import com.tencent.mm.plugin.appbrand.config.WxaAttributes.b;
import com.tencent.mm.plugin.appbrand.config.WxaExposedParams;
import com.tencent.mm.plugin.appbrand.report.AppBrandStatObject;
import com.tencent.mm.plugin.appbrand.service.d;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.pluginsdk.ui.chat.ChatFooter;
import com.tencent.mm.pluginsdk.ui.chat.ChatFooter.e;
import com.tencent.mm.pluginsdk.ui.e.j;
import com.tencent.mm.sdk.platformtools.aa;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ak;
import com.tencent.mm.ui.appbrand.c;
import com.tencent.mm.ui.appbrand.c.4;
import com.tencent.mm.ui.chatting.c.b.o;
import com.tencent.mm.ui.chatting.c.c.a;
import java.io.ByteArrayOutputStream;

@SuppressLint({"ValidFragment"})
public class AppBrandServiceChattingUI$AppBrandServiceChattingFmUI extends ChattingUIFragment {
    private String appId;
    private int fromScene;
    private String hIn;
    private String hIo;
    private String hIp;
    private boolean hIq;
    private String hIr;
    private boolean hIs;
    private b hhQ;
    private WxaExposedParams iIa;
    private String mSceneId;
    private com.tencent.mm.ui.chatting.c.c.b yGA = new com.tencent.mm.ui.chatting.c.c.b(new a());
    private final e yGx = new e() {
        public final boolean oS(boolean z) {
            AppMethodBeat.i(30348);
            if (AppBrandServiceChattingUI$AppBrandServiceChattingFmUI.this.hhQ != null) {
                b.a aVar = (b.a) AppBrandServiceChattingUI$AppBrandServiceChattingFmUI.this.hhQ.hhZ.get(0);
                if (AppBrandServiceChattingUI$AppBrandServiceChattingFmUI.this.fromScene == 2 && AppBrandServiceChattingUI$AppBrandServiceChattingFmUI.this.iIa.username.equals(aVar.userName)) {
                    ab.i("MicroMsg.AppBrandServiceChattingUI", "[bizmenu]onBackFromContact username:%s path:%s", new Object[]{aVar.userName, aVar.csu});
                    AppBrandServiceChattingUI$AppBrandServiceChattingFmUI.a(AppBrandServiceChattingUI$AppBrandServiceChattingFmUI.this, aVar.csu);
                    AppMethodBeat.o(30348);
                } else {
                    AppBrandStatObject appBrandStatObject = new AppBrandStatObject();
                    appBrandStatObject.scene = 1080;
                    ((com.tencent.mm.plugin.appbrand.service.e) g.K(com.tencent.mm.plugin.appbrand.service.e.class)).a(AppBrandServiceChattingUI$AppBrandServiceChattingFmUI.this.getContext(), aVar.userName, "", 0, aVar.version, aVar.csu, appBrandStatObject, AppBrandServiceChattingUI$AppBrandServiceChattingFmUI.d(AppBrandServiceChattingUI$AppBrandServiceChattingFmUI.this));
                    AppMethodBeat.o(30348);
                }
            } else {
                ab.e("MicroMsg.AppBrandServiceChattingUI", "[mOnOpenMiniProgramBtnClickListener]wxaBizMenu or wxaBizMenu.ButtonList is empty, error");
                AppMethodBeat.o(30348);
            }
            return true;
        }
    };
    private com.tencent.mm.pluginsdk.ui.e.g yGy = new 2(this);
    private c yGz;

    static /* synthetic */ String d(AppBrandServiceChattingUI$AppBrandServiceChattingFmUI appBrandServiceChattingUI$AppBrandServiceChattingFmUI) {
        AppMethodBeat.i(30366);
        String appId = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.getAppId();
        AppMethodBeat.o(30366);
        return appId;
    }

    public AppBrandServiceChattingUI$AppBrandServiceChattingFmUI() {
        AppMethodBeat.i(30354);
        AppMethodBeat.o(30354);
    }

    public AppBrandServiceChattingUI$AppBrandServiceChattingFmUI(byte b) {
        super((byte) 0);
        AppMethodBeat.i(30355);
        AppMethodBeat.o(30355);
    }

    public final void dBr() {
        AppMethodBeat.i(30357);
        super.dBr();
        j.a(this.yGy);
        AppMethodBeat.o(30357);
    }

    public final void onEnterBegin() {
        b bVar;
        AppMethodBeat.i(30358);
        super.onEnterBegin();
        String talkerUserName = this.cgL.getTalkerUserName();
        if (TextUtils.isEmpty(talkerUserName)) {
            bVar = null;
        } else {
            WxaAttributes zb = ((d) g.K(d.class)).zb(talkerUserName);
            if (zb != null) {
                bVar = zb.ayN();
            } else {
                ab.e("MicroMsg.AppBrandServiceHelper", "username:%s, attr is null or getWxaBizMenuByUsername return null", new Object[]{talkerUserName});
                bVar = null;
            }
        }
        this.hhQ = bVar;
        if (this.hhQ != null && this.hhQ.hhZ.size() == 1) {
            ChatFooter dDX = ((o) this.cgL.aF(o.class)).dDX();
            dDX.setSwitchButtonMode(1);
            dDX.setOnFooterSwitchListener(this.yGx);
        } else if (this.hhQ == null || this.hhQ.hhZ == null) {
            ab.e("MicroMsg.AppBrandServiceChattingUI", "wxaBizMenu or wxaBizMenu.buttonList is empty");
        } else {
            ab.e("MicroMsg.AppBrandServiceChattingUI", "wxaBizMenu.buttonList.size():%d", new Object[]{Integer.valueOf(this.hhQ.hhZ.size())});
        }
        if (this.fromScene == 2) {
            aw.Rg().a(new com.tencent.mm.modelsimple.g(this.cgL.getTalkerUserName(), 19, getStringExtra("key_temp_session_from")), 0);
            String appId = getAppId();
            talkerUserName = this.cgL.getTalkerUserName();
            int i = this.fromScene;
            aw.ZK();
            ak aoZ = com.tencent.mm.model.c.XR().aoZ(talkerUserName);
            if (aoZ == null) {
                ab.e("MicroMsg.AppBrandServiceChattingUI", "cvs:%s is null, error", new Object[]{talkerUserName});
            } else {
                int i2 = aoZ.field_unReadCount;
                String nullAsNil = bo.nullAsNil(this.mSceneId);
                ab.d("MicroMsg.AppBrandServiceChattingUI", "stev report(%s), appId : %s, scene %s, unReadCount %d, sceneId %s", new Object[]{Integer.valueOf(13799), appId, Integer.valueOf(i), Integer.valueOf(i2), nullAsNil});
                h.pYm.e(13799, new Object[]{appId, Integer.valueOf(i), Integer.valueOf(i2), nullAsNil, Long.valueOf(bo.anT())});
            }
            ab.i("MicroMsg.AppBrandServiceChattingUI", "AppBrandServiceChattingFmUI onActivityCreated NetSceneEnterTempSession");
        }
        AppMethodBeat.o(30358);
    }

    private String getAppId() {
        AppMethodBeat.i(30359);
        if (bo.isNullOrNil(this.appId)) {
            WxaAttributes zb = ((d) g.K(d.class)).zb(this.cgL.getTalkerUserName());
            this.appId = zb == null ? null : zb.field_appId;
        }
        if (bo.isNullOrNil(this.appId)) {
            ab.e("MicroMsg.AppBrandServiceChattingUI", "error, appId is null");
        }
        String str = this.appId;
        AppMethodBeat.o(30359);
        return str;
    }

    /* Access modifiers changed, original: protected|final */
    public final void dBs() {
        AppMethodBeat.i(30360);
        super.dBs();
        jj jjVar = new jj();
        jjVar.cEF.cEA = 0;
        jjVar.cEF.aOt = aa.dor();
        if (t.kH(this.cgL.getTalkerUserName())) {
            jjVar.cEF.cEH = true;
        } else {
            jjVar.cEF.cEH = false;
        }
        com.tencent.mm.sdk.b.a.xxA.m(jjVar);
        AppMethodBeat.o(30360);
    }

    public final void cch() {
        AppMethodBeat.i(30361);
        p pVar;
        if (this.fromScene == 2) {
            aw.ZK();
            ak aoZ = com.tencent.mm.model.c.XR().aoZ("appbrandcustomerservicemsg");
            if (aoZ == null || bo.isNullOrNil(aoZ.field_username)) {
                ab.e("MicroMsg.AppBrandServiceChattingUI", "update Unread: can not find SPUSER_APP_BRAND_SERVICE cvs");
            } else {
                int i = aoZ.field_unReadCount;
                l lVar = new l();
                lVar.csj.csl = this.cgL.getTalkerUserName();
                com.tencent.mm.sdk.b.a.xxA.m(lVar);
                ab.i("MicroMsg.AppBrandServiceChattingUI", "parUnReadCount:%d, unReadCount:%d", new Object[]{Integer.valueOf(i), Integer.valueOf(lVar.csk.csm)});
                aoZ.hM(Math.max(0, i - r2));
                aw.ZK();
                if (com.tencent.mm.model.c.XR().a(aoZ, aoZ.field_username) == -1) {
                    ab.e("MicroMsg.AppBrandServiceChattingUI", "update SPUSER_APP_BRAND_SERVICE cvs unread failed");
                } else {
                    pVar = new p();
                    pVar.csz.csl = this.cgL.getTalkerUserName();
                    pVar.csz.csm = 0;
                    com.tencent.mm.sdk.b.a.xxA.m(pVar);
                }
            }
        } else {
            ab.i("MicroMsg.AppBrandServiceChattingUI", "writeOpLogAndMarkRead clear AppBrandKvData username:%s", new Object[]{this.cgL.getTalkerUserName()});
            pVar = new p();
            pVar.csz.csl = this.cgL.getTalkerUserName();
            pVar.csz.csm = 0;
            com.tencent.mm.sdk.b.a.xxA.m(pVar);
        }
        super.cch();
        AppMethodBeat.o(30361);
    }

    public void onViewAttachedToWindow(View view) {
        AppMethodBeat.i(30362);
        super.onViewAttachedToWindow(view);
        if (this.fromScene == 2 && this.hIq) {
            if (this.yGz == null) {
                ChatFooter dDX = ((o) this.cgL.aF(o.class)).dDX();
                this.yGz = new c(getActivity(), dDX.getRootView(), dDX, !bo.isNullOrNil(dDX.getLastText()));
                this.yGz.vou = false;
            }
            if (bo.isNullOrNil(this.hIr)) {
                com.tencent.mm.modelappbrand.a.b.abR().a(this.yGz, this.hIp, null, ((i) g.K(i.class)).cq((int) Li(75), (int) Li(60)));
            } else {
                com.tencent.mm.modelappbrand.a.b.abR().a(this.yGz, "file://" + this.hIr, null, ((i) g.K(i.class)).cq((int) Li(75), (int) Li(60)));
            }
            this.yGz.yrt = new 4(this);
            c cVar = this.yGz;
            ab.d("MicroMsg.AppBrandServiceImageBubble", "show");
            aw.RS().aa(new 4(cVar));
        }
        AppMethodBeat.o(30362);
    }

    private float Li(int i) {
        AppMethodBeat.i(30363);
        float applyDimension = TypedValue.applyDimension(1, (float) i, getContext().getResources().getDisplayMetrics());
        AppMethodBeat.o(30363);
        return applyDimension;
    }

    public final void dBt() {
        AppMethodBeat.i(30364);
        super.dBt();
        j.b(this.yGy);
        AppMethodBeat.o(30364);
    }

    public final void dBq() {
        AppMethodBeat.i(30356);
        if (!this.cgL.yTu.yYL.containsKey(com.tencent.mm.ui.chatting.c.b.a.class)) {
            this.cgL.a(com.tencent.mm.ui.chatting.c.b.a.class, this.yGA);
        }
        super.dBq();
        this.fromScene = getIntExtra("app_brand_chatting_from_scene", 1);
        this.iIa = (WxaExposedParams) getParcelableExtra("app_brand_chatting_expose_params");
        this.mSceneId = bo.nullAsNil(getStringExtra("key_scene_id"));
        this.hIn = getStringExtra("sendMessageTitle");
        this.hIo = getStringExtra("sendMessagePath");
        this.hIp = getStringExtra("sendMessageImg");
        this.hIr = getStringExtra("sendMessageLocalImg");
        this.hIq = getBooleanExtra("showMessageCard", false).booleanValue();
        this.hIs = getBooleanExtra("needDelThumb", false).booleanValue();
        ab.i("MicroMsg.AppBrandServiceChattingUI", "AppBrandServiceChattingFmUI onCreate fromScene:%d", new Object[]{Integer.valueOf(this.fromScene)});
        ab.i("MicroMsg.AppBrandServiceChattingUI", "AppBrandServiceChattingFmUI onCreate wxaExposedParams:%s", new Object[]{this.iIa});
        ab.i("MicroMsg.AppBrandServiceChattingUI", "mSceneId:%s, sendMessageTitle:%s, sendMessagePath:%s, sendMessageImg:%s, showMessageCard:%b, needDelThumb:%b", new Object[]{this.mSceneId, this.hIn, this.hIo, this.hIp, Boolean.valueOf(this.hIq), Boolean.valueOf(this.hIs)});
        AppMethodBeat.o(30356);
    }

    static /* synthetic */ void a(AppBrandServiceChattingUI$AppBrandServiceChattingFmUI appBrandServiceChattingUI$AppBrandServiceChattingFmUI, String str) {
        AppMethodBeat.i(30365);
        Intent intent = new Intent();
        intent.putExtra("keyOutPagePath", str);
        appBrandServiceChattingUI$AppBrandServiceChattingFmUI.thisActivity().setResult(-1, intent);
        appBrandServiceChattingUI$AppBrandServiceChattingFmUI.finish();
        AppMethodBeat.o(30365);
    }

    static /* synthetic */ void e(AppBrandServiceChattingUI$AppBrandServiceChattingFmUI appBrandServiceChattingUI$AppBrandServiceChattingFmUI) {
        Bitmap a;
        AppMethodBeat.i(30367);
        com.tencent.mm.af.j.b bVar = new com.tencent.mm.af.j.b();
        bVar.title = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIn;
        bVar.type = 33;
        bVar.fiP = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.username;
        bVar.fiO = bo.isNullOrNil(appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIo) ? appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.pageId : appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIo;
        bVar.fiQ = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.appId;
        bVar.fiZ = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.gVt;
        bVar.fja = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.gVu;
        bVar.fiS = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.hiv;
        bVar.fiR = 2;
        bVar.url = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.hiw;
        bVar.fjb = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.iconUrl;
        bVar.cMm = "wxapp_" + appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.appId + appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.pageId;
        bVar.cMg = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.username;
        bVar.cMh = appBrandServiceChattingUI$AppBrandServiceChattingFmUI.iIa.nickname;
        byte[] bArr = new byte[0];
        if (bo.isNullOrNil(appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIr)) {
            a = com.tencent.mm.modelappbrand.a.b.abR().a(appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIp, null);
        } else {
            a = com.tencent.mm.modelappbrand.a.b.abR().a("file://" + appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIr, null);
            if (a == null || a.isRecycled()) {
                a = com.tencent.mm.sdk.platformtools.d.aml(appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIp);
                if (appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIs) {
                    boolean deleteFile = com.tencent.mm.vfs.e.deleteFile(appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIr);
                    ab.v("MicroMsg.AppBrandServiceChattingUI", "decode thumb icon bitmap by path(%s), and deleted(%s) file.", new Object[]{appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIp, Boolean.valueOf(deleteFile)});
                }
            }
        }
        if (a == null || a.isRecycled()) {
            ab.e("MicroMsg.AppBrandServiceChattingUI", "thumb image is null");
        } else {
            ab.i("MicroMsg.AppBrandServiceChattingUI", "thumb image is not null ");
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            a.compress(CompressFormat.PNG, 100, byteArrayOutputStream);
            bArr = byteArrayOutputStream.toByteArray();
        }
        com.tencent.mm.pluginsdk.model.app.l.a(bVar, appBrandServiceChattingUI$AppBrandServiceChattingFmUI.getAppId(), appBrandServiceChattingUI$AppBrandServiceChattingFmUI.hIn, appBrandServiceChattingUI$AppBrandServiceChattingFmUI.cgL.getTalkerUserName(), null, bArr);
        AppMethodBeat.o(30367);
    }
}
