package com.tencent.smtt.sdk;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager.NameNotFoundException;
import android.text.TextUtils;
import android.util.Log;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.smtt.utils.TbsLog;
import com.tencent.smtt.utils.a;
import com.tencent.smtt.utils.b;
import com.tencent.smtt.utils.k;
import java.io.File;
import java.io.IOException;

public class TbsShareManager {
    private static Context a;
    private static boolean b;
    private static String c = null;
    private static String d = null;
    private static int e = 0;
    private static String f = null;
    private static boolean g = false;
    private static boolean h = false;
    private static boolean i = false;
    private static String j = null;
    private static boolean k = false;
    private static boolean l = false;
    public static boolean mHasQueryed = false;

    static int a(Context context, boolean z) {
        AppMethodBeat.i(64580);
        b(context, z);
        int i = e;
        AppMethodBeat.o(64580);
        return i;
    }

    static String a() {
        return d;
    }

    static void a(Context context) {
        AppMethodBeat.i(64568);
        TbsLog.i("TbsShareManager", "shareTbsCore #1");
        try {
            TbsLinuxToolsJni tbsLinuxToolsJni = new TbsLinuxToolsJni(context);
            a(context, tbsLinuxToolsJni, an.a().r(context));
            File s = an.a().s(context);
            TbsLog.i("TbsShareManager", "shareTbsCore tbsShareDir is " + s.getAbsolutePath());
            tbsLinuxToolsJni.a(s.getAbsolutePath(), "755");
            AppMethodBeat.o(64568);
        } catch (Throwable th) {
            TbsLog.i("TbsShareManager", "shareTbsCore tbsShareDir error is " + th.getMessage() + " ## " + th.getCause());
            AppMethodBeat.o(64568);
        }
    }

    private static void a(Context context, int i) {
        AppMethodBeat.i(64589);
        if (!TbsPVConfig.getInstance(a).isDisableHostBackupCore()) {
            String[] strArr = new String[]{"com.tencent.tbs", "com.tencent.mm", "com.tencent.mobileqq", "com.qzone", context.getPackageName()};
            TbsLog.i("TbsShareManager", "find host backup core to unzip #1" + Log.getStackTraceString(new Throwable()));
            for (int i2 = 0; i2 < 5; i2++) {
                String str = strArr[i2];
                File backupCoreFile;
                if (i == getBackupCoreVersion(context, str)) {
                    if (an.a().f(getPackageContext(context, str, false))) {
                        backupCoreFile = getBackupCoreFile(context, str);
                        if (a.a(context, backupCoreFile, 0, i)) {
                            TbsLog.i("TbsShareManager", "find host backup core to unzip normal coreVersion is " + i + " packageName is " + str);
                            an.a().a(context, backupCoreFile, i);
                            AppMethodBeat.o(64589);
                            return;
                        }
                    } else {
                        continue;
                    }
                } else if (i == getBackupDecoupleCoreVersion(context, str)) {
                    if (an.a().f(getPackageContext(context, str, false))) {
                        backupCoreFile = getBackupDecoupleCoreFile(context, str);
                        if (a.a(context, backupCoreFile, 0, i)) {
                            TbsLog.i("TbsShareManager", "find host backup core to unzip decouple coreVersion is " + i + " packageName is " + str);
                            an.a().a(context, backupCoreFile, i);
                            AppMethodBeat.o(64589);
                            return;
                        }
                    } else {
                        continue;
                    }
                } else {
                    continue;
                }
            }
        }
        AppMethodBeat.o(64589);
    }

    private static void a(Context context, TbsLinuxToolsJni tbsLinuxToolsJni, File file) {
        AppMethodBeat.i(64570);
        TbsLog.i("TbsShareManager", "shareAllDirsAndFiles #1");
        if (file != null && file.exists() && file.isDirectory()) {
            TbsLog.i("TbsShareManager", "shareAllDirsAndFiles dir is " + file.getAbsolutePath());
            tbsLinuxToolsJni.a(file.getAbsolutePath(), "755");
            for (File file2 : file.listFiles()) {
                if (file2.isFile()) {
                    if (file2.getAbsolutePath().indexOf(".so") > 0) {
                        tbsLinuxToolsJni.a(file2.getAbsolutePath(), "755");
                    } else {
                        tbsLinuxToolsJni.a(file2.getAbsolutePath(), "644");
                    }
                } else if (file2.isDirectory()) {
                    a(context, tbsLinuxToolsJni, file2);
                } else {
                    TbsLog.e("TbsShareManager", "unknown file type.", true);
                }
            }
            AppMethodBeat.o(64570);
            return;
        }
        AppMethodBeat.o(64570);
    }

    static void b(Context context) {
        AppMethodBeat.i(64569);
        try {
            a(context, new TbsLinuxToolsJni(context), an.a().q(context));
            AppMethodBeat.o(64569);
        } catch (Throwable th) {
            AppMethodBeat.o(64569);
        }
    }

    static boolean b(Context context, boolean z) {
        AppMethodBeat.i(64598);
        if (i(context)) {
            AppMethodBeat.o(64598);
            return true;
        }
        if (z) {
            QbSdk.a(context, "TbsShareManager::isShareTbsCoreAvailable forceSysWebViewInner!");
        }
        AppMethodBeat.o(64598);
        return false;
    }

    static String c(Context context) {
        AppMethodBeat.i(64578);
        j(context);
        String str = d;
        AppMethodBeat.o(64578);
        return str;
    }

    /* JADX WARNING: Removed duplicated region for block: B:40:0x009e A:{SYNTHETIC, Splitter:B:40:0x009e} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00a3 A:{SYNTHETIC, Splitter:B:43:0x00a3} */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x008c A:{SYNTHETIC, Splitter:B:31:0x008c} */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0091 A:{SYNTHETIC, Splitter:B:34:0x0091} */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x009e A:{SYNTHETIC, Splitter:B:40:0x009e} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00a3 A:{SYNTHETIC, Splitter:B:43:0x00a3} */
    private static void c(android.content.Context r9, boolean r10) {
        /*
        r1 = 0;
        r8 = 64586; // 0xfc4a float:9.0504E-41 double:3.19097E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r0 = 0;
        r2 = 0;
        r3 = "core_info";
        r3 = getTbsShareFile(r9, r3);	 Catch:{ Throwable -> 0x0087, all -> 0x0098 }
        if (r3 != 0) goto L_0x0020;
    L_0x0012:
        if (r1 == 0) goto L_0x0017;
    L_0x0014:
        r0.close();	 Catch:{ Exception -> 0x00b2 }
    L_0x0017:
        if (r1 == 0) goto L_0x001c;
    L_0x0019:
        r2.close();	 Catch:{ Exception -> 0x00b5 }
    L_0x001c:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
    L_0x001f:
        return;
    L_0x0020:
        r0 = new java.io.FileInputStream;	 Catch:{ Throwable -> 0x0087, all -> 0x0098 }
        r0.<init>(r3);	 Catch:{ Throwable -> 0x0087, all -> 0x0098 }
        r2 = new java.io.BufferedInputStream;	 Catch:{ Throwable -> 0x0087, all -> 0x0098 }
        r2.<init>(r0);	 Catch:{ Throwable -> 0x0087, all -> 0x0098 }
        r4 = new java.util.Properties;	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r4.<init>();	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r4.load(r2);	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r0 = "core_disabled";
        r5 = "false";
        r4.setProperty(r0, r5);	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        if (r10 == 0) goto L_0x006b;
    L_0x003d:
        r0 = com.tencent.smtt.sdk.an.a();	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r0 = r0.r(r9);	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r0 = r0.getAbsolutePath();	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r5 = r9.getApplicationContext();	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r5 = r5.getPackageName();	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r6 = com.tencent.smtt.utils.b.b(r9);	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r7 = "core_packagename";
        r4.setProperty(r7, r5);	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r5 = "core_path";
        r4.setProperty(r5, r0);	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r0 = "app_version";
        r5 = java.lang.String.valueOf(r6);	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r4.setProperty(r0, r5);	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
    L_0x006b:
        r5 = new java.io.FileOutputStream;	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r5.<init>(r3);	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r0 = new java.io.BufferedOutputStream;	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r0.<init>(r5);	 Catch:{ Throwable -> 0x00c4, all -> 0x00bc }
        r1 = 0;
        r4.store(r0, r1);	 Catch:{ Throwable -> 0x00c7, all -> 0x00c0 }
        if (r2 == 0) goto L_0x007e;
    L_0x007b:
        r2.close();	 Catch:{ Exception -> 0x00b8 }
    L_0x007e:
        if (r0 == 0) goto L_0x0083;
    L_0x0080:
        r0.close();	 Catch:{ Exception -> 0x00ba }
    L_0x0083:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001f;
    L_0x0087:
        r0 = move-exception;
        r0 = r1;
        r2 = r1;
    L_0x008a:
        if (r2 == 0) goto L_0x008f;
    L_0x008c:
        r2.close();	 Catch:{ Exception -> 0x00aa }
    L_0x008f:
        if (r0 == 0) goto L_0x0094;
    L_0x0091:
        r0.close();	 Catch:{ Exception -> 0x00ac }
    L_0x0094:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001f;
    L_0x0098:
        r0 = move-exception;
        r3 = r0;
        r4 = r1;
        r2 = r1;
    L_0x009c:
        if (r2 == 0) goto L_0x00a1;
    L_0x009e:
        r2.close();	 Catch:{ Exception -> 0x00ae }
    L_0x00a1:
        if (r4 == 0) goto L_0x00a6;
    L_0x00a3:
        r4.close();	 Catch:{ Exception -> 0x00b0 }
    L_0x00a6:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r3;
    L_0x00aa:
        r1 = move-exception;
        goto L_0x008f;
    L_0x00ac:
        r0 = move-exception;
        goto L_0x0094;
    L_0x00ae:
        r0 = move-exception;
        goto L_0x00a1;
    L_0x00b0:
        r0 = move-exception;
        goto L_0x00a6;
    L_0x00b2:
        r0 = move-exception;
        goto L_0x0017;
    L_0x00b5:
        r0 = move-exception;
        goto L_0x001c;
    L_0x00b8:
        r1 = move-exception;
        goto L_0x007e;
    L_0x00ba:
        r0 = move-exception;
        goto L_0x0083;
    L_0x00bc:
        r0 = move-exception;
        r3 = r0;
        r4 = r1;
        goto L_0x009c;
    L_0x00c0:
        r1 = move-exception;
        r3 = r1;
        r4 = r0;
        goto L_0x009c;
    L_0x00c4:
        r0 = move-exception;
        r0 = r1;
        goto L_0x008a;
    L_0x00c7:
        r1 = move-exception;
        goto L_0x008a;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.smtt.sdk.TbsShareManager.c(android.content.Context, boolean):void");
    }

    static int d(Context context) {
        AppMethodBeat.i(64579);
        int a = a(context, true);
        AppMethodBeat.o(64579);
        return a;
    }

    private static String[] d(Context context, boolean z) {
        String[] strArr;
        AppMethodBeat.i(64588);
        if (QbSdk.getOnlyDownload()) {
            strArr = new String[]{context.getApplicationContext().getPackageName()};
        } else {
            strArr = getCoreProviderAppList();
            if (z) {
                strArr = new String[]{context.getApplicationContext().getPackageName()};
            }
        }
        AppMethodBeat.o(64588);
        return strArr;
    }

    static Context e(Context context) {
        Context context2 = null;
        AppMethodBeat.i(64581);
        j(context);
        if (f != null) {
            Context packageContext = getPackageContext(context, f, true);
            if (an.a().f(packageContext)) {
                context2 = packageContext;
            }
        }
        AppMethodBeat.o(64581);
        return context2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:42:0x0067 A:{SYNTHETIC, Splitter:B:42:0x0067} */
    static synchronized java.lang.String f(android.content.Context r6) {
        /*
        r1 = 0;
        r3 = com.tencent.smtt.sdk.TbsShareManager.class;
        monitor-enter(r3);
        r0 = 64591; // 0xfc4f float:9.0511E-41 double:3.1912E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);	 Catch:{ all -> 0x0053 }
        r0 = 0;
        r2 = "core_info";
        r2 = getTbsShareFile(r6, r2);	 Catch:{ Throwable -> 0x0071, all -> 0x0063 }
        if (r2 != 0) goto L_0x0022;
    L_0x0014:
        if (r1 == 0) goto L_0x0019;
    L_0x0016:
        r0.close();	 Catch:{ Exception -> 0x0084 }
    L_0x0019:
        r0 = 64591; // 0xfc4f float:9.0511E-41 double:3.1912E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);	 Catch:{ all -> 0x0053 }
        r0 = r1;
    L_0x0020:
        monitor-exit(r3);
        return r0;
    L_0x0022:
        r0 = new java.io.FileInputStream;	 Catch:{ Throwable -> 0x0071, all -> 0x0063 }
        r0.<init>(r2);	 Catch:{ Throwable -> 0x0071, all -> 0x0063 }
        r2 = new java.io.BufferedInputStream;	 Catch:{ Throwable -> 0x0071, all -> 0x0063 }
        r2.<init>(r0);	 Catch:{ Throwable -> 0x0071, all -> 0x0063 }
        r0 = new java.util.Properties;	 Catch:{ Throwable -> 0x008c, all -> 0x008a }
        r0.<init>();	 Catch:{ Throwable -> 0x008c, all -> 0x008a }
        r0.load(r2);	 Catch:{ Throwable -> 0x008c, all -> 0x008a }
        r4 = "core_packagename";
        r5 = "";
        r0 = r0.getProperty(r4, r5);	 Catch:{ Throwable -> 0x008c, all -> 0x008a }
        r4 = "";
        r4 = r4.equals(r0);	 Catch:{ Throwable -> 0x008c, all -> 0x008a }
        if (r4 != 0) goto L_0x0056;
    L_0x0047:
        if (r2 == 0) goto L_0x004c;
    L_0x0049:
        r2.close();	 Catch:{ Exception -> 0x0086 }
    L_0x004c:
        r1 = 64591; // 0xfc4f float:9.0511E-41 double:3.1912E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);	 Catch:{ all -> 0x0053 }
        goto L_0x0020;
    L_0x0053:
        r0 = move-exception;
        monitor-exit(r3);
        throw r0;
    L_0x0056:
        if (r2 == 0) goto L_0x005b;
    L_0x0058:
        r2.close();	 Catch:{ Exception -> 0x0088 }
    L_0x005b:
        r0 = 64591; // 0xfc4f float:9.0511E-41 double:3.1912E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);	 Catch:{ all -> 0x0053 }
        r0 = r1;
        goto L_0x0020;
    L_0x0063:
        r0 = move-exception;
        r2 = r1;
    L_0x0065:
        if (r2 == 0) goto L_0x006a;
    L_0x0067:
        r2.close();	 Catch:{ Exception -> 0x0082 }
    L_0x006a:
        r1 = 64591; // 0xfc4f float:9.0511E-41 double:3.1912E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);	 Catch:{ all -> 0x0053 }
        throw r0;	 Catch:{ all -> 0x0053 }
    L_0x0071:
        r0 = move-exception;
        r0 = r1;
    L_0x0073:
        if (r0 == 0) goto L_0x0078;
    L_0x0075:
        r0.close();	 Catch:{ Exception -> 0x0080 }
    L_0x0078:
        r0 = 64591; // 0xfc4f float:9.0511E-41 double:3.1912E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);	 Catch:{ all -> 0x0053 }
        r0 = r1;
        goto L_0x0020;
    L_0x0080:
        r0 = move-exception;
        goto L_0x0078;
    L_0x0082:
        r1 = move-exception;
        goto L_0x006a;
    L_0x0084:
        r0 = move-exception;
        goto L_0x0019;
    L_0x0086:
        r1 = move-exception;
        goto L_0x004c;
    L_0x0088:
        r0 = move-exception;
        goto L_0x005b;
    L_0x008a:
        r0 = move-exception;
        goto L_0x0065;
    L_0x008c:
        r0 = move-exception;
        r0 = r2;
        goto L_0x0073;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.smtt.sdk.TbsShareManager.f(android.content.Context):java.lang.String");
    }

    public static int findCoreForThirdPartyApp(Context context) {
        int i;
        AppMethodBeat.i(64584);
        n(context);
        TbsLog.i("TbsShareManager", "core_info mAvailableCoreVersion is " + e + " mAvailableCorePath is " + d + " mSrcPackageName is " + f);
        if (f == null) {
            TbsLog.e("TbsShareManager", "mSrcPackageName is null !!!");
        }
        if (f == null || !f.equals("AppDefined")) {
            if (!(k(context) || l(context))) {
                e = 0;
                d = null;
                f = null;
                TbsLog.i("TbsShareManager", "core_info error checkCoreInfo is false and checkCoreInOthers is false ");
            }
        } else if (e != an.a().a(c)) {
            e = 0;
            d = null;
            f = null;
            TbsLog.i("TbsShareManager", "check AppDefined core is error src is " + e + " dest is " + an.a().a(c));
        }
        if (e > 0) {
            String str = "com.jd.jrapp";
            ApplicationInfo applicationInfo = context.getApplicationInfo();
            i = ("com.tencent.android.qqdownloader".equals(applicationInfo.packageName) || str.equals(applicationInfo.packageName)) ? 1 : 0;
            if ((i == 0 ? QbSdk.a(context, e) : false) || g) {
                e = 0;
                d = null;
                f = null;
                TbsLog.i("TbsShareManager", "core_info error QbSdk.isX5Disabled ");
            }
        }
        i = e;
        AppMethodBeat.o(64584);
        return i;
    }

    public static boolean forceLoadX5FromTBSDemo(Context context) {
        return false;
    }

    public static void forceToLoadX5ForThirdApp(Context context, boolean z) {
    }

    static String g(Context context) {
        AppMethodBeat.i(64592);
        try {
            n(context);
            if (d == null || TextUtils.isEmpty(d)) {
                AppMethodBeat.o(64592);
                return null;
            }
            StringBuilder stringBuilder = new StringBuilder(d);
            stringBuilder.append(File.separator);
            stringBuilder.append("res.apk");
            String stringBuilder2 = stringBuilder.toString();
            AppMethodBeat.o(64592);
            return stringBuilder2;
        } catch (Throwable th) {
            new StringBuilder("getTbsResourcesPath exception: ").append(Log.getStackTraceString(th));
            AppMethodBeat.o(64592);
            return null;
        }
    }

    public static File getBackupCoreFile(Context context, String str) {
        AppMethodBeat.i(64576);
        try {
            File file = new File(new File(k.a(getPackageContext(context, str, false), 4)), "x5.tbs.org");
            if (file.exists()) {
                AppMethodBeat.o(64576);
                return file;
            }
        } catch (Throwable th) {
        }
        AppMethodBeat.o(64576);
        return null;
    }

    public static int getBackupCoreVersion(Context context, String str) {
        int i = 0;
        AppMethodBeat.i(64574);
        try {
            File file = new File(new File(k.a(getPackageContext(context, str, false), 4)), "x5.tbs.org");
            if (file.exists()) {
                i = a.b(file);
                AppMethodBeat.o(64574);
                return i;
            }
        } catch (Throwable th) {
        }
        AppMethodBeat.o(64574);
        return i;
    }

    public static File getBackupDecoupleCoreFile(Context context, String str) {
        AppMethodBeat.i(64577);
        try {
            File file = new File(new File(k.a(getPackageContext(context, str, true), 4)), "x5.tbs.decouple");
            if (file.exists()) {
                AppMethodBeat.o(64577);
                return file;
            }
        } catch (Throwable th) {
        }
        AppMethodBeat.o(64577);
        return null;
    }

    public static int getBackupDecoupleCoreVersion(Context context, String str) {
        int i = 0;
        AppMethodBeat.i(64575);
        try {
            File file = new File(new File(k.a(getPackageContext(context, str, false), 4)), "x5.tbs.decouple");
            if (file.exists()) {
                i = a.b(file);
                AppMethodBeat.o(64575);
                return i;
            }
        } catch (Throwable th) {
        }
        AppMethodBeat.o(64575);
        return i;
    }

    public static boolean getCoreDisabled() {
        return g;
    }

    public static boolean getCoreFormOwn() {
        return k;
    }

    public static String[] getCoreProviderAppList() {
        return new String[]{"com.tencent.tbs", "com.tencent.mm", "com.tencent.mobileqq", "com.qzone"};
    }

    public static int getCoreShareDecoupleCoreVersion(Context context, String str) {
        return 0;
    }

    public static String getHostCorePathAppDefined() {
        return c;
    }

    public static long getHostCoreVersions(Context context) {
        AppMethodBeat.i(64572);
        long j = 0;
        for (String str : getCoreProviderAppList()) {
            if (str.equalsIgnoreCase("com.tencent.mm")) {
                j += ((long) getSharedTbsCoreVersion(context, str)) * 10000000000L;
            } else if (str.equalsIgnoreCase("com.tencent.mobileqq")) {
                j += ((long) getSharedTbsCoreVersion(context, str)) * 100000;
            } else if (str.equalsIgnoreCase("com.qzone")) {
                j += (long) getSharedTbsCoreVersion(context, str);
            }
        }
        AppMethodBeat.o(64572);
        return j;
    }

    public static Context getPackageContext(Context context, String str, boolean z) {
        Context context2 = null;
        AppMethodBeat.i(64599);
        if (z) {
            try {
                if (!context.getPackageName().equals(str) && TbsPVConfig.getInstance(context).isEnableNoCoreGray()) {
                    TbsLog.i("TbsShareManager", "gray no core app,skip get context");
                    AppMethodBeat.o(64599);
                    return context2;
                }
            } catch (NameNotFoundException e) {
                AppMethodBeat.o(64599);
            } catch (Exception e2) {
                AppMethodBeat.o(64599);
            }
        }
        context2 = context.createPackageContext(str, 2);
        AppMethodBeat.o(64599);
        return context2;
    }

    public static int getSharedTbsCoreVersion(Context context, String str) {
        AppMethodBeat.i(64573);
        Context packageContext = getPackageContext(context, str, true);
        if (packageContext != null) {
            int j = an.a().j(packageContext);
            AppMethodBeat.o(64573);
            return j;
        }
        AppMethodBeat.o(64573);
        return 0;
    }

    public static File getTbsShareFile(Context context, String str) {
        AppMethodBeat.i(64595);
        File s = an.a().s(context);
        if (s == null) {
            AppMethodBeat.o(64595);
            return null;
        }
        File file = new File(s, str);
        if (file.exists()) {
            AppMethodBeat.o(64595);
            return file;
        }
        try {
            file.createNewFile();
            AppMethodBeat.o(64595);
            return file;
        } catch (IOException e) {
            AppMethodBeat.o(64595);
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:53:0x00a0 A:{SYNTHETIC, Splitter:B:53:0x00a0} */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x0092 A:{SYNTHETIC, Splitter:B:44:0x0092} */
    static synchronized int h(android.content.Context r6) {
        /*
        r0 = 0;
        r3 = com.tencent.smtt.sdk.TbsShareManager.class;
        monitor-enter(r3);
        r1 = 64593; // 0xfc51 float:9.0514E-41 double:3.1913E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r1);	 Catch:{ all -> 0x0076 }
        r1 = "TbsShareManager";
        r2 = "readCoreVersionFromConfig #1";
        com.tencent.smtt.utils.TbsLog.i(r1, r2);	 Catch:{ all -> 0x0076 }
        r1 = 0;
        r2 = "core_info";
        r2 = getTbsShareFile(r6, r2);	 Catch:{ Throwable -> 0x009c, all -> 0x008e }
        if (r2 != 0) goto L_0x0033;
    L_0x001d:
        r2 = "TbsShareManager";
        r4 = "readCoreVersionFromConfig #2";
        com.tencent.smtt.utils.TbsLog.i(r2, r4);	 Catch:{ Throwable -> 0x009c, all -> 0x008e }
        if (r1 == 0) goto L_0x002b;
    L_0x0028:
        r1.close();	 Catch:{ Exception -> 0x00b9 }
    L_0x002b:
        r1 = 64593; // 0xfc51 float:9.0514E-41 double:3.1913E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);	 Catch:{ all -> 0x0076 }
    L_0x0031:
        monitor-exit(r3);
        return r0;
    L_0x0033:
        r4 = new java.io.FileInputStream;	 Catch:{ Throwable -> 0x009c, all -> 0x008e }
        r4.<init>(r2);	 Catch:{ Throwable -> 0x009c, all -> 0x008e }
        r2 = new java.io.BufferedInputStream;	 Catch:{ Throwable -> 0x009c, all -> 0x008e }
        r2.<init>(r4);	 Catch:{ Throwable -> 0x009c, all -> 0x008e }
        r1 = new java.util.Properties;	 Catch:{ Throwable -> 0x00c2, all -> 0x00c0 }
        r1.<init>();	 Catch:{ Throwable -> 0x00c2, all -> 0x00c0 }
        r1.load(r2);	 Catch:{ Throwable -> 0x00c2, all -> 0x00c0 }
        r4 = "core_version";
        r5 = "";
        r1 = r1.getProperty(r4, r5);	 Catch:{ Throwable -> 0x00c2, all -> 0x00c0 }
        r4 = "";
        r4 = r4.equals(r1);	 Catch:{ Throwable -> 0x00c2, all -> 0x00c0 }
        if (r4 != 0) goto L_0x0079;
    L_0x0058:
        r0 = "TbsShareManager";
        r4 = "readCoreVersionFromConfig #3";
        com.tencent.smtt.utils.TbsLog.i(r0, r4);	 Catch:{ Throwable -> 0x00c2, all -> 0x00c0 }
        r0 = java.lang.Integer.parseInt(r1);	 Catch:{ Throwable -> 0x00c2, all -> 0x00c0 }
        r1 = 0;
        r0 = java.lang.Math.max(r0, r1);	 Catch:{ Throwable -> 0x00c2, all -> 0x00c0 }
        if (r2 == 0) goto L_0x006f;
    L_0x006c:
        r2.close();	 Catch:{ Exception -> 0x00bc }
    L_0x006f:
        r1 = 64593; // 0xfc51 float:9.0514E-41 double:3.1913E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);	 Catch:{ all -> 0x0076 }
        goto L_0x0031;
    L_0x0076:
        r0 = move-exception;
        monitor-exit(r3);
        throw r0;
    L_0x0079:
        r1 = "TbsShareManager";
        r4 = "readCoreVersionFromConfig #4";
        com.tencent.smtt.utils.TbsLog.i(r1, r4);	 Catch:{ Throwable -> 0x00c2, all -> 0x00c0 }
        if (r2 == 0) goto L_0x0087;
    L_0x0084:
        r2.close();	 Catch:{ Exception -> 0x00be }
    L_0x0087:
        r1 = 64593; // 0xfc51 float:9.0514E-41 double:3.1913E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);	 Catch:{ all -> 0x0076 }
        goto L_0x0031;
    L_0x008e:
        r0 = move-exception;
        r2 = r1;
    L_0x0090:
        if (r2 == 0) goto L_0x0095;
    L_0x0092:
        r2.close();	 Catch:{ Exception -> 0x00b7 }
    L_0x0095:
        r1 = 64593; // 0xfc51 float:9.0514E-41 double:3.1913E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);	 Catch:{ all -> 0x0076 }
        throw r0;	 Catch:{ all -> 0x0076 }
    L_0x009c:
        r0 = move-exception;
        r0 = r1;
    L_0x009e:
        if (r0 == 0) goto L_0x00a3;
    L_0x00a0:
        r0.close();	 Catch:{ Exception -> 0x00b5 }
    L_0x00a3:
        r0 = "TbsShareManager";
        r1 = "readCoreVersionFromConfig #5";
        com.tencent.smtt.utils.TbsLog.i(r0, r1);	 Catch:{ all -> 0x0076 }
        r0 = -2;
        r1 = 64593; // 0xfc51 float:9.0514E-41 double:3.1913E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);	 Catch:{ all -> 0x0076 }
        goto L_0x0031;
    L_0x00b5:
        r0 = move-exception;
        goto L_0x00a3;
    L_0x00b7:
        r1 = move-exception;
        goto L_0x0095;
    L_0x00b9:
        r1 = move-exception;
        goto L_0x002b;
    L_0x00bc:
        r1 = move-exception;
        goto L_0x006f;
    L_0x00be:
        r1 = move-exception;
        goto L_0x0087;
    L_0x00c0:
        r0 = move-exception;
        goto L_0x0090;
    L_0x00c2:
        r0 = move-exception;
        r0 = r2;
        goto L_0x009e;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.smtt.sdk.TbsShareManager.h(android.content.Context):int");
    }

    static boolean i(Context context) {
        AppMethodBeat.i(64596);
        try {
            if (e == 0) {
                findCoreForThirdPartyApp(context);
            }
            if (e == 0) {
                TbsLog.addLog(994, null, new Object[0]);
                AppMethodBeat.o(64596);
                return false;
            }
            if (c == null) {
                if (e != 0 && getSharedTbsCoreVersion(context, f) == e) {
                    AppMethodBeat.o(64596);
                    return true;
                }
            } else if (e != 0 && an.a().a(c) == e) {
                AppMethodBeat.o(64596);
                return true;
            }
            if (l(context)) {
                AppMethodBeat.o(64596);
                return true;
            }
            TbsCoreLoadStat.getInstance().a(context, 418, new Throwable("mAvailableCoreVersion=" + e + "; mSrcPackageName=" + f + "; getSharedTbsCoreVersion(ctx, mSrcPackageName) is " + getSharedTbsCoreVersion(context, f) + "; getHostCoreVersions is " + getHostCoreVersions(context)));
            d = null;
            e = 0;
            TbsLog.addLog(993, null, new Object[0]);
            QbSdk.a(context, "TbsShareManager::isShareTbsCoreAvailableInner forceSysWebViewInner!");
            AppMethodBeat.o(64596);
            return false;
        } catch (Throwable th) {
            TbsLog.addLog(992, null, new Object[0]);
            AppMethodBeat.o(64596);
            return false;
        }
    }

    public static boolean isThirdPartyApp(Context context) {
        AppMethodBeat.i(64571);
        try {
            if (a == null || !a.equals(context.getApplicationContext())) {
                Context applicationContext = context.getApplicationContext();
                a = applicationContext;
                String packageName = applicationContext.getPackageName();
                for (Object equals : getCoreProviderAppList()) {
                    if (packageName.equals(equals)) {
                        b = false;
                        AppMethodBeat.o(64571);
                        return false;
                    }
                }
                b = true;
                AppMethodBeat.o(64571);
                return true;
            }
            boolean z = b;
            AppMethodBeat.o(64571);
            return z;
        } catch (Throwable th) {
        }
    }

    static boolean j(Context context) {
        AppMethodBeat.i(64597);
        boolean b = b(context, true);
        AppMethodBeat.o(64597);
        return b;
    }

    private static boolean k(Context context) {
        AppMethodBeat.i(64582);
        if (f == null) {
            AppMethodBeat.o(64582);
            return false;
        } else if (e == getSharedTbsCoreVersion(context, f)) {
            AppMethodBeat.o(64582);
            return true;
        } else {
            AppMethodBeat.o(64582);
            return false;
        }
    }

    private static boolean l(Context context) {
        AppMethodBeat.i(64583);
        if (QbSdk.getOnlyDownload()) {
            AppMethodBeat.o(64583);
            return false;
        }
        for (String str : getCoreProviderAppList()) {
            if (e > 0 && e == getSharedTbsCoreVersion(context, str)) {
                Context packageContext = getPackageContext(context, str, true);
                if (an.a().f(context)) {
                    d = an.a().b(context, packageContext).getAbsolutePath();
                    f = str;
                    AppMethodBeat.o(64583);
                    return true;
                }
            }
        }
        AppMethodBeat.o(64583);
        return false;
    }

    private static boolean m(Context context) {
        AppMethodBeat.i(64585);
        if (context == null) {
            AppMethodBeat.o(64585);
            return false;
        }
        writeProperties(context, Integer.toString(0), "", "", Integer.toString(0));
        AppMethodBeat.o(64585);
        return true;
    }

    /* JADX WARNING: Unknown top exception splitter block from list: {B:16:0x0029=Splitter:B:16:0x0029, B:45:0x00fd=Splitter:B:45:0x00fd} */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x0115 A:{SYNTHETIC, Splitter:B:59:0x0115} */
    private static void n(android.content.Context r8) {
        /*
        r7 = 64594; // 0xfc52 float:9.0515E-41 double:3.19137E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        r0 = l;
        if (r0 == 0) goto L_0x000e;
    L_0x000a:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
    L_0x000d:
        return;
    L_0x000e:
        r4 = com.tencent.smtt.sdk.TbsShareManager.class;
        monitor-enter(r4);
        r0 = l;	 Catch:{ all -> 0x011f }
        if (r0 == 0) goto L_0x001a;
    L_0x0015:
        monitor-exit(r4);	 Catch:{ all -> 0x011f }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x000d;
    L_0x001a:
        r1 = 0;
        r0 = "core_info";
        r0 = getTbsShareFile(r8, r0);	 Catch:{ Throwable -> 0x012e, all -> 0x0110 }
        if (r0 != 0) goto L_0x002e;
    L_0x0024:
        if (r1 == 0) goto L_0x0029;
    L_0x0026:
        r1.close();	 Catch:{ Exception -> 0x0127 }
    L_0x0029:
        monitor-exit(r4);	 Catch:{ all -> 0x011f }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x000d;
    L_0x002e:
        r2 = new java.io.FileInputStream;	 Catch:{ Throwable -> 0x012e, all -> 0x0110 }
        r2.<init>(r0);	 Catch:{ Throwable -> 0x012e, all -> 0x0110 }
        r0 = new java.io.BufferedInputStream;	 Catch:{ Throwable -> 0x012e, all -> 0x0110 }
        r0.<init>(r2);	 Catch:{ Throwable -> 0x012e, all -> 0x0110 }
        r1 = new java.util.Properties;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r1.<init>();	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r1.load(r0);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r2 = "core_version";
        r3 = "";
        r2 = r1.getProperty(r2, r3);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r3 = "";
        r3 = r3.equals(r2);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        if (r3 != 0) goto L_0x008d;
    L_0x0053:
        r2 = java.lang.Integer.parseInt(r2);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r3 = 0;
        r2 = java.lang.Math.max(r2, r3);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        e = r2;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r2 = "TbsShareManager";
        r3 = new java.lang.StringBuilder;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r5 = "loadProperties -- mAvailableCoreVersion: ";
        r3.<init>(r5);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r5 = e;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r3 = r3.append(r5);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r5 = " ";
        r3 = r3.append(r5);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r5 = new java.lang.Throwable;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r6 = "#";
        r5.<init>(r6);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r5 = android.util.Log.getStackTraceString(r5);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r3 = r3.append(r5);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r3 = r3.toString();	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        com.tencent.smtt.utils.TbsLog.i(r2, r3);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
    L_0x008d:
        r2 = "core_packagename";
        r3 = "";
        r2 = r1.getProperty(r2, r3);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r3 = "";
        r3 = r3.equals(r2);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        if (r3 != 0) goto L_0x00a2;
    L_0x00a0:
        f = r2;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
    L_0x00a2:
        r2 = f;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        if (r2 == 0) goto L_0x00bb;
    L_0x00a6:
        r2 = a;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        if (r2 == 0) goto L_0x00bb;
    L_0x00aa:
        r2 = f;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r3 = a;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r3 = r3.getPackageName();	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r2 = r2.equals(r3);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        if (r2 == 0) goto L_0x0103;
    L_0x00b8:
        r2 = 1;
        k = r2;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
    L_0x00bb:
        r2 = "core_path";
        r3 = "";
        r2 = r1.getProperty(r2, r3);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r3 = "";
        r3 = r3.equals(r2);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        if (r3 != 0) goto L_0x00d0;
    L_0x00ce:
        d = r2;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
    L_0x00d0:
        r2 = "app_version";
        r3 = "";
        r2 = r1.getProperty(r2, r3);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r3 = "";
        r3 = r3.equals(r2);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        if (r3 != 0) goto L_0x00e5;
    L_0x00e3:
        j = r2;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
    L_0x00e5:
        r2 = "core_disabled";
        r3 = "false";
        r1 = r1.getProperty(r2, r3);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r1 = java.lang.Boolean.parseBoolean(r1);	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        g = r1;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        r1 = 1;
        l = r1;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        if (r0 == 0) goto L_0x00fd;
    L_0x00fa:
        r0.close();	 Catch:{ Exception -> 0x010e }
    L_0x00fd:
        monitor-exit(r4);	 Catch:{ all -> 0x011f }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x000d;
    L_0x0103:
        r2 = 0;
        k = r2;	 Catch:{ Throwable -> 0x0107, all -> 0x012a }
        goto L_0x00bb;
    L_0x0107:
        r1 = move-exception;
    L_0x0108:
        if (r0 == 0) goto L_0x00fd;
    L_0x010a:
        r0.close();	 Catch:{ Exception -> 0x010e }
        goto L_0x00fd;
    L_0x010e:
        r0 = move-exception;
        goto L_0x00fd;
    L_0x0110:
        r0 = move-exception;
        r2 = r0;
        r3 = r1;
    L_0x0113:
        if (r3 == 0) goto L_0x0118;
    L_0x0115:
        r3.close();	 Catch:{ Exception -> 0x0125 }
    L_0x0118:
        r0 = 64594; // 0xfc52 float:9.0515E-41 double:3.19137E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);	 Catch:{ all -> 0x011f }
        throw r2;	 Catch:{ all -> 0x011f }
    L_0x011f:
        r0 = move-exception;
        monitor-exit(r4);	 Catch:{ all -> 0x011f }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x0125:
        r0 = move-exception;
        goto L_0x0118;
    L_0x0127:
        r0 = move-exception;
        goto L_0x0029;
    L_0x012a:
        r1 = move-exception;
        r2 = r1;
        r3 = r0;
        goto L_0x0113;
    L_0x012e:
        r0 = move-exception;
        r0 = r1;
        goto L_0x0108;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.smtt.sdk.TbsShareManager.n(android.content.Context):void");
    }

    public static void setHostCorePathAppDefined(String str) {
        c = str;
    }

    public static synchronized void writeCoreInfoForThirdPartyApp(Context context, int i, boolean z) {
        Object obj = 1;
        synchronized (TbsShareManager.class) {
            AppMethodBeat.i(64587);
            TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp coreVersion is ".concat(String.valueOf(i)));
            if (i == 0) {
                m(context);
                TbsDownloadConfig.getInstance(a).setDownloadInterruptCode(-401);
                AppMethodBeat.o(64587);
            } else {
                int h = h(context);
                TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp coreVersionFromConfig is ".concat(String.valueOf(h)));
                if (h < 0) {
                    TbsDownloadConfig.getInstance(a).setDownloadInterruptCode(-402);
                    AppMethodBeat.o(64587);
                } else if (i == h) {
                    if (d(context) == 0 && !z) {
                        a(context, i);
                    }
                    c(context, z);
                    TbsDownloadConfig.getInstance(a).setDownloadInterruptCode(-403);
                    AppMethodBeat.o(64587);
                } else if (i < h) {
                    m(context);
                    TbsDownloadConfig.getInstance(a).setDownloadInterruptCode(-404);
                    AppMethodBeat.o(64587);
                } else {
                    h = an.a().j(context);
                    TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp coreVersionFromCoreShare is ".concat(String.valueOf(h)));
                    if (i < h) {
                        m(context);
                        TbsDownloadConfig.getInstance(a).setDownloadInterruptCode(-404);
                        AppMethodBeat.o(64587);
                    } else {
                        String[] d = d(context, z);
                        if (c != null) {
                            File tbsShareFile;
                            TbsLinuxToolsJni tbsLinuxToolsJni;
                            if (i == an.a().a(c)) {
                                writeProperties(context, Integer.toString(i), "AppDefined", c, Integer.toString(1));
                                try {
                                    tbsShareFile = getTbsShareFile(context, "core_info");
                                    if (!(i || tbsShareFile == null)) {
                                        tbsLinuxToolsJni = new TbsLinuxToolsJni(a);
                                        tbsLinuxToolsJni.a(tbsShareFile.getAbsolutePath(), "644");
                                        tbsLinuxToolsJni.a(an.a().s(context).getAbsolutePath(), "755");
                                        i = true;
                                    }
                                    AppMethodBeat.o(64587);
                                } catch (Throwable th) {
                                    AppMethodBeat.o(64587);
                                }
                            } else if (i > an.a().a(c)) {
                                for (String str : d) {
                                    if (i == getSharedTbsCoreVersion(context, str)) {
                                        Context packageContext = getPackageContext(context, str, true);
                                        String absolutePath = an.a().r(packageContext).getAbsolutePath();
                                        b.b(context);
                                        if (an.a().f(packageContext)) {
                                            try {
                                                k.a(new File(absolutePath), new File(c), new bc());
                                                writeProperties(context, Integer.toString(i), "AppDefined", c, Integer.toString(1));
                                                tbsShareFile = getTbsShareFile(context, "core_info");
                                                if (!(i || tbsShareFile == null)) {
                                                    tbsLinuxToolsJni = new TbsLinuxToolsJni(a);
                                                    tbsLinuxToolsJni.a(tbsShareFile.getAbsolutePath(), "644");
                                                    tbsLinuxToolsJni.a(an.a().s(context).getAbsolutePath(), "755");
                                                    i = true;
                                                }
                                                AppMethodBeat.o(64587);
                                            } catch (Throwable th2) {
                                                AppMethodBeat.o(64587);
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        for (String str2 : d) {
                            if (i == getSharedTbsCoreVersion(context, str2)) {
                                Context packageContext2 = getPackageContext(context, str2, true);
                                String absolutePath2 = an.a().r(packageContext2).getAbsolutePath();
                                int b = b.b(context);
                                if (an.a().f(packageContext2)) {
                                    if (!str2.equals(context.getApplicationContext().getPackageName())) {
                                        TbsLog.i("TbsShareManager", "thirdAPP pre--> delete old core_share Directory:".concat(String.valueOf(i)));
                                        try {
                                            k.b(an.a().r(context));
                                            TbsLog.i("TbsShareManager", "thirdAPP success--> delete old core_share Directory");
                                        } catch (Throwable th3) {
                                        }
                                    }
                                    writeProperties(context, Integer.toString(i), str2, absolutePath2, Integer.toString(b));
                                    try {
                                        File tbsShareFile2 = getTbsShareFile(context, "core_info");
                                        if (!(i || tbsShareFile2 == null)) {
                                            TbsLinuxToolsJni tbsLinuxToolsJni2 = new TbsLinuxToolsJni(a);
                                            tbsLinuxToolsJni2.a(tbsShareFile2.getAbsolutePath(), "644");
                                            tbsLinuxToolsJni2.a(an.a().s(context).getAbsolutePath(), "755");
                                            i = true;
                                        }
                                    } catch (Throwable th4) {
                                    }
                                    if (obj == null && !z) {
                                        a(context, i);
                                    }
                                    AppMethodBeat.o(64587);
                                }
                            }
                        }
                        obj = null;
                        a(context, i);
                        AppMethodBeat.o(64587);
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:46:0x00fd A:{SYNTHETIC, Splitter:B:46:0x00fd} */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0102 A:{SYNTHETIC, Splitter:B:49:0x0102} */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00eb A:{SYNTHETIC, Splitter:B:37:0x00eb} */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00f0 A:{SYNTHETIC, Splitter:B:40:0x00f0} */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00fd A:{SYNTHETIC, Splitter:B:46:0x00fd} */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0102 A:{SYNTHETIC, Splitter:B:49:0x0102} */
    public static void writeProperties(android.content.Context r7, java.lang.String r8, java.lang.String r9, java.lang.String r10, java.lang.String r11) {
        /*
        r0 = 0;
        r1 = 0;
        r6 = 64590; // 0xfc4e float:9.051E-41 double:3.19117E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r6);
        r2 = "TbsShareManager";
        r3 = new java.lang.StringBuilder;
        r4 = "writeProperties coreVersion is ";
        r3.<init>(r4);
        r3 = r3.append(r8);
        r4 = " corePackageName is ";
        r3 = r3.append(r4);
        r3 = r3.append(r9);
        r4 = " corePath is ";
        r3 = r3.append(r4);
        r3 = r3.append(r10);
        r3 = r3.toString();
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        r2 = "TbsShareManager";
        r3 = new java.lang.StringBuilder;
        r4 = "writeProperties -- stack: ";
        r3.<init>(r4);
        r4 = new java.lang.Throwable;
        r5 = "#";
        r4.<init>(r5);
        r4 = android.util.Log.getStackTraceString(r4);
        r3 = r3.append(r4);
        r3 = r3.toString();
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        r2 = 0;
        r3 = 0;
        r4 = "core_info";
        r4 = getTbsShareFile(r7, r4);	 Catch:{ Throwable -> 0x0125, all -> 0x00f7 }
        if (r4 != 0) goto L_0x007a;
    L_0x0061:
        r0 = a;	 Catch:{ Throwable -> 0x0125, all -> 0x00f7 }
        r0 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r0);	 Catch:{ Throwable -> 0x0125, all -> 0x00f7 }
        r4 = -405; // 0xfffffffffffffe6b float:NaN double:NaN;
        r0.setDownloadInterruptCode(r4);	 Catch:{ Throwable -> 0x0125, all -> 0x00f7 }
        if (r1 == 0) goto L_0x0071;
    L_0x006e:
        r2.close();	 Catch:{ Exception -> 0x0113 }
    L_0x0071:
        if (r1 == 0) goto L_0x0076;
    L_0x0073:
        r3.close();	 Catch:{ Exception -> 0x0116 }
    L_0x0076:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
    L_0x0079:
        return;
    L_0x007a:
        r3 = new java.io.FileInputStream;	 Catch:{ Throwable -> 0x0125, all -> 0x00f7 }
        r3.<init>(r4);	 Catch:{ Throwable -> 0x0125, all -> 0x00f7 }
        r2 = new java.io.BufferedInputStream;	 Catch:{ Throwable -> 0x0125, all -> 0x00f7 }
        r2.<init>(r3);	 Catch:{ Throwable -> 0x0125, all -> 0x00f7 }
        r3 = new java.util.Properties;	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r3.<init>();	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r3.load(r2);	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r0 = java.lang.Integer.parseInt(r8);	 Catch:{ Exception -> 0x0109 }
    L_0x0090:
        if (r0 == 0) goto L_0x00dd;
    L_0x0092:
        r0 = "core_version";
        r3.setProperty(r0, r8);	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r0 = "core_disabled";
        r5 = "false";
        r3.setProperty(r0, r5);	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r0 = "core_packagename";
        r3.setProperty(r0, r9);	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r0 = "core_path";
        r3.setProperty(r0, r10);	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r0 = "app_version";
        r3.setProperty(r0, r11);	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
    L_0x00b3:
        r5 = new java.io.FileOutputStream;	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r5.<init>(r4);	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r0 = new java.io.BufferedOutputStream;	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r0.<init>(r5);	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        r1 = 0;
        r3.store(r0, r1);	 Catch:{ Throwable -> 0x0129, all -> 0x0121 }
        r1 = 0;
        l = r1;	 Catch:{ Throwable -> 0x0129, all -> 0x0121 }
        r1 = a;	 Catch:{ Throwable -> 0x0129, all -> 0x0121 }
        r1 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r1);	 Catch:{ Throwable -> 0x0129, all -> 0x0121 }
        r3 = -406; // 0xfffffffffffffe6a float:NaN double:NaN;
        r1.setDownloadInterruptCode(r3);	 Catch:{ Throwable -> 0x0129, all -> 0x0121 }
        if (r2 == 0) goto L_0x00d4;
    L_0x00d1:
        r2.close();	 Catch:{ Exception -> 0x0119 }
    L_0x00d4:
        if (r0 == 0) goto L_0x00d9;
    L_0x00d6:
        r0.close();	 Catch:{ Exception -> 0x011b }
    L_0x00d9:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x0079;
    L_0x00dd:
        r0 = "core_disabled";
        r5 = "true";
        r3.setProperty(r0, r5);	 Catch:{ Throwable -> 0x00e7, all -> 0x011d }
        goto L_0x00b3;
    L_0x00e7:
        r0 = move-exception;
        r0 = r1;
    L_0x00e9:
        if (r2 == 0) goto L_0x00ee;
    L_0x00eb:
        r2.close();	 Catch:{ Exception -> 0x010b }
    L_0x00ee:
        if (r0 == 0) goto L_0x00f3;
    L_0x00f0:
        r0.close();	 Catch:{ Exception -> 0x010d }
    L_0x00f3:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x0079;
    L_0x00f7:
        r0 = move-exception;
        r3 = r0;
        r4 = r1;
        r2 = r1;
    L_0x00fb:
        if (r2 == 0) goto L_0x0100;
    L_0x00fd:
        r2.close();	 Catch:{ Exception -> 0x010f }
    L_0x0100:
        if (r4 == 0) goto L_0x0105;
    L_0x0102:
        r4.close();	 Catch:{ Exception -> 0x0111 }
    L_0x0105:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        throw r3;
    L_0x0109:
        r5 = move-exception;
        goto L_0x0090;
    L_0x010b:
        r1 = move-exception;
        goto L_0x00ee;
    L_0x010d:
        r0 = move-exception;
        goto L_0x00f3;
    L_0x010f:
        r0 = move-exception;
        goto L_0x0100;
    L_0x0111:
        r0 = move-exception;
        goto L_0x0105;
    L_0x0113:
        r0 = move-exception;
        goto L_0x0071;
    L_0x0116:
        r0 = move-exception;
        goto L_0x0076;
    L_0x0119:
        r1 = move-exception;
        goto L_0x00d4;
    L_0x011b:
        r0 = move-exception;
        goto L_0x00d9;
    L_0x011d:
        r0 = move-exception;
        r3 = r0;
        r4 = r1;
        goto L_0x00fb;
    L_0x0121:
        r1 = move-exception;
        r3 = r1;
        r4 = r0;
        goto L_0x00fb;
    L_0x0125:
        r0 = move-exception;
        r0 = r1;
        r2 = r1;
        goto L_0x00e9;
    L_0x0129:
        r1 = move-exception;
        goto L_0x00e9;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.smtt.sdk.TbsShareManager.writeProperties(android.content.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String):void");
    }
}
