package android.support.v4.media.session;

import android.media.session.PlaybackState.CustomAction;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.text.TextUtils;

public final class PlaybackStateCompat$CustomAction implements Parcelable {
    public static final Creator<PlaybackStateCompat$CustomAction> CREATOR = new 1();
    private final String JU;
    private final CharSequence JV;
    private final int JW;
    private Object JX;
    private final Bundle mExtras;

    private PlaybackStateCompat$CustomAction(String str, CharSequence charSequence, int i, Bundle bundle) {
        this.JU = str;
        this.JV = charSequence;
        this.JW = i;
        this.mExtras = bundle;
    }

    PlaybackStateCompat$CustomAction(Parcel parcel) {
        this.JU = parcel.readString();
        this.JV = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.JW = parcel.readInt();
        this.mExtras = parcel.readBundle();
    }

    public final void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.JU);
        TextUtils.writeToParcel(this.JV, parcel, i);
        parcel.writeInt(this.JW);
        parcel.writeBundle(this.mExtras);
    }

    public final int describeContents() {
        return 0;
    }

    public static PlaybackStateCompat$CustomAction C(Object obj) {
        if (obj == null || VERSION.SDK_INT < 21) {
            return null;
        }
        PlaybackStateCompat$CustomAction playbackStateCompat$CustomAction = new PlaybackStateCompat$CustomAction(((CustomAction) obj).getAction(), ((CustomAction) obj).getName(), ((CustomAction) obj).getIcon(), ((CustomAction) obj).getExtras());
        playbackStateCompat$CustomAction.JX = obj;
        return playbackStateCompat$CustomAction;
    }

    public final String toString() {
        return "Action:mName='" + this.JV + ", mIcon=" + this.JW + ", mExtras=" + this.mExtras;
    }
}
