package com.tencent.liteav.videodecoder;

import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.Surface;
import com.tencent.liteav.basic.d.a;
import com.tencent.liteav.basic.g.b;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.tmassistantsdk.logreport.UpdateInfoReportManager$UpdateLogConst;
import java.lang.ref.WeakReference;
import java.nio.ByteBuffer;

class b$a extends Handler {
    a a;
    d b;
    WeakReference<a> c;
    boolean d;
    boolean e;
    Surface f;
    private ByteBuffer g;
    private ByteBuffer h;

    public b$a(Looper looper) {
        super(looper);
    }

    public void a(boolean z, boolean z2, Surface surface, ByteBuffer byteBuffer, ByteBuffer byteBuffer2, d dVar, a aVar) {
        AppMethodBeat.i(67803);
        this.e = z;
        this.d = z2;
        this.f = surface;
        this.g = byteBuffer;
        this.h = byteBuffer2;
        this.b = dVar;
        this.c = new WeakReference(aVar);
        AppMethodBeat.o(67803);
    }

    public void handleMessage(Message message) {
        boolean z = true;
        AppMethodBeat.i(67804);
        switch (message.what) {
            case UpdateInfoReportManager$UpdateLogConst.ACTION_CHECKYYB_INSTALLED /*100*/:
                a(((Boolean) message.obj).booleanValue());
                AppMethodBeat.o(67804);
                return;
            case UpdateInfoReportManager$UpdateLogConst.ACTION_START_DOWNLOAD /*101*/:
                try {
                    Bundle data = message.getData();
                    a(data.getByteArray("nal"), data.getLong("pts"), data.getLong("dts"), data.getInt("codecId"));
                    AppMethodBeat.o(67804);
                    return;
                } catch (Exception e) {
                    AppMethodBeat.o(67804);
                    return;
                }
            case UpdateInfoReportManager$UpdateLogConst.ACTION_DOWNLOAD_SUCCESS /*102*/:
                b();
                AppMethodBeat.o(67804);
                return;
            case UpdateInfoReportManager$UpdateLogConst.ACTION_INSTALL_SUCCESS /*103*/:
                boolean z2 = message.arg1 == 1;
                if (message.arg2 != 1) {
                    z = false;
                }
                a(z2, z);
                break;
        }
        AppMethodBeat.o(67804);
    }

    public boolean a() {
        AppMethodBeat.i(67805);
        if (this.a != null) {
            boolean isHevc = this.a.isHevc();
            AppMethodBeat.o(67805);
            return isHevc;
        }
        AppMethodBeat.o(67805);
        return false;
    }

    private void a(byte[] bArr, long j, long j2, int i) {
        AppMethodBeat.i(67806);
        b bVar = new b();
        bVar.a = bArr;
        bVar.g = j;
        bVar.h = j2;
        bVar.i = i;
        if (this.a != null) {
            this.a.decode(bVar);
        }
        AppMethodBeat.o(67806);
    }

    private void b() {
        AppMethodBeat.i(67807);
        if (this.a != null) {
            this.a.stop();
            this.a.setListener(null);
            this.a.setNotifyListener(null);
            this.a = null;
        }
        Looper.myLooper().quit();
        TXCLog.w("TXCVideoDecoder", "play:decode: stop decode hwdec: " + this.d);
        AppMethodBeat.o(67807);
    }

    private void a(boolean z, boolean z2) {
        AppMethodBeat.i(67808);
        this.d = z;
        TXCLog.w("TXCVideoDecoder", "play:decode: restart decode hwdec: " + this.d);
        if (this.a != null) {
            this.a.stop();
            this.a.setListener(null);
            this.a.setNotifyListener(null);
            this.a = null;
        }
        a(z2);
        AppMethodBeat.o(67808);
    }

    private void a(boolean z) {
        AppMethodBeat.i(67809);
        if (this.a != null) {
            TXCLog.i("TXCVideoDecoder", "play:decode: start decode ignore hwdec: " + this.d);
            AppMethodBeat.o(67809);
            return;
        }
        if (this.d) {
            this.a = new c();
        } else {
            this.a = new TXCVideoFfmpegDecoder();
        }
        this.a.setListener(this.b);
        this.a.setNotifyListener(this.c);
        this.a.config(this.f);
        this.a.start(this.g, this.h, z, this.e);
        TXCLog.w("TXCVideoDecoder", "play:decode: start decode hwdec: " + this.d + ", hevc: " + this.e);
        AppMethodBeat.o(67809);
    }
}
