package com.tencent.mm.modelsns;

import android.media.MediaExtractor;
import android.media.MediaFormat;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;

public class a$a {
    public String fPT;
    public String fPU;
    public String fPV;
    public int fPW = -1;
    public int fPX = -1;
    public int videoBitRate = -1;
    public int videoFrameRate = -1;
    public int videoHeight = -1;
    public int videoWidth = -1;

    public static a$a tw(String str) {
        AppMethodBeat.i(16606);
        MediaExtractor mediaExtractor = new MediaExtractor();
        a$a a_a = new a$a();
        a_a.fPT = str;
        try {
            mediaExtractor.setDataSource(str);
            int trackCount = mediaExtractor.getTrackCount();
            MediaFormat mediaFormat = null;
            MediaFormat mediaFormat2 = null;
            for (int i = 0; i < trackCount; i++) {
                MediaFormat trackFormat = mediaExtractor.getTrackFormat(i);
                if (trackFormat.containsKey("mime")) {
                    String string = trackFormat.getString("mime");
                    ab.i("MicroMsg.ShareSnsImpl", "find video mime : %s", new Object[]{string});
                    if (string != null) {
                        if (string.startsWith("video/")) {
                            if (mediaFormat2 == null) {
                                mediaFormat2 = trackFormat;
                            }
                        } else if (string.startsWith("audio/") && r0 == null) {
                            mediaFormat = trackFormat;
                        }
                        if (!(mediaFormat == null || r1 == null)) {
                            break;
                        }
                    }
                    continue;
                } else {
                    ab.i("MicroMsg.ShareSnsImpl", "find video mime : not found.");
                }
            }
            MediaFormat mediaFormat3 = mediaFormat;
            if (mediaFormat2 != null) {
                a_a.fPW = !mediaFormat2.containsKey("durationUs") ? 0 : (int) (mediaFormat2.getLong("durationUs") / 1000);
                a_a.videoHeight = !mediaFormat2.containsKey("height") ? 0 : mediaFormat2.getInteger("height");
                a_a.videoWidth = !mediaFormat2.containsKey("width") ? 0 : mediaFormat2.getInteger("width");
                a_a.fPU = !mediaFormat2.containsKey("mime") ? BuildConfig.FLAVOR : mediaFormat2.getString("mime");
                a_a.videoBitRate = !mediaFormat2.containsKey("bitrate") ? 0 : mediaFormat2.getInteger("bitrate");
                a_a.fPX = !mediaFormat2.containsKey("i-frame-interval") ? 0 : mediaFormat2.getInteger("i-frame-interval");
                a_a.videoFrameRate = !mediaFormat2.containsKey("frame-rate") ? 0 : mediaFormat2.getInteger("frame-rate");
            }
            if (mediaFormat3 != null) {
                a_a.fPV = !mediaFormat3.containsKey("mime") ? BuildConfig.FLAVOR : mediaFormat3.getString("mime");
            }
            mediaExtractor.release();
        } catch (Exception e) {
            ab.i("MicroMsg.ShareSnsImpl", "Video extractor init failed. video path = [%s] e = [%s]", new Object[]{str, e.getMessage()});
            mediaExtractor.release();
        } catch (Throwable th) {
            mediaExtractor.release();
            AppMethodBeat.o(16606);
        }
        AppMethodBeat.o(16606);
        return a_a;
    }
}
