package com.tencent.mm.plugin.account.bind.ui;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.account.friend.a.m;
import com.tencent.mm.plugin.account.friend.a.w;
import com.tencent.mm.plugin.account.friend.a.w.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.h;
import com.tencent.rtmp.TXLiveConstants;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;

public class BindGoogleContactIntroUI extends MMActivity implements f {
    private ImageView gqh;
    private TextView gqi;
    private Button gqj;
    private Button gqk;
    private boolean gql = false;
    private boolean gqm = false;
    private String gqn;
    private ProgressDialog gqo;
    private w gqp;
    private int gqq;
    private OnClickListener gqr = new 1(this);
    private OnClickListener gqs = new OnClickListener() {
        public final void onClick(View view) {
            AppMethodBeat.i(13334);
            h.a(BindGoogleContactIntroUI.this.mController.ylL, true, BindGoogleContactIntroUI.this.getString(2131304139), BuildConfig.FLAVOR, BindGoogleContactIntroUI.this.getString(2131304138), BindGoogleContactIntroUI.this.getString(2131296868), new 1(this), new 2(this));
            AppMethodBeat.o(13334);
        }
    };

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public BindGoogleContactIntroUI() {
        AppMethodBeat.i(13337);
        AppMethodBeat.o(13337);
    }

    public final int getLayoutId() {
        return 2130968839;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(13338);
        super.onCreate(bundle);
        setMMTitle(2131297518);
        this.gqq = getIntent().getIntExtra("enter_scene", 0);
        this.gql = m.cx(this);
        if (this.gql) {
            startActivityForResult(new Intent("com.tencent.mm.gms.CHECK_GP_SERVICES"), TXLiveConstants.PLAY_EVT_PLAY_PROGRESS);
        }
        AppMethodBeat.o(13338);
    }

    public void onResume() {
        AppMethodBeat.i(13339);
        super.onResume();
        this.gqn = (String) g.RP().Ry().get(208903, null);
        if (TextUtils.isEmpty(this.gqn)) {
            this.gqm = false;
        } else {
            this.gqm = true;
        }
        initView();
        if (this.gqm) {
            this.gqk.setVisibility(0);
            this.gqj.setVisibility(8);
            this.gqi.setVisibility(0);
            this.gqi.setText(getString(2131297516, new Object[]{this.gqn}));
            this.gqk.setOnClickListener(this.gqs);
        } else {
            aoP();
        }
        g.Rg().a(487, this);
        AppMethodBeat.o(13339);
    }

    public void onStop() {
        AppMethodBeat.i(13340);
        super.onStop();
        g.Rg().b(487, this);
        AppMethodBeat.o(13340);
    }

    public void onDestroy() {
        AppMethodBeat.i(13341);
        super.onDestroy();
        AppMethodBeat.o(13341);
    }

    public final void initView() {
        AppMethodBeat.i(13342);
        setBackBtn(new OnMenuItemClickListener() {
            public final boolean onMenuItemClick(MenuItem menuItem) {
                AppMethodBeat.i(13335);
                BindGoogleContactIntroUI.this.finish();
                AppMethodBeat.o(13335);
                return true;
            }
        });
        this.gqh = (ImageView) findViewById(2131821750);
        this.gqi = (TextView) findViewById(2131821751);
        this.gqj = (Button) findViewById(2131821752);
        this.gqk = (Button) findViewById(2131821753);
        AppMethodBeat.o(13342);
    }

    private void aoP() {
        AppMethodBeat.i(13343);
        this.gqk.setVisibility(8);
        this.gqj.setVisibility(0);
        this.gqh.setVisibility(0);
        this.gqi.setVisibility(0);
        this.gqi.setText(2131297517);
        this.gqj.setText(2131297515);
        this.gqj.setOnClickListener(this.gqr);
        AppMethodBeat.o(13343);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(13344);
        ab.i("MicroMsg.GoogleContact.BindGoogleContactIntroUI", "requestCode:%d, resultCode:%d", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
        if (i2 == -1) {
            if (i == TXLiveConstants.PLAY_EVT_PLAY_PROGRESS) {
                this.gql = intent.getBooleanExtra("gpservices", false);
                AppMethodBeat.o(13344);
                return;
            }
        } else if (i == TXLiveConstants.PLAY_EVT_PLAY_PROGRESS) {
            this.gql = intent.getBooleanExtra("gpservices", false);
        }
        AppMethodBeat.o(13344);
    }

    public void onSceneEnd(int i, int i2, String str, com.tencent.mm.ai.m mVar) {
        AppMethodBeat.i(13345);
        String str2 = "MicroMsg.GoogleContact.BindGoogleContactIntroUI";
        String str3 = "[onSceneEnd] errType:%d,errCode:%d,errMsg:%s";
        Object[] objArr = new Object[3];
        objArr[0] = Integer.valueOf(i);
        objArr[1] = Integer.valueOf(i2);
        if (TextUtils.isEmpty(str)) {
            str = BuildConfig.FLAVOR;
        }
        objArr[2] = str;
        ab.i(str2, str3, objArr);
        if (this.gqo != null && this.gqo.isShowing()) {
            this.gqo.dismiss();
        }
        if (i == 0 && i2 == 0) {
            g.RP().Ry().set(208903, BuildConfig.FLAVOR);
            g.RP().Ry().set(208901, BuildConfig.FLAVOR);
            g.RP().Ry().set(208902, BuildConfig.FLAVOR);
            g.RP().Ry().set(208905, Boolean.TRUE);
            g.RP().Ry().dsb();
            aoP();
            h.bQ(this, getString(2131304140));
            AppMethodBeat.o(13345);
            return;
        }
        ab.i("MicroMsg.GoogleContact.BindGoogleContactIntroUI", "unbind failed");
        Toast.makeText(this, 2131300377, 0).show();
        AppMethodBeat.o(13345);
    }

    static /* synthetic */ void b(BindGoogleContactIntroUI bindGoogleContactIntroUI) {
        AppMethodBeat.i(13346);
        bindGoogleContactIntroUI.gqp = new w(a.gvT, bindGoogleContactIntroUI.gqn, w.gvM);
        g.Rg().a(bindGoogleContactIntroUI.gqp, 0);
        bindGoogleContactIntroUI.getString(2131297061);
        bindGoogleContactIntroUI.gqo = h.b(bindGoogleContactIntroUI, bindGoogleContactIntroUI.getString(2131297086), true, new 4(bindGoogleContactIntroUI));
        AppMethodBeat.o(13346);
    }
}
