package com.tencent.mm.plugin.appbrand.jsapi;

import android.content.Intent;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandMainProcessService;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProcessProxyUI;
import com.tencent.mm.plugin.appbrand.ipc.MainProcessTask;
import com.tencent.mm.plugin.appbrand.s;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import org.json.JSONObject;

public final class JsApiMakeVoIPCall extends a<s> {
    public static final int CTRL_INDEX = 154;
    public static final String NAME = "makeVoIPCall";

    public final /* synthetic */ void a(c cVar, JSONObject jSONObject, int i) {
        AppMethodBeat.i(130493);
        s sVar = (s) cVar;
        String optString = jSONObject.optString("context");
        String optString2 = jSONObject.optString("avatarUrl");
        boolean optBoolean = jSONObject.optBoolean("showOther");
        boolean optBoolean2 = jSONObject.optBoolean("allowBackCamera");
        String optString3 = jSONObject.optString("toUserName");
        String nullAsNil = bo.nullAsNil(jSONObject.optString("scene"));
        String nullAsNil2 = bo.nullAsNil(jSONObject.optString("type"));
        if (bo.isNullOrNil(optString3)) {
            optString3 = sVar.getRuntime().atI().username;
        }
        if (bo.isNullOrNil(sVar.getAppId()) || bo.isNullOrNil(optString3)) {
            ab.e("MicroMsg.JsApiMakeVoIPCall", "appId or toUserName invalid!");
            sVar.M(i, j("fail", null));
            AppMethodBeat.o(130493);
            return;
        }
        ab.d("MicroMsg.JsApiMakeVoIPCall", "allowBackCamera: %s, showOther: %s, avatarUrl: %s, context: %s, toUserName: %s", new Object[]{Boolean.valueOf(optBoolean2), Boolean.valueOf(optBoolean), optString2, optString, optString3});
        MainProcessTask startVoIPCall = new StartVoIPCall(this, sVar, i);
        startVoIPCall.aBV();
        AppBrandMainProcessService.a(startVoIPCall);
        Intent intent = new Intent();
        intent.putExtra("voipCSBizId", optString3);
        intent.putExtra("voipCSAppId", sVar.getAppId());
        intent.putExtra("voipCSAllowBackCamera", optBoolean2 ? "1" : "0");
        intent.putExtra("voipCSShowOther", optBoolean ? "1" : "0");
        intent.putExtra("voipCSAvatarUrl", optString2);
        intent.putExtra("voipCSContext", optString);
        intent.putExtra("voipCSScene", nullAsNil);
        intent.putExtra("voipCSType", nullAsNil2);
        intent.putExtra("launch_from_appbrand", true);
        intent.setClassName(sVar.getContext(), sVar.getContext().getPackageName() + ".plugin.voip_cs.ui.VoipCSMainUI");
        AppBrandProcessProxyUI.n(sVar.getContext(), intent);
        AppMethodBeat.o(130493);
    }
}
