package com.tencent.mm.plugin.card.base;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import android.view.View;
import android.widget.BaseAdapter;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.RelativeLayout;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.kernel.g;
import com.tencent.mm.modelgeo.b;
import com.tencent.mm.modelgeo.d;
import com.tencent.mm.plugin.card.model.CardInfo;
import com.tencent.mm.plugin.card.model.ad;
import com.tencent.mm.plugin.card.model.af;
import com.tencent.mm.plugin.card.model.am;
import com.tencent.mm.plugin.card.model.n;
import com.tencent.mm.plugin.card.model.r;
import com.tencent.mm.plugin.card.model.x;
import com.tencent.mm.plugin.card.sharecard.ui.h;
import com.tencent.mm.plugin.card.ui.CardDetailUI;
import com.tencent.mm.plugin.card.ui.c;
import com.tencent.mm.pluginsdk.ui.applet.t;
import com.tencent.mm.protocal.protobuf.no;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ac;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.MMActivity.a;
import com.tencent.mm.ui.base.p;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.util.ArrayList;
import java.util.LinkedList;

public abstract class CardBaseUI extends MMActivity implements f, a {
    private float ecs = -85.0f;
    private float ect = -1000.0f;
    private b.a ecy = new 7(this);
    private p ejZ = null;
    public d fwu;
    private boolean fwx = false;
    protected ListView kam = null;
    public BaseAdapter kan = null;
    protected RelativeLayout kao = null;
    protected LinearLayout kap;
    protected LinearLayout kaq;
    public boolean kar = false;
    protected boolean kas = true;
    public a kat = null;
    protected CardInfo kau;

    public abstract void aZp();

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
    }

    public void onResume() {
        super.onResume();
        this.kas = true;
        g.RO().eJo.a(652, this);
    }

    public void onPause() {
        super.onPause();
        this.kas = false;
        g.RO().eJo.b(652, this);
    }

    public void initView() {
        a dVar;
        setBackBtn(new OnMenuItemClickListener() {
            public final boolean onMenuItemClick(MenuItem menuItem) {
                AppMethodBeat.i(87617);
                CardBaseUI.this.finish();
                AppMethodBeat.o(87617);
                return true;
            }
        });
        this.kam = (ListView) findViewById(16908298);
        this.kao = (RelativeLayout) findViewById(2131821926);
        if (this.kao != null) {
            this.kam.setEmptyView(this.kao);
        }
        this.kap = (LinearLayout) View.inflate(getBaseContext(), 2130968951, null);
        this.kaq = (LinearLayout) View.inflate(getBaseContext(), 2130968948, null);
        this.kam.addHeaderView(this.kap);
        this.kam.addFooterView(this.kaq);
        this.kan = Kw();
        this.kam.setAdapter(this.kan);
        this.kam.setOnItemClickListener(new 2(this));
        this.kam.setOnItemLongClickListener(new 3(this));
        g.RO().eJo.a(560, this);
        g.RO().eJo.a(692, this);
        BaseAdapter baseAdapter = this.kan;
        if (baseAdapter instanceof c) {
            dVar = new com.tencent.mm.plugin.card.ui.d((c) baseAdapter);
        } else if (baseAdapter instanceof com.tencent.mm.plugin.card.sharecard.ui.c) {
            dVar = new com.tencent.mm.plugin.card.sharecard.ui.d((com.tencent.mm.plugin.card.sharecard.ui.c) baseAdapter);
        } else if (baseAdapter instanceof com.tencent.mm.plugin.card.sharecard.ui.g) {
            dVar = new h((com.tencent.mm.plugin.card.sharecard.ui.g) baseAdapter);
        } else {
            dVar = new com.tencent.mm.plugin.card.ui.h((com.tencent.mm.plugin.card.ui.g) baseAdapter);
        }
        this.kat = dVar;
        this.kat.onCreate();
        aZp();
    }

    public int getLayoutId() {
        return 2130968943;
    }

    public void onDestroy() {
        ab.d("MicroMsg.CardBaseUI", "destroy card");
        g.RO().eJo.b(560, this);
        g.RO().eJo.b(692, this);
        if (this.kat != null) {
            this.kat.onDestroy();
        }
        super.onDestroy();
    }

    /* Access modifiers changed, original: protected */
    public void a(b bVar, int i) {
        Intent intent = new Intent(this, CardDetailUI.class);
        intent.putExtra("key_card_id", bVar.aZZ());
        intent.addFlags(131072);
        intent.putExtra("key_from_scene", 3);
        startActivity(intent);
        if (aZq() == n.a.kdP) {
            com.tencent.mm.plugin.report.service.h.pYm.e(11324, new Object[]{"ClickMemberCard", Integer.valueOf(0), BuildConfig.FLAVOR, BuildConfig.FLAVOR, Integer.valueOf(0), Integer.valueOf(0), BuildConfig.FLAVOR, Integer.valueOf(0), Integer.valueOf(0)});
            int intValue = ((Integer) g.RP().Ry().get(ac.a.xKE, Integer.valueOf(3))).intValue();
            com.tencent.mm.plugin.report.service.h.pYm.e(15767, new Object[]{Integer.valueOf(intValue), Integer.valueOf(i + 1)});
        } else if (aZq() == n.a.kdO) {
            com.tencent.mm.plugin.report.service.h.pYm.e(11324, new Object[]{"ClickMemberCard", Integer.valueOf(0), BuildConfig.FLAVOR, BuildConfig.FLAVOR, Integer.valueOf(0), Integer.valueOf(1), BuildConfig.FLAVOR, Integer.valueOf(0), Integer.valueOf(0)});
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final void fE(boolean z) {
        if (z) {
            this.ejZ = p.b(this, getString(2131297086), true, null);
        } else if (this.ejZ != null && this.ejZ.isShowing()) {
            this.ejZ.dismiss();
            this.ejZ = null;
        }
    }

    public final void H(LinkedList<String> linkedList) {
        fE(true);
        g.RO().eJo.a(new r(linkedList), 0);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        int i3;
        String str2;
        if (i != 0 || i2 != 0) {
            fE(false);
            if (mVar instanceof af) {
                i3 = ((af) mVar).kdT;
                str2 = ((af) mVar).kdU;
                if (i3 == 10000) {
                    if (TextUtils.isEmpty(str2)) {
                        str2 = getString(2131297856);
                    }
                    str = str2;
                }
            }
            if (!(mVar instanceof x) && !(mVar instanceof ad) && !(mVar instanceof com.tencent.mm.plugin.card.sharecard.model.b) && this.kas) {
                com.tencent.mm.plugin.card.d.d.b(this, str, i2);
            }
        } else if (mVar instanceof r) {
            fE(false);
            com.tencent.mm.ui.base.h.bQ(this, getResources().getString(2131297832));
            am.baV();
            com.tencent.mm.plugin.card.b.b.sO(4);
            this.kat.ZZ();
            aZz();
        } else if (mVar instanceof af) {
            fE(false);
            i3 = ((af) mVar).kdT;
            str2 = ((af) mVar).kdU;
            if (i3 == 10000) {
                if (TextUtils.isEmpty(str2)) {
                    str2 = getString(2131297856);
                }
                com.tencent.mm.plugin.card.d.d.b(this, str2, i3);
                return;
            }
            if (this.kau != null) {
                no aZW = this.kau.aZW();
                aZW.status = 3;
                this.kau.a(aZW);
                if (!am.baW().c(this.kau, new String[0])) {
                    ab.e("MicroMsg.CardBaseUI", "update newSerial fail, cardId = %s", new Object[]{this.kau.field_card_id});
                }
            }
            this.kat.ZZ();
            aZz();
        }
    }

    /* Access modifiers changed, original: protected */
    public n.a aZq() {
        return n.a.kdK;
    }

    /* Access modifiers changed, original: protected */
    public BaseAdapter Kw() {
        return new c(this, aZq());
    }

    /* Access modifiers changed, original: protected */
    public boolean aZr() {
        return true;
    }

    /* Access modifiers changed, original: protected */
    public boolean aZs() {
        return true;
    }

    /* Access modifiers changed, original: protected */
    public void b(b bVar, int i) {
        if (!aZr()) {
            ab.e("MicroMsg.CardBaseUI", "isItemClickable return false");
        } else if (bVar == null) {
            ab.e("MicroMsg.CardBaseUI", "onListItemClick  item == null");
        } else if (!bVar.aZZ().equals("PRIVATE_TICKET_TITLE") && !bVar.aZZ().equals("PRIVATE_INVOICE_TITLE")) {
            if (bVar.aZI()) {
                a(bVar, i);
            } else if (!TextUtils.isEmpty(bVar.aZV().vUc)) {
                com.tencent.mm.plugin.card.d.b.a(this, bVar.aZV().vUc, 0);
            }
        }
    }

    /* Access modifiers changed, original: protected */
    public void a(b bVar) {
        if (!aZs()) {
            ab.e("MicroMsg.CardBaseUI", "isItemClickable return false");
        } else if (bVar == null) {
            ab.e("MicroMsg.CardBaseUI", "onListItemLongClick  item == null");
        } else {
            ArrayList arrayList = new ArrayList();
            if (bVar.aZJ()) {
                if (!bo.isNullOrNil(bVar.aZV().vUI)) {
                    arrayList.add(bVar.aZV().vUI);
                } else if (bVar.aZH()) {
                    arrayList.add(getResources().getString(2131297926));
                } else {
                    arrayList.add(getResources().getString(2131297925));
                }
            }
            arrayList.add(getResources().getString(2131296881));
            String aZZ = bVar.aZZ();
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append(bVar.aZV().kdf);
            com.tencent.mm.ui.base.h.a(this, stringBuilder.toString(), (String[]) arrayList.toArray(new String[arrayList.size()]), null, new 5(this, bVar, aZZ));
        }
    }

    public final void c(int i, int i2, Intent intent) {
        if (i == 0 && i2 == -1) {
            l(intent.getStringExtra("Select_Conv_User"), 0, false);
        }
    }

    /* Access modifiers changed, original: protected */
    public void a(CardInfo cardInfo) {
        this.kau = cardInfo;
        com.tencent.mm.plugin.card.d.b.a(this, 0, this);
    }

    /* Access modifiers changed, original: protected|final */
    public final void l(String str, int i, boolean z) {
        if (this.kau == null) {
            ab.e("MicroMsg.CardBaseUI", "showGiftConfirmDialog mCardInfo == null");
        } else if (this.kau.aZV() == null) {
            ab.e("MicroMsg.CardBaseUI", "showGiftConfirmDialog mCardInfo.getCardTpInfo() == null");
        } else {
            StringBuilder stringBuilder = new StringBuilder();
            if (i == 0) {
                if (TextUtils.isEmpty(this.kau.aZX().wYl) || this.kau.aZH()) {
                    stringBuilder.append(getString(2131303749));
                } else {
                    stringBuilder.append(this.kau.aZX().wYl);
                }
                com.tencent.mm.plugin.report.service.h.pYm.e(11582, new Object[]{"OperGift", Integer.valueOf(2), Integer.valueOf(this.kau.aZV().iAd), this.kau.field_card_tp_id, this.kau.field_card_id, str});
            } else if (i == 1) {
                stringBuilder.append(getString(2131297855, new Object[]{this.kau.aZV().kdf}));
                com.tencent.mm.plugin.report.service.h.pYm.e(11582, new Object[]{"OperGift", Integer.valueOf(3), Integer.valueOf(this.kau.aZV().iAd), this.kau.field_card_tp_id, this.kau.field_card_id, str});
            }
            t.a.vlq.a(this.mController, stringBuilder.toString(), this.kau.aZV().kbV, this.kau.aZV().title + "\n" + this.kau.aZV().kdg, false, getResources().getString(2131297041), new 6(this, str, z));
        }
    }

    public final void aZt() {
        if (this.fwu == null) {
            this.fwu = d.agz();
        }
        if (this.fwu != null) {
            this.fwu.a(this.ecy, true);
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final void aZu() {
        if (this.fwu != null) {
            this.fwu.a(this.ecy, true);
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final void aZv() {
        if (this.fwu != null) {
            this.fwu.c(this.ecy);
        }
    }

    /* Access modifiers changed, original: protected */
    public void aZw() {
    }

    /* Access modifiers changed, original: protected */
    public void aZx() {
    }

    /* Access modifiers changed, original: protected */
    public void aZy() {
    }

    /* Access modifiers changed, original: protected */
    public void aZz() {
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        if (iArr == null || iArr.length <= 0) {
            ab.i("MicroMsg.CardBaseUI", "onRequestPermissionsResult grantResults length 0. requestCode[%d], tid[%d]", new Object[]{Integer.valueOf(i), Long.valueOf(Thread.currentThread().getId())});
            return;
        }
        ab.i("MicroMsg.CardBaseUI", "onRequestPermissionsResult requestCode[%d],grantResults[%d] tid[%d]", new Object[]{Integer.valueOf(i), Integer.valueOf(iArr[0]), Long.valueOf(Thread.currentThread().getId())});
        switch (i) {
            case 69:
                if (iArr == null || iArr.length <= 0 || iArr[0] != 0) {
                    com.tencent.mm.ui.base.h.a(this, getString(2131301926), getString(2131301936), getString(2131300878), getString(2131298419), false, new 8(this), null);
                    return;
                }
                aZy();
                return;
            default:
                return;
        }
    }

    static /* synthetic */ void c(CardBaseUI cardBaseUI, String str) {
        cardBaseUI.fE(true);
        g.RO().eJo.a(new af(cardBaseUI.kau.field_card_id, str, 17), 0);
    }
}
