package com.tencent.mm.plugin.collect.ui;

import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.text.SpannableString;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.m;
import com.tencent.mm.plugin.collect.model.s;
import com.tencent.mm.plugin.wallet_core.ui.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.wallet_core.c.ae;
import com.tencent.mm.wallet_core.ui.WalletBaseUI;
import com.tencent.mm.wallet_core.ui.e;
import com.tencent.mm.wallet_core.ui.formview.WalletFormView;
import com.tencent.mm.wallet_core.ui.formview.a;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;

public class CollectCreateQRCodeUI extends WalletBaseUI {
    private String eeO = BuildConfig.FLAVOR;
    private WalletFormView kGa;
    private TextView kGb;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(41238);
        super.onCreate(bundle);
        nf(1335);
        initView();
        AppMethodBeat.o(41238);
    }

    public void onDestroy() {
        AppMethodBeat.i(41239);
        super.onDestroy();
        ng(1335);
        AppMethodBeat.o(41239);
    }

    public final void initView() {
        AppMethodBeat.i(41240);
        setMMTitle(2131298360);
        setBackBtn(new 1(this));
        this.kGa = (WalletFormView) findViewById(2131822842);
        a.f(this.kGa);
        String stringExtra = getIntent().getStringExtra("key_currency_unit");
        if (bo.isNullOrNil(stringExtra)) {
            this.kGa.getTitleTv().setText(ae.dOd());
        } else {
            this.kGa.getTitleTv().setText(stringExtra);
        }
        this.kGa.a(new 2(this));
        e(this.kGa, 2, false);
        ((Button) findViewById(2131822846)).setOnClickListener(new 3(this));
        this.kGb = (TextView) findViewById(2131822845);
        this.kGb.setOnClickListener(new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(41236);
                CollectCreateQRCodeUI.this.aoB();
                com.tencent.mm.plugin.wallet_core.ui.view.a.a(CollectCreateQRCodeUI.this, CollectCreateQRCodeUI.this.getString(2131298361), CollectCreateQRCodeUI.this.eeO, BuildConfig.FLAVOR, 32, new 1(this), new 2(this));
                AppMethodBeat.o(41236);
            }
        });
        AppMethodBeat.o(41240);
    }

    public final int getLayoutId() {
        return 2130969159;
    }

    public final boolean c(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(41241);
        Intent intent;
        if (mVar instanceof s) {
            if (i == 0 && i2 == 0) {
                s sVar = (s) mVar;
                intent = new Intent();
                intent.putExtra("ftf_pay_url", sVar.kCI);
                intent.putExtra("ftf_fixed_fee", sVar.kCJ);
                intent.putExtra("ftf_fixed_fee_type", sVar.cuZ);
                intent.putExtra("ftf_fixed_desc", sVar.desc);
                setResult(-1, intent);
                finish();
                AppMethodBeat.o(41241);
                return true;
            }
        } else if (mVar instanceof com.tencent.mm.plugin.collect.model.m) {
            final com.tencent.mm.plugin.collect.model.m mVar2 = (com.tencent.mm.plugin.collect.model.m) mVar;
            if (i != 0 || i2 != 0) {
                ab.e("MicroMsg.CollectCreateQRCodeUI", "net error: %s", new Object[]{mVar2});
            } else if (mVar2.kCl == 0) {
                intent = new Intent();
                intent.putExtra("ftf_pay_url", mVar2.kCn);
                intent.putExtra("ftf_fixed_fee", ((double) mVar2.cSh) / 100.0d);
                intent.putExtra("ftf_fixed_desc", mVar2.desc);
                intent.putExtra("key_currency_unit", mVar2.kCw);
                setResult(-1, intent);
                finish();
                AppMethodBeat.o(41241);
                return true;
            } else if (mVar2.kCo == 0) {
                h.b(this.mController.ylL, mVar2.kCm, mVar2.kCp, false);
                AppMethodBeat.o(41241);
                return true;
            } else if (mVar2.kCo == 1) {
                if (!(bo.isNullOrNil(mVar2.kCq) || bo.isNullOrNil(mVar2.kCr))) {
                    h.d(this.mController.ylL, mVar2.kCm, mVar2.kCp, mVar2.kCr, mVar2.kCq, new DialogInterface.OnClickListener() {
                        public final void onClick(DialogInterface dialogInterface, int i) {
                            AppMethodBeat.i(41237);
                            if (!bo.isNullOrNil(mVar2.kCs)) {
                                ab.i("MicroMsg.CollectCreateQRCodeUI", "goto h5: %s", new Object[]{mVar2.kCs});
                                e.n(CollectCreateQRCodeUI.this.mController.ylL, mVar2.kCs, true);
                            }
                            AppMethodBeat.o(41237);
                        }
                    }, new 6(this));
                }
                AppMethodBeat.o(41241);
                return true;
            }
        }
        AppMethodBeat.o(41241);
        return false;
    }

    static /* synthetic */ void c(CollectCreateQRCodeUI collectCreateQRCodeUI) {
        AppMethodBeat.i(41242);
        if (bo.isNullOrNil(collectCreateQRCodeUI.eeO)) {
            collectCreateQRCodeUI.kGb.setTextColor(collectCreateQRCodeUI.getResources().getColor(2131690208));
            collectCreateQRCodeUI.kGb.setText(2131298361);
            AppMethodBeat.o(41242);
            return;
        }
        j jVar = new j(collectCreateQRCodeUI.mController.ylL);
        SpannableString b = com.tencent.mm.pluginsdk.ui.e.j.b(collectCreateQRCodeUI, collectCreateQRCodeUI.getString(2131298362, new Object[]{collectCreateQRCodeUI.eeO, collectCreateQRCodeUI.getString(2131298363)}));
        SpannableString spannableString = new SpannableString(b);
        spannableString.setSpan(jVar, b.length() - r1.length(), b.length(), 33);
        collectCreateQRCodeUI.kGb.setTextColor(collectCreateQRCodeUI.getResources().getColor(2131690164));
        collectCreateQRCodeUI.kGb.setText(spannableString);
        AppMethodBeat.o(41242);
    }
}
