package com.tencent.mm.plugin.fav.ui;

import android.os.Bundle;
import android.os.HandlerThread;
import android.os.Looper;
import android.os.SystemClock;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewStub;
import android.view.ViewTreeObserver.OnGlobalLayoutListener;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.fav.a.ae;
import com.tencent.mm.plugin.fav.a.aj;
import com.tencent.mm.plugin.fav.a.b;
import com.tencent.mm.plugin.fav.ui.a.a;
import com.tencent.mm.plugin.fav.ui.widget.c;
import com.tencent.mm.pluginsdk.wallet.i;
import com.tencent.mm.sdk.e.k;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.v;
import com.tencent.wxmm.v2helper;

public abstract class FavBaseUI extends MMActivity implements OnItemClickListener {
    protected ak fbD = new ak(Looper.getMainLooper());
    private final Object lockObj = new Object();
    private HandlerThread mcx;
    protected ak mcy;
    private f mhA = new 8(this);
    private f mhB = new 9(this);
    private Runnable mhC = new Runnable() {
        public final void run() {
            AppMethodBeat.i(73935);
            a bvu = FavBaseUI.this.bvu();
            bvu.bvX();
            bvu.bvY();
            FavBaseUI.this.bvz();
            AppMethodBeat.o(73935);
        }
    };
    protected Runnable mhD = new Runnable() {
        public final void run() {
            AppMethodBeat.i(73936);
            a bvu = FavBaseUI.this.bvu();
            if (bvu.isEmpty() || SystemClock.elapsedRealtime() - FavBaseUI.this.mhr >= 400) {
                FavBaseUI.this.mho = false;
                FavBaseUI.this.mhr = SystemClock.elapsedRealtime();
                ab.v("MicroMsg.FavoriteBaseUI", "do refresh job");
                bvu.notifyDataSetChanged();
                FavBaseUI.this.a(bvu);
                if (FavBaseUI.this.mhp) {
                    ab.v("MicroMsg.FavoriteBaseUI", "do scroll to first");
                    FavBaseUI.this.mhs.setSelection(0);
                    FavBaseUI.this.mhp = false;
                }
                AppMethodBeat.o(73936);
                return;
            }
            ab.d("MicroMsg.FavoriteBaseUI", "try refresh, time limit, now %d last %d delay %d", new Object[]{Long.valueOf(SystemClock.elapsedRealtime()), Long.valueOf(FavBaseUI.this.mhr), Integer.valueOf(400)});
            FavBaseUI.this.fbD.postDelayed(this, 200);
            AppMethodBeat.o(73936);
        }
    };
    private Runnable mhE = new 2(this);
    private k.a mhF = new 3(this);
    private boolean mho = false;
    protected boolean mhp = false;
    private boolean mhq = false;
    private long mhr = 0;
    protected ListView mhs;
    protected TextView mht;
    protected View mhu;
    private View mhv;
    protected c mhw;
    protected View mhx;
    protected l mhy;
    protected c.a mhz = null;

    public abstract a bvu();

    public abstract void bvv();

    public abstract boolean bvw();

    public abstract void bvx();

    public abstract OnClickListener bvy();

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public final int getLayoutId() {
        return 2130969535;
    }

    public void onCreate(Bundle bundle) {
        long currentTimeMillis = System.currentTimeMillis();
        super.onCreate(bundle);
        ab.i("MicroMsg.FavoriteBaseUI", "onCreate MMCore.accHasReady[%b]", new Object[]{Boolean.valueOf(g.RK())});
        g.Rg().a(new com.tencent.mm.plugin.fav.a.ak(), 0);
        ((ae) g.M(ae.class)).getFavItemInfoStorage().c(this.mhF);
        g.Rg().a(400, this.mhA);
        g.Rg().a(v2helper.EMethodSetSpeakerphoneOff, this.mhB);
        this.mcx = d.anM(getClass().getName() + "_handlerThread_" + System.currentTimeMillis());
        this.mcx.start();
        this.mcy = new ak(this.mcx.getLooper());
        this.mhy = new l(this.mController.ylL, 64);
        initView();
        xE(this.mController.ylL.getResources().getColor(2131690310));
        if (bo.h((Integer) g.RP().Ry().get(8217, null)) == 0) {
            ab.i("MicroMsg.FavoriteBaseUI", "do init data for first time");
            this.mhq = true;
            g.Rg().a(new aj(), 0);
            if (this.mhq) {
                ab.i("MicroMsg.FavoriteBaseUI", "show loading dialog");
                if (bvu() == null || bvu().isEmpty()) {
                    hh(true);
                }
                hi(false);
            }
        } else {
            b.startSync();
            if (bvu().isEmpty()) {
                hh(true);
                hi(false);
                this.mhu.setVisibility(8);
            } else {
                hh(false);
                hi(false);
            }
        }
        ((ae) g.M(ae.class)).getFavCdnService().run();
        ((ae) g.M(ae.class)).getCheckCdnService().run();
        ((ae) g.M(ae.class)).getSendService().run();
        ((ae) g.M(ae.class)).getModService().run();
        g.RS().aa(new 1(this));
        ab.d("MicroMsg.FavoriteBaseUI", "on create use %d ms", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis)});
    }

    public void onResume() {
        super.onResume();
        i.Lt(5);
    }

    public void onPause() {
        super.onPause();
        bvu();
    }

    public void onDestroy() {
        super.onDestroy();
        if (((ae) g.M(ae.class)).getFavItemInfoStorage().buR() != null) {
            this.mhy.destory();
            this.mhy = null;
            this.mcx.quit();
            ((ae) g.M(ae.class)).getFavItemInfoStorage().d(this.mhF);
            g.Rg().b(400, this.mhA);
            g.Rg().b(v2helper.EMethodSetSpeakerphoneOff, this.mhB);
        }
    }

    public final void initView() {
        long currentTimeMillis = System.currentTimeMillis();
        this.mhs = (ListView) findViewById(2131823990);
        this.mhs.setDrawingCacheEnabled(false);
        4 4 = new 4(this);
        initHeaderView();
        this.mhu = v.hu(this).inflate(2130969518, null);
        this.mhs.setOnScrollListener(new 5(this));
        this.mhs.setOnItemClickListener(this);
        this.mhs.setOnTouchListener(new 6(this));
        this.mhs.setAdapter(bvu());
        a(bvu());
        ab.d("MicroMsg.FavoriteBaseUI", "init view use %d ms", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis)});
    }

    /* Access modifiers changed, original: protected|final */
    public final void hh(boolean z) {
        if (z) {
            if (this.mhv == null) {
                this.mhv = ((ViewStub) findViewById(2131823883)).inflate();
            }
            this.mhv.setVisibility(0);
        } else if (this.mhv != null) {
            this.mhv.setVisibility(8);
        }
    }

    private void hi(boolean z) {
        if (z) {
            if (this.mht == null) {
                this.mht = (TextView) ((ViewStub) findViewById(2131823991)).inflate().findViewById(2131823609);
            }
            this.mht.setVisibility(0);
        } else if (this.mht != null) {
            this.mht.setVisibility(8);
        }
    }

    /* Access modifiers changed, original: protected */
    public void initHeaderView() {
        this.mhw = new c(this.mController.ylL);
        this.mhw.setCleanFavSpace(this.mhz);
        this.mhw.hn(false);
        this.mhw.mpK.setVisibility(8);
        this.mhw.mpL.setVisibility(8);
        ab.d("MicroMsg.FavoriteBaseUI", "padding %s, %s", new Object[]{Integer.valueOf(this.mhw.getPaddingTop()), Integer.valueOf(this.mhw.getPaddingBottom())});
        this.mhs.addHeaderView(this.mhw);
        this.mhx = View.inflate(this.mController.ylL, 2130969532, null);
        TextView textView = (TextView) this.mhx.findViewById(2131823983);
        final TextView textView2 = (TextView) this.mhx.findViewById(2131823982);
        TextView textView3 = (TextView) this.mhx.findViewById(2131823987);
        TextView textView4 = (TextView) this.mhx.findViewById(2131823985);
        TextView textView5 = (TextView) this.mhx.findViewById(2131823989);
        TextView textView6 = (TextView) this.mhx.findViewById(2131823984);
        final TextView textView7 = (TextView) this.mhx.findViewById(2131823986);
        TextView textView8 = (TextView) this.mhx.findViewById(2131823988);
        OnClickListener bvy = bvy();
        textView.setOnClickListener(bvy);
        textView.setTag(Integer.valueOf(5));
        textView2.setOnClickListener(bvy);
        textView2.setTag(Integer.valueOf(21));
        textView3.setOnClickListener(bvy);
        textView3.setTag(Integer.valueOf(3));
        textView4.setOnClickListener(bvy);
        textView4.setTag(Integer.valueOf(7));
        textView5.setOnClickListener(bvy);
        textView5.setTag(Integer.valueOf(6));
        textView6.setOnClickListener(bvy);
        textView6.setTag(Integer.valueOf(8));
        textView7.setOnClickListener(bvy);
        textView7.setTag(Integer.valueOf(17));
        textView8.setOnClickListener(bvy);
        textView8.setTag(Integer.valueOf(18));
        this.mhx.getViewTreeObserver().addOnGlobalLayoutListener(new OnGlobalLayoutListener() {
            public final void onGlobalLayout() {
                AppMethodBeat.i(73932);
                FavBaseUI.this.mhx.getViewTreeObserver().removeOnGlobalLayoutListener(this);
                int width = FavBaseUI.this.mhx.findViewById(2131823981).getWidth() / 4;
                if (width > 0 && textView2.getWidth() < width) {
                    textView2.setWidth(width);
                    textView7.setWidth(width);
                }
                AppMethodBeat.o(73932);
            }
        });
        this.mhs.addHeaderView(this.mhx);
    }

    /* Access modifiers changed, original: protected */
    public void bvz() {
        ab.i("MicroMsg.FavoriteBaseUI", "on storage change, try refresh job");
        this.fbD.removeCallbacks(this.mhD);
        this.fbD.post(this.mhD);
    }

    /* Access modifiers changed, original: protected|final */
    public final void a(a aVar) {
        if (aVar == null) {
            ab.w("MicroMsg.FavoriteBaseUI", "handle empty view fail, adapter is null");
            return;
        }
        if (!aVar.isEmpty()) {
            hh(false);
            hi(false);
        } else if (bvw()) {
            hh(true);
            hi(false);
        } else {
            hh(false);
            hi(true);
            bvx();
        }
        if (aVar.isEmpty() || ((ae) g.M(ae.class)).getFavItemInfoStorage().t(aVar.bvV(), aVar.getType())) {
            this.mhs.removeFooterView(this.mhu);
        } else if (this.mhs.getFooterViewsCount() == 0) {
            this.mhs.addFooterView(this.mhu);
        }
    }

    static /* synthetic */ boolean b(FavBaseUI favBaseUI) {
        ab.v("MicroMsg.FavoriteBaseUI", "on pull down callback");
        if (!((ae) g.M(ae.class)).getFavItemInfoStorage().t(favBaseUI.bvu().bvV(), favBaseUI.bvu().getType())) {
            if (b.buo()) {
                ab.w("MicroMsg.FavoriteBaseUI", "doing batchget, do not load data");
            } else if (favBaseUI.mho) {
                ab.w("MicroMsg.FavoriteBaseUI", "onBottomLoadData loading, return");
            } else {
                favBaseUI.mho = true;
                ab.i("MicroMsg.FavoriteBaseUI", "on bottom load data listener");
                favBaseUI.mcy.removeCallbacks(favBaseUI.mhC);
                favBaseUI.mcy.post(favBaseUI.mhC);
            }
        }
        return true;
    }
}
