package com.tencent.mm.plugin.webview.ui.tools.fts;

import android.os.Bundle;
import android.os.RemoteException;
import android.view.View;
import android.widget.ImageButton;
import com.tencent.map.lib.mapstructure.MapRouteSectionWithName;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.fts.ui.widget.FTSEditTextView;
import com.tencent.mm.plugin.fts.ui.widget.FTSEditTextView.a;
import com.tencent.mm.plugin.fts.ui.widget.a.b;
import com.tencent.mm.plugin.websearch.api.h;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.fts.widget.SOSEditTextView;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class BaseSOSWebViewUI extends BaseSearchWebViewUI implements a {
    protected ImageButton oOO;
    protected View qkP;
    View uAr;
    protected SOSEditTextView uAs;
    private List<c> uAt;
    protected int uAu = 0;
    private e uAv;
    private com.tencent.mm.plugin.webview.fts.d.a uAw;
    boolean uAx;
    boolean uAy;
    private boolean uzU;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(8359);
        super.onCreate(bundle);
        getSupportActionBar().hide();
        this.uAw = new com.tencent.mm.plugin.webview.fts.d.a(this.pzf);
        this.uAv = new e(((h) g.K(h.class)).a(this.mController.ylL, this.uAw));
        AppMethodBeat.o(8359);
    }

    public void aMh() {
        AppMethodBeat.i(8360);
        super.aMh();
        this.uzU = getIntent().getBooleanExtra("ftsneedkeyboard", false);
        this.uAr = findViewById(2131827954);
        this.uAs = (SOSEditTextView) findViewById(2131827956);
        this.uAs.setFtsEditTextListener(this);
        this.uAs.setHint(getHint());
        this.qkP = findViewById(2131822819);
        this.qkP.setOnClickListener(new 1(this));
        this.oOO = (ImageButton) findViewById(2131826267);
        this.oOO.setOnClickListener(new 12(this));
        this.pzf.setWebViewClient(new b(this, (byte) 0));
        this.pzf.setOnTouchListener(new 13(this));
        if (this.uzU) {
            this.mController.contentView.postDelayed(new 14(this), 128);
        }
        if (dao() != null) {
            dao().nM(true);
        }
        this.pzf.setOnLongClickListener(new 15(this));
        this.uAw.uhz = this.uhz;
        AppMethodBeat.o(8360);
    }

    public void onResume() {
        AppMethodBeat.i(8361);
        super.onResume();
        this.uAv.onResume();
        AppMethodBeat.o(8361);
    }

    public void onPause() {
        AppMethodBeat.i(8362);
        super.onPause();
        this.uAv.onPause();
        AppMethodBeat.o(8362);
    }

    public final String getSessionId() {
        return this.cvF;
    }

    /* Access modifiers changed, original: protected|final */
    public final void cGC() {
        AppMethodBeat.i(8363);
        aqX();
        if (this.uAt != null && this.uAt.size() > 1) {
            this.uAt.remove(0);
            c cVar = (c) this.uAt.get(0);
            this.uAs.n(cVar.uAI, cVar.kPL);
            this.handler.post(new 16(this, cVar));
            AppMethodBeat.o(8363);
        } else if (this.uAx) {
            dbu();
            AppMethodBeat.o(8363);
        } else {
            finish();
            AppMethodBeat.o(8363);
        }
    }

    /* Access modifiers changed, original: protected */
    public void dbs() {
    }

    /* Access modifiers changed, original: protected */
    public void dbt() {
    }

    /* Access modifiers changed, original: protected */
    public void dbu() {
        AppMethodBeat.i(8364);
        this.uAs.n(BuildConfig.FLAVOR, null);
        aqX();
        this.handler.post(new 17(this));
        this.uAt = null;
        this.uAx = false;
        this.uAv.onDestroy();
        AppMethodBeat.o(8364);
    }

    public final boolean dax() {
        return true;
    }

    public final void bAR() {
        AppMethodBeat.i(8365);
        if (!this.uAs.mLL.hasFocus()) {
            this.uAs.bBo();
            showVKB();
        }
        AppMethodBeat.o(8365);
    }

    public final boolean dan() {
        return false;
    }

    /* Access modifiers changed, original: protected|final */
    public final int getType() {
        return this.type;
    }

    /* Access modifiers changed, original: protected|final */
    public final int bFf() {
        return this.scene;
    }

    public void a(String str, String str2, List<b> list, FTSEditTextView.b bVar) {
        AppMethodBeat.i(8366);
        ab.i("MicroMsg.FTS.BaseSOSWebViewUI", "onEditTextChange %s %s %s", new Object[]{str, str2, bVar});
        if (bVar == FTSEditTextView.b.mLX || bVar == FTSEditTextView.b.mLY) {
            this.handler.post(new 18(this));
            AppMethodBeat.o(8366);
            return;
        }
        if (bVar == FTSEditTextView.b.mLZ) {
            if (this.uAs.mLL.hasFocus()) {
                this.uAs.bBt();
                AppMethodBeat.o(8366);
                return;
            }
            this.uAs.bBs();
        }
        AppMethodBeat.o(8366);
    }

    public void hz(boolean z) {
        AppMethodBeat.i(8367);
        if (z && !bo.isNullOrNil(getTotalQuery())) {
            this.handler.post(new 19(this));
        }
        AppMethodBeat.o(8367);
    }

    public void onClickClearTextBtn(View view) {
        AppMethodBeat.i(8368);
        if (this.uAs != null) {
            if (!this.uAs.mLL.hasFocus()) {
                this.uAs.bBo();
                showVKB();
            }
            this.uAs.setHint(getHint());
        }
        AppMethodBeat.o(8368);
    }

    /* Access modifiers changed, original: protected */
    public String getHint() {
        return null;
    }

    public boolean aMo() {
        AppMethodBeat.i(8369);
        this.uAs.mLL.clearFocus();
        aqX();
        if (getTotalQuery().length() > 0) {
            this.handler.post(new 2(this));
            aqX();
            this.uAx = true;
            AppMethodBeat.o(8369);
        } else {
            AppMethodBeat.o(8369);
        }
        return true;
    }

    /* Access modifiers changed, original: protected */
    public void dbv() {
    }

    /* Access modifiers changed, original: protected */
    public String dbw() {
        return BuildConfig.FLAVOR;
    }

    /* Access modifiers changed, original: protected */
    public int dbx() {
        return 0;
    }

    public final SOSEditTextView dby() {
        return this.uAs;
    }

    public final boolean aYb() {
        return false;
    }

    public final void dai() {
        AppMethodBeat.i(8370);
        cGC();
        AppMethodBeat.o(8370);
    }

    public void onDestroy() {
        AppMethodBeat.i(8371);
        try {
            if (this.icy != null) {
                Bundle bundle = new Bundle();
                bundle.putInt("webview_id", hashCode());
                this.icy.j(1, bundle);
            }
            this.uAv.onDestroy();
        } catch (RemoteException e) {
        }
        aqX();
        super.onDestroy();
        AppMethodBeat.o(8371);
    }

    public void j(int i, Bundle bundle) {
        int i2 = 0;
        AppMethodBeat.i(8372);
        String string;
        switch (i) {
            case 60:
                if (dbD()) {
                    this.uAv.b(bundle, this.scene);
                    AppMethodBeat.o(8372);
                    return;
                }
                ab.w("MicroMsg.FTS.BaseSOSWebViewUI", "current state is not search");
                AppMethodBeat.o(8372);
                return;
            case 61:
                this.uAv.aj(bundle);
                AppMethodBeat.o(8372);
                return;
            case 62:
                this.uAv.ak(bundle);
                AppMethodBeat.o(8372);
                return;
            case 119:
                String string2 = bundle.getString("fts_key_json_data");
                String string3 = bundle.getString("fts_key_req_id");
                boolean z = bundle.getBoolean("fts_key_new_query", true);
                this.handler.post(new 4(this, bundle.getBundle("fts_key_data"), string2, z, string3));
                AppMethodBeat.o(8372);
                return;
            case 120:
                this.handler.post(new 6(this, bundle.getInt("fts_key_ret", 0), bundle.getString("fts_key_data")));
                AppMethodBeat.o(8372);
                return;
            case 121:
                string = bundle.getString("fts_key_json_data");
                this.handler.post(new 7(this, bundle.getInt("fts_key_teach_request_type", 0), string, bundle.getInt("fts_key_is_cache_data", 0)));
                AppMethodBeat.o(8372);
                return;
            case 122:
                string = bundle.getString("fts_key_new_query");
                String string4 = bundle.getString("fts_key_custom_query");
                boolean z2 = bundle.getBoolean("fts_key_need_keyboard", false);
                String string5 = bundle.getString("fts_key_tag_list");
                ab.i("MicroMsg.FTS.BaseSOSWebViewUI", "onFTSSearchQueryChange: totalQuery: %s isInputChange %b", new Object[]{string, Boolean.valueOf(z2)});
                ArrayList arrayList = new ArrayList();
                try {
                    if (!bo.isNullOrNil(string5)) {
                        JSONArray jSONArray = new JSONArray(string5);
                        while (i2 < jSONArray.length()) {
                            JSONObject jSONObject = jSONArray.getJSONObject(i2);
                            a aVar = new a(this);
                            aVar.rMJ = jSONObject.getString("tagName");
                            aVar.aTq = jSONObject.getInt("tagType");
                            aVar.userName = jSONObject.getString("userName");
                            arrayList.add(aVar);
                            i2++;
                        }
                    }
                } catch (Exception e) {
                }
                if (this.uAs != null) {
                    if (arrayList.size() > 0) {
                        this.uAs.n(string4, arrayList);
                    } else {
                        this.uAs.n(string, arrayList);
                    }
                }
                if (z2) {
                    this.handler.post(new 8(this));
                    if (this.uAs != null) {
                        this.uAs.bBo();
                    }
                    daE();
                } else if (this.uAs != null) {
                    this.uAs.mLL.clearFocus();
                }
                com.tencent.mm.plugin.webview.fts.b.a.a.cWt();
                com.tencent.mm.plugin.webview.fts.b.a.a.aeb(getTotalQuery());
                AppMethodBeat.o(8372);
                return;
            case 124:
                this.handler.post(new 9(this, bundle.getString("fts_key_json_data")));
                AppMethodBeat.o(8372);
                return;
            case 125:
                this.handler.post(new 10(this, bundle.getString("fts_key_sns_id"), bundle.getInt("fts_key_status", 0)));
                AppMethodBeat.o(8372);
                return;
            case MapRouteSectionWithName.kMaxRoadNameLength /*128*/:
                bundle.getString("fts_key_json_data");
                bundle.getBoolean("fts_key_new_query", true);
                HashMap hashMap = new HashMap();
                for (String str : bundle.keySet()) {
                    hashMap.put(str, bundle.get(str));
                }
                this.handler.post(new 3(this, hashMap));
                AppMethodBeat.o(8372);
                return;
            case 138:
                string = bundle.getString("fts_key_data");
                if (bo.isNullOrNil(string)) {
                    this.uAu = 0;
                    AppMethodBeat.o(8372);
                    return;
                } else if ("index".equals(string)) {
                    this.uAu = 1;
                    AppMethodBeat.o(8372);
                    return;
                } else if ("result".equals(string)) {
                    this.uAu = 2;
                    AppMethodBeat.o(8372);
                    return;
                } else if ("suggestion".equals(string)) {
                    this.uAu = 3;
                    AppMethodBeat.o(8372);
                    return;
                } else if ("teach".equals(string)) {
                    this.uAu = 4;
                    AppMethodBeat.o(8372);
                    return;
                } else if ("local".equals(string)) {
                    this.uAu = 5;
                    AppMethodBeat.o(8372);
                    return;
                } else {
                    this.uAu = 0;
                    AppMethodBeat.o(8372);
                    return;
                }
            case 143:
                this.handler.post(new 5(this, bundle.getString("data")));
                AppMethodBeat.o(8372);
                return;
            case 144:
                AppMethodBeat.o(8372);
                return;
            case 147:
                this.handler.post(new 11(this, bundle.getInt("ret"), bundle.getLong("reqId"), bundle.getString("json", BuildConfig.FLAVOR)));
                AppMethodBeat.o(8372);
                return;
            case 100001:
                this.uAv.ai(bundle);
                AppMethodBeat.o(8372);
                return;
            default:
                super.j(i, bundle);
                AppMethodBeat.o(8372);
                return;
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final e dbz() {
        return this.uAv;
    }

    /* Access modifiers changed, original: protected|final */
    public final String getTotalQuery() {
        AppMethodBeat.i(8373);
        String totalQuery;
        if (this.uAs != null) {
            totalQuery = this.uAs.getTotalQuery();
            AppMethodBeat.o(8373);
            return totalQuery;
        }
        totalQuery = BuildConfig.FLAVOR;
        AppMethodBeat.o(8373);
        return totalQuery;
    }

    /* Access modifiers changed, original: protected|final */
    public final int dbA() {
        return this.uAO;
    }

    /* Access modifiers changed, original: protected|final */
    public final String getInEditTextQuery() {
        AppMethodBeat.i(8374);
        String inEditTextQuery = this.uAs.getInEditTextQuery();
        AppMethodBeat.o(8374);
        return inEditTextQuery;
    }

    public final JSONArray dbB() {
        AppMethodBeat.i(8375);
        List<b> tagList = this.uAs.getTagList();
        JSONArray jSONArray = new JSONArray();
        for (b bVar : tagList) {
            a aVar = (a) bVar;
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("tagName", aVar.rMJ);
                jSONObject.put("tagType", aVar.aTq);
                jSONObject.put("userName", aVar.userName);
                jSONArray.put(jSONObject);
            } catch (JSONException e) {
            }
        }
        AppMethodBeat.o(8375);
        return jSONArray;
    }

    public void onBackPressed() {
        AppMethodBeat.i(8376);
        cGC();
        AppMethodBeat.o(8376);
    }

    /* Access modifiers changed, original: protected|final */
    public final void b(int i, String str, Map<String, Object> map) {
        c cVar;
        AppMethodBeat.i(8377);
        ab.v("MicroMsg.FTS.BaseSOSWebViewUI", "adding history cgi params type %d, inEditQuery %s, params %s", new Object[]{Integer.valueOf(i), str, map});
        int i2 = this.uAO;
        this.uAO = i;
        if (i2 != i) {
            dbt();
        }
        if (this.uAt == null) {
            this.uAt = new ArrayList();
        }
        if (getTotalQuery().length() > 0) {
            cVar = new c(this);
            cVar.type = this.uAO;
            cVar.kPL = new ArrayList(this.uAs.getTagList());
            cVar.uAI = this.uAs.getInEditTextQuery();
            cVar.uAH = this.uAs.getTotalQuery();
            if (this.uAt.size() == 0) {
                this.uAt.add(cVar);
            } else if (!cVar.equals((c) this.uAt.get(0))) {
                this.uAt.add(0, cVar);
            }
        }
        if (!(this.uAt == null || this.uAt.isEmpty())) {
            c cVar2 = (c) this.uAt.get(0);
            cVar = new c(this);
            cVar.type = i;
            cVar.uAH = str;
            cVar.uAJ = map;
            if (cVar2 != null) {
                int i3;
                if (cVar2 == cVar) {
                    i3 = 1;
                } else {
                    cVar = cVar;
                    i3 = (cVar.type == cVar2.type && cVar.uAH.trim().equals(cVar2.uAH.trim())) ? 1 : 0;
                }
                if (i3 != 0) {
                    cVar2.uAJ = map;
                }
            }
        }
        AppMethodBeat.o(8377);
    }

    public boolean dbC() {
        return false;
    }

    /* Access modifiers changed, original: protected */
    public boolean dbD() {
        return true;
    }

    public final String JA(int i) {
        AppMethodBeat.i(8378);
        try {
            Bundle bundle = new Bundle();
            bundle.putString("key", "educationTab");
            Bundle p = this.icy.p(2, bundle);
            String string = p.getString("result");
            String string2 = p.getString("result_1");
            if (string2 != null) {
                string = string2;
            }
            JSONArray optJSONArray = new JSONObject(string).optJSONArray("items");
            if (optJSONArray == null) {
                string = BuildConfig.FLAVOR;
                AppMethodBeat.o(8378);
                return string;
            }
            for (int i2 = 0; i2 < optJSONArray.length(); i2++) {
                JSONObject optJSONObject = optJSONArray.optJSONObject(i2);
                if (optJSONObject.optInt("businessType") == i) {
                    string = optJSONObject.optString("hotword");
                    AppMethodBeat.o(8378);
                    return string;
                }
            }
            string = BuildConfig.FLAVOR;
            AppMethodBeat.o(8378);
            return string;
        } catch (Exception e) {
        }
    }
}
