package com.tencent.mm.plugin.webview.ui.tools;

import android.content.Intent;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.ClickableSpan;
import android.util.SparseBooleanArray;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ci.g;
import com.tencent.mm.compatible.util.q;
import com.tencent.mm.m.d.b;
import com.tencent.mm.plugin.fav.ui.c;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.plugin.webview.b$2;
import com.tencent.mm.plugin.webview.b.1;
import com.tencent.mm.plugin.webview.ui.tools.WebViewUI.o;
import com.tencent.mm.plugin.webview.ui.tools.game.GameWebViewUI;
import com.tencent.mm.plugin.webview.ui.tools.jsapi.i.a;
import com.tencent.mm.pluginsdk.ui.e.m;
import com.tencent.mm.protocal.JsapiPermissionWrapper;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ae;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.n$a;
import com.tencent.mm.ui.widget.MMNeat7extView;
import com.tencent.mm.ui.widget.MMWebView;
import com.tencent.mm.ui.widget.a.d;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

public final class j extends a {
    int height;
    d iHZ;
    protected Map<String, SparseBooleanArray> utA = new HashMap();
    protected Map<String, Integer> utB = new HashMap();
    ae<String, Bitmap> utC = new ae(12);
    HashMap<String, String> utD = new HashMap();
    String utE = BuildConfig.FLAVOR;
    public String utF;
    HashMap<String, Integer> utG = new HashMap();
    public boolean utH = true;
    public boolean utI = false;
    public boolean utJ = false;
    Set<Integer> utK = new HashSet();
    ArrayList<b> utL;
    Boolean utM;
    int width;

    public j(WebViewUI webViewUI) {
        super(webViewUI);
        AppMethodBeat.i(7658);
        this.width = webViewUI.getResources().getDisplayMetrics().widthPixels;
        this.height = webViewUI.getResources().getDisplayMetrics().heightPixels;
        AppMethodBeat.o(7658);
    }

    public final void onDestroy() {
        AppMethodBeat.i(7659);
        for (SparseBooleanArray sparseBooleanArray : this.utA.values()) {
            if (sparseBooleanArray != null) {
                sparseBooleanArray.clear();
            }
        }
        this.utA.clear();
        this.utG.clear();
        AppMethodBeat.o(7659);
    }

    public final void cZI() {
        AppMethodBeat.i(7660);
        this.utB.clear();
        this.utB.put("menuItem:share:brand", Integer.valueOf(0));
        this.utB.put("menuItem:share:appMessage", Integer.valueOf(1));
        this.utB.put("menuItem:share:dataMessage", Integer.valueOf(23));
        this.utB.put("menuItem:share:timeline", Integer.valueOf(2));
        this.utB.put("menuItem:favorite", Integer.valueOf(3));
        this.utB.put("menuItem:profile", Integer.valueOf(5));
        this.utB.put("menuItem:addContact", Integer.valueOf(5));
        this.utB.put("menuItem:copyUrl", Integer.valueOf(6));
        this.utB.put("menuItem:openWithSafari", Integer.valueOf(7));
        this.utB.put("menuItem:share:email", Integer.valueOf(8));
        this.utB.put("menuItem:delete", Integer.valueOf(9));
        this.utB.put("menuItem:exposeArticle", Integer.valueOf(10));
        this.utB.put("menuItem:setFont", Integer.valueOf(11));
        this.utB.put("menuItem:editTag", Integer.valueOf(12));
        this.utB.put("menuItem:readMode", Integer.valueOf(14));
        this.utB.put("menuItem:originPage", Integer.valueOf(14));
        this.utB.put("menuItem:share:qq", Integer.valueOf(20));
        this.utB.put("menuItem:share:weiboApp", Integer.valueOf(21));
        this.utB.put("menuItem:share:QZone", Integer.valueOf(22));
        this.utB.put("menuItem:share:Facebook", Integer.valueOf(33));
        this.utB.put("menuItem:share:enterprise", Integer.valueOf(24));
        this.utB.put("menuItem:refresh", Integer.valueOf(28));
        this.utB.put("menuItem:share:wework", Integer.valueOf(25));
        this.utB.put("menuItem:share:weread", Integer.valueOf(26));
        this.utB.put("menuItem:addShortcut", Integer.valueOf(29));
        this.utB.put("menuItem:search", Integer.valueOf(31));
        this.utB.put("menuItem:readArticle", Integer.valueOf(34));
        this.utB.put("menuItem:minimize", Integer.valueOf(35));
        this.utB.put("menuItem:cancelMinimize", Integer.valueOf(36));
        this.utB.put("menuItem:translate", Integer.valueOf(37));
        this.utB.put("menuItem:haoKan", Integer.valueOf(38));
        this.utB.put("menuItem:cancelHaoKan", Integer.valueOf(39));
        AppMethodBeat.o(7660);
    }

    public final void afE(String str) {
        AppMethodBeat.i(7661);
        SparseBooleanArray sparseBooleanArray = (SparseBooleanArray) this.utA.get(str);
        if (sparseBooleanArray == null) {
            sparseBooleanArray = new SparseBooleanArray();
            this.utA.put(str, sparseBooleanArray);
        }
        if (sparseBooleanArray != null) {
            sparseBooleanArray.put(34, true);
        }
        AppMethodBeat.o(7661);
    }

    /* Access modifiers changed, original: protected|final */
    public final boolean Jn(int i) {
        AppMethodBeat.i(7662);
        SparseBooleanArray sparseBooleanArray = (SparseBooleanArray) this.utA.get(cZv().pzf.getUrl());
        if (sparseBooleanArray == null || !sparseBooleanArray.get(i, false)) {
            AppMethodBeat.o(7662);
            return true;
        }
        AppMethodBeat.o(7662);
        return false;
    }

    protected static boolean a(JsapiPermissionWrapper jsapiPermissionWrapper, int i) {
        AppMethodBeat.i(7663);
        if (jsapiPermissionWrapper == null) {
            AppMethodBeat.o(7663);
            return false;
        }
        int Lx = jsapiPermissionWrapper.Lx(i);
        if (Lx == 1 || Lx == 10) {
            AppMethodBeat.o(7663);
            return true;
        }
        AppMethodBeat.o(7663);
        return false;
    }

    protected static boolean b(JsapiPermissionWrapper jsapiPermissionWrapper, int i) {
        AppMethodBeat.i(7664);
        if (jsapiPermissionWrapper == null) {
            AppMethodBeat.o(7664);
            return false;
        } else if (jsapiPermissionWrapper.Lx(i) == 10) {
            AppMethodBeat.o(7664);
            return true;
        } else {
            AppMethodBeat.o(7664);
            return false;
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final void cZJ() {
        AppMethodBeat.i(7665);
        if (this.utI) {
            this.utH = false;
            cZv().uxb = false;
            this.utI = false;
            if (this.utJ) {
                cZM();
            }
            AppMethodBeat.o(7665);
            return;
        }
        AppMethodBeat.o(7665);
    }

    public final void Kt() {
        AppMethodBeat.i(138038);
        if (this.utJ) {
            cZM();
        }
        AppMethodBeat.o(138038);
    }

    public final void cZK() {
        AppMethodBeat.i(7666);
        if (this.utJ) {
            cZM();
        }
        AppMethodBeat.o(7666);
    }

    public final void cZL() {
        AppMethodBeat.i(7667);
        this.utH = true;
        this.utK.clear();
        if (cZv() instanceof GameWebViewUI) {
            this.utK.add(Integer.valueOf(11));
            this.utK.add(Integer.valueOf(28));
            AppMethodBeat.o(7667);
            return;
        }
        this.utK.add(Integer.valueOf(7));
        this.utK.add(Integer.valueOf(11));
        this.utK.add(Integer.valueOf(28));
        AppMethodBeat.o(7667);
    }

    /* Access modifiers changed, original: protected|final */
    public final void cZM() {
        AppMethodBeat.i(7668);
        this.utL = cZN();
        boolean z = this.utL != null && this.utL.size() > 0;
        this.utM = Boolean.valueOf(z);
        if (!this.utJ) {
            if (this.utM.booleanValue()) {
                this.iHZ = new d(cZv(), 1, false);
            } else {
                this.iHZ = new d(cZv(), 0, true);
            }
        }
        this.iHZ.zFT = new n$a() {
            public final void a(ImageView imageView, MenuItem menuItem) {
                AppMethodBeat.i(7642);
                if (j.g(menuItem)) {
                    imageView.setVisibility(8);
                    AppMethodBeat.o(7642);
                    return;
                }
                String str = menuItem.getTitle();
                if (j.this.utC.get(str) == null || ((Bitmap) j.this.utC.get(str)).isRecycled()) {
                    ab.w("MicroMsg.WebViewMenuHelper", "on attach icon, load from cache fail");
                    try {
                        String aff = j.this.cZv().icy.aff(str);
                        if (!bo.isNullOrNil(aff)) {
                            Bitmap afx = g.afx(aff);
                            if (!(afx == null || afx.isRecycled())) {
                                imageView.setImageBitmap(afx);
                                j.this.utC.put(str, afx);
                            }
                        }
                        AppMethodBeat.o(7642);
                        return;
                    } catch (Exception e) {
                        ab.w("MicroMsg.WebViewMenuHelper", "getheadimg, ex = " + e.getMessage());
                        AppMethodBeat.o(7642);
                        return;
                    }
                }
                imageView.setImageBitmap((Bitmap) j.this.utC.get(str));
                AppMethodBeat.o(7642);
            }
        };
        this.iHZ.zFU = new 9(this);
        this.iHZ.rBm = new 10(this);
        this.iHZ.zQf = new 11(this);
        this.iHZ.rBl = new 12(this);
        String url = cZv().pzf != null ? cZv().pzf.getUrl() : null;
        if (bo.isNullOrNil(url)) {
            this.iHZ.q(" ", 1);
        } else {
            String string = cZv().getString(2131305572, new Object[]{Uri.parse(url).getHost()});
            if (!bo.isNullOrNil(this.utF)) {
                View inflate = LayoutInflater.from(cZv()).inflate(2130970229, null);
                TextView textView = (TextView) inflate.findViewById(2131822938);
                MMNeat7extView mMNeat7extView = (MMNeat7extView) inflate.findViewById(2131824646);
                this.iHZ.F(inflate, false);
                textView.setText(string);
                SpannableString g = com.tencent.mm.pluginsdk.ui.e.j.g(mMNeat7extView.getContext(), bo.nullAsNil(this.utF), (int) mMNeat7extView.getTextSize());
                mMNeat7extView.ah(g);
                ClickableSpan[] clickableSpanArr = (ClickableSpan[]) g.getSpans(0, g.length(), ClickableSpan.class);
                if (clickableSpanArr != null && clickableSpanArr.length > 0) {
                    ab.i("MicroMsg.WebViewMenuHelper", "terry h5 apply show");
                    h.pYm.e(16337, new Object[]{url, Integer.valueOf(1), Integer.valueOf(0)});
                    mMNeat7extView.setOnTouchListener(new 13(this, mMNeat7extView, new m(mMNeat7extView.getContext()), url));
                }
            } else if (!bo.isNullOrNil(r0)) {
                this.iHZ.q(string, 1);
            }
        }
        if (cZv().uvf) {
            this.iHZ.uEO = true;
            this.iHZ.uEP = true;
        } else {
            this.iHZ.uEO = false;
            this.iHZ.uEP = false;
        }
        if (cZv().uvj == null || !cZv().uvj.isShown()) {
            cZv().aqX();
            al.n(new 15(this), 100);
            AppMethodBeat.o(7668);
            return;
        }
        cZv().uvj.hide();
        al.n(new 14(this), 100);
        AppMethodBeat.o(7668);
    }

    private ArrayList<b> cZN() {
        AppMethodBeat.i(7669);
        String url = cZv().pzf.getUrl();
        if (cZv().uwc.containsKey(url)) {
            ArrayList arrayList = (ArrayList) cZv().uwc.get(url);
            AppMethodBeat.o(7669);
            return arrayList;
        }
        AppMethodBeat.o(7669);
        return null;
    }

    /* Access modifiers changed, original: final */
    public final void afF(String str) {
        AppMethodBeat.i(7670);
        cZv().uhz.bJ("sendAppMessage", false);
        com.tencent.mm.plugin.webview.ui.tools.jsapi.d dVar = cZv().uhz;
        if (dVar.ready) {
            HashMap hashMap = new HashMap();
            hashMap.put("scene", "enterprise");
            dVar.uFo.evaluateJavascript("javascript:WeixinJSBridge._handleMessageFromWeixin(" + a.b("menu:share:appmessage", hashMap, dVar.uFv, dVar.uFw) + ")", null);
            try {
                dVar.icy.L("connector_local_send", str, dVar.uqj);
                dVar.icy.L("scene", "enterprise", dVar.uqj);
                AppMethodBeat.o(7670);
                return;
            } catch (Exception e) {
                ab.w("MicroMsg.JsApiHandler", "jsapiBundlePutString, ex = " + e.getMessage());
                AppMethodBeat.o(7670);
                return;
            }
        }
        ab.e("MicroMsg.JsApiHandler", "onSendToEnterprise fail, not ready");
        AppMethodBeat.o(7670);
    }

    private void Jo(int i) {
        AppMethodBeat.i(7672);
        String afN = cZv().afN(cZv().uxh);
        if (TextUtils.isEmpty(cZv().uxh) || TextUtils.isEmpty(afN)) {
            ab.i("MicroMsg.WebViewMenuHelper", "stev appId is null or empty");
            AppMethodBeat.o(7672);
            return;
        }
        ab.i("MicroMsg.WebViewMenuHelper", "stev appId %s", new Object[]{afN});
        long anT = bo.anT();
        ab.d("MicroMsg.WebViewMenuHelper", "stev report(%s), clickTimestamp : %d, appID : %s, url : %s, sessionId : %s, actionType : %d, flag : %d", new Object[]{Integer.valueOf(13377), Long.valueOf(anT), afN, cZv().uxh, cZv().cvF, Integer.valueOf(3), Integer.valueOf(i)});
        String str = BuildConfig.FLAVOR;
        try {
            str = q.encode(cZv().uxh, "UTF-8");
        } catch (UnsupportedEncodingException e) {
            ab.printErrStackTrace("MicroMsg.WebViewMenuHelper", e, BuildConfig.FLAVOR, new Object[0]);
        }
        int afH = cZv().afH(cZv().getIntent().getStringExtra("geta8key_username"));
        String str2 = BuildConfig.FLAVOR;
        if (afH == 7 || afH == 56) {
            str2 = cZv().getIntent().getStringExtra("geta8key_username");
        }
        h.pYm.e(13377, new Object[]{Long.valueOf(anT), afN, str, cZv().cvF, Integer.valueOf(3), Integer.valueOf(i), Integer.valueOf(0), str2});
        AppMethodBeat.o(7672);
    }

    /* Access modifiers changed, original: protected|final */
    public final void cZO() {
        AppMethodBeat.i(7673);
        Bundle bundle = new Bundle();
        bundle.putLong("msg_id", cZv().getIntent().getLongExtra("msg_id", Long.MIN_VALUE));
        bundle.putString("sns_local_id", cZv().getIntent().getStringExtra("sns_local_id"));
        bundle.putInt("news_svr_id", cZv().getIntent().getIntExtra("news_svr_id", 0));
        bundle.putString("news_svr_tweetid", cZv().getIntent().getStringExtra("news_svr_tweetid"));
        bundle.putInt("message_index", cZv().getIntent().getIntExtra("message_index", 0));
        bundle.putString("rawUrl", cZv().cOG);
        if (!bo.isNullOrNil(cZv().cOG) && cZv().cOG.endsWith("#rd")) {
            String substring = cZv().cOG.substring(0, cZv().cOG.length() - 3);
            if (!(bo.isNullOrNil(cZv().uxh) || cZv().uxh.startsWith(substring))) {
                bundle.putString("rawUrl", cZv().uxh);
                bundle.putLong("msg_id", Long.MIN_VALUE);
            }
        } else if (!(bo.isNullOrNil(cZv().uxh) || cZv().uxh.startsWith(cZv().cOG))) {
            bundle.putString("rawUrl", cZv().uxh);
            bundle.putLong("msg_id", Long.MIN_VALUE);
        }
        Intent intent = cZv().getIntent();
        if (intent != null) {
            bundle.putString("preChatName", intent.getStringExtra("preChatName"));
            bundle.putInt("preMsgIndex", intent.getIntExtra("preMsgIndex", 0));
            bundle.putString("prePublishId", intent.getStringExtra("prePublishId"));
            bundle.putString("preUsername", intent.getStringExtra("preUsername"));
        }
        try {
            com.tencent.mm.plugin.webview.stub.b Z = cZv().icy.Z(bundle);
            if (Z.cYV()) {
                cZv().uhz.bJ("sendAppMessage", false);
                com.tencent.mm.plugin.webview.ui.tools.jsapi.d dVar = cZv().uhz;
                HashMap cZP = cZP();
                if (dVar.ready) {
                    Bundle JL = dVar.JL(1);
                    if (JL == null || !JL.getBoolean("WebViewShare_reslut", false)) {
                        cZP = new HashMap();
                        cZP.put("scene", "favorite");
                        dVar.uFo.evaluateJavascript("javascript:WeixinJSBridge._handleMessageFromWeixin(" + a.b("menu:share:appmessage", cZP, dVar.uFv, dVar.uFw) + ")", null);
                        try {
                            dVar.icy.L("scene", "favorite", dVar.uqj);
                        } catch (Exception e) {
                            ab.w("MicroMsg.JsApiHandler", "jsapiBundlePutString, ex = " + e.getMessage());
                        }
                    } else {
                        try {
                            dVar.icy.L("scene", "favorite", dVar.uqj);
                        } catch (Exception e2) {
                            ab.w("MicroMsg.JsApiHandler", "jsapiBundlePutString, ex = " + e2.getMessage());
                        }
                        dVar.h(JL, "sendAppMessage");
                    }
                } else {
                    try {
                        dVar.icy.L("scene", "favorite", dVar.uqj);
                        dVar.h(dVar.aL(cZP), "sendAppMessage");
                    } catch (Exception e22) {
                        ab.w("MicroMsg.JsApiHandler", "jsapiBundlePutString, ex = " + e22.getMessage());
                    }
                }
                ab.i("MicroMsg.WebViewMenuHelper", "on favorite simple url");
                AppMethodBeat.o(7673);
                return;
            }
            c.a(Z.getRet(), cZv(), cZv().mUw);
            if (Z.getRet() == 0) {
                Jo(1);
                AppMethodBeat.o(7673);
                return;
            }
            Jo(2);
            AppMethodBeat.o(7673);
        } catch (Exception e222) {
            ab.e("MicroMsg.WebViewMenuHelper", "edw, favoriteUrl fail, ex = " + e222.getMessage());
            AppMethodBeat.o(7673);
        }
    }

    public final HashMap<String, String> cZP() {
        AppMethodBeat.i(7674);
        if (cZv().uxb) {
            Intent intent = cZv().getIntent();
            String stringExtra = intent.getStringExtra("share_report_pre_msg_url");
            String stringExtra2 = intent.getStringExtra("share_report_pre_msg_title");
            String stringExtra3 = intent.getStringExtra("share_report_pre_msg_icon_url");
            HashMap<String, String> hashMap = new HashMap();
            hashMap.put("share_report_pre_msg_url", stringExtra);
            hashMap.put("share_report_pre_msg_title", stringExtra2);
            hashMap.put("share_report_pre_msg_desc", intent.getStringExtra("share_report_pre_msg_desc"));
            hashMap.put("share_report_pre_msg_icon_url", stringExtra3);
            AppMethodBeat.o(7674);
            return hashMap;
        }
        AppMethodBeat.o(7674);
        return null;
    }

    /* Access modifiers changed, original: final */
    public final void ec(List<String> list) {
        AppMethodBeat.i(7675);
        if (list == null || list.isEmpty()) {
            AppMethodBeat.o(7675);
            return;
        }
        for (String str : list) {
            if (this.utC.get(str) != null) {
                ab.i("MicroMsg.WebViewMenuHelper", "find %s icon from cache ok", new Object[]{str});
            } else {
                ab.w("MicroMsg.WebViewMenuHelper", "not found %s icon from cache, try to load", new Object[]{str});
                try {
                    String aff = cZv().icy.aff(str);
                    if (!bo.isNullOrNil(aff)) {
                        Bitmap afx = g.afx(aff);
                        if (afx != null) {
                            ab.i("MicroMsg.WebViewMenuHelper", "load ok, and cache it");
                            this.utC.put(str, afx);
                        }
                    }
                } catch (Exception e) {
                    ab.w("MicroMsg.WebViewMenuHelper", "getheadimg, ex = " + e.getMessage());
                }
            }
            if (this.utD.containsKey(str)) {
                ab.i("MicroMsg.WebViewMenuHelper", "find %s nick from cache ok", new Object[]{str});
            } else {
                ab.w("MicroMsg.WebViewMenuHelper", "not found %s nick from cache, try to load", new Object[]{str});
                Object obj = null;
                try {
                    obj = cZv().icy.mJ(str);
                    ab.i("MicroMsg.WebViewMenuHelper", "load nick ok");
                } catch (Exception e2) {
                    ab.w("MicroMsg.WebViewMenuHelper", "onAttach, ex = " + e2.getMessage());
                }
                this.utD.put(str, obj);
            }
        }
        AppMethodBeat.o(7675);
    }

    /* Access modifiers changed, original: final */
    public final boolean cZQ() {
        boolean z = false;
        AppMethodBeat.i(7676);
        try {
            z = cZv().icy.afj("favorite");
            AppMethodBeat.o(7676);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.WebViewMenuHelper", e, BuildConfig.FLAVOR, new Object[z]);
            AppMethodBeat.o(7676);
        }
        return z;
    }

    /* Access modifiers changed, original: protected|final */
    public final void cZR() {
        AppMethodBeat.i(7677);
        String afN = cZv().afN(cZv().uxf);
        String stringExtra = cZv().getIntent().getStringExtra("shortcut_user_name");
        if (bo.isNullOrNil(afN) || bo.isNullOrNil(stringExtra)) {
            ab.e("MicroMsg.WebViewMenuHelper", "addShortcut, appid or username is null");
            AppMethodBeat.o(7677);
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putString("KAppId", afN);
        bundle.putString("shortcut_user_name", stringExtra);
        bundle.putInt("webviewui_binder_id", hashCode());
        try {
            cZv().icy.g(80, bundle);
            AppMethodBeat.o(7677);
        } catch (Exception e) {
            ab.e("MicroMsg.WebViewMenuHelper", "addShortcut, e = " + e.getMessage());
            AppMethodBeat.o(7677);
        }
    }

    /* Access modifiers changed, original: protected|final */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x012d  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x014b A:{SYNTHETIC, Splitter:B:23:0x014b} */
    public final void afG(java.lang.String r12) {
        /*
        r11 = this;
        r0 = 7671; // 0x1df7 float:1.075E-41 double:3.79E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = r11.cZv();
        r0 = r0.getIntent();
        r1 = "geta8key_username";
        r3 = r0.getStringExtra(r1);
        r0 = r11.cZv();
        r4 = r0.dae();
        r0 = 0;
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r4);
        if (r1 != 0) goto L_0x002b;
    L_0x0023:
        r0 = android.net.Uri.parse(r4);
        r0 = r0.getHost();
    L_0x002b:
        r1 = 0;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r2 != 0) goto L_0x01d4;
    L_0x0032:
        r2 = "mp.weixin.qq.com";
        r0 = r0.startsWith(r2);
        if (r0 == 0) goto L_0x01d4;
    L_0x003b:
        r0 = "https://mp.weixin.qq.com/mp/infringement?url=%s#wechat_redirect";
        r2 = 1;
        r2 = new java.lang.Object[r2];	 Catch:{ UnsupportedEncodingException -> 0x01c9 }
        r5 = 0;
        r6 = "utf-8";
        r6 = com.tencent.mm.compatible.util.q.encode(r4, r6);	 Catch:{ UnsupportedEncodingException -> 0x01c9 }
        r2[r5] = r6;	 Catch:{ UnsupportedEncodingException -> 0x01c9 }
        r0 = java.lang.String.format(r0, r2);	 Catch:{ UnsupportedEncodingException -> 0x01c9 }
    L_0x004f:
        r1 = r11.cZv();
        r2 = r11.cZv();
        r2 = r2.pzf;
        r2 = r2.getUrl();
        r5 = r1.afN(r2);
        r1 = r11.cZv();
        r1 = r1.icz;
        r1 = r1.cZT();
        r1 = r1.dmm();
        r2 = "MicroMsg.WebViewMenuHelper";
        r6 = "doExpose enableReportPageEvent %s";
        r7 = 1;
        r7 = new java.lang.Object[r7];
        r8 = 0;
        r9 = java.lang.Boolean.valueOf(r1);
        r7[r8] = r9;
        com.tencent.mm.sdk.platformtools.ab.d(r2, r6, r7);
        r2 = android.text.TextUtils.isEmpty(r5);
        if (r2 != 0) goto L_0x0127;
    L_0x0088:
        if (r1 == 0) goto L_0x0127;
    L_0x008a:
        r1 = r11.cZv();
        r1 = r1.pzf;
        r1 = r1.getUrl();
        r1 = android.text.TextUtils.isEmpty(r1);
        if (r1 != 0) goto L_0x0127;
    L_0x009a:
        r6 = com.tencent.mm.sdk.platformtools.bo.anT();
        r1 = "MicroMsg.WebViewMenuHelper";
        r2 = "report(%s), clickTimestamp : %d, appID : %s, url : %s, sessionId : %s, actionType : %d, flag : %d";
        r8 = 7;
        r8 = new java.lang.Object[r8];
        r9 = 0;
        r10 = 13377; // 0x3441 float:1.8745E-41 double:6.609E-320;
        r10 = java.lang.Integer.valueOf(r10);
        r8[r9] = r10;
        r9 = 1;
        r10 = java.lang.Long.valueOf(r6);
        r8[r9] = r10;
        r9 = 2;
        r8[r9] = r5;
        r9 = 3;
        r10 = r11.cZv();
        r10 = r10.pzf;
        r10 = r10.getUrl();
        r8[r9] = r10;
        r9 = 4;
        r10 = r11.cZv();
        r10 = r10.cvF;
        r8[r9] = r10;
        r9 = 5;
        r10 = 4;
        r10 = java.lang.Integer.valueOf(r10);
        r8[r9] = r10;
        r9 = 6;
        r10 = 1;
        r10 = java.lang.Integer.valueOf(r10);
        r8[r9] = r10;
        com.tencent.mm.sdk.platformtools.ab.d(r1, r2, r8);
        r1 = "";
        r2 = r11.cZv();	 Catch:{ UnsupportedEncodingException -> 0x01d7 }
        r2 = r2.pzf;	 Catch:{ UnsupportedEncodingException -> 0x01d7 }
        r2 = r2.getUrl();	 Catch:{ UnsupportedEncodingException -> 0x01d7 }
        r8 = "UTF-8";
        r1 = com.tencent.mm.compatible.util.q.encode(r2, r8);	 Catch:{ UnsupportedEncodingException -> 0x01d7 }
    L_0x00f7:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r8 = 13377; // 0x3441 float:1.8745E-41 double:6.609E-320;
        r9 = 6;
        r9 = new java.lang.Object[r9];
        r10 = 0;
        r6 = java.lang.Long.valueOf(r6);
        r9[r10] = r6;
        r6 = 1;
        r9[r6] = r5;
        r5 = 2;
        r9[r5] = r1;
        r1 = 3;
        r5 = r11.cZv();
        r5 = r5.cvF;
        r9[r1] = r5;
        r1 = 4;
        r5 = 4;
        r5 = java.lang.Integer.valueOf(r5);
        r9[r1] = r5;
        r1 = 5;
        r5 = 1;
        r5 = java.lang.Integer.valueOf(r5);
        r9[r1] = r5;
        r2.e(r8, r9);
    L_0x0127:
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r1 == 0) goto L_0x0140;
    L_0x012d:
        r0 = "https://weixin110.qq.com/security/readtemplate?t=weixin_report/w_type&scene=%d#wechat_redirect";
        r1 = 1;
        r1 = new java.lang.Object[r1];
        r2 = 0;
        r5 = 34;
        r5 = java.lang.Integer.valueOf(r5);
        r1[r2] = r5;
        r0 = java.lang.String.format(r0, r1);
    L_0x0140:
        r8 = new android.content.Intent;
        r8.<init>();
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r12);
        if (r1 != 0) goto L_0x015e;
    L_0x014b:
        r1 = "k_webview_html";
        r2 = "UTF-8";
        r2 = r12.getBytes(r2);	 Catch:{ UnsupportedEncodingException -> 0x01e6 }
        r5 = 11;
        r2 = android.util.Base64.encodeToString(r2, r5);	 Catch:{ UnsupportedEncodingException -> 0x01e6 }
        r8.putExtra(r1, r2);	 Catch:{ UnsupportedEncodingException -> 0x01e6 }
    L_0x015e:
        r1 = "rawUrl";
        r8.putExtra(r1, r0);
        r0 = "k_expose_url";
        r8.putExtra(r0, r4);
        r0 = "k_expose_url";
        r1 = r11.cZv();
        r1 = r1.cWL();
        r8.putExtra(r0, r1);
        r0 = "k_expose_web_scene";
        r1 = r11.cZv();
        r1 = r1.afH(r3);
        r8.putExtra(r0, r1);
        r0 = "showShare";
        r1 = 0;
        r8.putExtra(r0, r1);
        r0 = r11.cZv();
        r1 = r11.cZv();
        r2 = 2131306072; // 0x7f092658 float:1.8230333E38 double:1.053005111E-314;
        r1 = r1.getString(r2);
        r2 = "";
        r3 = r11.cZv();
        r4 = 2131296525; // 0x7f09010d float:1.821097E38 double:1.053000394E-314;
        r3 = r3.getString(r4);
        r4 = r11.cZv();
        r5 = 2131296884; // 0x7f090274 float:1.8211697E38 double:1.0530005715E-314;
        r4 = r4.getString(r5);
        r5 = 0;
        r6 = new com.tencent.mm.plugin.webview.ui.tools.j$5;
        r6.<init>(r11, r8);
        r7 = new com.tencent.mm.plugin.webview.ui.tools.j$6;
        r7.<init>(r11, r8);
        com.tencent.mm.ui.base.h.a(r0, r1, r2, r3, r4, r5, r6, r7);
        r0 = 7671; // 0x1df7 float:1.075E-41 double:3.79E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        return;
    L_0x01c9:
        r0 = move-exception;
        r2 = "MicroMsg.WebViewMenuHelper";
        r0 = r0.getMessage();
        com.tencent.mm.sdk.platformtools.ab.e(r2, r0);
    L_0x01d4:
        r0 = r1;
        goto L_0x004f;
    L_0x01d7:
        r2 = move-exception;
        r8 = "MicroMsg.WebViewMenuHelper";
        r9 = "";
        r10 = 0;
        r10 = new java.lang.Object[r10];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r8, r2, r9, r10);
        goto L_0x00f7;
    L_0x01e6:
        r1 = move-exception;
        r2 = "MicroMsg.WebViewMenuHelper";
        r5 = new java.lang.StringBuilder;
        r6 = "[oneliang]html get byte error, ex = ";
        r5.<init>(r6);
        r1 = r1.getMessage();
        r1 = r5.append(r1);
        r1 = r1.toString();
        com.tencent.mm.sdk.platformtools.ab.e(r2, r1);
        goto L_0x015e;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.j.afG(java.lang.String):void");
    }

    static /* synthetic */ boolean g(MenuItem menuItem) {
        AppMethodBeat.i(7678);
        if (menuItem.getItemId() >= 10000) {
            AppMethodBeat.o(7678);
            return true;
        }
        AppMethodBeat.o(7678);
        return false;
    }

    static /* synthetic */ void a(j jVar) {
        AppMethodBeat.i(7681);
        com.tencent.mm.plugin.webview.b bVar = jVar.cZv().uwL;
        WebViewUI cZv = jVar.cZv();
        MMWebView mMWebView = jVar.cZv().pzf;
        String dae = jVar.cZv().dae();
        g.dOW().h(new b$2(bVar, cZv, mMWebView, jVar.cZv().aYf())).b(new 1(bVar, cZv, dae));
        if (bVar.tipDialog != null && bVar.tipDialog.isShowing()) {
            bVar.tipDialog.dismiss();
            bVar.tipDialog = null;
        }
        cZv.getString(2131297061);
        bVar.tipDialog = com.tencent.mm.ui.base.h.b(cZv, cZv.getString(2131297086), true, null);
        AppMethodBeat.o(7681);
    }

    static /* synthetic */ void a(j jVar, String str, String str2, int i, int i2) {
        AppMethodBeat.i(7682);
        if (jVar.cZv().icz == null) {
            ab.e("MicroMsg.WebViewMenuHelper", "startGetReadingModeInfo fail, after onDestroy");
            AppMethodBeat.o(7682);
            return;
        }
        o oVar = jVar.cZv().uvT;
        if (oVar.uxO == 0) {
            WebViewUI.d(oVar.uxp, 673);
        }
        oVar.uxO++;
        jVar.utE = str;
        jVar.cZv().uvZ = true;
        Bundle bundle = new Bundle();
        bundle.putString("reading_mode_data_url", str);
        bundle.putString("reading_mode_data_useragent", str2);
        bundle.putInt("reading_mode_data_width", i);
        bundle.putInt("reading_mode_data_height", i2);
        bundle.putInt("webview_binder_id", jVar.cZv().hashCode());
        boolean z = false;
        try {
            z = jVar.cZv().icy.s(673, bundle);
        } catch (Exception e) {
            ab.w("MicroMsg.WebViewMenuHelper", "startGetReadingModeInfo, ex = " + e.getMessage());
        }
        ab.d("MicroMsg.WebViewMenuHelper", "startGetReadingModeInfo, doScene ret = ".concat(String.valueOf(z)));
        AppMethodBeat.o(7682);
    }

    static /* synthetic */ boolean c(j jVar, int i) {
        AppMethodBeat.i(7685);
        if (!jVar.utH || jVar.utK.contains(Integer.valueOf(i))) {
            AppMethodBeat.o(7685);
            return true;
        }
        AppMethodBeat.o(7685);
        return false;
    }
}
