package com.tencent.mm.pluginsdk.model.app;

import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.f;
import com.tencent.mm.g.c.s;
import com.tencent.mm.memory.a.c;
import com.tencent.mm.sdk.e.e;
import com.tencent.mm.sdk.e.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.vfs.b;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.io.IOException;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.List;

public final class i extends j<f> {
    public static final String[] fnj = new String[]{j.a(f.ccO, "AppInfo")};
    public final f<String, f> vcc = new c(50);

    public final /* synthetic */ boolean b(com.tencent.mm.sdk.e.c cVar) {
        AppMethodBeat.i(79325);
        boolean n = n((f) cVar);
        AppMethodBeat.o(79325);
        return n;
    }

    public final /* synthetic */ boolean c(com.tencent.mm.sdk.e.c cVar, String[] strArr) {
        AppMethodBeat.i(79323);
        boolean a = a((f) cVar, strArr);
        AppMethodBeat.o(79323);
        return a;
    }

    static {
        AppMethodBeat.i(79326);
        AppMethodBeat.o(79326);
    }

    public i(e eVar) {
        super(eVar, f.ccO, "AppInfo", s.diI);
        AppMethodBeat.i(79309);
        f fVar = new f();
        fVar.field_appId = "wx4310bbd51be7d979";
        if (!super.b(fVar, new String[0])) {
            fVar = new f();
            fVar.field_appId = "wx4310bbd51be7d979";
            fVar.field_appName = "weixinfile";
            fVar.field_packageName = "com.tencent.mm.openapi";
            fVar.field_status = -1;
            super.b(fVar);
        }
        AppMethodBeat.o(79309);
    }

    private void m(f fVar) {
        AppMethodBeat.i(79310);
        if (fVar == null || fVar.field_appId == null) {
            AppMethodBeat.o(79310);
            return;
        }
        this.vcc.k(fVar.field_appId, fVar);
        AppMethodBeat.o(79310);
    }

    private void MQ(String str) {
        AppMethodBeat.i(79311);
        if (!bo.isNullOrNil(str)) {
            this.vcc.remove(str);
        }
        AppMethodBeat.o(79311);
    }

    public final boolean n(f fVar) {
        AppMethodBeat.i(79312);
        if (fVar == null || bo.isNullOrNil(fVar.field_appId)) {
            AppMethodBeat.o(79312);
            return false;
        }
        if (f.vbQ.equals(fVar.field_appId) || f.vbS.equals(fVar.field_appId)) {
            ab.i("MicroMsg.AppInfoStorage", "insert appinfo: %s, %s, %s, %s, %s", new Object[]{fVar.field_appId, fVar.field_appName, Integer.valueOf(fVar.field_serviceShowFlag), Integer.valueOf(fVar.field_appInfoFlag), bo.dpG()});
        }
        if (super.a(fVar, false)) {
            b(fVar.field_appId, 2, fVar.field_appId);
            m(fVar);
            AppMethodBeat.o(79312);
            return true;
        }
        AppMethodBeat.o(79312);
        return false;
    }

    public final boolean a(f fVar, String... strArr) {
        boolean z = false;
        AppMethodBeat.i(79313);
        if (fVar == null || bo.isNullOrNil(fVar.field_appId)) {
            AppMethodBeat.o(79313);
        } else {
            if (f.vbQ.equals(fVar.field_appId) || f.vbS.equals(fVar.field_appId)) {
                ab.i("MicroMsg.AppInfoStorage", "update appinfo: %s, %s, %s, %s, %s", new Object[]{fVar.field_appId, fVar.field_appName, Integer.valueOf(fVar.field_serviceShowFlag), Integer.valueOf(fVar.field_appInfoFlag), bo.dpG()});
            }
            MQ(fVar.field_appId);
            z = super.b(fVar, false, strArr);
            if (z) {
                b(fVar.field_appId, 3, fVar.field_appId);
            }
            AppMethodBeat.o(79313);
        }
        return z;
    }

    public final boolean b(f fVar, String... strArr) {
        boolean z = false;
        AppMethodBeat.i(79314);
        if (fVar == null || bo.isNullOrNil(fVar.field_appId)) {
            AppMethodBeat.o(79314);
        } else {
            if (f.vbQ.equals(fVar.field_appId) || f.vbS.equals(fVar.field_appId)) {
                ab.i("MicroMsg.AppInfoStorage", "delete appinfo: %s, %s, %s, %s, %s", new Object[]{fVar.field_appId, fVar.field_appName, Integer.valueOf(fVar.field_serviceShowFlag), Integer.valueOf(fVar.field_appInfoFlag), bo.dpG()});
            }
            MQ(fVar.field_appId);
            z = super.a(fVar, false, strArr);
            if (z) {
                b(fVar.field_appId, 5, fVar.field_appId);
            }
            AppMethodBeat.o(79314);
        }
        return z;
    }

    public final List<String> dhD() {
        AppMethodBeat.i(79315);
        ab.d("MicroMsg.AppInfoStorage", "getNullOpenIdList, maxCount = -1");
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = rawQuery("select appId from AppInfo where openId is NULL ", new String[0]);
        if (rawQuery == null) {
            ab.e("MicroMsg.AppInfoStorage", "get null cursor");
            AppMethodBeat.o(79315);
        } else {
            int count = rawQuery.getCount();
            if (count <= 0) {
                ab.w("MicroMsg.AppInfoStorage", "getNullOpenIdList fail, cursor count = ".concat(String.valueOf(count)));
                rawQuery.close();
                AppMethodBeat.o(79315);
            } else {
                if (rawQuery.moveToFirst()) {
                    while (!rawQuery.isAfterLast()) {
                        count = rawQuery.getColumnIndex("appId");
                        if (count >= 0) {
                            String string = rawQuery.getString(count);
                            if (!bo.isNullOrNil(string)) {
                                arrayList.add(string);
                            }
                        }
                        rawQuery.moveToNext();
                    }
                }
                if (rawQuery != null) {
                    rawQuery.close();
                }
                AppMethodBeat.o(79315);
            }
        }
        return arrayList;
    }

    public final f aiJ(String str) {
        AppMethodBeat.i(79316);
        if (str == null || str.length() == 0) {
            ab.e("MicroMsg.AppInfoStorage", "appId is null");
            AppMethodBeat.o(79316);
            return null;
        }
        f fVar = (f) this.vcc.ai(str);
        if (fVar == null) {
            fVar = null;
        }
        if (fVar == null || bo.isNullOrNil(fVar.field_appId)) {
            fVar = new f();
            fVar.field_appId = str;
            if (super.b(fVar, new String[0])) {
                m(fVar);
                AppMethodBeat.o(79316);
                return fVar;
            }
            AppMethodBeat.o(79316);
            return null;
        }
        AppMethodBeat.o(79316);
        return fVar;
    }

    public final Cursor eQ(int i, int i2) {
        AppMethodBeat.i(79317);
        StringBuilder stringBuilder = new StringBuilder(256);
        stringBuilder.append("select * from AppInfo");
        stringBuilder.append(" where ");
        if (i != 0) {
            stringBuilder.append(" ( serviceAppInfoFlag & ").append(i).append(" ) != 0 and ");
        }
        stringBuilder.append(" ( serviceShowFlag & ").append(i2).append(" ) != 0");
        Cursor rawQuery = rawQuery(stringBuilder.toString(), new String[0]);
        if (rawQuery == null) {
            ab.e("MicroMsg.AppInfoStorage", "getServiceByAppInfoFlagAndShowFlag : cursor is null");
            AppMethodBeat.o(79317);
            return null;
        }
        ab.i("MicroMsg.AppInfoStorage", "getServiceByAppInfoFlagAndShowFlag count = %d", new Object[]{Integer.valueOf(rawQuery.getCount())});
        AppMethodBeat.o(79317);
        return rawQuery;
    }

    public final Cursor dhE() {
        AppMethodBeat.i(79318);
        Cursor rawQuery = rawQuery("select * from AppInfo where appType like '%1,%'", new String[0]);
        if (rawQuery == null) {
            ab.e("MicroMsg.AppInfoStorage", "getGameApp : cursor is null");
            AppMethodBeat.o(79318);
            return null;
        }
        AppMethodBeat.o(79318);
        return rawQuery;
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x009d  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0081  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0081  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x009d  */
    public static java.lang.String dY(java.lang.String r11, int r12) {
        /*
        r0 = 0;
        r2 = 1;
        r1 = 0;
        r10 = 79319; // 0x135d7 float:1.1115E-40 double:3.9189E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        if (r11 == 0) goto L_0x0011;
    L_0x000b:
        r3 = r11.length();
        if (r3 != 0) goto L_0x001e;
    L_0x0011:
        r1 = "MicroMsg.AppInfoStorage";
        r2 = "getIconPath : invalid argument";
        com.tencent.mm.sdk.platformtools.ab.e(r1, r2);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x001d:
        return r0;
    L_0x001e:
        r3 = com.tencent.mm.plugin.s.a.bYG();
        r4 = new com.tencent.mm.vfs.b;
        r4.<init>(r3);
        r5 = r4.exists();
        if (r5 != 0) goto L_0x009b;
    L_0x002d:
        r5 = r4.dMC();
        r5 = r5.exists();
        if (r5 != 0) goto L_0x0066;
    L_0x0037:
        r5 = r4.dMC();
        r6 = new com.tencent.mm.vfs.b;
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = r5.dMD();
        r8 = com.tencent.mm.vfs.j.w(r8);
        r7 = r7.append(r8);
        r8 = java.lang.System.currentTimeMillis();
        r7 = r7.append(r8);
        r7 = r7.toString();
        r6.<init>(r7);
        r7 = r6.mkdirs();
        if (r7 == 0) goto L_0x0085;
    L_0x0063:
        r6.o(r5);
    L_0x0066:
        r5 = r4.mkdirs();
        if (r5 == 0) goto L_0x0072;
    L_0x006c:
        r4 = r4.isDirectory();
        if (r4 != 0) goto L_0x009b;
    L_0x0072:
        r4 = "MicroMsg.AppInfoStorage";
        r5 = "mkdir error. %s";
        r2 = new java.lang.Object[r2];
        r2[r1] = r3;
        com.tencent.mm.sdk.platformtools.ab.e(r4, r5, r2);
    L_0x007f:
        if (r1 != 0) goto L_0x009d;
    L_0x0081:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x001d;
    L_0x0085:
        r3 = "MicroMsg.AppInfoStorage";
        r4 = "mkdir error, %s";
        r2 = new java.lang.Object[r2];
        r5 = r5.dMD();
        r5 = com.tencent.mm.vfs.j.w(r5);
        r2[r1] = r5;
        com.tencent.mm.sdk.platformtools.ab.e(r3, r4, r2);
        goto L_0x007f;
    L_0x009b:
        r1 = r2;
        goto L_0x007f;
    L_0x009d:
        switch(r12) {
            case 1: goto L_0x00b6;
            case 2: goto L_0x00df;
            case 3: goto L_0x0108;
            case 4: goto L_0x015a;
            case 5: goto L_0x0131;
            default: goto L_0x00a0;
        };
    L_0x00a0:
        r1 = "MicroMsg.AppInfoStorage";
        r2 = "getIconPath, unknown iconType = ";
        r3 = java.lang.String.valueOf(r12);
        r2 = r2.concat(r3);
        com.tencent.mm.sdk.platformtools.ab.e(r1, r2);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x001d;
    L_0x00b6:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = com.tencent.mm.plugin.s.a.bYG();
        r0 = r0.append(r1);
        r1 = r11.getBytes();
        r1 = com.tencent.mm.a.g.x(r1);
        r0 = r0.append(r1);
        r1 = ".png";
        r0 = r0.append(r1);
        r0 = r0.toString();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x001d;
    L_0x00df:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = com.tencent.mm.plugin.s.a.bYG();
        r0 = r0.append(r1);
        r1 = r11.getBytes();
        r1 = com.tencent.mm.a.g.x(r1);
        r0 = r0.append(r1);
        r1 = "_wm.png";
        r0 = r0.append(r1);
        r0 = r0.toString();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x001d;
    L_0x0108:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = com.tencent.mm.plugin.s.a.bYG();
        r0 = r0.append(r1);
        r1 = r11.getBytes();
        r1 = com.tencent.mm.a.g.x(r1);
        r0 = r0.append(r1);
        r1 = "_sg.png";
        r0 = r0.append(r1);
        r0 = r0.toString();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x001d;
    L_0x0131:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = com.tencent.mm.plugin.s.a.bYG();
        r0 = r0.append(r1);
        r1 = r11.getBytes();
        r1 = com.tencent.mm.a.g.x(r1);
        r0 = r0.append(r1);
        r1 = "_sl.png";
        r0 = r0.append(r1);
        r0 = r0.toString();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x001d;
    L_0x015a:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = com.tencent.mm.plugin.s.a.bYG();
        r0 = r0.append(r1);
        r1 = r11.getBytes();
        r1 = com.tencent.mm.a.g.x(r1);
        r0 = r0.append(r1);
        r1 = "_sp.png";
        r0 = r0.append(r1);
        r0 = r0.toString();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x001d;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.pluginsdk.model.app.i.dY(java.lang.String, int):java.lang.String");
    }

    public final boolean t(String str, Bitmap bitmap) {
        AppMethodBeat.i(79320);
        if (str == null || str.length() == 0 || bitmap == null || bitmap.isRecycled()) {
            ab.e("MicroMsg.AppInfoStorage", "saveIcon : invalid argument");
            AppMethodBeat.o(79320);
            return false;
        }
        String dY = dY(str, 1);
        if (dY == null) {
            ab.e("MicroMsg.AppInfoStorage", "saveIcon fail, iconPath is null");
            AppMethodBeat.o(79320);
            return false;
        }
        b bVar = new b(dY);
        if (bVar.exists()) {
            bVar.delete();
        }
        try {
            OutputStream q = com.tencent.mm.vfs.e.q(bVar);
            bitmap.compress(CompressFormat.PNG, 100, q);
            q.close();
            anF(str);
            AppMethodBeat.o(79320);
            return true;
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.AppInfoStorage", e, BuildConfig.FLAVOR, new Object[0]);
            ab.e("MicroMsg.AppInfoStorage", "saveIcon : compress occurs an exception");
            AppMethodBeat.o(79320);
            return false;
        }
    }

    public final boolean e(String str, byte[] bArr, int i) {
        AppMethodBeat.i(79321);
        if (str == null || str.length() == 0 || bArr == null || bArr.length == 0) {
            ab.e("MicroMsg.AppInfoStorage", "saveIcon, invalid argument");
            AppMethodBeat.o(79321);
            return false;
        }
        String dY = dY(str, i);
        if (dY == null) {
            ab.e("MicroMsg.AppInfoStorage", "saveIcon fail, iconPath is null");
            AppMethodBeat.o(79321);
            return false;
        }
        b bVar = new b(dY);
        if (bVar.exists()) {
            bVar.delete();
        }
        OutputStream outputStream = null;
        try {
            outputStream = com.tencent.mm.vfs.e.q(bVar);
            outputStream.write(bArr);
            outputStream.close();
            anF(str);
            AppMethodBeat.o(79321);
            return true;
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.AppInfoStorage", e, BuildConfig.FLAVOR, new Object[0]);
            ab.e("MicroMsg.AppInfoStorage", "saveIcon, exception, e = " + e.getMessage());
            if (outputStream != null) {
                try {
                    outputStream.close();
                } catch (IOException e2) {
                }
            }
            AppMethodBeat.o(79321);
            return false;
        }
    }

    public static f dhF() {
        AppMethodBeat.i(79322);
        f fVar = new f();
        fVar.field_appName = "invalid_appname";
        fVar.field_packageName = BuildConfig.FLAVOR;
        fVar.field_signature = BuildConfig.FLAVOR;
        fVar.field_status = 3;
        AppMethodBeat.o(79322);
        return fVar;
    }
}
