package com.tencent.mm.ui.contact;

import android.content.Intent;
import android.os.Bundle;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView.AdapterContextMenuInfo;
import android.widget.ListView;
import android.widget.RelativeLayout.LayoutParams;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.c;
import com.tencent.mm.model.s;
import com.tencent.mm.model.t;
import com.tencent.mm.modelvoiceaddr.ui.VoiceSearchLayout;
import com.tencent.mm.platformtools.ah;
import com.tencent.mm.pluginsdk.ui.d;
import com.tencent.mm.pluginsdk.ui.e.j;
import com.tencent.mm.sdk.e.k.a;
import com.tencent.mm.sdk.platformtools.BackwardSupportUtil;
import com.tencent.mm.sdk.platformtools.aa;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.storage.ad;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.n;
import com.tencent.mm.ui.u;
import com.tencent.mm.ui.voicesearch.b;

public class ChatroomContactUI extends MMActivity implements f, a {
    private d ein = new d(new 6(this));
    private int jLX = 0;
    private int jLY = 0;
    private com.tencent.mm.ui.widget.b.a jMO;
    private n.d lCi = new n.d() {
        public final void onMMMenuItemSelected(MenuItem menuItem, int i) {
            AppMethodBeat.i(33571);
            switch (menuItem.getItemId()) {
                case 1:
                    ChatroomContactUI.arN(ChatroomContactUI.this.zke);
                    AppMethodBeat.o(33571);
                    return;
                default:
                    AppMethodBeat.o(33571);
                    return;
            }
        }
    };
    private TextView mht;
    private ListView nIv;
    private b zkc;
    private String zke;
    private ContactCountView zkp;
    private VoiceSearchLayout zlp;
    private com.tencent.mm.modelvoiceaddr.ui.b zlq;
    private d zlr;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public ChatroomContactUI() {
        AppMethodBeat.i(33586);
        AppMethodBeat.o(33586);
    }

    static /* synthetic */ void c(ChatroomContactUI chatroomContactUI) {
        AppMethodBeat.i(33599);
        chatroomContactUI.bJk();
        AppMethodBeat.o(33599);
    }

    public final int getLayoutId() {
        return 2130969003;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(33587);
        super.onCreate(bundle);
        setMMTitle(2131296440);
        initView();
        aw.Rg().a(138, this);
        aw.ZK();
        c.XM().a(this.zlr);
        AppMethodBeat.o(33587);
    }

    private void dHE() {
        AppMethodBeat.i(33588);
        ((TextView) findViewById(2131821055)).setVisibility(8);
        AppMethodBeat.o(33588);
    }

    public void onCreateContextMenu(ContextMenu contextMenu, View view, ContextMenuInfo contextMenuInfo) {
        AppMethodBeat.i(33589);
        super.onCreateContextMenu(contextMenu, view, contextMenuInfo);
        AdapterContextMenuInfo adapterContextMenuInfo = (AdapterContextMenuInfo) contextMenuInfo;
        aw.ZK();
        if (c.XM().aoO(this.zke) == null) {
            ab.e("MicroMsg.ChatroomContactUI", "onCreateContextMenu, contact is null, username = " + this.zke);
            AppMethodBeat.o(33589);
        } else if (t.mW(this.zke)) {
            contextMenu.setHeaderTitle(j.b(view.getContext(), s.mJ(this.zke)));
            contextMenu.add(adapterContextMenuInfo.position, 1, 0, 2131296448);
            AppMethodBeat.o(33589);
        } else {
            AppMethodBeat.o(33589);
        }
    }

    public final void initView() {
        AppMethodBeat.i(33590);
        dHE();
        this.nIv = (ListView) findViewById(2131821054);
        this.nIv.setAdapter(null);
        this.mht = (TextView) findViewById(2131821055);
        this.mht.setText(2131296452);
        String str = "@all.chatroom.contact";
        this.zlr = new d(this, str);
        this.zlr.pN(true);
        this.zkc = new b(this.mController.ylL, 1);
        this.zkc.zjx = str;
        this.zlq = new com.tencent.mm.modelvoiceaddr.ui.b((byte) 0);
        this.zlq.a(new 7(this));
        a(this.zlq);
        this.zlr.setGetViewPositionCallback(new 8(this));
        this.zlr.setPerformItemClickListener(new 9(this));
        this.zlr.a(new 10(this));
        this.nIv.setOnScrollListener(this.ein);
        this.zlr.vkK = this.ein;
        this.jMO = new com.tencent.mm.ui.widget.b.a(this.mController.ylL);
        this.nIv.setOnItemClickListener(new 11(this));
        this.nIv.setOnItemLongClickListener(new 12(this));
        this.nIv.setOnTouchListener(new 13(this));
        ListView listView = this.nIv;
        ContactCountView contactCountView = new ContactCountView(this);
        this.zkp = contactCountView;
        listView.addFooterView(contactCountView, null, false);
        setBackBtn(new OnMenuItemClickListener() {
            public final boolean onMenuItemClick(MenuItem menuItem) {
                AppMethodBeat.i(33572);
                ChatroomContactUI.this.finish();
                AppMethodBeat.o(33572);
                return false;
            }
        });
        addIconOptionMenu(0, 2131296397, 2131230736, new OnMenuItemClickListener() {
            public final boolean onMenuItemClick(MenuItem menuItem) {
                AppMethodBeat.i(33573);
                Intent intent = new Intent(ChatroomContactUI.this, SelectContactUI.class);
                intent.putExtra("titile", ChatroomContactUI.this.getString(2131296484));
                intent.putExtra("list_type", 0);
                intent.putExtra("list_attr", s.C(new int[]{s.znG, 256, 512}));
                ChatroomContactUI.this.mController.ylL.startActivity(intent);
                AppMethodBeat.o(33573);
                return false;
            }
        });
        AnonymousClass4 anonymousClass4 = new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(33574);
                BackwardSupportUtil.c.a(ChatroomContactUI.this.nIv);
                AppMethodBeat.o(33574);
            }
        };
        this.nIv.setAdapter(this.zlr);
        this.zkc.qU(false);
        this.nIv.setVisibility(0);
        this.zlp = new VoiceSearchLayout(this);
        LayoutParams layoutParams = new LayoutParams(-1, -1);
        layoutParams.addRule(14);
        this.zlp.setLayoutParams(layoutParams);
        this.zlp.setTopMargin(BackwardSupportUtil.b.b(this, 100.0f));
        this.zlp.setVisibility(8);
        ((ViewGroup) findViewById(2131822359)).addView(this.zlp);
        if (this.zlp != null) {
            this.zlp.setOnVisibleChangeListener(new 5(this));
        }
        if (this.zlr.getCount() == 0) {
            this.mht.setSingleLine(false);
            this.mht.setPadding(40, 0, 40, 0);
            this.mht.setVisibility(0);
        }
        AppMethodBeat.o(33590);
    }

    public void onResume() {
        AppMethodBeat.i(33591);
        super.onResume();
        if (this.zkp != null) {
            this.zkp.setContactType(2);
            this.zkp.dHF();
        }
        aw.ZK();
        c.XV().c(this);
        if (!(this.zlq == null || this.zlp == null)) {
            com.tencent.mm.bp.d.dlL();
            if (com.tencent.mm.au.b.ahP() || !aa.dor().equals("zh_CN")) {
                this.zlq.gcl = false;
            } else {
                this.zlq.gcl = true;
                com.tencent.mm.modelvoiceaddr.ui.b bVar = this.zlq;
                bVar.gcp = this.zlp;
                bVar.gcn = 1;
                if (1 == bVar.gcn) {
                    bVar.gcm = 2;
                } else {
                    bVar.gcm = 1;
                }
            }
        }
        if (this.zkc != null) {
            this.zkc.onResume();
        }
        AppMethodBeat.o(33591);
    }

    public void onPause() {
        AppMethodBeat.i(33592);
        super.onPause();
        aw.ZK();
        c.XV().d(this);
        if (this.zlq != null) {
            com.tencent.mm.modelvoiceaddr.ui.b bVar = this.zlq;
            bVar.dJS();
            bVar.cancel();
        }
        if (this.zkc != null) {
            this.zkc.onPause();
        }
        AppMethodBeat.o(33592);
    }

    public void onDestroy() {
        AppMethodBeat.i(33593);
        super.onDestroy();
        aw.Rg().b(138, this);
        aw.ZK();
        c.XM().b(this.zlr);
        d dVar = this.zlr;
        if (dVar.gvm != null) {
            dVar.gvm.detach();
            dVar.gvm = null;
        }
        this.zlr.bIf();
        this.zlr.dww();
        this.zkc.detach();
        this.zkc.bIf();
        AppMethodBeat.o(33593);
    }

    private void bJk() {
        AppMethodBeat.i(33594);
        if (this.zlr != null) {
            this.zlr.a(null, null);
        }
        if (this.zkc != null) {
            this.zkc.a(null, null);
        }
        AppMethodBeat.o(33594);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(33595);
        if (!ah.cv(this)) {
            AppMethodBeat.o(33595);
        } else if (u.a.a(this, i, i2, str, 4)) {
            AppMethodBeat.o(33595);
        } else if (i == 0 && i2 == 0) {
            switch (mVar.getType()) {
                case 138:
                    bJk();
                    break;
            }
            AppMethodBeat.o(33595);
        } else {
            AppMethodBeat.o(33595);
        }
    }

    public final void a(String str, com.tencent.mm.sdk.e.m mVar) {
        AppMethodBeat.i(33596);
        if (this.zkp != null) {
            this.zkp.setContactType(2);
            this.zkp.dHF();
        }
        AppMethodBeat.o(33596);
    }

    static /* synthetic */ void arN(String str) {
        AppMethodBeat.i(33597);
        aw.ZK();
        ad aoO = c.XM().aoO(str);
        if (t.mP(str)) {
            aoO.NC();
            ((com.tencent.mm.openim.a.a) g.K(com.tencent.mm.openim.a.a.class)).vg(aoO.field_username);
            aw.ZK();
            c.XM().b(str, aoO);
            AppMethodBeat.o(33597);
            return;
        }
        aoO.NC();
        t.u(aoO);
        if (t.kH(str)) {
            aw.ZK();
            c.XM().aoU(str);
            aw.ZK();
            c.XV().og(str);
            AppMethodBeat.o(33597);
            return;
        }
        aw.ZK();
        c.XM().b(str, aoO);
        AppMethodBeat.o(33597);
    }
}
