package com.tencent.tmassistantsdk.protocol.jce;

import com.qq.taf.jce.JceDisplayer;
import com.qq.taf.jce.JceInputStream;
import com.qq.taf.jce.JceOutputStream;
import com.qq.taf.jce.JceStruct;
import com.qq.taf.jce.JceUtil;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;

public final class Terminal extends JceStruct implements Cloneable {
    static final /* synthetic */ boolean $assertionsDisabled = (!Terminal.class.desiredAssertionStatus());
    private static final String TAG = "Terminal";
    public String androidId = BuildConfig.FLAVOR;
    public String androidIdSdCard = BuildConfig.FLAVOR;
    public String imei = BuildConfig.FLAVOR;
    public String imsi = BuildConfig.FLAVOR;
    public String macAdress = BuildConfig.FLAVOR;

    static {
        AppMethodBeat.i(76149);
        AppMethodBeat.o(76149);
    }

    public final String className() {
        return "jce.Terminal";
    }

    public final String fullClassName() {
        return TAG;
    }

    public final String getImei() {
        return this.imei;
    }

    public final void setImei(String str) {
        this.imei = str;
    }

    public final String getMacAdress() {
        return this.macAdress;
    }

    public final void setMacAdress(String str) {
        this.macAdress = str;
    }

    public final String getAndroidId() {
        return this.androidId;
    }

    public final void setAndroidId(String str) {
        this.androidId = str;
    }

    public final String getAndroidIdSdCard() {
        return this.androidIdSdCard;
    }

    public final void setAndroidIdSdCard(String str) {
        this.androidIdSdCard = str;
    }

    public final String getImsi() {
        return this.imsi;
    }

    public final void setImsi(String str) {
        this.imsi = str;
    }

    public Terminal(String str, String str2, String str3, String str4, String str5) {
        this.imei = str;
        this.macAdress = str2;
        this.androidId = str3;
        this.androidIdSdCard = str4;
        this.imsi = str5;
    }

    public final boolean equals(Object obj) {
        AppMethodBeat.i(76142);
        if (obj == null) {
            AppMethodBeat.o(76142);
            return false;
        }
        Terminal terminal = (Terminal) obj;
        if (JceUtil.equals(this.imei, terminal.imei) && JceUtil.equals(this.macAdress, terminal.macAdress) && JceUtil.equals(this.androidId, terminal.androidId) && JceUtil.equals(this.androidIdSdCard, terminal.androidIdSdCard) && JceUtil.equals(this.imsi, terminal.imsi)) {
            AppMethodBeat.o(76142);
            return true;
        }
        AppMethodBeat.o(76142);
        return false;
    }

    public final int hashCode() {
        AppMethodBeat.i(76143);
        Exception exception;
        try {
            exception = new Exception("Need define key first!");
            AppMethodBeat.o(76143);
            throw exception;
        } catch (Exception exception2) {
            ab.printErrStackTrace(TAG, exception2, BuildConfig.FLAVOR, new Object[0]);
            AppMethodBeat.o(76143);
            return 0;
        }
    }

    public final Object clone() {
        AppMethodBeat.i(76144);
        Object obj = null;
        try {
            obj = super.clone();
        } catch (CloneNotSupportedException e) {
            if (!$assertionsDisabled) {
                AssertionError assertionError = new AssertionError();
                AppMethodBeat.o(76144);
                throw assertionError;
            }
        }
        AppMethodBeat.o(76144);
        return obj;
    }

    public final void writeTo(JceOutputStream jceOutputStream) {
        AppMethodBeat.i(76145);
        if (this.imei != null) {
            jceOutputStream.write(this.imei, 0);
        }
        if (this.macAdress != null) {
            jceOutputStream.write(this.macAdress, 1);
        }
        if (this.androidId != null) {
            jceOutputStream.write(this.androidId, 2);
        }
        if (this.androidIdSdCard != null) {
            jceOutputStream.write(this.androidIdSdCard, 3);
        }
        if (this.imsi != null) {
            jceOutputStream.write(this.imsi, 4);
        }
        AppMethodBeat.o(76145);
    }

    public final void readFrom(JceInputStream jceInputStream) {
        AppMethodBeat.i(76146);
        this.imei = jceInputStream.readString(0, false);
        this.macAdress = jceInputStream.readString(1, false);
        this.androidId = jceInputStream.readString(2, false);
        this.androidIdSdCard = jceInputStream.readString(3, false);
        this.imsi = jceInputStream.readString(4, false);
        AppMethodBeat.o(76146);
    }

    public final void display(StringBuilder stringBuilder, int i) {
        AppMethodBeat.i(76147);
        JceDisplayer jceDisplayer = new JceDisplayer(stringBuilder, i);
        jceDisplayer.display(this.imei, "imei");
        jceDisplayer.display(this.macAdress, "macAdress");
        jceDisplayer.display(this.androidId, "androidId");
        jceDisplayer.display(this.androidIdSdCard, "androidIdSdCard");
        jceDisplayer.display(this.imsi, "imsi");
        AppMethodBeat.o(76147);
    }

    public final void displaySimple(StringBuilder stringBuilder, int i) {
        AppMethodBeat.i(76148);
        JceDisplayer jceDisplayer = new JceDisplayer(stringBuilder, i);
        jceDisplayer.displaySimple(this.imei, true);
        jceDisplayer.displaySimple(this.macAdress, true);
        jceDisplayer.displaySimple(this.androidId, true);
        jceDisplayer.displaySimple(this.androidIdSdCard, true);
        jceDisplayer.displaySimple(this.imsi, false);
        AppMethodBeat.o(76148);
    }
}
