package com.tencent.wecall.talkroom.model;

import android.content.Context;
import android.content.IntentFilter;
import android.text.TextUtils;
import com.tencent.g.i;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.pb.common.b.f;
import com.tencent.pb.common.b.f$a;
import com.tencent.pb.common.c.c;
import com.tencent.pb.common.c.g;
import com.tencent.pb.common.c.h;
import com.tencent.pb.common.system.ConnectReceiver;
import com.tencent.pb.talkroom.sdk.a;
import com.tencent.pb.talkroom.sdk.d;
import com.tencent.wecall.talkroom.a.k;
import com.tencent.wecall.talkroom.a.l;
import com.tencent.wecall.talkroom.model.f.b;
import com.tencent.wecall.talkroom.model.g.10;
import com.tencent.wecall.talkroom.model.g.12;
import com.tencent.wecall.talkroom.model.g.14;
import java.util.ArrayList;
import java.util.List;

public class e implements d {
    private static e AJe = null;
    private a AJd = null;
    private ConnectReceiver AJf = new ConnectReceiver();
    private g.a AJg = new 1(this);
    private final String TAG = "TalkRoomSdkApi";

    public static e dTl() {
        AppMethodBeat.i(127840);
        if (AJe == null) {
            synchronized (e.class) {
                try {
                    if (AJe == null) {
                        AJe = new e();
                    }
                } catch (Throwable th) {
                    while (true) {
                        AppMethodBeat.o(127840);
                    }
                }
            }
        }
        e eVar = AJe;
        AppMethodBeat.o(127840);
        return eVar;
    }

    private e() {
        AppMethodBeat.i(127841);
        AppMethodBeat.o(127841);
    }

    public static void jt(Context context) {
        AppMethodBeat.i(127842);
        com.tencent.pb.common.c.d.sZj = context;
        i.dM(context);
        AppMethodBeat.o(127842);
    }

    public final boolean a(a aVar, com.tencent.pb.talkroom.sdk.e eVar) {
        AppMethodBeat.i(127843);
        if (com.tencent.pb.common.c.d.sZj == null) {
            c.w("TalkRoomSdkApi", new Object[]{"init fail context: ", com.tencent.pb.common.c.d.sZj});
            AppMethodBeat.o(127843);
            return false;
        }
        try {
            this.AJd = aVar;
            f.a(eVar);
            f dSR = a.dSR();
            dSR.AJK.a(this.AJg);
            f.dPx().Amd = eVar;
            a.dSQ();
            a.dSS();
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.setPriority(Integer.MAX_VALUE);
            intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
            com.tencent.pb.common.c.d.sZj.registerReceiver(this.AJf, intentFilter);
            c.d("TalkRoomSdkApi", new Object[]{"init"});
            AppMethodBeat.o(127843);
            return true;
        } catch (Exception e) {
            c.w("TalkRoomSdkApi", new Object[]{"init ", e});
            AppMethodBeat.o(127843);
            return false;
        }
    }

    public final void rm(boolean z) {
        AppMethodBeat.i(127844);
        f dSR = a.dSR();
        c.w("TalkRoomService", new Object[]{"setMute isMute: ", Boolean.valueOf(z)});
        dSR.mIsMute = z;
        h.aB(new 14(dSR.AJK, z));
        AppMethodBeat.o(127844);
    }

    public final void jo(boolean z) {
        boolean jk;
        AppMethodBeat.i(127845);
        a.dSR();
        com.tencent.pb.talkroom.sdk.e dTA = f.dTA();
        if (dTA != null) {
            jk = dTA.jk(z);
        } else {
            jk = false;
        }
        c.d("TalkRoomService", new Object[]{"switchSpeakerPhone", Boolean.valueOf(z), " ret: ", Boolean.valueOf(jk), " realret: ", Boolean.valueOf(f.KU()), " wxCallBack: ", dTA});
        AppMethodBeat.o(127845);
    }

    public final boolean dPP() {
        AppMethodBeat.i(127846);
        try {
            c.dPK();
            c.w("TalkRoomSdkApi", new Object[]{"setOpenLog: isOpenSdkLog", Boolean.TRUE, " level: ", Integer.valueOf(0)});
            AppMethodBeat.o(127846);
            return true;
        } catch (Throwable th) {
            c.w("TalkRoomSdkApi", new Object[]{"setOpenLog: ", th});
            AppMethodBeat.o(127846);
            return false;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:50:0x0363  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0138  */
    public final boolean f(java.lang.String r11, java.lang.String r12, java.util.List<java.lang.String> r13) {
        /*
        r10 = this;
        r0 = 127847; // 0x1f367 float:1.79152E-40 double:6.3165E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r7 = com.tencent.wecall.talkroom.model.a.dSR();
        r1 = com.tencent.wecall.talkroom.model.f.fG(r13);
        r0 = r1.length;
        if (r0 <= 0) goto L_0x0103;
    L_0x0011:
        r0 = 0;
        r0 = android.text.TextUtils.isEmpty(r0);
        if (r0 != 0) goto L_0x0140;
    L_0x0018:
        r0 = 0;
        r2 = 0;
        r2 = r2.length();
        r2 = r2 + -1;
        r0 = r0.charAt(r2);
        r2 = r0 * 256;
        r0 = 0;
        r3 = 0;
        r3 = r3.length();
        r4 = 1;
        if (r3 <= r4) goto L_0x003b;
    L_0x002f:
        r0 = 0;
        r3 = 0;
        r3 = r3.length();
        r3 = r3 + -2;
        r0 = r0.charAt(r3);
    L_0x003b:
        r0 = r0 + r2;
    L_0x003c:
        r2 = "TalkRoomService";
        r3 = 16;
        r3 = new java.lang.Object[r3];
        r4 = 0;
        r5 = "createTalkRoom cliendId: ";
        r3[r4] = r5;
        r4 = 1;
        r3[r4] = r11;
        r4 = 2;
        r5 = " voiceSingle2MultiInfo: ";
        r3[r4] = r5;
        r4 = 3;
        r5 = 0;
        r3[r4] = r5;
        r4 = 4;
        r5 = " memeberUuids size: ";
        r3[r4] = r5;
        r4 = 5;
        r5 = r1.length;
        r5 = java.lang.Integer.valueOf(r5);
        r3[r4] = r5;
        r4 = 6;
        r5 = "routeId";
        r3[r4] = r5;
        r4 = 7;
        r5 = java.lang.Integer.valueOf(r0);
        r3[r4] = r5;
        r4 = 8;
        r5 = " context: ";
        r3[r4] = r5;
        r4 = 9;
        r5 = 0;
        r3[r4] = r5;
        r4 = 10;
        r5 = " type: ";
        r3[r4] = r5;
        r4 = 11;
        r5 = 0;
        r5 = java.lang.Integer.valueOf(r5);
        r3[r4] = r5;
        r4 = 12;
        r5 = " playId: ";
        r3[r4] = r5;
        r4 = 13;
        r8 = 0;
        r5 = java.lang.Long.valueOf(r8);
        r3[r4] = r5;
        r4 = 14;
        r5 = " sdkKey: ";
        r3[r4] = r5;
        r4 = 15;
        r5 = 0;
        r3[r4] = r5;
        com.tencent.pb.common.c.c.w(r2, r3);
        r2 = com.tencent.pb.a.a.a.dPN();
        if (r2 != 0) goto L_0x015a;
    L_0x00b3:
        r0 = "TalkRoomService";
        r1 = 4;
        r1 = new java.lang.Object[r1];
        r2 = 0;
        r3 = "createTalkRoom isAuthed: ";
        r1[r2] = r3;
        r2 = 1;
        r3 = com.tencent.pb.a.a.a.dPN();
        r3 = java.lang.Boolean.valueOf(r3);
        r1[r2] = r3;
        r2 = 2;
        r3 = " isBindMobile: ";
        r1[r2] = r3;
        r2 = 3;
        r3 = com.tencent.pb.a.a.a.dPO();
        r3 = java.lang.Boolean.valueOf(r3);
        r1[r2] = r3;
        com.tencent.pb.common.c.c.w(r0, r1);
        r1 = "";
        r3 = 0;
        r4 = 0;
        r0 = 4;
        r6 = new java.lang.String[r0];
        r0 = 0;
        r2 = "create";
        r6[r0] = r2;
        r0 = 1;
        r2 = "req";
        r6[r0] = r2;
        r0 = 2;
        r2 = "false";
        r6[r0] = r2;
        r0 = 3;
        r2 = "noAuth";
        r6[r0] = r2;
        r2 = r11;
        com.tencent.wecall.talkroom.model.h.a(r1, r2, r3, r4, r6);
    L_0x0103:
        r11 = 0;
    L_0x0104:
        r0 = "TalkRoomSdkApi";
        r1 = 8;
        r1 = new java.lang.Object[r1];
        r2 = 0;
        r3 = "createTalkRoom clientId is: ";
        r1[r2] = r3;
        r2 = 1;
        r1[r2] = r11;
        r2 = 2;
        r3 = "wXgroupId: ";
        r1[r2] = r3;
        r2 = 3;
        r1[r2] = r12;
        r2 = 4;
        r3 = " creatorUsrName: ";
        r1[r2] = r3;
        r2 = 5;
        r3 = com.tencent.pb.a.a.a.dPM();
        r1[r2] = r3;
        r2 = 6;
        r3 = " usrnameList: ";
        r1[r2] = r3;
        r2 = 7;
        r1[r2] = r13;
        com.tencent.pb.common.c.c.w(r0, r1);
        if (r11 == 0) goto L_0x0363;
    L_0x0138:
        r0 = 1;
        r1 = 127847; // 0x1f367 float:1.79152E-40 double:6.3165E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
    L_0x013f:
        return r0;
    L_0x0140:
        r0 = new java.util.Random;
        r0.<init>();
        r0 = r0.nextInt();
        r2 = com.tencent.pb.a.a.a.dPM();
        r2 = r2.hashCode();
        r0 = r0 << 16;
        r3 = 65535; // 0xffff float:9.1834E-41 double:3.23786E-319;
        r2 = r2 & r3;
        r0 = r0 | r2;
        goto L_0x003c;
    L_0x015a:
        r2 = com.tencent.pb.common.b.h.isNetworkConnected();
        if (r2 != 0) goto L_0x019b;
    L_0x0160:
        r0 = "TalkRoomService";
        r1 = 1;
        r1 = new java.lang.Object[r1];
        r2 = 0;
        r3 = "createTalkRoom isNetworkConnected is false";
        r1[r2] = r3;
        com.tencent.pb.common.c.c.w(r0, r1);
        r0 = -4003; // 0xfffffffffffff05d float:NaN double:NaN;
        com.tencent.wecall.talkroom.model.h.Ss(r0);
        r1 = "";
        r3 = 0;
        r4 = 0;
        r0 = 4;
        r6 = new java.lang.String[r0];
        r0 = 0;
        r2 = "create";
        r6[r0] = r2;
        r0 = 1;
        r2 = "req";
        r6[r0] = r2;
        r0 = 2;
        r2 = "false";
        r6[r0] = r2;
        r0 = 3;
        r2 = "noNetwork";
        r6[r0] = r2;
        r2 = r11;
        com.tencent.wecall.talkroom.model.h.a(r1, r2, r3, r4, r6);
        goto L_0x0103;
    L_0x019b:
        r2 = r7.cIJ();
        if (r2 == 0) goto L_0x01d3;
    L_0x01a1:
        r0 = r7.cIJ();
        if (r0 == 0) goto L_0x01ac;
    L_0x01a7:
        r0 = -4002; // 0xfffffffffffff05e float:NaN double:NaN;
        com.tencent.wecall.talkroom.model.h.Ss(r0);
    L_0x01ac:
        r1 = "";
        r3 = 0;
        r4 = 0;
        r0 = 4;
        r6 = new java.lang.String[r0];
        r0 = 0;
        r2 = "create";
        r6[r0] = r2;
        r0 = 1;
        r2 = "req";
        r6[r0] = r2;
        r0 = 2;
        r2 = "false";
        r6[r0] = r2;
        r0 = 3;
        r2 = "isBusy";
        r6[r0] = r2;
        r2 = r11;
        com.tencent.wecall.talkroom.model.h.a(r1, r2, r3, r4, r6);
        goto L_0x0103;
    L_0x01d3:
        r2 = android.text.TextUtils.isEmpty(r11);
        if (r2 == 0) goto L_0x020f;
    L_0x01d9:
        r0 = "TalkRoomService";
        r1 = 1;
        r1 = new java.lang.Object[r1];
        r2 = 0;
        r3 = "createTalkRoom cliendId is null";
        r1[r2] = r3;
        com.tencent.pb.common.c.c.w(r0, r1);
        r1 = "";
        r3 = 0;
        r4 = 0;
        r0 = 4;
        r6 = new java.lang.String[r0];
        r0 = 0;
        r2 = "create";
        r6[r0] = r2;
        r0 = 1;
        r2 = "req";
        r6[r0] = r2;
        r0 = 2;
        r2 = "false";
        r6[r0] = r2;
        r0 = 3;
        r2 = "cliendIdnull";
        r6[r0] = r2;
        r2 = r11;
        com.tencent.wecall.talkroom.model.h.a(r1, r2, r3, r4, r6);
        goto L_0x0103;
    L_0x020f:
        r2 = com.tencent.wecall.talkroom.model.j.auS(r11);
        if (r2 != 0) goto L_0x024e;
    L_0x0215:
        r0 = "TalkRoomService";
        r1 = 2;
        r1 = new java.lang.Object[r1];
        r2 = 0;
        r3 = "createTalkRoom groupId is not cliend id: ";
        r1[r2] = r3;
        r2 = 1;
        r1[r2] = r11;
        com.tencent.pb.common.c.c.w(r0, r1);
        r1 = "";
        r3 = 0;
        r4 = 0;
        r0 = 4;
        r6 = new java.lang.String[r0];
        r0 = 0;
        r2 = "create";
        r6[r0] = r2;
        r0 = 1;
        r2 = "req";
        r6[r0] = r2;
        r0 = 2;
        r2 = "false";
        r6[r0] = r2;
        r0 = 3;
        r2 = "isnotcliendId";
        r6[r0] = r2;
        r2 = r11;
        com.tencent.wecall.talkroom.model.h.a(r1, r2, r3, r4, r6);
        goto L_0x0103;
    L_0x024e:
        r2 = com.tencent.wecall.talkroom.model.c.dTg();
        r2 = r2.auE(r11);
        if (r2 != 0) goto L_0x025f;
    L_0x0258:
        r2 = com.tencent.wecall.talkroom.model.c.dTg();
        r2.d(r11, r12, r1);
    L_0x025f:
        r2 = r7.AJC;
        r2.reset();
        r2 = 0;
        r7.ru(r2);
        r7.dTp();
        r2 = r7.cEA();
        if (r2 != 0) goto L_0x02ab;
    L_0x0271:
        r0 = "TalkRoomService";
        r1 = 1;
        r1 = new java.lang.Object[r1];
        r2 = 0;
        r3 = "createTalkRoom initEngine fail";
        r1[r2] = r3;
        com.tencent.pb.common.c.c.w(r0, r1);
        r1 = "";
        r3 = 0;
        r4 = 0;
        r0 = 4;
        r6 = new java.lang.String[r0];
        r0 = 0;
        r2 = "create";
        r6[r0] = r2;
        r0 = 1;
        r2 = "req";
        r6[r0] = r2;
        r0 = 2;
        r2 = "false";
        r6[r0] = r2;
        r0 = 3;
        r2 = "initEnginefail";
        r6[r0] = r2;
        r2 = r11;
        com.tencent.wecall.talkroom.model.h.a(r1, r2, r3, r4, r6);
        r0 = 0;
        r7.ru(r0);
        goto L_0x0103;
    L_0x02ab:
        r2 = r7.AJC;
        r2.dTC();
        r7.neq = r11;
        r7.AJO = r11;
        r7.AlR = r0;
        r7.AJu = r11;
        r2 = 1;
        r7.setState(r2);
        r2 = 1;
        r7.sRm = r2;
        r2 = new com.tencent.wecall.talkroom.model.f$a;
        r2.<init>(r7);
        r3 = r7.neq;
        r2.groupId = r3;
        r2.AKr = r1;
        r1 = 0;
        r2.AKs = r1;
        r2.AmC = r0;
        r0 = 0;
        r2.type = r0;
        r0 = 0;
        r2.AKt = r0;
        r0 = 0;
        r2.AKu = r0;
        r0 = 0;
        r2.AKv = r0;
        r2.AKw = r12;
        r1 = android.os.Message.obtain();
        r0 = 2;
        r1.what = r0;
        r1.obj = r2;
        r0 = r7.mHandler;
        r2 = 2;
        r0.removeMessages(r2);
        r0 = com.tencent.wecall.talkroom.model.c.dTg();
        r2 = r7.neq;
        r0 = r0.auE(r2);
        if (r0 != 0) goto L_0x0312;
    L_0x02f9:
        r0 = "TalkRoomManager";
        r2 = 1;
        r2 = new java.lang.Object[r2];
        r3 = 0;
        r4 = "isOnlyMySelfInGroup talkroom is null";
        r2[r3] = r4;
        com.tencent.pb.common.c.c.w(r0, r2);
    L_0x0308:
        r0 = r7.mHandler;
        r0.sendMessage(r1);
        r0 = 1;
        r7.AJQ = r0;
        goto L_0x0104;
    L_0x0312:
        r0 = r0.dSX();
        if (r0 == 0) goto L_0x031f;
    L_0x0318:
        r2 = r0.size();
        r3 = 1;
        if (r2 == r3) goto L_0x032f;
    L_0x031f:
        r0 = "TalkRoomManager";
        r2 = 1;
        r2 = new java.lang.Object[r2];
        r3 = 0;
        r4 = "isOnlyMySelfInGroup TalkRoomMember list is not match";
        r2[r3] = r4;
        com.tencent.pb.common.c.c.w(r0, r2);
        goto L_0x0308;
    L_0x032f:
        r2 = 0;
        r0 = r0.get(r2);
        r0 = (com.tencent.wecall.talkroom.model.d) r0;
        if (r0 != 0) goto L_0x0348;
    L_0x0338:
        r0 = "TalkRoomManager";
        r2 = 1;
        r2 = new java.lang.Object[r2];
        r3 = 0;
        r4 = "isOnlyMySelfInGroup talkRoomMember is null";
        r2[r3] = r4;
        com.tencent.pb.common.c.c.w(r0, r2);
        goto L_0x0308;
    L_0x0348:
        r0 = r0.dTk();
        r2 = "TalkRoomManager";
        r3 = 2;
        r3 = new java.lang.Object[r3];
        r4 = 0;
        r5 = "isOnlyMySelfInGroup ret: ";
        r3[r4] = r5;
        r4 = 1;
        r0 = java.lang.Boolean.valueOf(r0);
        r3[r4] = r0;
        com.tencent.pb.common.c.c.w(r2, r3);
        goto L_0x0308;
    L_0x0363:
        r0 = 0;
        r1 = 127847; // 0x1f367 float:1.79152E-40 double:6.3165E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x013f;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.wecall.talkroom.model.e.f(java.lang.String, java.lang.String, java.util.List):boolean");
    }

    public final boolean A(String str, int i, String str2) {
        AppMethodBeat.i(127848);
        f dSR = a.dSR();
        c.w("TalkRoomSdkApi", new Object[]{"enterMultiTalk multiTalkGroupid:", str, " isAccept: ", Boolean.TRUE, " routId: ", Integer.valueOf(i), " ret: ", dSR.a(str, dSR.nCF, dSR.sZg, i, 1, str2)});
        if (dSR.a(str, dSR.nCF, dSR.sZg, i, 1, str2) == b.AKx) {
            AppMethodBeat.o(127848);
            return true;
        }
        AppMethodBeat.o(127848);
        return false;
    }

    public final boolean a(String str, int i, long j, int i2, String str2) {
        AppMethodBeat.i(127849);
        c.w("TalkRoomSdkApi", new Object[]{"enterMultiTalk multiTalkGroupid:", str, " roomId: ", Integer.valueOf(i), " roomKey: ", Long.valueOf(j), " routId: ", Integer.valueOf(i2), " wxGroupId: ", str2, " ret: ", a.dSR().a(str, i, j, i2, 100, str2)});
        if (a.dSR().a(str, i, j, i2, 100, str2) == b.AKx) {
            AppMethodBeat.o(127849);
            return true;
        }
        AppMethodBeat.o(127849);
        return false;
    }

    public final boolean B(String str, List<String> list) {
        AppMethodBeat.i(127850);
        if (g.iA(str, a.dSR().neq)) {
            boolean z;
            f dSR = a.dSR();
            String str2 = "TalkRoomService";
            Object[] objArr = new Object[6];
            objArr[0] = "addrTalkRoomMember";
            objArr[1] = str;
            objArr[2] = Integer.valueOf(dSR.nCF);
            objArr[3] = Long.valueOf(dSR.sZg);
            objArr[4] = " users length: ";
            objArr[5] = Integer.valueOf(list == null ? 0 : list.size());
            c.w(str2, objArr);
            dSR.AJQ = false;
            if (TextUtils.isEmpty(str) || list == null) {
                z = false;
            } else if (com.tencent.pb.common.b.h.isNetworkConnected()) {
                String[] fG = f.fG(list);
                if (fG.length <= 0) {
                    c.w("TalkRoomService", new Object[]{"addTalkRoomMember users is null"});
                    z = false;
                } else {
                    z = com.tencent.pb.common.b.e.dPu().a(new com.tencent.wecall.talkroom.a.b(str, dSR.nCF, dSR.sZg, fG));
                    dSR.AJC.aa("add", "req", String.valueOf(z), String.valueOf(dSR.state));
                }
            } else {
                c.w("TalkRoomService", new Object[]{"addTalkRoomMember isNetworkConnected is false"});
                z = false;
            }
            c.w("TalkRoomSdkApi", new Object[]{"addMultiTalkMember ret: ", Boolean.valueOf(z)});
            AppMethodBeat.o(127850);
            return z;
        }
        c.w("TalkRoomSdkApi", new Object[]{"addMultiTalkMember groupid is not same; multiTalkGroupid: ", str, a.dSR().neq});
        AppMethodBeat.o(127850);
        return false;
    }

    public final boolean Sa(String str) {
        AppMethodBeat.i(127851);
        if (g.iA(str, a.dSR().neq)) {
            int i = a.dSR().nCF;
            long j = a.dSR().sZg;
            boolean az = a.dSR().az(str, 1, 100);
            c.w("TalkRoomSdkApi", new Object[]{"exitMultiTalk groupId: ", str, " roomId: ", Integer.valueOf(i), " roomKey: ", Long.valueOf(j)});
            AppMethodBeat.o(127851);
            return az;
        }
        c.w("TalkRoomSdkApi", new Object[]{"exitMultiTalk groupid is not same; multiTalkGroupid: ", str, a.dSR().neq});
        if (a.dSR().auN(str)) {
            com.tencent.wecall.talkroom.model.f.e auM = a.dSR().auM(str);
            a.dSR().a(str, auM == null ? 0 : auM.nwu, auM == null ? 0 : auM.nwv, 1);
        }
        AppMethodBeat.o(127851);
        return false;
    }

    public final List<String> atK(String str) {
        AppMethodBeat.i(127852);
        if (g.iA(str, a.dSR().neq)) {
            TalkRoom auE = c.dTg().auE(str);
            if (auE == null) {
                c.w("TalkRoomManager", new Object[]{"getTalkingMember talkroom is null: groupId: ", str});
                AppMethodBeat.o(127852);
                return null;
            }
            List<d> dSY = auE.dSY();
            ArrayList arrayList = new ArrayList();
            for (d dVar : dSY) {
                if (dVar != null) {
                    int i;
                    f dSR = a.dSR();
                    int dTj = dVar.dTj();
                    if (dSR.AJD != null) {
                        b bVar = dSR.AJD;
                        i = (!com.tencent.pb.common.a.a.Alr || bVar.AIV == null) ? 0 : bVar.AIV.GetVoiceActivity(dTj) == 1 ? 1 : 0;
                    } else {
                        i = 0;
                    }
                    if (i != 0) {
                        arrayList.add(dVar.dTi());
                    }
                }
            }
            AppMethodBeat.o(127852);
            return arrayList;
        }
        c.w("TalkRoomSdkApi", new Object[]{"getTalkingMember groupid is not same; multiTalkGroupid: ", str, a.dSR().neq});
        AppMethodBeat.o(127852);
        return null;
    }

    public final boolean e(int i, int i2, int i3, byte[] bArr) {
        AppMethodBeat.i(127853);
        String str = "TalkRoomSdkApi";
        Object[] objArr = new Object[8];
        objArr[0] = "handleMultiTalkResp retCode: ";
        objArr[1] = Integer.valueOf(i);
        objArr[2] = " seq: ";
        objArr[3] = Integer.valueOf(i2);
        objArr[4] = " cmdId: ";
        objArr[5] = Integer.valueOf(i3);
        objArr[6] = " data length: ";
        objArr[7] = Integer.valueOf(bArr == null ? 0 : bArr.length);
        c.w(str, objArr);
        if (i == 0) {
            f.dPx().s(i2, bArr);
        } else {
            f dPx = f.dPx();
            f$a QW = dPx.QW(i2);
            if (QW != null) {
                c.w("NETCMD", new Object[]{"CLTRCV FAIL", Integer.valueOf(i2), QW.Amg, Integer.valueOf(1), Integer.valueOf(i)});
                dPx.a(QW, -1, null);
            }
        }
        AppMethodBeat.o(127853);
        return true;
    }

    public final boolean ck(byte[] bArr) {
        AppMethodBeat.i(127854);
        f.dPx();
        c.w("TalkRoomSdkApi", new Object[]{"handleMultiTalkNotify ret: ", Integer.valueOf(f.cj(bArr))});
        if (f.cj(bArr) == 0) {
            AppMethodBeat.o(127854);
            return true;
        }
        AppMethodBeat.o(127854);
        return false;
    }

    public final boolean rn(boolean z) {
        AppMethodBeat.i(127855);
        c.w("TalkRoomSdkApi", new Object[]{"holadMultiTalk isHold", Boolean.valueOf(z)});
        f dSR;
        if (z) {
            dSR = a.dSR();
            c.d("TalkRoomService", new Object[]{"syscall", "startHoldOn"});
            dSR.AJY = true;
            dSR.rv(false);
            h.aB(new 10(dSR.AJK));
        } else {
            dSR = a.dSR();
            c.d("TalkRoomService", new Object[]{"syscall", "endHoldOn"});
            dSR.AJY = false;
            dSR.dTq();
            if (dSR.cIJ() && dSR.nME) {
                dSR.rv(true);
                h.aB(new 12(dSR.AJK));
            }
        }
        AppMethodBeat.o(127855);
        return true;
    }

    public final void bR(int i, String str) {
        AppMethodBeat.i(127857);
        com.tencent.pb.a.a.a.QX(i);
        com.tencent.pb.a.a.a.atJ(str);
        c.w("TalkRoomSdkApi", new Object[]{"setWxUinAndUsrName uin: ", Integer.valueOf(i), " usrname: ", str});
        AppMethodBeat.o(127857);
    }

    public final boolean zf(int i) {
        AppMethodBeat.i(127858);
        if (a.dSR().cIJ()) {
            c.d("TalkRoomSdkApi", new Object[]{"switchMultiTalkVideo action: ", Integer.valueOf(i)});
            f dSR = a.dSR();
            if (TextUtils.isEmpty(dSR.neq)) {
                c.w("TalkRoomService", new Object[]{"switchMultiTalkVideo mGroupId is null"});
                AppMethodBeat.o(127858);
                return false;
            }
            dSR.AJB = i;
            c.d("TalkRoomService", new Object[]{"switchMultiTalkVideo ret: ", Boolean.valueOf(com.tencent.pb.common.b.e.dPu().a(new l(dSR.neq, dSR.nCF, dSR.sZg, i)))});
            AppMethodBeat.o(127858);
            return com.tencent.pb.common.b.e.dPu().a(new l(dSR.neq, dSR.nCF, dSR.sZg, i));
        }
        c.w("TalkRoomSdkApi", new Object[]{"switchMultiTalkVideo isWorking is false"});
        AppMethodBeat.o(127858);
        return false;
    }

    public final boolean Sj(String str) {
        AppMethodBeat.i(127859);
        if (a.dSR().cIJ()) {
            c.d("TalkRoomSdkApi", new Object[]{"subscribeLargeVideo ownerUserName: ", str});
            f dSR = a.dSR();
            if (TextUtils.isEmpty(dSR.neq)) {
                c.w("TalkRoomService", new Object[]{"subscribeLargeVideo mGroupId null "});
                AppMethodBeat.o(127859);
                return false;
            }
            c.d("TalkRoomService", new Object[]{"subscribeLargeVideo ret: ", Boolean.valueOf(com.tencent.pb.common.b.e.dPu().a(new k(dSR.neq, dSR.nCF, dSR.sZg, str)))});
            AppMethodBeat.o(127859);
            return com.tencent.pb.common.b.e.dPu().a(new k(dSR.neq, dSR.nCF, dSR.sZg, str));
        }
        c.w("TalkRoomSdkApi", new Object[]{"subscribeLargeVideo isWorking is false"});
        AppMethodBeat.o(127859);
        return false;
    }

    public final int a(byte[] bArr, short s, int i, int i2, int i3, int i4) {
        AppMethodBeat.i(127860);
        int a = a.dSR().a(bArr, s, i, i2, i3, i4);
        String str = "TalkRoomSdkApi";
        Object[] objArr = new Object[12];
        objArr[0] = "sendVideo buffer size: ";
        objArr[1] = Integer.valueOf(bArr == null ? 0 : bArr.length);
        objArr[2] = " len: ";
        objArr[3] = Short.valueOf(s);
        objArr[4] = " w: ";
        objArr[5] = Integer.valueOf(i);
        objArr[6] = " h: ";
        objArr[7] = Integer.valueOf(i2);
        objArr[8] = " format: ";
        objArr[9] = Integer.valueOf(i3);
        objArr[10] = " mode: ";
        objArr[11] = Integer.valueOf(i4);
        c.d(str, objArr);
        AppMethodBeat.o(127860);
        return a;
    }

    public final com.tencent.pb.talkroom.sdk.f D(int[] iArr) {
        int i = 0;
        AppMethodBeat.i(127861);
        com.tencent.pb.talkroom.sdk.f D = a.dSR().D(iArr);
        String str = "TalkRoomSdkApi";
        Object[] objArr = new Object[4];
        objArr[0] = "receiveVideo imgBuffer size: ";
        if (iArr != null) {
            i = iArr.length;
        }
        objArr[1] = Integer.valueOf(i);
        objArr[2] = " MultiTalkVideoDecodeInfo: ";
        objArr[3] = D;
        c.d(str, objArr);
        AppMethodBeat.o(127861);
        return D;
    }

    public final com.tencent.pb.talkroom.sdk.g a(byte[] bArr, int i, int i2, int i3, int i4, int[] iArr) {
        int i5 = 0;
        AppMethodBeat.i(127862);
        com.tencent.pb.talkroom.sdk.g a = a.dSR().a(bArr, i, i2, i3, i4, iArr);
        String str = "TalkRoomSdkApi";
        Object[] objArr = new Object[11];
        objArr[0] = "videoTrans recordData size: ";
        objArr[1] = Integer.valueOf(bArr == null ? 0 : bArr.length);
        objArr[2] = " len: ";
        objArr[3] = Integer.valueOf(i);
        objArr[4] = " localImg size: ";
        if (iArr != null) {
            i5 = iArr.length;
        }
        objArr[5] = Integer.valueOf(i5);
        objArr[6] = Integer.valueOf(i2);
        objArr[7] = Integer.valueOf(i3);
        objArr[8] = Integer.valueOf(i4);
        objArr[9] = " multiTalkVideoRGBinfo: ";
        objArr[10] = a;
        c.d(str, objArr);
        AppMethodBeat.o(127862);
        return a;
    }

    public final int setAppCmd(int i, byte[] bArr, int i2) {
        int i3 = -1;
        AppMethodBeat.i(127863);
        f dSR = a.dSR();
        if (dSR.AJD == null) {
            c.w("TalkRoomService", new Object[]{"setAppCmd type: ", Integer.valueOf(i), " engine is null"});
        } else {
            b bVar = dSR.AJD;
            if (bArr == null || bVar.AIV == null) {
                c.w("simon:TalkRoomContext", new Object[]{"steve:setAppCmd null, params:", bArr, ", engine:", bVar.AIV});
            } else {
                i3 = bVar.AIV.setAppCmd(i, bArr, i2);
            }
        }
        c.d("TalkRoomSdkApi", new Object[]{"setAppCmd type: ", Integer.valueOf(i), " paramLen: ", Integer.valueOf(i2), " ret: ", Integer.valueOf(i3)});
        AppMethodBeat.o(127863);
        return i3;
    }

    public final String dPQ() {
        AppMethodBeat.i(127856);
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("client_");
        stringBuilder.append(com.tencent.pb.a.a.a.dPM());
        stringBuilder.append("_");
        stringBuilder.append(System.currentTimeMillis());
        c.w("TalkRoomSdkApi", new Object[]{"genMultiTalkClientId clientId: ", stringBuilder.toString()});
        AppMethodBeat.o(127856);
        return stringBuilder.toString();
    }
}
