package com.facebook.appevents.codeless;

import android.app.Activity;
import android.view.View;
import com.facebook.appevents.codeless.ViewIndexer.ScreenshotTaker;
import com.facebook.appevents.codeless.internal.UnityReflection;
import com.facebook.appevents.codeless.internal.ViewHierarchy;
import com.facebook.appevents.internal.ActivityLifecycleTracker;
import com.facebook.internal.InternalSettings;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.TimerTask;
import java.util.concurrent.FutureTask;
import java.util.concurrent.TimeUnit;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

class ViewIndexer$1 extends TimerTask {
    final /* synthetic */ ViewIndexer this$0;
    final /* synthetic */ Activity val$activity;
    final /* synthetic */ String val$activityName;

    ViewIndexer$1(ViewIndexer viewIndexer, Activity activity, String str) {
        this.this$0 = viewIndexer;
        this.val$activity = activity;
        this.val$activityName = str;
    }

    public void run() {
        AppMethodBeat.i(72075);
        View rootView = this.val$activity.getWindow().getDecorView().getRootView();
        if (!ActivityLifecycleTracker.getIsAppIndexingEnabled()) {
            AppMethodBeat.o(72075);
        } else if (InternalSettings.isUnityApp()) {
            UnityReflection.captureViewHierarchy();
            AppMethodBeat.o(72075);
        } else {
            Object obj;
            FutureTask futureTask = new FutureTask(new ScreenshotTaker(rootView));
            ViewIndexer.access$000(this.this$0).post(futureTask);
            String str = "";
            try {
                obj = (String) futureTask.get(1, TimeUnit.SECONDS);
            } catch (Exception e) {
                ViewIndexer.access$100();
                String obj2 = str;
            }
            try {
                JSONObject jSONObject = new JSONObject();
                try {
                    jSONObject.put("screenname", this.val$activityName);
                    jSONObject.put("screenshot", obj2);
                    JSONArray jSONArray = new JSONArray();
                    jSONArray.put(ViewHierarchy.getDictionaryOfView(rootView));
                    jSONObject.put("view", jSONArray);
                } catch (JSONException e2) {
                    ViewIndexer.access$100();
                }
                ViewIndexer.access$200(this.this$0, jSONObject.toString(), this.val$activityName);
                AppMethodBeat.o(72075);
            } catch (Exception e3) {
                ViewIndexer.access$100();
                AppMethodBeat.o(72075);
            }
        }
    }
}
