package com.tencent.mm.booter;

import android.content.Context;
import android.content.Intent;
import android.os.IBinder;
import com.tencent.mars.comm.WakerLock;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.i;
import com.tencent.mm.a.o;
import com.tencent.mm.kernel.a;
import com.tencent.mm.kernel.api.g;
import com.tencent.mm.modelmulti.k;
import com.tencent.mm.plugin.report.e;
import com.tencent.mm.plugin.zero.PluginZero;
import com.tencent.mm.protocal.x;
import com.tencent.mm.sdk.a.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.service.MMService;

public class NotifyReceiver$NotifyService extends MMService {
    Boolean ecl = null;
    private g ecm;

    static /* synthetic */ void a(NotifyReceiver$NotifyService notifyReceiver$NotifyService, Intent intent) {
        AppMethodBeat.i(57801);
        notifyReceiver$NotifyService.p(intent);
        AppMethodBeat.o(57801);
    }

    public final void onStart(Intent intent, int i) {
        AppMethodBeat.i(57790);
        o(intent);
        AppMethodBeat.o(57790);
    }

    public final int onStartCommand(Intent intent, int i, int i2) {
        AppMethodBeat.i(57791);
        ab.i("MicroMsg.NotifyReceiver", "NotifyService onStartCommand flags :" + i + "startId :" + i2 + " intent " + intent);
        o(intent);
        AppMethodBeat.o(57791);
        return 2;
    }

    public final IBinder Iu() {
        return null;
    }

    public final String getTag() {
        return "MicroMsg.NotifyReceiver";
    }

    private void o(Intent intent) {
        AppMethodBeat.i(57792);
        if (intent == null) {
            ab.e("MicroMsg.NotifyReceiver", "receiveImp receiveIntent == null");
            AppMethodBeat.o(57792);
            return;
        }
        int i;
        if (com.tencent.mm.kernel.g.RQ().eKi.eKC) {
            i = 0;
        } else {
            ab.e("MicroMsg.NotifyReceiver", "summerboot WorkerProfile not has create, status %d", new Object[]{Integer.valueOf(0)});
            if (this.ecm != null) {
                com.tencent.mm.kernel.g.RQ().b(this.ecm);
            }
            this.ecm = new 1(this, System.currentTimeMillis(), intent);
            com.tencent.mm.kernel.g.RQ().a(this.ecm);
            e.pXa.a(99, 213, 1, false);
            i = -1;
        }
        if (i < 0) {
            ab.e("MicroMsg.NotifyReceiver", "summerboot status %s", new Object[]{Integer.valueOf(-1)});
            AppMethodBeat.o(57792);
            return;
        }
        p(intent);
        AppMethodBeat.o(57792);
    }

    private void p(Intent intent) {
        AppMethodBeat.i(57793);
        int intExtra = intent.getIntExtra("notify_option_type", 0);
        if (intExtra == 0) {
            ab.e("MicroMsg.NotifyReceiver", "receiveImp invalid opcode.");
            AppMethodBeat.o(57793);
        } else if (!com.tencent.mm.kernel.g.RK() || a.QT()) {
            ab.e("MicroMsg.NotifyReceiver", "receiveImp hasSetuin:%b  isHold:%b  opcode:%d", new Object[]{Boolean.valueOf(com.tencent.mm.kernel.g.RK()), Boolean.valueOf(a.QT()), Integer.valueOf(intExtra)});
            AppMethodBeat.o(57793);
        } else {
            if (com.tencent.mm.kernel.g.Rg().ftA == null) {
                ab.w("MicroMsg.NotifyReceiver", "receiveImp  opcode:%d  getDispatcher == null", new Object[]{Integer.valueOf(intExtra)});
                com.tencent.mm.kernel.g.Rg().cD(true);
            }
            if (this.ecl == null) {
                NotifyReceiver$NotifyService notifyReceiver$NotifyService;
                boolean z;
                if (b.dnO()) {
                    notifyReceiver$NotifyService = this;
                } else {
                    int i = bo.getInt(((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("AndroidOldNotifyReceiver"), 0);
                    com.tencent.mm.kernel.g.RQ();
                    com.tencent.mm.kernel.g.RN();
                    if (i > i.bL(a.QF(), 100)) {
                        z = true;
                        notifyReceiver$NotifyService = this;
                        notifyReceiver$NotifyService.ecl = Boolean.valueOf(z);
                    } else {
                        notifyReceiver$NotifyService = this;
                    }
                }
                z = false;
                notifyReceiver$NotifyService.ecl = Boolean.valueOf(z);
            }
            ab.i("MicroMsg.NotifyReceiver", "handleCommand useOld:%s operationCode:%d", new Object[]{this.ecl, Integer.valueOf(intExtra)});
            switch (intExtra) {
                case 1:
                    if (this.ecl.booleanValue()) {
                        z(ah.getContext(), "NotifyReceiver.handleCommand:NOTIFY_OPCODE_NETWORK_AVAILABLE");
                    }
                    bt(ah.getContext());
                    AppMethodBeat.o(57793);
                    return;
                case 2:
                    if (this.ecl.booleanValue()) {
                        z(ah.getContext(), "NotifyReceiver.handleCommand:NOTIFY_OPCODE_NOTIFY");
                        r(intent);
                        AppMethodBeat.o(57793);
                        return;
                    }
                    q(intent);
                    AppMethodBeat.o(57793);
                    return;
                default:
                    ab.e("MicroMsg.NotifyReceiver", "invald opCode:".concat(String.valueOf(intExtra)));
                    AppMethodBeat.o(57793);
                    return;
            }
        }
    }

    public final void onCreate() {
        AppMethodBeat.i(57794);
        super.onCreate();
        AppMethodBeat.o(57794);
    }

    public static void jG(String str) {
        AppMethodBeat.i(57795);
        synchronized (NotifyReceiver.Ip()) {
            try {
                if (NotifyReceiver.Iq() == null) {
                    NotifyReceiver.a(new WakerLock(ah.getContext(), "MicroMsg.NotifyReceiver"));
                }
            } finally {
                while (true) {
                }
                AppMethodBeat.o(57795);
            }
        }
        NotifyReceiver.Iq().lock(5000, str);
    }

    private static void z(Context context, String str) {
        AppMethodBeat.i(57796);
        synchronized (NotifyReceiver.Ip()) {
            try {
                if (NotifyReceiver.Iq() == null) {
                    NotifyReceiver.a(new WakerLock(context, "MicroMsg.NotifyReceiver"));
                }
                NotifyReceiver.Iq().lock(14000, str);
            } finally {
                while (true) {
                }
                AppMethodBeat.o(57796);
            }
        }
    }

    private static void A(Context context, String str) {
        AppMethodBeat.i(57797);
        synchronized (NotifyReceiver.access$400()) {
            try {
                if (NotifyReceiver.Ir() == null) {
                    NotifyReceiver.b(new WakerLock(context, "MicroMsg.NotifyReceiver"));
                }
                NotifyReceiver.Ir().lock(60000, str);
            } finally {
                while (true) {
                }
                AppMethodBeat.o(57797);
            }
        }
    }

    private void q(Intent intent) {
        AppMethodBeat.i(57798);
        int intExtra = intent.getIntExtra("notify_respType", 0);
        byte[] byteArrayExtra = intent.getByteArrayExtra("notify_respBuf");
        byte[] byteArrayExtra2 = intent.getByteArrayExtra("notify_skey");
        long longExtra = intent.getLongExtra("notfiy_recv_time", -1);
        String str = "MicroMsg.NotifyReceiver";
        String str2 = "dealWithNotify respType:%d recvTime:%d respBuf:%d sessionkey:%s ";
        Object[] objArr = new Object[4];
        objArr[0] = Integer.valueOf(intExtra);
        objArr[1] = Long.valueOf(longExtra);
        objArr[2] = Integer.valueOf(byteArrayExtra == null ? -1 : byteArrayExtra.length);
        objArr[3] = Integer.valueOf(byteArrayExtra2 == null ? -1 : byteArrayExtra2.length);
        ab.i(str, str2, objArr);
        if (bo.cb(byteArrayExtra2)) {
            ab.e("MicroMsg.NotifyReceiver", "dkpush dealWithNotify session null and ret sessionKey:" + byteArrayExtra2 + " respType:" + intExtra);
            AppMethodBeat.o(57798);
            return;
        }
        int i;
        switch (intExtra) {
            case 39:
                com.tencent.mm.kernel.g.Rg().a(new com.tencent.mm.modelmulti.i(), 0);
                AppMethodBeat.o(57798);
                return;
            case 138:
                int i2;
                if (byteArrayExtra == null) {
                    i2 = 7;
                } else {
                    i2 = o.t(byteArrayExtra, 0);
                }
                i = byteArrayExtra == null ? 2 : 1;
                String str3 = "MicroMsg.NotifyReceiver";
                String str4 = "dkpush NOTIFY or SyncCheck selector:%d scnen:%d  respBuf:%d ";
                Object[] objArr2 = new Object[3];
                objArr2[0] = Integer.valueOf(i2);
                objArr2[1] = Integer.valueOf(i);
                objArr2[2] = Integer.valueOf(byteArrayExtra == null ? -1 : byteArrayExtra.length);
                ab.i(str3, str4, objArr2);
                ((com.tencent.mm.plugin.zero.b.b) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.b.class)).ahW().a((long) i2, i, "");
                AppMethodBeat.o(57798);
                return;
            case 268369921:
                if (bo.cb(byteArrayExtra) || byteArrayExtra.length <= 8) {
                    ab.e("MicroMsg.NotifyReceiver", "dkpush dealWithNotify respBuf error ");
                    AppMethodBeat.o(57798);
                    return;
                }
                int t = o.t(byteArrayExtra, 0);
                i = o.t(byteArrayExtra, 4);
                if (i != byteArrayExtra.length - 8) {
                    ab.e("MicroMsg.NotifyReceiver", "dkpush: respBuf length error len:" + byteArrayExtra.length);
                    AppMethodBeat.o(57798);
                    return;
                }
                byte[] bArr = new byte[i];
                System.arraycopy(byteArrayExtra, 8, bArr, 0, i);
                ab.i("MicroMsg.NotifyReceiver", "dkpush PUSHDATA flag:%d bufLen:%d respBuf:%d recvTime:%d", new Object[]{Integer.valueOf(t), Integer.valueOf(i), Integer.valueOf(byteArrayExtra.length), Long.valueOf(longExtra)});
                k.b(t, bArr, byteArrayExtra2, longExtra);
                AppMethodBeat.o(57798);
                return;
            case 1000000205:
                ab.i("MicroMsg.NotifyReceiver", "oreh on newsynccheck2 notify, notify=" + (byteArrayExtra != null));
                x.b bVar = new x.b();
                ((com.tencent.mm.plugin.zero.b.b) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.b.class)).ahW().a(bVar.vyM, 1, bVar.dmu());
                AppMethodBeat.o(57798);
                return;
            case 2147480001:
                ab.i("MicroMsg.NotifyReceiver", "dkpush FCM Notify");
                ((com.tencent.mm.plugin.zero.b.b) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.b.class)).ahW().a(7, 16, "");
                AppMethodBeat.o(57798);
                return;
            default:
                ((PluginZero) com.tencent.mm.kernel.g.M(PluginZero.class)).uZU.a(this, intExtra, byteArrayExtra, byteArrayExtra2, longExtra);
                AppMethodBeat.o(57798);
                return;
        }
    }

    private void r(Intent intent) {
        AppMethodBeat.i(57799);
        int intExtra = intent.getIntExtra("notify_respType", 0);
        byte[] byteArrayExtra = intent.getByteArrayExtra("notify_respBuf");
        byte[] byteArrayExtra2 = intent.getByteArrayExtra("notify_skey");
        long longExtra = intent.getLongExtra("notfiy_recv_time", -1);
        String str = "MicroMsg.NotifyReceiver";
        String str2 = "dealWithNotify respType:%d recvTime:%d respBuf:%d sessionkey:%s ";
        Object[] objArr = new Object[4];
        objArr[0] = Integer.valueOf(intExtra);
        objArr[1] = Long.valueOf(longExtra);
        objArr[2] = Integer.valueOf(byteArrayExtra == null ? -1 : byteArrayExtra.length);
        objArr[3] = bo.anv(bo.cd(byteArrayExtra2));
        ab.i(str, str2, objArr);
        int i;
        int a;
        switch (intExtra) {
            case 39:
                com.tencent.mm.kernel.g.Rg().a(new com.tencent.mm.modelmulti.i(), 0);
                AppMethodBeat.o(57799);
                return;
            case 138:
                int i2;
                if (byteArrayExtra == null) {
                    i2 = 7;
                } else {
                    i2 = o.t(byteArrayExtra, 0);
                }
                i = byteArrayExtra == null ? 2 : 1;
                String str3 = "MicroMsg.NotifyReceiver";
                String str4 = "dkpush NOTIFY or SyncCheck selector:%d scnen:%d  respBuf:%d ";
                Object[] objArr2 = new Object[3];
                objArr2[0] = Integer.valueOf(i2);
                objArr2[1] = Integer.valueOf(i);
                objArr2[2] = Integer.valueOf(byteArrayExtra == null ? -1 : byteArrayExtra.length);
                ab.d(str3, str4, objArr2);
                try {
                    NotifyReceiver.Is().lock();
                    a = ((com.tencent.mm.plugin.zero.b.b) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.b.class)).ahW().a((long) i2, i, "");
                    if (a > 0) {
                        ab.d("MicroMsg.NotifyReceiver", "add scene hash to memo, hash:%d", new Object[]{Integer.valueOf(a)});
                        NotifyReceiver.It().add(Long.valueOf((long) a));
                        A(ah.getContext(), "NotifyReceiver.dealWithNotify:MMFunc_NewSync");
                    }
                    try {
                        NotifyReceiver.Is().unlock();
                        AppMethodBeat.o(57799);
                        return;
                    } catch (Exception e) {
                        AppMethodBeat.o(57799);
                        return;
                    }
                } catch (Throwable th) {
                    try {
                        NotifyReceiver.Is().unlock();
                    } catch (Exception e2) {
                    }
                    AppMethodBeat.o(57799);
                    throw th;
                }
            case 268369921:
                if (bo.cb(byteArrayExtra2)) {
                    ab.e("MicroMsg.NotifyReceiver", "dkpush dealWithNotify session:".concat(String.valueOf(byteArrayExtra2)));
                    AppMethodBeat.o(57799);
                    return;
                } else if (bo.cb(byteArrayExtra) || byteArrayExtra.length <= 8) {
                    ab.e("MicroMsg.NotifyReceiver", "dkpush dealWithNotify respBuf error ");
                    AppMethodBeat.o(57799);
                    return;
                } else {
                    a = o.t(byteArrayExtra, 0);
                    i = o.t(byteArrayExtra, 4);
                    if (i != byteArrayExtra.length - 8) {
                        ab.e("MicroMsg.NotifyReceiver", "dkpush: respBuf length error len:" + byteArrayExtra.length);
                        AppMethodBeat.o(57799);
                        return;
                    }
                    byte[] bArr = new byte[i];
                    System.arraycopy(byteArrayExtra, 8, bArr, 0, i);
                    ab.i("MicroMsg.NotifyReceiver", "dkpush PUSHDATA flag:%d bufLen:%d respBuf:%d recvTime:%d", new Object[]{Integer.valueOf(a), Integer.valueOf(i), Integer.valueOf(byteArrayExtra.length), Long.valueOf(longExtra)});
                    try {
                        NotifyReceiver.Is().lock();
                        k.b(a, bArr, byteArrayExtra2, longExtra);
                        NotifyReceiver.It().add(Long.valueOf(longExtra));
                        A(ah.getContext(), "NotifyReceiver.NotifyData");
                        try {
                            NotifyReceiver.Is().unlock();
                            AppMethodBeat.o(57799);
                            return;
                        } catch (Exception e3) {
                            AppMethodBeat.o(57799);
                            return;
                        }
                    } catch (Throwable th2) {
                        try {
                            NotifyReceiver.Is().unlock();
                        } catch (Exception e4) {
                        }
                        AppMethodBeat.o(57799);
                        throw th2;
                    }
                }
            case 1000000205:
                ab.d("MicroMsg.NotifyReceiver", "oreh on newsynccheck2 notify, notify=" + (byteArrayExtra != null));
                x.b bVar = new x.b();
                try {
                    bVar.P(byteArrayExtra);
                    NotifyReceiver.Is().lock();
                    a = ((com.tencent.mm.plugin.zero.b.b) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.b.class)).ahW().a(bVar.vyM, 1, bVar.dmu());
                    if (a > 0) {
                        ab.d("MicroMsg.NotifyReceiver", "add scene hash to memo, hash:%d", new Object[]{Integer.valueOf(a)});
                        NotifyReceiver.It().add(Long.valueOf((long) a));
                        A(ah.getContext(), "NotifyReceiver.dealWithNotify:MM_PKT_NEW_SYNC_CHECK2_RESP");
                    }
                    try {
                        NotifyReceiver.Is().unlock();
                        AppMethodBeat.o(57799);
                        return;
                    } catch (Exception e5) {
                        AppMethodBeat.o(57799);
                        return;
                    }
                } catch (Exception e6) {
                    ab.printErrStackTrace("MicroMsg.NotifyReceiver", e6, "", new Object[0]);
                    try {
                        NotifyReceiver.Is().unlock();
                        AppMethodBeat.o(57799);
                        return;
                    } catch (Exception e7) {
                        AppMethodBeat.o(57799);
                        return;
                    }
                } catch (Throwable th22) {
                    try {
                        NotifyReceiver.Is().unlock();
                    } catch (Exception e8) {
                    }
                    AppMethodBeat.o(57799);
                    throw th22;
                }
            case 2147480001:
                ab.d("MicroMsg.NotifyReceiver", "dkpush FCM Notify");
                a = ((com.tencent.mm.plugin.zero.b.b) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.b.class)).ahW().a(7, 16, "");
                try {
                    NotifyReceiver.Is().lock();
                    if (a > 0) {
                        ab.d("MicroMsg.NotifyReceiver", "add scene hash to memo, hash:%d", new Object[]{Integer.valueOf(a)});
                        NotifyReceiver.It().add(Long.valueOf((long) a));
                        A(ah.getContext(), "NotifyReceiver.dealWithNotify:MM_PKT_FCM_NOTIFY");
                    }
                    try {
                        NotifyReceiver.Is().unlock();
                        AppMethodBeat.o(57799);
                        return;
                    } catch (Exception e9) {
                        AppMethodBeat.o(57799);
                        return;
                    }
                } catch (Throwable th222) {
                    try {
                        NotifyReceiver.Is().unlock();
                    } catch (Exception e10) {
                    }
                    AppMethodBeat.o(57799);
                    throw th222;
                }
            default:
                ((PluginZero) com.tencent.mm.kernel.g.M(PluginZero.class)).uZU.a(this, intExtra, byteArrayExtra, byteArrayExtra2, longExtra);
                AppMethodBeat.o(57799);
                return;
        }
    }

    private static void bt(Context context) {
        AppMethodBeat.i(57800);
        ab.i("MicroMsg.NotifyReceiver", "dealWithLooper");
        if (!com.tencent.mm.kernel.g.RK() || a.QT()) {
            ab.w("MicroMsg.NotifyReceiver", "receiveImp hasSetuin:" + com.tencent.mm.kernel.g.RK() + " isHold:" + a.QT());
            AppMethodBeat.o(57800);
        } else if (com.tencent.mm.kernel.g.Rg().foreground || !com.tencent.mm.network.ab.cg(context)) {
            ((com.tencent.mm.plugin.zero.b.b) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.b.class)).ahW().lN(2);
            AppMethodBeat.o(57800);
        } else {
            com.tencent.mm.kernel.g.Rg().a(new com.tencent.mm.modelmulti.i(), 0);
            AppMethodBeat.o(57800);
        }
    }
}
