package com.tencent.mm.plugin.appbrand.jsapi.audio;

import android.app.Activity;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandMainProcessService;
import com.tencent.mm.plugin.appbrand.jsapi.a;
import com.tencent.mm.plugin.appbrand.jsapi.f;
import com.tencent.mm.plugin.appbrand.n;
import com.tencent.mm.plugin.appbrand.page.a.c;
import com.tencent.mm.plugin.appbrand.page.u;
import com.tencent.mm.plugin.appbrand.q;
import com.tencent.mm.plugin.mmsight.segment.FFmpegMetadataRetriever;
import com.tencent.mm.pluginsdk.permission.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import org.json.JSONObject;

public final class JsApiStartRecordVoice extends a<q> {
    public static final int CTRL_INDEX = 31;
    public static final String NAME = "startRecord";
    static volatile String hBi = null;
    private u hAJ;
    private c.a hAK;
    private StartRecordVoice hBj;

    static /* synthetic */ void a(JsApiStartRecordVoice jsApiStartRecordVoice, boolean z) {
        AppMethodBeat.i(130803);
        jsApiStartRecordVoice.dU(z);
        AppMethodBeat.o(130803);
    }

    private void dU(boolean z) {
        AppMethodBeat.i(130801);
        if (this.hAJ == null) {
            AppMethodBeat.o(130801);
        } else if (!al.isMainThread()) {
            al.d(new 3(this, z));
            AppMethodBeat.o(130801);
        } else if (z) {
            this.hAK = com.tencent.mm.plugin.appbrand.page.a.z(this.hAJ.getRuntime()).a(com.tencent.mm.plugin.appbrand.page.a.a.iqH);
            n.xb(this.hAJ.getAppId()).gPf = this.hAK;
            AppMethodBeat.o(130801);
        } else {
            if (this.hAK != null) {
                this.hAK.dismiss();
                this.hAK = null;
            }
            AppMethodBeat.o(130801);
        }
    }

    public final void a(final q qVar, JSONObject jSONObject, int i) {
        boolean z;
        AppMethodBeat.i(130800);
        com.tencent.mm.plugin.appbrand.permission.n.a(qVar.getAppId(), new 4(this, qVar, jSONObject, i));
        Activity activity = qVar.getContext() instanceof Activity ? (Activity) qVar.getContext() : null;
        if (activity == null) {
            qVar.M(i, j("fail", null));
            z = false;
        } else {
            z = b.a(activity, "android.permission.RECORD_AUDIO", 116, "", "");
            if (z) {
                com.tencent.mm.plugin.appbrand.permission.n.Dr(qVar.getAppId());
            }
        }
        if (z) {
            com.tencent.mm.plugin.appbrand.page.q asV = qVar.getRuntime().asV();
            if (asV.getCurrentPage() == null || asV.getCurrentPage().getCurrentPageView() == null) {
                qVar.M(i, j("fail", null));
                AppMethodBeat.o(130800);
                return;
            } else if (hBi != null) {
                qVar.M(i, j("fail:audio is recording, don't start record again", null));
                AppMethodBeat.o(130800);
                return;
            } else {
                this.hAJ = asV.getCurrentPage().getCurrentPageView();
                int optInt = jSONObject.optInt(FFmpegMetadataRetriever.METADATA_KEY_DURATION, 60);
                if (optInt <= 0) {
                    ab.e("MicroMsg.JsApiStartRecordVoice", "duration is invalid, less than 0");
                    optInt = 60;
                }
                if (optInt > 600) {
                    ab.e("MicroMsg.JsApiStartRecordVoice", "duration is invalid, more than %d", new Object[]{Integer.valueOf(600)});
                    optInt = 600;
                }
                this.hAJ.a(new 1(this, qVar));
                this.hAJ.a(new f.c() {
                    public final void onDestroy() {
                        AppMethodBeat.i(130785);
                        JsApiStopRecordVoice.g(qVar);
                        JsApiStartRecordVoice.this.hAJ.b(this);
                        AppMethodBeat.o(130785);
                    }
                });
                this.hBj = new StartRecordVoice(this, qVar, optInt, i);
                hBi = StartRecordVoice.a(this.hBj);
                AppBrandMainProcessService.a(this.hBj);
                dU(true);
                AppMethodBeat.o(130800);
                return;
            }
        }
        qVar.M(i, j("fail", null));
        AppMethodBeat.o(130800);
    }
}
