package com.tencent.mm.plugin.appbrand.jsapi.media;

import android.content.DialogInterface.OnCancelListener;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.BitmapFactory.Options;
import android.media.MediaMetadataRetriever;
import android.media.ThumbnailUtils;
import android.text.TextUtils;
import com.facebook.internal.AnalyticsEvents;
import com.tencent.map.geolocation.internal.TencentExtraKeys;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.e;
import com.tencent.mm.compatible.util.Exif;
import com.tencent.mm.graphics.MMBitmapFactory;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.appbrand.appstorage.AppBrandLocalMediaObjectManager;
import com.tencent.mm.plugin.appbrand.appstorage.AppBrandLocalVideoObject;
import com.tencent.mm.plugin.appbrand.g.b;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask.ProcessRequest;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask.ProcessResult;
import com.tencent.mm.plugin.appbrand.jsapi.media.JsApiChooseMultiMedia.ChooseResult;
import com.tencent.mm.plugin.appbrand.s.c;
import com.tencent.mm.plugin.mmsight.SightParams;
import com.tencent.mm.plugin.mmsight.segment.FFmpegMetadataRetriever;
import com.tencent.mm.pluginsdk.ui.tools.n;
import com.tencent.mm.sdk.platformtools.BackwardSupportUtil.ExifHelper.LatLongData;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.d;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.p;
import com.tencent.mm.ui.base.t;
import java.io.File;
import java.io.IOException;
import org.json.JSONArray;
import org.json.JSONObject;

final class JsApiChooseMultiMedia$a extends AppBrandProxyUIProcessTask {
    private p ejZ;
    int hOZ = 7;
    JsApiChooseMultiMedia$ChooseRequest hPJ;
    ChooseResult hPK = new ChooseResult();
    private OnCancelListener hPa;

    private JsApiChooseMultiMedia$a() {
        AppMethodBeat.i(131235);
        AppMethodBeat.o(131235);
    }

    static /* synthetic */ String Bw(String str) {
        AppMethodBeat.i(131250);
        String Bo = Bo(str);
        AppMethodBeat.o(131250);
        return Bo;
    }

    static /* synthetic */ String Bx(String str) {
        AppMethodBeat.i(131251);
        String Bn = Bn(str);
        AppMethodBeat.o(131251);
        return Bn;
    }

    static /* synthetic */ String By(String str) {
        AppMethodBeat.i(131254);
        String Bv = Bv(str);
        AppMethodBeat.o(131254);
        return Bv;
    }

    static /* synthetic */ AppBrandLocalVideoObject a(JsApiChooseMultiMedia$a jsApiChooseMultiMedia$a, String str, boolean z) {
        AppMethodBeat.i(131252);
        AppBrandLocalVideoObject aj = jsApiChooseMultiMedia$a.aj(str, z);
        AppMethodBeat.o(131252);
        return aj;
    }

    static /* synthetic */ LatLongData aEl() {
        AppMethodBeat.i(131257);
        LatLongData aEk = aEk();
        AppMethodBeat.o(131257);
        return aEk;
    }

    static /* synthetic */ String b(String str, long j, int i, int i2, int i3, String str2, String str3) {
        AppMethodBeat.i(131262);
        String a = a(str, j, i, i2, i3, str2, str3);
        AppMethodBeat.o(131262);
        return a;
    }

    static /* synthetic */ String b(String str, long j, int i, int i2, String str2, String str3) {
        AppMethodBeat.i(131258);
        String a = a(str, j, i, i2, str2, str3);
        AppMethodBeat.o(131258);
        return a;
    }

    static /* synthetic */ void b(JsApiChooseMultiMedia$a jsApiChooseMultiMedia$a, ProcessResult processResult) {
        AppMethodBeat.i(131256);
        jsApiChooseMultiMedia$a.a(processResult);
        AppMethodBeat.o(131256);
    }

    static /* synthetic */ void c(JsApiChooseMultiMedia$a jsApiChooseMultiMedia$a, ProcessResult processResult) {
        AppMethodBeat.i(131259);
        jsApiChooseMultiMedia$a.a(processResult);
        AppMethodBeat.o(131259);
    }

    static /* synthetic */ void d(JsApiChooseMultiMedia$a jsApiChooseMultiMedia$a, ProcessResult processResult) {
        AppMethodBeat.i(131260);
        jsApiChooseMultiMedia$a.a(processResult);
        AppMethodBeat.o(131260);
    }

    static /* synthetic */ void e(JsApiChooseMultiMedia$a jsApiChooseMultiMedia$a, ProcessResult processResult) {
        AppMethodBeat.i(131261);
        jsApiChooseMultiMedia$a.a(processResult);
        AppMethodBeat.o(131261);
    }

    static /* synthetic */ void f(JsApiChooseMultiMedia$a jsApiChooseMultiMedia$a, ProcessResult processResult) {
        AppMethodBeat.i(131263);
        jsApiChooseMultiMedia$a.a(processResult);
        AppMethodBeat.o(131263);
    }

    static /* synthetic */ void g(JsApiChooseMultiMedia$a jsApiChooseMultiMedia$a, ProcessResult processResult) {
        AppMethodBeat.i(131264);
        jsApiChooseMultiMedia$a.a(processResult);
        AppMethodBeat.o(131264);
    }

    static /* synthetic */ void h(JsApiChooseMultiMedia$a jsApiChooseMultiMedia$a, ProcessResult processResult) {
        AppMethodBeat.i(131265);
        jsApiChooseMultiMedia$a.a(processResult);
        AppMethodBeat.o(131265);
    }

    public final void a(ProcessRequest processRequest) {
        int i;
        AppMethodBeat.i(131236);
        this.hPJ = (JsApiChooseMultiMedia$ChooseRequest) processRequest;
        if (bo.gO(aBQ()) > 200) {
            i = 1;
        } else {
            boolean i2 = false;
        }
        if (i2 == 0) {
            t.makeText(aBQ(), ah.getResources().getString(2131296577), 1).show();
        }
        aBQ().ifE = this;
        Intent aEj;
        if (this.hPJ.hOS && this.hPJ.hOT) {
            n.a(aBQ(), 1, this.hPJ.count, this.hOZ, aEj());
            AppMethodBeat.o(131236);
        } else if (this.hPJ.hOT) {
            aEj = aEj();
            aEj.putExtra("show_header_view", false);
            n.a(aBQ(), 1, this.hPJ.count, this.hOZ, aEj);
            AppMethodBeat.o(131236);
        } else if (this.hPJ.hOS) {
            aEj = new Intent();
            aEj.putExtra("album_business_bubble_media_by_coordinate_latitude", this.hPJ.latitude);
            aEj.putExtra("album_business_bubble_media_by_coordinate_longitude", this.hPJ.longitude);
            SightParams sightParams = new SightParams(7, 1);
            sightParams.mode = 0;
            sightParams.fcY.duration = this.hPJ.gLP;
            aEj.putExtra("KEY_SIGHT_PARAMS", sightParams);
            n.a(aBQ(), 2, aEj, 7, 0);
            AppMethodBeat.o(131236);
        } else {
            ab.e("MicroMsg.JsApiChooseMultiMedia", "unknown scene, ignore this request");
            this.hPK.bFZ = -2;
            a(this.hPK);
            AppMethodBeat.o(131236);
        }
    }

    private Intent aEj() {
        AppMethodBeat.i(131237);
        Intent intent = new Intent();
        intent.putExtra("album_business_tag", "album_business_bubble_media_by_coordinate");
        intent.putExtra("album_video_max_duration", this.hPJ.gLP);
        intent.putExtra("album_business_bubble_media_by_coordinate_distance", this.hPJ.fNN);
        intent.putExtra("album_business_bubble_media_by_coordinate_latitude", this.hPJ.latitude);
        intent.putExtra("album_business_bubble_media_by_coordinate_longitude", this.hPJ.longitude);
        intent.putExtra("album_business_bubble_media_by_coordinate_posname", this.hPJ.eUu);
        intent.putExtra("query_media_type", 3);
        intent.putExtra("send_btn_string", ah.getResources().getString(2131296989));
        AppMethodBeat.o(131237);
        return intent;
    }

    /* JADX WARNING: Missing block: B:24:0x00c6, code skipped:
            if (r0 == false) goto L_0x00dc;
     */
    public final void c(int r13, int r14, android.content.Intent r15) {
        /*
        r12 = this;
        r6 = 4636103972657037312; // 0x4056c00000000000 float:0.0 double:91.0;
        r10 = -2;
        r9 = 1;
        r11 = 131238; // 0x200a6 float:1.83904E-40 double:6.484E-319;
        r1 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r11);
        if (r14 != 0) goto L_0x001d;
    L_0x0010:
        r0 = r12.hPK;
        r0.bFZ = r1;
        r0 = r12.hPK;
        r12.a(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
    L_0x001c:
        return;
    L_0x001d:
        if (r15 == 0) goto L_0x0026;
    L_0x001f:
        r0 = "longitude";
        r6 = r15.getDoubleExtra(r0, r6);
    L_0x0026:
        if (r15 == 0) goto L_0x006d;
    L_0x0028:
        r0 = "latitude";
        r2 = 4640572387912318976; // 0x4066a00000000000 float:0.0 double:181.0;
        r4 = r15.getDoubleExtra(r0, r2);
    L_0x0034:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "longitude: %f, latitude: %f.";
        r3 = 2;
        r3 = new java.lang.Object[r3];
        r8 = java.lang.Double.valueOf(r6);
        r3[r1] = r8;
        r8 = java.lang.Double.valueOf(r4);
        r3[r9] = r8;
        com.tencent.mm.sdk.platformtools.ab.d(r0, r2, r3);
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "requestCode: %d.";
        r3 = new java.lang.Object[r9];
        r8 = java.lang.Integer.valueOf(r13);
        r3[r1] = r8;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2, r3);
        switch(r13) {
            case 1: goto L_0x0073;
            case 2: goto L_0x00de;
            default: goto L_0x0060;
        };
    L_0x0060:
        r0 = r12.hPK;
        r0.bFZ = r10;
        r0 = r12.hPK;
        r12.a(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x001c;
    L_0x006d:
        r4 = 4640572387912318976; // 0x4066a00000000000 float:0.0 double:181.0;
        goto L_0x0034;
    L_0x0073:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "REQUEST_CODE_GALLERY";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2);
        if (r15 != 0) goto L_0x008b;
    L_0x007e:
        r0 = r12.hPK;
        r0.bFZ = r1;
        r0 = r12.hPK;
        r12.a(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x001c;
    L_0x008b:
        r0 = "CropImage_OutputPath_List";
        r3 = r15.getStringArrayListExtra(r0);
        r0 = "key_select_video_list";
        r10 = r15.getStringArrayListExtra(r0);
        r0 = "CropImage_Compress_Img";
        r8 = r15.getBooleanExtra(r0, r1);
        r12.aEi();
        if (r8 != 0) goto L_0x00dc;
    L_0x00a5:
        r0 = com.tencent.mm.sdk.platformtools.bo.ek(r3);
        if (r0 != 0) goto L_0x00da;
    L_0x00ab:
        r2 = r3.iterator();
    L_0x00af:
        r0 = r2.hasNext();
        if (r0 == 0) goto L_0x00da;
    L_0x00b5:
        r0 = r2.next();
        r0 = (java.lang.String) r0;
        r0 = com.tencent.mm.compatible.util.Exif.fromFile(r0);
        r0 = r0.getOrientationInDegree();
        if (r0 == 0) goto L_0x00af;
    L_0x00c5:
        r0 = r9;
    L_0x00c6:
        if (r0 == 0) goto L_0x00dc;
    L_0x00c8:
        r0 = com.tencent.mm.plugin.appbrand.r.m.aNS();
        r1 = new com.tencent.mm.plugin.appbrand.jsapi.media.JsApiChooseMultiMedia$a$1;
        r2 = r12;
        r1.<init>(r3, r4, r6, r8, r9, r10);
        r0.aa(r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x001c;
    L_0x00da:
        r0 = r1;
        goto L_0x00c6;
    L_0x00dc:
        r9 = r1;
        goto L_0x00c8;
    L_0x00de:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "REQUEST_CODE_TAKE_MEDIA_CAMERA";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2);
        if (r15 != 0) goto L_0x00f7;
    L_0x00e9:
        r0 = r12.hPK;
        r0.bFZ = r1;
        r0 = r12.hPK;
        r12.a(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x001c;
    L_0x00f7:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "data is valid!";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2);
        r0 = "key_req_result";
        r0 = r15.getParcelableExtra(r0);
        r0 = (com.tencent.mm.plugin.mmsight.SightCaptureResult) r0;
        if (r0 != 0) goto L_0x0122;
    L_0x010b:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r1 = "sight capture result is null!";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = r12.hPK;
        r0.bFZ = r10;
        r0 = r12.hPK;
        r12.a(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x001c;
    L_0x0122:
        r2 = r0.osA;
        if (r2 == 0) goto L_0x017d;
    L_0x0126:
        r3 = r0.osI;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r0 != 0) goto L_0x0139;
    L_0x012e:
        r0 = new java.io.File;
        r0.<init>(r3);
        r0 = r0.exists();
        if (r0 != 0) goto L_0x0154;
    L_0x0139:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "picture_picturePath file is not exist! path:%s";
        r4 = new java.lang.Object[r9];
        r4[r1] = r3;
        com.tencent.mm.sdk.platformtools.ab.e(r0, r2, r4);
        r0 = r12.hPK;
        r0.bFZ = r10;
        r0 = r12.hPK;
        r12.a(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x001c;
    L_0x0154:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "filePath:%s";
        r8 = new java.lang.Object[r9];
        r8[r1] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2, r8);
        r0 = "CropImage_Compress_Img";
        r2 = r15.getBooleanExtra(r0, r1);
        r12.aEi();
        r8 = com.tencent.mm.plugin.appbrand.r.m.aNS();
        r0 = new com.tencent.mm.plugin.appbrand.jsapi.media.JsApiChooseMultiMedia$a$2;
        r1 = r12;
        r0.<init>(r1, r2, r3, r4, r6);
        r8.aa(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x001c;
    L_0x017d:
        r3 = r0.osC;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r0 == 0) goto L_0x019c;
    L_0x0185:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r1 = "mVideoFilePath is null";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = r12.hPK;
        r0.bFZ = r10;
        r0 = r12.hPK;
        r12.a(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x001c;
    L_0x019c:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "mVideoFilePath:%s";
        r8 = new java.lang.Object[r9];
        r8[r1] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2, r8);
        r12.aEi();
        r0 = com.tencent.mm.plugin.appbrand.r.m.aNS();
        r1 = new com.tencent.mm.plugin.appbrand.jsapi.media.JsApiChooseMultiMedia$a$3;
        r2 = r12;
        r1.<init>(r2, r3, r4, r6);
        r0.aa(r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x001c;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.appbrand.jsapi.media.JsApiChooseMultiMedia$a.c(int, int, android.content.Intent):void");
    }

    private static LatLongData aEk() {
        LatLongData latLongData;
        AppMethodBeat.i(131239);
        String string = ah.getContext().getSharedPreferences(ah.doA() + "_locCache", 0).getString("locStr", null);
        if (string != null) {
            String[] split = string.split(",");
            ab.d("MicroMsg.JsApiChooseMultiMedia", "locStr: %s, latitude: %f, longitude: %f", new Object[]{string, Float.valueOf(((float) Integer.valueOf(split[0]).intValue()) / 1000000.0f), Float.valueOf(((float) Integer.valueOf(split[1]).intValue()) / 1000000.0f)});
            latLongData = new LatLongData(r2, r1);
        } else {
            string = (String) g.RP().Ry().get(67591, null);
            if (string != null) {
                try {
                    String[] split2 = string.split(",");
                    int intValue = Integer.valueOf(split2[0]).intValue();
                    string = 1 == Integer.valueOf(split2[1]).intValue() ? "network" : TencentExtraKeys.LOCATION_SOURCE_GPS;
                    ab.d("MicroMsg.JsApiChooseMultiMedia", "cached gps coordinate, precision: %d source: %s latitude: %f longitude: %f", new Object[]{Integer.valueOf(intValue), string, Float.valueOf(((float) Integer.valueOf(split2[2]).intValue()) / 1000000.0f), Float.valueOf(((float) Integer.valueOf(split2[3]).intValue()) / 1000000.0f)});
                    latLongData = new LatLongData(r4, r2);
                } catch (Exception e) {
                    ab.e("MicroMsg.JsApiChooseMultiMedia", "getCurrentGPSData parse value error.", new Object[]{e});
                    latLongData = null;
                }
            } else {
                ab.i("MicroMsg.JsApiChooseMultiMedia", "lbs location is null, no cached data!");
                ab.e("MicroMsg.JsApiChooseMultiMedia", "location get error!");
                latLongData = null;
            }
        }
        AppMethodBeat.o(131239);
        return latLongData;
    }

    private void aEi() {
        AppMethodBeat.i(131240);
        this.hPa = new 4(this);
        MMActivity aBQ = aBQ();
        ah.getResources().getString(2131297061);
        this.ejZ = h.b(aBQ, ah.getResources().getString(2131296579), true, this.hPa);
        AppMethodBeat.o(131240);
    }

    public final void aBX() {
        AppMethodBeat.i(131241);
        super.aBX();
        if (this.ejZ != null) {
            this.ejZ.dismiss();
            this.ejZ = null;
        }
        AppMethodBeat.o(131241);
    }

    /* JADX WARNING: Removed duplicated region for block: B:43:0x01c5  */
    private static java.lang.String Bu(java.lang.String r13) {
        /*
        r0 = 131242; // 0x200aa float:1.83909E-40 double:6.4842E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = 2;
        r4 = new int[r0];
        r2 = 0;
        r1 = new android.media.MediaMetadataRetriever;	 Catch:{ all -> 0x0235 }
        r1.<init>();	 Catch:{ all -> 0x0235 }
        r1.setDataSource(r13);	 Catch:{ all -> 0x01c2 }
        r0 = 18;
        r0 = r1.extractMetadata(r0);	 Catch:{ all -> 0x01c2 }
        r2 = 0;
        r5 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r2);	 Catch:{ all -> 0x01c2 }
        r0 = 19;
        r0 = r1.extractMetadata(r0);	 Catch:{ all -> 0x01c2 }
        r2 = 0;
        r6 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r2);	 Catch:{ all -> 0x01c2 }
        r0 = 0;
        r4[r0] = r5;	 Catch:{ all -> 0x01c2 }
        r0 = 1;
        r4[r0] = r6;	 Catch:{ all -> 0x01c2 }
        r0 = com.tencent.mm.modelcontrol.d.afF();	 Catch:{ all -> 0x01c2 }
        r7 = r0.afK();	 Catch:{ all -> 0x01c2 }
        r2 = r7.width;	 Catch:{ all -> 0x01c2 }
        r3 = r7.height;	 Catch:{ all -> 0x01c2 }
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r8 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01c2 }
        r9 = "scale() called with: decoderOutputWidth = [";
        r8.<init>(r9);	 Catch:{ all -> 0x01c2 }
        r8 = r8.append(r5);	 Catch:{ all -> 0x01c2 }
        r9 = "], decoderOutputHeight = [";
        r8 = r8.append(r9);	 Catch:{ all -> 0x01c2 }
        r8 = r8.append(r6);	 Catch:{ all -> 0x01c2 }
        r9 = "], specWidth = [";
        r8 = r8.append(r9);	 Catch:{ all -> 0x01c2 }
        r8 = r8.append(r2);	 Catch:{ all -> 0x01c2 }
        r9 = "], specHeight = [";
        r8 = r8.append(r9);	 Catch:{ all -> 0x01c2 }
        r8 = r8.append(r3);	 Catch:{ all -> 0x01c2 }
        r9 = "]";
        r8 = r8.append(r9);	 Catch:{ all -> 0x01c2 }
        r8 = r8.toString();	 Catch:{ all -> 0x01c2 }
        com.tencent.mm.sdk.platformtools.ab.d(r0, r8);	 Catch:{ all -> 0x01c2 }
        if (r5 > r2) goto L_0x0149;
    L_0x007a:
        if (r6 > r3) goto L_0x0149;
    L_0x007c:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "calc scale, small or equal to spec size";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2);	 Catch:{ all -> 0x01c2 }
        r0 = 0;
    L_0x0086:
        if (r0 == 0) goto L_0x0092;
    L_0x0088:
        r2 = 0;
        r3 = r0.x;	 Catch:{ all -> 0x01c2 }
        r4[r2] = r3;	 Catch:{ all -> 0x01c2 }
        r2 = 1;
        r0 = r0.y;	 Catch:{ all -> 0x01c2 }
        r4[r2] = r0;	 Catch:{ all -> 0x01c2 }
    L_0x0092:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "r.w: %d r.h: %d para.width: %d para.height: %d out.w: %d out.h: %d.";
        r3 = 6;
        r3 = new java.lang.Object[r3];	 Catch:{ all -> 0x01c2 }
        r8 = 0;
        r5 = java.lang.Integer.valueOf(r5);	 Catch:{ all -> 0x01c2 }
        r3[r8] = r5;	 Catch:{ all -> 0x01c2 }
        r5 = 1;
        r6 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x01c2 }
        r3[r5] = r6;	 Catch:{ all -> 0x01c2 }
        r5 = 2;
        r6 = r7.width;	 Catch:{ all -> 0x01c2 }
        r6 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x01c2 }
        r3[r5] = r6;	 Catch:{ all -> 0x01c2 }
        r5 = 3;
        r6 = r7.height;	 Catch:{ all -> 0x01c2 }
        r6 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x01c2 }
        r3[r5] = r6;	 Catch:{ all -> 0x01c2 }
        r5 = 4;
        r6 = 0;
        r6 = r4[r6];	 Catch:{ all -> 0x01c2 }
        r6 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x01c2 }
        r3[r5] = r6;	 Catch:{ all -> 0x01c2 }
        r5 = 5;
        r6 = 1;
        r6 = r4[r6];	 Catch:{ all -> 0x01c2 }
        r6 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x01c2 }
        r3[r5] = r6;	 Catch:{ all -> 0x01c2 }
        com.tencent.mm.sdk.platformtools.ab.d(r0, r2, r3);	 Catch:{ all -> 0x01c2 }
        r1.release();
        r0 = 0;
        r3 = r4[r0];
        r0 = 1;
        r4 = r4[r0];
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = com.tencent.mm.compatible.util.e.euR;
        r0 = r0.append(r1);
        r1 = "microMsg.";
        r0 = r0.append(r1);
        r6 = java.lang.System.currentTimeMillis();
        r0 = r0.append(r6);
        r1 = ".mp4";
        r0 = r0.append(r1);
        r2 = r0.toString();
        r0 = com.tencent.mm.modelcontrol.d.afF();
        r1 = r0.afK();
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r5 = "para.videoBitrate: %d.";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r8 = r1.videoBitrate;
        r8 = java.lang.Integer.valueOf(r8);
        r6[r7] = r8;
        com.tencent.mm.sdk.platformtools.ab.d(r0, r5, r6);
        r8 = new java.util.concurrent.CountDownLatch;
        r0 = 1;
        r8.<init>(r0);
        r0 = com.tencent.mm.media.g.c.eXz;
        r5 = r1.videoBitrate;
        r6 = r1.fps;
        r7 = new com.tencent.mm.plugin.appbrand.jsapi.media.JsApiChooseMultiMedia$a$5;
        r7.<init>(r8);
        r1 = r13;
        r0 = r0.a(r1, r2, r3, r4, r5, r6, r7);
        r0.Va();
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r1 = "latch await ";
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1);	 Catch:{ InterruptedException -> 0x021f }
        r8.await();	 Catch:{ InterruptedException -> 0x021f }
    L_0x0142:
        r0 = 131242; // 0x200aa float:1.83909E-40 double:6.4842E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        return r2;
    L_0x0149:
        r0 = java.lang.Math.max(r5, r6);	 Catch:{ all -> 0x01c2 }
        r8 = java.lang.Math.min(r5, r6);	 Catch:{ all -> 0x01c2 }
        r9 = java.lang.Math.max(r2, r3);	 Catch:{ all -> 0x01c2 }
        r10 = java.lang.Math.min(r2, r3);	 Catch:{ all -> 0x01c2 }
        r11 = r0 % 16;
        if (r11 != 0) goto L_0x0181;
    L_0x015d:
        r11 = r0 - r9;
        r11 = java.lang.Math.abs(r11);	 Catch:{ all -> 0x01c2 }
        r12 = 16;
        if (r11 >= r12) goto L_0x0181;
    L_0x0167:
        r11 = r8 % 16;
        if (r11 != 0) goto L_0x0181;
    L_0x016b:
        r11 = r8 - r10;
        r11 = java.lang.Math.abs(r11);	 Catch:{ all -> 0x01c2 }
        r12 = 16;
        if (r11 >= r12) goto L_0x0181;
    L_0x0175:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "calc scale, same len divide by 16, no need scale";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2);	 Catch:{ all -> 0x01c2 }
        r0 = 0;
        goto L_0x0086;
    L_0x0181:
        r0 = r0 / 2;
        r8 = r8 / 2;
        r11 = r0 % 16;
        if (r11 != 0) goto L_0x01cf;
    L_0x0189:
        r0 = r0 - r9;
        r0 = java.lang.Math.abs(r0);	 Catch:{ all -> 0x01c2 }
        r9 = 16;
        if (r0 >= r9) goto L_0x01cf;
    L_0x0192:
        r0 = r8 % 16;
        if (r0 != 0) goto L_0x01cf;
    L_0x0196:
        r0 = r8 - r10;
        r0 = java.lang.Math.abs(r0);	 Catch:{ all -> 0x01c2 }
        r8 = 16;
        if (r0 >= r8) goto L_0x01cf;
    L_0x01a0:
        r0 = "MicroMsg.JsApiChooseMultiMedia";
        r2 = "calc scale, double ratio divide by 16";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2);	 Catch:{ all -> 0x01c2 }
        r2 = r5 / 2;
        r0 = r6 / 2;
        r3 = r2 % 2;
        if (r3 == 0) goto L_0x023a;
    L_0x01b1:
        r2 = r2 + 1;
        r3 = r2;
    L_0x01b4:
        r2 = r0 % 2;
        if (r2 == 0) goto L_0x0238;
    L_0x01b8:
        r0 = r0 + 1;
        r2 = r0;
    L_0x01bb:
        r0 = new android.graphics.Point;	 Catch:{ all -> 0x01c2 }
        r0.<init>(r3, r2);	 Catch:{ all -> 0x01c2 }
        goto L_0x0086;
    L_0x01c2:
        r0 = move-exception;
    L_0x01c3:
        if (r1 == 0) goto L_0x01c8;
    L_0x01c5:
        r1.release();
    L_0x01c8:
        r1 = 131242; // 0x200aa float:1.83909E-40 double:6.4842E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        throw r0;
    L_0x01cf:
        r0 = new android.graphics.Point;	 Catch:{ all -> 0x01c2 }
        r0.<init>();	 Catch:{ all -> 0x01c2 }
        if (r5 >= r6) goto L_0x0210;
    L_0x01d6:
        r2 = java.lang.Math.min(r2, r3);	 Catch:{ all -> 0x01c2 }
        r8 = 4607182418800017408; // 0x3ff0000000000000 float:0.0 double:1.0;
        r10 = (double) r5;	 Catch:{ all -> 0x01c2 }
        r8 = r8 * r10;
        r10 = (double) r2;	 Catch:{ all -> 0x01c2 }
        r8 = r8 / r10;
        r10 = (double) r6;	 Catch:{ all -> 0x01c2 }
        r8 = r10 / r8;
        r3 = (int) r8;	 Catch:{ all -> 0x01c2 }
    L_0x01e4:
        r8 = r3 % 2;
        if (r8 == 0) goto L_0x01ea;
    L_0x01e8:
        r3 = r3 + 1;
    L_0x01ea:
        r8 = r2 % 2;
        if (r8 == 0) goto L_0x01f0;
    L_0x01ee:
        r2 = r2 + 1;
    L_0x01f0:
        r8 = "MicroMsg.JsApiChooseMultiMedia";
        r9 = "calc scale, outputsize: %s %s";
        r10 = 2;
        r10 = new java.lang.Object[r10];	 Catch:{ all -> 0x01c2 }
        r11 = 0;
        r12 = java.lang.Integer.valueOf(r2);	 Catch:{ all -> 0x01c2 }
        r10[r11] = r12;	 Catch:{ all -> 0x01c2 }
        r11 = 1;
        r12 = java.lang.Integer.valueOf(r3);	 Catch:{ all -> 0x01c2 }
        r10[r11] = r12;	 Catch:{ all -> 0x01c2 }
        com.tencent.mm.sdk.platformtools.ab.i(r8, r9, r10);	 Catch:{ all -> 0x01c2 }
        r0.x = r2;	 Catch:{ all -> 0x01c2 }
        r0.y = r3;	 Catch:{ all -> 0x01c2 }
        goto L_0x0086;
    L_0x0210:
        r3 = java.lang.Math.min(r2, r3);	 Catch:{ all -> 0x01c2 }
        r8 = 4607182418800017408; // 0x3ff0000000000000 float:0.0 double:1.0;
        r10 = (double) r6;
        r8 = r8 * r10;
        r10 = (double) r3;
        r8 = r8 / r10;
        r10 = (double) r5;
        r8 = r10 / r8;
        r2 = (int) r8;
        goto L_0x01e4;
    L_0x021f:
        r0 = move-exception;
        r1 = "MicroMsg.JsApiChooseMultiMedia";
        r3 = "latch await exception, %s.";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r0 = r0.getMessage();
        r4[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.e(r1, r3, r4);
        goto L_0x0142;
    L_0x0235:
        r0 = move-exception;
        r1 = r2;
        goto L_0x01c3;
    L_0x0238:
        r2 = r0;
        goto L_0x01bb;
    L_0x023a:
        r3 = r2;
        goto L_0x01b4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.appbrand.jsapi.media.JsApiChooseMultiMedia$a.Bu(java.lang.String):java.lang.String");
    }

    private AppBrandLocalVideoObject aj(String str, boolean z) {
        MediaMetadataRetriever mediaMetadataRetriever;
        AppMethodBeat.i(131243);
        if (z) {
            try {
                str = Bu(str);
            } catch (Exception e) {
                ab.e("MicroMsg.JsApiChooseMultiMedia", "addVideoItem, remux failed, exp = %s", new Object[]{bo.l(e)});
            }
        }
        try {
            MediaMetadataRetriever mediaMetadataRetriever2 = new MediaMetadataRetriever();
            mediaMetadataRetriever2.setDataSource(str);
            mediaMetadataRetriever = mediaMetadataRetriever2;
        } catch (Exception e2) {
            ab.e("MicroMsg.JsApiChooseMultiMedia", "addVideoItem, MetaDataRetriever setDataSource failed, e = %s", new Object[]{e2});
            mediaMetadataRetriever = null;
        }
        if (mediaMetadataRetriever == null) {
            ab.e("MicroMsg.JsApiChooseMultiMedia", "addVideoItem, null meta data");
            AppMethodBeat.o(131243);
            return null;
        }
        int i;
        int i2;
        int i3 = bo.getInt(mediaMetadataRetriever.extractMetadata(18), 0);
        int i4 = bo.getInt(mediaMetadataRetriever.extractMetadata(19), 0);
        int i5 = bo.getInt(mediaMetadataRetriever.extractMetadata(9), 0);
        if (!"90".equals(mediaMetadataRetriever.extractMetadata(24)) || i3 <= i4) {
            i = i4;
            i2 = i3;
        } else {
            i = i3;
            i2 = i4;
        }
        mediaMetadataRetriever.release();
        AppBrandLocalVideoObject bs = AppBrandLocalMediaObjectManager.bs(this.hPJ.appId, str);
        if (bs == null) {
            ab.e("MicroMsg.JsApiChooseMultiMedia", "attachVideo error, return null");
            AppMethodBeat.o(131243);
            return null;
        }
        bs.duration = (i5 + 500) / 1000;
        bs.width = i2;
        bs.height = i;
        bs.size = e.cs(str);
        ab.i("MicroMsg.JsApiChooseMultiMedia", "addVideoItem, return %s", new Object[]{bs});
        AppMethodBeat.o(131243);
        return bs;
    }

    private static String Bv(String str) {
        AppMethodBeat.i(131244);
        String str2 = "";
        if (!bo.isNullOrNil(str)) {
            File file = new File(str);
            if (file.exists()) {
                String name = file.getName();
                CharSequence charSequence = null;
                if (!TextUtils.isEmpty(name) && name.contains(".")) {
                    charSequence = name.substring(0, name.lastIndexOf("."));
                }
                if (TextUtils.isEmpty(charSequence)) {
                    str2 = com.tencent.mm.compatible.util.e.euR + ("microMsg_" + System.currentTimeMillis()) + ".jpeg";
                } else if (com.tencent.mm.compatible.util.e.euR == null || !com.tencent.mm.compatible.util.e.euR.endsWith("/")) {
                    str2 = com.tencent.mm.compatible.util.e.euR + "/" + charSequence + System.currentTimeMillis() + ".jpeg";
                } else {
                    str2 = com.tencent.mm.compatible.util.e.euR + charSequence + System.currentTimeMillis() + ".jpeg";
                }
                if (new File(str2).exists()) {
                    ab.i("MicroMsg.JsApiChooseMultiMedia", "file is exist for path:%s!", new Object[]{str2});
                } else {
                    ab.i("MicroMsg.JsApiChooseMultiMedia", "file not exist for path:%s! create it!", new Object[]{str2});
                    Bitmap createVideoThumbnail = ThumbnailUtils.createVideoThumbnail(str, 2);
                    if (createVideoThumbnail == null) {
                        ab.e("MicroMsg.JsApiChooseMultiMedia", "createVideoThumbnail bitmap fail for path:%s!", new Object[]{str2});
                        str2 = "";
                        AppMethodBeat.o(131244);
                        return str2;
                    }
                    try {
                        d.a(createVideoThumbnail, 80, CompressFormat.JPEG, str2, true);
                    } catch (IOException e) {
                        ab.e("MicroMsg.JsApiChooseMultiMedia", "saveBitmapToImage exist IOException:" + e.getMessage());
                    }
                }
            }
        }
        AppMethodBeat.o(131244);
        return str2;
    }

    private static String a(String str, long j, int i, int i2, String str2, String str3) {
        AppMethodBeat.i(131245);
        JSONArray jSONArray = new JSONArray();
        String str4;
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put("type", "image");
            jSONObject.put("tempFilePath", str);
            jSONObject.put("size", j);
            jSONObject.put("width", i);
            jSONObject.put("height", i2);
            jSONObject.put("orientation", str2);
            jSONObject.put("mark", str3);
            jSONObject.put("scene", "camera");
            jSONArray.put(jSONObject);
            ab.i("MicroMsg.JsApiChooseMultiMedia", "parseImageItemToJson, res: %s.", new Object[]{jSONArray.toString()});
            AppMethodBeat.o(131245);
            return str4;
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.JsApiChooseMultiMedia", e, "", new Object[0]);
            str4 = "";
            AppMethodBeat.o(131245);
            return str4;
        }
    }

    private static String a(String str, long j, int i, int i2, int i3, String str2, String str3) {
        AppMethodBeat.i(131246);
        ab.i("MicroMsg.JsApiChooseMultiMedia", "parseImageItemToJson()");
        JSONArray jSONArray = new JSONArray();
        String jSONArray2;
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put("type", AnalyticsEvents.PARAMETER_SHARE_DIALOG_CONTENT_VIDEO);
            jSONObject.put("tempFilePath", str);
            jSONObject.put("size", j);
            jSONObject.put("width", i);
            jSONObject.put("height", i2);
            jSONObject.put(FFmpegMetadataRetriever.METADATA_KEY_DURATION, i3);
            jSONObject.put("thumbTempFilePath", str2);
            jSONObject.put("mark", str3);
            jSONObject.put("scene", "camera");
            jSONArray.put(jSONObject);
            jSONArray2 = jSONArray.toString();
            AppMethodBeat.o(131246);
            return jSONArray2;
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.JsApiChooseMultiMedia", e, "", new Object[0]);
            jSONArray2 = "";
            AppMethodBeat.o(131246);
            return jSONArray2;
        }
    }

    private static String Bo(String str) {
        Bitmap decodeFile;
        AppMethodBeat.i(131247);
        String str2 = com.tencent.mm.compatible.util.e.euR + "microMsg." + System.currentTimeMillis() + ".jpg";
        try {
            decodeFile = MMBitmapFactory.decodeFile(str);
        } catch (OutOfMemoryError e) {
            ab.e("MicroMsg.JsApiChooseMultiMedia", "doCompressImage, decode bmp oom");
            try {
                decodeFile = d.decodeFile(str, null);
            } catch (OutOfMemoryError e2) {
                ab.e("MicroMsg.JsApiChooseMultiMedia", "doCompressImage, decode bmp oom retry, oom again");
                decodeFile = null;
            } catch (Exception e3) {
                ab.e("MicroMsg.JsApiChooseMultiMedia", "doCompressImage, decode bmp oom retry, e ".concat(String.valueOf(e3)));
                decodeFile = null;
            }
        } catch (NullPointerException e4) {
            try {
                decodeFile = d.decodeFile(str, null);
            } catch (Exception e32) {
                ab.e("MicroMsg.JsApiChooseMultiMedia", "doCompressImage, decode bmp npe retry, e ".concat(String.valueOf(e32)));
                decodeFile = null;
            }
        } catch (Exception e322) {
            ab.e("MicroMsg.JsApiChooseMultiMedia", "doCompressImage, decode bmp e ".concat(String.valueOf(e322)));
            decodeFile = null;
        }
        if (decodeFile == null) {
            ab.e("MicroMsg.JsApiChooseMultiMedia", "doCompressImage, decode bmp return null");
            AppMethodBeat.o(131247);
            return null;
        }
        long anU = bo.anU();
        ab.i("MicroMsg.JsApiChooseMultiMedia", "doCompressImage, ret = %b, cost = %d, %s (%d) -> %s (%d)", new Object[]{Boolean.valueOf(c.cU(str2, str)), Long.valueOf(bo.anU() - anU), str, Long.valueOf(new File(str).length()), str2, Long.valueOf(new File(str2).length())});
        if (c.cU(str2, str)) {
            AppMethodBeat.o(131247);
            return str2;
        }
        AppMethodBeat.o(131247);
        return str;
    }

    private static String Bn(String str) {
        AppMethodBeat.i(131248);
        int orientationInDegree = Exif.fromFile(str).getOrientationInDegree();
        if (orientationInDegree != 0) {
            orientationInDegree %= 360;
            try {
                Options options = new Options();
                Bitmap decodeFile = MMBitmapFactory.decodeFile(str, options);
                if (decodeFile == null) {
                    ab.e("MicroMsg.JsApiChooseMultiMedia", "rotate image, get null bmp");
                    AppMethodBeat.o(131248);
                    return str;
                }
                Bitmap b = d.b(decodeFile, (float) orientationInDegree);
                String str2 = com.tencent.mm.compatible.util.e.euR + "microMsg.tmp." + System.currentTimeMillis() + (c.e(options) ? ".jpg" : ".png");
                try {
                    d.a(b, 80, c.e(options) ? CompressFormat.JPEG : CompressFormat.PNG, str2, true);
                    if (c.e(options)) {
                        b.bY(str, str2);
                    }
                    AppMethodBeat.o(131248);
                    return str2;
                } catch (Exception e) {
                    ab.e("MicroMsg.JsApiChooseMultiMedia", "rotate image, exception occurred when saving | %s", new Object[]{e});
                    e.deleteFile(str2);
                    AppMethodBeat.o(131248);
                    return str;
                }
            } catch (OutOfMemoryError e2) {
                AppMethodBeat.o(131248);
                return str;
            } catch (NullPointerException e3) {
                AppMethodBeat.o(131248);
                return str;
            }
        }
        AppMethodBeat.o(131248);
        return str;
    }
}
