package com.tencent.mm.plugin.backup.bakoldlogic.bakoldpcui;

import android.os.Bundle;
import android.os.Looper;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import android.widget.ProgressBar;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.backup.bakoldlogic.bakoldpcmodel.a;
import com.tencent.mm.plugin.backup.bakoldlogic.bakoldpcmodel.e.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.ui.MMWizardActivity;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.widget.a.c;

public class BakOperatingUI extends MMWizardActivity implements d {
    private ak handler = new ak(Looper.getMainLooper());
    private TextView jAA = null;
    private TextView jAB = null;
    private boolean jAC = false;
    private int jAD = 0;
    private boolean jAE = false;
    private int jAt = -1;
    private boolean jAx = false;
    private ProgressBar jAy = null;
    private TextView jAz = null;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public BakOperatingUI() {
        AppMethodBeat.i(17945);
        AppMethodBeat.o(17945);
    }

    static /* synthetic */ void e(BakOperatingUI bakOperatingUI) {
        AppMethodBeat.i(17962);
        bakOperatingUI.aUV();
        AppMethodBeat.o(17962);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(17946);
        ab.i("MicroMsg.BakOperatingUI", "onCreate");
        super.onCreate(bundle);
        if (getIntent().getExtras().getBoolean("WizardRootKillSelf", false)) {
            ab.i("MicroMsg.BakOperatingUI", "onCreate WizardRootKillSelf cmd:%d", new Object[]{Integer.valueOf(this.jAt)});
            AppMethodBeat.o(17946);
            return;
        }
        a.aUB().aUC().a(this);
        a.aUB().aUC().fr(true);
        this.jAC = getIntent().getBooleanExtra("from_bak_banner", false);
        if (this.jAC) {
            int i = a.aUB().aUC().jzL;
            if (2 == i || a.aUB().aUC().jzK == 2) {
                this.jAt = 1;
                this.jAD = a.aUB().aUC().aUM();
            } else if (4 == i) {
                this.jAt = 6;
                this.jAD = a.aUB().aUC().aUM();
            } else if (5 == i) {
                this.jAt = 6;
                this.jAx = true;
                com.tencent.mm.plugin.backup.a.gkE.BV();
                a.aUB().aUC().aSL();
            }
        } else {
            this.jAt = getIntent().getIntExtra("cmd", 6);
        }
        if (this.jAt == 6 && a.aUB().aUC().jzE.jzV) {
            this.jAx = true;
            com.tencent.mm.plugin.backup.a.gkE.BV();
            a.aUB().aUC().aSL();
        }
        ab.i("MicroMsg.BakOperatingUI", "before initView onCreate BakOperatingUI  nowCmd:%d fromBanner:%b status:%d opePercent:%d", new Object[]{Integer.valueOf(this.jAt), Boolean.valueOf(this.jAC), Integer.valueOf(a.aUB().aUC().jzL), Integer.valueOf(this.jAD)});
        initView();
        if (a.aUB().aUC().jzK == 2) {
            this.jAA.setText(getString(2131297395));
            this.jAz.setText(getString(2131297384) + this.jAD + "%");
            this.jAB.setText(getString(2131297394));
            AppMethodBeat.o(17946);
        } else if (6 != this.jAt) {
            if (1 == this.jAt) {
                this.jAA.setText(getString(2131297389));
                this.jAz.setText(getString(2131297378) + this.jAD + "%");
                this.jAB.setText(getString(2131297394));
            }
            AppMethodBeat.o(17946);
        } else if (this.jAx) {
            this.jAA.setText(getString(2131297393));
            this.jAB.setText(getString(2131297392));
            this.jAz.setText(getString(2131297383) + this.jAD + "%");
            AppMethodBeat.o(17946);
        } else {
            this.jAA.setText(getString(2131297396));
            this.jAz.setText(getString(2131297385) + this.jAD + "%");
            this.jAB.setText(getString(2131297394));
            AppMethodBeat.o(17946);
        }
    }

    public final void initView() {
        AppMethodBeat.i(17947);
        setMMTitle(2131297401);
        if (!this.jAx) {
            if (6 == this.jAt) {
                addTextOptionMenu(0, getString(2131297386), new OnMenuItemClickListener() {
                    public final boolean onMenuItemClick(MenuItem menuItem) {
                        AppMethodBeat.i(17933);
                        if (BakOperatingUI.this.jAx) {
                            AppMethodBeat.o(17933);
                        } else {
                            BakOperatingUI.this.jAE = true;
                            BakOperatingUI.c(BakOperatingUI.this);
                            AppMethodBeat.o(17933);
                        }
                        return true;
                    }
                });
            } else if (1 == this.jAt) {
                addTextOptionMenu(0, getString(2131297368), new 4(this));
            } else {
                ab.e("MicroMsg.BakOperatingUI", "BakOperatingUI operate type is invalid");
            }
        }
        setBackBtn(new 5(this));
        this.jAy = (ProgressBar) findViewById(2131821624);
        this.jAy.setProgress(this.jAD);
        this.jAA = (TextView) findViewById(2131821626);
        this.jAB = (TextView) findViewById(2131821627);
        this.jAz = (TextView) findViewById(2131821625);
        AppMethodBeat.o(17947);
    }

    public final int getLayoutId() {
        return 2130968809;
    }

    private void aUV() {
        AppMethodBeat.i(17948);
        a.aUB().aUC().pause();
        c a = h.a(this, 2131297387, 0, 2131297088, 2131296990, new 6(this), new 7(this));
        a.setCanceledOnTouchOutside(false);
        a.setCancelable(false);
        AppMethodBeat.o(17948);
    }

    public void onDestroy() {
        AppMethodBeat.i(17949);
        super.onDestroy();
        a.aUB().aUC().a(null);
        a.aUB().aUC().fr(false);
        ab.i("MicroMsg.BakOperatingUI", "BakOperatingUI onDestroy nowCmd:%d", new Object[]{Integer.valueOf(this.jAt)});
        AppMethodBeat.o(17949);
    }

    public void onStart() {
        AppMethodBeat.i(17950);
        super.onStart();
        AppMethodBeat.o(17950);
    }

    public void onResume() {
        AppMethodBeat.i(17951);
        a.aUB().aUC().fr(true);
        a.aUB().aUC().a(this);
        ab.i("MicroMsg.BakOperatingUI", "onResume nowCmd:%d", new Object[]{Integer.valueOf(this.jAt)});
        super.onResume();
        AppMethodBeat.o(17951);
    }

    public void onPause() {
        AppMethodBeat.i(17952);
        a.aUB().aUC().fr(false);
        super.onPause();
        ab.i("MicroMsg.BakOperatingUI", "onPause nowCmd:%d", new Object[]{Integer.valueOf(this.jAt)});
        AppMethodBeat.o(17952);
    }

    public final synchronized void rI(final int i) {
        AppMethodBeat.i(17953);
        ab.d("MicroMsg.BakOperatingUI", "BakOperatingUI onNetProgress percent:%d, isFinishingWizard:%b", new Object[]{Integer.valueOf(i), Boolean.valueOf(this.jAE)});
        if (this.jAE) {
            AppMethodBeat.o(17953);
        } else {
            this.handler.post(new Runnable() {
                public final void run() {
                    AppMethodBeat.i(17940);
                    if (BakOperatingUI.this.jAy != null) {
                        BakOperatingUI.this.jAy.setProgress(i);
                    }
                    if (BakOperatingUI.this.jAz != null) {
                        int i = 2131297378;
                        int i2 = 2131297389;
                        if (6 == BakOperatingUI.this.jAt) {
                            i = 2131297385;
                            i2 = 2131297396;
                        }
                        BakOperatingUI.this.jAz.setText(BakOperatingUI.this.getString(i) + i + "%");
                        BakOperatingUI.this.jAA.setText(BakOperatingUI.this.getString(i2));
                    }
                    AppMethodBeat.o(17940);
                }
            });
            AppMethodBeat.o(17953);
        }
    }

    public final synchronized void rJ(int i) {
        AppMethodBeat.i(17954);
        if (this.jAE) {
            AppMethodBeat.o(17954);
        } else {
            ab.d("MicroMsg.BakOperatingUI", "BakOperatingUI onMergeProgress percent:%d", new Object[]{Integer.valueOf(i)});
            this.handler.post(new 9(this, i));
            AppMethodBeat.o(17954);
        }
    }

    public final synchronized void aUP() {
        AppMethodBeat.i(17955);
        ab.d("MicroMsg.BakOperatingUI", "onNetFinish now cmd:%d", new Object[]{Integer.valueOf(this.jAt)});
        if (this.jAE) {
            AppMethodBeat.o(17955);
        } else {
            if (6 == this.jAt || 5 == a.aUB().aUC().jzL) {
                this.jAt = 6;
                this.jAx = true;
                com.tencent.mm.plugin.backup.a.gkE.BV();
                a.aUB().aUC().aSL();
            } else {
                ab.e("MicroMsg.BakOperatingUI", "onNetFinish now cmd:%d", new Object[]{Integer.valueOf(this.jAt)});
            }
            this.handler.post(new 10(this));
            AppMethodBeat.o(17955);
        }
    }

    public final synchronized void aSt() {
        AppMethodBeat.i(17956);
        if (this.jAE) {
            AppMethodBeat.o(17956);
        } else {
            this.jAx = false;
            ab.d("MicroMsg.BakOperatingUI", "onMergeFinish now cmd:%d", new Object[]{Integer.valueOf(this.jAt)});
            this.handler.post(new 11(this));
            AppMethodBeat.o(17956);
        }
    }

    public synchronized boolean onKeyDown(int i, KeyEvent keyEvent) {
        boolean z = true;
        synchronized (this) {
            AppMethodBeat.i(17957);
            if (i != 4) {
                z = super.onKeyDown(i, keyEvent);
                AppMethodBeat.o(17957);
            } else if (this.jAx) {
                aUV();
                a.aUB().aUC().pause();
                AppMethodBeat.o(17957);
            } else {
                ab.d("MicroMsg.BakOperatingUI", "onKeyDown keyCode == KeyEvent.KEYCODE_BACK  finishWizard cmd:%d", new Object[]{Integer.valueOf(this.jAt)});
                this.jAE = true;
                a.aUB().aUC().fr(false);
                Ni(1);
                AppMethodBeat.o(17957);
            }
        }
        return z;
    }

    public final void onError(int i) {
        AppMethodBeat.i(17958);
        this.handler.post(new 2(this, i));
        AppMethodBeat.o(17958);
    }

    public final void aUQ() {
        AppMethodBeat.i(17959);
        this.handler.post(new 3(this));
        AppMethodBeat.o(17959);
    }

    static /* synthetic */ void c(BakOperatingUI bakOperatingUI) {
        AppMethodBeat.i(17960);
        bakOperatingUI.Ni(1);
        AppMethodBeat.o(17960);
    }

    static /* synthetic */ void d(BakOperatingUI bakOperatingUI) {
        AppMethodBeat.i(17961);
        bakOperatingUI.Ni(1);
        AppMethodBeat.o(17961);
    }

    static /* synthetic */ void f(BakOperatingUI bakOperatingUI) {
        AppMethodBeat.i(17963);
        bakOperatingUI.Ni(1);
        AppMethodBeat.o(17963);
    }

    static /* synthetic */ void g(BakOperatingUI bakOperatingUI) {
        AppMethodBeat.i(17964);
        bakOperatingUI.Ni(1);
        AppMethodBeat.o(17964);
    }

    static /* synthetic */ void n(BakOperatingUI bakOperatingUI) {
        AppMethodBeat.i(17965);
        bakOperatingUI.Ni(1);
        AppMethodBeat.o(17965);
    }

    static /* synthetic */ void o(BakOperatingUI bakOperatingUI) {
        AppMethodBeat.i(17966);
        bakOperatingUI.Ni(1);
        AppMethodBeat.o(17966);
    }
}
