package com.tencent.mm.plugin.exdevice.j;

import android.app.Activity;
import android.content.Context;
import android.graphics.Rect;
import com.facebook.appevents.AppEventsConstants;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.m.g;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.nio.ByteBuffer;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.UUID;

public final class b {
    public static long KK(String str) {
        int i = 0;
        AppMethodBeat.i(20243);
        if (str == null || str.length() == 0) {
            ab.e("MicroMsg.exdevice.Util", "mac string is null or nil");
            AppMethodBeat.o(20243);
            return 0;
        }
        String[] split = str.toUpperCase(Locale.US).split(":");
        Byte[] bArr = new Byte[split.length];
        int length = split.length;
        int i2 = 0;
        int i3 = 0;
        while (i2 < length) {
            String str2 = split[i2];
            bArr[i3] = Byte.valueOf((byte) ((((byte) str2.charAt(0)) >= (byte) 65 ? ((str2.charAt(0) - 65) + 10) << 4 : (str2.charAt(0) - 48) << 4) | (((byte) str2.charAt(1)) >= (byte) 65 ? (str2.charAt(1) - 65) + 10 : str2.charAt(1) - 48)));
            i2++;
            i3++;
        }
        i2 = split.length - 1;
        long j = 0;
        while (i < bArr.length) {
            j |= (bArr[i].longValue() & 255) << (i2 << 3);
            i++;
            i2--;
        }
        AppMethodBeat.o(20243);
        return j;
    }

    public static String ie(long j) {
        int i = 0;
        AppMethodBeat.i(20244);
        byte[] bArr = new byte[6];
        for (int i2 = 0; i2 < 6; i2++) {
            bArr[i2] = (byte) ((int) (j >> (40 - (i2 << 3))));
        }
        StringBuilder stringBuilder = new StringBuilder();
        while (i < 6) {
            if (i != 0) {
                stringBuilder.append(":");
            }
            int i3 = bArr[i] & 255;
            if (i3 < 16) {
                stringBuilder.append(AppEventsConstants.EVENT_PARAM_VALUE_NO);
            }
            stringBuilder.append(Integer.toHexString(i3));
            i++;
        }
        String toUpperCase = stringBuilder.toString().toUpperCase(Locale.US);
        AppMethodBeat.o(20244);
        return toUpperCase;
    }

    public static String aN(byte[] bArr) {
        AppMethodBeat.i(20245);
        if (bArr == null || bArr.length == 0) {
            AppMethodBeat.o(20245);
            return null;
        }
        String S = S(bArr, bArr.length);
        AppMethodBeat.o(20245);
        return S;
    }

    public static String S(byte[] bArr, int i) {
        AppMethodBeat.i(20246);
        if (bArr == null || bArr.length == 0) {
            AppMethodBeat.o(20246);
            return null;
        }
        if (bArr.length < i) {
            ab.w("MicroMsg.exdevice.Util", "data length is shorter then print command length");
            i = bArr.length;
        }
        StringBuilder stringBuilder = new StringBuilder();
        for (int i2 = 0; i2 < i; i2++) {
            int i3 = bArr[i2] & 255;
            if (i3 < 16) {
                stringBuilder.append(AppEventsConstants.EVENT_PARAM_VALUE_NO);
            }
            stringBuilder.append(Integer.toHexString(i3));
        }
        String toUpperCase = stringBuilder.toString().toUpperCase(Locale.US);
        AppMethodBeat.o(20246);
        return toUpperCase;
    }

    public static long aO(byte[] bArr) {
        long j = 0;
        for (int i = 0; i < 8; i++) {
            j |= (((long) bArr[i]) & 255) << ((7 - i) << 3);
        }
        return j;
    }

    public static String bqh() {
        int i = 7;
        int i2 = 0;
        AppMethodBeat.i(20247);
        String format = new SimpleDateFormat("yyyyMMddHHmmss").format(new Date());
        try {
            i2 = bo.getInt(String.valueOf(Calendar.getInstance().get(7)), 0);
            if (i2 != 1) {
                i = i2 - 1;
            }
        } catch (Exception e) {
            ab.e("MicroMsg.exdevice.Util", "parse day failed : %s", new Object[]{e.getMessage()});
            i = i2;
        }
        String str = format + i;
        AppMethodBeat.o(20247);
        return str;
    }

    /* renamed from: if */
    public static String m1if(long j) {
        int i = 0;
        AppMethodBeat.i(20248);
        byte[] bArr = new byte[6];
        for (int i2 = 0; i2 < 6; i2++) {
            bArr[i2] = (byte) ((int) (j >> (40 - (i2 << 3))));
        }
        StringBuilder stringBuilder = new StringBuilder();
        while (i < 6) {
            int i3 = bArr[i] & 255;
            if (i3 < 16) {
                stringBuilder.append(AppEventsConstants.EVENT_PARAM_VALUE_NO);
            }
            stringBuilder.append(Integer.toHexString(i3));
            i++;
        }
        String toUpperCase = stringBuilder.toString().toUpperCase(Locale.US);
        AppMethodBeat.o(20248);
        return toUpperCase;
    }

    public static String KL(String str) {
        AppMethodBeat.i(20249);
        if (str == null || 12 != str.length()) {
            ab.e("MicroMsg.exdevice.Util", "%s is not server string mac", new Object[]{str});
            AppMethodBeat.o(20249);
            return null;
        }
        StringBuilder stringBuilder = new StringBuilder("");
        int i = 0;
        while (i < str.length()) {
            stringBuilder.append(str.charAt(i));
            if (i % 2 != 0 && i < str.length() - 1) {
                stringBuilder.append(":");
            }
            i++;
        }
        ab.i("MicroMsg.exdevice.Util", "%s to %s is ok", new Object[]{str, stringBuilder.toString()});
        String stringBuilder2 = stringBuilder.toString();
        AppMethodBeat.o(20249);
        return stringBuilder2;
    }

    public static long bqi() {
        long j;
        AppMethodBeat.i(20250);
        String value = g.Nu().getValue("DeviceAutoSyncDuration");
        if (bo.isNullOrNil(value)) {
            j = 60000;
        } else {
            try {
                j = Long.parseLong(value) * 1000;
            } catch (Exception e) {
                ab.e("MicroMsg.exdevice.Util", "parse string to time out long failed : %s", new Object[]{e.getMessage()});
                j = 60000;
            }
        }
        ab.i("MicroMsg.exdevice.Util", "now sync time out is %d", new Object[]{Long.valueOf(j)});
        if (j == 0) {
            AppMethodBeat.o(20250);
            return 60000;
        }
        AppMethodBeat.o(20250);
        return j;
    }

    public static boolean dX(String str, String str2) {
        AppMethodBeat.i(20251);
        ab.i("MicroMsg.exdevice.Util", "isDeviceInDeviceList, device = %s, device list = %s", new Object[]{str, str2});
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            AppMethodBeat.o(20251);
            return false;
        }
        try {
            String[] split = str2.split("\\|");
            if (split == null) {
                ab.e("MicroMsg.exdevice.Util", "null == deviceArray");
                AppMethodBeat.o(20251);
                return false;
            }
            for (String equalsIgnoreCase : split) {
                if (equalsIgnoreCase.equalsIgnoreCase(str)) {
                    AppMethodBeat.o(20251);
                    return true;
                }
            }
            AppMethodBeat.o(20251);
            return false;
        } catch (Exception e) {
            ab.e("MicroMsg.exdevice.Util", "aDeviceList.split failed, %s", new Object[]{e.getMessage()});
            AppMethodBeat.o(20251);
            return false;
        }
    }

    public static String dY(String str, String str2) {
        AppMethodBeat.i(20252);
        ab.i("MicroMsg.exdevice.Util", "addDeviceToDeviceList, device = %s, device list = %s", new Object[]{str, str2});
        if (bo.isNullOrNil(str) || str2 == null) {
            ab.e("MicroMsg.exdevice.Util", "Error parameters!!!");
            AppMethodBeat.o(20252);
            return null;
        }
        ab.i("MicroMsg.exdevice.Util", "add device to device list successful, new device list = %s", new Object[]{((new String() + str2) + str) + "|"});
        AppMethodBeat.o(20252);
        return ((new String() + str2) + str) + "|";
    }

    public static String dZ(String str, String str2) {
        AppMethodBeat.i(20253);
        ab.i("MicroMsg.exdevice.Util", "moveDevicefromDeviceList, device = %s, device list = %s", new Object[]{str, str2});
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            ab.w("MicroMsg.exdevice.Util", "parameters is null or nil");
            AppMethodBeat.o(20253);
            return null;
        }
        try {
            String[] split = str2.split("\\|");
            if (split == null) {
                ab.e("MicroMsg.exdevice.Util", "null == strArray");
                AppMethodBeat.o(20253);
                return null;
            }
            String str3 = new String();
            int i = 0;
            for (String str4 : split) {
                if (str4.equalsIgnoreCase(str)) {
                    i = 1;
                } else {
                    str3 = (str3 + str4) + "|";
                }
            }
            if (i == 0) {
                ab.e("MicroMsg.exdevice.Util", "remove failed!!!, this device is not in the list");
                AppMethodBeat.o(20253);
                return null;
            }
            ab.i("MicroMsg.exdevice.Util", "add device to device list successful, new device list = %s", new Object[]{str2});
            AppMethodBeat.o(20253);
            return str3;
        } catch (Exception e) {
            ab.e("MicroMsg.exdevice.Util", "aDeviceList.split failed!!!, %s", new Object[]{e.getMessage()});
            AppMethodBeat.o(20253);
            return null;
        }
    }

    public static UUID aP(byte[] bArr) {
        AppMethodBeat.i(20254);
        ab.d("MicroMsg.exdevice.Util", "parseUUIDFromByteArray, uuid byte array = %s", new Object[]{aN(bArr)});
        if (bo.cb(bArr)) {
            ab.e("MicroMsg.exdevice.Util", "aUUIDByteArray is null or nil");
            AppMethodBeat.o(20254);
            return null;
        } else if (16 != bArr.length) {
            ab.e("MicroMsg.exdevice.Util", "the length (%d) of this byte array is not 16", new Object[]{Integer.valueOf(bArr.length)});
            AppMethodBeat.o(20254);
            return null;
        } else {
            ByteBuffer allocate = ByteBuffer.allocate(8);
            ByteBuffer allocate2 = ByteBuffer.allocate(8);
            try {
                allocate.put(bArr, 0, 8);
                allocate.flip();
                allocate2.put(bArr, 8, 8);
                allocate2.flip();
                ab.d("MicroMsg.exdevice.Util", "parse successful, string of uuid = %s", new Object[]{new UUID(allocate.getLong(), allocate2.getLong()).toString()});
                AppMethodBeat.o(20254);
                return new UUID(allocate.getLong(), allocate2.getLong());
            } catch (Exception e) {
                ab.e("MicroMsg.exdevice.Util", "%s", new Object[]{e.getMessage()});
                AppMethodBeat.o(20254);
                return null;
            }
        }
    }

    public static boolean c(byte[] bArr, int i, byte[] bArr2) {
        AppMethodBeat.i(20255);
        if (bo.cb(bArr) || bo.cb(bArr2) || bArr2.length + i > bArr.length || i < 0 || i >= bArr.length) {
            AppMethodBeat.o(20255);
            return false;
        }
        int i2 = 0;
        while (i2 < bArr2.length && bArr2[i2] == bArr[i2 + i]) {
            i2++;
        }
        if (i2 != bArr2.length) {
            AppMethodBeat.o(20255);
            return false;
        }
        AppMethodBeat.o(20255);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x0075 A:{SYNTHETIC, Splitter:B:23:0x0075} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x009d A:{SYNTHETIC, Splitter:B:35:0x009d} */
    public static byte[] bQ(java.lang.Object r9) {
        /*
        r3 = 0;
        r8 = 20256; // 0x4f20 float:2.8385E-41 double:1.0008E-319;
        r7 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r4 = new java.io.ByteArrayOutputStream;
        r4.<init>();
        r2 = new java.io.ObjectOutputStream;	 Catch:{ IOException -> 0x004a, all -> 0x0099 }
        r2.<init>(r4);	 Catch:{ IOException -> 0x004a, all -> 0x0099 }
        r2.writeObject(r9);	 Catch:{ IOException -> 0x00c3 }
        r2.flush();	 Catch:{ IOException -> 0x00c3 }
        r0 = r4.toByteArray();	 Catch:{ IOException -> 0x00c3 }
        if (r0 != 0) goto L_0x0026;
    L_0x001d:
        r1 = "MicroMsg.exdevice.Util";
        r3 = "object2bytes result is null";
        com.tencent.mm.sdk.platformtools.ab.e(r1, r3);	 Catch:{ IOException -> 0x00c6 }
    L_0x0026:
        r2.close();	 Catch:{ IOException -> 0x0030 }
    L_0x0029:
        r4.close();	 Catch:{ IOException -> 0x003d }
    L_0x002c:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
    L_0x002f:
        return r0;
    L_0x0030:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r5 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r3, r5);
        goto L_0x0029;
    L_0x003d:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r4 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r3, r4);
        goto L_0x002c;
    L_0x004a:
        r1 = move-exception;
        r2 = r3;
        r0 = r3;
    L_0x004d:
        r3 = "MicroMsg.exdevice.Util";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00c1 }
        r6 = "object2bytes IOException:";
        r5.<init>(r6);	 Catch:{ all -> 0x00c1 }
        r6 = r1.getMessage();	 Catch:{ all -> 0x00c1 }
        r5 = r5.append(r6);	 Catch:{ all -> 0x00c1 }
        r5 = r5.toString();	 Catch:{ all -> 0x00c1 }
        com.tencent.mm.sdk.platformtools.ab.e(r3, r5);	 Catch:{ all -> 0x00c1 }
        r3 = "MicroMsg.exdevice.Util";
        r5 = "";
        r6 = 0;
        r6 = new java.lang.Object[r6];	 Catch:{ all -> 0x00c1 }
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r3, r1, r5, r6);	 Catch:{ all -> 0x00c1 }
        if (r2 == 0) goto L_0x0078;
    L_0x0075:
        r2.close();	 Catch:{ IOException -> 0x007f }
    L_0x0078:
        r4.close();	 Catch:{ IOException -> 0x008c }
    L_0x007b:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x002f;
    L_0x007f:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r5 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r3, r5);
        goto L_0x0078;
    L_0x008c:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r4 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r3, r4);
        goto L_0x007b;
    L_0x0099:
        r0 = move-exception;
        r2 = r3;
    L_0x009b:
        if (r2 == 0) goto L_0x00a0;
    L_0x009d:
        r2.close();	 Catch:{ IOException -> 0x00a7 }
    L_0x00a0:
        r4.close();	 Catch:{ IOException -> 0x00b4 }
    L_0x00a3:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x00a7:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r5 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r3, r5);
        goto L_0x00a0;
    L_0x00b4:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r4 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r3, r4);
        goto L_0x00a3;
    L_0x00c1:
        r0 = move-exception;
        goto L_0x009b;
    L_0x00c3:
        r1 = move-exception;
        r0 = r3;
        goto L_0x004d;
    L_0x00c6:
        r1 = move-exception;
        goto L_0x004d;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.exdevice.j.b.bQ(java.lang.Object):byte[]");
    }

    /* JADX WARNING: Unknown top exception splitter block from list: {B:20:0x0041=Splitter:B:20:0x0041, B:46:0x00d9=Splitter:B:46:0x00d9, B:33:0x008c=Splitter:B:33:0x008c} */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00b4 A:{SYNTHETIC, Splitter:B:36:0x00b4} */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0101 A:{SYNTHETIC, Splitter:B:49:0x0101} */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0128 A:{SYNTHETIC, Splitter:B:60:0x0128} */
    public static java.lang.Object aQ(byte[] r9) {
        /*
        r0 = 0;
        r8 = 20257; // 0x4f21 float:2.8386E-41 double:1.00083E-319;
        r7 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        if (r9 != 0) goto L_0x000d;
    L_0x0009:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
    L_0x000c:
        return r0;
    L_0x000d:
        r3 = new java.io.ByteArrayInputStream;
        r3.<init>(r9);
        r2 = new java.io.ObjectInputStream;	 Catch:{ StreamCorruptedException -> 0x003f, IOException -> 0x008a, ClassNotFoundException -> 0x00d7, all -> 0x0124 }
        r2.<init>(r3);	 Catch:{ StreamCorruptedException -> 0x003f, IOException -> 0x008a, ClassNotFoundException -> 0x00d7, all -> 0x0124 }
        r0 = r2.readObject();	 Catch:{ StreamCorruptedException -> 0x0154, IOException -> 0x0151, ClassNotFoundException -> 0x014f }
        r2.close();	 Catch:{ IOException -> 0x0025 }
    L_0x001e:
        r3.close();	 Catch:{ IOException -> 0x0032 }
    L_0x0021:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x000c;
    L_0x0025:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r4 = "";
        r5 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r4, r5);
        goto L_0x001e;
    L_0x0032:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r4 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r3, r4);
        goto L_0x0021;
    L_0x003f:
        r1 = move-exception;
        r2 = r0;
    L_0x0041:
        r4 = "MicroMsg.exdevice.Util";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x014c }
        r6 = "bytes2object StreamCorruptedException:";
        r5.<init>(r6);	 Catch:{ all -> 0x014c }
        r6 = r1.getMessage();	 Catch:{ all -> 0x014c }
        r5 = r5.append(r6);	 Catch:{ all -> 0x014c }
        r5 = r5.toString();	 Catch:{ all -> 0x014c }
        com.tencent.mm.sdk.platformtools.ab.e(r4, r5);	 Catch:{ all -> 0x014c }
        r4 = "MicroMsg.exdevice.Util";
        r5 = "";
        r6 = 0;
        r6 = new java.lang.Object[r6];	 Catch:{ all -> 0x014c }
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r4, r1, r5, r6);	 Catch:{ all -> 0x014c }
        if (r2 == 0) goto L_0x006c;
    L_0x0069:
        r2.close();	 Catch:{ IOException -> 0x007d }
    L_0x006c:
        r3.close();	 Catch:{ IOException -> 0x0070 }
        goto L_0x0021;
    L_0x0070:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r4 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r3, r4);
        goto L_0x0021;
    L_0x007d:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r4 = "";
        r5 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r4, r5);
        goto L_0x006c;
    L_0x008a:
        r1 = move-exception;
        r2 = r0;
    L_0x008c:
        r4 = "MicroMsg.exdevice.Util";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x014c }
        r6 = "bytes2object IOException:";
        r5.<init>(r6);	 Catch:{ all -> 0x014c }
        r6 = r1.getMessage();	 Catch:{ all -> 0x014c }
        r5 = r5.append(r6);	 Catch:{ all -> 0x014c }
        r5 = r5.toString();	 Catch:{ all -> 0x014c }
        com.tencent.mm.sdk.platformtools.ab.e(r4, r5);	 Catch:{ all -> 0x014c }
        r4 = "MicroMsg.exdevice.Util";
        r5 = "";
        r6 = 0;
        r6 = new java.lang.Object[r6];	 Catch:{ all -> 0x014c }
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r4, r1, r5, r6);	 Catch:{ all -> 0x014c }
        if (r2 == 0) goto L_0x00b7;
    L_0x00b4:
        r2.close();	 Catch:{ IOException -> 0x00ca }
    L_0x00b7:
        r3.close();	 Catch:{ IOException -> 0x00bc }
        goto L_0x0021;
    L_0x00bc:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r4 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r3, r4);
        goto L_0x0021;
    L_0x00ca:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r4 = "";
        r5 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r4, r5);
        goto L_0x00b7;
    L_0x00d7:
        r1 = move-exception;
        r2 = r0;
    L_0x00d9:
        r4 = "MicroMsg.exdevice.Util";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x014c }
        r6 = "bytes2object ClassNotFoundException:";
        r5.<init>(r6);	 Catch:{ all -> 0x014c }
        r6 = r1.getMessage();	 Catch:{ all -> 0x014c }
        r5 = r5.append(r6);	 Catch:{ all -> 0x014c }
        r5 = r5.toString();	 Catch:{ all -> 0x014c }
        com.tencent.mm.sdk.platformtools.ab.e(r4, r5);	 Catch:{ all -> 0x014c }
        r4 = "MicroMsg.exdevice.Util";
        r5 = "";
        r6 = 0;
        r6 = new java.lang.Object[r6];	 Catch:{ all -> 0x014c }
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r4, r1, r5, r6);	 Catch:{ all -> 0x014c }
        if (r2 == 0) goto L_0x0104;
    L_0x0101:
        r2.close();	 Catch:{ IOException -> 0x0117 }
    L_0x0104:
        r3.close();	 Catch:{ IOException -> 0x0109 }
        goto L_0x0021;
    L_0x0109:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r4 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r3, r4);
        goto L_0x0021;
    L_0x0117:
        r1 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r4 = "";
        r5 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r1, r4, r5);
        goto L_0x0104;
    L_0x0124:
        r1 = move-exception;
        r2 = r0;
    L_0x0126:
        if (r2 == 0) goto L_0x012b;
    L_0x0128:
        r2.close();	 Catch:{ IOException -> 0x0132 }
    L_0x012b:
        r3.close();	 Catch:{ IOException -> 0x013f }
    L_0x012e:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r1;
    L_0x0132:
        r0 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r4 = "";
        r5 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r0, r4, r5);
        goto L_0x012b;
    L_0x013f:
        r0 = move-exception;
        r2 = "MicroMsg.exdevice.Util";
        r3 = "";
        r4 = new java.lang.Object[r7];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r0, r3, r4);
        goto L_0x012e;
    L_0x014c:
        r0 = move-exception;
        r1 = r0;
        goto L_0x0126;
    L_0x014f:
        r1 = move-exception;
        goto L_0x00d9;
    L_0x0151:
        r1 = move-exception;
        goto L_0x008c;
    L_0x0154:
        r1 = move-exception;
        goto L_0x0041;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.exdevice.j.b.aQ(byte[]):java.lang.Object");
    }

    public static int J(Context context, int i) {
        i = 0;
        AppMethodBeat.i(20258);
        try {
            Rect rect = new Rect();
            ((Activity) context).getWindow().getDecorView().getWindowVisibleDisplayFrame(rect);
            int height = ((Activity) context).getWindow().getDecorView().getHeight();
            if (height - rect.height() >= 0) {
                height -= rect.height();
            } else {
                height = rect.top;
            }
            if (height > 0) {
                i = height;
            }
            AppMethodBeat.o(20258);
        } catch (Exception e) {
            ab.i("MicroMsg.exdevice.Util", "getStatusHeight err: %s", new Object[]{e.toString()});
            AppMethodBeat.o(20258);
        } catch (Throwable th) {
            AppMethodBeat.o(20258);
        }
        return i;
    }
}
