package com.tencent.mm.plugin.music.ui;

import android.content.Context;
import android.graphics.drawable.PaintDrawable;
import android.graphics.drawable.shapes.RectShape;
import android.os.Looper;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.music.e.e;
import com.tencent.mm.plugin.music.model.c;
import com.tencent.mm.plugin.music.model.c.a;
import com.tencent.mm.pluginsdk.ui.applet.CdnImageView;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.ui.base.d;
import java.util.HashMap;
import java.util.List;
import java.util.Map.Entry;

public final class b extends d implements a {
    int count;
    boolean oMH;
    ak oMs;
    final int oOs;
    final int oOt;
    HashMap<Integer, View> oOu;
    c oOv;
    int oOw;
    int scene;

    public b(Context context, int i, boolean z) {
        super(context);
        AppMethodBeat.i(105083);
        this.oOs = com.tencent.mm.bz.a.fromDPToPix(ah.getContext(), 26);
        this.oOt = com.tencent.mm.bz.a.fromDPToPix(ah.getContext(), 260);
        this.oMs = new ak(Looper.getMainLooper());
        this.oOu = new HashMap();
        this.oOv = new c();
        this.oOv.oMq = this;
        this.scene = i;
        this.oMH = z;
        AppMethodBeat.o(105083);
    }

    public final int getCount() {
        return this.count;
    }

    public final View a(View view, ViewGroup viewGroup, int i) {
        Object view2;
        a aVar;
        AppMethodBeat.i(105084);
        if (view2 == null) {
            view2 = LayoutInflater.from(this.context).inflate(2130970273, viewGroup, false);
            aVar = new a(this);
            aVar.oOz = (MusicItemLayout) view2.findViewById(2131826256);
            aVar.oOE = (TextView) view2.findViewById(2131826261);
            aVar.oOG = (LyricView) view2.findViewById(2131826263);
            aVar.oOA = view2.findViewById(2131826257);
            aVar.oOB = view2.findViewById(2131826259);
            aVar.oOC = view2.findViewById(2131826260);
            aVar.oOD = (CdnImageView) view2.findViewById(2131826258);
            aVar.oOF = (TextView) view2.findViewById(2131826262);
            view2.setTag(aVar);
        } else {
            aVar = (a) view2.getTag();
        }
        List bTW = ((e) com.tencent.mm.plugin.music.f.c.b.ar(e.class)).bTW();
        int size = (i - 100000) % bTW.size();
        if (size < 0) {
            size += bTW.size();
        }
        ab.d("MicroMsg.Music.MusicMainAdapter", "play music index %d", new Object[]{Integer.valueOf(size)});
        com.tencent.mm.plugin.music.model.e.a Tp = com.tencent.mm.plugin.music.model.e.bUk().Tp((String) bTW.get(size));
        this.oOu.put(Integer.valueOf(i), view2);
        aVar.d(Tp, false);
        AppMethodBeat.o(105084);
        return view2;
    }

    public final void zU(int i) {
        AppMethodBeat.i(105085);
        this.oOu.remove(Integer.valueOf(i));
        AppMethodBeat.o(105085);
    }

    public final int bUL() {
        AppMethodBeat.i(105086);
        int size = ((e) com.tencent.mm.plugin.music.f.c.b.ar(e.class)).bTW().size();
        AppMethodBeat.o(105086);
        return size;
    }

    public final void T(final int i, final long j) {
        AppMethodBeat.i(105087);
        al.d(new Runnable() {
            public final void run() {
                AppMethodBeat.i(105072);
                View view = (View) b.this.oOu.get(Integer.valueOf(i));
                if (view != null) {
                    ((a) view.getTag()).oOG.setCurrentTime(j);
                }
                AppMethodBeat.o(105072);
            }
        });
        AppMethodBeat.o(105087);
    }

    public final void a(com.tencent.mm.plugin.music.model.e.a aVar, int[] iArr) {
        AppMethodBeat.i(105088);
        for (Entry value : this.oOu.entrySet()) {
            a aVar2 = (a) ((View) value.getValue()).getTag();
            if (aVar2.oMw.field_musicId.equals(aVar.field_musicId)) {
                ab.i("MicroMsg.Music.MusicMainAdapter", "onColorReady: %s", new Object[]{aVar2.oMw.field_songName});
                int i = iArr[0];
                int i2 = iArr[1];
                aVar2.oOz.setBackgroundColor(i);
                aVar2.oOG.setLyricColor(i2);
                aVar2.oOD.setBackgroundColor(i);
                1 1 = new 1(aVar2, i);
                PaintDrawable paintDrawable = new PaintDrawable();
                paintDrawable.setShape(new RectShape());
                paintDrawable.setShaderFactory(1);
                aVar2.oOB.setBackgroundDrawable(paintDrawable);
                2 2 = new 2(aVar2, (i & 16777215) | 1426063360);
                PaintDrawable paintDrawable2 = new PaintDrawable();
                paintDrawable2.setShape(new RectShape());
                paintDrawable2.setShaderFactory(2);
                aVar2.oOC.setBackgroundDrawable(paintDrawable2);
                aVar2.oOE.setTextColor(i2);
                aVar2.oOF.setTextColor(i2);
                ((MusicMainUI) this.context).i(aVar);
            }
        }
        AppMethodBeat.o(105088);
    }
}
