package com.tencent.mm.plugin.nearlife.ui;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextWatcher;
import android.view.KeyEvent;
import android.view.MenuItem.OnMenuItemClickListener;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.bp.d;
import com.tencent.mm.model.aw;
import com.tencent.mm.modelgeo.Addr;
import com.tencent.mm.modelgeo.c;
import com.tencent.mm.modelgeo.c$a;
import com.tencent.mm.plugin.nearlife.b.b;
import com.tencent.mm.protocal.protobuf.axx;
import com.tencent.mm.protocal.protobuf.bts;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.p;
import com.tencent.mm.ui.q;
import java.util.LinkedList;

public class NearLifeCreatePoiUI extends MMActivity implements f {
    private TextWatcher arx = new 7(this);
    private p ejZ;
    private String hlm;
    private TextView oSA;
    private c oSB;
    private b oSC;
    private OnClickListener oSD = new OnClickListener() {
        public final void onClick(View view) {
            AppMethodBeat.i(22971);
            Intent intent = new Intent();
            intent.putExtra("ui_title", 2131301721);
            if (NearLifeCreatePoiUI.this.oSv != null) {
                intent.putExtra("extra_province", NearLifeCreatePoiUI.this.oSv.fBh);
                intent.putExtra("extra_city", NearLifeCreatePoiUI.this.oSv.fBi);
            }
            d.b(NearLifeCreatePoiUI.this.mController.ylL, "address", ".ui.WalletMultiRcptSelectUI", intent, 1);
            AppMethodBeat.o(22971);
        }
    };
    private OnClickListener oSE = new 2(this);
    private OnClickListener oSF = new OnClickListener() {
        public final void onClick(View view) {
            AppMethodBeat.i(22973);
            NearLifeCreatePoiUI.this.findViewById(2131826282).setVisibility(8);
            NearLifeCreatePoiUI.this.findViewById(2131826283).setVisibility(0);
            NearLifeCreatePoiUI.this.findViewById(2131826285).setVisibility(0);
            AppMethodBeat.o(22973);
        }
    };
    private OnMenuItemClickListener oSG = new 4(this);
    private c$a oSH = new 5(this);
    private OnMenuItemClickListener oSI = new 6(this);
    private axx oSs;
    private String oSt;
    private String oSu;
    private Addr oSv;
    private String oSw;
    private EditText oSx;
    private EditText oSy;
    private TextView oSz;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public NearLifeCreatePoiUI() {
        AppMethodBeat.i(22980);
        AppMethodBeat.o(22980);
    }

    static /* synthetic */ void l(NearLifeCreatePoiUI nearLifeCreatePoiUI) {
        AppMethodBeat.i(22989);
        nearLifeCreatePoiUI.bVq();
        AppMethodBeat.o(22989);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(22981);
        super.onCreate(bundle);
        aw.Rg().a(650, this);
        this.oSs = new axx();
        this.oSs.vRq = getIntent().getFloatExtra("get_lat", -85.0f);
        this.oSs.vRp = getIntent().getFloatExtra("get_lng", -1000.0f);
        this.oSs.wfG = getIntent().getIntExtra("get_preci", 0);
        this.oSs.wfI = "";
        this.oSs.wfJ = 0;
        this.oSs.wfH = "";
        this.oSB = c.agw();
        if (this.oSB != null) {
            this.oSB.a((double) this.oSs.vRq, (double) this.oSs.vRp, this.oSH);
        }
        this.hlm = getIntent().getStringExtra("search_id");
        ab.d("MicroMsg.NearLifeCreatePoiUI", "tofuliutest searchid: %s", new Object[]{this.hlm});
        initView();
        AppMethodBeat.o(22981);
    }

    public final int getLayoutId() {
        return 2130970282;
    }

    public final void initView() {
        AppMethodBeat.i(22982);
        setMMTitle(2131301711);
        ((ViewGroup) findViewById(2131826279)).setOnClickListener(this.oSD);
        ((ViewGroup) findViewById(2131826283)).setOnClickListener(this.oSE);
        ((TextView) findViewById(2131826282)).setOnClickListener(this.oSF);
        findViewById(2131826282).setVisibility(8);
        findViewById(2131826283).setVisibility(0);
        findViewById(2131826285).setVisibility(0);
        this.oSx = (EditText) findViewById(2131826278);
        this.oSy = (EditText) findViewById(2131826281);
        this.oSz = (TextView) findViewById(2131826280);
        this.oSA = (TextView) findViewById(2131826284);
        this.oSx.addTextChangedListener(this.arx);
        this.oSy.addTextChangedListener(this.arx);
        this.oSz.addTextChangedListener(this.arx);
        String bc = bo.bc(getIntent().getStringExtra("get_poi_name"), "");
        if (bc.length() != 0) {
            this.oSx.setText(bc);
            this.oSx.setSelection(bc.length());
        }
        com.tencent.mm.ui.tools.b.c.d(this.oSx).PM(100).a(null);
        com.tencent.mm.ui.tools.b.c.d(this.oSy).PM(400).a(null);
        com.tencent.mm.ui.tools.b.c.d((EditText) findViewById(2131826286)).PM(100).a(null);
        a(0, getString(2131296944), this.oSG, q.b.ymu);
        enableOptionMenu(0, false);
        setBackBtn(this.oSI);
        AppMethodBeat.o(22982);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(22983);
        switch (i) {
            case 1:
                String stringExtra = intent.getStringExtra("karea_result");
                if (!bo.isNullOrNil(stringExtra)) {
                    ((TextView) findViewById(2131826280)).setText(stringExtra.replace(" ", ""));
                    AppMethodBeat.o(22983);
                    return;
                }
                break;
            case 2:
                if (-1 == i2 && intent != null) {
                    this.oSA.setText(bo.nullAsNil(intent.getStringExtra("poi_category")));
                    break;
                }
        }
        AppMethodBeat.o(22983);
    }

    public void onDestroy() {
        AppMethodBeat.i(22984);
        super.onDestroy();
        aw.Rg().b(650, this);
        AppMethodBeat.o(22984);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(22985);
        if (4 == keyEvent.getKeyCode()) {
            bVq();
            AppMethodBeat.o(22985);
            return true;
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(22985);
        return onKeyDown;
    }

    private void bVq() {
        AppMethodBeat.i(22986);
        h.a(this, 2131301705, 2131301711, new 8(this), null);
        AppMethodBeat.o(22986);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(22987);
        ab.i("MicroMsg.NearLifeCreatePoiUI", "errType:%d, errCode:%d, errMsg:%s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), str});
        if (i == 0 && i2 == 0) {
            this.ejZ.dismiss();
            b bVar = (b) mVar;
            Intent intent = new Intent();
            if (this.oSs != null) {
                intent.putExtra("get_lat", this.oSs.vRq);
                intent.putExtra("get_lng", this.oSs.vRp);
            }
            if (this.oSv != null) {
                intent.putExtra("get_city", this.oSv.fBi);
            }
            intent.putExtra("get_poi_address", this.oSu);
            intent.putExtra("get_poi_classify_id", bVar.oRf);
            intent.putExtra("get_poi_name", this.oSt);
            intent.putExtra("get_poi_classify_type", 1);
            setResult(-1, intent);
            finish();
            AppMethodBeat.o(22987);
            return;
        }
        this.ejZ.dismiss();
        Toast.makeText(this.mController.ylL, getString(2131301709), 1).show();
        this.oSC = null;
        AppMethodBeat.o(22987);
    }

    static /* synthetic */ LinkedList g(NearLifeCreatePoiUI nearLifeCreatePoiUI) {
        AppMethodBeat.i(22988);
        String charSequence = ((TextView) nearLifeCreatePoiUI.findViewById(2131826284)).getText().toString();
        LinkedList linkedList = new LinkedList();
        linkedList.add(new bts().alV(charSequence));
        AppMethodBeat.o(22988);
        return linkedList;
    }
}
