package com.tencent.mm.plugin.voiceprint.ui;

import android.os.Bundle;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.AlphaAnimation;
import android.view.animation.AnimationSet;
import android.view.animation.TranslateAnimation;
import android.widget.Button;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.util.b;
import com.tencent.mm.model.aw;
import com.tencent.mm.plugin.voiceprint.model.m;
import com.tencent.mm.plugin.voiceprint.model.p;
import com.tencent.mm.plugin.voiceprint.model.p$a;
import com.tencent.mm.plugin.voiceprint.model.p.1;
import com.tencent.mm.plugin.voiceprint.ui.VoiceTipInfoView.3;
import com.tencent.mm.plugin.voiceprint.ui.a.7;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.ap;
import com.tencent.mm.sdk.platformtools.ap.a;
import com.tencent.mm.sdk.platformtools.ay;
import com.tencent.mm.ui.MMActivity;
import java.io.File;
import java.util.Arrays;

public abstract class BaseVoicePrintUI extends MMActivity {
    private final ap nNC = new ap(new a() {
        public final boolean BI() {
            AppMethodBeat.i(26132);
            if (BaseVoicePrintUI.this.sLN == null) {
                AppMethodBeat.o(26132);
            } else {
                int maxAmplitude;
                p a = BaseVoicePrintUI.this.sLN;
                if (a.chd != null) {
                    maxAmplitude = a.chd.getMaxAmplitude();
                    if (maxAmplitude > p.cri) {
                        p.cri = maxAmplitude;
                    }
                    ab.d("MicroMsg.VoicePrintRecoder", " map: " + maxAmplitude + " max:" + p.cri + " per:" + ((maxAmplitude * 100) / p.cri));
                    maxAmplitude = (maxAmplitude * 100) / p.cri;
                } else {
                    maxAmplitude = 0;
                }
                BaseVoicePrintUI.a(BaseVoicePrintUI.this, (float) maxAmplitude);
                AppMethodBeat.o(26132);
            }
            return true;
        }
    }, true);
    private boolean nNt = false;
    Button sLJ;
    View sLK;
    VoicePrintVolumeMeter sLL;
    VoiceTipInfoView sLM;
    p sLN = null;
    String sLO = null;
    private boolean sLP = false;
    private View sLQ;
    private boolean sLR = false;
    private final p$a sLS = new 1(this);
    ap sLT = new ap(new 4(this), true);
    private ak sLU = new ak(Looper.getMainLooper(), new ak.a() {
        public final boolean handleMessage(Message message) {
            AppMethodBeat.i(26135);
            if (message.what == 1) {
                ab.d("MicroMsg.BaseVoicePrintUI", "start record");
                ay.a(ah.getContext(), 2131304021, new ay.a() {
                    public final void EA() {
                        AppMethodBeat.i(26134);
                        ab.i("MicroMsg.BaseVoicePrintUI", "play press sound end");
                        AppMethodBeat.o(26134);
                    }
                });
                BaseVoicePrintUI.this.sLO = "voice_pt_voice_print_record.rec";
                p a = BaseVoicePrintUI.this.sLN;
                String d = BaseVoicePrintUI.this.sLO;
                BaseVoicePrintUI baseVoicePrintUI = BaseVoicePrintUI.this;
                a.fileName = d;
                ab.d("MicroMsg.VoicePrintRecoder", "start filename %s", new Object[]{a.fileName});
                aw.ZL().a(a);
                int KM = aw.ZL().KM();
                a.sth = false;
                a.gar = new b(baseVoicePrintUI);
                if (KM != 0) {
                    a.gE(100);
                } else {
                    new 1(a).sendEmptyMessageDelayed(0, 50);
                }
                BaseVoicePrintUI.this.nNC.ae(100, 100);
                BaseVoicePrintUI baseVoicePrintUI2 = BaseVoicePrintUI.this;
                baseVoicePrintUI2.sLM.cIh();
                VoiceTipInfoView voiceTipInfoView = baseVoicePrintUI2.sLM;
                ab.d("MicroMsg.VoiceTipInfoView", "hideTitle, titleTv.getVisibility:%d, mAnimingTitle:%b", new Object[]{Integer.valueOf(voiceTipInfoView.iDT.getVisibility()), Boolean.valueOf(voiceTipInfoView.sMN)});
                if (voiceTipInfoView.iDT.getVisibility() != 0 || voiceTipInfoView.sMN) {
                    ab.d("MicroMsg.VoiceTipInfoView", "hideTitle, directly set to INVISIBLE");
                    voiceTipInfoView.iDT.clearAnimation();
                    voiceTipInfoView.iDT.setVisibility(4);
                    voiceTipInfoView.iDT.invalidate();
                } else {
                    voiceTipInfoView.iDT.clearAnimation();
                    voiceTipInfoView.sMN = true;
                    a.a(voiceTipInfoView.iDT, voiceTipInfoView.getContext(), new 3(voiceTipInfoView));
                }
                baseVoicePrintUI2.sLM.setTipText(baseVoicePrintUI2.sLs);
                baseVoicePrintUI2.sLT.stopTimer();
                baseVoicePrintUI2.sLT.ae(500, 500);
                baseVoicePrintUI2.sLK.setVisibility(0);
                VoicePrintVolumeMeter voicePrintVolumeMeter = baseVoicePrintUI2.sLL;
                voicePrintVolumeMeter.reset();
                voicePrintVolumeMeter.mIsPlaying = true;
                long j = (long) VoicePrintVolumeMeter.nOt;
                voicePrintVolumeMeter.sMw.ae(j, j);
                voicePrintVolumeMeter.cIc();
                AppMethodBeat.o(26135);
                return true;
            }
            AppMethodBeat.o(26135);
            return false;
        }
    });
    String sLs = null;

    public abstract void bKm();

    public abstract void cHU();

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void i(BaseVoicePrintUI baseVoicePrintUI) {
        baseVoicePrintUI.sLQ.setVisibility(0);
        if (baseVoicePrintUI.sLR) {
            baseVoicePrintUI.sLQ.setVisibility(0);
            return;
        }
        baseVoicePrintUI.sLR = true;
        View view = baseVoicePrintUI.sLQ;
        Button button = baseVoicePrintUI.sLJ;
        8 8 = new 8(baseVoicePrintUI);
        view.clearAnimation();
        int[] iArr = new int[2];
        button.getLocationOnScreen(iArr);
        ab.d("MicroMsg.VoiceViewAnimationHelper", "showFromAnchorView, anchorLocation:%s", new Object[]{Arrays.toString(iArr)});
        int[] iArr2 = new int[2];
        view.getLocationOnScreen(iArr2);
        ab.d("MicroMsg.VoiceViewAnimationHelper", "showFromAnchorView, yStartDelta:%d", new Object[]{Integer.valueOf(iArr[1] - iArr2[1])});
        TranslateAnimation translateAnimation = new TranslateAnimation(0.0f, 0.0f, (float) r1, 0.0f);
        AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 1.0f);
        AnimationSet animationSet = new AnimationSet(true);
        animationSet.addAnimation(translateAnimation);
        animationSet.addAnimation(alphaAnimation);
        animationSet.setInterpolator(new AccelerateInterpolator());
        animationSet.setDuration(300);
        animationSet.setFillAfter(true);
        animationSet.setRepeatCount(0);
        animationSet.setAnimationListener(new 7(8));
        view.startAnimation(animationSet);
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.mController.hideTitleView();
        this.sLM = (VoiceTipInfoView) findViewById(2131828462);
        this.sLJ = (Button) findViewById(2131828464);
        this.sLK = findViewById(2131824678);
        this.sLL = (VoicePrintVolumeMeter) findViewById(2131824679);
        this.sLQ = findViewById(2131828465);
        this.sLM.cIh();
        this.sLL.setArchView(this.sLJ);
        this.sLN = new p();
        this.sLN.sLE = this.sLS;
        this.sLJ.setOnTouchListener(new 10(this));
        findViewById(2131823808).setOnClickListener(new 2(this));
        bKm();
    }

    /* Access modifiers changed, original: protected|final */
    public final void cHR() {
        al.n(new 7(this), 1300);
    }

    /* Access modifiers changed, original: protected|final */
    public final void cHS() {
        if (this.sLQ.getVisibility() != 4 && this.sLQ.getVisibility() != 8) {
            if (this.sLR) {
                this.sLQ.setVisibility(4);
                return;
            }
            this.sLR = true;
            a.a(this.sLQ, this, new 9(this));
        }
    }

    public final int getLayoutId() {
        return 2130971016;
    }

    public void onDestroy() {
        super.onDestroy();
        VoicePrintVolumeMeter voicePrintVolumeMeter = this.sLL;
        voicePrintVolumeMeter.sMw.stopTimer();
        voicePrintVolumeMeter.sMv.oAl.getLooper().quit();
        ab.d("MicroMsg.VoicePrintVolumeMeter", "destroy, quit factor thread");
        ab.d("MicroMsg.VoicePrintLogic", "delete voiceprint voice file");
        File file = new File(m.by("voice_pt_voice_print_record.rec", false));
        if (file.exists()) {
            file.delete();
        }
        file = new File(m.by("voice_pt_voice_print_noise_detect.rec", false));
        if (file.exists()) {
            file.delete();
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final void cHT() {
        FV(2131304303);
    }

    /* Access modifiers changed, original: protected|final */
    public final void FV(int i) {
        this.sLM.bQt();
        this.sLM.setErr(i);
        this.sLM.cIg();
    }
}
