package com.tencent.mm.pluginsdk.ui.tools;

import android.text.format.DateFormat;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.platformtools.g;
import com.tencent.mm.pluginsdk.ui.tools.FileExplorerUI.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

class FileExplorerUI$a extends BaseAdapter {
    String fUJ;
    final /* synthetic */ FileExplorerUI vtZ;
    private File vuc;
    private File vud;
    private File[] vue;

    private FileExplorerUI$a(FileExplorerUI fileExplorerUI) {
        this.vtZ = fileExplorerUI;
    }

    /* synthetic */ FileExplorerUI$a(FileExplorerUI fileExplorerUI, byte b) {
        this(fileExplorerUI);
    }

    public final void g(File file, File file2) {
        AppMethodBeat.i(105847);
        this.vuc = file;
        if (file2.getAbsolutePath().equalsIgnoreCase(this.fUJ)) {
            this.vuc = null;
        }
        this.vud = file2;
        if (this.vud.canRead() && this.vud.isDirectory()) {
            this.vue = this.vud.listFiles(new 1(this));
            if (this.vue == null) {
                this.vue = new File[0];
            }
            if (this.vue.length > 0) {
                a(this.vue);
                AppMethodBeat.o(105847);
                return;
            }
        }
        this.vue = new File[0];
        AppMethodBeat.o(105847);
    }

    public final int getCount() {
        int i = 0;
        if (this.vue == null) {
            return 0;
        }
        int length = this.vue.length;
        if (this.vuc != null) {
            i = 1;
        }
        return i + length;
    }

    public final Object getItem(int i) {
        AppMethodBeat.i(105848);
        if (this.vuc == null || i != 0) {
            ab.d("FileExplorer", "pos:" + i + ", subFile length:" + this.vue.length);
            File[] fileArr = this.vue;
            if (this.vuc != null) {
                i--;
            }
            Object obj = fileArr[i];
            AppMethodBeat.o(105848);
            return obj;
        }
        File file = this.vuc;
        AppMethodBeat.o(105848);
        return file;
    }

    public final long getItemId(int i) {
        return 0;
    }

    public final View getView(int i, View view, ViewGroup viewGroup) {
        AppMethodBeat.i(105849);
        if (view == null) {
            view = View.inflate(this.vtZ, 2130970016, null);
            c cVar = new c(this.vtZ, (byte) 0);
            cVar.iqT = (ImageView) view.findViewById(2131825695);
            cVar.gxi = (TextView) view.findViewById(2131823901);
            cVar.vuh = (TextView) view.findViewById(2131825707);
            view.setTag(cVar);
        }
        c cVar2 = (c) view.getTag();
        File file = (File) getItem(i);
        if (file == this.vuc) {
            cVar2.gxi.setText(file.getName());
            cVar2.iqT.setImageResource(2130839897);
            cVar2.vuh.setVisibility(0);
        } else {
            cVar2.iqT.setImageResource(FileExplorerUI.X(file));
            cVar2.gxi.setText(file.getName());
            cVar2.vuh.setText(DateFormat.format("yyyy-MM-dd hh:mm:ss", file.lastModified()).toString() + (file.isDirectory() ? "" : "  " + bo.ga(file.length())));
        }
        AppMethodBeat.o(105849);
        return view;
    }

    private void a(File[] fileArr) {
        byte b = (byte) 0;
        AppMethodBeat.i(105850);
        if (fileArr == null || fileArr.length == 0) {
            AppMethodBeat.o(105850);
            return;
        }
        int i;
        ArrayList arrayList = new ArrayList();
        ArrayList<FileExplorerUI$b> arrayList2 = new ArrayList();
        for (File file : fileArr) {
            FileExplorerUI$b fileExplorerUI$b = new FileExplorerUI$b(this.vtZ, (byte) 0);
            fileExplorerUI$b.file = file;
            fileExplorerUI$b.vug = g.vo(file.getName()).toUpperCase();
            if (file.isDirectory()) {
                arrayList.add(fileExplorerUI$b);
            } else {
                arrayList2.add(fileExplorerUI$b);
            }
        }
        Collections.sort(arrayList, new 2(this));
        Collections.sort(arrayList2, new 3(this));
        Iterator it = arrayList.iterator();
        while (true) {
            i = b;
            if (!it.hasNext()) {
                break;
            }
            fileArr[i] = ((FileExplorerUI$b) it.next()).file;
            b = i + 1;
        }
        for (FileExplorerUI$b fileExplorerUI$b2 : arrayList2) {
            fileArr[i] = fileExplorerUI$b2.file;
            i++;
        }
        AppMethodBeat.o(105850);
    }
}
