package com.tencent.mm.ui.chatting.c.c;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.w;
import com.tencent.mm.g.a.lo;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.appbrand.config.WxaAttributes;
import com.tencent.mm.plugin.appbrand.config.WxaExposedParams;
import com.tencent.mm.plugin.appbrand.service.d;
import com.tencent.mm.protocal.protobuf.ajz;
import com.tencent.mm.protocal.protobuf.aka;
import com.tencent.mm.sdk.b.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.appbrand.b;
import com.tencent.mm.ui.appbrand.b.2;
import com.tencent.mm.ui.chatting.c.b.r;

public final class a extends c {
    private com.tencent.mm.ui.appbrand.a appBrandServiceActionSheet;
    private String appId;
    private int emC;
    private String hID;
    private String hIE;
    private String hIF;
    private String hIG;
    private String hIH;
    private String mSceneId;
    private WxaExposedParams yTl;
    private boolean yTm;
    private c<lo> yTn = new 1(this);
    private String yTo = "";

    public a() {
        AppMethodBeat.i(31891);
        AppMethodBeat.o(31891);
    }

    public final void dxx() {
        AppMethodBeat.i(31892);
        this.emC = this.cgL.yTx.getIntExtra("app_brand_chatting_from_scene", 1);
        this.yTl = (WxaExposedParams) this.cgL.yTx.getParcelableExtra("app_brand_chatting_expose_params");
        this.mSceneId = bo.nullAsNil(this.cgL.yTx.getStringExtra("key_scene_id"));
        ab.i("MicroMsg.AppBrandServiceComponent", "onChattingInit() fromScene:%d wxaExposedParams:%s mSceneId:%s", new Object[]{Integer.valueOf(this.emC), this.yTl, this.mSceneId});
        this.hID = this.cgL.yTx.getStringExtra("keyPrivateAppId");
        if (!bo.isNullOrNil(this.hID)) {
            this.hIE = this.cgL.yTx.getStringExtra("keyPrivateUserName");
            this.hIF = this.cgL.yTx.getStringExtra("keyPrivateTitle");
            this.hIG = this.cgL.yTx.getStringExtra("keyPrivateSubTitle");
            this.hIH = this.cgL.yTx.getStringExtra("keyPrivateHeadImage");
            ab.i("MicroMsg.AppBrandServiceComponent", "onChattingInit customized appId:%s, username:%s, title:%s, subtitle:%s, headImage:%s", new Object[]{this.hID, this.hIE, this.hIF, this.hIG, this.hIH});
        }
        this.appBrandServiceActionSheet = new com.tencent.mm.ui.appbrand.a(this.cgL.yTx.getContext());
        WxaAttributes zb = ((d) g.K(d.class)).zb(this.cgL.getTalkerUserName());
        boolean z = zb != null && (zb.field_appOpt & 2) > 0;
        this.yTm = z;
        String talkerUserName = this.cgL.getTalkerUserName();
        String appId = getAppId();
        com.tencent.mm.ai.b.a aVar = new com.tencent.mm.ai.b.a();
        aVar.fsI = 2912;
        aVar.uri = "/cgi-bin/mmbiz-bin/wxabusiness/getkefusessioninfo";
        aVar.fsL = 0;
        aVar.fsM = 0;
        ajz ajz = new ajz();
        talkerUserName = b.aqJ(talkerUserName);
        if (bo.isNullOrNil(talkerUserName)) {
            ajz.csB = appId;
            ajz.wpz = "";
        } else {
            ajz.csB = b.zm(talkerUserName);
            ajz.wpz = appId;
        }
        aVar.fsJ = ajz;
        aVar.fsK = new aka();
        w.a(aVar.acD(), new 2());
        AppMethodBeat.o(31892);
    }

    public final void dxA() {
        AppMethodBeat.i(31893);
        this.yTn.dnU();
        AppMethodBeat.o(31893);
    }

    public final void dxB() {
        AppMethodBeat.i(31894);
        this.yTn.dead();
        AppMethodBeat.o(31894);
    }

    public final void dEm() {
        AppMethodBeat.i(31895);
        ab.i("MicroMsg.AppBrandServiceComponent", "updateStaticTitle()");
        if (bo.isNullOrNil(this.hIF)) {
            this.cgL.yTx.setMMTitle(this.cgL.dDw());
        } else {
            this.cgL.yTx.setMMTitle(this.hIF);
        }
        if (bo.isNullOrNil(this.hIG)) {
            this.yTo = b.aqK(b.aqJ(this.cgL.getTalkerUserName()));
            if (bo.isNullOrNil(this.yTo)) {
                this.cgL.yTx.setMMSubTitle(2131296834);
            } else {
                this.cgL.yTx.setMMSubTitle(ah.getContext().getString(2131296834) + "-" + this.yTo);
            }
        } else {
            this.cgL.yTx.setMMSubTitle(this.hIG);
        }
        if (this.yTm) {
            ((r) this.cgL.aF(r.class)).OA(0);
            AppMethodBeat.o(31895);
            return;
        }
        ((r) this.cgL.aF(r.class)).OA(8);
        AppMethodBeat.o(31895);
    }

    public final void dFq() {
        AppMethodBeat.i(31896);
        this.cgL.yTx.addIconOptionMenu(0, 2131296731, 2130839555, new 2(this));
        AppMethodBeat.o(31896);
    }

    /* Access modifiers changed, original: protected|final */
    public final String getAppId() {
        AppMethodBeat.i(31897);
        if (!bo.isNullOrNil(this.hID)) {
            this.appId = this.hID;
        }
        if (bo.isNullOrNil(this.appId)) {
            WxaAttributes zb = ((d) g.K(d.class)).zb(this.cgL.getTalkerUserName());
            this.appId = zb == null ? null : zb.field_appId;
        }
        if (bo.isNullOrNil(this.appId)) {
            ab.e("MicroMsg.AppBrandServiceComponent", "error, appId is null");
        }
        String str = this.appId;
        AppMethodBeat.o(31897);
        return str;
    }

    public final String dFr() {
        return this.hIH;
    }
}
