package com.tencent.mm.ui.chatting.l.a;

import android.os.Bundle;
import android.util.SparseArray;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.storage.bi;
import com.tencent.mm.ui.chatting.c.b.h;
import com.tencent.mm.ui.chatting.c.b.r;
import com.tencent.mm.ui.chatting.c.b.s;
import com.tencent.mm.ui.chatting.d.a;
import com.tencent.mm.ui.chatting.f.d;
import com.tencent.mm.ui.chatting.l.b;
import com.tencent.mm.ui.chatting.l.e;
import com.tencent.mm.ui.chatting.view.MMChattingListView;

public final class c extends a {
    private boolean zan = false;
    private boolean zao = false;

    public c(a aVar, d dVar) {
        super(aVar, dVar);
    }

    public final void a(d.a aVar, boolean z, Bundle bundle) {
        boolean z2 = true;
        AppMethodBeat.i(32725);
        if (aVar == d.a.yYu) {
            if (bundle == null) {
                bundle = new Bundle();
            }
            if (this.zan) {
                ab.w("MicroMsg.ChattingLoader.ChattingGetDataPresenter", "[onLoad] has tongue position before");
                bundle.putBoolean("has_position_tongue", true);
            } else if (this.zao) {
                bundle.putBoolean("has_position_search", true);
            }
        } else if (aVar == d.a.yYw) {
            boolean z3;
            if (bundle == null || bundle.getInt("SCENE") != 2) {
                z3 = false;
            } else {
                z3 = true;
            }
            this.zan = z3;
            if (bundle == null || bundle.getInt("SCENE") != 1) {
                z2 = false;
            }
            this.zao = z2;
            ab.i("MicroMsg.ChattingLoader.ChattingGetDataPresenter", "[onLoad] has tongue position!");
        }
        super.a(aVar, z, bundle);
        AppMethodBeat.o(32725);
    }

    /* Access modifiers changed, original: protected|final */
    public final e a(d.a aVar, Bundle bundle, d.d dVar) {
        AppMethodBeat.i(32726);
        boolean z = bundle != null && bundle.getInt("SCENE") == 1;
        b bVar = new b(this.cgL.getTalkerUserName(), aVar, bundle, this.zah, this.yZQ, this.yZR, this.zag, dVar, z);
        AppMethodBeat.o(32726);
        return bVar;
    }

    public final void a(MMChattingListView mMChattingListView, d.d<bi> dVar) {
        long j;
        AppMethodBeat.i(32727);
        int size = dVar.yYB.size();
        int i = dVar.enb;
        int i2 = dVar.selection;
        SparseArray sparseArray = dVar.yYD;
        d.a aVar = dVar.yYA;
        bi biVar = (bi) sparseArray.get(0);
        bi biVar2 = (bi) sparseArray.get(sparseArray.size() - 1);
        super.a(mMChattingListView, dVar);
        if (dVar.yYA != d.a.yYu) {
            mMChattingListView.getListView().setTranscriptMode(0);
        }
        if (sparseArray.size() <= 6 && i > 6) {
            ab.e("MicroMsg.ChattingLoader.ChattingGetDataPresenter", "[onViewUpdate] may be err! talker:%s", new Object[]{this.cgL.getTalkerUserName()});
        }
        int preCount;
        int height;
        switch (1.yZG[dVar.yYA.ordinal()]) {
            case 1:
                mMChattingListView.qd(false);
                this.cgL.qp(true);
                break;
            case 2:
                if (dVar.yYz != null && dVar.yYz.getBoolean("need_scroll_to_bottom", false)) {
                    mMChattingListView.qd(false);
                    this.cgL.qp(true);
                    this.zan = false;
                }
                this.zao = false;
                break;
            case 3:
                if (dVar.yYz == null || !dVar.yYz.getBoolean("load_bottom", false)) {
                    preCount = mMChattingListView.getPreCount() + 1;
                    height = (mMChattingListView.getListView().getHeight() - dHg()) - mMChattingListView.getBottomHeight();
                    this.cgL.ho(preCount, height);
                    ab.i("MicroMsg.ChattingLoader.ChattingGetDataPresenter", "selection:" + preCount + " offset:" + height + " curCount:" + mMChattingListView.getCurCount() + " preCount:" + mMChattingListView.getPreCount());
                } else {
                    this.cgL.qp(true);
                    ((s) this.cgL.aF(s.class)).dEA();
                    ab.i("MicroMsg.ChattingLoader.ChattingGetDataPresenter", "after enter load bottom!");
                }
                mMChattingListView.qd(false);
                break;
            case 4:
                Object obj = (dVar.yYz == null || dVar.yYz.getInt("SCENE") != 1) ? null : 1;
                if (obj != null) {
                    Pj(dVar.selection);
                    ab.i("MicroMsg.ChattingLoader.ChattingGetDataPresenter", "isFromSearch! selection:" + dVar.selection);
                    break;
                } else if (dVar.yYz != null) {
                    mMChattingListView.a(false, null);
                    j = dVar.yYz.getLong("MSG_ID", 0);
                    for (height = sparseArray.size() - 1; height >= 0; height--) {
                        bi biVar3 = (bi) sparseArray.get(height);
                        if (biVar3 != null && biVar3.field_msgId == j) {
                            preCount = height;
                            height = Math.max(0, preCount);
                            dVar.selection = height;
                            ((h) this.cgL.aF(h.class)).Ov(dVar.selection);
                            Pj(dVar.selection);
                            ab.i("MicroMsg.ChattingLoader.ChattingGetDataPresenter", "pos:" + height + " msgId:" + j);
                            break;
                        }
                    }
                    preCount = 0;
                    height = Math.max(0, preCount);
                    dVar.selection = height;
                    ((h) this.cgL.aF(h.class)).Ov(dVar.selection);
                    Pj(dVar.selection);
                    ab.i("MicroMsg.ChattingLoader.ChattingGetDataPresenter", "pos:" + height + " msgId:" + j);
                }
                break;
            case 5:
                mMChattingListView.qc(false);
                preCount = mMChattingListView.getCurCount() - mMChattingListView.getPreCount();
                this.cgL.ho(preCount + 1, dHg() + mMChattingListView.getTopHeight());
                height = mMChattingListView.getCurCount() - mMChattingListView.getPreCount();
                ab.i("MicroMsg.ChattingLoader.ChattingGetDataPresenter", "select:" + preCount + " curCount:" + mMChattingListView.getCurCount() + " preCount:" + mMChattingListView.getPreCount());
                if (height > 0) {
                    ((h) this.cgL.aF(h.class)).Ow(height);
                    break;
                }
                break;
        }
        mMChattingListView.setIsTopShowAll(true);
        mMChattingListView.setIsBottomShowAll(true);
        long j2 = 0;
        if (biVar != null) {
            j2 = biVar.field_createTime;
        }
        j = 0;
        if (biVar2 != null) {
            j = biVar2.field_createTime;
        }
        ab.i("MicroMsg.ChattingLoader.ChattingGetDataPresenter", "[onViewUpdate] talker:%s action:%s loadedCount:%s allCount:%s selection:%s lastTopCreateTime:%s lastBottomCreateTime:%s", new Object[]{this.cgL.getTalkerUserName(), aVar, Integer.valueOf(size), Integer.valueOf(i), Integer.valueOf(i2), Long.valueOf(j2), Long.valueOf(j)});
        g.RS().aa(new a(this, mMChattingListView, this.cgL.getTalkerUserName(), j2, j, (byte) 0));
        AppMethodBeat.o(32727);
    }

    private int dHg() {
        AppMethodBeat.i(32728);
        int dEx = ((r) this.cgL.aF(r.class)).dEx();
        AppMethodBeat.o(32728);
        return dEx;
    }
}
