package com.tencent.mm.ui.gridviewheaders;

import android.content.Context;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Build.VERSION;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewConfiguration;
import android.view.ViewGroup.LayoutParams;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.GridView;
import android.widget.ListAdapter;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.ui.gridviewheaders.c.b;
import com.tencent.mm.ui.gridviewheaders.c.d;
import java.util.ArrayList;

public class GridHeadersGridView extends GridView implements OnScrollListener, OnItemClickListener, OnItemLongClickListener, OnItemSelectedListener {
    private DataSetObserver PL;
    private OnItemSelectedListener Up;
    private OnItemClickListener arw;
    protected int ath;
    private ak mHandler;
    private int mNumColumns;
    private int mScrollState;
    private int mTouchSlop;
    private OnItemLongClickListener oiQ;
    private OnScrollListener rLS;
    protected boolean ysL;
    private int ysw;
    private int ysx;
    private Runnable yxd;
    private final Rect zyA;
    private boolean zyB;
    private boolean zyC;
    private int zyD;
    private long zyE;
    private int zyF;
    private float zyG;
    private boolean zyH;
    private int zyI;
    c zyJ;
    d zyK;
    private e zyL;
    private View zyM;
    protected c zyN;
    protected int zyO;
    private boolean zyP;
    public a zyx;
    public b zyy;
    private boolean zyz;

    class a extends f implements Runnable {
        private a() {
            super(GridHeadersGridView.this, (byte) 0);
        }

        /* synthetic */ a(GridHeadersGridView gridHeadersGridView, byte b) {
            this();
        }

        public final void run() {
            AppMethodBeat.i(107363);
            View PE = GridHeadersGridView.this.PE(GridHeadersGridView.this.zyO);
            if (PE != null) {
                boolean z;
                GridHeadersGridView.a(GridHeadersGridView.this, GridHeadersGridView.this.zyO);
                if (!dJl() || GridHeadersGridView.this.ysL) {
                    z = false;
                } else {
                    GridHeadersGridView gridHeadersGridView = GridHeadersGridView.this;
                    if (gridHeadersGridView.zyK != null) {
                        z = gridHeadersGridView.zyK.dJj();
                    } else {
                        z = false;
                    }
                    if (z) {
                        if (PE != null) {
                            PE.sendAccessibilityEvent(2);
                        }
                        gridHeadersGridView.performHapticFeedback(0);
                    }
                }
                if (z) {
                    GridHeadersGridView.this.ath = -2;
                    GridHeadersGridView.this.setPressed(false);
                    PE.setPressed(false);
                    AppMethodBeat.o(107363);
                    return;
                }
                GridHeadersGridView.this.ath = 2;
            }
            AppMethodBeat.o(107363);
        }
    }

    static /* synthetic */ void a(GridHeadersGridView gridHeadersGridView) {
        AppMethodBeat.i(107401);
        gridHeadersGridView.reset();
        AppMethodBeat.o(107401);
    }

    static /* synthetic */ int b(GridHeadersGridView gridHeadersGridView) {
        AppMethodBeat.i(107403);
        int windowAttachCount = gridHeadersGridView.getWindowAttachCount();
        AppMethodBeat.o(107403);
        return windowAttachCount;
    }

    static /* synthetic */ int c(GridHeadersGridView gridHeadersGridView) {
        AppMethodBeat.i(107404);
        int windowAttachCount = gridHeadersGridView.getWindowAttachCount();
        AppMethodBeat.o(107404);
        return windowAttachCount;
    }

    public GridHeadersGridView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 16842865);
    }

    public GridHeadersGridView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(107373);
        this.mHandler = new ak();
        this.zyz = true;
        this.zyA = new Rect();
        this.zyE = -1;
        this.PL = new 1(this);
        this.zyI = 1;
        this.mScrollState = 0;
        this.zyP = true;
        super.setOnScrollListener(this);
        setVerticalFadingEdgeEnabled(false);
        if (!this.zyH) {
            this.mNumColumns = -1;
        }
        this.mTouchSlop = ViewConfiguration.get(context).getScaledTouchSlop();
        AppMethodBeat.o(107373);
    }

    public final View PE(int i) {
        AppMethodBeat.i(107374);
        View view;
        if (i == -2) {
            view = this.zyM;
            AppMethodBeat.o(107374);
            return view;
        }
        try {
            view = (View) getChildAt(i).getTag();
            AppMethodBeat.o(107374);
            return view;
        } catch (Exception e) {
            AppMethodBeat.o(107374);
            return null;
        }
    }

    public View getStickiedHeader() {
        return this.zyM;
    }

    public boolean getStickyHeaderIsTranscluent() {
        return !this.zyP;
    }

    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
        AppMethodBeat.i(107375);
        this.arw.onItemClick(adapterView, view, this.zyN.PD(i).mPosition, j);
        AppMethodBeat.o(107375);
    }

    public boolean onItemLongClick(AdapterView<?> adapterView, View view, int i, long j) {
        AppMethodBeat.i(107376);
        boolean onItemLongClick = this.oiQ.onItemLongClick(adapterView, view, this.zyN.PD(i).mPosition, j);
        AppMethodBeat.o(107376);
        return onItemLongClick;
    }

    public void onItemSelected(AdapterView<?> adapterView, View view, int i, long j) {
        AppMethodBeat.i(107377);
        this.Up.onItemSelected(adapterView, view, this.zyN.PD(i).mPosition, j);
        AppMethodBeat.o(107377);
    }

    public void onNothingSelected(AdapterView<?> adapterView) {
        AppMethodBeat.i(107378);
        this.Up.onNothingSelected(adapterView);
        AppMethodBeat.o(107378);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        AppMethodBeat.i(107379);
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.zyz = savedState.zyU;
        requestLayout();
        AppMethodBeat.o(107379);
    }

    public Parcelable onSaveInstanceState() {
        AppMethodBeat.i(107380);
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.zyU = this.zyz;
        AppMethodBeat.o(107380);
        return savedState;
    }

    public void onScroll(AbsListView absListView, int i, int i2, int i3) {
        AppMethodBeat.i(107381);
        if (this.rLS != null) {
            this.rLS.onScroll(absListView, i, i2, i3);
        }
        if (VERSION.SDK_INT >= 8) {
            PF(i);
        }
        AppMethodBeat.o(107381);
    }

    public void onScrollStateChanged(AbsListView absListView, int i) {
        AppMethodBeat.i(107382);
        if (this.rLS != null) {
            this.rLS.onScrollStateChanged(absListView, i);
        }
        this.mScrollState = i;
        AppMethodBeat.o(107382);
    }

    public void setAdapter(ListAdapter listAdapter) {
        b bVar;
        AppMethodBeat.i(107384);
        if (!(this.zyN == null || this.PL == null)) {
            this.zyN.unregisterDataSetObserver(this.PL);
        }
        if (!this.zyC) {
            this.zyB = true;
        }
        if (listAdapter instanceof b) {
            bVar = (b) listAdapter;
        } else if (listAdapter instanceof e) {
            bVar = new f((e) listAdapter);
        } else {
            bVar = new d(listAdapter);
        }
        this.zyN = new c(getContext(), this, bVar);
        this.zyN.registerDataSetObserver(this.PL);
        reset();
        super.setAdapter(this.zyN);
        AppMethodBeat.o(107384);
    }

    public void setAreHeadersSticky(boolean z) {
        AppMethodBeat.i(107385);
        if (z != this.zyz) {
            this.zyz = z;
            requestLayout();
        }
        AppMethodBeat.o(107385);
    }

    public void setClipToPadding(boolean z) {
        AppMethodBeat.i(107386);
        super.setClipToPadding(z);
        this.zyB = z;
        this.zyC = true;
        AppMethodBeat.o(107386);
    }

    public void setColumnWidth(int i) {
        AppMethodBeat.i(107387);
        super.setColumnWidth(i);
        this.zyD = i;
        AppMethodBeat.o(107387);
    }

    public void setHorizontalSpacing(int i) {
        AppMethodBeat.i(107388);
        super.setHorizontalSpacing(i);
        this.ysw = i;
        AppMethodBeat.o(107388);
    }

    public void setNumColumns(int i) {
        AppMethodBeat.i(107389);
        super.setNumColumns(i);
        this.zyH = true;
        this.mNumColumns = i;
        if (!(i == -1 || this.zyN == null)) {
            this.zyN.setNumColumns(i);
        }
        AppMethodBeat.o(107389);
    }

    public void setOnHeaderClickListener(c cVar) {
        this.zyJ = cVar;
    }

    public void setOnHeaderLongClickListener(d dVar) {
        AppMethodBeat.i(107390);
        if (!isLongClickable()) {
            setLongClickable(true);
        }
        this.zyK = dVar;
        AppMethodBeat.o(107390);
    }

    public void setOnItemClickListener(OnItemClickListener onItemClickListener) {
        AppMethodBeat.i(107391);
        this.arw = onItemClickListener;
        super.setOnItemClickListener(this);
        AppMethodBeat.o(107391);
    }

    public void setOnItemLongClickListener(OnItemLongClickListener onItemLongClickListener) {
        AppMethodBeat.i(107392);
        this.oiQ = onItemLongClickListener;
        super.setOnItemLongClickListener(this);
        AppMethodBeat.o(107392);
    }

    public void setOnItemSelectedListener(OnItemSelectedListener onItemSelectedListener) {
        AppMethodBeat.i(107393);
        this.Up = onItemSelectedListener;
        super.setOnItemSelectedListener(this);
        AppMethodBeat.o(107393);
    }

    public void setOnScrollListener(OnScrollListener onScrollListener) {
        this.rLS = onScrollListener;
    }

    public void setStickyHeaderIsTranscluent(boolean z) {
        this.zyP = !z;
    }

    public void setVerticalSpacing(int i) {
        AppMethodBeat.i(107394);
        super.setVerticalSpacing(i);
        this.ysx = i;
        AppMethodBeat.o(107394);
    }

    private int getHeaderHeight() {
        AppMethodBeat.i(107395);
        if (this.zyM != null) {
            int measuredHeight = this.zyM.getMeasuredHeight();
            AppMethodBeat.o(107395);
            return measuredHeight;
        }
        AppMethodBeat.o(107395);
        return 0;
    }

    private void dJi() {
        AppMethodBeat.i(107396);
        if (this.zyM == null) {
            AppMethodBeat.o(107396);
            return;
        }
        int makeMeasureSpec;
        int makeMeasureSpec2 = MeasureSpec.makeMeasureSpec((getWidth() - getPaddingLeft()) - getPaddingRight(), 1073741824);
        LayoutParams layoutParams = this.zyM.getLayoutParams();
        if (layoutParams == null || layoutParams.height <= 0) {
            makeMeasureSpec = MeasureSpec.makeMeasureSpec(0, 0);
        } else {
            makeMeasureSpec = MeasureSpec.makeMeasureSpec(layoutParams.height, 1073741824);
        }
        this.zyM.measure(makeMeasureSpec2, makeMeasureSpec);
        this.zyM.layout(getLeft() + getPaddingLeft(), 0, getRight() - getPaddingRight(), this.zyM.getMeasuredHeight());
        AppMethodBeat.o(107396);
    }

    private void reset() {
        this.zyF = 0;
        this.zyM = null;
        this.zyE = Long.MIN_VALUE;
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x0060  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0075  */
    private void PF(int r10) {
        /*
        r9 = this;
        r5 = 0;
        r8 = 107397; // 0x1a385 float:1.50495E-40 double:5.3061E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r0 = r9.zyN;
        if (r0 == 0) goto L_0x0017;
    L_0x000b:
        r0 = r9.zyN;
        r0 = r0.getCount();
        if (r0 == 0) goto L_0x0017;
    L_0x0013:
        r0 = r9.zyz;
        if (r0 != 0) goto L_0x001b;
    L_0x0017:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
    L_0x001a:
        return;
    L_0x001b:
        r0 = r9.getChildAt(r5);
        r0 = (com.tencent.mm.ui.gridviewheaders.c.d) r0;
        if (r0 != 0) goto L_0x0027;
    L_0x0023:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001a;
    L_0x0027:
        r0 = r9.zyI;
        r0 = r10 - r0;
        if (r0 >= 0) goto L_0x002e;
    L_0x002d:
        r0 = r10;
    L_0x002e:
        r1 = r9.zyI;
        r1 = r1 + r10;
        r2 = r9.zyN;
        r2 = r2.getCount();
        if (r1 < r2) goto L_0x003a;
    L_0x0039:
        r1 = r10;
    L_0x003a:
        r2 = r9.ysx;
        if (r2 == 0) goto L_0x00c0;
    L_0x003e:
        r2 = r9.ysx;
        if (r2 >= 0) goto L_0x00aa;
    L_0x0042:
        r0 = r9.zyN;
        r0.tw(r10);
        r0 = r9.zyI;
        r0 = r9.getChildAt(r0);
        r0 = r0.getTop();
        if (r0 > 0) goto L_0x00a1;
    L_0x0053:
        r0 = r9.zyN;
        r2 = r0.tw(r1);
        r4 = r1;
    L_0x005a:
        r0 = r9.zyE;
        r0 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1));
        if (r0 == 0) goto L_0x006f;
    L_0x0060:
        r0 = r9.zyN;
        r1 = r9.zyM;
        r0 = r0.a(r4, r1, r9);
        r9.zyM = r0;
        r9.dJi();
        r9.zyE = r2;
    L_0x006f:
        r6 = r9.getChildCount();
        if (r6 == 0) goto L_0x013c;
    L_0x0075:
        r3 = 0;
        r2 = 99999; // 0x1869f float:1.40128E-40 double:4.9406E-319;
        r4 = r5;
    L_0x007a:
        if (r4 >= r6) goto L_0x00ce;
    L_0x007c:
        r0 = super.getChildAt(r4);
        r0 = (com.tencent.mm.ui.gridviewheaders.c.d) r0;
        r1 = r9.zyB;
        if (r1 == 0) goto L_0x00c9;
    L_0x0086:
        r1 = r0.getTop();
        r7 = r9.getPaddingTop();
        r1 = r1 - r7;
    L_0x008f:
        if (r1 < 0) goto L_0x0141;
    L_0x0091:
        r7 = r0.getView();
        r7 = r7 instanceof com.tencent.mm.ui.gridviewheaders.c.b;
        if (r7 == 0) goto L_0x0141;
    L_0x0099:
        if (r1 >= r2) goto L_0x0141;
    L_0x009b:
        r2 = r9.zyI;
        r4 = r4 + r2;
        r2 = r1;
        r3 = r0;
        goto L_0x007a;
    L_0x00a1:
        r0 = r9.zyN;
        r0 = r0.tw(r10);
        r2 = r0;
        r4 = r10;
        goto L_0x005a;
    L_0x00aa:
        r1 = r9.getChildAt(r5);
        r1 = r1.getTop();
        if (r1 <= 0) goto L_0x00c0;
    L_0x00b4:
        r2 = r9.ysx;
        if (r1 >= r2) goto L_0x00c0;
    L_0x00b8:
        r1 = r9.zyN;
        r2 = r1.tw(r0);
        r4 = r0;
        goto L_0x005a;
    L_0x00c0:
        r0 = r9.zyN;
        r0 = r0.tw(r10);
        r2 = r0;
        r4 = r10;
        goto L_0x005a;
    L_0x00c9:
        r1 = r0.getTop();
        goto L_0x008f;
    L_0x00ce:
        r0 = r9.getHeaderHeight();
        if (r3 == 0) goto L_0x012d;
    L_0x00d4:
        if (r10 != 0) goto L_0x00eb;
    L_0x00d6:
        r1 = super.getChildAt(r5);
        r1 = r1.getTop();
        if (r1 <= 0) goto L_0x00eb;
    L_0x00e0:
        r1 = r9.zyB;
        if (r1 != 0) goto L_0x00eb;
    L_0x00e4:
        r9.zyF = r5;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001a;
    L_0x00eb:
        r1 = r9.zyB;
        if (r1 == 0) goto L_0x0115;
    L_0x00ef:
        r1 = r3.getTop();
        r2 = r9.getPaddingTop();
        r2 = r2 + r0;
        r1 = java.lang.Math.min(r1, r2);
        r9.zyF = r1;
        r1 = r9.zyF;
        r2 = r9.getPaddingTop();
        if (r1 >= r2) goto L_0x0112;
    L_0x0106:
        r1 = r9.getPaddingTop();
        r0 = r0 + r1;
    L_0x010b:
        r9.zyF = r0;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001a;
    L_0x0112:
        r0 = r9.zyF;
        goto L_0x010b;
    L_0x0115:
        r1 = r3.getTop();
        r1 = java.lang.Math.min(r1, r0);
        r9.zyF = r1;
        r1 = r9.zyF;
        if (r1 >= 0) goto L_0x012a;
    L_0x0123:
        r9.zyF = r0;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001a;
    L_0x012a:
        r0 = r9.zyF;
        goto L_0x0123;
    L_0x012d:
        r9.zyF = r0;
        r0 = r9.zyB;
        if (r0 == 0) goto L_0x013c;
    L_0x0133:
        r0 = r9.zyF;
        r1 = r9.getPaddingTop();
        r0 = r0 + r1;
        r9.zyF = r0;
    L_0x013c:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001a;
    L_0x0141:
        r1 = r2;
        r0 = r3;
        goto L_0x009b;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.gridviewheaders.GridHeadersGridView.PF(int):void");
    }

    /* Access modifiers changed, original: protected */
    public void dispatchDraw(Canvas canvas) {
        Object obj;
        AppMethodBeat.i(107398);
        if (VERSION.SDK_INT < 8) {
            PF(getFirstVisiblePosition());
        }
        if (this.zyM != null && this.zyz && this.zyM.getVisibility() == 0) {
            obj = 1;
        } else {
            obj = null;
        }
        int headerHeight = getHeaderHeight();
        int i = this.zyF - headerHeight;
        if (obj != null && this.zyP) {
            this.zyA.left = getPaddingLeft();
            this.zyA.right = getWidth() - getPaddingRight();
            this.zyA.top = this.zyF;
            this.zyA.bottom = getHeight();
            canvas.save();
            canvas.clipRect(this.zyA);
        }
        super.dispatchDraw(canvas);
        ArrayList arrayList = new ArrayList();
        int i2 = 0;
        int firstVisiblePosition = getFirstVisiblePosition();
        while (firstVisiblePosition <= getLastVisiblePosition()) {
            if (getItemIdAtPosition(firstVisiblePosition) == -1) {
                arrayList.add(Integer.valueOf(i2));
            }
            firstVisiblePosition += this.zyI;
            i2 += this.zyI;
        }
        firstVisiblePosition = 0;
        while (true) {
            int i3 = firstVisiblePosition;
            if (i3 >= arrayList.size()) {
                break;
            }
            d dVar = (d) getChildAt(((Integer) arrayList.get(i3)).intValue());
            try {
                View view = (View) dVar.getTag();
                Object obj2 = (((long) ((b) dVar.getChildAt(0)).getHeaderId()) == this.zyE && dVar.getTop() < 0 && this.zyz) ? 1 : null;
                if (view.getVisibility() == 0 && obj2 == null) {
                    view.measure(MeasureSpec.makeMeasureSpec(getWidth(), (1073741824 - getPaddingLeft()) - getPaddingRight()), MeasureSpec.makeMeasureSpec(0, 0));
                    view.layout(getLeft() + getPaddingLeft(), 0, getRight() - getPaddingRight(), dVar.getHeight());
                    this.zyA.left = getPaddingLeft();
                    this.zyA.right = getWidth() - getPaddingRight();
                    this.zyA.bottom = dVar.getBottom();
                    this.zyA.top = dVar.getTop();
                    canvas.save();
                    canvas.clipRect(this.zyA);
                    canvas.translate((float) getPaddingLeft(), (float) dVar.getTop());
                    view.draw(canvas);
                    canvas.restore();
                }
                firstVisiblePosition = i3 + 1;
            } catch (Exception e) {
                AppMethodBeat.o(107398);
                return;
            }
        }
        if (obj != null && this.zyP) {
            canvas.restore();
        } else if (obj == null) {
            AppMethodBeat.o(107398);
            return;
        }
        if (this.zyM.getWidth() != (getWidth() - getPaddingLeft()) - getPaddingRight()) {
            this.zyM.measure(MeasureSpec.makeMeasureSpec(getWidth(), (1073741824 - getPaddingLeft()) - getPaddingRight()), MeasureSpec.makeMeasureSpec(0, 0));
            this.zyM.layout(getLeft() + getPaddingLeft(), 0, getRight() - getPaddingRight(), this.zyM.getHeight());
        }
        this.zyA.left = getPaddingLeft();
        this.zyA.right = getWidth() - getPaddingRight();
        this.zyA.bottom = i + headerHeight;
        if (this.zyB) {
            this.zyA.top = getPaddingTop();
        } else {
            this.zyA.top = 0;
        }
        canvas.save();
        canvas.clipRect(this.zyA);
        canvas.translate((float) getPaddingLeft(), (float) i);
        canvas.saveLayerAlpha(0.0f, 0.0f, (float) canvas.getWidth(), (float) canvas.getHeight(), (int) ((255.0f * ((float) this.zyF)) / ((float) headerHeight)), 31);
        this.zyM.draw(canvas);
        canvas.restore();
        canvas.restore();
        AppMethodBeat.o(107398);
    }

    /* Access modifiers changed, original: protected */
    public void onMeasure(int i, int i2) {
        int i3 = 1;
        AppMethodBeat.i(107399);
        if (this.mNumColumns == -1) {
            if (this.zyD > 0) {
                int max = Math.max((MeasureSpec.getSize(i) - getPaddingLeft()) - getPaddingRight(), 0);
                int i4 = max / this.zyD;
                if (i4 > 0) {
                    while (i4 != 1 && (this.zyD * i4) + ((i4 - 1) * this.ysw) > max) {
                        i4--;
                    }
                    i3 = i4;
                }
            } else {
                i3 = 2;
            }
            this.zyI = i3;
        } else {
            this.zyI = this.mNumColumns;
        }
        if (this.zyN != null) {
            this.zyN.setNumColumns(this.zyI);
        }
        dJi();
        super.onMeasure(i, i2);
        AppMethodBeat.o(107399);
    }

    public boolean dispatchTouchEvent(android.view.MotionEvent r12) {
        /*
        r11 = this;
        r1 = -2;
        r10 = 107383; // 0x1a377 float:1.50476E-40 double:5.30543E-319;
        r4 = 1;
        r2 = 0;
        r3 = -1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r0 = r12.getAction();
        r0 = r0 & 255;
        switch(r0) {
            case 0: goto L_0x001a;
            case 1: goto L_0x00bd;
            case 2: goto L_0x008b;
            default: goto L_0x0013;
        };
    L_0x0013:
        r0 = r2;
    L_0x0014:
        if (r0 == 0) goto L_0x0143;
    L_0x0016:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x0019:
        return r2;
    L_0x001a:
        r0 = r11.zyy;
        if (r0 != 0) goto L_0x0025;
    L_0x001e:
        r0 = new com.tencent.mm.ui.gridviewheaders.GridHeadersGridView$b;
        r0.<init>(r11);
        r11.zyy = r0;
    L_0x0025:
        r0 = r11.mHandler;
        r4 = r11.zyx;
        r5 = android.view.ViewConfiguration.getTapTimeout();
        r6 = (long) r5;
        r0.postDelayed(r4, r6);
        r0 = r12.getY();
        r0 = (int) r0;
        r4 = (float) r0;
        r11.zyG = r4;
        r4 = (float) r0;
        r0 = r11.zyM;
        if (r0 == 0) goto L_0x0057;
    L_0x003e:
        r0 = r11.zyM;
        r0 = r0.getBottom();
        r0 = (float) r0;
        r0 = (r4 > r0 ? 1 : (r4 == r0 ? 0 : -1));
        if (r0 > 0) goto L_0x0057;
    L_0x0049:
        r11.zyO = r1;
        r0 = r11.zyO;
        if (r0 == r3) goto L_0x0013;
    L_0x004f:
        r0 = r11.mScrollState;
        r1 = 2;
        if (r0 == r1) goto L_0x0013;
    L_0x0054:
        r11.ath = r2;
        goto L_0x0013;
    L_0x0057:
        r0 = r11.getFirstVisiblePosition();
        r1 = r2;
    L_0x005c:
        r5 = r11.getLastVisiblePosition();
        if (r0 > r5) goto L_0x0089;
    L_0x0062:
        r6 = r11.getItemIdAtPosition(r0);
        r8 = -1;
        r5 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r5 != 0) goto L_0x0082;
    L_0x006c:
        r5 = r11.getChildAt(r1);
        r6 = r5.getBottom();
        r5 = r5.getTop();
        r6 = (float) r6;
        r6 = (r4 > r6 ? 1 : (r4 == r6 ? 0 : -1));
        if (r6 > 0) goto L_0x0082;
    L_0x007d:
        r5 = (float) r5;
        r5 = (r4 > r5 ? 1 : (r4 == r5 ? 0 : -1));
        if (r5 >= 0) goto L_0x0049;
    L_0x0082:
        r5 = r11.zyI;
        r0 = r0 + r5;
        r5 = r11.zyI;
        r1 = r1 + r5;
        goto L_0x005c;
    L_0x0089:
        r1 = r3;
        goto L_0x0049;
    L_0x008b:
        r0 = r11.zyO;
        if (r0 == r3) goto L_0x0013;
    L_0x008f:
        r0 = r12.getY();
        r1 = r11.zyG;
        r0 = r0 - r1;
        r0 = java.lang.Math.abs(r0);
        r1 = r11.mTouchSlop;
        r1 = (float) r1;
        r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1));
        if (r0 <= 0) goto L_0x0013;
    L_0x00a1:
        r11.ath = r3;
        r0 = r11.zyO;
        r0 = r11.PE(r0);
        if (r0 == 0) goto L_0x00ae;
    L_0x00ab:
        r0.setPressed(r2);
    L_0x00ae:
        r0 = r11.zyx;
        if (r0 == 0) goto L_0x00b9;
    L_0x00b2:
        r0 = r11.mHandler;
        r1 = r11.zyx;
        r0.removeCallbacks(r1);
    L_0x00b9:
        r11.zyO = r3;
        goto L_0x0013;
    L_0x00bd:
        r0 = r11.ath;
        if (r0 == r1) goto L_0x0013;
    L_0x00c1:
        r0 = r11.ath;
        if (r0 == r3) goto L_0x0013;
    L_0x00c5:
        r0 = r11.zyO;
        if (r0 == r3) goto L_0x0013;
    L_0x00c9:
        r0 = r11.zyO;
        r1 = r11.PE(r0);
        if (r1 == 0) goto L_0x0135;
    L_0x00d1:
        r0 = r1.hasFocusable();
        if (r0 != 0) goto L_0x0135;
    L_0x00d7:
        r0 = r11.ath;
        if (r0 == 0) goto L_0x00de;
    L_0x00db:
        r1.setPressed(r2);
    L_0x00de:
        r0 = r11.zyL;
        if (r0 != 0) goto L_0x00e9;
    L_0x00e2:
        r0 = new com.tencent.mm.ui.gridviewheaders.GridHeadersGridView$e;
        r0.<init>(r11, r2);
        r11.zyL = r0;
    L_0x00e9:
        r5 = r11.zyL;
        r0 = r11.zyO;
        r5.zyT = r0;
        r5.dJk();
        r0 = r11.ath;
        if (r0 != 0) goto L_0x00fa;
    L_0x00f6:
        r0 = r11.ath;
        if (r0 == r4) goto L_0x0139;
    L_0x00fa:
        r6 = r11.mHandler;
        r0 = r11.ath;
        if (r0 != 0) goto L_0x0130;
    L_0x0100:
        r0 = r11.zyy;
    L_0x0102:
        r6.removeCallbacks(r0);
        r0 = r11.ysL;
        if (r0 != 0) goto L_0x0133;
    L_0x0109:
        r11.ath = r4;
        r1.setPressed(r4);
        r11.setPressed(r4);
        r0 = r11.yxd;
        if (r0 == 0) goto L_0x011a;
    L_0x0115:
        r0 = r11.yxd;
        r11.removeCallbacks(r0);
    L_0x011a:
        r0 = new com.tencent.mm.ui.gridviewheaders.GridHeadersGridView$2;
        r0.<init>(r11, r1, r5);
        r11.yxd = r0;
        r0 = r11.mHandler;
        r1 = r11.yxd;
        r3 = android.view.ViewConfiguration.getPressedStateDuration();
        r6 = (long) r3;
        r0.postDelayed(r1, r6);
        r0 = r4;
        goto L_0x0014;
    L_0x0130:
        r0 = r11.zyx;
        goto L_0x0102;
    L_0x0133:
        r11.ath = r3;
    L_0x0135:
        r11.ath = r3;
        goto L_0x0013;
    L_0x0139:
        r0 = r11.ysL;
        if (r0 != 0) goto L_0x0135;
    L_0x013d:
        r5.run();
        r0 = r4;
        goto L_0x0014;
    L_0x0143:
        r2 = super.dispatchTouchEvent(r12);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x0019;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.gridviewheaders.GridHeadersGridView.dispatchTouchEvent(android.view.MotionEvent):boolean");
    }

    static /* synthetic */ long a(GridHeadersGridView gridHeadersGridView, int i) {
        AppMethodBeat.i(107402);
        long j;
        if (i == -2) {
            j = gridHeadersGridView.zyE;
            AppMethodBeat.o(107402);
            return j;
        }
        j = gridHeadersGridView.zyN.tw(gridHeadersGridView.getFirstVisiblePosition() + i);
        AppMethodBeat.o(107402);
        return j;
    }
}
