package com.tencent.mm.plugin.appbrand.dynamic;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.appcache.WxaPkgWrappingInfo;
import com.tencent.mm.plugin.appbrand.dynamic.debugger.DebuggerInfo;
import com.tencent.mm.plugin.appbrand.dynamic.launching.WidgetRuntimeConfig;
import com.tencent.mm.plugin.appbrand.dynamic.launching.WidgetSysConfig;
import junit.framework.Assert;

class WxaWidgetInitializer$WxaWidgetContextImpl implements WxaWidgetContext {
    public static final Creator<WxaWidgetInitializer$WxaWidgetContextImpl> CREATOR = new 1();
    String eIq;
    WxaPkgWrappingInfo hlU;
    WxaPkgWrappingInfo hlV;
    byte[] hlW;
    int hlX;
    DebuggerInfo hlY;
    WidgetSysConfig hlZ;
    WidgetRuntimeConfig hma;
    String mAppId;

    public WxaWidgetInitializer$WxaWidgetContextImpl(Parcel parcel) {
        AppMethodBeat.i(10720);
        ClassLoader classLoader = getClass().getClassLoader();
        this.eIq = parcel.readString();
        this.mAppId = parcel.readString();
        this.hlV = (WxaPkgWrappingInfo) parcel.readParcelable(classLoader);
        this.hlU = (WxaPkgWrappingInfo) parcel.readParcelable(classLoader);
        this.hlW = parcel.createByteArray();
        this.hlX = parcel.readInt();
        this.hlY = (DebuggerInfo) parcel.readParcelable(classLoader);
        this.hlZ = (WidgetSysConfig) parcel.readParcelable(classLoader);
        this.hma = (WidgetRuntimeConfig) parcel.readParcelable(classLoader);
        AppMethodBeat.o(10720);
    }

    public WxaWidgetInitializer$WxaWidgetContextImpl(WxaPkgWrappingInfo wxaPkgWrappingInfo, WxaPkgWrappingInfo wxaPkgWrappingInfo2) {
        AppMethodBeat.i(10721);
        Assert.assertNotNull(wxaPkgWrappingInfo);
        Assert.assertNotNull(wxaPkgWrappingInfo2);
        this.hlV = wxaPkgWrappingInfo;
        this.hlU = wxaPkgWrappingInfo2;
        AppMethodBeat.o(10721);
    }

    public final WxaPkgWrappingInfo azF() {
        return this.hlU;
    }

    public final WxaPkgWrappingInfo azG() {
        return this.hlV;
    }

    public final String getId() {
        return this.eIq;
    }

    public final String getAppId() {
        return this.mAppId;
    }

    public final int avn() {
        return this.hlU != null ? this.hlU.gVt : 0;
    }

    public final int azH() {
        return this.hlU != null ? this.hlU.gVu : 0;
    }

    public final byte[] azI() {
        return this.hlW;
    }

    public final int azJ() {
        return this.hlX;
    }

    public final DebuggerInfo azK() {
        return this.hlY;
    }

    public final WidgetSysConfig azL() {
        return this.hlZ;
    }

    public final WidgetRuntimeConfig azM() {
        return this.hma;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(10722);
        parcel.writeString(this.eIq);
        parcel.writeString(this.mAppId);
        parcel.writeParcelable(this.hlV, i);
        parcel.writeParcelable(this.hlU, i);
        parcel.writeByteArray(this.hlW);
        parcel.writeInt(this.hlX);
        parcel.writeParcelable(this.hlY, i);
        parcel.writeParcelable(this.hlZ, i);
        parcel.writeParcelable(this.hma, i);
        AppMethodBeat.o(10722);
    }

    static {
        AppMethodBeat.i(10723);
        AppMethodBeat.o(10723);
    }
}
