package com.tencent.mm.plugin.appbrand.jsapi.media;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.a;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.lang.ref.WeakReference;
import java.util.Locale;
import org.json.JSONObject;

public final class d extends a {
    private static final int CTRL_INDEX = 528;
    private static final String NAME = "compressImage";

    public final void a(c cVar, JSONObject jSONObject, int i) {
        AppMethodBeat.i(114356);
        if (cVar == null) {
            ab.e("MicroMsg.JsApiCompressImage.javayhu", "fail:component is null");
            AppMethodBeat.o(114356);
        } else if (jSONObject == null) {
            ab.w("MicroMsg.JsApiCompressImage.javayhu", "fail:data is null");
            cVar.M(i, j("fail:invalid data", null));
            AppMethodBeat.o(114356);
        } else {
            String optString = jSONObject.optString("src");
            if (bo.isNullOrNil(optString)) {
                ab.w("MicroMsg.JsApiCompressImage.javayhu", "fail:data src is null");
                cVar.M(i, j("fail:data src is null", null));
                AppMethodBeat.o(114356);
            } else if (cVar.asE() == null) {
                ab.w("MicroMsg.JsApiCompressImage.javayhu", "fail:runtime fileSystem is null");
                cVar.M(i, j("fail:runtime fileSystem is null", null));
                AppMethodBeat.o(114356);
            } else {
                int optInt = jSONObject.optInt("quality", 80);
                if (optInt <= 0 || optInt > 100) {
                    ab.w("MicroMsg.JsApiCompressImage.javayhu", "invalid quality, set to default");
                    optInt = 80;
                }
                ab.i("MicroMsg.JsApiCompressImage.javayhu", "compressImage, quality:%d, src:%s", new Object[]{Integer.valueOf(optInt), optString});
                com.tencent.mm.sdk.g.d.f(new 1(this, optString, cVar, optInt, new WeakReference(cVar), i), String.format(Locale.US, "AppBrandJsApiCompressImage[%s#%d]", new Object[]{optString, Integer.valueOf(optInt)}));
                AppMethodBeat.o(114356);
            }
        }
    }
}
