package com.tencent.mm.plugin.appbrand.jsapi.share;

import android.content.Intent;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.af.j;
import com.tencent.mm.plugin.appbrand.config.AppBrandSysConfigWC;
import com.tencent.mm.plugin.appbrand.jsapi.a;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.plugin.appbrand.page.w;
import com.tencent.mm.plugin.appbrand.s;
import com.tencent.mm.plugin.appbrand.v;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import java.util.HashMap;
import org.json.JSONObject;

public final class e extends a<s> {
    public static final int CTRL_INDEX = 589;
    public static final String NAME = "shareAppMessageForFakeNative";

    public final /* synthetic */ void a(c cVar, JSONObject jSONObject, int i) {
        AppMethodBeat.i(131449);
        s sVar = (s) cVar;
        ab.i("MicroMsg.JsApiShareAppMessageForFakeNative", "invoke share app message for fake native.");
        if (jSONObject == null) {
            ab.e("MicroMsg.JsApiShareAppMessageForFakeNative", "share app message fail, data is null.");
            sVar.M(i, j("fail:data is null", null));
            AppMethodBeat.o(131449);
            return;
        }
        w wVar = (w) sVar.ac(w.class);
        if (wVar == null) {
            ab.e("MicroMsg.JsApiShareAppMessageForFakeNative", "share app message fail, pageView is null.");
            sVar.M(i, j("fail:current page do not exist", null));
            AppMethodBeat.o(131449);
            return;
        }
        MMActivity mMActivity = (MMActivity) sVar.ad(MMActivity.class);
        if (mMActivity == null) {
            ab.e("MicroMsg.JsApiShareAppMessageForFakeNative", "share app message fail, context is null.");
            sVar.M(i, j("fail:page context is null", null));
            AppMethodBeat.o(131449);
            return;
        }
        int optInt = jSONObject.optInt("bizType", j.a.fgj.ordinal());
        if (j.a.isValid(optInt)) {
            String optString = jSONObject.optString("title");
            if (bo.isNullOrNil(optString)) {
                ab.e("MicroMsg.JsApiShareAppMessageForFakeNative", "share app message fail, title is empty.");
                sVar.M(i, j("fail:title is empty", null));
                AppMethodBeat.o(131449);
                return;
            }
            String optString2 = jSONObject.optString("defaultHintUrl");
            if (bo.isNullOrNil(optString2)) {
                optString2 = v.xh(sVar.getAppId());
            }
            ab.d("MicroMsg.JsApiShareAppMessageForFakeNative", "errorUrl: %s.", new Object[]{optString2});
            String optString3 = jSONObject.optString("desc", "");
            String optString4 = jSONObject.optString("path", "");
            String optString5 = jSONObject.optString("imageUrl", "");
            boolean optBoolean = jSONObject.optBoolean("useDefaultSnapshot", true);
            String optString6 = jSONObject.optString("tailLang", "");
            boolean optBoolean2 = jSONObject.optBoolean("disableForward", true);
            String appId = sVar.getAppId();
            String str = sVar.getRuntime().atI().username;
            AppBrandSysConfigWC atH = sVar.getRuntime().atH();
            int i2 = sVar.getRuntime().atI().bQe;
            boolean BK = l.BK(optString5);
            String a = l.a(wVar, optString5, optBoolean);
            HashMap hashMap = new HashMap();
            hashMap.put("type", Integer.valueOf(2));
            hashMap.put("biz", Integer.valueOf(optInt));
            hashMap.put("title", optString);
            hashMap.put("desc", optString3);
            hashMap.put("path", optString4);
            hashMap.put("img_url", optString5);
            hashMap.put("tail_lang", optString6);
            hashMap.put("disableForward", Boolean.valueOf(optBoolean2));
            hashMap.put("app_id", appId);
            hashMap.put("pkg_type", Integer.valueOf(atH.hhd.gVt));
            hashMap.put("pkg_version", Integer.valueOf(atH.hhd.gVu));
            hashMap.put("icon_url", atH.hgW);
            hashMap.put("nickname", atH.cwz);
            if (!bo.isNullOrNil(a)) {
                hashMap.put("delay_load_img_path", a);
            }
            ab.i("MicroMsg.JsApiShareAppMessageForFakeNative", "msgParams:%s", new Object[]{hashMap});
            Intent intent = new Intent();
            intent.putExtra("Select_Conv_Type", 3);
            intent.putExtra("select_is_ret", true);
            intent.putExtra("scene_from", 3);
            intent.putExtra("appbrand_params", hashMap);
            intent.putExtra("Retr_Msg_Type", 2);
            al.n(new 2(this, mMActivity, intent, new 1(this, sVar, i, appId, optInt, optBoolean2, optString, optString3, optString5, optString6, atH, str, optString4, optString2, wVar, BK, a, i2, mMActivity)), 200);
            AppMethodBeat.o(131449);
            return;
        }
        ab.e("MicroMsg.JsApiShareAppMessageForFakeNative", "share app message fail, biz is invalid.");
        sVar.M(i, j("fail:biz is invalid", null));
        AppMethodBeat.o(131449);
    }
}
