package com.tencent.mm.plugin.emoji.ui.v2;

import android.content.Context;
import android.graphics.Bitmap;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView.LayoutParams;
import android.widget.BaseAdapter;
import android.widget.LinearLayout;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.at.o;
import com.tencent.mm.bz.a;
import com.tencent.mm.plugin.emoji.e.g;
import com.tencent.mm.plugin.emoji.ui.SquareImageView;
import com.tencent.mm.protocal.protobuf.EmotionDonor;
import com.tencent.mm.sdk.platformtools.BackwardSupportUtil.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.io.IOException;
import java.util.LinkedList;

class EmojiStoreV2RewardDetailUI$a extends BaseAdapter {
    private Bitmap cdX = null;
    int iWJ;
    private int kSw;
    int lcR;
    final /* synthetic */ EmojiStoreV2RewardDetailUI leh;
    private LinkedList<EmotionDonor> lei;
    boolean lej = false;
    private Context mContext;
    private int mNumColumns = 1;

    public final /* synthetic */ Object getItem(int i) {
        AppMethodBeat.i(53677);
        EmotionDonor uj = uj(i);
        AppMethodBeat.o(53677);
        return uj;
    }

    public EmojiStoreV2RewardDetailUI$a(EmojiStoreV2RewardDetailUI emojiStoreV2RewardDetailUI, Context context) {
        this.leh = emojiStoreV2RewardDetailUI;
        AppMethodBeat.i(53672);
        this.mContext = context;
        this.lcR = a.al(emojiStoreV2RewardDetailUI.mController.ylL, 2131428341);
        int gd = a.gd(emojiStoreV2RewardDetailUI.mController.ylL) - (a.al(emojiStoreV2RewardDetailUI.mController.ylL, 2131427776) * 2);
        int i = this.lcR;
        int al = a.al(emojiStoreV2RewardDetailUI.mController.ylL, 2131427786);
        int i2 = gd / (i + al);
        if ((gd - (i2 * i)) - (al * (i2 - 1)) > i) {
            i2++;
        }
        this.mNumColumns = i2;
        this.kSw = a.gd(this.mContext);
        this.iWJ = (int) (((float) (this.kSw - (this.mNumColumns * this.lcR))) / (((float) this.mNumColumns) + 1.0f));
        try {
            this.cdX = b.b(this.mContext.getAssets().open("avatar/default_nor_avatar.png"), a.getDensity(null));
            AppMethodBeat.o(53672);
        } catch (IOException e) {
            ab.i("MicroMsg.emoji.EmojiStoreV2RewardDetailUI", "decode stream default avatar failed. %s", new Object[]{bo.dpG()});
            AppMethodBeat.o(53672);
        }
    }

    public final void Q(LinkedList<EmotionDonor> linkedList) {
        AppMethodBeat.i(53673);
        if (this.lei == null) {
            this.lei = new LinkedList();
        }
        if (this.lej) {
            this.lei.clear();
            this.lej = false;
        }
        this.lei.addAll(linkedList);
        notifyDataSetChanged();
        AppMethodBeat.o(53673);
    }

    public final int getCount() {
        AppMethodBeat.i(53674);
        int size = this.lei == null ? 0 : this.lei.size();
        if (size > 0) {
            size = (int) Math.ceil((double) (((float) size) / ((float) this.mNumColumns)));
            AppMethodBeat.o(53674);
            return size;
        }
        AppMethodBeat.o(53674);
        return size;
    }

    private EmotionDonor uj(int i) {
        AppMethodBeat.i(53675);
        if (this.lei != null) {
            int i2;
            if (this.lei == null) {
                i2 = 0;
            } else {
                i2 = this.lei.size();
            }
            if (i < i2) {
                EmotionDonor emotionDonor = (EmotionDonor) this.lei.get(i);
                AppMethodBeat.o(53675);
                return emotionDonor;
            }
        }
        AppMethodBeat.o(53675);
        return null;
    }

    public final long getItemId(int i) {
        return (long) i;
    }

    public final View getView(int i, View view, ViewGroup viewGroup) {
        EmojiStoreV2RewardDetailUI$b emojiStoreV2RewardDetailUI$b;
        AppMethodBeat.i(53676);
        if (view == null || view.getTag() == null) {
            view = new LinearLayout(this.mContext);
            LayoutParams layoutParams = new LayoutParams(-1, -2);
            view.setBackgroundResource(2130840857);
            view.setOrientation(0);
            view.setLayoutParams(layoutParams);
            view.setPadding(0, 0, 0, this.iWJ);
            emojiStoreV2RewardDetailUI$b = new EmojiStoreV2RewardDetailUI$b(this.leh);
            emojiStoreV2RewardDetailUI$b.kSC = view;
            view.setTag(emojiStoreV2RewardDetailUI$b);
            for (int i2 = 0; i2 < this.mNumColumns; i2++) {
                LinearLayout.LayoutParams layoutParams2 = new LinearLayout.LayoutParams(this.lcR, this.lcR);
                layoutParams2.leftMargin = this.iWJ;
                emojiStoreV2RewardDetailUI$b.kSC.addView(new SquareImageView(this.mContext), i2, layoutParams2);
            }
        } else {
            emojiStoreV2RewardDetailUI$b = (EmojiStoreV2RewardDetailUI$b) view.getTag();
        }
        for (int i3 = 0; i3 < this.mNumColumns; i3++) {
            SquareImageView squareImageView = (SquareImageView) emojiStoreV2RewardDetailUI$b.kSC.getChildAt(i3);
            EmotionDonor uj = uj((this.mNumColumns * i) + i3);
            if (uj != null) {
                squareImageView.setVisibility(0);
                if (bo.isNullOrNil(uj.HeadUrl)) {
                    squareImageView.setImageBitmap(this.cdX);
                } else {
                    o.ahp().a(uj.HeadUrl, squareImageView, g.u(EmojiStoreV2RewardDetailUI.c(this.leh), uj.HeadUrl, this.lcR));
                }
            } else {
                squareImageView.setVisibility(8);
            }
        }
        AppMethodBeat.o(53676);
        return view;
    }
}
