package com.tencent.mm.plugin.favorite;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Toast;
import com.google.android.gms.common.Scopes;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.aw.a;
import com.tencent.mm.aw.e;
import com.tencent.mm.aw.f;
import com.tencent.mm.g.a.ld;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.c;
import com.tencent.mm.model.r;
import com.tencent.mm.model.s;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage$IMediaObject;
import com.tencent.mm.plugin.fav.a.b;
import com.tencent.mm.plugin.fav.a.g;
import com.tencent.mm.plugin.fav.a.i;
import com.tencent.mm.plugin.fav.a.m;
import com.tencent.mm.protocal.protobuf.aar;
import com.tencent.mm.protocal.protobuf.aau;
import com.tencent.mm.protocal.protobuf.aay;
import com.tencent.mm.protocal.protobuf.aaz;
import com.tencent.mm.protocal.protobuf.abh;
import com.tencent.mm.protocal.protobuf.abl;
import com.tencent.mm.protocal.protobuf.abu;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.bi;
import com.tencent.mm.vfs.j;
import com.tencent.wxmm.v2encoder;
import java.util.ArrayList;
import java.util.LinkedList;

public final class d {
    private static int[] mqq = new int[]{2131822651, 2131822652, 2131822653, 2131822654, 2131822655};

    static /* synthetic */ void f(Context context, g gVar, abh abh) {
        AppMethodBeat.i(20523);
        c(context, gVar, false, abh);
        AppMethodBeat.o(20523);
    }

    static /* synthetic */ void g(Context context, g gVar, abh abh) {
        AppMethodBeat.i(20524);
        d(context, gVar, false, abh);
        AppMethodBeat.o(20524);
    }

    static /* synthetic */ void h(Context context, g gVar, abh abh) {
        AppMethodBeat.i(20525);
        a(context, gVar, false, abh);
        AppMethodBeat.o(20525);
    }

    static /* synthetic */ void i(Context context, g gVar, abh abh) {
        AppMethodBeat.i(20526);
        b(context, gVar, false, abh);
        AppMethodBeat.o(20526);
    }

    public static void b(Context context, g gVar, abh abh) {
        AppMethodBeat.i(20508);
        if (context == null) {
            ab.w("MicroMsg.FavItemLogic", "Context is null");
            AppMethodBeat.o(20508);
        } else if (gVar == null) {
            ab.w("MicroMsg.FavItemLogic", "Fav item is null");
            AppMethodBeat.o(20508);
        } else {
            ab.i("MicroMsg.FavItemLogic", "Handler favItemInfo id %d, type %d", new Object[]{Long.valueOf(gVar.field_localId), Integer.valueOf(gVar.field_type)});
            Intent intent;
            String w;
            long j;
            String str;
            Intent intent2;
            switch (gVar.field_type) {
                case -2:
                    Toast.makeText(context, 2131299758, 0).show();
                    AppMethodBeat.o(20508);
                    return;
                case 1:
                    Intent intent3 = new Intent();
                    intent3.putExtra("key_detail_text", gVar.field_favProto.desc);
                    intent3.putExtra("key_detail_info_id", gVar.field_localId);
                    intent3.putExtra("key_detail_can_share_to_friend", gVar.but());
                    intent3.putExtra("key_detail_time", gVar.field_updateTime);
                    intent3.putExtra("key_detail_create_time", gVar.field_sourceCreateTime <= 0 ? gVar.field_updateTime : gVar.field_sourceCreateTime);
                    a(abh, intent3);
                    i.el("FavoriteTextDetailUI", abh.cvF);
                    b.b(context, ".ui.detail.FavoriteTextDetailUI", intent3);
                    AppMethodBeat.o(20508);
                    return;
                case 2:
                    e(context, gVar, abh);
                    AppMethodBeat.o(20508);
                    return;
                case 3:
                    intent = new Intent();
                    a(gVar, abh, intent);
                    intent.putExtra("key_detail_create_time", gVar.field_favProto.wit.createTime);
                    i.el("FavoriteVoiceDetailUI", abh.cvF);
                    b.b(context, ".ui.detail.FavoriteVoiceDetailUI", intent);
                    AppMethodBeat.o(20508);
                    return;
                case 4:
                    d(context, gVar, abh);
                    AppMethodBeat.o(20508);
                    return;
                case 5:
                    d(context, gVar, true, abh);
                    AppMethodBeat.o(20508);
                    return;
                case 6:
                    String mJ;
                    aay aay = gVar.field_favProto.why;
                    String str2 = gVar.field_favProto.hHV;
                    abl abl = gVar.field_favProto.wit;
                    if (abl == null || bo.isNullOrNil(abl.whU)) {
                        mJ = s.mJ(gVar.field_fromUser);
                    } else {
                        mJ = s.mJ(abl.whU);
                    }
                    ArrayList arrayList = new ArrayList();
                    if (gVar.field_tagProto.wiJ != null) {
                        arrayList.addAll(gVar.field_tagProto.wiJ);
                    }
                    i.el("RedirectUI", abh.cvF);
                    b.a(gVar.field_localId, aay, mJ, str2, arrayList, context);
                    AppMethodBeat.o(20508);
                    return;
                case 7:
                    String w2;
                    abl abl2 = gVar.field_favProto.wit;
                    aar c = b.c(gVar);
                    com.tencent.mm.vfs.b bVar = new com.tencent.mm.vfs.b(b.c(c));
                    if (bVar.exists()) {
                        w2 = j.w(bVar.dMD());
                    } else if (c.cvq == null) {
                        w2 = "";
                    } else {
                        bVar = new com.tencent.mm.vfs.b(b.bue() + com.tencent.mm.a.g.x(c.cvq.getBytes()));
                        if (bVar.exists()) {
                            w = j.w(bVar.dMD());
                        } else {
                            w = "";
                        }
                        w2 = w;
                    }
                    e a = f.a(6, null, c.title, c.desc, c.wgg, c.wgk, c.wgi, c.mnd, b.bul(), w2, "", abl2.appId);
                    if (b.e(c)) {
                        ab.i("MicroMsg.FavItemLogic", "The music is playing, don't start play again");
                    } else {
                        ab.i("MicroMsg.FavItemLogic", " start play music");
                        a.b(a);
                    }
                    a.fKs = String.valueOf(gVar.field_localId);
                    intent = new Intent();
                    intent.putExtra("key_scene", 2);
                    i.el("MusicMainUI", abh.cvF);
                    com.tencent.mm.bp.d.b(context, "music", ".ui.MusicMainUI", intent);
                    AppMethodBeat.o(20508);
                    return;
                case 8:
                    c(context, gVar, true, abh);
                    AppMethodBeat.o(20508);
                    return;
                case 10:
                    ab.d("MicroMsg.FavItemLogic", "start product ui, fav id %d, fav local id %d", new Object[]{Integer.valueOf(gVar.field_id), Long.valueOf(gVar.field_localId)});
                    j = gVar.field_localId;
                    str = gVar.field_favProto.whC.info;
                    intent2 = new Intent();
                    intent2.putExtra("key_is_favorite_item", true);
                    intent2.putExtra("key_favorite_local_id", j);
                    intent2.putExtra("key_Product_xml", str);
                    intent2.putExtra("key_can_delete_favorite_item", true);
                    intent2.putExtra("key_ProductUI_getProductInfoScene", 3);
                    com.tencent.mm.bp.d.b(context, "scanner", ".ui.ProductUI", intent2);
                    AppMethodBeat.o(20508);
                    return;
                case 11:
                    ab.d("MicroMsg.FavItemLogic", "start product ui, fav id %d, fav local id %d", new Object[]{Integer.valueOf(gVar.field_id), Long.valueOf(gVar.field_localId)});
                    intent = new Intent();
                    intent.putExtra("key_product_scene", 4);
                    intent.putExtra("key_product_info", gVar.field_favProto.whC.info);
                    com.tencent.mm.bp.d.b(context, "product", ".ui.MallProductUI", intent);
                    AppMethodBeat.o(20508);
                    return;
                case 12:
                case 15:
                    ab.d("MicroMsg.FavItemLogic", "start tv ui, fav id %d, fav local id %d", new Object[]{Integer.valueOf(gVar.field_id), Long.valueOf(gVar.field_localId)});
                    j = gVar.field_localId;
                    str = gVar.field_favProto.whE.info;
                    intent2 = new Intent();
                    intent2.putExtra("key_TV_getProductInfoScene", 3);
                    intent2.putExtra("key_is_favorite_item", true);
                    intent2.putExtra("key_favorite_local_id", j);
                    intent2.putExtra("key_TV_xml", str);
                    intent2.putExtra("key_can_delete_favorite_item", true);
                    com.tencent.mm.bp.d.b(context, "shake", ".ui.TVInfoUI", intent2);
                    AppMethodBeat.o(20508);
                    return;
                case WXMediaMessage$IMediaObject.TYPE_OLD_TV /*14*/:
                    a(context, gVar, true, abh);
                    AppMethodBeat.o(20508);
                    return;
                case 16:
                    aar c2 = b.c(gVar);
                    if (c2 == null || c2.wgZ == null || (bo.isNullOrNil(c2.wgZ.fiG) && bo.isNullOrNil(c2.wgZ.fiK))) {
                        d(context, gVar, abh);
                        AppMethodBeat.o(20508);
                        return;
                    }
                    ab.i("MicroMsg.FavItemLogic", "it is ad sight.");
                    c(context, gVar, abh);
                    AppMethodBeat.o(20508);
                    return;
                case 17:
                    w = b.c(gVar).desc;
                    aw.ZK();
                    bi.a Rn = c.XO().Rn(w);
                    if (Rn != null) {
                        Intent intent4 = new Intent();
                        intent4.putExtra("Contact_User", Rn.svN);
                        intent4.putExtra("Contact_Alias", Rn.dFl);
                        intent4.putExtra("Contact_Nick", Rn.nickname);
                        intent4.putExtra("Contact_QuanPin", Rn.gwG);
                        intent4.putExtra("Contact_PyInitial", Rn.gwF);
                        intent4.putExtra("Contact_Uin", Rn.pnz);
                        intent4.putExtra("Contact_Mobile_MD5", Rn.xZi);
                        intent4.putExtra("Contact_full_Mobile_MD5", Rn.xZj);
                        intent4.putExtra("Contact_QQNick", Rn.dtZ());
                        intent4.putExtra("User_From_Fmessage", false);
                        intent4.putExtra("Contact_Scene", Rn.scene);
                        intent4.putExtra("Contact_FMessageCard", true);
                        intent4.putExtra("Contact_RemarkName", Rn.gwK);
                        intent4.putExtra("Contact_VUser_Info_Flag", Rn.ufB);
                        intent4.putExtra("Contact_VUser_Info", Rn.duh);
                        intent4.putExtra("Contact_BrandIconURL", Rn.pln);
                        intent4.putExtra("Contact_Province", Rn.getProvince());
                        intent4.putExtra("Contact_City", Rn.getCity());
                        intent4.putExtra("Contact_Sex", Rn.dtS);
                        intent4.putExtra("Contact_Signature", Rn.signature);
                        intent4.putExtra("Contact_ShowUserName", false);
                        intent4.putExtra("Contact_KSnsIFlag", 0);
                        i.el("ContactInfoUI", abh.cvF);
                        com.tencent.mm.bp.d.b(context, Scopes.PROFILE, ".ui.ContactInfoUI", intent4);
                        com.tencent.mm.bq.a.Lu(Rn.scene);
                        AppMethodBeat.o(20508);
                        return;
                    }
                    break;
                case v2encoder.VFMT_i264 /*18*/:
                    b(context, gVar, true, abh);
                    AppMethodBeat.o(20508);
                    return;
                default:
                    ab.w("MicroMsg.FavItemLogic", "Do not match any type %d", new Object[]{Integer.valueOf(gVar.field_type)});
                    break;
            }
            AppMethodBeat.o(20508);
        }
    }

    private static void a(Context context, g gVar, boolean z, abh abh) {
        AppMethodBeat.i(20509);
        Intent intent = new Intent();
        intent.putExtra("key_detail_info_id", gVar.field_localId);
        intent.putExtra("show_share", z);
        intent.putExtra("prePublishId", "msgrecord_detail");
        intent.putExtra("preChatTYPE", 15);
        a(abh, intent);
        i.el("FavRecordDetailUI", abh.cvF);
        com.tencent.mm.bp.d.b(context, "record", ".ui.FavRecordDetailUI", intent);
        AppMethodBeat.o(20509);
    }

    private static void b(Context context, g gVar, boolean z, abh abh) {
        AppMethodBeat.i(20510);
        ab.i("MicroMsg.FavItemLogic", "click WNNoteItem, handleWNNoteItem");
        ld ldVar = new ld();
        ldVar.cGU.field_localId = gVar.field_localId;
        if (gVar.field_localId == -1) {
            ldVar.cGU.cHa = 4;
        } else {
            ldVar.cGU.cGW = gVar.field_xml;
        }
        ldVar.cGU.context = context;
        Bundle bundle = new Bundle();
        aaz aaz = gVar.field_favProto.vzK;
        if (aaz != null) {
            bundle.putString("noteauthor", aaz.wim);
            bundle.putString("noteeditor", aaz.win);
        }
        bundle.putLong("edittime", gVar.field_updateTime);
        ldVar.cGU.cGZ = bundle;
        ldVar.cGU.field_favProto = gVar.field_favProto;
        ldVar.cGU.type = 2;
        ldVar.cGU.cHc = z;
        ldVar.cGU.cHd = abh;
        com.tencent.mm.sdk.b.a.xxA.m(ldVar);
        i.el("NoteEditorUI", abh.cvF);
        AppMethodBeat.o(20510);
    }

    private static void c(Context context, g gVar, boolean z, abh abh) {
        AppMethodBeat.i(20511);
        aar c = b.c(gVar);
        Intent intent;
        if (abh != null && abh.cOi == 1) {
            intent = new Intent();
            intent.putExtra("key_detail_info_id", gVar.field_localId);
            intent.putExtra("key_detail_open_way", true);
            intent.putExtra("show_share", z);
            a(abh, intent);
            i.el("FavoriteFileDetailUI", abh.cvF);
            b.b(context, ".ui.detail.FavoriteFileDetailUI", intent);
            AppMethodBeat.o(20511);
        } else if (abh == null || abh.cOi != 2) {
            if (b.f(c)) {
                if (b.g(c)) {
                    e(context, gVar, abh);
                    AppMethodBeat.o(20511);
                    return;
                } else if (!com.tencent.mm.pluginsdk.ui.tools.a.M(b.b(c), c.wgo, 2)) {
                    AppMethodBeat.o(20511);
                    return;
                }
            }
            intent = new Intent();
            intent.putExtra("key_detail_info_id", gVar.field_localId);
            intent.putExtra("show_share", z);
            a(abh, intent);
            i.el("FavoriteFileDetailUI", abh.cvF);
            b.b(context, ".ui.detail.FavoriteFileDetailUI", intent);
            AppMethodBeat.o(20511);
        } else {
            com.tencent.mm.pluginsdk.ui.tools.a.b((Activity) context, b.b(c), c.wgo, 2);
            AppMethodBeat.o(20511);
        }
    }

    private static String H(g gVar) {
        AppMethodBeat.i(20512);
        String str;
        if (gVar.field_favProto == null) {
            AppMethodBeat.o(20512);
            return null;
        } else if (gVar.field_favProto.whA == null || bo.isNullOrNil(gVar.field_favProto.whA.canvasPageXml)) {
            LinkedList linkedList = gVar.field_favProto.wiv;
            if (linkedList == null || linkedList.size() != 1) {
                AppMethodBeat.o(20512);
                return null;
            }
            str = ((aar) linkedList.get(0)).canvasPageXml;
            AppMethodBeat.o(20512);
            return str;
        } else {
            str = gVar.field_favProto.whA.canvasPageXml;
            AppMethodBeat.o(20512);
            return str;
        }
    }

    private static String I(g gVar) {
        AppMethodBeat.i(20513);
        String str;
        if (gVar.field_favProto == null) {
            AppMethodBeat.o(20513);
            return null;
        } else if (gVar.field_favProto.whA == null || bo.isNullOrNil(gVar.field_favProto.whA.thumbUrl)) {
            LinkedList linkedList = gVar.field_favProto.wiv;
            if (linkedList == null || linkedList.size() != 1) {
                AppMethodBeat.o(20513);
                return null;
            }
            str = ((aar) linkedList.get(0)).fgE;
            AppMethodBeat.o(20513);
            return str;
        } else {
            str = gVar.field_favProto.whA.thumbUrl;
            AppMethodBeat.o(20513);
            return str;
        }
    }

    private static void d(Context context, g gVar, boolean z, abh abh) {
        AppMethodBeat.i(20514);
        String H = H(gVar);
        if (bo.isNullOrNil(H)) {
            abl abl = gVar.field_favProto.wit;
            H = "";
            String str = "";
            String str2 = "";
            if (gVar.field_favProto.whA != null) {
                abu abu = gVar.field_favProto.whA;
                H = abu.wiY;
                str = abu.title;
                str2 = abu.desc;
            }
            if (abl != null && bo.isNullOrNil(r0)) {
                H = abl.link;
            }
            if (bo.isNullOrNil(H)) {
                AppMethodBeat.o(20514);
                return;
            }
            aar c = b.c(gVar);
            if (c != null) {
                if (bo.isNullOrNil(str)) {
                    str = c.title;
                }
                if (bo.isNullOrNil(str2)) {
                    str2 = c.desc;
                }
            }
            ab.d("MicroMsg.FavItemLogic", "start web view, fav id %d, fav local id %d", new Object[]{Integer.valueOf(gVar.field_id), Long.valueOf(gVar.field_localId)});
            Intent intent = new Intent();
            intent.putExtra("rawUrl", H);
            intent.putExtra("showShare", z);
            intent.putExtra("is_favorite_item", true);
            intent.putExtra("fav_local_id", gVar.field_localId);
            intent.putExtra("favorite_control_argument", gVar.buv());
            intent.putExtra("sentUsername", gVar.field_fromUser);
            if (!(abl == null || bo.isNullOrNil(abl.csl))) {
                intent.putExtra("srcDisplayname", s.mJ(abl.csl));
            }
            intent.putExtra("mode", 1);
            intent.putExtra("geta8key_scene", 14);
            Bundle bundle = new Bundle();
            bundle.putString("key_snsad_statextstr", b.c(gVar).cMn);
            bundle.putLong("favlocalid", gVar.field_localId);
            intent.putExtra("jsapiargs", bundle);
            intent.putExtra("from_scence", 4);
            String str3 = "fav_" + r.Yz() + "_" + gVar.field_id;
            intent.putExtra("KPublisherId", str3);
            intent.putExtra("pre_username", gVar.field_fromUser);
            intent.putExtra("prePublishId", str3);
            intent.putExtra("preChatTYPE", 14);
            intent.putExtra("share_report_pre_msg_url", H);
            intent.putExtra("share_report_pre_msg_title", str);
            intent.putExtra("share_report_pre_msg_desc", str2);
            intent.putExtra("share_report_pre_msg_icon_url", I(gVar));
            intent.putExtra("share_report_pre_msg_appid", "");
            intent.putExtra("share_report_from_scene", 4);
            Bundle tL = com.tencent.mm.modelstat.a.c.tL(com.tencent.mm.pluginsdk.model.d.class.getName());
            tL.putInt("mm_rpt_fav_id", gVar.field_id);
            tL.putInt("key_detail_fav_scene", abh.scene);
            tL.putInt("key_detail_fav_sub_scene", abh.jSW);
            tL.putInt("key_detail_fav_index", abh.index);
            tL.putString("key_detail_fav_query", abh.query);
            tL.putString("key_detail_fav_sessionid", abh.cvF);
            tL.putString("key_detail_fav_tags", abh.mfg);
            i.el("WebViewUI", abh.cvF);
            intent.putExtra("mm_report_bundle", tL);
            intent.putExtra("geta8key_scene", 14);
            com.tencent.mm.bp.d.b(context, "webview", ".ui.tools.WebViewUI", intent);
            AppMethodBeat.o(20514);
            return;
        }
        Intent intent2 = new Intent();
        intent2.putExtra("sns_landing_pages_xml", H);
        intent2.putExtra("sns_landig_pages_from_source", 7);
        intent2.putExtra("sns_landing_pages_share_thumb_url", I(gVar));
        intent2.putExtra("sns_landing_favid", r.Yz() + "_" + gVar.field_id);
        intent2.addFlags(268435456);
        com.tencent.mm.bp.d.b(context, "sns", ".ui.SnsAdNativeLandingPagesPreviewUI", intent2);
        AppMethodBeat.o(20514);
    }

    private static void c(Context context, g gVar, abh abh) {
        AppMethodBeat.i(20515);
        m.a(m.a.mfs, gVar);
        Intent intent = new Intent();
        intent.putExtra("key_detail_info_id", gVar.field_localId);
        a(abh, intent);
        b.b(context, ".ui.detail.FavoriteSightDetailUI", intent);
        AppMethodBeat.o(20515);
    }

    private static void d(Context context, g gVar, abh abh) {
        AppMethodBeat.i(20517);
        aar c = b.c(gVar);
        if (a(context, c, gVar)) {
            AppMethodBeat.o(20517);
        } else if (bo.isNullOrNil(c.wgq) || c.wgu <= 0) {
            ab.w("MicroMsg.FavItemLogic", "full md5[%s], fullsize[%d], start use url", new Object[]{c.wgq, Long.valueOf(c.wgu)});
            String str = b.c(gVar).wgg;
            if (bo.isNullOrNil(str)) {
                str = b.c(gVar).wgk;
            }
            if (bo.isNullOrNil(str)) {
                ab.w("MicroMsg.FavItemLogic", "onClick video url null, return");
                c(context, gVar, abh);
                AppMethodBeat.o(20517);
                return;
            }
            Intent intent = new Intent();
            Bundle bundle = new Bundle();
            bundle.putString("key_snsad_statextstr", c.cMn);
            bundle.putLong("favlocalid", gVar.field_localId);
            intent.putExtra("jsapiargs", bundle);
            intent.putExtra("rawUrl", str);
            intent.putExtra("is_favorite_item", true);
            intent.putExtra("fav_local_id", gVar.field_localId);
            intent.putExtra("geta8key_scene", 14);
            ab.d("MicroMsg.FavItemLogic", "start video webview, fav id %d, fav local id %d", new Object[]{Integer.valueOf(gVar.field_id), Long.valueOf(gVar.field_localId)});
            intent.putExtra("geta8key_scene", 14);
            com.tencent.mm.bp.d.b(context, "webview", ".ui.tools.WebViewUI", intent);
            AppMethodBeat.o(20517);
        } else {
            Intent intent2 = new Intent();
            a(gVar, abh, intent2);
            i.el("FavoriteSightDetailUI", abh.cvF);
            b.b(context, ".ui.detail.FavoriteSightDetailUI", intent2);
            AppMethodBeat.o(20517);
        }
    }

    private static void e(Context context, g gVar, abh abh) {
        AppMethodBeat.i(20518);
        Intent intent = new Intent();
        a(gVar, abh, intent);
        i.el("FavoriteImgDetailUI", abh.cvF);
        b.b(context, ".ui.detail.FavoriteImgDetailUI", intent);
        AppMethodBeat.o(20518);
    }

    private static void a(g gVar, abh abh, Intent intent) {
        AppMethodBeat.i(20519);
        a(abh, intent);
        intent.putExtra("key_detail_info_id", gVar.field_localId);
        AppMethodBeat.o(20519);
    }

    private static void a(abh abh, Intent intent) {
        AppMethodBeat.i(20520);
        intent.putExtra("key_detail_fav_scene", abh.scene);
        intent.putExtra("key_detail_fav_sub_scene", abh.jSW);
        intent.putExtra("key_detail_fav_index", abh.index);
        intent.putExtra("key_detail_fav_query", abh.query);
        intent.putExtra("key_detail_fav_sessionid", abh.cvF);
        intent.putExtra("key_detail_fav_tags", abh.mfg);
        AppMethodBeat.o(20520);
    }

    /* JADX WARNING: Removed duplicated region for block: B:168:0x0318  */
    /* JADX WARNING: Removed duplicated region for block: B:10:0x0030  */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x003b A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:176:0x0350  */
    /* JADX WARNING: Removed duplicated region for block: B:187:0x03ed  */
    /* JADX WARNING: Removed duplicated region for block: B:189:0x0405  */
    /* JADX WARNING: Removed duplicated region for block: B:178:0x038d  */
    /* JADX WARNING: Removed duplicated region for block: B:177:0x0367  */
    /* JADX WARNING: Removed duplicated region for block: B:191:0x0441 A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:172:0x0324  */
    /* JADX WARNING: Removed duplicated region for block: B:186:0x03c7  */
    /* JADX WARNING: Removed duplicated region for block: B:188:0x03f9  */
    /* JADX WARNING: Removed duplicated region for block: B:190:0x0411  */
    public static void a(com.tencent.mm.pluginsdk.ui.applet.g.a r10, android.content.Context r11, com.tencent.mm.plugin.fav.a.g r12) {
        /*
        r9 = 3;
        r8 = 2131230813; // 0x7f08005d float:1.807769E38 double:1.052967928E-314;
        r7 = 2;
        r1 = 0;
        r6 = 20521; // 0x5029 float:2.8756E-41 double:1.01387E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r6);
        if (r12 == 0) goto L_0x000f;
    L_0x000d:
        if (r11 != 0) goto L_0x001c;
    L_0x000f:
        r0 = "MicroMsg.FavItemLogic";
        r1 = "getDisplayInfo favItemInfo is null";
        com.tencent.mm.sdk.platformtools.ab.w(r0, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
    L_0x001b:
        return;
    L_0x001c:
        r3 = com.tencent.mm.plugin.fav.a.b.c(r12);
        if (r12 != 0) goto L_0x006e;
    L_0x0022:
        r0 = "MicroMsg.FavItemLogic";
        r2 = "GetThumbUrlAndLocalPath favItemInfo is null";
        com.tencent.mm.sdk.platformtools.ab.w(r0, r2);
    L_0x002b:
        r0 = r1;
    L_0x002c:
        r2 = r0 instanceof java.lang.String;
        if (r2 == 0) goto L_0x0318;
    L_0x0030:
        r0 = (java.lang.String) r0;
    L_0x0032:
        r2 = r12.field_favProto;
        r4 = r2.whA;
        r2 = r12.field_type;
        switch(r2) {
            case 1: goto L_0x0350;
            case 2: goto L_0x03ed;
            case 3: goto L_0x003b;
            case 4: goto L_0x0405;
            case 5: goto L_0x038d;
            case 6: goto L_0x0367;
            case 7: goto L_0x0441;
            case 8: goto L_0x0324;
            case 9: goto L_0x003b;
            case 10: goto L_0x003b;
            case 11: goto L_0x003b;
            case 12: goto L_0x003b;
            case 13: goto L_0x003b;
            case 14: goto L_0x03c7;
            case 15: goto L_0x003b;
            case 16: goto L_0x03f9;
            case 17: goto L_0x003b;
            case 18: goto L_0x0411;
            default: goto L_0x003b;
        };
    L_0x003b:
        if (r4 == 0) goto L_0x0047;
    L_0x003d:
        r0 = r4.title;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x0047;
    L_0x0045:
        r1 = r4.title;
    L_0x0047:
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r1);
        if (r0 == 0) goto L_0x004f;
    L_0x004d:
        r1 = r3.title;
    L_0x004f:
        r0 = r11.getResources();
        r2 = 2131296527; // 0x7f09010f float:1.8210973E38 double:1.053000395E-314;
        r0 = r0.getString(r2);
        r2 = new java.lang.StringBuffer;
        r2.<init>(r0);
        r0 = r2.append(r1);
        r0 = r0.toString();
        r10.ajC(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x006e:
        r2 = com.tencent.mm.plugin.fav.a.b.c(r12);
        r0 = 5;
        r4 = r12.field_type;
        if (r0 != r4) goto L_0x00b4;
    L_0x0077:
        r0 = com.tencent.mm.plugin.fav.a.b.c(r2);
        r4 = new com.tencent.mm.vfs.b;
        r4.<init>(r0);
        r0 = r4.exists();
        if (r0 == 0) goto L_0x008f;
    L_0x0086:
        r0 = r4.dMD();
        r0 = com.tencent.mm.vfs.j.w(r0);
        goto L_0x002c;
    L_0x008f:
        r0 = r12.field_favProto;
        r0 = r0.whA;
        if (r0 != 0) goto L_0x00b1;
    L_0x0095:
        r0 = r1;
    L_0x0096:
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r4 == 0) goto L_0x009e;
    L_0x009c:
        r0 = r2.cvq;
    L_0x009e:
        r0 = com.tencent.mm.plugin.fav.a.b.LD(r0);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r2 == 0) goto L_0x002c;
    L_0x00a8:
        r0 = 2131230820; // 0x7f080064 float:1.8077704E38 double:1.0529679315E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x00b1:
        r0 = r0.thumbUrl;
        goto L_0x0096;
    L_0x00b4:
        r0 = 11;
        r4 = r12.field_type;
        if (r0 == r4) goto L_0x00c0;
    L_0x00ba:
        r0 = 10;
        r4 = r12.field_type;
        if (r0 != r4) goto L_0x00d8;
    L_0x00c0:
        r0 = r12.field_favProto;
        r0 = r0.whC;
        if (r0 == 0) goto L_0x00d8;
    L_0x00c6:
        r0 = r0.thumbUrl;
        r0 = com.tencent.mm.plugin.fav.a.b.LD(r0);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r2 == 0) goto L_0x002c;
    L_0x00d2:
        r0 = java.lang.Integer.valueOf(r8);
        goto L_0x002c;
    L_0x00d8:
        r0 = 15;
        r4 = r12.field_type;
        if (r0 == r4) goto L_0x00e4;
    L_0x00de:
        r0 = 12;
        r4 = r12.field_type;
        if (r0 != r4) goto L_0x00fc;
    L_0x00e4:
        r0 = r12.field_favProto;
        r0 = r0.whE;
        if (r0 == 0) goto L_0x00fc;
    L_0x00ea:
        r0 = r0.thumbUrl;
        r0 = com.tencent.mm.plugin.fav.a.b.LD(r0);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r2 == 0) goto L_0x002c;
    L_0x00f6:
        r0 = java.lang.Integer.valueOf(r8);
        goto L_0x002c;
    L_0x00fc:
        r0 = r12.field_type;
        if (r7 == r0) goto L_0x0110;
    L_0x0100:
        r0 = 7;
        r4 = r12.field_type;
        if (r0 == r4) goto L_0x0110;
    L_0x0105:
        r0 = 16;
        r4 = r12.field_type;
        if (r0 == r4) goto L_0x0110;
    L_0x010b:
        r0 = 4;
        r4 = r12.field_type;
        if (r0 != r4) goto L_0x0162;
    L_0x0110:
        r0 = com.tencent.mm.plugin.fav.a.b.c(r2);
        r4 = new com.tencent.mm.vfs.b;
        r4.<init>(r0);
        r0 = r4.exists();
        if (r0 == 0) goto L_0x0129;
    L_0x011f:
        r0 = r4.dMD();
        r0 = com.tencent.mm.vfs.j.w(r0);
        goto L_0x002c;
    L_0x0129:
        r0 = r2.cvq;
        r0 = com.tencent.mm.plugin.fav.a.b.LD(r0);
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r4 == 0) goto L_0x013c;
    L_0x0135:
        com.tencent.mm.plugin.fav.a.b.a(r12, r2);
        r0 = com.tencent.mm.plugin.fav.a.b.c(r2);
    L_0x013c:
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r2 == 0) goto L_0x002c;
    L_0x0142:
        r0 = r12.field_type;
        switch(r0) {
            case 2: goto L_0x0150;
            case 7: goto L_0x0159;
            default: goto L_0x0147;
        };
    L_0x0147:
        r0 = 2131230817; // 0x7f080061 float:1.8077697E38 double:1.05296793E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x0150:
        r0 = 2130837705; // 0x7f0200c9 float:1.7280372E38 double:1.052773707E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x0159:
        r0 = 2131230800; // 0x7f080050 float:1.8077663E38 double:1.0529679216E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x0162:
        r0 = r12.field_type;
        if (r9 == r0) goto L_0x002b;
    L_0x0166:
        r0 = 6;
        r4 = r12.field_type;
        if (r0 == r4) goto L_0x002b;
    L_0x016b:
        r0 = 8;
        r4 = r12.field_type;
        if (r0 != r4) goto L_0x017d;
    L_0x0171:
        r0 = r2.wgo;
        r0 = com.tencent.mm.pluginsdk.d.ail(r0);
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x017d:
        r0 = 17;
        r4 = r12.field_type;
        if (r0 != r4) goto L_0x01ae;
    L_0x0183:
        com.tencent.mm.model.aw.ZK();
        r0 = com.tencent.mm.model.c.XO();
        r2 = r2.desc;
        r2 = r0.Rn(r2);
        r0 = r2.svN;
        if (r0 == 0) goto L_0x01a5;
    L_0x0194:
        r0 = r2.svN;
        r0 = r0.length();
        if (r0 == 0) goto L_0x01a5;
    L_0x019c:
        r0 = new android.text.SpannableString;
        r2 = r2.svN;
        r0.<init>(r2);
        goto L_0x002c;
    L_0x01a5:
        r0 = 2130838444; // 0x7f0203ac float:1.728187E38 double:1.052774072E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x01ae:
        r0 = 14;
        r2 = r12.field_type;
        if (r0 != r2) goto L_0x002b;
    L_0x01b4:
        r0 = r12.field_favProto;
        r0 = r0.wiv;
        if (r0 == 0) goto L_0x002b;
    L_0x01ba:
        r0 = r12.field_favProto;
        r0 = r0.wiv;
        r2 = r0.iterator();
    L_0x01c2:
        r0 = r2.hasNext();
        if (r0 == 0) goto L_0x002b;
    L_0x01c8:
        r0 = r2.next();
        r0 = (com.tencent.mm.protocal.protobuf.aar) r0;
        r4 = r0.dataType;
        r5 = 1;
        if (r4 == r5) goto L_0x01c2;
    L_0x01d3:
        r4 = r0.dataType;
        if (r4 != r9) goto L_0x01e0;
    L_0x01d7:
        r0 = 2131230819; // 0x7f080063 float:1.8077702E38 double:1.052967931E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x01e0:
        r4 = r0.dataType;
        r5 = 6;
        if (r4 != r5) goto L_0x01ee;
    L_0x01e5:
        r0 = 2131230798; // 0x7f08004e float:1.8077659E38 double:1.0529679207E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x01ee:
        r4 = r0.dataType;
        r5 = 8;
        if (r4 != r5) goto L_0x0200;
    L_0x01f4:
        r0 = r0.wgo;
        r0 = com.tencent.mm.pluginsdk.d.ail(r0);
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x0200:
        r4 = r0.dataType;
        if (r4 == r7) goto L_0x0214;
    L_0x0204:
        r4 = r0.dataType;
        r5 = 7;
        if (r4 == r5) goto L_0x0214;
    L_0x0209:
        r4 = r0.dataType;
        r5 = 15;
        if (r4 == r5) goto L_0x0214;
    L_0x020f:
        r4 = r0.dataType;
        r5 = 4;
        if (r4 != r5) goto L_0x025c;
    L_0x0214:
        r2 = com.tencent.mm.plugin.fav.a.b.c(r0);
        r4 = new com.tencent.mm.vfs.b;
        r4.<init>(r2);
        r2 = r4.exists();
        if (r2 == 0) goto L_0x022d;
    L_0x0223:
        r0 = r4.dMD();
        r0 = com.tencent.mm.vfs.j.w(r0);
        goto L_0x002c;
    L_0x022d:
        r2 = r0.cvq;
        r2 = com.tencent.mm.plugin.fav.a.b.LD(r2);
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r4 == 0) goto L_0x0259;
    L_0x0239:
        r0 = r0.dataType;
        switch(r0) {
            case 2: goto L_0x0247;
            case 7: goto L_0x0250;
            default: goto L_0x023e;
        };
    L_0x023e:
        r0 = 2131230817; // 0x7f080061 float:1.8077697E38 double:1.05296793E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x0247:
        r0 = 2130837705; // 0x7f0200c9 float:1.7280372E38 double:1.052773707E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x0250:
        r0 = 2131230800; // 0x7f080050 float:1.8077663E38 double:1.0529679216E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x0259:
        r0 = r2;
        goto L_0x002c;
    L_0x025c:
        r4 = r0.dataType;
        r5 = 5;
        if (r4 != r5) goto L_0x029f;
    L_0x0261:
        r2 = com.tencent.mm.plugin.fav.a.b.c(r0);
        r4 = new com.tencent.mm.vfs.b;
        r4.<init>(r2);
        r2 = r4.exists();
        if (r2 == 0) goto L_0x027a;
    L_0x0270:
        r0 = r4.dMD();
        r0 = com.tencent.mm.vfs.j.w(r0);
        goto L_0x002c;
    L_0x027a:
        r2 = r0.wgT;
        r2 = r2.whA;
        if (r2 != 0) goto L_0x029c;
    L_0x0280:
        r2 = r1;
    L_0x0281:
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r4 == 0) goto L_0x0289;
    L_0x0287:
        r2 = r0.cvq;
    L_0x0289:
        r0 = com.tencent.mm.plugin.fav.a.b.LD(r2);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r2 == 0) goto L_0x002c;
    L_0x0293:
        r0 = 2131230820; // 0x7f080064 float:1.8077704E38 double:1.0529679315E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x029c:
        r2 = r2.thumbUrl;
        goto L_0x0281;
    L_0x029f:
        r4 = r0.dataType;
        r5 = 10;
        if (r4 == r5) goto L_0x02ab;
    L_0x02a5:
        r4 = r0.dataType;
        r5 = 11;
        if (r4 != r5) goto L_0x02c3;
    L_0x02ab:
        r4 = r0.wgT;
        r4 = r4.whC;
        if (r4 == 0) goto L_0x02c3;
    L_0x02b1:
        r0 = r4.thumbUrl;
        r0 = com.tencent.mm.plugin.fav.a.b.LD(r0);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r2 == 0) goto L_0x002c;
    L_0x02bd:
        r0 = java.lang.Integer.valueOf(r8);
        goto L_0x002c;
    L_0x02c3:
        r4 = r0.dataType;
        r5 = 12;
        if (r4 == r5) goto L_0x02cf;
    L_0x02c9:
        r4 = r0.dataType;
        r5 = 14;
        if (r4 != r5) goto L_0x02e7;
    L_0x02cf:
        r4 = r0.wgT;
        r4 = r4.whE;
        if (r4 == 0) goto L_0x02e7;
    L_0x02d5:
        r0 = r4.thumbUrl;
        r0 = com.tencent.mm.plugin.fav.a.b.LD(r0);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r2 == 0) goto L_0x002c;
    L_0x02e1:
        r0 = java.lang.Integer.valueOf(r8);
        goto L_0x002c;
    L_0x02e7:
        r4 = r0.dataType;
        r5 = 16;
        if (r4 != r5) goto L_0x01c2;
    L_0x02ed:
        com.tencent.mm.model.aw.ZK();
        r2 = com.tencent.mm.model.c.XO();
        r0 = r0.desc;
        r2 = r2.Rn(r0);
        r0 = r2.svN;
        if (r0 == 0) goto L_0x030f;
    L_0x02fe:
        r0 = r2.svN;
        r0 = r0.length();
        if (r0 == 0) goto L_0x030f;
    L_0x0306:
        r0 = new android.text.SpannableString;
        r2 = r2.svN;
        r0.<init>(r2);
        goto L_0x002c;
    L_0x030f:
        r0 = 2130838444; // 0x7f0203ac float:1.728187E38 double:1.052774072E-314;
        r0 = java.lang.Integer.valueOf(r0);
        goto L_0x002c;
    L_0x0318:
        r2 = r0 instanceof java.lang.Integer;
        if (r2 == 0) goto L_0x0321;
    L_0x031c:
        r0 = (java.lang.Integer) r0;
        r0.intValue();
    L_0x0321:
        r0 = r1;
        goto L_0x0032;
    L_0x0324:
        r0 = r12.field_favProto;
        r0 = r0.title;
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r1 == 0) goto L_0x0330;
    L_0x032e:
        r0 = r3.title;
    L_0x0330:
        r1 = r11.getResources();
        r2 = 2131296942; // 0x7f0902ae float:1.8211815E38 double:1.0530006E-314;
        r1 = r1.getString(r2);
        r2 = new java.lang.StringBuffer;
        r2.<init>(r1);
        r0 = r2.append(r0);
        r0 = r0.toString();
        r10.ajC(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x0350:
        r0 = r12.field_favProto;
        r0 = r0.desc;
        r10.ajC(r0);
        r10.djw();
        r0 = new com.tencent.mm.plugin.favorite.d$2;
        r0.<init>(r12, r11);
        r10.a(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x0367:
        r0 = r12.field_favProto;
        r0 = r0.why;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = 2131296967; // 0x7f0902c7 float:1.8211866E38 double:1.0530006125E-314;
        r2 = r11.getString(r2);
        r1 = r1.append(r2);
        r0 = r0.label;
        r0 = r1.append(r0);
        r0 = r0.toString();
        r10.ajC(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x038d:
        if (r4 == 0) goto L_0x0475;
    L_0x038f:
        r0 = r4.title;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x0475;
    L_0x0397:
        r2 = r4.title;
        r1 = r4.desc;
        r0 = r1;
    L_0x039c:
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r1 == 0) goto L_0x03a4;
    L_0x03a2:
        r2 = r3.title;
    L_0x03a4:
        com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        r0 = r11.getResources();
        r1 = 2131297071; // 0x7f09032f float:1.8212077E38 double:1.053000664E-314;
        r0 = r0.getString(r1);
        r1 = new java.lang.StringBuffer;
        r1.<init>(r0);
        r0 = r1.append(r2);
        r0 = r0.toString();
        r10.ajC(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x03c7:
        r0 = com.tencent.mm.plugin.fav.ui.i.a.a(r11, r12);
        r0 = r0.title;
        r1 = r11.getResources();
        r2 = 2131297030; // 0x7f090306 float:1.8211993E38 double:1.0530006436E-314;
        r1 = r1.getString(r2);
        r2 = new java.lang.StringBuffer;
        r2.<init>(r1);
        r0 = r2.append(r0);
        r0 = r0.toString();
        r10.ajC(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x03ed:
        r0 = com.tencent.mm.sdk.platformtools.d.aml(r0);
        r10.b(r0, r9);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x03f9:
        r0 = com.tencent.mm.sdk.platformtools.d.aml(r0);
        r10.b(r0, r7);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x0405:
        r0 = com.tencent.mm.sdk.platformtools.d.aml(r0);
        r10.b(r0, r7);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x0411:
        r0 = r11.getResources();
        r1 = 2131296993; // 0x7f0902e1 float:1.8211918E38 double:1.0530006253E-314;
        r0 = r0.getString(r1);
        r1 = com.tencent.mm.plugin.fav.ui.i.a.a(r11, r12);
        r1 = r1.desc;
        r2 = "\n";
        r3 = " ";
        r1 = r1.replaceAll(r2, r3);
        r2 = new java.lang.StringBuffer;
        r2.<init>(r0);
        r0 = r2.append(r1);
        r0 = r0.toString();
        r10.ajC(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x0441:
        if (r4 == 0) goto L_0x044d;
    L_0x0443:
        r0 = r4.title;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x044d;
    L_0x044b:
        r1 = r4.title;
    L_0x044d:
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r1);
        if (r0 == 0) goto L_0x0455;
    L_0x0453:
        r1 = r3.title;
    L_0x0455:
        r0 = r11.getResources();
        r2 = 2131296980; // 0x7f0902d4 float:1.8211892E38 double:1.053000619E-314;
        r0 = r0.getString(r2);
        r2 = new java.lang.StringBuffer;
        r2.<init>(r0);
        r0 = r2.append(r1);
        r0 = r0.toString();
        r10.ajC(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x001b;
    L_0x0475:
        r0 = r1;
        r2 = r1;
        goto L_0x039c;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.favorite.d.a(com.tencent.mm.pluginsdk.ui.applet.g$a, android.content.Context, com.tencent.mm.plugin.fav.a.g):void");
    }

    public static void b(com.tencent.mm.pluginsdk.ui.applet.g.a aVar, final Context context, final g gVar) {
        AppMethodBeat.i(20522);
        if (gVar == null || context == null) {
            ab.w("MicroMsg.FavItemLogic", "getDisplayInfo favItemInfo is null");
            AppMethodBeat.o(20522);
            return;
        }
        final aar c = b.c(gVar);
        switch (gVar.field_type) {
            case 1:
                aVar.a(new 4(gVar, context));
                AppMethodBeat.o(20522);
                return;
            case 2:
                aVar.a(new com.tencent.mm.ui.widget.a.c.a.b() {
                    public final void bwF() {
                        AppMethodBeat.i(20506);
                        Intent intent = new Intent();
                        intent.putExtra("key_detail_info_id", gVar.field_localId);
                        intent.putExtra("key_detail_data_id", c.mnd);
                        intent.putExtra("show_share", false);
                        b.b(context, ".ui.FavImgGalleryUI", intent);
                        AppMethodBeat.o(20506);
                    }
                });
                AppMethodBeat.o(20522);
                return;
            case 4:
            case 16:
                aVar.a(new 9(gVar, context));
                AppMethodBeat.o(20522);
                return;
            case 5:
                aVar.a(new com.tencent.mm.ui.widget.a.c.a.b() {
                    public final void bwF() {
                        AppMethodBeat.i(20504);
                        d.g(context, gVar, new abh());
                        AppMethodBeat.o(20504);
                    }
                });
                AppMethodBeat.o(20522);
                return;
            case 6:
                final aay aay = gVar.field_favProto.why;
                aVar.a(new com.tencent.mm.ui.widget.a.c.a.b() {
                    public final void bwF() {
                        AppMethodBeat.i(20503);
                        Intent intent = new Intent();
                        intent.putExtra("map_view_type", 1);
                        intent.putExtra("kwebmap_slat", aay.lat);
                        intent.putExtra("kwebmap_lng", aay.lng);
                        intent.putExtra("Kwebmap_locaion", aay.label);
                        intent.putExtra("kShowshare", false);
                        com.tencent.mm.bp.d.b(context, "location", ".ui.RedirectUI", intent);
                        AppMethodBeat.o(20503);
                    }
                });
                AppMethodBeat.o(20522);
                return;
            case 8:
                aVar.a(new 3(context, gVar));
                AppMethodBeat.o(20522);
                return;
            case WXMediaMessage$IMediaObject.TYPE_OLD_TV /*14*/:
                aVar.a(new com.tencent.mm.ui.widget.a.c.a.b() {
                    public final void bwF() {
                        AppMethodBeat.i(20505);
                        d.h(context, gVar, new abh());
                        AppMethodBeat.o(20505);
                    }
                });
                AppMethodBeat.o(20522);
                return;
            case v2encoder.VFMT_i264 /*18*/:
                aVar.a(new 1(context, gVar));
                break;
        }
        AppMethodBeat.o(20522);
    }

    private static boolean a(Context context, aar aar, g gVar) {
        AppMethodBeat.i(20516);
        aau aau = aar.wgZ;
        if (aau == null || bo.isNullOrNil(aau.fiG)) {
            AppMethodBeat.o(20516);
            return false;
        }
        m.a(m.a.mfu, gVar);
        String c = b.c(aar);
        Intent intent = new Intent();
        intent.putExtra("IsAd", false);
        intent.putExtra("KStremVideoUrl", aau.fiG);
        intent.putExtra("StreamWording", aau.fiJ);
        intent.putExtra("StremWebUrl", aau.fiK);
        intent.putExtra("KThumUrl", aau.fiL);
        intent.putExtra("KSta_StremVideoAduxInfo", aau.fiM);
        intent.putExtra("KSta_StremVideoPublishId", aau.fiN);
        intent.putExtra("KSta_SourceType", 2);
        intent.putExtra("KSta_Scene", m.b.mfE.value);
        intent.putExtra("KSta_FromUserName", gVar.field_fromUser);
        intent.putExtra("KSta_FavID", gVar.field_id);
        intent.putExtra("KSta_SnsStatExtStr", aar.cMn);
        intent.putExtra("KBlockFav", true);
        intent.putExtra("KMediaId", "fakeid_" + gVar.field_id);
        intent.putExtra("KThumbPath", c);
        intent.putExtra("KMediaVideoTime", aau.wid);
        intent.putExtra("KMediaTitle", aau.fiI);
        com.tencent.mm.bp.d.b(context, "sns", ".ui.VideoAdPlayerUI", intent);
        AppMethodBeat.o(20516);
        return true;
    }
}
