package com.tencent.mm.plugin.mmsight.segment;

import android.content.Context;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.support.v7.widget.RecyclerView.m;
import android.support.v7.widget.RecyclerView.v;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.RelativeLayout.LayoutParams;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.modelcontrol.VideoTransPara;
import com.tencent.mm.plugin.mmsight.segment.n.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;

public class RecyclerThumbSeekBar extends RelativeLayout implements c {
    private int fPW = -1;
    private int fgI;
    private int fgJ;
    private RecyclerView iJP;
    private VideoTransPara ouc;
    private int oyo;
    private c$a oyp;
    private c$b oyq;
    private c oyr;
    private n oys;
    private int oyt;
    private d$a oyu = new d$a(4, new 1(this));
    private Runnable oyv = new 2(this);
    private m oyw = new 5(this);
    private a oyx = new 6(this);
    private String path;

    class e extends v {
        ImageView cAw;

        e(View view, int i) {
            super(view);
            AppMethodBeat.i(54995);
            if (i == 0) {
                this.cAw = (ImageView) ((LinearLayout) view).getChildAt(0);
            }
            AppMethodBeat.o(54995);
        }
    }

    static /* synthetic */ void h(RecyclerThumbSeekBar recyclerThumbSeekBar) {
        AppMethodBeat.i(55008);
        recyclerThumbSeekBar.bQl();
        AppMethodBeat.o(55008);
    }

    public RecyclerThumbSeekBar(Context context) {
        super(context);
        AppMethodBeat.i(54996);
        init();
        AppMethodBeat.o(54996);
    }

    public RecyclerThumbSeekBar(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(54997);
        init();
        AppMethodBeat.o(54997);
    }

    public RecyclerThumbSeekBar(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(54998);
        init();
        AppMethodBeat.o(54998);
    }

    private void init() {
        AppMethodBeat.i(54999);
        this.iJP = new RecyclerView(getContext());
        getContext();
        this.iJP.setLayoutManager(new LinearLayoutManager(0));
        this.iJP.setHasFixedSize(true);
        int al = com.tencent.mm.bz.a.al(getContext(), 2131428734);
        this.oyt = com.tencent.mm.bz.a.al(getContext(), 2131428733);
        addView(this.iJP, new LayoutParams(-1, al));
        this.oys = new n(getContext());
        addView(this.oys, new LayoutParams(-1, -1));
        this.oys.setOnSliderTouchListener(this.oyx);
        this.iJP.a(this.oyw);
        AppMethodBeat.o(54999);
    }

    public void setCurrentCursorPosition(float f) {
        float f2 = 0.0f;
        AppMethodBeat.i(55000);
        n nVar = this.oys;
        if (!(this.oyr == null || this.iJP == null)) {
            float itemCount = ((float) this.oyr.getItemCount()) * f;
            int floor = (int) Math.floor((double) itemCount);
            itemCount -= (float) floor;
            v cf = this.iJP.cf(floor + 1);
            if (cf != null) {
                View view = cf.apJ;
                f2 = ((((float) view.getWidth()) * itemCount) + ((float) view.getLeft())) / ((float) getWidth());
            }
        }
        nVar.setCursorPos(f2);
        AppMethodBeat.o(55000);
    }

    public final void RO(String str) {
        AppMethodBeat.i(55001);
        if (bo.isNullOrNil(str) || !com.tencent.mm.vfs.e.ct(str)) {
            bQl();
            AppMethodBeat.o(55001);
            return;
        }
        this.path = str;
        post(this.oyv);
        AppMethodBeat.o(55001);
    }

    public int getDurationMs() {
        return this.fPW;
    }

    public final void iX(boolean z) {
        if (z) {
            this.oys.oyN = true;
        } else {
            this.oys.oyN = false;
        }
    }

    public void setVideoTransPara(VideoTransPara videoTransPara) {
        this.ouc = videoTransPara;
    }

    private void setViewWidth(int i) {
        AppMethodBeat.i(55002);
        ViewGroup.LayoutParams layoutParams = getLayoutParams();
        layoutParams.width = i;
        setLayoutParams(layoutParams);
        AppMethodBeat.o(55002);
    }

    private void bQl() {
        AppMethodBeat.i(55003);
        al.d(new 4(this));
        AppMethodBeat.o(55003);
    }

    public final void release() {
        AppMethodBeat.i(55004);
        this.fPW = -1;
        this.path = null;
        if (this.oyu != null) {
            this.oyu.destroy();
        }
        if (!(this.oyr == null || this.oyr.oyD == null)) {
            d dVar = this.oyr.oyD;
            if (!(dVar.oyI == null || dVar.oyI.length == 0)) {
                for (int i = 0; i < dVar.oyI.length; i++) {
                    if (dVar.oyI[i] != null) {
                        dVar.oyI[i].quit();
                        dVar.oyI[i] = null;
                    }
                }
            }
            this.oyr.oyD = null;
            this.oyr = null;
        }
        if (this.oys != null) {
            n nVar = this.oys;
            if (!(nVar.ozg == null || nVar.ozh == null)) {
                nVar.oyQ.setBounds(nVar.ozg);
                nVar.oyR.setBounds(nVar.ozh);
                nVar.oyV = -1.0f;
                nVar.postInvalidate();
            }
        }
        AppMethodBeat.o(55004);
    }

    public void setOnPreparedListener(c$a c_a) {
        this.oyp = c_a;
    }

    public void setThumbBarSeekListener(c$b c_b) {
        this.oyq = c_b;
    }

    public final float bQa() {
        AppMethodBeat.i(55005);
        if (this.oys == null) {
            AppMethodBeat.o(55005);
            return 0.0f;
        }
        ab.d("RecyclerThumbSeekBar", "computeStartPercent x : [%d] ret[%f] seekLoopStartTime[%d] durationMs[%d]", new Object[]{Integer.valueOf(this.oys.getLeftSliderBound()), Float.valueOf(r0), Integer.valueOf(Math.round(((float) this.fPW) * Z(this.oys.getLeftSliderBound(), false))), Integer.valueOf(this.fPW)});
        AppMethodBeat.o(55005);
        return Z(this.oys.getLeftSliderBound(), false);
    }

    public final float bQb() {
        AppMethodBeat.i(55006);
        if (this.oys == null) {
            AppMethodBeat.o(55006);
            return 0.0f;
        }
        ab.d("RecyclerThumbSeekBar", "computeEndPercent x : [%d] ret[%f] seekLoopEndTime[%d]", new Object[]{Integer.valueOf(this.oys.getRightSliderBound()), Float.valueOf(r0), Integer.valueOf(Math.round(((float) this.fPW) * Z(this.oys.getRightSliderBound(), true)))});
        AppMethodBeat.o(55006);
        return Z(this.oys.getRightSliderBound(), true);
    }

    private float Z(int i, boolean z) {
        AppMethodBeat.i(55007);
        if (this.oyr == null || this.iJP == null) {
            AppMethodBeat.o(55007);
            return 0.0f;
        }
        View x = this.iJP.x((float) i, 0.0f);
        if (x == null) {
            ab.w("RecyclerThumbSeekBar", "getPositionInTotalRange x[%d] isEnd[%b], view is null.", new Object[]{Integer.valueOf(i), Boolean.valueOf(z)});
            AppMethodBeat.o(55007);
            return 0.0f;
        }
        int bo = RecyclerView.bo(x);
        int itemCount = this.oyr.getItemCount();
        if (bo <= 1) {
            AppMethodBeat.o(55007);
            return 0.0f;
        } else if (bo >= itemCount - 1) {
            AppMethodBeat.o(55007);
            return 1.0f;
        } else {
            float left = (((float) (bo - 1)) + (((float) (i - x.getLeft())) / ((float) x.getWidth()))) / ((float) (itemCount - 2));
            AppMethodBeat.o(55007);
            return left;
        }
    }

    static /* synthetic */ void k(RecyclerThumbSeekBar recyclerThumbSeekBar) {
        AppMethodBeat.i(55009);
        al.d(new 3(recyclerThumbSeekBar));
        AppMethodBeat.o(55009);
    }

    static /* synthetic */ int e(RecyclerThumbSeekBar recyclerThumbSeekBar, int i) {
        AppMethodBeat.i(55010);
        IllegalStateException illegalStateException;
        if (recyclerThumbSeekBar.oyr == null) {
            illegalStateException = new IllegalStateException("recyclerAdapter is null");
            AppMethodBeat.o(55010);
            throw illegalStateException;
        } else if (recyclerThumbSeekBar.fPW <= 0) {
            illegalStateException = new IllegalStateException("durationMs <= 0");
            AppMethodBeat.o(55010);
            throw illegalStateException;
        } else {
            recyclerThumbSeekBar.oyr.getItemCount();
            int min = (int) ((Math.min(Math.max(0.0f, ((float) i) / ((float) recyclerThumbSeekBar.fPW)), 1.0f) * ((float) recyclerThumbSeekBar.fgJ)) * ((float) (recyclerThumbSeekBar.oyr.getItemCount() - 2)));
            AppMethodBeat.o(55010);
            return min;
        }
    }
}
