package com.tencent.mm.plugin.wallet.pay.ui;

import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.method.LinkMovementMethod;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.Window;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.compatible.util.d;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.wallet.a.s;
import com.tencent.mm.plugin.wallet_core.model.Bankcard;
import com.tencent.mm.plugin.wallet_core.model.Orders;
import com.tencent.mm.plugin.wallet_core.model.Orders.Commodity;
import com.tencent.mm.plugin.wallet_core.model.Orders.DeductShowInfo;
import com.tencent.mm.plugin.wallet_core.model.ac;
import com.tencent.mm.plugin.wallet_core.model.ak;
import com.tencent.mm.plugin.wallet_core.model.r;
import com.tencent.mm.plugin.wallet_core.ui.e;
import com.tencent.mm.plugin.wallet_core.ui.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ac.a;
import com.tencent.mm.ui.base.preference.MMPreference;
import com.tencent.mm.ui.base.preference.Preference;
import com.tencent.mm.ui.widget.MMSwitchBtn;
import com.tencent.mm.wallet_core.ui.WalletTextView;
import java.util.ArrayList;
import java.util.List;

public class WalletPayDeductUI extends MMPreference implements OnClickListener, f {
    protected Button gHn;
    private Dialog gII = null;
    protected com.tencent.mm.ui.base.preference.f iFE;
    private String kdE;
    private LinearLayout nrC;
    protected MMSwitchBtn omp;
    protected Orders pWy;
    protected ArrayList<Preference> tpd;
    protected TextView tpe;
    private TextView tpf;
    private TextView tpg;
    private String tph;
    private String tpi;
    private Bankcard tpj;
    protected boolean tpk = false;
    private int tpl = 0;
    private String tpm;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void c(WalletPayDeductUI walletPayDeductUI) {
        AppMethodBeat.i(46033);
        walletPayDeductUI.cNU();
        AppMethodBeat.o(46033);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(46022);
        super.onCreate(bundle);
        this.iFE = this.yCw;
        getSupportActionBar().setBackgroundDrawable(new ColorDrawable(getResources().getColor(2131690691)));
        View customView = getSupportActionBar().getCustomView();
        if (customView != null) {
            View findViewById = customView.findViewById(2131821128);
            if (findViewById != null) {
                findViewById.setBackgroundColor(getResources().getColor(2131690597));
            }
            customView = customView.findViewById(16908309);
            if (customView != null && (customView instanceof TextView)) {
                ((TextView) customView).setTextColor(getResources().getColor(2131690691));
            }
        }
        if (VERSION.SDK_INT >= 21) {
            Window window = getWindow();
            window.addFlags(Integer.MIN_VALUE);
            if (d.iW(23)) {
                window.setStatusBarColor(getResources().getColor(2131690622));
                getWindow().getDecorView().setSystemUiVisibility(8192);
            } else {
                getWindow().setStatusBarColor(Color.parseColor("#E5E5E5"));
            }
        }
        Intent intent = getIntent();
        if (intent == null) {
            ab.e("MicroMsg.WalletPayDeductUI", "intent is null");
            finish();
            AppMethodBeat.o(46022);
            return;
        }
        this.pWy = (Orders) intent.getParcelableExtra("orders");
        if (this.pWy == null || this.pWy.tAv == null) {
            ab.e("MicroMsg.WalletPayDeductUI", "Orders data or deductInfo is null   : " + this.pWy);
            finish();
        }
        dP(this.pWy.tAv.tBe);
        setResult(0);
        setBackBtn(new 1(this), 2131230737);
        g.RQ();
        g.RO().eJo.a(385, this);
        initView();
        AppMethodBeat.o(46022);
    }

    public void onResume() {
        AppMethodBeat.i(46023);
        super.onResume();
        AppMethodBeat.o(46023);
    }

    public void onDestroy() {
        AppMethodBeat.i(46024);
        super.onDestroy();
        g.RQ();
        g.RO().eJo.b(385, this);
        AppMethodBeat.o(46024);
    }

    public final int JC() {
        return -1;
    }

    private void cNU() {
        AppMethodBeat.i(46026);
        s.cNC();
        ak cND = s.cND();
        if (this.tpj == null) {
            this.tpj = cND.a(null, null, true, true, true);
        }
        if (this.tpj == null) {
            ab.i("MicroMsg.WalletPayDeductUI", "no bank card!");
            finish();
            AppMethodBeat.o(46026);
            return;
        }
        SpannableString spannableString = new SpannableString(this.tpj.field_desc);
        j jVar = new j(this.mController.ylL);
        jVar.tHw = new 3(this, ac.cPS());
        spannableString.setSpan(jVar, 0, spannableString.length(), 18);
        this.tpf.setText(spannableString);
        this.tpf.setMovementMethod(LinkMovementMethod.getInstance());
        AppMethodBeat.o(46026);
    }

    /* Access modifiers changed, original: protected|final */
    public final void mX(boolean z) {
        AppMethodBeat.i(46027);
        if (z) {
            findViewById(16908298).setVisibility(0);
            if (this.pWy.tAv.tBf == 1) {
                this.nrC.setVisibility(0);
            } else {
                this.nrC.setVisibility(8);
            }
            cNV();
            if (r.cPI().cQg()) {
                this.tpe.setVisibility(8);
                this.gHn.setText(2131304770);
            } else {
                this.tpe.setVisibility(0);
                this.tpe.setText(2131304769);
                this.gHn.setText(2131304767);
            }
        } else {
            if (this.tpd != null && this.tpd.size() > 0) {
                int size = this.tpd.size();
                for (int i = 0; i < size; i++) {
                    this.iFE.ce(((Preference) this.tpd.get(i)).mKey, true);
                }
            }
            findViewById(16908298).setVisibility(8);
            this.nrC.setVisibility(8);
            this.tpe.setVisibility(8);
            this.gHn.setText(2131304768);
        }
        ab.i("MicroMsg.WalletPayDeductUI", "isCheck=" + this.omp.zMU);
        AppMethodBeat.o(46027);
    }

    private void cNV() {
        AppMethodBeat.i(46028);
        if (this.tpd == null || this.tpd.size() <= 0) {
            AppMethodBeat.o(46028);
            return;
        }
        int size = this.tpd.size();
        for (int i = 0; i < size; i++) {
            this.iFE.ce(((Preference) this.tpd.get(i)).mKey, false);
        }
        this.iFE.notifyDataSetChanged();
        AppMethodBeat.o(46028);
    }

    private void dP(List<DeductShowInfo> list) {
        AppMethodBeat.i(46029);
        if (list == null || list.size() == 0) {
            ab.e("MicroMsg.WalletPayDeductUI", "showinfos is null or length is 0");
            AppMethodBeat.o(46029);
            return;
        }
        if (this.tpd == null) {
            int size = list.size();
            this.tpd = new ArrayList();
            for (int i = 0; i < size; i++) {
                DeductShowInfo deductShowInfo = (DeductShowInfo) list.get(i);
                if (!(deductShowInfo == null || bo.isNullOrNil(deductShowInfo.name))) {
                    e eVar = new e(this);
                    eVar.setTitle(deductShowInfo.name);
                    if (deductShowInfo.tBi > 0) {
                        eVar.peA = getResources().getColor(2131690208);
                        String str = deductShowInfo.value;
                        4 4 = new 4(this, deductShowInfo);
                        eVar.mXp = str;
                        eVar.mXt = true;
                        eVar.lDG = 4;
                    } else {
                        eVar.mXp = deductShowInfo.value;
                        eVar.mXt = false;
                    }
                    eVar.setKey("deduct_info_".concat(String.valueOf(i)));
                    this.tpd.add(eVar);
                    this.iFE.b(eVar);
                    this.iFE.ce(eVar.mKey, true);
                }
            }
        }
        AppMethodBeat.o(46029);
    }

    public final int getLayoutId() {
        return 2130971145;
    }

    public final boolean a(com.tencent.mm.ui.base.preference.f fVar, Preference preference) {
        return false;
    }

    public void onClick(View view) {
        AppMethodBeat.i(46030);
        int id = view.getId();
        if (id == 2131822846) {
            Intent intent = new Intent();
            if (this.tpl == 0) {
                intent.putExtra("auto_deduct_flag", this.omp.zMU ? 1 : 0);
            } else {
                intent.putExtra("auto_deduct_flag", this.pWy.tAv.tpY);
            }
            if (this.tpj != null) {
                intent.putExtra("deduct_bank_type", this.tpj.field_bankcardType);
                intent.putExtra("deduct_bind_serial", this.tpj.field_bindSerial);
                ab.i("MicroMsg.WalletPayDeductUI", "deduct bankType: %s", new Object[]{this.tpj.field_bankcardType});
            }
            setResult(-1, intent);
            finish();
            AppMethodBeat.o(46030);
            return;
        }
        if (id == 2131825998 && !bo.isNullOrNil(this.pWy.tAv.tBd)) {
            Intent intent2 = new Intent();
            intent2.putExtra("rawUrl", this.pWy.tAv.tBd);
            intent2.putExtra("showShare", false);
            com.tencent.mm.bp.d.b(this, "webview", ".ui.tools.WebViewUI", intent2);
        }
        AppMethodBeat.o(46030);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(46031);
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(46031);
        return onKeyDown;
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(46032);
        ab.i("MicroMsg.WalletPayDeductUI", "errType: %d, errCode: %d", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
        if (!(mVar instanceof com.tencent.mm.plugin.wallet.pwd.a.j)) {
            ab.d("MicroMsg.WalletPayDeductUI", "other tenpay scene");
        } else if (i == 0 && i2 == 0) {
            g.RQ();
            this.tpi = (String) g.RP().Ry().get(a.xNL, getString(2131305178));
            g.RQ();
            this.tph = (String) g.RP().Ry().get(a.xNK, getString(2131305181));
            this.tpg.setText(this.tpi);
            cNU();
        }
        if (this.gII != null) {
            this.gII.dismiss();
        }
        AppMethodBeat.o(46032);
    }

    public final void initView() {
        boolean z;
        AppMethodBeat.i(46025);
        this.tpe = (TextView) this.mController.contentView.findViewById(2131828982);
        this.gHn = (Button) this.mController.contentView.findViewById(2131822846);
        this.nrC = (LinearLayout) findViewById(2131828978);
        ((TextView) findViewById(2131828976)).setText(this.pWy.tAv.title);
        ((TextView) findViewById(2131820678)).setText(((Commodity) this.pWy.tAq.get(0)).desc);
        WalletTextView walletTextView = (WalletTextView) findViewById(2131828974);
        walletTextView.setTypeface(0);
        walletTextView.setText(com.tencent.mm.wallet_core.ui.e.atr(this.pWy.pcl));
        ((TextView) findViewById(2131826481)).setText(((Commodity) this.pWy.tAq.get(0)).kCJ);
        TextView textView = (TextView) findViewById(2131825998);
        TextView textView2 = (TextView) findViewById(2131828977);
        if (bo.isNullOrNil(this.pWy.tAv.tBg)) {
            textView2.setVisibility(8);
        } else {
            textView2.setText(this.pWy.tAv.tBg);
            if (!bo.isNullOrNil(this.pWy.tAv.tBh)) {
                textView2.setTextColor(Color.parseColor(this.pWy.tAv.tBh));
            }
        }
        this.tpf = (TextView) findViewById(2131828979);
        this.tpg = (TextView) findViewById(2131828980);
        if (this.pWy.tAv.tpY == 1) {
            z = true;
        } else {
            z = false;
        }
        this.tpk = z;
        this.tpl = this.pWy.tAv.tpl;
        this.kdE = this.pWy.tAv.kdE;
        this.tpm = this.pWy.tAv.tpm;
        ab.i("MicroMsg.WalletPayDeductUI", "open: %s, show_type: %s", new Object[]{Boolean.valueOf(this.tpk), Integer.valueOf(this.tpl)});
        if (this.tpl == 0) {
            this.omp = (MMSwitchBtn) findViewById(2131820932);
            this.omp.setCheck(this.tpk);
            this.omp.setSwitchListener(new 2(this));
            mX(this.tpk);
        } else {
            if (!bo.isNullOrNil(this.kdE)) {
                this.gHn.setText(this.kdE);
            }
            if (!bo.isNullOrNil(this.tpm)) {
                this.tpe.setText(this.tpm);
                this.tpe.setVisibility(0);
            }
            findViewById(2131828975).setVisibility(8);
            cNV();
        }
        ab.d("MicroMsg.WalletPayDeductUI", "show pay way layout: %d", new Object[]{Integer.valueOf(this.pWy.tAv.tBf)});
        if (this.pWy.tAv.tBf == 1) {
            g.RQ();
            this.tpi = (String) g.RP().Ry().get(a.xNL, "");
            g.RQ();
            this.tph = (String) g.RP().Ry().get(a.xNK, "");
            if (bo.isNullOrNil(this.tph) || bo.isNullOrNil(this.tph)) {
                ab.i("MicroMsg.WalletPayDeductUI", "need do pay manager");
                this.gII = com.tencent.mm.wallet_core.ui.g.a(this.mController.ylL, false, null);
                com.tencent.mm.plugin.wallet.pwd.a.j jVar = new com.tencent.mm.plugin.wallet.pwd.a.j();
                g.RQ();
                g.RO().eJo.a(jVar, 0);
            } else {
                this.tpg.setText(this.tpi);
                cNU();
            }
        } else {
            this.nrC.setVisibility(8);
        }
        if (bo.isNullOrNil(this.pWy.tAv.tBd)) {
            textView.setVisibility(8);
        } else {
            String string = getString(2131304765);
            SpannableString b = com.tencent.mm.pluginsdk.ui.e.j.b((Context) this, getString(2131304764, new Object[]{string, getString(2131304766)}));
            j jVar2 = new j(this.mController.ylL);
            SpannableString spannableString = new SpannableString(b);
            spannableString.setSpan(jVar2, b.length() - r4.length(), b.length(), 33);
            textView.setTextColor(getResources().getColor(2131690164));
            textView.setText(spannableString);
            textView.setOnClickListener(this);
            textView.setVisibility(0);
        }
        this.gHn.setOnClickListener(this);
        AppMethodBeat.o(46025);
    }
}
