package com.tencent.mm.ui.chatting;

import android.content.Context;
import android.view.MenuItem;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.af.j.b;
import com.tencent.mm.aj.f;
import com.tencent.mm.aj.z;
import com.tencent.mm.at.o;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.c;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.pluginsdk.model.app.l;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.bi;
import com.tencent.mm.ui.base.n.d;
import com.tencent.mm.ui.base.t;
import com.tencent.mm.ui.tools.j;
import com.tencent.mm.vfs.e;
import com.tencent.smtt.sdk.TbsListener$ErrorCode;
import java.util.LinkedList;
import java.util.List;

public final class am {
    public static void m(String str, Context context) {
        AppMethodBeat.i(31021);
        if (context == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptTextConnector: context is null");
            AppMethodBeat.o(31021);
        } else if (bo.isNullOrNil(str)) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptTextConnector: content is null");
            AppMethodBeat.o(31021);
        } else {
            a(eW(z.aeR().le(1)), context, new 1(str, context));
            AppMethodBeat.o(31021);
        }
    }

    public static void b(bi biVar, Context context) {
        AppMethodBeat.i(31022);
        if (context == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptVoiceConnector: context is null");
            AppMethodBeat.o(31022);
        } else if (biVar == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptVoiceConnector: msg is null");
            AppMethodBeat.o(31022);
        } else {
            aw.ZK();
            if (c.isSDCardAvailable()) {
                a(eW(z.aeR().le(2)), context, new 4(biVar, context));
                AppMethodBeat.o(31022);
                return;
            }
            t.hO(context);
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptVoiceConnector: sd card not available");
            AppMethodBeat.o(31022);
        }
    }

    public static void a(bi biVar, Context context, String str, boolean z) {
        AppMethodBeat.i(31023);
        if (context == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptImgConnector: context is null");
            AppMethodBeat.o(31023);
        } else if (biVar == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptImgConnector: msg is null");
            AppMethodBeat.o(31023);
        } else {
            aw.ZK();
            if (c.isSDCardAvailable()) {
                a(eW(z.aeR().le(4)), context, new 5(biVar, context, z, str));
                AppMethodBeat.o(31023);
                return;
            }
            t.hO(context);
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptImgConnector: sd card is not available");
            AppMethodBeat.o(31023);
        }
    }

    public static void c(bi biVar, Context context) {
        AppMethodBeat.i(31024);
        if (context == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptVideoConnector: context is null");
            AppMethodBeat.o(31024);
        } else if (biVar == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptVideoConnector: msg is null");
            AppMethodBeat.o(31024);
        } else {
            aw.ZK();
            if (c.isSDCardAvailable()) {
                a(eW(z.aeR().le(8)), context, new 6(biVar, context));
                AppMethodBeat.o(31024);
                return;
            }
            t.hO(context);
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptVideoConnector: sd card is not available");
            AppMethodBeat.o(31024);
        }
    }

    public static void n(String str, Context context) {
        AppMethodBeat.i(31025);
        if (context == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptLocationConnector: context is null");
            AppMethodBeat.o(31025);
        } else if (bo.isNullOrNil(str)) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptLocationConnector: locationXML is null");
            AppMethodBeat.o(31025);
        } else {
            a(eW(z.aeR().le(16)), context, new 7(str, context));
            AppMethodBeat.o(31025);
        }
    }

    public static void o(String str, Context context) {
        AppMethodBeat.i(31026);
        if (context == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptPersonalCardConnector: context is null");
            AppMethodBeat.o(31026);
        } else if (bo.isNullOrNil(str)) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptPersonalCardConnector: locationXML is null");
            AppMethodBeat.o(31026);
        } else {
            a(eW(z.aeR().le(32)), context, new 8(str, context));
            AppMethodBeat.o(31026);
        }
    }

    public static void d(bi biVar, Context context) {
        AppMethodBeat.i(31027);
        if (context == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptEmojiConnector: context is null");
            AppMethodBeat.o(31027);
        } else if (biVar == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptEmojiConnector: msg is null");
            AppMethodBeat.o(31027);
        } else {
            aw.ZK();
            if (c.isSDCardAvailable()) {
                a(eW(z.aeR().le(64)), context, new 9(biVar, context));
                AppMethodBeat.o(31027);
                return;
            }
            t.hO(context);
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptEmojiConnector: sd card is not available");
            AppMethodBeat.o(31027);
        }
    }

    public static void a(bi biVar, String str, Context context) {
        AppMethodBeat.i(31028);
        a(biVar, str, context, 512);
        AppMethodBeat.o(31028);
    }

    public static void b(bi biVar, String str, Context context) {
        AppMethodBeat.i(31029);
        a(biVar, str, context, 256);
        AppMethodBeat.o(31029);
    }

    public static void c(bi biVar, String str, Context context) {
        AppMethodBeat.i(31030);
        a(biVar, str, context, (int) TbsListener$ErrorCode.DOWNLOAD_INTERRUPT);
        AppMethodBeat.o(31030);
    }

    private static void a(final bi biVar, final String str, final Context context, final int i) {
        AppMethodBeat.i(31031);
        if (context == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptMusicConnector: context is null");
            AppMethodBeat.o(31031);
        } else if (biVar == null) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "showAcceptMusicConnector: msg is null");
            AppMethodBeat.o(31031);
        } else {
            List list = null;
            switch (i) {
                case TbsListener$ErrorCode.DOWNLOAD_INTERRUPT /*128*/:
                    list = eW(f.aeC());
                    break;
                case 256:
                    list = eW(f.aeE());
                    break;
                case 512:
                    list = eW(f.aeG());
                    break;
            }
            a(list, context, new d() {
                public final void onMMMenuItemSelected(MenuItem menuItem, int i) {
                    AppMethodBeat.i(31019);
                    String str = menuItem.getTitle();
                    bi biVar = biVar;
                    b me = b.me(bo.anj(str));
                    if (me == null) {
                        ab.w("MicroMsg.LongClickBrandServiceHelper", "send: parse app msg content return null");
                    } else {
                        byte[] bArr = null;
                        if (!(biVar.field_imgPath == null || biVar.field_imgPath.equals(""))) {
                            try {
                                bArr = e.e(o.ahl().I(biVar.field_imgPath, true), 0, -1);
                            } catch (Exception e) {
                                ab.e("MicroMsg.LongClickBrandServiceHelper", "send appmsg to %s, error:%s", new Object[]{str, e.getLocalizedMessage()});
                            }
                        }
                        com.tencent.mm.pluginsdk.model.app.b bVar = new com.tencent.mm.pluginsdk.model.app.b();
                        if (!bo.isNullOrNil(me.csD)) {
                            long j = bo.getLong(me.csD, -1);
                            if (j != -1) {
                                com.tencent.mm.pluginsdk.model.app.am.aUq().b(j, bVar);
                                if (bVar.xDa != j) {
                                    bVar = com.tencent.mm.pluginsdk.model.app.am.aUq().aiE(me.csD);
                                    if (bVar == null || !bVar.field_mediaSvrId.equals(me.csD)) {
                                        bVar = null;
                                    }
                                }
                            } else {
                                bVar = com.tencent.mm.pluginsdk.model.app.am.aUq().aiE(me.csD);
                                if (bVar == null || !bVar.field_mediaSvrId.equals(me.csD)) {
                                    bVar = null;
                                }
                            }
                        }
                        String str2 = "";
                        if (!(bVar == null || bVar.field_fileFullPath == null || bVar.field_fileFullPath.equals(""))) {
                            aw.ZK();
                            str2 = l.X(c.Ye(), me.title, me.fgp);
                            e.y(bVar.field_fileFullPath, str2);
                        }
                        b a = b.a(me);
                        a.fgr = 3;
                        l.a(a, me.appId, me.appName, str, str2, bArr, null);
                    }
                    switch (i) {
                        case TbsListener$ErrorCode.DOWNLOAD_INTERRUPT /*128*/:
                            h.pYm.e(10424, new Object[]{Integer.valueOf(49), Integer.valueOf(TbsListener$ErrorCode.DOWNLOAD_INTERRUPT), str});
                            break;
                        case 256:
                            h.pYm.e(10424, new Object[]{Integer.valueOf(49), Integer.valueOf(256), str});
                            break;
                        case 512:
                            h.pYm.e(10424, new Object[]{Integer.valueOf(49), Integer.valueOf(512), str});
                            break;
                    }
                    com.tencent.mm.ui.base.h.bQ(context, context.getString(2131297039));
                    AppMethodBeat.o(31019);
                }
            });
            AppMethodBeat.o(31031);
        }
    }

    private static List<String> eW(List<String> list) {
        AppMethodBeat.i(31032);
        LinkedList linkedList = new LinkedList();
        for (String str : list) {
            if (!f.ra(str)) {
                linkedList.add(str);
            }
        }
        ab.d("MicroMsg.LongClickBrandServiceHelper", "get selected accept list, size %d", new Object[]{Integer.valueOf(linkedList.size())});
        AppMethodBeat.o(31032);
        return linkedList;
    }

    private static void a(List<String> list, Context context, d dVar) {
        AppMethodBeat.i(31033);
        if (list == null || list.isEmpty()) {
            ab.w("MicroMsg.LongClickBrandServiceHelper", "tryShowConnectorDialog: careList is null or empty");
            AppMethodBeat.o(31033);
            return;
        }
        j jVar = new j(context);
        jVar.zFT = new 11();
        jVar.zFU = new 2(context);
        jVar.rBl = new 3(list);
        jVar.rBm = dVar;
        jVar.cuu();
        AppMethodBeat.o(31033);
    }
}
