package com.tencent.mm.ui.i;

import android.content.Intent;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import com.jg.EType;
import com.jg.JgClassChecked;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.ui.f.a.b;
import com.tencent.xweb.WebView;
import com.tencent.xweb.s;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLDecoder;

@JgClassChecked(author = 20, fComment = "checked", lastDate = "20140429", reviewer = 20, vComment = {EType.JSEXECUTECHECK})
class b$b extends s {
    final /* synthetic */ b zLi;
    boolean zxZ;

    private b$b(b bVar) {
        this.zLi = bVar;
        this.zxZ = true;
    }

    /* synthetic */ b$b(b bVar, byte b) {
        this(bVar);
    }

    public final boolean a(WebView webView, String str) {
        AppMethodBeat.i(80361);
        ab.d("Twitter-WebView", "Redirect URL: ".concat(String.valueOf(str)));
        if (str.startsWith("wechatapp://sign-in-twitter.wechatapp.com/")) {
            Bundle asa = asa(str);
            if (asa.getString("denied") == null) {
                b.a(this.zLi).p(asa);
            } else {
                b.a(this.zLi).onCancel();
            }
            this.zLi.dismiss();
            AppMethodBeat.o(80361);
        } else {
            this.zLi.getContext().startActivity(new Intent("android.intent.action.VIEW", Uri.parse(str)));
            AppMethodBeat.o(80361);
        }
        return true;
    }

    public final void a(WebView webView, int i, String str, String str2) {
        AppMethodBeat.i(80362);
        super.a(webView, i, str, str2);
        this.zxZ = false;
        b$a a = b.a(this.zLi);
        b bVar = new b(str, i, str2);
        a.dKw();
        try {
            this.zLi.dismiss();
            b.b(this.zLi).dismiss();
            AppMethodBeat.o(80362);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.TwitterDialog", e, "", new Object[0]);
            AppMethodBeat.o(80362);
        }
    }

    public final void b(WebView webView, String str, Bitmap bitmap) {
        AppMethodBeat.i(80363);
        ab.d("Twitter-WebView", "Webview loading URL: ".concat(String.valueOf(str)));
        super.b(webView, str, bitmap);
        try {
            b.b(this.zLi).show();
            b.b(this.zLi).setOnDismissListener(new 1(this));
            AppMethodBeat.o(80363);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.TwitterDialog", e, "", new Object[0]);
            AppMethodBeat.o(80363);
        }
    }

    public final void b(WebView webView, String str) {
        AppMethodBeat.i(80364);
        super.b(webView, str);
        this.zxZ = false;
        try {
            b.b(this.zLi).dismiss();
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.TwitterDialog", e, "", new Object[0]);
        }
        b.c(this.zLi).setBackgroundColor(0);
        b.d(this.zLi).setVisibility(0);
        b.e(this.zLi).setVisibility(0);
        AppMethodBeat.o(80364);
    }

    private static Bundle arZ(String str) {
        AppMethodBeat.i(80365);
        Bundle bundle = new Bundle();
        if (str != null) {
            for (String split : str.split("&")) {
                String[] split2 = split.split("=");
                bundle.putString(URLDecoder.decode(split2[0]), URLDecoder.decode(split2[1]));
            }
        }
        AppMethodBeat.o(80365);
        return bundle;
    }

    private static Bundle asa(String str) {
        AppMethodBeat.i(80366);
        Bundle arZ;
        try {
            URL url = new URL(str.replace("wechatapp", "http"));
            arZ = arZ(url.getQuery());
            arZ.putAll(arZ(url.getRef()));
            AppMethodBeat.o(80366);
            return arZ;
        } catch (MalformedURLException e) {
            arZ = new Bundle();
            AppMethodBeat.o(80366);
            return arZ;
        }
    }
}
