package com.tencent.soter.a.g;

import android.annotation.SuppressLint;
import android.content.Context;
import android.os.Build;
import android.os.Build.VERSION;
import android.os.CancellationSignal;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.soter.a.d.a;
import com.tencent.soter.a.d.b;
import com.tencent.soter.a.f.c;
import com.tencent.soter.a.f.c$a;
import com.tencent.soter.a.f.f;
import com.tencent.soter.core.c.d;
import com.tencent.soter.core.c.g;
import com.tencent.soter.core.c.j;
import com.tencent.soter.soterserver.SoterSessionResult;
import java.lang.ref.WeakReference;
import java.security.Signature;
import junit.framework.Assert;

public final class h extends d implements a {
    String AvS = null;
    private c AwB = null;
    f AwC = null;
    private WeakReference<Context> AwD = null;
    a AwE = null;
    b AwF = null;
    j AwG = null;
    private a AwH = null;
    boolean AwI;
    boolean AwJ;
    boolean AwK;
    private int gOW = -1;
    String tWZ = null;

    public h(b bVar) {
        boolean z = true;
        AppMethodBeat.i(10513);
        boolean z2 = VERSION.SDK_INT < 23 && Build.MANUFACTURER.equalsIgnoreCase("vivo");
        this.AwI = z2;
        if (VERSION.SDK_INT >= 23) {
            z = false;
        }
        this.AwJ = z;
        this.AwK = false;
        if (bVar == null) {
            IllegalArgumentException illegalArgumentException = new IllegalArgumentException("param is null!");
            AppMethodBeat.o(10513);
            throw illegalArgumentException;
        }
        this.gOW = bVar.gOW;
        this.AwB = bVar.Awf;
        this.AwC = bVar.Awg;
        this.AwD = new WeakReference(bVar.mContext);
        this.AwF = bVar.Awi;
        this.AwE = bVar.mrV;
        this.tWZ = bVar.tWZ;
        AppMethodBeat.o(10513);
    }

    /* Access modifiers changed, original: final */
    @SuppressLint({"DefaultLocale", "NewApi"})
    public final boolean dRl() {
        AppMethodBeat.i(10514);
        if (!com.tencent.soter.a.c.a.dRe().isInit()) {
            d.w("Soter.TaskAuthentication", "soter: not initialized yet", new Object[0]);
            b(new com.tencent.soter.a.b.a(14));
            AppMethodBeat.o(10514);
            return true;
        } else if (com.tencent.soter.a.c.a.dRe().dRc()) {
            Assert.assertTrue(VERSION.SDK_INT >= 16);
            this.AvS = (String) com.tencent.soter.a.c.a.dRe().dRg().get(this.gOW, "");
            if (g.isNullOrNil(this.AvS)) {
                d.w("Soter.TaskAuthentication", "soter: request prepare auth key scene: %d, but key name is not registered. Please make sure you register the scene in init", new Object[0]);
                b(new com.tencent.soter.a.b.a(15, String.format("auth scene %d not initialized in map", new Object[]{Integer.valueOf(this.gOW)})));
                AppMethodBeat.o(10514);
                return true;
            } else if (!com.tencent.soter.core.a.aua(this.AvS)) {
                d.w("Soter.TaskAuthentication", "soter: auth key %s not exists. need re-generate", this.AvS);
                b(new com.tencent.soter.a.b.a(12, String.format("the auth key to scene %d not exists. it may because you haven't prepare it, or user removed them already in system settings. please prepare the key again", new Object[]{Integer.valueOf(this.gOW)})));
                AppMethodBeat.o(10514);
                return true;
            } else if (this.AwB == null && g.isNullOrNil(this.tWZ)) {
                d.w("Soter.TaskAuthentication", "soter: challenge wrapper is null!", new Object[0]);
                b(new com.tencent.soter.a.b.a(16, "neither get challenge wrapper nor challenge str is found in request parameter"));
                AppMethodBeat.o(10514);
                return true;
            } else {
                Context context = (Context) this.AwD.get();
                if (context == null) {
                    d.w("Soter.TaskAuthentication", "soter: context instance released in preExecute", new Object[0]);
                    b(new com.tencent.soter.a.b.a(17));
                    AppMethodBeat.o(10514);
                    return true;
                } else if (!com.tencent.soter.core.a.a.iU(context).hasEnrolledFingerprints()) {
                    d.w("Soter.TaskAuthentication", "soter: user has not enrolled any fingerprint in system.", new Object[0]);
                    b(new com.tencent.soter.a.b.a(18));
                    AppMethodBeat.o(10514);
                    return true;
                } else if (com.tencent.soter.core.a.iT(context)) {
                    d.w("Soter.TaskAuthentication", "soter: fingerprint sensor frozen", new Object[0]);
                    b(new com.tencent.soter.a.b.a(25, "Too many failed times"));
                    AppMethodBeat.o(10514);
                    return true;
                } else if (this.AwE == null) {
                    d.w("Soter.TaskAuthentication", "soter: did not pass cancellation obj. We suggest you pass one", new Object[0]);
                    this.AwE = new a();
                    AppMethodBeat.o(10514);
                    return false;
                } else {
                    if (this.AwC == null) {
                        d.w("Soter.TaskAuthentication", "hy: we strongly recommend you to check the final authentication data in server! Please make sure you upload and check later", new Object[0]);
                    }
                    AppMethodBeat.o(10514);
                    return false;
                }
            }
        } else {
            d.w("Soter.TaskAuthentication", "soter: not support soter", new Object[0]);
            b(new com.tencent.soter.a.b.a(2));
            AppMethodBeat.o(10514);
            return true;
        }
    }

    /* Access modifiers changed, original: final */
    public final void dRm() {
        AppMethodBeat.i(10515);
        if (this.AwE != null) {
            this.AwE.rr(true);
        }
        AppMethodBeat.o(10515);
    }

    /* Access modifiers changed, original: final */
    public final void execute() {
        AppMethodBeat.i(10516);
        if (g.isNullOrNil(this.tWZ)) {
            d.i("Soter.TaskAuthentication", "soter: not provide the challenge. we will do the job", new Object[0]);
            this.AwB.bR(new c$a());
            this.AwB.a(new 1(this));
            this.AwB.execute();
            AppMethodBeat.o(10516);
            return;
        }
        d.i("Soter.TaskAuthentication", "soter: already provided the challenge. directly authenticate", new Object[0]);
        dRr();
        AppMethodBeat.o(10516);
    }

    /* Access modifiers changed, original: final */
    public final void dRr() {
        AppMethodBeat.i(10517);
        if (com.tencent.soter.core.a.dQL() == 1) {
            SoterSessionResult iC = com.tencent.soter.core.a.iC(this.AvS, this.tWZ);
            if (iC == null) {
                d.w("Soter.TaskAuthentication", "soter: error occurred when init sign soterSessionResult is null", new Object[0]);
                b(new com.tencent.soter.a.b.a(13));
                AppMethodBeat.o(10517);
                return;
            } else if (iC.bFZ != 0) {
                d.w("Soter.TaskAuthentication", "soter: error occurred when init sign resultCode error", new Object[0]);
                b(new com.tencent.soter.a.b.a(13));
                AppMethodBeat.o(10517);
                return;
            } else {
                d.d("Soter.TaskAuthentication", "soter: session is %d", Long.valueOf(iC.AvH));
                this.AwH = new a(this, null, (byte) 0);
                this.AwH.AvH = iC.AvH;
                a(null);
                g.dRq().d(new 2(this));
                AppMethodBeat.o(10517);
                return;
            }
        }
        Signature aud = com.tencent.soter.core.a.aud(this.AvS);
        if (aud == null) {
            d.w("Soter.TaskAuthentication", "soter: error occurred when init sign", new Object[0]);
            b(new com.tencent.soter.a.b.a(13));
            AppMethodBeat.o(10517);
            return;
        }
        this.AwH = new a(this, aud, (byte) 0);
        a(aud);
        g.dRq().d(new 3(this));
        AppMethodBeat.o(10517);
    }

    /* Access modifiers changed, original: final */
    public final void dRs() {
        AppMethodBeat.i(10519);
        if (this.AwG == null) {
            b(new com.tencent.soter.a.b.a(22, "sign failed even after user authenticated the key."));
            AppMethodBeat.o(10519);
            return;
        }
        this.AwC.bR(new f.a(this.AwG.signature, this.AwG.Avx, this.AwG.Avw));
        this.AwC.a(new 4(this));
        this.AwC.execute();
        AppMethodBeat.o(10519);
    }

    public final void dRk() {
        AppMethodBeat.i(10520);
        d.i("Soter.TaskAuthentication", "soter: called from cancellation signal", new Object[0]);
        if (this.AwH != null) {
            this.AwH.onAuthenticationCancelled();
        }
        AppMethodBeat.o(10520);
    }

    public final boolean isCancelled() {
        return this.AwK;
    }

    /* Access modifiers changed, original: final */
    @SuppressLint({"NewApi"})
    public final void a(Signature signature) {
        AppMethodBeat.i(10518);
        if (this.AvW) {
            d.w("Soter.TaskAuthentication", "soter: already finished. can not authenticate", new Object[0]);
            AppMethodBeat.o(10518);
            return;
        }
        Context context = (Context) this.AwD.get();
        if (context == null) {
            d.w("Soter.TaskAuthentication", "soter: context instance released in startAuthenticate", new Object[0]);
            b(new com.tencent.soter.a.b.a(17));
            AppMethodBeat.o(10518);
            return;
        }
        try {
            CancellationSignal cancellationSignal;
            d.v("Soter.TaskAuthentication", "soter: performing start", new Object[0]);
            com.tencent.soter.core.a.a iU = com.tencent.soter.core.a.a.iU(context);
            com.tencent.soter.core.a.a.d dVar = new com.tencent.soter.core.a.a.d(signature);
            if (this.AwE != null) {
                cancellationSignal = this.AwE.zZp;
            } else {
                cancellationSignal = null;
            }
            iU.a(dVar, cancellationSignal, this.AwH);
            AppMethodBeat.o(10518);
        } catch (Exception e) {
            String message = e.getMessage();
            d.e("Soter.TaskAuthentication", "soter: caused exception when authenticating: %s", message);
            d.a("Soter.TaskAuthentication", e, "soter: caused exception when authenticating");
            b(new com.tencent.soter.a.b.a(20, String.format("start authentication failed due to %s", new Object[]{message})));
            AppMethodBeat.o(10518);
        }
    }
}
