package com.tencent.ttpic.cache;

import android.graphics.Bitmap;
import android.opengl.ETC1Util.ETC1Texture;

public interface LoadItemManager {
    void clear();

    ETC1Texture loadETCAlphaTexture(int i);

    ETC1Texture loadETCRGBTexture(int i);

    Bitmap loadImage(int i);

    Bitmap loadImage(String str);

    void prepareImages();

    void reset();
}
