package com.facebook.share.model;

import com.facebook.share.model.AppGroupCreationContent.AppGroupPrivacy;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class AppGroupCreationContent$Builder implements ShareModelBuilder<AppGroupCreationContent, AppGroupCreationContent$Builder> {
    private String description;
    private String name;
    private AppGroupPrivacy privacy;

    public AppGroupCreationContent$Builder setName(String str) {
        this.name = str;
        return this;
    }

    public AppGroupCreationContent$Builder setDescription(String str) {
        this.description = str;
        return this;
    }

    public AppGroupCreationContent$Builder setAppGroupPrivacy(AppGroupPrivacy appGroupPrivacy) {
        this.privacy = appGroupPrivacy;
        return this;
    }

    public AppGroupCreationContent build() {
        AppMethodBeat.i(97327);
        AppGroupCreationContent appGroupCreationContent = new AppGroupCreationContent(this, null);
        AppMethodBeat.o(97327);
        return appGroupCreationContent;
    }

    public AppGroupCreationContent$Builder readFrom(AppGroupCreationContent appGroupCreationContent) {
        AppMethodBeat.i(97328);
        if (appGroupCreationContent == null) {
            AppMethodBeat.o(97328);
            return this;
        }
        this = setName(appGroupCreationContent.getName()).setDescription(appGroupCreationContent.getDescription()).setAppGroupPrivacy(appGroupCreationContent.getAppGroupPrivacy());
        AppMethodBeat.o(97328);
        return this;
    }
}
