package com.tencent.mm.at;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import android.graphics.drawable.ColorDrawable;
import android.os.Build.VERSION;
import android.os.Looper;
import android.view.View;
import android.widget.FrameLayout.LayoutParams;
import android.widget.ImageView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.f;
import com.tencent.mm.a.p;
import com.tencent.mm.bz.a;
import com.tencent.mm.cd.h;
import com.tencent.mm.graphics.MMBitmapFactory;
import com.tencent.mm.memory.a.b;
import com.tencent.mm.memory.a.c;
import com.tencent.mm.modelsfs.FileOp;
import com.tencent.mm.platformtools.x;
import com.tencent.mm.pointers.PInt;
import com.tencent.mm.pointers.PString;
import com.tencent.mm.sdk.e.k;
import com.tencent.mm.sdk.platformtools.BackwardSupportUtil;
import com.tencent.mm.sdk.platformtools.MMJpegOptim;
import com.tencent.mm.sdk.platformtools.MMNativeJpeg;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.at;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.d;
import com.tencent.mm.sdk.platformtools.j;
import com.tencent.mm.storage.aa;
import com.tencent.mm.storage.bi;
import com.tencent.mm.vfs.e;
import java.io.File;
import java.io.IOException;
import java.lang.ref.SoftReference;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.atomic.AtomicLong;
import junit.framework.Assert;

public final class g extends k {
    public static int fEg = 0;
    public static long fEt = 0;
    public static final String[] fnj = new String[]{"CREATE TABLE IF NOT EXISTS ImgInfo ( id INTEGER PRIMARY KEY, msgSvrId LONG, offset INT, totalLen INT, bigImgPath TEXT, thumbImgPath TEXT )", "CREATE TABLE IF NOT EXISTS ImgInfo2 ( id INTEGER PRIMARY KEY, msgSvrId LONG, offset INT, totalLen INT, bigImgPath TEXT, thumbImgPath TEXT, createtime INT, msglocalid INT, status INT, nettimes INT, reserved1 int  , reserved2 int  , reserved3 text  , reserved4 text, hashdthumb int DEFAULT 0, iscomplete INT DEFAULT 1, origImgMD5 TEXT, compressType INT DEFAULT 0, midImgPath TEXT, forwardType INT DEFAULT 0, hevcPath TEXT )", "CREATE INDEX IF NOT EXISTS  serverImgInfoIndex ON ImgInfo2 ( msgSvrId ) ", "CREATE INDEX IF NOT EXISTS  serverImgInfoHdIndex ON ImgInfo2 ( reserved1 ) ", "CREATE INDEX IF NOT EXISTS  msgLocalIdIndex ON ImgInfo2 ( msglocalid ) ", "insert into imginfo2 (id,msgSvrId , offset , totalLen , bigImgPath , thumbImgPath) select id, msgSvrId, offset ,totallen , bigimgpath , thumbimgpath from imginfo; ", "delete from ImgInfo ; ", "CREATE INDEX IF NOT EXISTS iscomplete_index ON ImgInfo2 ( iscomplete ) ", "CREATE INDEX IF NOT EXISTS origImgMD5_index ON ImgInfo2 ( origImgMD5 ) "};
    f<String, Bitmap> fEh = new b(40, new 1(this), getClass());
    private f<String, String> fEi = new c(40);
    private List<b> fEj = new ArrayList();
    private Map<Integer, WeakReference<ImageView>> fEk = new HashMap();
    private Map<Integer, WeakReference<ImageView>> fEl = new HashMap();
    private Map<Integer, WeakReference<View>> fEm = new HashMap();
    private Set<Integer> fEn = new HashSet();
    private Map<String, String> fEo = new HashMap();
    private final AtomicLong fEp = new AtomicLong(1);
    private LayoutParams fEq = new LayoutParams(-2, -2);
    private SoftReference<ColorDrawable> fEr;
    public int fEs = 150;
    private ak fbD = new ak(Looper.getMainLooper());
    public h fni = null;

    public g(h hVar) {
        AppMethodBeat.i(78208);
        a(hVar);
        this.fni = hVar;
        agT();
        AppMethodBeat.o(78208);
    }

    public final void agT() {
        AppMethodBeat.i(78209);
        Cursor a = this.fni.a("SELECT max(id) FROM ImgInfo2", null, 2);
        if (a.moveToFirst()) {
            long j = a.getLong(0) + 1;
            synchronized (this.fEp) {
                try {
                    if (j > this.fEp.get()) {
                        this.fEp.set(j);
                    }
                } catch (Throwable th) {
                    while (true) {
                        AppMethodBeat.o(78209);
                    }
                }
            }
        }
        a.close();
        ab.i("MicroMsg.ImgInfoStorage", "loading new img id: " + this.fEp.get());
        AppMethodBeat.o(78209);
    }

    public final long agU() {
        long andIncrement;
        AppMethodBeat.i(78210);
        synchronized (this.fEp) {
            try {
                andIncrement = this.fEp.getAndIncrement();
            } finally {
                while (true) {
                }
                AppMethodBeat.o(78210);
            }
        }
        return andIncrement;
    }

    private static void a(h hVar) {
        AppMethodBeat.i(78211);
        Cursor a = hVar.a("PRAGMA table_info(ImgInfo2)", null, 2);
        int columnIndex = a.getColumnIndex("name");
        Object obj = null;
        Object obj2 = null;
        Object obj3 = null;
        Object obj4 = null;
        Object obj5 = null;
        Object obj6 = null;
        Object obj7 = null;
        while (a.moveToNext()) {
            if (columnIndex >= 0) {
                Object obj8;
                String string = a.getString(columnIndex);
                if ("hashdthumb".equals(string)) {
                    obj7 = 1;
                }
                if ("iscomplete".equals(string)) {
                    obj6 = 1;
                }
                if ("origImgMD5".equals(string)) {
                    obj5 = 1;
                }
                if ("compressType".equals(string)) {
                    obj4 = 1;
                }
                if ("midImgPath".equals(string)) {
                    obj3 = 1;
                }
                if ("forwardType".equals(string)) {
                    obj8 = 1;
                } else {
                    obj8 = obj2;
                }
                if ("hevcPath".equals(string)) {
                    obj = 1;
                }
                obj2 = obj8;
            }
        }
        a.close();
        long iV = com.tencent.mm.kernel.g.RP().eJN.iV(Thread.currentThread().getId());
        if (obj7 == null) {
            hVar.hY("ImgInfo2", "Alter table ImgInfo2 add hashdthumb INT DEFAULT 0");
        }
        if (obj6 == null) {
            hVar.hY("ImgInfo2", "Alter table ImgInfo2 add iscomplete INT DEFAULT 1");
        }
        if (obj5 == null) {
            hVar.hY("ImgInfo2", "Alter table ImgInfo2 add origImgMD5 TEXT");
        }
        if (obj4 == null) {
            hVar.hY("ImgInfo2", "Alter table ImgInfo2 add compressType INT DEFAULT 0");
        }
        if (obj3 == null) {
            hVar.hY("ImgInfo2", "Alter table ImgInfo2 add midImgPath TEXT");
        }
        if (obj2 == null) {
            hVar.hY("ImgInfo2", "Alter table ImgInfo2 add forwardType INT DEFAULT 0");
        }
        if (obj == null) {
            hVar.hY("ImgInfo2", "Alter table ImgInfo2 add hevcPath TEXT");
        }
        if (iV > 0) {
            com.tencent.mm.kernel.g.RP().eJN.mB(iV);
        }
        AppMethodBeat.o(78211);
    }

    public final String b(String str, String str2, String str3, boolean z) {
        AppMethodBeat.i(78212);
        if (bo.isNullOrNil(str)) {
            AppMethodBeat.o(78212);
            return null;
        }
        String str4;
        String str5;
        String str6 = "";
        if (str.startsWith("SERVERID://")) {
            try {
                str4 = fI(Long.valueOf(str.substring(11)).longValue()).fDz;
            } catch (NumberFormatException e) {
                ab.e("MicroMsg.ImgInfoStorage", "read img buf failed: " + e.getMessage());
                AppMethodBeat.o(78212);
                return null;
            }
        }
        str4 = str6;
        if (str.startsWith("THUMBNAIL_DIRPATH://")) {
            str = str.substring(23);
            str5 = "th_";
        } else {
            str5 = str2;
        }
        str6 = com.tencent.mm.plugin.i.c.XW();
        String XX = com.tencent.mm.plugin.i.c.XX();
        if (bo.isNullOrNil(str4)) {
            str4 = str;
        }
        str6 = j.b(str6, XX, str5, str4, str3, z);
        AppMethodBeat.o(78212);
        return str6;
    }

    public final String q(String str, String str2, String str3) {
        AppMethodBeat.i(78213);
        String b = b(str, str2, str3, true);
        AppMethodBeat.o(78213);
        return b;
    }

    public final String getFullPath(String str) {
        AppMethodBeat.i(78214);
        if (bo.isNullOrNil(str)) {
            AppMethodBeat.o(78214);
            return null;
        }
        String str2 = "";
        if (str.startsWith("SERVERID://")) {
            try {
                str2 = fI(Long.valueOf(str.substring(11)).longValue()).fDz;
            } catch (NumberFormatException e) {
                ab.e("MicroMsg.ImgInfoStorage", "read img buf failed: " + e.getMessage());
                AppMethodBeat.o(78214);
                return null;
            }
        }
        String XW = com.tencent.mm.plugin.i.c.XW();
        String XX = com.tencent.mm.plugin.i.c.XX();
        String str3 = "th_";
        if (!bo.isNullOrNil(str2)) {
            str = str2;
        }
        str2 = j.g(XW, XX, str3, str, "");
        AppMethodBeat.o(78214);
        return str2;
    }

    public static String si(String str) {
        AppMethodBeat.i(78215);
        String concat = "THUMBNAIL_DIRPATH://th_".concat(String.valueOf(str));
        AppMethodBeat.o(78215);
        return concat;
    }

    public final String sj(String str) {
        AppMethodBeat.i(78216);
        if (str == null || str.length() <= 0) {
            AppMethodBeat.o(78216);
            return null;
        }
        String str2 = "";
        String trim = str.trim();
        if (trim.startsWith("THUMBNAIL://")) {
            try {
                trim = ly(Integer.valueOf(trim.substring(12)).intValue()).fDB;
            } catch (NumberFormatException e) {
                ab.e("MicroMsg.ImgInfoStorage", "read img buf failed: " + e.getMessage());
                AppMethodBeat.o(78216);
                return null;
            }
        } else if (trim.startsWith("THUMBNAIL_DIRPATH://")) {
            trim = trim.substring(23);
            str2 = "th_";
        }
        str2 = q(trim, str2, "");
        AppMethodBeat.o(78216);
        return str2;
    }

    public final String a(byte[] bArr, boolean z, CompressFormat compressFormat) {
        AppMethodBeat.i(78217);
        String a = a(bArr, z, compressFormat, false);
        AppMethodBeat.o(78217);
        return a;
    }

    public final String a(byte[] bArr, CompressFormat compressFormat) {
        AppMethodBeat.i(78218);
        if (bo.cb(bArr)) {
            ab.e("MicroMsg.ImgInfoStorage", "save dir thumb error, thumbBuf is null");
            AppMethodBeat.o(78218);
            return null;
        }
        String agW = agW();
        ab.d("MicroMsg.ImgInfoStorage", "saveDirThumb, fullPath = %s", new Object[]{q(agW, "th_", "")});
        try {
            d.a(BitmapFactory.decodeByteArray(bArr, 0, bArr.length), 100, compressFormat, q(agW, "th_", ""), true);
            agW = "THUMBNAIL_DIRPATH://th_".concat(String.valueOf(agW));
            AppMethodBeat.o(78218);
            return agW;
        } catch (IOException e) {
            ab.e("MicroMsg.ImgInfoStorage", "save bitmap to image error, %s", new Object[]{e});
            agW = a(bArr, true, compressFormat);
            AppMethodBeat.o(78218);
            return agW;
        } catch (Exception e2) {
            ab.e("MicroMsg.ImgInfoStorage", "save bitmap to image error, %s", new Object[]{e2});
            agW = a(bArr, true, compressFormat);
            AppMethodBeat.o(78218);
            return agW;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:86:0x0253  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0169 A:{Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }} */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x01ca  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x01d8 A:{SYNTHETIC, Splitter:B:53:0x01d8} */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x0218 A:{Splitter:B:11:0x0088, ExcHandler: IOException (e java.io.IOException)} */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x0201 A:{SYNTHETIC, Splitter:B:63:0x0201} */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0169 A:{Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }} */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x0253  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x01ca  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x01d8 A:{SYNTHETIC, Splitter:B:53:0x01d8} */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x0218 A:{Splitter:B:11:0x0088, ExcHandler: IOException (e java.io.IOException)} */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x0278  */
    /* JADX WARNING: Removed duplicated region for block: B:95:0x0286 A:{SYNTHETIC, Splitter:B:95:0x0286} */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x0218 A:{Splitter:B:11:0x0088, ExcHandler: IOException (e java.io.IOException)} */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x0201 A:{SYNTHETIC, Splitter:B:63:0x0201} */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x0253  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0169 A:{Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }} */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x01ca  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x01d8 A:{SYNTHETIC, Splitter:B:53:0x01d8} */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x020e A:{SYNTHETIC, Splitter:B:69:0x020e} */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x0299  */
    /* JADX WARNING: Removed duplicated region for block: B:104:0x02a7 A:{SYNTHETIC, Splitter:B:104:0x02a7} */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x0299  */
    /* JADX WARNING: Removed duplicated region for block: B:104:0x02a7 A:{SYNTHETIC, Splitter:B:104:0x02a7} */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x023a  */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x0248 A:{SYNTHETIC, Splitter:B:83:0x0248} */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing block: B:57:0x01ef, code skipped:
            r6 = r5;
     */
    /* JADX WARNING: Missing block: B:75:0x0218, code skipped:
            r4 = e;
     */
    /* JADX WARNING: Missing block: B:76:0x0219, code skipped:
            r5 = r8;
     */
    /* JADX WARNING: Missing block: B:81:0x023a, code skipped:
            com.tencent.mm.sdk.platformtools.ab.d("MicroMsg.ImgInfoStorage", "create thumbnail, delete tmp file");
            com.tencent.mm.vfs.e.deleteFile(r14);
     */
    /* JADX WARNING: Missing block: B:84:?, code skipped:
            r5.close();
     */
    /* JADX WARNING: Missing block: B:93:0x0278, code skipped:
            com.tencent.mm.sdk.platformtools.ab.d("MicroMsg.ImgInfoStorage", "create thumbnail, delete tmp file");
            com.tencent.mm.vfs.e.deleteFile(r14);
     */
    /* JADX WARNING: Missing block: B:96:?, code skipped:
            r8.close();
     */
    /* JADX WARNING: Missing block: B:116:0x02c2, code skipped:
            r4 = e;
     */
    public final java.lang.String a(byte[] r20, android.graphics.Bitmap.CompressFormat r21, java.lang.String r22, boolean r23) {
        /*
        r19 = this;
        r4 = 78219; // 0x1318b float:1.09608E-40 double:3.86453E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r4);
        r4 = com.tencent.mm.sdk.platformtools.bo.cb(r20);
        if (r4 == 0) goto L_0x001d;
    L_0x000c:
        r4 = "MicroMsg.ImgInfoStorage";
        r5 = "save dir thumb error, thumbBuf is null";
        com.tencent.mm.sdk.platformtools.ab.e(r4, r5);
        r4 = 0;
        r5 = 78219; // 0x1318b float:1.09608E-40 double:3.86453E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
    L_0x001c:
        return r4;
    L_0x001d:
        r10 = java.lang.System.currentTimeMillis();
        r12 = agW();
        r4 = "th_";
        r5 = "";
        r0 = r19;
        r13 = r0.q(r12, r4, r5);
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r4 = r4.append(r13);
        r5 = ".tmp";
        r4 = r4.append(r5);
        r14 = r4.toString();
        r4 = "MicroMsg.ImgInfoStorage";
        r5 = "saveDirThumb, fullPath = ";
        r6 = java.lang.String.valueOf(r13);
        r5 = r5.concat(r6);
        com.tencent.mm.sdk.platformtools.ab.d(r4, r5);
        r0 = r20;
        r15 = r0.length;
        r16 = new android.graphics.BitmapFactory$Options;
        r16.<init>();
        r4 = 1;
        r0 = r16;
        r0.inJustDecodeBounds = r4;
        r4 = 0;
        r0 = r20;
        r5 = r0.length;
        r0 = r20;
        r1 = r16;
        android.graphics.BitmapFactory.decodeByteArray(r0, r4, r5, r1);
        r0 = r16;
        r5 = r0.outWidth;
        r0 = r16;
        r6 = r0.outHeight;
        r4 = 720; // 0x2d0 float:1.009E-42 double:3.557E-321;
        if (r4 > r5) goto L_0x0081;
    L_0x007a:
        r4 = 1141899264; // 0x44100000 float:576.0 double:5.641731974E-315;
        r7 = (float) r6;
        r4 = (r4 > r7 ? 1 : (r4 == r7 ? 0 : -1));
        if (r4 <= 0) goto L_0x0102;
    L_0x0081:
        r4 = r5;
    L_0x0082:
        r5 = 0;
        r7 = 0;
        r8 = com.tencent.mm.vfs.e.L(r14, r7);	 Catch:{ IOException -> 0x02c4, Exception -> 0x0256, all -> 0x0291 }
        r0 = r20;
        r8.write(r0);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r8.flush();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r0 = r20;
        r5 = com.tencent.mm.sdk.platformtools.d.decodeByteArray(r0, r4, r6);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r7 = r5.getWidth();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        if (r4 == r7) goto L_0x010b;
    L_0x009c:
        r7 = 1;
        r4 = android.graphics.Bitmap.createScaledBitmap(r5, r4, r6, r7);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
    L_0x00a1:
        r5 = r4.getHeight();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r5 = (float) r5;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r6 = r4.getWidth();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r6 = (float) r6;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r7 = 1061997773; // 0x3f4ccccd float:0.8 double:5.246966156E-315;
        r6 = r6 * r7;
        r5 = (r5 > r6 ? 1 : (r5 == r6 ? 0 : -1));
        if (r5 <= 0) goto L_0x010d;
    L_0x00b3:
        r5 = 0;
        r6 = 0;
        r7 = r4.getWidth();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r9 = r4.getWidth();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r9 = (float) r9;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r17 = 1061997773; // 0x3f4ccccd float:0.8 double:5.246966156E-315;
        r9 = r9 * r17;
        r9 = (int) r9;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = android.graphics.Bitmap.createBitmap(r4, r5, r6, r7, r9);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r9 = r4;
    L_0x00c9:
        r0 = r20;
        r7 = r0.length;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        if (r9 == 0) goto L_0x01c4;
    L_0x00ce:
        r6 = 70;
        r5 = 0;
        r4 = new java.io.ByteArrayOutputStream;	 Catch:{ Exception -> 0x01f2, all -> 0x0209 }
        r4.<init>();	 Catch:{ Exception -> 0x01f2, all -> 0x0209 }
        r5 = 70;
        r0 = r21;
        r9.compress(r0, r5, r4);	 Catch:{ Exception -> 0x02cc }
        r5 = r4.toByteArray();	 Catch:{ Exception -> 0x02cc }
        r7 = r5.length;	 Catch:{ Exception -> 0x02cc }
        r5 = r6;
    L_0x00e3:
        r6 = r4.toByteArray();	 Catch:{ Exception -> 0x02cf }
        r6 = r6.length;	 Catch:{ Exception -> 0x02cf }
        r17 = 262144; // 0x40000 float:3.67342E-40 double:1.295163E-318;
        r0 = r17;
        if (r6 <= r0) goto L_0x0123;
    L_0x00ee:
        r6 = 15;
        if (r5 < r6) goto L_0x0123;
    L_0x00f2:
        r4.reset();	 Catch:{ Exception -> 0x02cf }
        r5 = r5 + -5;
        r0 = r21;
        r9.compress(r0, r5, r4);	 Catch:{ Exception -> 0x02cf }
        r6 = r4.toByteArray();	 Catch:{ Exception -> 0x02cf }
        r7 = r6.length;	 Catch:{ Exception -> 0x02cf }
        goto L_0x00e3;
    L_0x0102:
        r4 = 720; // 0x2d0 float:1.009E-42 double:3.557E-321;
        r6 = r6 * 720;
        r5 = r6 / r5;
        r6 = r5;
        goto L_0x0082;
    L_0x010b:
        r4 = r5;
        goto L_0x00a1;
    L_0x010d:
        r5 = 0;
        r6 = 0;
        r7 = r4.getHeight();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r7 = (float) r7;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r9 = 1061997773; // 0x3f4ccccd float:0.8 double:5.246966156E-315;
        r7 = r7 / r9;
        r7 = (int) r7;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r9 = r4.getHeight();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = android.graphics.Bitmap.createBitmap(r4, r5, r6, r7, r9);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r9 = r4;
        goto L_0x00c9;
    L_0x0123:
        r4.close();	 Catch:{ Exception -> 0x01ee, IOException -> 0x0218 }
        r6 = r5;
    L_0x0127:
        r4 = 1;
        r0 = r21;
        com.tencent.mm.sdk.platformtools.d.a(r9, r6, r0, r13, r4);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = "MicroMsg.ImgInfoStorage";
        r5 = "in ImgInfoStorage, extractThumbNail done: %s, %s, quality : %d";
        r17 = 3;
        r0 = r17;
        r0 = new java.lang.Object[r0];	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r17 = r0;
        r18 = 0;
        r17[r18] = r14;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r18 = 1;
        r17[r18] = r13;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13 = 2;
        r6 = java.lang.Integer.valueOf(r6);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r17[r13] = r6;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r0 = r17;
        com.tencent.mm.sdk.platformtools.ab.d(r4, r5, r0);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r5 = com.tencent.mm.plugin.report.service.h.pYm;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r6 = 16498; // 0x4072 float:2.3119E-41 double:8.151E-320;
        r4 = 10;
        r13 = new java.lang.Object[r4];	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = 0;
        r17 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r22);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r18 = "UTF-8";
        r17 = com.tencent.mm.compatible.util.q.encode(r17, r18);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13[r4] = r17;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r17 = 1;
        if (r23 == 0) goto L_0x0253;
    L_0x0169:
        r4 = 1;
    L_0x016a:
        r4 = java.lang.Integer.valueOf(r4);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13[r17] = r4;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = 2;
        r15 = java.lang.Integer.valueOf(r15);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13[r4] = r15;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = 3;
        r0 = r16;
        r15 = r0.outHeight;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r15 = java.lang.Integer.valueOf(r15);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13[r4] = r15;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = 4;
        r0 = r16;
        r15 = r0.outWidth;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r15 = java.lang.Integer.valueOf(r15);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13[r4] = r15;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = 5;
        r7 = java.lang.Integer.valueOf(r7);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13[r4] = r7;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = 6;
        r7 = r9.getHeight();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r7 = java.lang.Integer.valueOf(r7);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13[r4] = r7;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = 7;
        r7 = r9.getWidth();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r7 = java.lang.Integer.valueOf(r7);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13[r4] = r7;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = 8;
        r7 = 1;
        r7 = java.lang.Integer.valueOf(r7);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13[r4] = r7;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r4 = 9;
        r16 = java.lang.System.currentTimeMillis();	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r10 = r16 - r10;
        r7 = java.lang.Long.valueOf(r10);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r13[r4] = r7;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        r5.e(r6, r13);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
    L_0x01c4:
        r4 = com.tencent.mm.vfs.e.ct(r14);
        if (r4 == 0) goto L_0x01d6;
    L_0x01ca:
        r4 = "MicroMsg.ImgInfoStorage";
        r5 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r4, r5);
        com.tencent.mm.vfs.e.deleteFile(r14);
    L_0x01d6:
        if (r8 == 0) goto L_0x01db;
    L_0x01d8:
        r8.close();	 Catch:{ Exception -> 0x02b4 }
    L_0x01db:
        r4 = "THUMBNAIL_DIRPATH://th_";
        r5 = java.lang.String.valueOf(r12);
        r4 = r4.concat(r5);
        r5 = 78219; // 0x1318b float:1.09608E-40 double:3.86453E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x001c;
    L_0x01ee:
        r4 = move-exception;
        r6 = r5;
        goto L_0x0127;
    L_0x01f2:
        r4 = move-exception;
        r4 = r5;
    L_0x01f4:
        r5 = "MicroMsg.ImgInfoStorage";
        r17 = "compress bitmap failed.";
        r0 = r17;
        com.tencent.mm.sdk.platformtools.ab.e(r5, r0);	 Catch:{ all -> 0x02c7 }
        if (r4 == 0) goto L_0x0127;
    L_0x0201:
        r4.close();	 Catch:{ Exception -> 0x0206, IOException -> 0x0218 }
        goto L_0x0127;
    L_0x0206:
        r4 = move-exception;
        goto L_0x0127;
    L_0x0209:
        r4 = move-exception;
        r6 = r4;
        r7 = r5;
    L_0x020c:
        if (r7 == 0) goto L_0x0211;
    L_0x020e:
        r7.close();	 Catch:{ Exception -> 0x02b1, IOException -> 0x0218 }
    L_0x0211:
        r4 = 78219; // 0x1318b float:1.09608E-40 double:3.86453E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
        throw r6;	 Catch:{ IOException -> 0x0218, Exception -> 0x02c2 }
    L_0x0218:
        r4 = move-exception;
        r5 = r8;
    L_0x021a:
        r6 = "MicroMsg.ImgInfoStorage";
        r7 = "save bitmap to image error, %s";
        r8 = 1;
        r8 = new java.lang.Object[r8];	 Catch:{ all -> 0x02bf }
        r9 = 0;
        r8[r9] = r4;	 Catch:{ all -> 0x02bf }
        com.tencent.mm.sdk.platformtools.ab.e(r6, r7, r8);	 Catch:{ all -> 0x02bf }
        r4 = 1;
        r0 = r19;
        r1 = r20;
        r2 = r21;
        r4 = r0.a(r1, r4, r2);	 Catch:{ all -> 0x02bf }
        r6 = com.tencent.mm.vfs.e.ct(r14);
        if (r6 == 0) goto L_0x0246;
    L_0x023a:
        r6 = "MicroMsg.ImgInfoStorage";
        r7 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r6, r7);
        com.tencent.mm.vfs.e.deleteFile(r14);
    L_0x0246:
        if (r5 == 0) goto L_0x024b;
    L_0x0248:
        r5.close();	 Catch:{ Exception -> 0x02b7 }
    L_0x024b:
        r5 = 78219; // 0x1318b float:1.09608E-40 double:3.86453E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x001c;
    L_0x0253:
        r4 = 0;
        goto L_0x016a;
    L_0x0256:
        r4 = move-exception;
        r8 = r5;
    L_0x0258:
        r5 = "MicroMsg.ImgInfoStorage";
        r6 = "save bitmap to image error, %s";
        r7 = 1;
        r7 = new java.lang.Object[r7];	 Catch:{ all -> 0x02bd }
        r9 = 0;
        r7[r9] = r4;	 Catch:{ all -> 0x02bd }
        com.tencent.mm.sdk.platformtools.ab.e(r5, r6, r7);	 Catch:{ all -> 0x02bd }
        r4 = 1;
        r0 = r19;
        r1 = r20;
        r2 = r21;
        r4 = r0.a(r1, r4, r2);	 Catch:{ all -> 0x02bd }
        r5 = com.tencent.mm.vfs.e.ct(r14);
        if (r5 == 0) goto L_0x0284;
    L_0x0278:
        r5 = "MicroMsg.ImgInfoStorage";
        r6 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r5, r6);
        com.tencent.mm.vfs.e.deleteFile(r14);
    L_0x0284:
        if (r8 == 0) goto L_0x0289;
    L_0x0286:
        r8.close();	 Catch:{ Exception -> 0x02b9 }
    L_0x0289:
        r5 = 78219; // 0x1318b float:1.09608E-40 double:3.86453E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x001c;
    L_0x0291:
        r4 = move-exception;
        r8 = r5;
    L_0x0293:
        r5 = com.tencent.mm.vfs.e.ct(r14);
        if (r5 == 0) goto L_0x02a5;
    L_0x0299:
        r5 = "MicroMsg.ImgInfoStorage";
        r6 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r5, r6);
        com.tencent.mm.vfs.e.deleteFile(r14);
    L_0x02a5:
        if (r8 == 0) goto L_0x02aa;
    L_0x02a7:
        r8.close();	 Catch:{ Exception -> 0x02bb }
    L_0x02aa:
        r5 = 78219; // 0x1318b float:1.09608E-40 double:3.86453E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        throw r4;
    L_0x02b1:
        r4 = move-exception;
        goto L_0x0211;
    L_0x02b4:
        r4 = move-exception;
        goto L_0x01db;
    L_0x02b7:
        r5 = move-exception;
        goto L_0x024b;
    L_0x02b9:
        r5 = move-exception;
        goto L_0x0289;
    L_0x02bb:
        r5 = move-exception;
        goto L_0x02aa;
    L_0x02bd:
        r4 = move-exception;
        goto L_0x0293;
    L_0x02bf:
        r4 = move-exception;
        r8 = r5;
        goto L_0x0293;
    L_0x02c2:
        r4 = move-exception;
        goto L_0x0258;
    L_0x02c4:
        r4 = move-exception;
        goto L_0x021a;
    L_0x02c7:
        r5 = move-exception;
        r6 = r5;
        r7 = r4;
        goto L_0x020c;
    L_0x02cc:
        r5 = move-exception;
        goto L_0x01f4;
    L_0x02cf:
        r6 = move-exception;
        r6 = r5;
        goto L_0x01f4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.at.g.a(byte[], android.graphics.Bitmap$CompressFormat, java.lang.String, boolean):java.lang.String");
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x0167  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0175 A:{SYNTHETIC, Splitter:B:37:0x0175} */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x019e A:{SYNTHETIC, Splitter:B:47:0x019e} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0167  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0175 A:{SYNTHETIC, Splitter:B:37:0x0175} */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x01b5 A:{Splitter:B:6:0x0070, ExcHandler: IOException (e java.io.IOException)} */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x01b5 A:{Splitter:B:6:0x0070, ExcHandler: IOException (e java.io.IOException)} */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x01b5 A:{Splitter:B:6:0x0070, ExcHandler: IOException (e java.io.IOException)} */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x019e A:{SYNTHETIC, Splitter:B:47:0x019e} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0167  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0175 A:{SYNTHETIC, Splitter:B:37:0x0175} */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x01ab A:{SYNTHETIC, Splitter:B:53:0x01ab} */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x0237  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0245 A:{SYNTHETIC, Splitter:B:88:0x0245} */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0216  */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x0224 A:{SYNTHETIC, Splitter:B:79:0x0224} */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x0237  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0245 A:{SYNTHETIC, Splitter:B:88:0x0245} */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing block: B:41:0x018c, code skipped:
            r6 = r5;
     */
    /* JADX WARNING: Missing block: B:59:0x01b5, code skipped:
            r4 = e;
     */
    /* JADX WARNING: Missing block: B:60:0x01b6, code skipped:
            r5 = r8;
     */
    /* JADX WARNING: Missing block: B:72:0x01f5, code skipped:
            r4 = e;
     */
    /* JADX WARNING: Missing block: B:77:0x0216, code skipped:
            com.tencent.mm.sdk.platformtools.ab.d("MicroMsg.ImgInfoStorage", "create thumbnail, delete tmp file");
            com.tencent.mm.vfs.e.deleteFile(r13);
     */
    /* JADX WARNING: Missing block: B:80:?, code skipped:
            r8.close();
     */
    public final java.lang.String a(byte[] r20, android.graphics.Bitmap.CompressFormat r21, int r22, int r23, java.lang.String r24, boolean r25) {
        /*
        r19 = this;
        r4 = 78220; // 0x1318c float:1.0961E-40 double:3.8646E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r4);
        r4 = com.tencent.mm.sdk.platformtools.bo.cb(r20);
        if (r4 == 0) goto L_0x001d;
    L_0x000c:
        r4 = "MicroMsg.ImgInfoStorage";
        r5 = "save dir thumb error, thumbBuf is null";
        com.tencent.mm.sdk.platformtools.ab.e(r4, r5);
        r4 = 0;
        r5 = 78220; // 0x1318c float:1.0961E-40 double:3.8646E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
    L_0x001c:
        return r4;
    L_0x001d:
        r10 = java.lang.System.currentTimeMillis();
        r9 = agW();
        r4 = "th_";
        r5 = "";
        r0 = r19;
        r12 = r0.q(r9, r4, r5);
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r4 = r4.append(r12);
        r5 = ".tmp";
        r4 = r4.append(r5);
        r13 = r4.toString();
        r4 = "MicroMsg.ImgInfoStorage";
        r5 = "saveDirThumb, fullPath = ";
        r6 = java.lang.String.valueOf(r12);
        r5 = r5.concat(r6);
        com.tencent.mm.sdk.platformtools.ab.d(r4, r5);
        r0 = r20;
        r14 = r0.length;
        r15 = new android.graphics.BitmapFactory$Options;
        r15.<init>();
        r4 = 1;
        r15.inJustDecodeBounds = r4;
        r4 = 0;
        r0 = r20;
        r5 = r0.length;
        r0 = r20;
        android.graphics.BitmapFactory.decodeByteArray(r0, r4, r5, r15);
        r5 = 0;
        r4 = 0;
        r8 = com.tencent.mm.vfs.e.L(r13, r4);	 Catch:{ IOException -> 0x0263, Exception -> 0x0260, all -> 0x022f }
        r0 = r20;
        r8.write(r0);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r8.flush();	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r0 = r20;
        r1 = r22;
        r2 = r23;
        r16 = com.tencent.mm.sdk.platformtools.d.decodeByteArray(r0, r1, r2);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r0 = r20;
        r7 = r0.length;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        if (r16 == 0) goto L_0x0161;
    L_0x0087:
        r6 = 100;
        r0 = r20;
        r4 = r0.length;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r5 = 262144; // 0x40000 float:3.67342E-40 double:1.295163E-318;
        if (r4 <= r5) goto L_0x01f0;
    L_0x0090:
        r5 = 0;
        r4 = new java.io.ByteArrayOutputStream;	 Catch:{ Exception -> 0x018f, all -> 0x01a6 }
        r4.<init>();	 Catch:{ Exception -> 0x018f, all -> 0x01a6 }
        r5 = 100;
        r0 = r16;
        r1 = r21;
        r0.compress(r1, r5, r4);	 Catch:{ Exception -> 0x026b }
        r5 = r4.toByteArray();	 Catch:{ Exception -> 0x026b }
        r7 = r5.length;	 Catch:{ Exception -> 0x026b }
        r5 = r6;
    L_0x00a5:
        r6 = r4.toByteArray();	 Catch:{ Exception -> 0x026e }
        r6 = r6.length;	 Catch:{ Exception -> 0x026e }
        r17 = 262144; // 0x40000 float:3.67342E-40 double:1.295163E-318;
        r0 = r17;
        if (r6 <= r0) goto L_0x00c6;
    L_0x00b0:
        r6 = 15;
        if (r5 < r6) goto L_0x00c6;
    L_0x00b4:
        r4.reset();	 Catch:{ Exception -> 0x026e }
        r5 = r5 + -5;
        r0 = r16;
        r1 = r21;
        r0.compress(r1, r5, r4);	 Catch:{ Exception -> 0x026e }
        r6 = r4.toByteArray();	 Catch:{ Exception -> 0x026e }
        r7 = r6.length;	 Catch:{ Exception -> 0x026e }
        goto L_0x00a5;
    L_0x00c6:
        r4.close();	 Catch:{ Exception -> 0x018b, IOException -> 0x01b5 }
        r6 = r5;
    L_0x00ca:
        r4 = 1;
        r0 = r16;
        r1 = r21;
        com.tencent.mm.sdk.platformtools.d.a(r0, r6, r1, r12, r4);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
    L_0x00d2:
        r4 = "MicroMsg.ImgInfoStorage";
        r5 = "in ImgInfoStorage, extractThumbNail done: %s, %s, quality : %d";
        r17 = 3;
        r0 = r17;
        r0 = new java.lang.Object[r0];	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r17 = r0;
        r18 = 0;
        r17[r18] = r13;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r18 = 1;
        r17[r18] = r12;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r12 = 2;
        r6 = java.lang.Integer.valueOf(r6);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r17[r12] = r6;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r0 = r17;
        com.tencent.mm.sdk.platformtools.ab.d(r4, r5, r0);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r4 = com.tencent.mm.plugin.report.service.h.pYm;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r5 = 16498; // 0x4072 float:2.3119E-41 double:8.151E-320;
        r6 = 10;
        r6 = new java.lang.Object[r6];	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r12 = 0;
        r17 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r24);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r18 = "UTF-8";
        r17 = com.tencent.mm.compatible.util.q.encode(r17, r18);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r6[r12] = r17;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r12 = 1;
        r17 = java.lang.Boolean.valueOf(r25);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r6[r12] = r17;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r12 = 2;
        r14 = java.lang.Integer.valueOf(r14);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r6[r12] = r14;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r12 = 3;
        r14 = r15.outHeight;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r14 = java.lang.Integer.valueOf(r14);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r6[r12] = r14;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r12 = 4;
        r14 = r15.outWidth;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r14 = java.lang.Integer.valueOf(r14);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r6[r12] = r14;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r12 = 5;
        r7 = java.lang.Integer.valueOf(r7);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r6[r12] = r7;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r7 = 6;
        r12 = r16.getHeight();	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r12 = java.lang.Integer.valueOf(r12);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r6[r7] = r12;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r7 = 7;
        r12 = r16.getWidth();	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r12 = java.lang.Integer.valueOf(r12);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r6[r7] = r12;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r7 = 8;
        r12 = 0;
        r12 = java.lang.Integer.valueOf(r12);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r6[r7] = r12;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r7 = 9;
        r14 = java.lang.System.currentTimeMillis();	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r10 = r14 - r10;
        r10 = java.lang.Long.valueOf(r10);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r6[r7] = r10;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        r4.e(r5, r6);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
    L_0x0161:
        r4 = com.tencent.mm.vfs.e.ct(r13);
        if (r4 == 0) goto L_0x0173;
    L_0x0167:
        r4 = "MicroMsg.ImgInfoStorage";
        r5 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r4, r5);
        com.tencent.mm.vfs.e.deleteFile(r13);
    L_0x0173:
        if (r8 == 0) goto L_0x0178;
    L_0x0175:
        r8.close();	 Catch:{ Exception -> 0x0252 }
    L_0x0178:
        r4 = "THUMBNAIL_DIRPATH://th_";
        r5 = java.lang.String.valueOf(r9);
        r4 = r4.concat(r5);
        r5 = 78220; // 0x1318c float:1.0961E-40 double:3.8646E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x001c;
    L_0x018b:
        r4 = move-exception;
        r6 = r5;
        goto L_0x00ca;
    L_0x018f:
        r4 = move-exception;
        r4 = r5;
    L_0x0191:
        r5 = "MicroMsg.ImgInfoStorage";
        r17 = "compress bitmap failed.";
        r0 = r17;
        com.tencent.mm.sdk.platformtools.ab.e(r5, r0);	 Catch:{ all -> 0x0266 }
        if (r4 == 0) goto L_0x00ca;
    L_0x019e:
        r4.close();	 Catch:{ Exception -> 0x01a3, IOException -> 0x01b5 }
        goto L_0x00ca;
    L_0x01a3:
        r4 = move-exception;
        goto L_0x00ca;
    L_0x01a6:
        r4 = move-exception;
        r6 = r4;
        r7 = r5;
    L_0x01a9:
        if (r7 == 0) goto L_0x01ae;
    L_0x01ab:
        r7.close();	 Catch:{ Exception -> 0x024f, IOException -> 0x01b5 }
    L_0x01ae:
        r4 = 78220; // 0x1318c float:1.0961E-40 double:3.8646E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        throw r6;	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
    L_0x01b5:
        r4 = move-exception;
        r5 = r8;
    L_0x01b7:
        r6 = "MicroMsg.ImgInfoStorage";
        r7 = "save bitmap to image error, %s";
        r8 = 1;
        r8 = new java.lang.Object[r8];	 Catch:{ all -> 0x025d }
        r9 = 0;
        r8[r9] = r4;	 Catch:{ all -> 0x025d }
        com.tencent.mm.sdk.platformtools.ab.e(r6, r7, r8);	 Catch:{ all -> 0x025d }
        r4 = 1;
        r0 = r19;
        r1 = r20;
        r2 = r21;
        r4 = r0.a(r1, r4, r2);	 Catch:{ all -> 0x025d }
        r6 = com.tencent.mm.vfs.e.ct(r13);
        if (r6 == 0) goto L_0x01e3;
    L_0x01d7:
        r6 = "MicroMsg.ImgInfoStorage";
        r7 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r6, r7);
        com.tencent.mm.vfs.e.deleteFile(r13);
    L_0x01e3:
        if (r5 == 0) goto L_0x01e8;
    L_0x01e5:
        r5.close();	 Catch:{ Exception -> 0x0255 }
    L_0x01e8:
        r5 = 78220; // 0x1318c float:1.0961E-40 double:3.8646E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x001c;
    L_0x01f0:
        com.tencent.mm.vfs.e.aQ(r13, r12);	 Catch:{ IOException -> 0x01b5, Exception -> 0x01f5 }
        goto L_0x00d2;
    L_0x01f5:
        r4 = move-exception;
    L_0x01f6:
        r5 = "MicroMsg.ImgInfoStorage";
        r6 = "save bitmap to image error, %s";
        r7 = 1;
        r7 = new java.lang.Object[r7];	 Catch:{ all -> 0x025b }
        r9 = 0;
        r7[r9] = r4;	 Catch:{ all -> 0x025b }
        com.tencent.mm.sdk.platformtools.ab.e(r5, r6, r7);	 Catch:{ all -> 0x025b }
        r4 = 1;
        r0 = r19;
        r1 = r20;
        r2 = r21;
        r4 = r0.a(r1, r4, r2);	 Catch:{ all -> 0x025b }
        r5 = com.tencent.mm.vfs.e.ct(r13);
        if (r5 == 0) goto L_0x0222;
    L_0x0216:
        r5 = "MicroMsg.ImgInfoStorage";
        r6 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r5, r6);
        com.tencent.mm.vfs.e.deleteFile(r13);
    L_0x0222:
        if (r8 == 0) goto L_0x0227;
    L_0x0224:
        r8.close();	 Catch:{ Exception -> 0x0257 }
    L_0x0227:
        r5 = 78220; // 0x1318c float:1.0961E-40 double:3.8646E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x001c;
    L_0x022f:
        r4 = move-exception;
        r8 = r5;
    L_0x0231:
        r5 = com.tencent.mm.vfs.e.ct(r13);
        if (r5 == 0) goto L_0x0243;
    L_0x0237:
        r5 = "MicroMsg.ImgInfoStorage";
        r6 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r5, r6);
        com.tencent.mm.vfs.e.deleteFile(r13);
    L_0x0243:
        if (r8 == 0) goto L_0x0248;
    L_0x0245:
        r8.close();	 Catch:{ Exception -> 0x0259 }
    L_0x0248:
        r5 = 78220; // 0x1318c float:1.0961E-40 double:3.8646E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        throw r4;
    L_0x024f:
        r4 = move-exception;
        goto L_0x01ae;
    L_0x0252:
        r4 = move-exception;
        goto L_0x0178;
    L_0x0255:
        r5 = move-exception;
        goto L_0x01e8;
    L_0x0257:
        r5 = move-exception;
        goto L_0x0227;
    L_0x0259:
        r5 = move-exception;
        goto L_0x0248;
    L_0x025b:
        r4 = move-exception;
        goto L_0x0231;
    L_0x025d:
        r4 = move-exception;
        r8 = r5;
        goto L_0x0231;
    L_0x0260:
        r4 = move-exception;
        r8 = r5;
        goto L_0x01f6;
    L_0x0263:
        r4 = move-exception;
        goto L_0x01b7;
    L_0x0266:
        r5 = move-exception;
        r6 = r5;
        r7 = r4;
        goto L_0x01a9;
    L_0x026b:
        r5 = move-exception;
        goto L_0x0191;
    L_0x026e:
        r6 = move-exception;
        r6 = r5;
        goto L_0x0191;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.at.g.a(byte[], android.graphics.Bitmap$CompressFormat, int, int, java.lang.String, boolean):java.lang.String");
    }

    /* JADX WARNING: Removed duplicated region for block: B:43:0x0118  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0126 A:{SYNTHETIC, Splitter:B:45:0x0126} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x0118  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0126 A:{SYNTHETIC, Splitter:B:45:0x0126} */
    public final java.lang.String a(byte[] r13, boolean r14, android.graphics.Bitmap.CompressFormat r15, boolean r16) {
        /*
        r12 = this;
        r0 = 78221; // 0x1318d float:1.09611E-40 double:3.86463E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = com.tencent.mm.sdk.platformtools.bo.cb(r13);
        if (r0 == 0) goto L_0x001d;
    L_0x000c:
        r0 = "MicroMsg.ImgInfoStorage";
        r1 = "save dir thumb error, thumbBuf is null";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = 0;
        r1 = 78221; // 0x1318d float:1.09611E-40 double:3.86463E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
    L_0x001c:
        return r0;
    L_0x001d:
        r10 = agW();
        r0 = "th_";
        r1 = "";
        r3 = r12.q(r10, r0, r1);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r0 = r0.append(r3);
        r1 = ".tmp";
        r0 = r0.append(r1);
        r11 = r0.toString();
        r0 = "MicroMsg.ImgInfoStorage";
        r1 = "saveDirThumb, fullPath = ";
        r2 = java.lang.String.valueOf(r3);
        r1 = r1.concat(r2);
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1);
        r1 = 0;
        r0 = 0;
        r1 = com.tencent.mm.vfs.e.L(r11, r0);	 Catch:{ Exception -> 0x00bd, all -> 0x0110 }
        r1.write(r13);	 Catch:{ Exception -> 0x013c, all -> 0x0137 }
        r1.flush();	 Catch:{ Exception -> 0x013c, all -> 0x0137 }
        if (r14 == 0) goto L_0x00b0;
    L_0x005e:
        r0 = 128; // 0x80 float:1.794E-43 double:6.32E-322;
        r2 = r0;
    L_0x0061:
        if (r14 == 0) goto L_0x00b4;
    L_0x0063:
        r0 = 128; // 0x80 float:1.794E-43 double:6.32E-322;
    L_0x0065:
        if (r16 == 0) goto L_0x00b7;
    L_0x0067:
        r0 = 0;
        r0 = com.tencent.mm.sdk.platformtools.d.decodeFile(r11, r0);	 Catch:{ Exception -> 0x013c, all -> 0x0137 }
    L_0x006c:
        if (r0 == 0) goto L_0x0086;
    L_0x006e:
        r2 = 90;
        r4 = 1;
        com.tencent.mm.sdk.platformtools.d.a(r0, r2, r15, r3, r4);	 Catch:{ Exception -> 0x013c, all -> 0x0137 }
        r0 = "MicroMsg.ImgInfoStorage";
        r2 = "in ImgInfoStorage, extractThumbNail done: %s, %s";
        r4 = 2;
        r4 = new java.lang.Object[r4];	 Catch:{ Exception -> 0x013c, all -> 0x0137 }
        r5 = 0;
        r4[r5] = r11;	 Catch:{ Exception -> 0x013c, all -> 0x0137 }
        r5 = 1;
        r4[r5] = r3;	 Catch:{ Exception -> 0x013c, all -> 0x0137 }
        com.tencent.mm.sdk.platformtools.ab.d(r0, r2, r4);	 Catch:{ Exception -> 0x013c, all -> 0x0137 }
    L_0x0086:
        r0 = com.tencent.mm.vfs.e.ct(r11);
        if (r0 == 0) goto L_0x0098;
    L_0x008c:
        r0 = "MicroMsg.ImgInfoStorage";
        r2 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r0, r2);
        com.tencent.mm.vfs.e.deleteFile(r11);
    L_0x0098:
        if (r1 == 0) goto L_0x009d;
    L_0x009a:
        r1.close();	 Catch:{ Exception -> 0x0130 }
    L_0x009d:
        r0 = "THUMBNAIL_DIRPATH://th_";
        r1 = java.lang.String.valueOf(r10);
        r0 = r0.concat(r1);
        r1 = 78221; // 0x1318d float:1.09611E-40 double:3.86463E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x001c;
    L_0x00b0:
        r0 = 120; // 0x78 float:1.68E-43 double:5.93E-322;
        r2 = r0;
        goto L_0x0061;
    L_0x00b4:
        r0 = 120; // 0x78 float:1.68E-43 double:5.93E-322;
        goto L_0x0065;
    L_0x00b7:
        r4 = 0;
        r0 = com.tencent.mm.sdk.platformtools.d.d(r11, r2, r0, r4);	 Catch:{ Exception -> 0x013c, all -> 0x0137 }
        goto L_0x006c;
    L_0x00bd:
        r0 = move-exception;
        r9 = r1;
    L_0x00bf:
        r1 = com.tencent.mm.plugin.report.service.h.pYm;	 Catch:{ all -> 0x013a }
        r2 = 111; // 0x6f float:1.56E-43 double:5.5E-322;
        r4 = 189; // 0xbd float:2.65E-43 double:9.34E-322;
        r6 = 1;
        r8 = 0;
        r1.a(r2, r4, r6, r8);	 Catch:{ all -> 0x013a }
        r1 = "MicroMsg.ImgInfoStorage";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x013a }
        r3 = "create thumbnail from byte failed: th_";
        r2.<init>(r3);	 Catch:{ all -> 0x013a }
        r2 = r2.append(r10);	 Catch:{ all -> 0x013a }
        r3 = ", ex = ";
        r2 = r2.append(r3);	 Catch:{ all -> 0x013a }
        r0 = r0.getMessage();	 Catch:{ all -> 0x013a }
        r0 = r2.append(r0);	 Catch:{ all -> 0x013a }
        r0 = r0.toString();	 Catch:{ all -> 0x013a }
        com.tencent.mm.sdk.platformtools.ab.e(r1, r0);	 Catch:{ all -> 0x013a }
        r0 = com.tencent.mm.vfs.e.ct(r11);
        if (r0 == 0) goto L_0x0102;
    L_0x00f6:
        r0 = "MicroMsg.ImgInfoStorage";
        r1 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1);
        com.tencent.mm.vfs.e.deleteFile(r11);
    L_0x0102:
        if (r9 == 0) goto L_0x0107;
    L_0x0104:
        r9.close();	 Catch:{ Exception -> 0x0133 }
    L_0x0107:
        r0 = 0;
        r1 = 78221; // 0x1318d float:1.09611E-40 double:3.86463E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x001c;
    L_0x0110:
        r0 = move-exception;
        r9 = r1;
    L_0x0112:
        r1 = com.tencent.mm.vfs.e.ct(r11);
        if (r1 == 0) goto L_0x0124;
    L_0x0118:
        r1 = "MicroMsg.ImgInfoStorage";
        r2 = "create thumbnail, delete tmp file";
        com.tencent.mm.sdk.platformtools.ab.d(r1, r2);
        com.tencent.mm.vfs.e.deleteFile(r11);
    L_0x0124:
        if (r9 == 0) goto L_0x0129;
    L_0x0126:
        r9.close();	 Catch:{ Exception -> 0x0135 }
    L_0x0129:
        r1 = 78221; // 0x1318d float:1.09611E-40 double:3.86463E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        throw r0;
    L_0x0130:
        r0 = move-exception;
        goto L_0x009d;
    L_0x0133:
        r0 = move-exception;
        goto L_0x0107;
    L_0x0135:
        r1 = move-exception;
        goto L_0x0129;
    L_0x0137:
        r0 = move-exception;
        r9 = r1;
        goto L_0x0112;
    L_0x013a:
        r0 = move-exception;
        goto L_0x0112;
    L_0x013c:
        r0 = move-exception;
        r9 = r1;
        goto L_0x00bf;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.at.g.a(byte[], boolean, android.graphics.Bitmap$CompressFormat, boolean):java.lang.String");
    }

    public final String W(byte[] bArr) {
        AppMethodBeat.i(78222);
        if (bo.cb(bArr)) {
            ab.e("MicroMsg.ImgInfoStorage", "save dir thumb error, thumbBuf is null");
            AppMethodBeat.o(78222);
            return null;
        }
        Options options = new Options();
        options.inJustDecodeBounds = true;
        MMBitmapFactory.decodeByteArray(bArr, 0, bArr.length, options);
        if (options.outWidth < 0 || options.outHeight < 0) {
            ab.e("MicroMsg.ImgInfoStorage", "Bad thumbBuf, perhaps it's not complete or damaged ??");
            AppMethodBeat.o(78222);
            return null;
        }
        String agW = agW();
        String q = q(agW, "th_", "");
        ab.d("MicroMsg.ImgInfoStorage", "saveDirThumb, fullPath = ".concat(String.valueOf(q)));
        e.deleteFile(q);
        e.b(q, bArr, bArr.length);
        agW = "THUMBNAIL_DIRPATH://th_".concat(String.valueOf(agW));
        AppMethodBeat.o(78222);
        return agW;
    }

    public final String I(String str, boolean z) {
        AppMethodBeat.i(78223);
        if (str == null || str.length() <= 0) {
            AppMethodBeat.o(78223);
            return null;
        }
        String trim = str.trim();
        if (trim.startsWith("THUMBNAIL://")) {
            try {
                trim = ly(Integer.valueOf(trim.substring(12)).intValue()).fDB;
            } catch (NumberFormatException e) {
                ab.e("MicroMsg.ImgInfoStorage", "read img buf failed: " + e.getMessage());
                AppMethodBeat.o(78223);
                return null;
            }
        } else if (trim.startsWith("THUMBNAIL_DIRPATH://")) {
            trim = b(trim.substring(20).substring(3), "th_", "", z);
            AppMethodBeat.o(78223);
            return trim;
        }
        trim = b(trim, "", "", z);
        AppMethodBeat.o(78223);
        return trim;
    }

    public final Bitmap a(String str, float f, boolean z) {
        AppMethodBeat.i(78225);
        Bitmap a = a(str, false, f, z, false, false, -1);
        AppMethodBeat.o(78225);
        return a;
    }

    public final boolean a(ImageView imageView, String str, float f, int i, int i2, ImageView imageView2, int i3, int i4, View view) {
        AppMethodBeat.i(78226);
        boolean a = a(imageView, str, false, f, i, i2, imageView2, i3, i4, view);
        AppMethodBeat.o(78226);
        return a;
    }

    /* JADX WARNING: Missing block: B:19:0x00af, code skipped:
            if (r6.endsWith("hd") == false) goto L_0x0316;
     */
    /* JADX WARNING: Missing block: B:20:0x00b1, code skipped:
            r8 = (android.graphics.Bitmap) r12.fEh.ai(r6);
     */
    /* JADX WARNING: Missing block: B:21:0x00ba, code skipped:
            if (r8 != null) goto L_0x0195;
     */
    /* JADX WARNING: Missing block: B:22:0x00bc, code skipped:
            a(r13, r19, r22, r6, r16);
            r6 = r6.substring(0, r6.length() - 2);
            r5 = 1;
            r2 = r8;
     */
    /* JADX WARNING: Missing block: B:23:0x00d5, code skipped:
            if (r2 != null) goto L_0x0313;
     */
    /* JADX WARNING: Missing block: B:24:0x00d7, code skipped:
            r4 = (android.graphics.Bitmap) r12.fEh.ai(r6);
     */
    /* JADX WARNING: Missing block: B:25:0x00e0, code skipped:
            if (r4 == null) goto L_0x01e7;
     */
    /* JADX WARNING: Missing block: B:27:0x00e6, code skipped:
            if (r4.isRecycled() != false) goto L_0x01e7;
     */
    /* JADX WARNING: Missing block: B:28:0x00e8, code skipped:
            com.tencent.mm.sdk.platformtools.ab.i("MicroMsg.ImgInfoStorage", "[setbitmapFromUri] bitmap width %d,height %d", new java.lang.Object[]{java.lang.Integer.valueOf(r4.getWidth()), java.lang.Integer.valueOf(r4.getHeight())});
            r13.setBackgroundDrawable(null);
            com.tencent.mm.at.g.a.a(r4, r13);
     */
    /* JADX WARNING: Missing block: B:29:0x0118, code skipped:
            if (r13.getLayoutParams().width == -2) goto L_0x01bd;
     */
    /* JADX WARNING: Missing block: B:30:0x011a, code skipped:
            r2 = r12.fEq;
     */
    /* JADX WARNING: Missing block: B:31:0x011c, code skipped:
            if (r21 != 0) goto L_0x01c5;
     */
    /* JADX WARNING: Missing block: B:32:0x011e, code skipped:
            r2.gravity = 5;
     */
    /* JADX WARNING: Missing block: B:33:0x0121, code skipped:
            r13.setLayoutParams(r2);
     */
    /* JADX WARNING: Missing block: B:34:0x0133, code skipped:
            if (((double) r4.getWidth()) < (((double) r4.getHeight()) * 2.5d)) goto L_0x01cf;
     */
    /* JADX WARNING: Missing block: B:35:0x0135, code skipped:
            r2 = 1;
     */
    /* JADX WARNING: Missing block: B:37:0x0145, code skipped:
            if (((double) r4.getHeight()) < (((double) r4.getWidth()) * 2.5d)) goto L_0x01d2;
     */
    /* JADX WARNING: Missing block: B:38:0x0147, code skipped:
            r3 = 1;
     */
    /* JADX WARNING: Missing block: B:39:0x0148, code skipped:
            if (r2 != null) goto L_0x014c;
     */
    /* JADX WARNING: Missing block: B:40:0x014a, code skipped:
            if (r3 == null) goto L_0x0151;
     */
    /* JADX WARNING: Missing block: B:41:0x014c, code skipped:
            r13.setScaleType(android.widget.ImageView.ScaleType.CENTER);
     */
    /* JADX WARNING: Missing block: B:42:0x0151, code skipped:
            if (r19 == null) goto L_0x016a;
     */
    /* JADX WARNING: Missing block: B:43:0x0153, code skipped:
            r2 = new android.widget.FrameLayout.LayoutParams(r4.getWidth(), r4.getHeight());
     */
    /* JADX WARNING: Missing block: B:44:0x0160, code skipped:
            if (r21 != 0) goto L_0x01d5;
     */
    /* JADX WARNING: Missing block: B:45:0x0162, code skipped:
            r2.gravity = 5;
     */
    /* JADX WARNING: Missing block: B:46:0x0165, code skipped:
            r19.setLayoutParams(r2);
     */
    /* JADX WARNING: Missing block: B:47:0x016a, code skipped:
            if (r22 == null) goto L_0x0183;
     */
    /* JADX WARNING: Missing block: B:48:0x016c, code skipped:
            r2 = new android.widget.FrameLayout.LayoutParams(r4.getWidth(), r4.getHeight());
     */
    /* JADX WARNING: Missing block: B:49:0x0179, code skipped:
            if (r21 != 0) goto L_0x01de;
     */
    /* JADX WARNING: Missing block: B:50:0x017b, code skipped:
            r2.gravity = 5;
     */
    /* JADX WARNING: Missing block: B:51:0x017e, code skipped:
            r22.setLayoutParams(r2);
     */
    /* JADX WARNING: Missing block: B:52:0x0183, code skipped:
            com.tencent.matrix.trace.core.AppMethodBeat.o(78227);
     */
    /* JADX WARNING: Missing block: B:58:0x01a6, code skipped:
            if (r12.fEh.remove(r6.substring(0, r6.length() - 2)) == null) goto L_0x01b9;
     */
    /* JADX WARNING: Missing block: B:59:0x01a8, code skipped:
            com.tencent.mm.sdk.platformtools.ab.d("MicroMsg.ImgInfoStorage", "remove low quality thumb from cacheMap, path: ".concat(java.lang.String.valueOf(r6)));
     */
    /* JADX WARNING: Missing block: B:60:0x01b9, code skipped:
            r5 = null;
            r2 = r8;
     */
    /* JADX WARNING: Missing block: B:61:0x01bd, code skipped:
            r2 = (android.widget.FrameLayout.LayoutParams) r13.getLayoutParams();
     */
    /* JADX WARNING: Missing block: B:63:0x01c8, code skipped:
            if (r21 != 1) goto L_0x0121;
     */
    /* JADX WARNING: Missing block: B:64:0x01ca, code skipped:
            r2.gravity = 3;
     */
    /* JADX WARNING: Missing block: B:65:0x01cf, code skipped:
            r2 = null;
     */
    /* JADX WARNING: Missing block: B:66:0x01d2, code skipped:
            r3 = null;
     */
    /* JADX WARNING: Missing block: B:68:0x01d8, code skipped:
            if (r21 != 1) goto L_0x0165;
     */
    /* JADX WARNING: Missing block: B:69:0x01da, code skipped:
            r2.gravity = 3;
     */
    /* JADX WARNING: Missing block: B:71:0x01e1, code skipped:
            if (r21 != 1) goto L_0x017e;
     */
    /* JADX WARNING: Missing block: B:72:0x01e3, code skipped:
            r2.gravity = 3;
     */
    /* JADX WARNING: Missing block: B:73:0x01e7, code skipped:
            if (r20 <= 0) goto L_0x02c4;
     */
    /* JADX WARNING: Missing block: B:74:0x01e9, code skipped:
            r13.setBackgroundResource(r20);
            r13.setImageDrawable(null);
     */
    /* JADX WARNING: Missing block: B:75:0x01f6, code skipped:
            if (r17 >= 160) goto L_0x01fe;
     */
    /* JADX WARNING: Missing block: B:77:0x01fc, code skipped:
            if (r18 < 160) goto L_0x029d;
     */
    /* JADX WARNING: Missing block: B:79:0x0202, code skipped:
            if (r18 <= r17) goto L_0x028e;
     */
    /* JADX WARNING: Missing block: B:80:0x0204, code skipped:
            r2 = 160.0f / ((float) r18);
     */
    /* JADX WARNING: Missing block: B:81:0x020a, code skipped:
            r3 = (int) (((float) r17) * r2);
            r2 = (int) (r2 * ((float) r18));
     */
    /* JADX WARNING: Missing block: B:82:0x0214, code skipped:
            if (r3 <= 0) goto L_0x0296;
     */
    /* JADX WARNING: Missing block: B:83:0x0216, code skipped:
            r3 = (int) (((float) r3) * r16);
     */
    /* JADX WARNING: Missing block: B:84:0x021a, code skipped:
            if (r2 <= 0) goto L_0x029a;
     */
    /* JADX WARNING: Missing block: B:85:0x021c, code skipped:
            r2 = (int) (((float) r2) * r16);
     */
    /* JADX WARNING: Missing block: B:87:0x0227, code skipped:
            if (((float) r3) >= (60.0f * r16)) goto L_0x0310;
     */
    /* JADX WARNING: Missing block: B:88:0x0229, code skipped:
            com.tencent.mm.sdk.platformtools.ab.d("MicroMsg.ImgInfoStorage", "pic to small width is %d ", new java.lang.Object[]{java.lang.Integer.valueOf(r3)});
            r4 = (int) (60.0f * r16);
     */
    /* JADX WARNING: Missing block: B:90:0x0249, code skipped:
            if (((float) r2) >= (60.0f * r16)) goto L_0x0263;
     */
    /* JADX WARNING: Missing block: B:91:0x024b, code skipped:
            com.tencent.mm.sdk.platformtools.ab.d("MicroMsg.ImgInfoStorage", "pic to small height is %d ", new java.lang.Object[]{java.lang.Integer.valueOf(r2)});
            r2 = (int) (60.0f * r16);
     */
    /* JADX WARNING: Missing block: B:92:0x0263, code skipped:
            r3 = new android.widget.FrameLayout.LayoutParams(r4, r2);
     */
    /* JADX WARNING: Missing block: B:93:0x0268, code skipped:
            if (r21 != 0) goto L_0x02bb;
     */
    /* JADX WARNING: Missing block: B:94:0x026a, code skipped:
            r3.gravity = 5;
     */
    /* JADX WARNING: Missing block: B:95:0x026d, code skipped:
            if (r22 == null) goto L_0x030d;
     */
    /* JADX WARNING: Missing block: B:96:0x026f, code skipped:
            r22.setLayoutParams(r3);
            r2 = r3;
     */
    /* JADX WARNING: Missing block: B:97:0x0275, code skipped:
            r13.setLayoutParams(r2);
     */
    /* JADX WARNING: Missing block: B:98:0x0278, code skipped:
            if (r5 != null) goto L_0x0285;
     */
    /* JADX WARNING: Missing block: B:99:0x027a, code skipped:
            a(r13, r19, r22, r6, r16);
     */
    /* JADX WARNING: Missing block: B:100:0x0285, code skipped:
            com.tencent.matrix.trace.core.AppMethodBeat.o(78227);
     */
    /* JADX WARNING: Missing block: B:101:0x028e, code skipped:
            r2 = 160.0f / ((float) r17);
     */
    /* JADX WARNING: Missing block: B:102:0x0296, code skipped:
            r3 = 120;
     */
    /* JADX WARNING: Missing block: B:103:0x029a, code skipped:
            r2 = 75;
     */
    /* JADX WARNING: Missing block: B:104:0x029d, code skipped:
            if (r17 <= 0) goto L_0x02b5;
     */
    /* JADX WARNING: Missing block: B:105:0x029f, code skipped:
            r3 = (int) ((((float) r17) * r16) * 1.25f);
     */
    /* JADX WARNING: Missing block: B:106:0x02a8, code skipped:
            if (r18 <= 0) goto L_0x02b8;
     */
    /* JADX WARNING: Missing block: B:107:0x02aa, code skipped:
            r2 = (int) ((((float) r18) * r16) * 1.25f);
     */
    /* JADX WARNING: Missing block: B:108:0x02b5, code skipped:
            r17 = 120;
     */
    /* JADX WARNING: Missing block: B:109:0x02b8, code skipped:
            r18 = 75;
     */
    /* JADX WARNING: Missing block: B:111:0x02be, code skipped:
            if (r21 != 1) goto L_0x026d;
     */
    /* JADX WARNING: Missing block: B:112:0x02c0, code skipped:
            r3.gravity = 3;
     */
    /* JADX WARNING: Missing block: B:114:0x02c6, code skipped:
            if (r12.fEr == null) goto L_0x02d0;
     */
    /* JADX WARNING: Missing block: B:116:0x02ce, code skipped:
            if (r12.fEr.get() != null) goto L_0x02df;
     */
    /* JADX WARNING: Missing block: B:117:0x02d0, code skipped:
            r12.fEr = new java.lang.ref.SoftReference(new android.graphics.drawable.ColorDrawable(-1118482));
     */
    /* JADX WARNING: Missing block: B:118:0x02df, code skipped:
            r13.setImageDrawable((android.graphics.drawable.ColorDrawable) r12.fEr.get());
     */
    /* JADX WARNING: Missing block: B:119:0x02ec, code skipped:
            if (r17 <= 0) goto L_0x0307;
     */
    /* JADX WARNING: Missing block: B:120:0x02ee, code skipped:
            r3 = (int) ((((float) r17) * r16) * 1.25f);
     */
    /* JADX WARNING: Missing block: B:121:0x02f7, code skipped:
            if (r18 <= 0) goto L_0x030a;
     */
    /* JADX WARNING: Missing block: B:122:0x02f9, code skipped:
            r2 = new android.widget.FrameLayout.LayoutParams(r3, (int) ((((float) r18) * r16) * 1.25f));
     */
    /* JADX WARNING: Missing block: B:123:0x0307, code skipped:
            r17 = 120;
     */
    /* JADX WARNING: Missing block: B:124:0x030a, code skipped:
            r18 = 75;
     */
    /* JADX WARNING: Missing block: B:125:0x030d, code skipped:
            r2 = r3;
     */
    /* JADX WARNING: Missing block: B:126:0x0310, code skipped:
            r4 = r3;
     */
    /* JADX WARNING: Missing block: B:127:0x0313, code skipped:
            r4 = r2;
     */
    /* JADX WARNING: Missing block: B:128:0x0316, code skipped:
            r5 = null;
            r2 = null;
     */
    /* JADX WARNING: Missing block: B:134:?, code skipped:
            return true;
     */
    /* JADX WARNING: Missing block: B:135:?, code skipped:
            return false;
     */
    public final boolean a(android.widget.ImageView r13, java.lang.String r14, boolean r15, float r16, int r17, int r18, android.widget.ImageView r19, int r20, int r21, android.view.View r22) {
        /*
        r12 = this;
        r2 = 78227; // 0x13193 float:1.0962E-40 double:3.86493E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r14);
        if (r2 == 0) goto L_0x0023;
    L_0x000c:
        r2 = "MicroMsg.ImgInfoStorage";
        r3 = "invalid uri is %s";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r4[r5] = r14;
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3, r4);
        r2 = 0;
        r3 = 78227; // 0x13193 float:1.0962E-40 double:3.86493E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
    L_0x0022:
        return r2;
    L_0x0023:
        r3 = r12.fEo;
        monitor-enter(r3);
        r2 = r12.fEo;	 Catch:{ all -> 0x018c }
        r2 = r2.containsKey(r14);	 Catch:{ all -> 0x018c }
        r4 = 0;
        r6 = r12.c(r14, r15, r4);	 Catch:{ all -> 0x018c }
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r6);	 Catch:{ all -> 0x018c }
        if (r4 == 0) goto L_0x0053;
    L_0x0037:
        r2 = "MicroMsg.ImgInfoStorage";
        r4 = "getFullThumbPathByCache uri is null, uri:%s";
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ all -> 0x018c }
        r6 = 0;
        r7 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r14);	 Catch:{ all -> 0x018c }
        r5[r6] = r7;	 Catch:{ all -> 0x018c }
        com.tencent.mm.sdk.platformtools.ab.e(r2, r4, r5);	 Catch:{ all -> 0x018c }
        r2 = 0;
        monitor-exit(r3);	 Catch:{ all -> 0x018c }
        r3 = 78227; // 0x13193 float:1.0962E-40 double:3.86493E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0022;
    L_0x0053:
        if (r2 != 0) goto L_0x00a5;
    L_0x0055:
        r2 = "hd";
        r2 = r6.endsWith(r2);	 Catch:{ all -> 0x018c }
        if (r2 != 0) goto L_0x00a5;
    L_0x005e:
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x018c }
        r2.<init>();	 Catch:{ all -> 0x018c }
        r2 = r2.append(r6);	 Catch:{ all -> 0x018c }
        r4 = "hd";
        r2 = r2.append(r4);	 Catch:{ all -> 0x018c }
        r2 = r2.toString();	 Catch:{ all -> 0x018c }
        r2 = com.tencent.mm.vfs.e.ct(r2);	 Catch:{ all -> 0x018c }
        if (r2 == 0) goto L_0x00a5;
    L_0x0078:
        r2 = r12.fEo;	 Catch:{ all -> 0x018c }
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x018c }
        r4.<init>();	 Catch:{ all -> 0x018c }
        r4 = r4.append(r6);	 Catch:{ all -> 0x018c }
        r5 = "hd";
        r4 = r4.append(r5);	 Catch:{ all -> 0x018c }
        r4 = r4.toString();	 Catch:{ all -> 0x018c }
        r2.put(r14, r4);	 Catch:{ all -> 0x018c }
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x018c }
        r2.<init>();	 Catch:{ all -> 0x018c }
        r2 = r2.append(r6);	 Catch:{ all -> 0x018c }
        r4 = "hd";
        r2 = r2.append(r4);	 Catch:{ all -> 0x018c }
        r6 = r2.toString();	 Catch:{ all -> 0x018c }
    L_0x00a5:
        monitor-exit(r3);	 Catch:{ all -> 0x018c }
        r8 = 0;
        r3 = 0;
        r2 = "hd";
        r2 = r6.endsWith(r2);
        if (r2 == 0) goto L_0x0316;
    L_0x00b1:
        r2 = r12.fEh;
        r2 = r2.ai(r6);
        r8 = r2;
        r8 = (android.graphics.Bitmap) r8;
        if (r8 != 0) goto L_0x0195;
    L_0x00bc:
        r2 = r12;
        r3 = r13;
        r4 = r19;
        r5 = r22;
        r7 = r16;
        r2.a(r3, r4, r5, r6, r7);
        r3 = 1;
        r2 = 0;
        r4 = r6.length();
        r4 = r4 + -2;
        r6 = r6.substring(r2, r4);
        r5 = r3;
        r2 = r8;
    L_0x00d5:
        if (r2 != 0) goto L_0x0313;
    L_0x00d7:
        r2 = r12.fEh;
        r2 = r2.ai(r6);
        r2 = (android.graphics.Bitmap) r2;
        r4 = r2;
    L_0x00e0:
        if (r4 == 0) goto L_0x01e7;
    L_0x00e2:
        r2 = r4.isRecycled();
        if (r2 != 0) goto L_0x01e7;
    L_0x00e8:
        r2 = "MicroMsg.ImgInfoStorage";
        r3 = "[setbitmapFromUri] bitmap width %d,height %d";
        r5 = 2;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r7 = r4.getWidth();
        r7 = java.lang.Integer.valueOf(r7);
        r5[r6] = r7;
        r6 = 1;
        r7 = r4.getHeight();
        r7 = java.lang.Integer.valueOf(r7);
        r5[r6] = r7;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r5);
        r2 = 0;
        r13.setBackgroundDrawable(r2);
        com.tencent.mm.at.g.a.a(r4, r13);
        r2 = r13.getLayoutParams();
        r2 = r2.width;
        r3 = -2;
        if (r2 == r3) goto L_0x01bd;
    L_0x011a:
        r2 = r12.fEq;
    L_0x011c:
        if (r21 != 0) goto L_0x01c5;
    L_0x011e:
        r3 = 5;
        r2.gravity = r3;
    L_0x0121:
        r13.setLayoutParams(r2);
        r2 = r4.getWidth();
        r2 = (double) r2;
        r5 = r4.getHeight();
        r6 = (double) r5;
        r8 = 4612811918334230528; // 0x4004000000000000 float:0.0 double:2.5;
        r6 = r6 * r8;
        r2 = (r2 > r6 ? 1 : (r2 == r6 ? 0 : -1));
        if (r2 < 0) goto L_0x01cf;
    L_0x0135:
        r2 = 1;
    L_0x0136:
        r3 = r4.getHeight();
        r6 = (double) r3;
        r3 = r4.getWidth();
        r8 = (double) r3;
        r10 = 4612811918334230528; // 0x4004000000000000 float:0.0 double:2.5;
        r8 = r8 * r10;
        r3 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r3 < 0) goto L_0x01d2;
    L_0x0147:
        r3 = 1;
    L_0x0148:
        if (r2 != 0) goto L_0x014c;
    L_0x014a:
        if (r3 == 0) goto L_0x0151;
    L_0x014c:
        r2 = android.widget.ImageView.ScaleType.CENTER;
        r13.setScaleType(r2);
    L_0x0151:
        if (r19 == 0) goto L_0x016a;
    L_0x0153:
        r2 = new android.widget.FrameLayout$LayoutParams;
        r3 = r4.getWidth();
        r5 = r4.getHeight();
        r2.<init>(r3, r5);
        if (r21 != 0) goto L_0x01d5;
    L_0x0162:
        r3 = 5;
        r2.gravity = r3;
    L_0x0165:
        r0 = r19;
        r0.setLayoutParams(r2);
    L_0x016a:
        if (r22 == 0) goto L_0x0183;
    L_0x016c:
        r2 = new android.widget.FrameLayout$LayoutParams;
        r3 = r4.getWidth();
        r4 = r4.getHeight();
        r2.<init>(r3, r4);
        if (r21 != 0) goto L_0x01de;
    L_0x017b:
        r3 = 5;
        r2.gravity = r3;
    L_0x017e:
        r0 = r22;
        r0.setLayoutParams(r2);
    L_0x0183:
        r2 = 1;
        r3 = 78227; // 0x13193 float:1.0962E-40 double:3.86493E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0022;
    L_0x018c:
        r2 = move-exception;
        monitor-exit(r3);	 Catch:{ all -> 0x018c }
        r3 = 78227; // 0x13193 float:1.0962E-40 double:3.86493E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        throw r2;
    L_0x0195:
        r2 = r12.fEh;
        r4 = 0;
        r5 = r6.length();
        r5 = r5 + -2;
        r4 = r6.substring(r4, r5);
        r2 = r2.remove(r4);
        if (r2 == 0) goto L_0x01b9;
    L_0x01a8:
        r2 = "MicroMsg.ImgInfoStorage";
        r4 = "remove low quality thumb from cacheMap, path: ";
        r5 = java.lang.String.valueOf(r6);
        r4 = r4.concat(r5);
        com.tencent.mm.sdk.platformtools.ab.d(r2, r4);
    L_0x01b9:
        r5 = r3;
        r2 = r8;
        goto L_0x00d5;
    L_0x01bd:
        r2 = r13.getLayoutParams();
        r2 = (android.widget.FrameLayout.LayoutParams) r2;
        goto L_0x011c;
    L_0x01c5:
        r3 = 1;
        r0 = r21;
        if (r0 != r3) goto L_0x0121;
    L_0x01ca:
        r3 = 3;
        r2.gravity = r3;
        goto L_0x0121;
    L_0x01cf:
        r2 = 0;
        goto L_0x0136;
    L_0x01d2:
        r3 = 0;
        goto L_0x0148;
    L_0x01d5:
        r3 = 1;
        r0 = r21;
        if (r0 != r3) goto L_0x0165;
    L_0x01da:
        r3 = 3;
        r2.gravity = r3;
        goto L_0x0165;
    L_0x01de:
        r3 = 1;
        r0 = r21;
        if (r0 != r3) goto L_0x017e;
    L_0x01e3:
        r3 = 3;
        r2.gravity = r3;
        goto L_0x017e;
    L_0x01e7:
        if (r20 <= 0) goto L_0x02c4;
    L_0x01e9:
        r0 = r20;
        r13.setBackgroundResource(r0);
        r2 = 0;
        r13.setImageDrawable(r2);
        r2 = 160; // 0xa0 float:2.24E-43 double:7.9E-322;
        r0 = r17;
        if (r0 >= r2) goto L_0x01fe;
    L_0x01f8:
        r2 = 160; // 0xa0 float:2.24E-43 double:7.9E-322;
        r0 = r18;
        if (r0 < r2) goto L_0x029d;
    L_0x01fe:
        r0 = r18;
        r1 = r17;
        if (r0 <= r1) goto L_0x028e;
    L_0x0204:
        r2 = 1126170624; // 0x43200000 float:160.0 double:5.564022167E-315;
        r0 = r18;
        r3 = (float) r0;
        r2 = r2 / r3;
    L_0x020a:
        r0 = r17;
        r3 = (float) r0;
        r3 = r3 * r2;
        r3 = (int) r3;
        r0 = r18;
        r4 = (float) r0;
        r2 = r2 * r4;
        r2 = (int) r2;
        if (r3 <= 0) goto L_0x0296;
    L_0x0216:
        r3 = (float) r3;
        r3 = r3 * r16;
        r3 = (int) r3;
        if (r2 <= 0) goto L_0x029a;
    L_0x021c:
        r2 = (float) r2;
        r2 = r2 * r16;
        r2 = (int) r2;
    L_0x0220:
        r4 = (float) r3;
        r7 = 1114636288; // 0x42700000 float:60.0 double:5.507034975E-315;
        r7 = r7 * r16;
        r4 = (r4 > r7 ? 1 : (r4 == r7 ? 0 : -1));
        if (r4 >= 0) goto L_0x0310;
    L_0x0229:
        r4 = "MicroMsg.ImgInfoStorage";
        r7 = "pic to small width is %d ";
        r8 = 1;
        r8 = new java.lang.Object[r8];
        r9 = 0;
        r3 = java.lang.Integer.valueOf(r3);
        r8[r9] = r3;
        com.tencent.mm.sdk.platformtools.ab.d(r4, r7, r8);
        r3 = 1114636288; // 0x42700000 float:60.0 double:5.507034975E-315;
        r3 = r3 * r16;
        r3 = (int) r3;
        r4 = r3;
    L_0x0242:
        r3 = (float) r2;
        r7 = 1114636288; // 0x42700000 float:60.0 double:5.507034975E-315;
        r7 = r7 * r16;
        r3 = (r3 > r7 ? 1 : (r3 == r7 ? 0 : -1));
        if (r3 >= 0) goto L_0x0263;
    L_0x024b:
        r3 = "MicroMsg.ImgInfoStorage";
        r7 = "pic to small height is %d ";
        r8 = 1;
        r8 = new java.lang.Object[r8];
        r9 = 0;
        r2 = java.lang.Integer.valueOf(r2);
        r8[r9] = r2;
        com.tencent.mm.sdk.platformtools.ab.d(r3, r7, r8);
        r2 = 1114636288; // 0x42700000 float:60.0 double:5.507034975E-315;
        r2 = r2 * r16;
        r2 = (int) r2;
    L_0x0263:
        r3 = new android.widget.FrameLayout$LayoutParams;
        r3.<init>(r4, r2);
        if (r21 != 0) goto L_0x02bb;
    L_0x026a:
        r2 = 5;
        r3.gravity = r2;
    L_0x026d:
        if (r22 == 0) goto L_0x030d;
    L_0x026f:
        r0 = r22;
        r0.setLayoutParams(r3);
        r2 = r3;
    L_0x0275:
        r13.setLayoutParams(r2);
        if (r5 != 0) goto L_0x0285;
    L_0x027a:
        r2 = r12;
        r3 = r13;
        r4 = r19;
        r5 = r22;
        r7 = r16;
        r2.a(r3, r4, r5, r6, r7);
    L_0x0285:
        r2 = 0;
        r3 = 78227; // 0x13193 float:1.0962E-40 double:3.86493E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0022;
    L_0x028e:
        r2 = 1126170624; // 0x43200000 float:160.0 double:5.564022167E-315;
        r0 = r17;
        r3 = (float) r0;
        r2 = r2 / r3;
        goto L_0x020a;
    L_0x0296:
        r3 = 120; // 0x78 float:1.68E-43 double:5.93E-322;
        goto L_0x0216;
    L_0x029a:
        r2 = 75;
        goto L_0x021c;
    L_0x029d:
        if (r17 <= 0) goto L_0x02b5;
    L_0x029f:
        r0 = r17;
        r2 = (float) r0;
        r2 = r2 * r16;
        r3 = 1067450368; // 0x3fa00000 float:1.25 double:5.273905555E-315;
        r2 = r2 * r3;
        r3 = (int) r2;
        if (r18 <= 0) goto L_0x02b8;
    L_0x02aa:
        r0 = r18;
        r2 = (float) r0;
        r2 = r2 * r16;
        r4 = 1067450368; // 0x3fa00000 float:1.25 double:5.273905555E-315;
        r2 = r2 * r4;
        r2 = (int) r2;
        goto L_0x0220;
    L_0x02b5:
        r17 = 120; // 0x78 float:1.68E-43 double:5.93E-322;
        goto L_0x029f;
    L_0x02b8:
        r18 = 75;
        goto L_0x02aa;
    L_0x02bb:
        r2 = 1;
        r0 = r21;
        if (r0 != r2) goto L_0x026d;
    L_0x02c0:
        r2 = 3;
        r3.gravity = r2;
        goto L_0x026d;
    L_0x02c4:
        r2 = r12.fEr;
        if (r2 == 0) goto L_0x02d0;
    L_0x02c8:
        r2 = r12.fEr;
        r2 = r2.get();
        if (r2 != 0) goto L_0x02df;
    L_0x02d0:
        r2 = new android.graphics.drawable.ColorDrawable;
        r3 = -1118482; // 0xffffffffffeeeeee float:NaN double:NaN;
        r2.<init>(r3);
        r3 = new java.lang.ref.SoftReference;
        r3.<init>(r2);
        r12.fEr = r3;
    L_0x02df:
        r2 = r12.fEr;
        r2 = r2.get();
        r2 = (android.graphics.drawable.ColorDrawable) r2;
        r13.setImageDrawable(r2);
        r2 = new android.widget.FrameLayout$LayoutParams;
        if (r17 <= 0) goto L_0x0307;
    L_0x02ee:
        r0 = r17;
        r3 = (float) r0;
        r3 = r3 * r16;
        r4 = 1067450368; // 0x3fa00000 float:1.25 double:5.273905555E-315;
        r3 = r3 * r4;
        r3 = (int) r3;
        if (r18 <= 0) goto L_0x030a;
    L_0x02f9:
        r0 = r18;
        r4 = (float) r0;
        r4 = r4 * r16;
        r7 = 1067450368; // 0x3fa00000 float:1.25 double:5.273905555E-315;
        r4 = r4 * r7;
        r4 = (int) r4;
        r2.<init>(r3, r4);
        goto L_0x0275;
    L_0x0307:
        r17 = 120; // 0x78 float:1.68E-43 double:5.93E-322;
        goto L_0x02ee;
    L_0x030a:
        r18 = 75;
        goto L_0x02f9;
    L_0x030d:
        r2 = r3;
        goto L_0x0275;
    L_0x0310:
        r4 = r3;
        goto L_0x0242;
    L_0x0313:
        r4 = r2;
        goto L_0x00e0;
    L_0x0316:
        r5 = r3;
        r2 = r8;
        goto L_0x00d5;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.at.g.a(android.widget.ImageView, java.lang.String, boolean, float, int, int, android.widget.ImageView, int, int, android.view.View):boolean");
    }

    private void a(ImageView imageView, ImageView imageView2, View view, String str, float f) {
        int hashCode;
        int i;
        AppMethodBeat.i(78228);
        int hashCode2 = str.hashCode();
        int hashCode3 = imageView.hashCode();
        for (b bVar : this.fEj) {
            if (hashCode3 == bVar.fEz) {
                ab.i("MicroMsg.ImgInfoStorage", "setbitmapFromUri  [%d, %s] ", new Object[]{Integer.valueOf(bVar.fEz), bVar.url});
                bVar.url = str;
                if (!this.fEn.contains(Integer.valueOf(hashCode2))) {
                    this.fEn.add(Integer.valueOf(hashCode2));
                    f(str, f);
                }
                AppMethodBeat.o(78228);
                return;
            }
        }
        this.fEk.put(Integer.valueOf(hashCode3), new WeakReference(imageView));
        if (imageView2 != null) {
            hashCode = imageView2.hashCode();
            this.fEl.put(Integer.valueOf(hashCode), new WeakReference(imageView2));
            i = hashCode;
        } else {
            i = 0;
        }
        if (view != null) {
            hashCode = view.hashCode();
            this.fEm.put(Integer.valueOf(hashCode), new WeakReference(view));
        } else {
            hashCode = 0;
        }
        this.fEj.add(new b(hashCode3, str, i, hashCode));
        if (!this.fEn.contains(Integer.valueOf(hashCode2))) {
            this.fEn.add(Integer.valueOf(hashCode2));
            f(str, f);
        }
        AppMethodBeat.o(78228);
    }

    private void f(String str, float f) {
        AppMethodBeat.i(78229);
        com.tencent.mm.kernel.g.RQ();
        com.tencent.mm.kernel.g.RS().aa(new 2(this, str, f, true, 2130838182));
        AppMethodBeat.o(78229);
    }

    public final Bitmap b(String str, float f, boolean z) {
        AppMethodBeat.i(78230);
        Bitmap a = a(str, true, f, z, true, false, 0);
        AppMethodBeat.o(78230);
        return a;
    }

    public final Bitmap a(String str, boolean z, float f, boolean z2, boolean z3, boolean z4, int i) {
        AppMethodBeat.i(78231);
        Bitmap a = a(str, z, f, z2, z3, z4, i, true);
        AppMethodBeat.o(78231);
        return a;
    }

    private Bitmap a(String str, boolean z, float f, boolean z2, boolean z3, boolean z4, int i, boolean z5) {
        AppMethodBeat.i(78232);
        Bitmap a = a(str, z, f, z2, z3, z4, i, z5, null);
        AppMethodBeat.o(78232);
        return a;
    }

    private Bitmap a(String str, boolean z, float f, boolean z2, boolean z3, boolean z4, int i, boolean z5, Bitmap bitmap) {
        Object str2;
        AppMethodBeat.i(78233);
        if (!z) {
            str2 = c(str2, false, true);
        }
        if (str2 == null) {
            AppMethodBeat.o(78233);
            return null;
        }
        String str3;
        String str4;
        Object[] objArr;
        Bitmap bitmap2 = null;
        Object obj = (bitmap == null || bitmap.isRecycled()) ? null : 1;
        if (z5) {
            bitmap2 = (Bitmap) this.fEh.ai(str2);
            if (bitmap2 == null) {
                str3 = "MicroMsg.ImgInfoStorage";
                str4 = "bm is null:%b,  url:%s";
                objArr = new Object[2];
                objArr[0] = Boolean.valueOf(bitmap2 == null);
                objArr[1] = str2;
                ab.b(str3, str4, objArr);
            }
        }
        if (bitmap2 == null || bitmap2.isRecycled() || obj != null) {
            Bitmap bitmap3;
            bo.anU();
            if (obj != null) {
                bitmap3 = bitmap;
            } else {
                bitmap3 = d.j(str2, f);
            }
            if (bitmap3 == null) {
                bitmap3 = x.vv(str2);
            }
            if (bitmap3 != null) {
                Bitmap createScaledBitmap;
                long currentTimeMillis = System.currentTimeMillis();
                int width = bitmap3.getWidth();
                int height = bitmap3.getHeight();
                if (z3) {
                    if (fEg == 0) {
                        fEg = a.am(ah.getContext(), 2131428381);
                    }
                    if (width > fEg || height > fEg) {
                        if (width > height) {
                            height = (height * fEg) / width;
                            width = fEg;
                        } else if (width == height) {
                            height = fEg;
                            width = fEg;
                        } else {
                            width = (width * fEg) / height;
                            height = fEg;
                        }
                    }
                }
                if (z4) {
                    int i2;
                    if (str2.endsWith("hd")) {
                        i2 = height;
                    } else {
                        width = (int) ((((float) bitmap3.getWidth()) * f) * 1.25f);
                        i2 = (int) ((((float) bitmap3.getHeight()) * f) * 1.25f);
                    }
                    if (((float) width) >= 160.0f * f || ((float) i2) >= 160.0f * f) {
                        float f2;
                        if (i2 > width) {
                            f2 = (160.0f * f) / ((float) i2);
                        } else {
                            f2 = (160.0f * f) / ((float) width);
                        }
                        width = (int) (((float) width) * f2);
                        height = (int) (f2 * ((float) i2));
                    } else {
                        height = i2;
                    }
                    if (((float) width) < 60.0f * f) {
                        ab.d("MicroMsg.ImgInfoStorage", "pic to small width is %d ", new Object[]{Integer.valueOf(width)});
                        width = (int) (60.0f * f);
                    }
                    if (((float) height) < 60.0f * f) {
                        ab.d("MicroMsg.ImgInfoStorage", "pic to small height is %d ", new Object[]{Integer.valueOf(height)});
                        height = (int) (60.0f * f);
                    }
                    Context context = ah.getContext();
                    int[] iArr = new int[2];
                    float f3;
                    if (height >= width) {
                        f3 = ((float) height) / ((float) width);
                        if (f3 <= 2.0f) {
                            height = a.am(context, 2131427524);
                            width = (int) (((float) height) / f3);
                        } else {
                            width = a.am(context, 2131427526);
                            height = (int) (((float) width) * f3);
                        }
                    } else {
                        f3 = ((float) width) / ((float) height);
                        if (f3 <= 2.0f) {
                            width = a.am(context, 2131427524);
                            height = (int) (((float) width) / f3);
                        } else {
                            height = a.am(context, 2131427526);
                            width = (int) (((float) height) * f3);
                        }
                    }
                    iArr[0] = width;
                    iArr[1] = height;
                    width = iArr[0];
                    height = iArr[1];
                }
                try {
                    createScaledBitmap = Bitmap.createScaledBitmap(bitmap3, width, height, true);
                } catch (OutOfMemoryError e) {
                    createScaledBitmap = bitmap3;
                }
                if (bitmap3 != createScaledBitmap && obj == null) {
                    ab.i("MicroMsg.ImgInfoStorage", "[bitmapFromUriPath]:bitmap recycle %s", new Object[]{bitmap3.toString()});
                    bitmap3.recycle();
                }
                if (z4) {
                    bitmap2 = d.d(createScaledBitmap, i);
                } else if (z2) {
                    bitmap2 = d.a(createScaledBitmap, true, (float) a.fromDPToPix(ah.getContext(), 3));
                    ab.i("MicroMsg.ImgInfoStorage", "[bitmapFromUriPath]:bitmap recycle %s", new Object[]{createScaledBitmap.toString()});
                    createScaledBitmap.recycle();
                } else {
                    bitmap2 = createScaledBitmap;
                }
                str3 = "MicroMsg.ImgInfoStorage";
                str4 = "cached file :%s bitmap time:%s bitmap:%s";
                objArr = new Object[3];
                objArr[0] = str2;
                objArr[1] = (System.currentTimeMillis() - currentTimeMillis);
                objArr[2] = bitmap2 == null ? "" : bitmap2.toString();
                ab.i(str3, str4, objArr);
                if (bitmap2 != null && obj == null) {
                    this.fEh.k(str2, bitmap2);
                }
            } else {
                ab.e("MicroMsg.ImgInfoStorage", "img maybe delete, %s, %s", new Object[]{str2, Boolean.valueOf(FileOp.ct(str2))});
            }
        }
        AppMethodBeat.o(78233);
        return bitmap2;
    }

    public final Bitmap sk(String str) {
        AppMethodBeat.i(78234);
        Bitmap j = d.j(c(str, false, true), a.getDensity(ah.getContext()));
        AppMethodBeat.o(78234);
        return j;
    }

    public final Bitmap a(String str, float f, Context context) {
        AppMethodBeat.i(78235);
        Bitmap a = a(str, f, context, -1);
        AppMethodBeat.o(78235);
        return a;
    }

    public final Bitmap a(String str, float f, Context context, int i) {
        AppMethodBeat.i(78236);
        if (str == null || str.length() <= 0) {
            AppMethodBeat.o(78236);
            return null;
        }
        String trim = str.trim();
        Bitmap bitmap = (Bitmap) this.fEh.ai(trim);
        if (bitmap == null || bitmap.isRecycled()) {
            Bitmap i2 = BackwardSupportUtil.b.i(trim, f);
            if (i2 != null) {
                int b;
                int i3;
                int width = i2.getWidth();
                int height = i2.getHeight();
                if (width >= height) {
                    b = BackwardSupportUtil.b.b(context, (float) this.fEs);
                    i3 = (int) ((((float) height) / ((float) width)) * ((float) b));
                } else {
                    i3 = BackwardSupportUtil.b.b(context, (float) this.fEs);
                    b = (int) ((((float) width) / ((float) height)) * ((float) i3));
                }
                if (b <= 0 || i3 <= 0 || b > 2048 || i3 > 2048) {
                    ab.e("MicroMsg.ImgInfoStorage", "getVideoThumb, error Scale Size %d*%d", new Object[]{Integer.valueOf(b), Integer.valueOf(i3)});
                    com.tencent.mm.plugin.report.service.h.pYm.a(111, 188, 1, false);
                    bitmap = null;
                } else {
                    try {
                        bitmap = Bitmap.createScaledBitmap(i2, b, i3, true);
                    } catch (Exception e) {
                        ab.e("MicroMsg.ImgInfoStorage", "getVideoThumb, Bitmap.createScaledBitmap Exception:%s", new Object[]{e.getMessage()});
                        bitmap = null;
                        com.tencent.mm.plugin.report.service.h.pYm.a(111, 188, 1, false);
                    }
                }
                if (i != -1) {
                    bitmap = d.d(bitmap, i);
                }
                if (i2 != bitmap) {
                    ab.i("MicroMsg.ImgInfoStorage", "[getVideoThumb] bitmap:%s", new Object[]{i2.toString()});
                    i2.recycle();
                }
                ab.d("MicroMsg.ImgInfoStorage", "cached file ".concat(String.valueOf(trim)));
                this.fEh.k(trim, bitmap);
            } else {
                bitmap = i2;
            }
        }
        AppMethodBeat.o(78236);
        return bitmap;
    }

    public final e b(Long l) {
        AppMethodBeat.i(78238);
        e eVar = new e();
        Cursor a = a("ImgInfo2", null, "id=?", new String[]{String.valueOf(l)});
        if (a != null && a.moveToFirst()) {
            eVar.d(a);
        }
        a.close();
        AppMethodBeat.o(78238);
        return eVar;
    }

    private e X(String str, int i) {
        AppMethodBeat.i(78239);
        e eVar = new e();
        Cursor a = a("ImgInfo2", null, "origImgMD5=? AND compressType=?", new String[]{String.valueOf(str), String.valueOf(i)});
        if (a.moveToFirst()) {
            eVar.d(a);
        }
        a.close();
        AppMethodBeat.o(78239);
        return eVar;
    }

    public final List<e> agV() {
        List<e> list = null;
        AppMethodBeat.i(78240);
        Cursor a = this.fni.a(("select * " + " FROM ImgInfo2") + " WHERE iscomplete= 0 AND totalLen != 0 ", null, 0);
        if (a.moveToFirst()) {
            list = new ArrayList();
            do {
                e eVar = new e();
                eVar.d(a);
                e lz = lz((int) eVar.fDy);
                if (lz != null) {
                    if (!(lz.cKK == 0 && lz.fDH == 0)) {
                        list.add(eVar);
                    }
                } else if (!(eVar.cKK == 0 && eVar.fDH == 0)) {
                    list.add(eVar);
                }
            } while (a.moveToNext());
            a.close();
            AppMethodBeat.o(78240);
        } else {
            a.close();
            AppMethodBeat.o(78240);
        }
        return list;
    }

    public final void x(bi biVar) {
        AppMethodBeat.i(78241);
        e w = w(biVar);
        if (w == null || w.fDy == 0) {
            ab.e("MicroMsg.ImgInfoStorage", "deleteByMsg can't find correspond imgInfo");
            AppMethodBeat.o(78241);
            return;
        }
        e.deleteFile(q(w.fDz, "", ""));
        e.deleteFile(q(w.fDE, "", ""));
        e.deleteFile(q(w.fDB, "", ""));
        e.deleteFile(q(w.fDB, "", "") + "hd");
        this.fni.delete("ImgInfo2", "id=?", new String[]{w.fDy});
        if (w.agQ()) {
            w = ly(w.fDJ);
            if (w == null) {
                AppMethodBeat.o(78241);
                return;
            }
            e.deleteFile(q(w.fDz, "", ""));
            e.deleteFile(q(w.fDE, "", ""));
            e.deleteFile(q(w.fDB, "", ""));
            e.deleteFile(q(w.fDB, "", "") + "hd");
            this.fni.delete("ImgInfo2", "id=?", new String[]{w.fDy});
        }
        AppMethodBeat.o(78241);
    }

    public final String d(e eVar) {
        String str = null;
        AppMethodBeat.i(78242);
        if (eVar == null) {
            AppMethodBeat.o(78242);
        } else if (eVar.agQ()) {
            Cursor b = b("ImgInfo2", new String[]{"bigImgPath"}, "id=? and totalLen = offset", new String[]{eVar.fDJ});
            if (b.moveToFirst()) {
                str = b.getString(0);
            }
            b.close();
            AppMethodBeat.o(78242);
        } else {
            AppMethodBeat.o(78242);
        }
        return str;
    }

    public final HashMap<Long, e> a(Long... lArr) {
        AppMethodBeat.i(78243);
        String str = "(";
        int length = lArr.length;
        int i = 0;
        Object obj = 1;
        while (i < length) {
            long longValue = lArr[i].longValue();
            str = str + (obj != null ? Long.valueOf(longValue) : ",".concat(String.valueOf(longValue)));
            i++;
            obj = null;
        }
        Cursor b = b("ImgInfo2", null, "msgSvrId in ".concat(String.valueOf(str + ")")), null);
        HashMap hashMap = new HashMap();
        while (b.moveToNext()) {
            e eVar = new e();
            eVar.d(b);
            hashMap.put(Long.valueOf(eVar.cKK), eVar);
        }
        b.close();
        AppMethodBeat.o(78243);
        return hashMap;
    }

    public final HashMap<Long, e> b(Long... lArr) {
        AppMethodBeat.i(78244);
        String str = "(";
        int length = lArr.length;
        int i = 0;
        Object obj = 1;
        while (i < length) {
            long longValue = lArr[i].longValue();
            str = str + (obj != null ? Long.valueOf(longValue) : ",".concat(String.valueOf(longValue)));
            i++;
            obj = null;
        }
        Cursor b = b("ImgInfo2", null, "msglocalid in ".concat(String.valueOf(str + ")")), null);
        HashMap hashMap = new HashMap();
        while (b.moveToNext()) {
            e eVar = new e();
            eVar.d(b);
            hashMap.put(Long.valueOf(eVar.cKK), eVar);
        }
        b.close();
        AppMethodBeat.o(78244);
        return hashMap;
    }

    public final e ly(int i) {
        AppMethodBeat.i(78245);
        e b = b(Long.valueOf((long) i));
        AppMethodBeat.o(78245);
        return b;
    }

    public final e fI(long j) {
        AppMethodBeat.i(78246);
        e eVar = new e();
        Cursor b = b("ImgInfo2", null, "msgSvrId=?", new String[]{String.valueOf(j)});
        if (b.moveToFirst()) {
            eVar.d(b);
        }
        b.close();
        AppMethodBeat.o(78246);
        return eVar;
    }

    public final e fJ(long j) {
        AppMethodBeat.i(78247);
        e eVar = new e();
        Cursor b = b("ImgInfo2", null, "msglocalid=?", new String[]{String.valueOf(j)});
        if (b.moveToLast()) {
            eVar.d(b);
        }
        b.close();
        AppMethodBeat.o(78247);
        return eVar;
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x002e  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x004d  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0055  */
    public final com.tencent.mm.at.e lz(int r9) {
        /*
        r8 = this;
        r2 = 0;
        r7 = 78248; // 0x131a8 float:1.09649E-40 double:3.86596E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        r0 = "ImgInfo2";
        r1 = 0;
        r3 = "reserved1=?";
        r4 = 1;
        r4 = new java.lang.String[r4];	 Catch:{ Exception -> 0x0035, all -> 0x0051 }
        r5 = 0;
        r6 = java.lang.String.valueOf(r9);	 Catch:{ Exception -> 0x0035, all -> 0x0051 }
        r4[r5] = r6;	 Catch:{ Exception -> 0x0035, all -> 0x0051 }
        r3 = r8.b(r0, r1, r3, r4);	 Catch:{ Exception -> 0x0035, all -> 0x0051 }
        if (r3 == 0) goto L_0x0063;
    L_0x001e:
        r0 = r3.moveToFirst();	 Catch:{ Exception -> 0x005e }
        if (r0 == 0) goto L_0x0063;
    L_0x0024:
        r0 = new com.tencent.mm.at.e;	 Catch:{ Exception -> 0x005e }
        r0.<init>();	 Catch:{ Exception -> 0x005e }
        r0.d(r3);	 Catch:{ Exception -> 0x0061 }
    L_0x002c:
        if (r3 == 0) goto L_0x0031;
    L_0x002e:
        r3.close();
    L_0x0031:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        return r0;
    L_0x0035:
        r1 = move-exception;
        r0 = r2;
        r3 = r2;
    L_0x0038:
        r2 = "MicroMsg.ImgInfoStorage";
        r4 = "Exception :%s";
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ all -> 0x005c }
        r6 = 0;
        r1 = r1.toString();	 Catch:{ all -> 0x005c }
        r5[r6] = r1;	 Catch:{ all -> 0x005c }
        com.tencent.mm.sdk.platformtools.ab.w(r2, r4, r5);	 Catch:{ all -> 0x005c }
        if (r3 == 0) goto L_0x0031;
    L_0x004d:
        r3.close();
        goto L_0x0031;
    L_0x0051:
        r0 = move-exception;
        r3 = r2;
    L_0x0053:
        if (r3 == 0) goto L_0x0058;
    L_0x0055:
        r3.close();
    L_0x0058:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x005c:
        r0 = move-exception;
        goto L_0x0053;
    L_0x005e:
        r1 = move-exception;
        r0 = r2;
        goto L_0x0038;
    L_0x0061:
        r1 = move-exception;
        goto L_0x0038;
    L_0x0063:
        r0 = r2;
        goto L_0x002c;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.at.g.lz(int):com.tencent.mm.at.e");
    }

    public final Cursor a(String str, String[] strArr, String str2, String[] strArr2) {
        AppMethodBeat.i(78249);
        Cursor query = this.fni.query(str, strArr, str2, strArr2, null, null, null);
        AppMethodBeat.o(78249);
        return query;
    }

    private Cursor b(String str, String[] strArr, String str2, String[] strArr2) {
        AppMethodBeat.i(78250);
        Cursor a = a(str, strArr, str2, strArr2);
        AppMethodBeat.o(78250);
        return a;
    }

    public final long a(String str, int i, int i2, PString pString, PInt pInt, PInt pInt2) {
        AppMethodBeat.i(78251);
        long a = a(str, i, i2, 0, pString, pInt, pInt2, "", "", -1, null, null, null);
        AppMethodBeat.o(78251);
        return a;
    }

    public final long a(String str, int i, int i2, int i3, PString pString, PInt pInt, PInt pInt2, String str2, String str3, long j, com.tencent.mm.a.b bVar, com.tencent.mm.a.b bVar2, n.a aVar) {
        AppMethodBeat.i(78252);
        long a = a(str, null, i, i2, i3, pString, pInt, pInt2, str2, str3, j, bVar, bVar2, aVar);
        AppMethodBeat.o(78252);
        return a;
    }

    /* Access modifiers changed, original: final */
    public final long a(String str, String str2, int i, int i2, int i3, PString pString, PInt pInt, PInt pInt2, String str3, String str4, long j, com.tencent.mm.a.b bVar, com.tencent.mm.a.b bVar2, n.a aVar) {
        AppMethodBeat.i(78253);
        long e;
        if (i == 0) {
            e a = a(str, 0, true, i2, i3, pInt, pInt2, pString.value, j, str3, str4, bVar2, bVar, aVar);
            if (a == null) {
                AppMethodBeat.o(78253);
                return -1;
            }
            pString.value = a.fDB;
            if (e.ct(str2)) {
                String IP = ((com.tencent.mm.plugin.emoji.b.c) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.emoji.b.c.class)).IP(a.fDz);
                e.y(str2, q(IP, "", ""));
                a.sf(IP);
            }
            e = e(a);
            if (e != -1) {
                doNotify();
            }
            AppMethodBeat.o(78253);
            return e;
        } else if (i == 1) {
            e a2 = a(str, 1, true, i2, i3, pInt, pInt2, pString.value, j, str3, str4, bVar2, bVar, aVar);
            if (a2 == null) {
                AppMethodBeat.o(78253);
                return -1;
            }
            pString.value = a2.fDB;
            a2.fG(0);
            a2.eI(0);
            a2.lt((int) e.asZ(q(a2.fDz, "", "")));
            e a3 = a(str, 0, false, i2, i3, new PInt(), new PInt(), "", j, str3, str4, bVar2, bVar, aVar);
            if (a3 == null) {
                AppMethodBeat.o(78253);
                return 0;
            }
            a3.sb(a2.fDz);
            a3.sd(a2.fDB);
            a3.sc(a2.fDA);
            a3.lt(0);
            long iV = this.fni.iV(Thread.currentThread().getId());
            a3.lu((int) e(a2));
            e = e(a3);
            ab.d("MicroMsg.ImgInfoStorage", "summersafecdn insert ret[%d],  getLocalId[%d], getMsgLocalId[%d], getBigImgPath[%s], getMidImgPath[%s], getTotalLen[%d]", new Object[]{Long.valueOf(e), Long.valueOf(a3.fDy), Long.valueOf(a3.fDH), a3.fDz, a3.fDA, Integer.valueOf(a3.frO)});
            if (iV > 0) {
                com.tencent.mm.kernel.g.RP().eJN.mB(iV);
            }
            if (e != -1) {
                doNotify();
            }
            AppMethodBeat.o(78253);
            return e;
        } else {
            Assert.assertTrue(false);
            AppMethodBeat.o(78253);
            return 0;
        }
    }

    public final long e(e eVar) {
        AppMethodBeat.i(78254);
        long insert = this.fni.insert("ImgInfo2", "id", eVar.Hl());
        if (insert != -1) {
            eVar.agS();
        }
        ab.i("MicroMsg.ImgInfoStorage", "insert img, result:%d, localId:%d, msgLocalId:%d, msgSvrId:%d, hdID:%d", new Object[]{Long.valueOf(insert), Long.valueOf(eVar.fDy), Long.valueOf(eVar.fDH), Long.valueOf(eVar.cKK), Integer.valueOf(eVar.fDJ)});
        AppMethodBeat.o(78254);
        return insert;
    }

    public final String sl(String str) {
        AppMethodBeat.i(78255);
        String b = b("THUMBNAIL_DIRPATH://th_".concat(String.valueOf(str)), "th_", "", false);
        AppMethodBeat.o(78255);
        return b;
    }

    public final String sm(String str) {
        AppMethodBeat.i(78256);
        String b = b(str, "", ".jpg", false);
        AppMethodBeat.o(78256);
        return b;
    }

    private String Y(String str, int i) {
        AppMethodBeat.i(78257);
        e X = X(f.sh(str), i);
        if (!bo.isNullOrNil(X.fDB)) {
            String I = I(X.fDB, true);
            if (e.ct(I)) {
                AppMethodBeat.o(78257);
                return I;
            }
        }
        AppMethodBeat.o(78257);
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0072  */
    private android.graphics.Bitmap a(java.lang.String r7, int r8, int r9, com.tencent.mm.pointers.PInt r10, com.tencent.mm.pointers.PInt r11, boolean r12, java.lang.String r13, com.tencent.mm.a.b r14) {
        /*
        r6 = this;
        r0 = 78258; // 0x131b2 float:1.09663E-40 double:3.86646E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = "MicroMsg.ImgInfoStorage";
        r1 = "summersafecdn getPreSendBitmap origPath[%s], compressType[%d],needSave[%b], stack[%s], thumbPath: %s";
        r2 = 5;
        r2 = new java.lang.Object[r2];
        r3 = 0;
        r2[r3] = r7;
        r3 = 1;
        r4 = java.lang.Integer.valueOf(r8);
        r2[r3] = r4;
        r3 = 2;
        r4 = java.lang.Boolean.valueOf(r12);
        r2[r3] = r4;
        r3 = 3;
        r4 = com.tencent.mm.sdk.platformtools.bo.dpG();
        r2[r3] = r4;
        r3 = 4;
        r2[r3] = r13;
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1, r2);
        r0 = r6.fEh;
        r1 = com.tencent.mm.at.f.sh(r7);
        r0 = r0.ai(r1);
        r0 = (android.graphics.Bitmap) r0;
        r1 = 0;
        if (r0 == 0) goto L_0x0042;
    L_0x003c:
        r2 = r0.isRecycled();
        if (r2 == 0) goto L_0x0108;
    L_0x0042:
        r1 = r6.Y(r7, r8);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r1);
        if (r2 != 0) goto L_0x010b;
    L_0x004c:
        r2 = "hd";
        r2 = r1.endsWith(r2);
        if (r2 == 0) goto L_0x00d3;
    L_0x0055:
        r2 = r1;
    L_0x0056:
        if (r0 == 0) goto L_0x005e;
    L_0x0058:
        r3 = r0.isRecycled();
        if (r3 == 0) goto L_0x0108;
    L_0x005e:
        r0 = com.tencent.mm.sdk.platformtools.ad.amy(r2);
        r3 = com.tencent.mm.sdk.platformtools.BackwardSupportUtil.ExifHelper.bJ(r2);
        r4 = r9 * 90;
        r3 = r3 + r4;
        if (r0 <= 0) goto L_0x00da;
    L_0x006b:
        r0 = com.tencent.mm.sdk.platformtools.ad.ar(r2, r0, r3);
        r2 = r0;
    L_0x0070:
        if (r2 == 0) goto L_0x00cc;
    L_0x0072:
        r0 = r6.fEh;
        r3 = com.tencent.mm.at.f.sh(r7);
        r0.k(r3, r2);
        r0 = r2.getWidth();
        r10.value = r0;
        r0 = r2.getHeight();
        r11.value = r0;
        if (r12 == 0) goto L_0x00cc;
    L_0x0089:
        if (r1 != 0) goto L_0x0106;
    L_0x008b:
        r0 = r6.Y(r7, r8);
    L_0x008f:
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r1 != 0) goto L_0x00a9;
    L_0x0095:
        r1 = "hd";
        r1 = r0.endsWith(r1);
        if (r1 == 0) goto L_0x00a9;
    L_0x009e:
        r1 = 0;
        r3 = r0.length();
        r3 = r3 + -2;
        r0 = r0.substring(r1, r3);
    L_0x00a9:
        if (r14 == 0) goto L_0x00ae;
    L_0x00ab:
        r14.getFile();
    L_0x00ae:
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r1 != 0) goto L_0x00e4;
    L_0x00b4:
        r1 = com.tencent.mm.vfs.e.ct(r0);
        if (r1 == 0) goto L_0x00e4;
    L_0x00ba:
        com.tencent.mm.vfs.e.y(r0, r13);
        r1 = "MicroMsg.ImgInfoStorage";
        r3 = "copy from old thumbPath %s";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r4[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r1, r3, r4);
    L_0x00cc:
        r0 = 78258; // 0x131b2 float:1.09663E-40 double:3.86646E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        return r2;
    L_0x00d3:
        r0 = com.tencent.mm.sdk.platformtools.d.aml(r1);
        r2 = r7;
        goto L_0x0056;
    L_0x00da:
        r0 = 120; // 0x78 float:1.68E-43 double:5.93E-322;
        r3 = 120; // 0x78 float:1.68E-43 double:5.93E-322;
        r0 = com.tencent.mm.sdk.platformtools.d.ao(r2, r0, r3);
        r2 = r0;
        goto L_0x0070;
    L_0x00e4:
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);	 Catch:{ IOException -> 0x00ff }
        if (r1 != 0) goto L_0x0101;
    L_0x00ea:
        r1 = "hd";
        r0 = r0.endsWith(r1);	 Catch:{ IOException -> 0x00ff }
        if (r0 == 0) goto L_0x0101;
    L_0x00f3:
        r0 = 1;
    L_0x00f4:
        if (r0 == 0) goto L_0x0103;
    L_0x00f6:
        r0 = 80;
    L_0x00f8:
        r1 = android.graphics.Bitmap.CompressFormat.JPEG;	 Catch:{ IOException -> 0x00ff }
        r3 = 0;
        com.tencent.mm.sdk.platformtools.d.a(r2, r0, r1, r13, r3);	 Catch:{ IOException -> 0x00ff }
        goto L_0x00cc;
    L_0x00ff:
        r0 = move-exception;
        goto L_0x00cc;
    L_0x0101:
        r0 = 0;
        goto L_0x00f4;
    L_0x0103:
        r0 = 90;
        goto L_0x00f8;
    L_0x0106:
        r0 = r1;
        goto L_0x008f;
    L_0x0108:
        r2 = r0;
        goto L_0x0070;
    L_0x010b:
        r2 = r7;
        goto L_0x0056;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.at.g.a(java.lang.String, int, int, com.tencent.mm.pointers.PInt, com.tencent.mm.pointers.PInt, boolean, java.lang.String, com.tencent.mm.a.b):android.graphics.Bitmap");
    }

    public final String a(String str, int i, PString pString, PInt pInt, PInt pInt2, int i2, String str2) {
        AppMethodBeat.i(78259);
        if (e.ct(str)) {
            Object obj;
            if (bo.isNullOrNil(str2)) {
                str2 = agW();
            }
            String concat = "THUMBNAIL_DIRPATH://th_".concat(String.valueOf(str2));
            String b = b(concat, "th_", "", false);
            pString.value = concat;
            long yz = bo.yz();
            Bitmap a = a(str, i, i2, pInt, pInt2, false, null, null);
            concat = (String) this.fEi.get(str);
            if (concat != null) {
                obj = (Bitmap) this.fEh.get(concat);
            } else {
                obj = null;
            }
            if (obj == null || obj.isRecycled()) {
                obj = a(str, true, a.getDensity(ah.getContext()), false, false, true, 2130838182, true, a);
                this.fEi.put(str, b);
            }
            if (obj != null) {
                this.fEh.k(b, obj);
            }
            ab.i("MicroMsg.ImgInfoStorage", "test decode thumb img:%d", new Object[]{Long.valueOf(bo.az(yz))});
            AppMethodBeat.o(78259);
            return str2;
        }
        ab.e("MicroMsg.ImgInfoStorage", "file not exit:%s", new Object[]{str});
        AppMethodBeat.o(78259);
        return null;
    }

    public static synchronized String agW() {
        String sn;
        synchronized (g.class) {
            AppMethodBeat.i(78260);
            sn = sn("");
            AppMethodBeat.o(78260);
        }
        return sn;
    }

    private static synchronized String sn(String str) {
        synchronized (g.class) {
            AppMethodBeat.i(78261);
            long currentTimeMillis = System.currentTimeMillis();
            if (fEt == currentTimeMillis) {
                try {
                    Thread.sleep(1);
                } catch (InterruptedException e) {
                }
                currentTimeMillis = System.currentTimeMillis();
            }
            fEt = currentTimeMillis;
            ab.i("MicroMsg.ImgInfoStorage", "generateMd5: %s, %s", new Object[]{com.tencent.mm.a.g.x((str + currentTimeMillis).getBytes()), Long.valueOf(currentTimeMillis)});
            AppMethodBeat.o(78261);
        }
        return r3;
    }

    private String a(String str, int i, boolean z, int i2, PInt pInt, PInt pInt2, String str2, String str3, com.tencent.mm.a.b bVar) {
        AppMethodBeat.i(78262);
        ab.i("MicroMsg.ImgInfoStorage", "genThumbImg, orig:%s", new Object[]{str});
        if (e.ct(str)) {
            Object str32;
            if (bo.isNullOrNil(str32)) {
                str32 = agW();
            }
            String concat = "THUMBNAIL_DIRPATH://th_".concat(String.valueOf(str32));
            String b = b(concat, "th_", "", false);
            if (bVar == null) {
                b = q(concat, "th_", "");
            }
            if (z) {
                if (bo.isNullOrNil(str2) || !e.ct(str2)) {
                    long yz = bo.yz();
                    a(str, i, i2, pInt, pInt2, true, b, bVar);
                    if (e.ct(b)) {
                        com.tencent.mm.plugin.report.service.h.pYm.e(10921, new Object[]{Long.valueOf(e.asZ(b)), Long.valueOf(e.asZ(str)), Integer.valueOf(90), Long.valueOf(bo.az(yz))});
                    } else {
                        ab.e("MicroMsg.ImgInfoStorage", " thumbImg not exits");
                    }
                } else {
                    e.y(str2, b);
                }
                ab.d("MicroMsg.ImgInfoStorage", "insert: thumbName = ".concat(String.valueOf(concat)));
            }
            AppMethodBeat.o(78262);
            return concat;
        }
        ab.e("MicroMsg.ImgInfoStorage", "file not exit:%s", new Object[]{str});
        AppMethodBeat.o(78262);
        return null;
    }

    public final String a(String str, String str2, int i, boolean z, PString pString, PString pString2, PString pString3, PString pString4, String str3, com.tencent.mm.a.b bVar) {
        String q;
        String str4;
        int i2;
        int i3;
        int indexOf;
        int i4;
        boolean z2;
        boolean z3;
        int i5;
        AppMethodBeat.i(78263);
        if (bo.isNullOrNil(str3)) {
            str3 = sn(str);
            ab.i("MicroMsg.ImgInfoStorage", "generateMd5: %s, %s", new Object[]{str3, str});
        }
        String b = b(str3, "", ".jpg", false);
        if (bVar == null) {
            b = b(str3, "", ".jpg", true);
        }
        ab.i("MicroMsg.ImgInfoStorage", "fullPath is %s", new Object[]{b});
        if (e.asZ(b) > 0) {
            ab.i("MicroMsg.ImgInfoStorage", "genBigImg file already exist!");
            com.tencent.mm.plugin.report.service.h.pYm.k(944, 8, 1);
        }
        pString.value = str3;
        pString2.value = b;
        if (z && !bo.isNullOrNil(str2) && i == 0) {
            e X = X(str2, i);
            if (!bo.isNullOrNil(X.fDz)) {
                q = q(X.fDz, "", "");
                if (bVar != null) {
                    bVar.getFile();
                }
                e.y(q, b);
                if (e.asZ(q) <= 0) {
                    ab.w("MicroMsg.ImgInfoStorage", "ERR: copy old match file failed ,:%s ,%s ", new Object[]{str, b});
                } else if (bo.isNullOrNil(X.fDK)) {
                    AppMethodBeat.o(78263);
                    return null;
                } else {
                    str4 = X.fDK;
                    AppMethodBeat.o(78263);
                    return str4;
                }
            }
        }
        try {
            i2 = at.isWifi(ah.getContext()) ? bo.getInt(((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("CompressPicLevelForWifi"), 60) : at.is2G(ah.getContext()) ? bo.getInt(((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("CompressPicLevelFor2G"), 40) : at.is3G(ah.getContext()) ? bo.getInt(((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("CompressPicLevelFor3G"), 40) : bo.getInt(((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("CompressPicLevelFor4G"), 60);
        } catch (Exception e) {
            i2 = 0;
        }
        ab.i("MicroMsg.ImgInfoStorage", "genBigImg CompressPicLevel-level:%d", new Object[]{Integer.valueOf(i2)});
        if (i2 <= 10 || i2 > 100) {
            i3 = 70;
        } else {
            i3 = i2;
        }
        int i6 = 0;
        int i7 = 1080;
        try {
            if (at.isWifi(ah.getContext())) {
                str4 = ((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("CompressResolutionForWifi");
            } else if (at.is2G(ah.getContext())) {
                str4 = ((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("CompressResolutionFor2G");
            } else if (at.is3G(ah.getContext())) {
                str4 = ((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("CompressResolutionFor3G");
            } else {
                str4 = ((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("CompressResolutionFor4G");
            }
            indexOf = str4.indexOf("*");
            if (-1 != indexOf) {
                i6 = Integer.valueOf(str4.substring(0, indexOf)).intValue();
                i2 = Integer.valueOf(str4.substring(indexOf + 1)).intValue();
            } else {
                i2 = 1080;
            }
            i7 = i2;
        } catch (Exception e2) {
        }
        try {
            i4 = bo.getInt(((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("UseOptImage"), 0);
            com.tencent.mm.kernel.g.RN();
            if ((((int) (new p(com.tencent.mm.kernel.a.QF()).longValue() / 100)) % 100) + 1 <= i4) {
                z2 = true;
            } else {
                z2 = false;
            }
            ab.i("MicroMsg.ImgInfoStorage", "fromPathToImgInfo useOpt:%b opt:%d uin:(%d,%d) debug:%b sdk:%d", new Object[]{Boolean.valueOf(z2), Integer.valueOf(i4), Long.valueOf(new p(com.tencent.mm.kernel.a.QF()).longValue()), Long.valueOf(new p(com.tencent.mm.kernel.a.QF()).longValue() / 100), Boolean.valueOf(com.tencent.mm.sdk.a.b.dnO()), Integer.valueOf(VERSION.SDK_INT)});
        } catch (Exception e3) {
            ab.e("MicroMsg.ImgInfoStorage", "get useopt :%s", new Object[]{bo.l(e3)});
            z2 = false;
        }
        if (com.tencent.mm.sdk.a.b.dnO()) {
            z2 = true;
        }
        if (com.tencent.mm.compatible.util.d.fP(16)) {
            z3 = false;
        } else {
            z3 = z2;
        }
        ab.i("MicroMsg.ImgInfoStorage", "genBigImg configLong:%d configShort:%d", new Object[]{Integer.valueOf(i6), Integer.valueOf(i7)});
        if (i6 <= 0 && i7 <= 0) {
            i6 = 0;
            i7 = 1080;
        } else if (i7 >= 2160) {
            i6 = 0;
            i7 = 1080;
        } else if (i7 <= 0 && i6 > 3240) {
            i6 = 1620;
            i7 = 0;
        }
        i2 = bo.getInt(((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("PicCompressAvoidanceActiveSizeNormal"), 100);
        if (i2 <= 0) {
            i2 = 100;
        }
        int i8 = i2 * 1024;
        i2 = bo.getInt(((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("PicCompressAvoidanceRemainderPerc"), 10);
        if (i2 <= 0 || i2 >= 100) {
            i5 = 10;
        } else {
            i5 = i2;
        }
        int queryQuality = MMNativeJpeg.queryQuality(str);
        Object obj = 1;
        if (queryQuality != 0 && queryQuality <= i3) {
            obj = null;
        }
        ab.d("MicroMsg.ImgInfoStorage", "genBigImg insert : original img path: %s, fullpath:%s, needimg:%b,comresstype:%d Avoidance[%d,%d] ", new Object[]{str, b, Boolean.valueOf(z), Integer.valueOf(i), Integer.valueOf(i8), Integer.valueOf(i5)});
        if (z) {
            Options amj = d.amj(str);
            if (amj == null || amj.outWidth == 0 || amj.outHeight == 0) {
                q = "MicroMsg.ImgInfoStorage";
                String str5 = "genBigImg getImageOptions error:%s, origOptions_null:%b";
                Object[] objArr = new Object[2];
                objArr[0] = str;
                objArr[1] = Boolean.valueOf(amj == null);
                ab.w(q, str5, objArr);
                AppMethodBeat.o(78263);
                return null;
            }
            Object obj2;
            long j;
            boolean z4;
            int i9 = amj.outWidth;
            int i10 = amj.outHeight;
            indexOf = amj.outWidth > amj.outHeight ? amj.outWidth : amj.outHeight;
            int i11 = amj.outWidth < amj.outHeight ? amj.outWidth : amj.outHeight;
            int i12;
            if (i7 > 0) {
                i12 = i11 / i7;
                i6 = amj.outHeight > i7 ? (amj.outHeight * i7) / i11 : amj.outHeight;
                i7 = amj.outWidth > i7 ? (i7 * amj.outWidth) / i11 : amj.outWidth;
                i11 = i6;
                indexOf = i7;
            } else {
                i12 = indexOf / i6;
                i7 = amj.outHeight > i6 ? (amj.outHeight * i6) / indexOf : amj.outHeight;
                if (amj.outWidth > i6) {
                    i6 = (i6 * amj.outWidth) / indexOf;
                } else {
                    i6 = amj.outWidth;
                }
                i11 = i7;
                indexOf = i6;
            }
            if (i11 * indexOf > 10240000) {
                double sqrt = Math.sqrt(1.024E7d / ((double) (i11 * indexOf)));
                i6 = (int) (((double) i11) / sqrt);
                indexOf = (int) (((double) indexOf) / sqrt);
            } else {
                i6 = i11;
            }
            ab.i("MicroMsg.ImgInfoStorage", "genBigImg [%d, %d] -> target:[h,w]:[%d,%d]", new Object[]{Integer.valueOf(amj.outHeight), Integer.valueOf(amj.outWidth), Integer.valueOf(i6), Integer.valueOf(indexOf)});
            q = amj != null ? amj.outMimeType : "";
            long asZ = e.asZ(str);
            boolean IsJpegFile = MMNativeJpeg.IsJpegFile(str);
            if (q == null || !(q.endsWith("jpeg") || q.endsWith("jpg") || q.endsWith("bmp") || q.endsWith("png") || q.endsWith("gif"))) {
                obj2 = null;
            } else {
                obj2 = 1;
            }
            if (i != 0 || ((obj == null && asZ <= 204800 && (amj == null || i12 <= 0)) || asZ <= ((long) i8))) {
                ab.i("MicroMsg.ImgInfoStorage", "summersafecdn createThumbNail big pic no compress, calculatedQuality:%d, origLen:%d oriWidth:%d oriHeight:%d", new Object[]{Integer.valueOf(queryQuality), Long.valueOf(asZ), Integer.valueOf(i9), Integer.valueOf(i10)});
                if (obj2 != null) {
                    e.y(str, b);
                } else {
                    if (d.a(false, str, i9, i10, CompressFormat.JPEG, 100, b, bVar) != 1) {
                        com.tencent.mm.plugin.report.service.h.pYm.a(111, 187, 1, false);
                        ab.e("MicroMsg.ImgInfoStorage", "createThumbNail big pic fail (for cvrt to jpg): %s", new Object[]{str});
                        AppMethodBeat.o(78263);
                        return null;
                    }
                }
                i8 = 38;
                j = 0;
                com.tencent.mm.al.f.afx();
                if (!com.tencent.mm.al.b.lg(256)) {
                    ab.d("MicroMsg.ImgInfoStorage", "summersafecdn not use CDNNEWPROTO");
                } else if (i == 1) {
                    int i13;
                    int i14;
                    int i15 = 0;
                    try {
                        i15 = Integer.valueOf(((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("CompressMidPicLevel")).intValue();
                    } catch (Exception e4) {
                    }
                    try {
                        i2 = Integer.valueOf(((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("CompressMidPicSize")).intValue();
                    } catch (Exception e5) {
                        i2 = 0;
                    }
                    ab.i("MicroMsg.ImgInfoStorage", "summersafecdn CompressMidPicLevel-level:%d size:%d", new Object[]{Integer.valueOf(i15), Integer.valueOf(i2)});
                    if (i15 <= 10 || i15 > 100) {
                        i15 = 52;
                    }
                    if (i2 <= 0 || i2 > 800) {
                        i7 = 800;
                    } else {
                        i7 = i2;
                    }
                    if (indexOf > i7) {
                        i13 = i7;
                    } else {
                        i13 = indexOf;
                    }
                    if (i6 > i7) {
                        i14 = i7;
                    } else {
                        i14 = i6;
                    }
                    z2 = true;
                    if (queryQuality != 0 && queryQuality <= i15) {
                        z2 = false;
                    }
                    if (z2 || asZ > 800 || (amj != null && (i10 > i7 || i9 > i7))) {
                        pString3.value = sn(str);
                        pString4.value = b(pString3.value, "", ".jpg", false);
                        i7 = d.a(false, str, i14, i13, CompressFormat.JPEG, i15, pString4.value, bVar);
                        ab.d("MicroMsg.ImgInfoStorage", "summersafecdn pMidImgName[%s], pMidImgPath[%s], useOpt[%b], ret[%b] [%d, %d]", new Object[]{pString3.value, pString4.value, Boolean.FALSE, Integer.valueOf(i7), Integer.valueOf(i14), Integer.valueOf(i13)});
                        z4 = false;
                    } else {
                        pString3.value = pString.value;
                        pString4.value = pString2.value;
                        ab.d("MicroMsg.ImgInfoStorage", "summersafecdn not need to compress mid pic needCompressByQuality[%b], [%d, %d; %d, %d] use big pMidImgName[%s], pMidImgPath[%s]", new Object[]{Boolean.valueOf(z2), Integer.valueOf(i10), Integer.valueOf(i9), Integer.valueOf(i14), Integer.valueOf(i13), pString3.value, pString4.value});
                        i7 = 1;
                        z4 = false;
                    }
                }
                i7 = 1;
                z4 = false;
            } else {
                if (queryQuality < 55 || !IsJpegFile) {
                    z2 = false;
                } else {
                    z2 = z3;
                }
                if (z2) {
                    i8 = 18;
                } else {
                    i8 = 8;
                }
                long anU = bo.anU();
                i7 = d.a(z2, str, i6, indexOf, CompressFormat.JPEG, i3, b, bVar);
                if (i7 == 1 || !z2) {
                    z4 = z2;
                } else {
                    i8 = 28;
                    i7 = d.a(false, str, i6, indexOf, CompressFormat.JPEG, i3, b, bVar);
                    z4 = false;
                }
                ab.i("MicroMsg.ImgInfoStorage", "genBigImg check use orig , orig:%d aftercomp:%d diff percent:[%d] picCompressAvoidanceRemainderPerc:%d  %s ", new Object[]{Long.valueOf(asZ), Long.valueOf(e.asZ(b)), Long.valueOf((100 * e.asZ(b)) / asZ), Integer.valueOf(i5), b});
                if (obj2 != null && (asZ - r10) * 100 < ((long) i5) * asZ) {
                    e.y(str, b);
                    z4 = false;
                    i8 = 48;
                    i7 = 1;
                }
                j = bo.anU() - anU;
                if (i7 != 1) {
                    com.tencent.mm.plugin.report.service.h.pYm.a(111, 187, 1, false);
                    ab.e("MicroMsg.ImgInfoStorage", "createThumbNail big pic fail: %s", new Object[]{str});
                    AppMethodBeat.o(78263);
                    return null;
                }
            }
            Options amj2 = d.amj(b);
            i5 = amj2 != null ? amj2.outWidth : -1;
            indexOf = amj2 != null ? amj2.outHeight : -1;
            long asZ2 = e.asZ(b);
            int queryQuality2 = MMNativeJpeg.queryQuality(b);
            boolean IsJpegFile2 = MMNativeJpeg.IsJpegFile(b);
            com.tencent.mm.plugin.report.service.h hVar = com.tencent.mm.plugin.report.service.h.pYm;
            Integer[] numArr = new Object[13];
            numArr[0] = Integer.valueOf(i7);
            numArr[1] = Long.valueOf(j);
            numArr[2] = Integer.valueOf(i8);
            numArr[3] = Integer.valueOf(IsJpegFile ? 1 : 2);
            numArr[4] = Long.valueOf(asZ);
            numArr[5] = Integer.valueOf(i9);
            numArr[6] = Integer.valueOf(i10);
            numArr[7] = Integer.valueOf(i);
            numArr[8] = Long.valueOf(asZ2);
            numArr[9] = Integer.valueOf(i5);
            numArr[10] = Integer.valueOf(indexOf);
            numArr[11] = Integer.valueOf(queryQuality);
            numArr[12] = Integer.valueOf(queryQuality2);
            hVar.e(11713, numArr);
            ab.i("MicroMsg.ImgInfoStorage", "genBigImg ret:%d useOpt:%b scene:%d [%d,%d,%d,%d,%b]->[%d,%d,%d,%d,%b] [%s]->[%s]", new Object[]{Integer.valueOf(i7), Boolean.valueOf(z4), Integer.valueOf(i8), Integer.valueOf(i9), Integer.valueOf(i10), Integer.valueOf(queryQuality), Long.valueOf(asZ), Boolean.valueOf(IsJpegFile), Integer.valueOf(i5), Integer.valueOf(indexOf), Integer.valueOf(queryQuality2), Long.valueOf(asZ2), Boolean.valueOf(IsJpegFile2), str, b});
            if (i == 0 && asZ2 >= 40960 && IsJpegFile2 && !MMNativeJpeg.isProgressive(b)) {
                str4 = ((com.tencent.mm.plugin.zero.b.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.zero.b.a.class)).Nu().getValue("EnableCDNUploadImg");
                if (!bo.isNullOrNil(str4) && str4.equals("1")) {
                    boolean z5;
                    j = bo.anU();
                    if (z4) {
                        i4 = 19;
                        String str6 = b + ".prog";
                        e.y(b, str6);
                        z2 = (bo.isNullOrNil(str6) || bo.isNullOrNil(b) || !new File(str6).exists()) ? false : MMJpegOptim.convertToProgressive(str6, b, i3) == 0;
                        e.deleteFile(str6);
                        if (z2) {
                            z5 = z2;
                        } else {
                            z5 = MMNativeJpeg.convertToProgressive(b, i3);
                            i4 = 29;
                        }
                    } else {
                        i4 = 9;
                        z5 = MMNativeJpeg.convertToProgressive(b, i3);
                    }
                    j = bo.anU() - j;
                    long asZ3 = e.asZ(b);
                    com.tencent.mm.plugin.report.service.h hVar2 = com.tencent.mm.plugin.report.service.h.pYm;
                    Integer[] numArr2 = new Object[14];
                    numArr2[0] = Integer.valueOf(z5 ? 1 : -1);
                    numArr2[1] = Long.valueOf(j);
                    numArr2[2] = Integer.valueOf(i4);
                    numArr2[3] = Integer.valueOf(IsJpegFile ? 1 : 2);
                    numArr2[4] = Long.valueOf(asZ);
                    numArr2[5] = Integer.valueOf(i9);
                    numArr2[6] = Integer.valueOf(i10);
                    numArr2[7] = Integer.valueOf(i);
                    numArr2[8] = Long.valueOf(asZ2);
                    numArr2[9] = Integer.valueOf(i5);
                    numArr2[10] = Integer.valueOf(indexOf);
                    numArr2[11] = Integer.valueOf(queryQuality);
                    numArr2[12] = Integer.valueOf(queryQuality2);
                    numArr2[13] = Long.valueOf(asZ3);
                    hVar2.e(11713, numArr2);
                    ab.i("MicroMsg.ImgInfoStorage", "genBigImg PROGRESS ret:%d progret:%b size:%d useOpt:%b scene:%d [%d,%d,%d,%d,%b]->[%d,%d,%d,%d,%b] [%s]->[%s]", new Object[]{Integer.valueOf(i7), Boolean.valueOf(z5), Long.valueOf(asZ3), Boolean.valueOf(z4), Integer.valueOf(i4), Integer.valueOf(i9), Integer.valueOf(i10), Integer.valueOf(queryQuality), Long.valueOf(asZ), Boolean.valueOf(IsJpegFile), Integer.valueOf(i5), Integer.valueOf(indexOf), Integer.valueOf(queryQuality2), Long.valueOf(asZ2), Boolean.valueOf(IsJpegFile2), str, b});
                    if (!z5) {
                        com.tencent.mm.plugin.report.service.h.pYm.a(111, 186, 1, false);
                        ab.e("MicroMsg.ImgInfoStorage", "genBigImg convert to progressive failed %s", new Object[]{b});
                    }
                }
            }
        }
        AppMethodBeat.o(78263);
        return null;
    }

    private e a(String str, int i, boolean z, int i2, int i3, PInt pInt, PInt pInt2, String str2, long j, String str3, String str4, com.tencent.mm.a.b bVar, com.tencent.mm.a.b bVar2, n.a aVar) {
        AppMethodBeat.i(78264);
        if (e.ct(str)) {
            PString pString;
            PString pString2;
            PString pString3;
            String a;
            String sh = f.sh(str);
            String a2 = a(str, i, z, i3, pInt, pInt2, str2, str3, bVar);
            if (aVar == null || aVar.fDC != i) {
                com.tencent.mm.a.b bVar3;
                String str5;
                if (aVar == null || aVar.fDC == i) {
                    bVar3 = bVar2;
                    str5 = str4;
                } else {
                    bVar3 = null;
                    str5 = null;
                }
                pString = new PString();
                pString2 = new PString();
                pString3 = new PString();
                a = a(str, sh, i, z, pString, pString2, pString3, new PString(), str5, bVar3);
                ab.i("MicroMsg.ImgInfoStorage", "summersafecdn user change CompressType path %s, source:%d, compressType:%d, pMidImgName[%s], pMidImgPath[%s]", new Object[]{str, Integer.valueOf(i2), Integer.valueOf(i), pString3.value, r10.value});
            } else {
                n.a.a ahe = aVar.ahe();
                pString = ahe.fFU;
                pString2 = ahe.fFV;
                a = ahe.fDK;
                pString3 = ahe.fFW;
                PString pString4 = ahe.fFX;
                ab.i("MicroMsg.ImgInfoStorage", "summersafecdn found CompressType path %s, source:%d, compressType:%d, pMidImgName[%s], pMidImgPath[%s]", new Object[]{str, Integer.valueOf(i2), Integer.valueOf(i), pString3.value, pString4.value});
            }
            e eVar = new e();
            eVar.bJt = -1;
            eVar.fH(agU());
            eVar.fG(j);
            if (!bo.isNullOrNil(a)) {
                eVar.se(a);
            }
            eVar.lw(0);
            eVar.setSource(i2);
            if (i2 == 4) {
                if (str.startsWith(aa.Ya())) {
                    eVar.lv(3);
                } else {
                    eVar.lv(2);
                }
            } else {
                eVar.lv(1);
            }
            if (z) {
                eVar.sb(pString.value + ".jpg");
                if (!bo.isNullOrNil(pString3.value)) {
                    eVar.sc(pString3.value + ".jpg");
                }
                if (bo.isNullOrNil(eVar.fDB)) {
                    eVar.sd(a2);
                }
                eVar.lt((int) e.asZ(pString2.value));
                if (eVar.frO == 0) {
                    ab.i("MicroMsg.ImgInfoStorage", "thumb file totlen is 0 %s", new Object[]{pString2.value});
                }
                eVar.sa(sh);
            }
            eVar.ls((int) bo.anT());
            eVar.lx(i);
            ab.d("MicroMsg.ImgInfoStorage", "fromPathToImgInfo insert: compress img size = " + eVar.frO);
            AppMethodBeat.o(78264);
            return eVar;
        }
        AppMethodBeat.o(78264);
        return null;
    }

    public final long a(byte[] bArr, long j, boolean z, String str, PString pString, PInt pInt, PInt pInt2) {
        AppMethodBeat.i(78265);
        long a = a(bArr, j, z, "", 0, str, pString, pInt, pInt2);
        AppMethodBeat.o(78265);
        return a;
    }

    public final long a(byte[] bArr, long j, boolean z, String str, int i, String str2, PString pString, PInt pInt, PInt pInt2) {
        AppMethodBeat.i(78266);
        String concat = "SERVERID://".concat(String.valueOf(j));
        String x = com.tencent.mm.a.g.x(concat.getBytes());
        String q = q(x, "th_", "");
        if (bArr != null && bArr.length >= 0) {
            Bitmap bQ = d.bQ(bArr);
            if (bQ == null) {
                ab.e("MicroMsg.ImgInfoStorage", "create decodeByteArray failed: " + new String(bArr));
            }
            if (!(z || bQ == null)) {
                try {
                    bQ = d.ah(bQ);
                    pInt.value = bQ.getWidth();
                    pInt2.value = bQ.getHeight();
                    d.a(bQ, 90, CompressFormat.JPEG, q, true);
                } catch (IOException e) {
                    ab.e("MicroMsg.ImgInfoStorage", "create thumbnail from byte failed: " + x + " " + new String(bArr));
                }
            }
        }
        e eVar = new e();
        if (bo.isNullOrNil(str)) {
            str = concat;
        } else {
            eVar.setOffset(i);
            eVar.lt(i);
        }
        eVar.bJt = -1;
        eVar.fH(agU());
        eVar.sb(str);
        eVar.sd("THUMBNAIL_DIRPATH://th_".concat(String.valueOf(x)));
        pString.value = eVar.fDB;
        if (z) {
            eVar.eI(0);
            eVar.lx(1);
        } else {
            eVar.eI(j);
            eVar.lx(0);
        }
        eVar.se(str2);
        eVar.ls((int) bo.anT());
        long e2 = e(eVar);
        if (e2 != -1) {
            doNotify();
        }
        AppMethodBeat.o(78266);
        return e2;
    }

    public final int a(int i, e eVar) {
        AppMethodBeat.i(78267);
        int a = a(Long.valueOf((long) i), eVar);
        AppMethodBeat.o(78267);
        return a;
    }

    public final int a(Long l, e eVar) {
        int i;
        AppMethodBeat.i(78268);
        Long valueOf = Long.valueOf(System.currentTimeMillis());
        ContentValues Hl = eVar.Hl();
        if (Hl.size() == 0) {
            i = 1;
        } else {
            i = this.fni.update("ImgInfo2", Hl, "id=?", new String[]{String.valueOf(l)});
        }
        ab.i("MicroMsg.ImgInfoStorage", "update last :%d values : %s %s", new Object[]{Long.valueOf(System.currentTimeMillis() - valueOf.longValue()), Hl.toString(), Integer.valueOf(i)});
        if (i != -1) {
            eVar.agS();
            doNotify();
        }
        AppMethodBeat.o(78268);
        return i;
    }

    public final Bitmap g(int i, int i2, boolean z) {
        Object obj;
        AppMethodBeat.i(78269);
        if (z) {
            obj = "location_backgroup_key_from";
        } else {
            String obj2 = "location_backgroup_key_tor";
        }
        Bitmap bitmap = (Bitmap) this.fEh.ai(obj2);
        if (bitmap == null || bitmap.isRecycled()) {
            bitmap = d.gU(i, i2);
            this.fEh.k(obj2, bitmap);
        }
        AppMethodBeat.o(78269);
        return bitmap;
    }

    public final Bitmap a(long j, String str, int i, int i2, int i3, boolean z) {
        Object concat;
        AppMethodBeat.i(78270);
        if (z) {
            concat = "location_backgroup_key_from".concat(String.valueOf(j));
        } else {
            String concat2 = "location_backgroup_key_tor".concat(String.valueOf(j));
        }
        Bitmap bitmap = (Bitmap) this.fEh.ai(concat2);
        if (bitmap == null || bitmap.isRecycled()) {
            bitmap = d.o(str, i, i2, i3);
            this.fEh.k(concat2, bitmap);
        }
        AppMethodBeat.o(78270);
        return bitmap;
    }

    public final boolean a(bi biVar, int i, int i2) {
        AppMethodBeat.i(78271);
        String y = y(biVar);
        if (bo.isNullOrNil(y)) {
            AppMethodBeat.o(78271);
            return false;
        }
        boolean a = a(y, biVar.field_imgPath, i, i2, 0, 0);
        AppMethodBeat.o(78271);
        return a;
    }

    public final boolean a(String str, String str2, int i, int i2, int i3, int i4) {
        AppMethodBeat.i(78272);
        ab.d("MicroMsg.ImgInfoStorage", "createHDThumbNail bigPicPath%s thumbPath%s maskResId:%d, compressType:%d, stack[%s]", new Object[]{str, str2, Integer.valueOf(i), Integer.valueOf(i2), bo.dpG()});
        long currentTimeMillis = System.currentTimeMillis();
        float density = a.getDensity(ah.getContext());
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            AppMethodBeat.o(78272);
            return false;
        }
        String c = c(str2, false, true);
        if (bo.isNullOrNil(c)) {
            AppMethodBeat.o(78272);
            return false;
        }
        String str3;
        String substring;
        boolean a;
        if (c.endsWith("hd")) {
            str3 = c;
            substring = c.substring(0, c.length() - 2);
        } else {
            str3 = c + "hd";
            substring = c;
        }
        Options amj = d.amj(substring);
        if (amj == null || amj.outWidth <= 0 || amj.outHeight <= 0) {
            com.tencent.mm.plugin.report.service.h.pYm.a(111, 185, 1, false);
            if (e.asZ(substring) > 0) {
                AppMethodBeat.o(78272);
                return false;
            }
            amj = new Options();
            d.dnX();
            ab.i("MicroMsg.ImgInfoStorage", "createHDThumbNail old op is invaild but len is 0 need recreate[%s, %d, %d]", new Object[]{amj, Integer.valueOf(amj.outWidth), Integer.valueOf(amj.outHeight)});
            com.tencent.mm.plugin.report.service.h.pYm.a(111, 183, 1, false);
        }
        if (amj.outWidth == 0) {
            amj.outWidth = i3;
        }
        if (amj.outHeight == 0) {
            amj.outHeight = i4;
        }
        int i5 = (int) ((((float) amj.outWidth) * density) * 1.25f);
        int i6 = (int) ((((float) amj.outHeight) * density) * 1.25f);
        if (((float) i5) >= 160.0f * density || ((float) i6) >= 160.0f * density) {
            float f;
            if (i6 > i5) {
                f = (160.0f * density) / ((float) i6);
            } else {
                f = (160.0f * density) / ((float) i5);
            }
            i5 = (int) (((float) i5) * f);
            i6 = (int) (f * ((float) i6));
        }
        if (i2 == 0) {
            try {
                a = d.a(str, i6, i5, CompressFormat.JPEG, str3, new PInt(), new PInt());
            } catch (Exception e) {
                com.tencent.mm.plugin.report.service.h.pYm.a(111, 184, 1, false);
                ab.e("MicroMsg.ImgInfoStorage", "create hd thumbnail failed. %s", new Object[]{e.toString()});
                AppMethodBeat.o(78272);
                return false;
            }
        }
        a = d.b(str, i6, i5, CompressFormat.JPEG, str3, new PInt(), new PInt());
        ab.d("MicroMsg.ImgInfoStorage", "createHDThumbNail user time %s, height %d, width %d, hasHDThumb:%b", new Object[]{(System.currentTimeMillis() - currentTimeMillis), Integer.valueOf(i6), Integer.valueOf(i5), Boolean.valueOf(a)});
        a(substring, true, a.getDensity(ah.getContext()), true, false, true, i, false);
        if (a) {
            synchronized (this.fEo) {
                try {
                    if (this.fEo.containsKey(str2) && !((String) this.fEo.get(str2)).endsWith("hd")) {
                        this.fEo.put(str2, str3);
                    }
                } catch (Throwable th) {
                    while (true) {
                        AppMethodBeat.o(78272);
                    }
                }
            }
        } else {
            com.tencent.mm.plugin.report.service.h.pYm.a(111, 184, 1, false);
        }
        AppMethodBeat.o(78272);
        return a;
    }

    public final String c(String str, boolean z, boolean z2) {
        String str2;
        AppMethodBeat.i(78273);
        if (str == null || !this.fEo.containsKey(str)) {
            if (z) {
                str2 = str;
            } else {
                str2 = I(str, z2);
            }
            if (!bo.isNullOrNil(str2)) {
                this.fEo.put(str, str2);
            }
        } else {
            str2 = (String) this.fEo.get(str);
        }
        AppMethodBeat.o(78273);
        return str2;
    }

    /* JADX WARNING: Missing block: B:6:0x0030, code skipped:
            if (r0.fDy == 0) goto L_0x0032;
     */
    public static java.lang.String y(com.tencent.mm.storage.bi r11) {
        /*
        r6 = 0;
        r1 = 0;
        r8 = 1;
        r10 = 78275; // 0x131c3 float:1.09687E-40 double:3.8673E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        if (r11 != 0) goto L_0x001a;
    L_0x000c:
        r0 = "MicroMsg.ImgInfoStorage";
        r2 = "[getBigPicPath] msg is null.";
        com.tencent.mm.sdk.platformtools.ab.w(r0, r2);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r0 = r1;
    L_0x0019:
        return r0;
    L_0x001a:
        r4 = java.lang.System.currentTimeMillis();
        r0 = r11.field_isSend;
        if (r0 != r8) goto L_0x0032;
    L_0x0022:
        r0 = com.tencent.mm.at.o.ahl();
        r2 = r11.field_msgId;
        r0 = r0.fJ(r2);
        r2 = r0.fDy;
        r2 = (r2 > r6 ? 1 : (r2 == r6 ? 0 : -1));
        if (r2 != 0) goto L_0x003c;
    L_0x0032:
        r0 = com.tencent.mm.at.o.ahl();
        r2 = r11.field_msgSvrId;
        r0 = r0.fI(r2);
    L_0x003c:
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.isSDCardAvailable();
        if (r2 == 0) goto L_0x00ce;
    L_0x0046:
        r2 = r11.field_isSend;
        if (r2 != r8) goto L_0x0091;
    L_0x004a:
        r3 = com.tencent.mm.at.f.c(r0);
        r2 = com.tencent.mm.at.o.ahl();
        r6 = "";
        r7 = "";
        r2 = r2.q(r3, r6, r7);
        if (r3 == 0) goto L_0x006f;
    L_0x005e:
        r3 = r3.length();
        if (r3 <= 0) goto L_0x006f;
    L_0x0064:
        r3 = com.tencent.mm.vfs.e.ct(r2);
        if (r3 == 0) goto L_0x006f;
    L_0x006a:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r0 = r2;
        goto L_0x0019;
    L_0x006f:
        r2 = r0.fDz;
        r0 = com.tencent.mm.at.o.ahl();
        r3 = "";
        r6 = "";
        r0 = r0.q(r2, r3, r6);
        if (r2 == 0) goto L_0x00ce;
    L_0x0081:
        r2 = r2.length();
        if (r2 <= 0) goto L_0x00ce;
    L_0x0087:
        r2 = com.tencent.mm.vfs.e.ct(r0);
        if (r2 == 0) goto L_0x00ce;
    L_0x008d:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x0019;
    L_0x0091:
        r2 = r0.agP();
        if (r2 == 0) goto L_0x00ce;
    L_0x0097:
        r1 = r0.fDz;
        r2 = r0.agQ();
        if (r2 == 0) goto L_0x00f5;
    L_0x009f:
        r0 = com.tencent.mm.at.f.a(r0);
        if (r0 == 0) goto L_0x00f5;
    L_0x00a5:
        r2 = r0.fDy;
        r2 = (r2 > r6 ? 1 : (r2 == r6 ? 0 : -1));
        if (r2 <= 0) goto L_0x00f5;
    L_0x00ab:
        r2 = r0.agP();
        if (r2 == 0) goto L_0x00f5;
    L_0x00b1:
        r2 = com.tencent.mm.at.o.ahl();
        r3 = r0.fDz;
        r4 = "";
        r5 = "";
        r2 = r2.q(r3, r4, r5);
        r2 = com.tencent.mm.vfs.e.ct(r2);
        if (r2 == 0) goto L_0x00f5;
    L_0x00c7:
        r0 = r0.fDz;
    L_0x00c9:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x0019;
    L_0x00ce:
        r0 = "MicroMsg.ImgInfoStorage";
        r2 = "getBigPicPath use time:%s";
        r3 = new java.lang.Object[r8];
        r6 = 0;
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = java.lang.System.currentTimeMillis();
        r4 = r8 - r4;
        r4 = r7.append(r4);
        r4 = r4.toString();
        r3[r6] = r4;
        com.tencent.mm.sdk.platformtools.ab.d(r0, r2, r3);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r0 = r1;
        goto L_0x0019;
    L_0x00f5:
        r0 = r1;
        goto L_0x00c9;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.at.g.y(com.tencent.mm.storage.bi):java.lang.String");
    }

    public final Bitmap e(String str, float f) {
        AppMethodBeat.i(78224);
        Bitmap a = a(str, f, false);
        AppMethodBeat.o(78224);
        return a;
    }

    public final e w(bi biVar) {
        AppMethodBeat.i(78237);
        e fJ = fJ(biVar.field_msgId);
        if (fJ.fDy == 0) {
            fJ = fI(biVar.field_msgSvrId);
            if (fJ.fDy == 0) {
                ab.e("MicroMsg.ImgInfoStorage", "deleteByMsg can't find correspond imgInfo");
                AppMethodBeat.o(78237);
                return null;
            }
        }
        AppMethodBeat.o(78237);
        return fJ;
    }

    public final String so(String str) {
        AppMethodBeat.i(138578);
        String c = c(str, false, true);
        AppMethodBeat.o(138578);
        return c;
    }
}
