package com.tencent.mm.ipcinvoker.extension;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ipcinvoker.a;
import com.tencent.mm.ipcinvoker.c;
import com.tencent.mm.ipcinvoker.f;
import com.tencent.mm.ipcinvoker.h.b;
import com.tencent.mm.ipcinvoker.i;

public final class XIPCInvoker {

    static class WrapperParcelable implements Parcelable {
        public static final Creator<WrapperParcelable> CREATOR = new 1();
        String eGB;
        Object eGy;

        /* synthetic */ WrapperParcelable(byte b) {
            this();
        }

        private WrapperParcelable() {
        }

        public WrapperParcelable(String str, Object obj) {
            this.eGB = str;
            this.eGy = obj;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            AppMethodBeat.i(114097);
            parcel.writeString(this.eGB);
            if (this.eGy != null) {
                a ar = c.ar(this.eGy);
                if (ar != null) {
                    parcel.writeInt(1);
                    parcel.writeString(ar.getClass().getName());
                    ar.a(this.eGy, parcel);
                    AppMethodBeat.o(114097);
                    return;
                }
            }
            parcel.writeInt(0);
            AppMethodBeat.o(114097);
        }

        static {
            AppMethodBeat.i(114098);
            AppMethodBeat.o(114098);
        }
    }

    public static <T extends a<InputType, ResultType>, InputType, ResultType> void a(String str, InputType inputType, Class<T> cls, c<ResultType> cVar) {
        AppMethodBeat.i(114099);
        f.a(str, new WrapperParcelable(cls.getName(), inputType), a.class, new 1(cVar));
        AppMethodBeat.o(114099);
    }

    public static <T extends i<InputType, ResultType>, InputType, ResultType> ResultType a(String str, InputType inputType, Class<T> cls) {
        AppMethodBeat.i(114100);
        WrapperParcelable wrapperParcelable = (WrapperParcelable) f.a(str, new WrapperParcelable(cls.getName(), inputType), c.class);
        if (wrapperParcelable == null) {
            b.w("IPC.XIPCInvoker", "sync invoke error, wrapper parcelable data is null!", new Object[0]);
            AppMethodBeat.o(114100);
            return null;
        }
        ResultType resultType = wrapperParcelable.eGy;
        AppMethodBeat.o(114100);
        return resultType;
    }
}
