package com.tencent.mm.plugin.appbrand.game;

import android.webkit.JavascriptInterface;
import com.google.android.gms.auth.api.proxy.AuthApiStatusCodes;
import com.tencent.magicbrush.c;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.appcache.PartialFile;
import com.tencent.mm.plugin.appbrand.appcache.WxaCommLibRuntimeReader;
import com.tencent.mm.plugin.appbrand.e;
import com.tencent.mm.plugin.appbrand.game.f.a;
import com.tencent.mm.plugin.appbrand.h.g;
import com.tencent.mm.plugin.appbrand.h.s;
import com.tencent.mm.plugin.appbrand.q;
import com.tencent.mm.plugin.appbrand.s.n;
import com.tencent.mm.plugin.appbrand.s.n$a;
import com.tencent.mm.plugin.appbrand.s.o;
import com.tencent.mm.plugin.appbrand.s.o$a;
import com.tencent.mm.plugin.appbrand.s.u;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.io.IOException;

public final class d extends e {
    private boolean hqu = false;
    boolean hqv = false;

    d(q qVar, com.tencent.mm.plugin.appbrand.h.q qVar2) {
        super(qVar, qVar2);
    }

    @JavascriptInterface
    public final int allocNativeGlobal() {
        AppMethodBeat.i(130048);
        this.hqu = true;
        ab.i("MicroMsg.WAGameJsContextInterface", "alloc injectNativeGlobal = [%b], ret = [%d]", new Object[]{Boolean.valueOf(this.hqu), Integer.valueOf(super.alloc())});
        this.hqu = false;
        AppMethodBeat.o(130048);
        return super.alloc();
    }

    public final g asI() {
        AppMethodBeat.i(130049);
        g asI = super.asI();
        if (asI != null) {
            boolean z;
            asI.setJsExceptionHandler(new 2(this, asI));
            if (this.hqu) {
                try {
                    s sVar = (s) asI.af(s.class);
                    ((b) this.gMN).getMBRuntime().bindTo(sVar.getIsolatePtr(), sVar.aGW());
                    z = true;
                } catch (NullPointerException e) {
                    ab.e("MicroMsg.WAGameJsContextInterface", "injectNativeGlobal failed [%s]", new Object[]{e});
                    z = false;
                }
            } else {
                z = true;
            }
            ab.i("MicroMsg.WAGameJsContextInterface", "alloc injectNativeGlobal = [%b], ret = [%b]", new Object[]{Boolean.valueOf(this.hqu), Boolean.valueOf(z)});
        }
        AppMethodBeat.o(130049);
        return asI;
    }

    public final void a(g gVar) {
        AppMethodBeat.i(130050);
        if (this.hqu) {
            String Eb = com.tencent.mm.plugin.appbrand.r.d.Eb("wxa_library/NativeGlobal-WAGame.js");
            if (this.hqv) {
                Eb = Eb + com.tencent.mm.plugin.appbrand.r.d.Eb("wxa_library/commandbuffer.js");
            }
            n.a(gVar, Eb, new n$a() {
                public final void onSuccess(String str) {
                    AppMethodBeat.i(130040);
                    ab.i("MicroMsg.WAGameJsContextInterface", "onInjectSdkBefore suc: %s", new Object[]{str});
                    AppMethodBeat.o(130040);
                }

                public final void lo(String str) {
                    AppMethodBeat.i(130041);
                    ab.i("MicroMsg.WAGameJsContextInterface", "onInjectSdkBefore failed: %s", new Object[]{str});
                    AppMethodBeat.o(130041);
                }
            });
        }
        AppMethodBeat.o(130050);
    }

    public final void asH() {
        AppMethodBeat.i(130051);
        super.asH();
        ab.i("MicroMsg.WAGameJsContextInterface", "hy: injected WAGameJSContextInterface");
        AppMethodBeat.o(130051);
    }

    public final void a(g gVar, String str, String str2, n$a n_a) {
        long currentTimeMillis;
        AppMethodBeat.i(130052);
        ab.i("MicroMsg.WAGameJsContextInterface", "hy: inject appscript from js context interface: %s %d", new Object[]{str, Integer.valueOf(gVar.aGT())});
        PartialFile[] partialFileArr = this.gMN.getRuntime().ye().hhd.gSR;
        if (str.equals("game.js") && partialFileArr != null && partialFileArr.length > 0) {
            ab.i("MicroMsg.WAGameJsContextInterface", "inject codeLib size:%s", new Object[]{Integer.valueOf(partialFileArr.length)});
            int length = partialFileArr.length;
            int i = 0;
            while (true) {
                int i2 = i;
                if (i2 >= length) {
                    break;
                }
                PartialFile partialFile = partialFileArr[i2];
                int i3 = partialFile.version;
                String str3 = partialFile.bIy;
                String str4 = str3 + "_" + i3;
                String str5 = partialFile.cvZ;
                String str6 = partialFile.filePath;
                if (!(bo.isNullOrNil(str3) || bo.isNullOrNil(str6))) {
                    ab.i("MicroMsg.WAGameJsContextInterface", "provider:%s,version:%s", new Object[]{str3, Integer.valueOf(i3)});
                    String Ao = Ao(str6);
                    if (c.isNullOrNil(Ao)) {
                        ab.e("MicroMsg.WAGameJsContextInterface", "game engine null!");
                    } else {
                        ab.i("MicroMsg.WAGameJsContextInterface", "game engine:%s", new Object[]{Ao.substring(0, 20)});
                        currentTimeMillis = System.currentTimeMillis();
                        o.a(this.gMN.getRuntime(), gVar, str, str4, str5, Ao, o$a.USR, new 4(this, str3, Ao, currentTimeMillis));
                    }
                }
                i = i2 + 1;
            }
        }
        currentTimeMillis = System.currentTimeMillis();
        com.tencent.mm.plugin.appbrand.game.preload.d aBz = com.tencent.mm.plugin.appbrand.game.preload.d.aBz();
        if (!c.isNullOrNil(str)) {
            if (str.equals("game.js")) {
                com.tencent.mm.plugin.appbrand.game.preload.e.aBD().cY(2000, (int) (bo.anU() - aBz.htn.atI().startTime));
                com.tencent.mm.plugin.appbrand.game.preload.e.aBD().cY(AuthApiStatusCodes.AUTH_API_ACCESS_FORBIDDEN, aBz.htv.intValue());
                com.tencent.mm.plugin.appbrand.game.preload.e.aBD().cY(AuthApiStatusCodes.AUTH_API_SERVER_ERROR, aBz.htu.intValue());
                com.tencent.mm.plugin.appbrand.game.preload.e.aBD().cY(4001, aBz.htw.intValue());
            }
        }
        o.a(this.gMN.getRuntime(), gVar, str, str.replace('/', '_') + "_" + this.gMN.getAppId(), this.gMN.getRuntime().ye().hhd.cvZ, str2, o$a.USR, new 5(this, str, str2, currentTimeMillis, n_a));
        AppMethodBeat.o(130052);
    }

    private static String Ao(String str) {
        AppMethodBeat.i(138121);
        String str2 = null;
        try {
            str2 = com.tencent.mm.vfs.e.cy(str);
        } catch (IOException e) {
            ab.printErrStackTrace("MicroMsg.WAGameJsContextInterface", e, "getGameEngineScript exception:%s", new Object[]{e.toString()});
        }
        AppMethodBeat.o(138121);
        return str2;
    }

    public final void a(g gVar, String str, String str2) {
        AppMethodBeat.i(130053);
        ab.i("MicroMsg.WAGameJsContextInterface", "hy: injectSdkScript %s [%d]", new Object[]{str, Integer.valueOf(gVar.aGT())});
        long currentTimeMillis = System.currentTimeMillis();
        boolean atU = this.gMN.atU();
        o.a(this.gMN, gVar, str, str, "v" + WxaCommLibRuntimeReader.avQ().gVu, str2, o$a.LIB, new 6(this, str, atU, currentTimeMillis, str2));
        u.a(this.gMN.getRuntime(), gVar);
        AppMethodBeat.o(130053);
    }

    public final int asL() {
        AppMethodBeat.i(138694);
        int i = WxaCommLibRuntimeReader.avQ().gVu;
        AppMethodBeat.o(138694);
        return i;
    }

    public final String asJ() {
        return "WAGameSubContext.js";
    }

    public final String asK() {
        AppMethodBeat.i(130055);
        String xu = WxaCommLibRuntimeReader.xu("WAGameSubContext.js");
        AppMethodBeat.o(130055);
        return xu;
    }

    public final void asM() {
    }

    public final void ds(boolean z) {
        int i;
        int i2 = -1;
        AppMethodBeat.i(130056);
        h.pYm.a(778, 17, 1, false);
        if (z) {
            h.pYm.a(778, 19, 1, false);
            AppMethodBeat.o(130056);
            return;
        }
        int i3;
        try {
            i3 = this.gMN.getRuntime().ye().hhd.gVu;
            try {
                i2 = this.gMN.getRuntime().ye().hhd.gVt;
                i = i3;
            } catch (NullPointerException e) {
                i = i3;
                h.pYm.a(778, 18, 1, false);
                com.tencent.mm.plugin.appbrand.report.c.br(this.gMN.getAppId(), 24);
                com.tencent.mm.plugin.appbrand.report.c.a(this.gMN.getAppId(), i, i2, 778, 18);
                AppMethodBeat.o(130056);
            }
        } catch (NullPointerException e2) {
            i3 = i2;
            i = i3;
            h.pYm.a(778, 18, 1, false);
            com.tencent.mm.plugin.appbrand.report.c.br(this.gMN.getAppId(), 24);
            com.tencent.mm.plugin.appbrand.report.c.a(this.gMN.getAppId(), i, i2, 778, 18);
            AppMethodBeat.o(130056);
        }
        h.pYm.a(778, 18, 1, false);
        com.tencent.mm.plugin.appbrand.report.c.br(this.gMN.getAppId(), 24);
        com.tencent.mm.plugin.appbrand.report.c.a(this.gMN.getAppId(), i, i2, 778, 18);
        AppMethodBeat.o(130056);
    }

    public final void asN() {
    }

    public final void wL(String str) {
        AppMethodBeat.i(130057);
        ab.i("MicroMsg.WAGameJsContextInterface", "hy: onAppScriptInjectBegin path:%s", new Object[]{str});
        if (!bo.isNullOrNil(str) && str.equals("game.js")) {
            a.aBG().huc = bo.yz();
        }
        AppMethodBeat.o(130057);
    }

    public final void dt(boolean z) {
        AppMethodBeat.i(130058);
        h.pYm.a(778, 21, 1, false);
        if (z) {
            h.pYm.a(778, 23, 1, false);
            AppMethodBeat.o(130058);
            return;
        }
        h.pYm.a(778, 22, 1, false);
        com.tencent.mm.plugin.appbrand.report.c.br(this.gMN.getAppId(), 24);
        com.tencent.mm.plugin.appbrand.report.c.a(this.gMN.getAppId(), this.gMN.getRuntime().ye().hhd.gVu, this.gMN.getRuntime().ye().hhd.gVt, 778, 22);
        AppMethodBeat.o(130058);
    }

    static /* synthetic */ void a(com.tencent.mm.plugin.appbrand.game.d.d.a aVar, String str) {
        AppMethodBeat.i(138123);
        com.tencent.mm.plugin.appbrand.game.d.d.aAI().b(aVar, str);
        AppMethodBeat.o(138123);
    }

    static /* synthetic */ void dM(boolean z) {
        AppMethodBeat.i(138695);
        h.pYm.a(370, 40, 1, false);
        if (z) {
            h.pYm.a(370, 49, 1, false);
            AppMethodBeat.o(138695);
            return;
        }
        h.pYm.a(370, 50, 1, false);
        AppMethodBeat.o(138695);
    }
}
