package com.tencent.mm.plugin.emoji.ui.v2;

import android.content.Intent;
import android.os.Message;
import android.text.TextUtils;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import android.view.View;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.at.o;
import com.tencent.mm.bp.d;
import com.tencent.mm.model.ao;
import com.tencent.mm.plugin.emoji.e.l.2;
import com.tencent.mm.plugin.emoji.f.g;
import com.tencent.mm.plugin.emoji.model.EmojiLogic;
import com.tencent.mm.plugin.emoji.model.i;
import com.tencent.mm.plugin.emoji.model.i.a;
import com.tencent.mm.plugin.emoji.model.i.b;
import com.tencent.mm.plugin.emoji.model.j;
import com.tencent.mm.plugin.emoji.ui.EmojiStoreDetailUI;
import com.tencent.mm.pluginsdk.ui.a$b;
import com.tencent.mm.pluginsdk.ui.emoji.BannerEmojiView;
import com.tencent.mm.protocal.protobuf.EmotionSummary;
import com.tencent.mm.protocal.protobuf.aic;
import com.tencent.mm.protocal.protobuf.aml;
import com.tencent.mm.protocal.protobuf.xx;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ad;
import com.tencent.mm.storage.emotion.EmojiInfo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.MMPullDownView;
import com.tencent.mm.ui.base.MMPullDownView.c;
import com.tencent.mm.ui.base.MMPullDownView.e;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.p;
import com.tencent.mm.ui.v;
import java.util.ArrayList;
import java.util.List;

public class EmojiStoreV2DesignerUI extends MMActivity implements OnScrollListener, OnItemClickListener, f, a, b, c, e {
    private View abB;
    private int gOW;
    private boolean hZu;
    private long kVE;
    private String kVF;
    private String kVJ;
    private String kWM;
    com.tencent.mm.plugin.emoji.a.f kYB;
    private int kYc = -1;
    private byte[] kYe;
    protected final int kYi = 131074;
    private final int kYj = 131075;
    private final int kYk = 131076;
    private final String kYl = "product_id";
    private final String kYm = "progress";
    private final String kYn = "status";
    private com.tencent.mm.plugin.emoji.model.f kYq;
    private i kYr;
    private com.tencent.mm.sdk.b.c kYt = new 1(this);
    private g kYu;
    TextView ldA;
    View ldB;
    private MMPullDownView ldC;
    private aml ldD;
    private com.tencent.mm.plugin.emoji.f.i ldE;
    private p ldF;
    private ao.b.a ldG = new 8(this);
    private final int ldH = 10001;
    private final int ldI = 10002;
    private final int ldJ = 10003;
    private com.tencent.mm.plugin.emoji.f.p ldK;
    private int lde;
    private String ldf;
    private String ldg;
    private ad ldh;
    private View ldi;
    private BannerEmojiView ldj;
    private TextView ldk;
    private TextView ldl;
    private View ldm;
    private View ldn;
    private TextView ldo;
    private ImageView ldp;
    private TextView ldq;
    private TextView ldr;
    View lds;
    private List<xx> ldt = new ArrayList();
    private View ldu;
    PreViewListGridView ldv;
    private a ldw;
    View ldx;
    View ldy;
    View ldz;
    private ak mHandler = new 9(this);
    private ListView mListView;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public EmojiStoreV2DesignerUI() {
        AppMethodBeat.i(53594);
        AppMethodBeat.o(53594);
    }

    static /* synthetic */ void b(EmojiStoreV2DesignerUI emojiStoreV2DesignerUI) {
        AppMethodBeat.i(53620);
        emojiStoreV2DesignerUI.Kh();
        AppMethodBeat.o(53620);
    }

    public final int getLayoutId() {
        return 2130969362;
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0174  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x00f5  */
    public void onCreate(android.os.Bundle r10) {
        /*
        r9 = this;
        r8 = 4;
        r7 = 3;
        r6 = 2;
        r1 = 1;
        r2 = 0;
        r0 = 53595; // 0xd15b float:7.5103E-41 double:2.64794E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        super.onCreate(r10);
        r0 = r9.getIntent();
        r3 = "id";
        r0 = r0.getStringExtra(r3);
        r9.kWM = r0;
        r0 = r9.getIntent();
        r3 = "uin";
        r0 = r0.getIntExtra(r3, r2);
        r9.lde = r0;
        r0 = r9.getIntent();
        r3 = "name";
        r0 = r0.getStringExtra(r3);
        r9.kVJ = r0;
        r0 = r9.getIntent();
        r3 = "headurl";
        r0 = r0.getStringExtra(r3);
        r9.ldf = r0;
        r0 = r9.getIntent();
        r3 = "rediret_url";
        r0 = r0.getStringExtra(r3);
        r9.ldg = r0;
        r0 = r9.getIntent();
        r3 = "extra_scence";
        r0 = r0.getIntExtra(r3, r2);
        r9.gOW = r0;
        r0 = r9.getIntent();
        r3 = "searchID";
        r4 = 0;
        r4 = r0.getLongExtra(r3, r4);
        r9.kVE = r4;
        r0 = r9.getIntent();
        r3 = "docID";
        r0 = r0.getStringExtra(r3);
        r3 = "";
        r0 = com.tencent.mm.sdk.platformtools.bo.bc(r0, r3);
        r9.kVF = r0;
        r0 = r9.getIntent();
        r3 = "sns_object_data";
        r0 = r0.getStringExtra(r3);
        r3 = android.text.TextUtils.isEmpty(r0);
        if (r3 != 0) goto L_0x00a2;
    L_0x0090:
        r3 = com.tencent.mm.plugin.emoji.model.EmojiLogic.Jm(r0);
        r9.lde = r3;
        r3 = com.tencent.mm.plugin.emoji.model.EmojiLogic.Jn(r0);
        r9.kVJ = r3;
        r0 = com.tencent.mm.plugin.emoji.model.EmojiLogic.Ju(r0);
        r9.ldg = r0;
    L_0x00a2:
        r9.initView();
        r0 = r9.kWM;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x00f2;
    L_0x00ad:
        r0 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r0 = r0.xYt;
        r3 = r9.kWM;
        r0 = r0.aqn(r3);
        if (r0 == 0) goto L_0x0172;
    L_0x00bb:
        r3 = r0.woq;
        if (r3 == 0) goto L_0x0172;
    L_0x00bf:
        r3 = r0.woq;
        r3 = r3.DesignerUin;
        if (r3 == 0) goto L_0x0172;
    L_0x00c5:
        r3 = r0.woq;
        r3 = r3.Name;
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r3 != 0) goto L_0x0172;
    L_0x00cf:
        r3 = r0.woq;
        r3 = r3.DesignerUin;
        r9.lde = r3;
        r0 = r0.woq;
        r0 = r0.Name;
        r9.kVJ = r0;
        r0 = "MicroMsg.emoji.EmojiStoreV2DesignerUI";
        r3 = "uin:%s name:%s";
        r4 = new java.lang.Object[r6];
        r5 = r9.lde;
        r5 = java.lang.Integer.valueOf(r5);
        r4[r2] = r5;
        r5 = r9.kVJ;
        r4[r1] = r5;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r3, r4);
    L_0x00f2:
        r0 = r2;
    L_0x00f3:
        if (r0 != 0) goto L_0x0174;
    L_0x00f5:
        r9.Kh();
    L_0x00f8:
        r0 = com.tencent.mm.kernel.g.RO();
        r0 = r0.eJo;
        r3 = 239; // 0xef float:3.35E-43 double:1.18E-321;
        r0.a(r3, r9);
        r0 = com.tencent.mm.kernel.g.RO();
        r0 = r0.eJo;
        r3 = 720; // 0x2d0 float:1.009E-42 double:3.557E-321;
        r0.a(r3, r9);
        r0 = com.tencent.mm.sdk.b.a.xxA;
        r3 = r9.kYt;
        r0.c(r3);
        r0 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 12067; // 0x2f23 float:1.691E-41 double:5.962E-320;
        r4 = 5;
        r4 = new java.lang.Object[r4];
        r5 = java.lang.Integer.valueOf(r1);
        r4[r2] = r5;
        r5 = "";
        r4[r1] = r5;
        r5 = "";
        r4[r6] = r5;
        r5 = "";
        r4[r7] = r5;
        r5 = "";
        r4[r8] = r5;
        r0.e(r3, r4);
        r0 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 12740; // 0x31c4 float:1.7853E-41 double:6.2944E-320;
        r4 = 6;
        r4 = new java.lang.Object[r4];
        r5 = java.lang.Integer.valueOf(r6);
        r4[r2] = r5;
        r2 = r9.lde;
        r2 = com.tencent.mm.a.p.getString(r2);
        r4[r1] = r2;
        r1 = "";
        r4[r6] = r1;
        r1 = "";
        r4[r7] = r1;
        r1 = r9.gOW;
        r1 = java.lang.Integer.valueOf(r1);
        r4[r8] = r1;
        r1 = 5;
        r2 = 6;
        r2 = java.lang.Integer.valueOf(r2);
        r4[r1] = r2;
        r0.e(r3, r4);
        r0 = 53595; // 0xd15b float:7.5103E-41 double:2.64794E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        return;
    L_0x0172:
        r0 = r1;
        goto L_0x00f3;
    L_0x0174:
        r0 = r9.kWM;
        r3 = new com.tencent.mm.plugin.emoji.f.i;
        r3.<init>(r0);
        r9.ldE = r3;
        r0 = com.tencent.mm.kernel.g.RO();
        r0 = r0.eJo;
        r3 = r9.ldE;
        r0.a(r3, r2);
        r0 = 2131297061; // 0x7f090325 float:1.8212056E38 double:1.053000659E-314;
        r9.getString(r0);
        r0 = 2131297086; // 0x7f09033e float:1.8212107E38 double:1.0530006713E-314;
        r0 = r9.getString(r0);
        r3 = new com.tencent.mm.plugin.emoji.ui.v2.EmojiStoreV2DesignerUI$7;
        r3.<init>(r9);
        r0 = com.tencent.mm.ui.base.h.b(r9, r0, r1, r3);
        r9.ldF = r0;
        goto L_0x00f8;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.emoji.ui.v2.EmojiStoreV2DesignerUI.onCreate(android.os.Bundle):void");
    }

    public void onResume() {
        AppMethodBeat.i(53596);
        super.onResume();
        com.tencent.mm.kernel.g.RO().eJo.a(423, this);
        AppMethodBeat.o(53596);
    }

    public void onPause() {
        AppMethodBeat.i(53597);
        super.onPause();
        com.tencent.mm.kernel.g.RO().eJo.b(423, this);
        AppMethodBeat.o(53597);
    }

    public void onDestroy() {
        AppMethodBeat.i(53598);
        super.onDestroy();
        if (this.ldK != null) {
            com.tencent.mm.kernel.g.RO().eJo.c(this.ldK);
        }
        com.tencent.mm.kernel.g.RO().eJo.b(239, this);
        com.tencent.mm.kernel.g.RO().eJo.b(720, this);
        com.tencent.mm.sdk.b.a.xxA.d(this.kYt);
        if (this.mHandler != null) {
            this.mHandler.removeMessages(10002);
            this.mHandler.removeMessages(10001);
            this.mHandler = null;
        }
        AppMethodBeat.o(53598);
    }

    public final void initView() {
        AppMethodBeat.i(53599);
        if (!bo.isNullOrNil(this.kVJ)) {
            setMMTitle(this.kVJ);
        }
        this.abB = v.hu(this.mController.ylL).inflate(2130969358, null);
        this.ldi = this.abB.findViewById(2131823542);
        this.ldj = (BannerEmojiView) this.ldi.findViewById(2131823548);
        this.ldk = (TextView) this.abB.findViewById(2131823543);
        this.ldl = (TextView) this.abB.findViewById(2131823544);
        this.ldm = this.abB.findViewById(2131823545);
        this.ldn = this.abB.findViewById(2131823537);
        this.ldo = (TextView) this.abB.findViewById(2131823539);
        this.ldp = (ImageView) this.abB.findViewById(2131823538);
        this.ldq = (TextView) this.abB.findViewById(2131823540);
        this.ldr = (TextView) this.abB.findViewById(2131823547);
        this.lds = this.abB.findViewById(2131823550);
        this.ldu = this.abB.findViewById(2131823555);
        this.ldu.setOnClickListener(new 10(this));
        this.ldv = (PreViewListGridView) this.abB.findViewById(2131823553);
        this.ldw = new a(this.mController.ylL);
        this.ldw.lgn = new 11(this);
        this.ldv.setAdapter(this.ldw);
        this.ldx = this.abB.findViewById(2131823551);
        this.ldy = this.abB.findViewById(2131823552);
        this.ldz = this.abB.findViewById(2131823555);
        this.ldA = (TextView) this.abB.findViewById(2131823556);
        this.ldB = this.abB.findViewById(2131823554);
        this.ldC = (MMPullDownView) findViewById(2131823536);
        this.ldC.setOnBottomLoadDataListener(this);
        this.ldC.setAtBottomCallBack(this);
        this.ldC.setBottomViewVisible(false);
        this.ldC.setIsBottomShowAll(false);
        this.mListView = (ListView) findViewById(16908298);
        this.mListView.setOnItemClickListener(this);
        this.mListView.setOnScrollListener(this);
        this.ldn.setOnClickListener(new 12(this));
        setBackBtn(new OnMenuItemClickListener() {
            public final boolean onMenuItemClick(MenuItem menuItem) {
                AppMethodBeat.i(53591);
                EmojiStoreV2DesignerUI.this.finish();
                AppMethodBeat.o(53591);
                return false;
            }
        });
        addIconOptionMenu(0, 2131231770, new 14(this));
        AppMethodBeat.o(53599);
    }

    private void Kh() {
        AppMethodBeat.i(53600);
        setMMTitle(this.kVJ);
        this.kYB = new com.tencent.mm.plugin.emoji.a.f(this.mController.ylL);
        this.mListView.addHeaderView(this.abB);
        this.mListView.setAdapter(this.kYB);
        this.kYB.kSQ = this;
        this.kYB.kSm = com.tencent.mm.emoji.a.e.OJ();
        this.kYB.kSn = false;
        this.ldk.setText(this.kVJ);
        this.ldD = j.getEmojiStorageMgr().xYq.aqs(String.valueOf(this.lde));
        this.kYr = new i();
        this.kYr.jiq = this;
        this.kYr.kVA = this.kYB;
        this.kYr.kVD = 6;
        this.kYr.kVG = this;
        this.kYr.kVJ = this.kVJ;
        this.kYr.kVE = this.kVE;
        this.kYr.kVF = this.kVF;
        if (this.ldD != null) {
            c(com.tencent.mm.plugin.emoji.f.p.a(this.ldD));
            bv(this.ldD.vKl);
        }
        updateData();
        aJ(this.kYe);
        AppMethodBeat.o(53600);
    }

    private void updateData() {
        AppMethodBeat.i(53601);
        if (this.ldD == null) {
            ab.i("MicroMsg.emoji.EmojiStoreV2DesignerUI", "update data failed. data is null.");
            AppMethodBeat.o(53601);
            return;
        }
        gv(true);
        if (bo.isNullOrNil(this.ldD.vKE)) {
            ab.w("MicroMsg.emoji.EmojiStoreV2DesignerUI", "mData.BizName is null");
            this.ldm.setVisibility(8);
            this.ldn.setVisibility(8);
        } else {
            ab.i("MicroMsg.emoji.EmojiStoreV2DesignerUI", "biz name is :%s", new Object[]{this.ldD.vKE});
            this.ldh = ((com.tencent.mm.plugin.messenger.foundation.a.j) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.messenger.foundation.a.j.class)).XM().aoO(this.ldD.vKE);
        }
        if ((this.ldh == null || ((int) this.ldh.ewQ) == 0) && ao.a.flu != null) {
            ab.i("MicroMsg.emoji.EmojiStoreV2DesignerUI", "getContact %s", new Object[]{this.ldD.vKE});
            ao.a.flu.a(this.ldD.vKE, "", this.ldG);
        }
        this.ldq.setText(2131299174);
        if (bo.isNullOrNil(this.ldD.Desc)) {
            this.ldl.setVisibility(8);
        } else {
            this.ldl.setText(this.ldD.Desc);
            this.ldl.setVisibility(0);
        }
        bme();
        if (this.kYq == null || this.kYq.kVq == null || this.kYq.kVq.isEmpty()) {
            this.ldr.setVisibility(8);
            AppMethodBeat.o(53601);
            return;
        }
        this.ldr.setVisibility(0);
        AppMethodBeat.o(53601);
    }

    /* Access modifiers changed, original: protected|final */
    public final void gv(boolean z) {
        AppMethodBeat.i(53602);
        if (this.ldD == null) {
            ab.i("MicroMsg.emoji.EmojiStoreV2DesignerUI", "update header failed. data is null.");
            AppMethodBeat.o(53602);
            return;
        }
        if (!(this.ldj == null || bo.isNullOrNil(this.ldD.wrl))) {
            String str = this.ldD.wrl;
            com.tencent.mm.bz.a.getDensity(this);
            EmojiInfo r = EmojiLogic.r("Designer", 8, str);
            if (r != null) {
                this.ldj.setImageFilePath(r.dve());
            } else if (z) {
                o.ahp().a(this.ldD.wrl, null, com.tencent.mm.plugin.emoji.e.g.j("Designer", this.ldD.wrl, new Object[]{"Designer", "BANNER"}), new 15(this));
                AppMethodBeat.o(53602);
                return;
            } else {
                ab.i("MicroMsg.emoji.EmojiStoreV2DesignerUI", "updateDesignerHeader failed");
                AppMethodBeat.o(53602);
                return;
            }
        }
        AppMethodBeat.o(53602);
    }

    private void bme() {
        AppMethodBeat.i(53603);
        if (this.ldh == null || ((int) this.ldh.ewQ) == 0) {
            this.ldn.setVisibility(8);
            this.ldm.setVisibility(8);
            AppMethodBeat.o(53603);
            return;
        }
        this.ldn.setVisibility(0);
        this.ldm.setVisibility(0);
        if (bo.isNullOrNil(this.ldh.Oi())) {
            this.ldo.setText(this.ldh.field_username);
        } else {
            this.ldo.setText(this.ldh.Oi());
        }
        a$b.r(this.ldp, this.ldh.field_username);
        this.ldq.setEnabled(true);
        AppMethodBeat.o(53603);
    }

    private void aJ(byte[] bArr) {
        AppMethodBeat.i(53604);
        this.hZu = true;
        this.ldK = new com.tencent.mm.plugin.emoji.f.p(this.lde, bArr);
        com.tencent.mm.kernel.g.RO().eJo.a(this.ldK, 0);
        AppMethodBeat.o(53604);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(53605);
        switch (mVar.getType()) {
            case 239:
                if (this.ldF != null && this.ldF.isShowing()) {
                    this.ldF.dismiss();
                }
                if (i2 == 0 && i == 0) {
                    aic bkx = ((com.tencent.mm.plugin.emoji.f.i) mVar).bkx();
                    if (!(bkx == null || bkx.woq == null)) {
                        this.lde = bkx.woq.DesignerUin;
                        this.kVJ = bkx.woq.Name;
                        this.ldf = bkx.woq.HeadUrl;
                        if (this.mHandler != null) {
                            this.mHandler.sendEmptyMessage(10003);
                        }
                    }
                    AppMethodBeat.o(53605);
                    return;
                }
                showOptionMenu(0, false);
                h.b(this.mController.ylL, getString(2131299050), null, true);
                ab.e("MicroMsg.emoji.EmojiStoreV2DesignerUI", "open designer failed .");
                AppMethodBeat.o(53605);
                return;
            case 423:
                if (mVar instanceof g) {
                    g gVar = (g) mVar;
                    if (i == 0 && i2 == 0) {
                        bX(gVar.kWz, 0);
                        AppMethodBeat.o(53605);
                        return;
                    }
                    Object[] objArr = new Object[]{gVar.kWA};
                    h.a(this, getString(2131299104, objArr), "", new 3(this, gVar.kWz, gVar.kWB, gVar.kWA), new 4(this));
                    bW(gVar.kWz, -1);
                    AppMethodBeat.o(53605);
                    return;
                }
                break;
            case 720:
                this.hZu = false;
                if (i == 0 || i == 4) {
                    com.tencent.mm.plugin.emoji.f.p pVar = (com.tencent.mm.plugin.emoji.f.p) mVar;
                    com.tencent.mm.plugin.emoji.model.f a = com.tencent.mm.plugin.emoji.f.p.a(pVar.bkE());
                    if (i2 == 0) {
                        this.ldD = pVar.bkE();
                        c(a);
                    } else if (i2 == 2) {
                        this.ldD = pVar.bkE();
                        b(this.kYc, a);
                        this.kYc = 2;
                    } else if (i2 == 3) {
                        this.ldD = pVar.bkE();
                        b(this.kYc, a);
                        this.kYc = 1;
                        ab.i("MicroMsg.emoji.EmojiStoreV2DesignerUI", "get person designer failed errCode:%d", new Object[]{Integer.valueOf(i2)});
                    }
                    if (this.kYe == null && this.ldD != null) {
                        j.getEmojiStorageMgr().xYq.a(String.valueOf(this.lde), pVar.bkE());
                        this.ldt = this.ldD.vKl;
                        bv(this.ldt);
                    }
                    this.kYe = pVar.kWS;
                    AppMethodBeat.o(53605);
                    return;
                }
                ab.i("MicroMsg.emoji.EmojiStoreV2DesignerUI", "get person designer failed");
                AppMethodBeat.o(53605);
                return;
            default:
                ab.e("MicroMsg.emoji.EmojiStoreV2DesignerUI", "unknow scene type");
                break;
        }
        AppMethodBeat.o(53605);
    }

    private void bv(List<xx> list) {
        int i = 1;
        AppMethodBeat.i(53606);
        String value = com.tencent.mm.m.g.Nu().getValue("ShowDesignerEmoji");
        ab.i("MicroMsg.emoji.EmojiStoreV2DesignerUI", "get dynamic Disgner_Emoji_Store_Show config value:%s", new Object[]{value});
        if (bo.isNullOrNil(value) || bo.ank(value) != 1) {
            i = 0;
        }
        if (list == null || list.size() <= 0 || i == 0) {
            this.lds.setVisibility(8);
            AppMethodBeat.o(53606);
            return;
        }
        this.lds.setVisibility(0);
        if (this.mHandler != null) {
            this.mHandler.post(new 2(this, list));
        }
        this.ldw.bw(list);
        AppMethodBeat.o(53606);
    }

    private void c(com.tencent.mm.plugin.emoji.model.f fVar) {
        AppMethodBeat.i(53607);
        b(this.kYc, fVar);
        this.kYc = 0;
        AppMethodBeat.o(53607);
    }

    private void b(int i, com.tencent.mm.plugin.emoji.model.f fVar) {
        boolean z = true;
        AppMethodBeat.i(53608);
        switch (i) {
            case -1:
                this.kYq = fVar;
                break;
            case 0:
                this.kYq = fVar;
                break;
            case 1:
                this.kYq = fVar;
                break;
            case 2:
                if (this.kYq == null) {
                    this.kYq = new com.tencent.mm.plugin.emoji.model.f();
                }
                this.kYq.ue(fVar.kVp);
                this.kYq.br(fVar.kVq);
                break;
            default:
                z = false;
                break;
        }
        gw(z);
        AppMethodBeat.o(53608);
    }

    private void gw(boolean z) {
        AppMethodBeat.i(53609);
        if (this.kYq != null && z) {
            if (this.kYB != null) {
                this.kYB.b(this.kYq);
            }
            if (this.mHandler != null) {
                this.mHandler.sendEmptyMessage(10002);
            }
        }
        AppMethodBeat.o(53609);
    }

    public void onScroll(AbsListView absListView, int i, int i2, int i3) {
    }

    public void onScrollStateChanged(AbsListView absListView, int i) {
        AppMethodBeat.i(53610);
        if (i == 0 && absListView.getLastVisiblePosition() == absListView.getCount() - 1) {
            if (this.kYc == 0 || this.hZu) {
                ab.d("MicroMsg.emoji.EmojiStoreV2DesignerUI", "No More List.");
                AppMethodBeat.o(53610);
                return;
            }
            aJ(this.kYe);
            ab.i("MicroMsg.emoji.EmojiStoreV2DesignerUI", "[onScrollStateChanged] startLoadRemoteEmoji.");
        }
        AppMethodBeat.o(53610);
    }

    public final boolean bhk() {
        return true;
    }

    public final boolean bhm() {
        return false;
    }

    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
        AppMethodBeat.i(53611);
        if (this.kYB != null) {
            com.tencent.mm.plugin.emoji.a.a.f tX = this.kYB.tX(i - this.mListView.getHeaderViewsCount());
            if (tX != null) {
                Intent intent = new Intent();
                intent.setClass(this, EmojiStoreDetailUI.class);
                EmotionSummary emotionSummary = tX.kTb;
                if (emotionSummary == null) {
                    intent = null;
                } else {
                    intent.putExtra("extra_id", emotionSummary.ProductID);
                    intent.putExtra("extra_name", emotionSummary.PackName);
                    intent.putExtra("extra_copyright", emotionSummary.PackCopyright);
                    intent.putExtra("extra_coverurl", emotionSummary.CoverUrl);
                    intent.putExtra("extra_description", emotionSummary.PackDesc);
                    intent.putExtra("extra_price", emotionSummary.PackPrice);
                    intent.putExtra("extra_type", emotionSummary.PackType);
                    intent.putExtra("extra_flag", emotionSummary.PackFlag);
                    intent.putExtra("preceding_scence", 106);
                    intent.putExtra("download_entrance_scene", 6);
                    intent.putExtra("call_by", 1);
                    intent.putExtra("check_clickflag", false);
                    intent.putExtra("extra_status", tX.mStatus);
                    intent.putExtra("extra_progress", tX.EV);
                    intent.putExtra("searchID", this.kVE);
                    String stringExtra = getIntent().getStringExtra("to_talker_name");
                    if (!bo.isNullOrNil(stringExtra)) {
                        intent.putExtra("to_talker_name", stringExtra);
                    }
                }
                if (intent != null) {
                    startActivity(intent);
                }
            }
        }
        AppMethodBeat.o(53611);
    }

    public final void a(com.tencent.mm.plugin.emoji.a.a aVar) {
        AppMethodBeat.i(53612);
        String str = "MicroMsg.emoji.EmojiStoreV2DesignerUI";
        String str2 = "[onProductClick] productId:%s, productPrice:%s, productStatus:%d";
        Object[] objArr = new Object[3];
        objArr[0] = aVar.getProductId();
        objArr[1] = TextUtils.isEmpty(aVar.bjo()) ? "" : aVar.bjo();
        objArr[2] = Integer.valueOf(aVar.bjn());
        ab.i(str, str2, objArr);
        aVar.bjn();
        this.kYr.a(aVar);
        AppMethodBeat.o(53612);
    }

    public final void i(String str, String str2, String str3, String str4) {
        AppMethodBeat.i(53613);
        M(str, str2, str3);
        bkZ();
        AppMethodBeat.o(53613);
    }

    public final void bkf() {
    }

    /* Access modifiers changed, original: protected|final */
    public final g M(String str, String str2, String str3) {
        AppMethodBeat.i(53614);
        this.kYu = new g(str, str2, str3);
        g gVar = this.kYu;
        AppMethodBeat.o(53614);
        return gVar;
    }

    /* Access modifiers changed, original: protected|final */
    public final void bkZ() {
        AppMethodBeat.i(53615);
        com.tencent.mm.kernel.g.RO().eJo.a(this.kYu, 0);
        AppMethodBeat.o(53615);
    }

    /* Access modifiers changed, original: final */
    public final void bX(String str, int i) {
        AppMethodBeat.i(53616);
        Message obtain = Message.obtain();
        obtain.getData().putString("product_id", str);
        obtain.getData().putInt("progress", i);
        obtain.what = 131075;
        if (this.mHandler != null) {
            this.mHandler.sendMessage(obtain);
        }
        AppMethodBeat.o(53616);
    }

    /* Access modifiers changed, original: final */
    public final void bW(String str, int i) {
        AppMethodBeat.i(53617);
        Message obtain = Message.obtain();
        obtain.getData().putString("product_id", str);
        obtain.getData().putInt("status", i);
        obtain.what = 131076;
        if (this.mHandler != null) {
            this.mHandler.sendMessage(obtain);
        }
        AppMethodBeat.o(53617);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(53618);
        this.kYr.onActivityResult(i, i2, intent);
        if (i == 2002) {
            if (i2 == -1) {
                String stringExtra = intent.getStringExtra("Select_Conv_User");
                if (bo.isNullOrNil(stringExtra) || this.ldD == null) {
                    ab.i("MicroMsg.emoji.EmojiStoreV2DesignerUI", "member or data is null.");
                } else {
                    ab.d("MicroMsg.emoji.EmojiStoreV2DesignerUI", "..".concat(String.valueOf(stringExtra)));
                    String str = this.kVJ;
                    String str2 = this.ldD.Desc;
                    int i3 = this.lde;
                    String str3 = this.ldg;
                    String str4 = this.kVJ;
                    String str5 = this.ldD.HeadUrl;
                    com.tencent.mm.pluginsdk.i iVar = (com.tencent.mm.pluginsdk.i) com.tencent.mm.kernel.g.K(com.tencent.mm.pluginsdk.i.class);
                    iVar.a(this, stringExtra, getResources().getString(2131296883) + str, getString(2131297041), getString(2131298420), str5, new 2(stringExtra, str4, str2, i3, str3, str, str5, this));
                }
            }
        } else if (i == 2004 && i2 == -1) {
            com.tencent.mm.ui.widget.snackbar.b.i(this, this.mController.ylL.getString(2131297044));
        }
        super.onActivityResult(i, i2, intent);
        AppMethodBeat.o(53618);
    }

    public final int getForceOrientation() {
        return 1;
    }

    static /* synthetic */ void e(EmojiStoreV2DesignerUI emojiStoreV2DesignerUI) {
        AppMethodBeat.i(53622);
        if (emojiStoreV2DesignerUI.lde != 0) {
            Intent intent = new Intent();
            intent.putExtra("uin", emojiStoreV2DesignerUI.lde);
            intent.setClass(emojiStoreV2DesignerUI.mController.ylL, EmojiStoreV2SingleProductUI.class);
            emojiStoreV2DesignerUI.startActivity(intent);
        }
        AppMethodBeat.o(53622);
    }

    static /* synthetic */ void i(EmojiStoreV2DesignerUI emojiStoreV2DesignerUI) {
        AppMethodBeat.i(53623);
        if (!(emojiStoreV2DesignerUI.ldD == null || bo.isNullOrNil(emojiStoreV2DesignerUI.ldD.vKE))) {
            Intent intent = new Intent();
            intent.putExtra("Contact_User", emojiStoreV2DesignerUI.ldD.vKE);
            d.b(emojiStoreV2DesignerUI.mController.ylL, "profile", ".ui.ContactInfoUI", intent);
            com.tencent.mm.plugin.report.service.h.pYm.e(12067, new Object[]{Integer.valueOf(3), "", "", "", ""});
        }
        AppMethodBeat.o(53623);
    }

    static /* synthetic */ void j(EmojiStoreV2DesignerUI emojiStoreV2DesignerUI) {
        AppMethodBeat.i(53624);
        com.tencent.mm.ui.widget.a.d dVar = new com.tencent.mm.ui.widget.a.d(emojiStoreV2DesignerUI.mController.ylL, 1, false);
        dVar.rBl = new 5(emojiStoreV2DesignerUI);
        dVar.rBm = new 6(emojiStoreV2DesignerUI);
        dVar.cpD();
        com.tencent.mm.plugin.report.service.h.pYm.e(13224, new Object[]{Integer.valueOf(3), Integer.valueOf(0), "", Integer.valueOf(emojiStoreV2DesignerUI.lde)});
        AppMethodBeat.o(53624);
    }
}
