package com.tencent.mm.plugin.gwallet.a;

import android.content.ComponentName;
import android.content.ServiceConnection;
import android.os.IBinder;
import android.os.RemoteException;
import com.android.vending.billing.IInAppBillingService;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.gwallet.a.b.a;
import com.tencent.mm.sdk.platformtools.ab;

class b$1 implements ServiceConnection {
    final /* synthetic */ a npP;
    final /* synthetic */ b npQ;

    b$1(b bVar, a aVar) {
        this.npQ = bVar;
        this.npP = aVar;
    }

    public final void onServiceDisconnected(ComponentName componentName) {
        AppMethodBeat.i(41691);
        ab.d("MicroMsg.IabHelper", "Billing service disconnected.");
        this.npQ.npJ = null;
        AppMethodBeat.o(41691);
    }

    public final void onServiceConnected(ComponentName componentName, IBinder iBinder) {
        AppMethodBeat.i(41692);
        ab.d("MicroMsg.IabHelper", "Billing service connected.");
        this.npQ.npJ = IInAppBillingService.a.f(iBinder);
        String packageName = this.npQ.mContext.getPackageName();
        try {
            ab.d("MicroMsg.IabHelper", "Checking for in-app billing 3 support.");
            int b = this.npQ.npJ.b(3, packageName, "inapp");
            if (b != 0) {
                if (this.npP != null) {
                    this.npP.a(new c(b, "Error checking for billing v3 support."));
                }
                this.npQ.npM = false;
                AppMethodBeat.o(41692);
                return;
            }
            ab.d("MicroMsg.IabHelper", "In-app billing version 3 supported for ".concat(String.valueOf(packageName)));
            int b2 = this.npQ.npJ.b(3, packageName, "subs");
            if (b2 == 0) {
                ab.d("MicroMsg.IabHelper", "Subscriptions AVAILABLE.");
                this.npQ.npM = true;
            } else {
                ab.d("MicroMsg.IabHelper", "Subscriptions NOT AVAILABLE. Response: ".concat(String.valueOf(b2)));
            }
            this.npQ.npL = true;
            if (this.npP != null) {
                this.npP.a(new c(0, "Setup successful."));
            }
            AppMethodBeat.o(41692);
        } catch (RemoteException e) {
            if (this.npP != null) {
                this.npP.a(new c(-1001, "RemoteException while setting up in-app billing."));
            }
            ab.printErrStackTrace("MicroMsg.IabHelper", e, "", new Object[0]);
            AppMethodBeat.o(41692);
        }
    }
}
