package com.tencent.mm.plugin.mall.ui;

import android.content.Intent;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.AbsListView.LayoutParams;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import com.facebook.appevents.codeless.internal.Constants;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.m;
import com.tencent.mm.g.a.on;
import com.tencent.mm.kernel.g;
import com.tencent.mm.platformtools.x$a;
import com.tencent.mm.plugin.mall.a.f;
import com.tencent.mm.plugin.mall.a.j;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.plugin.wallet_core.model.ae;
import com.tencent.mm.plugin.wallet_core.model.l;
import com.tencent.mm.plugin.wallet_core.model.mall.MallFunction;
import com.tencent.mm.plugin.wallet_core.model.mall.b;
import com.tencent.mm.plugin.wallet_core.model.mall.c;
import com.tencent.mm.plugin.wallet_core.model.mall.d;
import com.tencent.mm.plugin.wallet_core.model.r;
import com.tencent.mm.pluginsdk.wallet.i;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ac.a;
import com.tencent.mm.ui.base.t;
import com.tencent.mm.wallet_core.c.z;
import com.tencent.mm.wallet_core.ui.WalletBaseUI;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.UUID;

public abstract class MallIndexBaseUI extends WalletBaseUI implements x$a, l {
    protected String eCq;
    private String ocK = null;
    private String okO = null;
    private ArrayList<MallFunction> okP = null;
    protected int okT;
    private int omA = 0;
    private boolean omB = true;
    protected int omC;
    protected View omD;
    protected View omE;
    private boolean omF = false;
    private TextView omt = null;
    protected ListView omu = null;
    private b omv = null;
    protected ImageView omw = null;
    protected ImageView omx;
    protected TextView omy = null;
    protected TextView omz;

    public abstract void bFY();

    public abstract void bGb();

    public abstract void bNa();

    public abstract void bNb();

    public abstract boolean bNd();

    public abstract void bNh();

    public abstract void bNi();

    public abstract void bNk();

    public abstract void bNm();

    public abstract void bbC();

    public abstract void dp(View view);

    public abstract void initHeaderView();

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public final int getLayoutId() {
        return 2130970038;
    }

    public void onCreate(Bundle bundle) {
        ab.i("MicroMsg.MallIndexBaseUI", "onCreate");
        super.onCreate(bundle);
        if (!g.RK()) {
            ab.v("MicroMsg.MallIndexBaseUI", "MMCore is not ready");
            finish();
        }
        g.RQ();
        int intValue = ((Integer) g.RP().Ry().get(a.xNQ, Integer.valueOf(0))).intValue();
        this.okT = getIntent().getIntExtra("key_wallet_region", intValue);
        this.eCq = getIntent().getStringExtra("key_uuid");
        if (!bo.isNullOrNil(this.eCq)) {
            this.eCq = UUID.randomUUID().toString();
        }
        nf(495);
        r.cPP();
        ae.a(this);
        this.okO = getIntent().getStringExtra("key_func_id");
        ab.i("MicroMsg.MallIndexBaseUI", "mFuncId:" + this.okO + " wallet_region: " + this.okT + " walletType: " + com.tencent.mm.model.r.YG() + " default_region: " + intValue);
        this.ocK = getIntent().getStringExtra("key_native_url");
        ab.i("MicroMsg.MallIndexBaseUI", "mNativeUrl:" + this.ocK);
        if (!bwP()) {
            bFY();
            AM(0);
            ab.i("MicroMsg.MallIndexBaseUI", "index Oncreate");
            bbC();
            initView();
            c.cQW();
            bNa();
            ab.i("MicroMsg.MallIndexBaseUI", "hy: use default controller for MallIndexUI");
            bNb();
            if (com.tencent.mm.model.r.YM()) {
                ab.e("MicroMsg.MallIndexBaseUI", "it is payu account ,not initFingerPrint");
            } else {
                com.tencent.mm.pluginsdk.l lVar = (com.tencent.mm.pluginsdk.l) g.K(com.tencent.mm.pluginsdk.l.class);
                if (lVar != null) {
                    ab.i("MicroMsg.MallIndexBaseUI", "IFingerPrintMgr is not null, do showFingerPrintEntrance()");
                    lVar.bxd();
                } else {
                    ab.e("MicroMsg.MallIndexBaseUI", "IFingerPrintMgr is not null");
                }
            }
            z.hL(1, 0);
            h.pYm.e(11850, new Object[]{Integer.valueOf(1), Integer.valueOf(0)});
        }
    }

    public final void bht() {
    }

    public final boolean bwP() {
        if (bo.isNullOrNil(this.okO) && bo.isNullOrNil(this.ocK)) {
            return false;
        }
        return true;
    }

    public void onResume() {
        int i = 1;
        super.onResume();
        i.Lt(1);
        ab.i("MicroMsg.MallIndexBaseUI", "index onResume");
        if (!g.RK()) {
            ab.v("MicroMsg.MallIndexBaseUI", "MMCore is not ready");
            finish();
        }
        if (bwP()) {
            this.okP = j.bMV().ym(this.okT);
            if (this.okP == null || this.okP.size() <= 0) {
                ab.i("MicroMsg.MallIndexBaseUI", "mFunctionList == null");
                try {
                    if (getIntent().getIntExtra("key_scene", 0) == 1 || !bo.isNullOrNil(this.ocK)) {
                        a(new f(this.okT, b.cQS(), 0), true, false);
                        return;
                    }
                    String stringExtra = getIntent().getStringExtra("key_url");
                    if (stringExtra == null) {
                        stringExtra = "";
                    }
                    a(new f(this.okT, b.cQS(), getIntent().getStringExtra("key_app_id"), this.okO, stringExtra), true, false);
                    return;
                } catch (UnsupportedEncodingException e) {
                    ab.printErrStackTrace("MicroMsg.MallIndexBaseUI", e, "", new Object[0]);
                    bNg();
                    return;
                }
            }
            MallFunction cm = cm(this.okP);
            if (cm == null) {
                cm = cn(this.okP);
            }
            a(cm, -1);
            finish();
            return;
        }
        bNd();
        ab.d("MicroMsg.MallIndexBaseUI", "initFunctionList");
        if (j.bMV().ym(this.okT) == null) {
            a(new f(this.okT, b.cQS(), 0), true, false);
            ab.e("MicroMsg.MallIndexBaseUI", "funcitonlist invalid");
            i = 0;
        } else {
            a(new f(this.okT, b.cQS(), 1), false, false);
            this.okP = j.bMV().ym(this.okT);
        }
        if (i != 0) {
            ab.i("MicroMsg.MallIndexBaseUI", "has data");
            cu();
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final void bNc() {
        if (this.omz.getVisibility() == 0) {
            a.a(this, true, false);
            LayoutParams layoutParams = (LayoutParams) this.omD.getLayoutParams();
            if (layoutParams == null) {
                layoutParams = new LayoutParams(-1, -2);
            }
            layoutParams.height = a.bMX();
            this.omD.setLayoutParams(layoutParams);
        }
    }

    private void bNe() {
        boolean booleanExtra = getIntent().getBooleanExtra("key_wallet_has_red", false);
        if (this.omu.getChildCount() != 0) {
            ab.i("MicroMsg.MallIndexBaseUI", "initCheckNew %s fpos %s top %s", new Object[]{Boolean.valueOf(booleanExtra), Integer.valueOf(this.omu.getFirstVisiblePosition()), Integer.valueOf(this.omu.getChildAt(0).getTop())});
            if (this.omu.getFirstVisiblePosition() == 0 && r2 == 0 && booleanExtra && !this.omF && this.okP != null) {
                this.omF = true;
                int headerViewsCount = this.omu.getHeaderViewsCount() + this.omv.getCount();
                List list = this.omv.olz;
                if (list != null) {
                    for (int size = list.size() - 1; size > 0; size--) {
                        Iterator it = ((ArrayList) list.get(size)).iterator();
                        while (it.hasNext()) {
                            b.c cVar = (b.c) it.next();
                            if (cVar != null && cVar.omd != null && b.a(cVar.omd)) {
                                ab.i("MicroMsg.MallIndexBaseUI", "get listview show top %s bottom %s redPos: %d", new Object[]{Integer.valueOf(this.omu.getFirstVisiblePosition()), Integer.valueOf(this.omu.getLastVisiblePosition()), Integer.valueOf(headerViewsCount)});
                                if (headerViewsCount < this.omu.getFirstVisiblePosition() || headerViewsCount > r1) {
                                    size = a.bMY();
                                    int bMX = (a.bMX() + (a.bMW() * (headerViewsCount + 1))) + size;
                                    if (headerViewsCount > 2) {
                                        bMX += size;
                                    }
                                    if (headerViewsCount > 3) {
                                        bMX += size;
                                    }
                                    size = (bMX + (a.bMW() / 3)) - this.omu.getScrollY();
                                    bMX = com.tencent.mm.ui.ae.hy(this).y;
                                    if (com.tencent.mm.ui.ae.hw(this)) {
                                        bMX -= com.tencent.mm.ui.ae.fr(this);
                                    }
                                    if (getSupportActionBar() != null) {
                                        bMX -= getSupportActionBar().getHeight();
                                    }
                                    this.omu.smoothScrollBy(size - bMX, Constants.APP_INDEXING_SCHEDULE_INTERVAL_MS);
                                    return;
                                }
                                return;
                            }
                        }
                        headerViewsCount--;
                    }
                }
            }
        }
    }

    public void a(MallFunction mallFunction, int i) {
        int i2;
        if (mallFunction != null && i >= 0) {
            String str = "";
            if (!(mallFunction.tDn == null || bo.isNullOrNil(mallFunction.tDn.ssr))) {
                str = mallFunction.tDn.ssr;
            }
            int size = this.okP == null ? 0 : this.okP.size();
            boolean a = b.a(mallFunction);
            h hVar = h.pYm;
            Object[] objArr = new Object[6];
            objArr[0] = mallFunction.pFP;
            objArr[1] = Integer.valueOf(size);
            objArr[2] = Integer.valueOf(0);
            objArr[3] = Integer.valueOf(i);
            objArr[4] = str;
            if (a) {
                i2 = 2;
            } else {
                i2 = 1;
            }
            objArr[5] = Integer.valueOf(i2);
            hVar.e(10881, objArr);
        }
        if (mallFunction == null || bo.isNullOrNil(mallFunction.cRS) || !((com.tencent.mm.plugin.appbrand.service.f) g.K(com.tencent.mm.plugin.appbrand.service.f.class)).Cl(mallFunction.cRS)) {
            if (mallFunction != null) {
                c.cQT().acI(mallFunction.pFP);
                d.cQX().acI(mallFunction.pFP);
                if (mallFunction.tDn != null) {
                    c.cQT();
                    c.e(mallFunction);
                }
                if ("wxpay://bizmall/mobile_recharge".equals(mallFunction.cRS)) {
                    i2 = 0;
                } else if ("wxpay://bizmall/weixin_hongbao".equals(mallFunction.cRS)) {
                    i2 = 4;
                } else if ("wxpay://bizmall/weixin_scan_qrcode".equals(mallFunction.cRS)) {
                    i2 = 8;
                } else if ("wxpay://bizmall/weixin_transfer".equals(mallFunction.cRS)) {
                    i2 = 5;
                } else if ("wxpay://bizmall/weixin_offline_pay".equals(mallFunction.cRS)) {
                    i2 = 6;
                } else if ("wxpay://bizmall/old_mobile_recharge".equals(mallFunction.cRS)) {
                    i2 = 7;
                } else if (!bo.isNullOrNil(mallFunction.nmz)) {
                    i2 = 1;
                } else if ("wxpay://bizmall/f2f_hongbao".equals(mallFunction.cRS)) {
                    i2 = 9;
                } else {
                    ab.w("MicroMsg.MallIndexUIHelper", "doSelectFunction no jump");
                    i2 = 2;
                }
            } else {
                i2 = 3;
            }
            ab.i("MicroMsg.MallIndexBaseUI", "functionType : ".concat(String.valueOf(i2)));
            Intent intent;
            switch (i2) {
                case 0:
                    intent = new Intent();
                    if (bwP()) {
                        intent.putExtra("key_is_hide_progress", true);
                    }
                    intent.putExtra("key_func_info", mallFunction);
                    com.tencent.mm.bp.d.b(this, "recharge", ".ui.PhoneRechargeUI", intent);
                    z.hL(15, 0);
                    return;
                case 1:
                    g.RQ();
                    this.okT = ((Integer) g.RP().Ry().get(a.xNQ, Integer.valueOf(0))).intValue();
                    intent = new Intent();
                    intent.putExtra("rawUrl", mallFunction.nmz);
                    intent.putExtra("geta8key_username", com.tencent.mm.model.r.Yz());
                    intent.putExtra("pay_channel", 1);
                    intent.putExtra("KPublisherId", "pay_wallet");
                    intent.putExtra("key_download_restrict", mallFunction.tDp);
                    intent.putExtra("key_wallet_region", this.okT);
                    intent.putExtra("key_function_id", mallFunction.pFP);
                    intent.putExtra("geta8key_scene", 46);
                    com.tencent.mm.bp.d.b(this, "webview", "com.tencent.mm.plugin.webview.ui.tools.WebViewUI", intent);
                    return;
                case 2:
                    ab.w("MicroMsg.MallIndexBaseUI", "doSelectFunction no jump");
                    return;
                case 3:
                    ab.w("MicroMsg.MallIndexBaseUI", "doSelectFunction do nothing");
                    t.makeText(this, "fuction list error", 1).show();
                    return;
                case 4:
                    h.pYm.e(11701, new Object[]{Integer.valueOf(0), Integer.valueOf(0), Integer.valueOf(0), Integer.valueOf(0), Integer.valueOf(1)});
                    intent = new Intent();
                    intent.putExtra("pay_channel", 1);
                    com.tencent.mm.bp.d.b(this, "luckymoney", ".ui.LuckyMoneyIndexUI", intent);
                    z.hL(13, 0);
                    h.pYm.e(11850, new Object[]{Integer.valueOf(4), Integer.valueOf(0)});
                    return;
                case 5:
                    h.pYm.e(11458, new Object[]{Integer.valueOf(1)});
                    if (com.tencent.mm.model.r.YM()) {
                        LinkedList linkedList = new LinkedList();
                        LinkedList linkedList2 = new LinkedList();
                        linkedList.add(getString(2131302471));
                        linkedList2.add(Integer.valueOf(0));
                        linkedList.add(getString(2131298404));
                        linkedList2.add(Integer.valueOf(1));
                        com.tencent.mm.ui.base.h.a(this, getString(2131302381), linkedList, linkedList2, null, true, new 3(this));
                    } else {
                        g.RQ();
                        if (((Boolean) g.RP().Ry().get(a.xJU, Boolean.FALSE)).booleanValue()) {
                            bNj();
                        } else {
                            g.RQ();
                            g.RP().Ry().set(a.xJU, Boolean.TRUE);
                            com.tencent.mm.ui.base.h.a(this, getString(2131304845), "", new 4(this));
                        }
                    }
                    z.hL(14, 0);
                    h.pYm.e(11850, new Object[]{Integer.valueOf(3), Integer.valueOf(0)});
                    return;
                case 6:
                    intent = new Intent();
                    intent.putExtra("key_from_scene", 1);
                    com.tencent.mm.bp.d.b(this.mController.ylL, "offline", ".ui.WalletOfflineEntranceUI", intent);
                    z.hL(9, 0);
                    h.pYm.e(11850, new Object[]{Integer.valueOf(5), Integer.valueOf(0)});
                    return;
                case 7:
                    intent = new Intent();
                    if (bwP()) {
                        intent.putExtra("key_is_hide_progress", true);
                    }
                    intent.putExtra("key_func_info", mallFunction);
                    com.tencent.mm.bp.d.b(this, "recharge", ".ui.RechargeUI", intent);
                    return;
                case 8:
                    intent = new Intent();
                    intent.putExtra("BaseScanUI_select_scan_mode", 1);
                    com.tencent.mm.bp.d.b(this.mController.ylL, "scanner", ".ui.BaseScanUI", intent);
                    return;
                case 9:
                    com.tencent.mm.bp.d.H(this.mController.ylL, "luckymoney", ".f2f.ui.LuckyMoneyF2FQRCodeUI");
                    return;
                default:
                    return;
            }
        }
        ab.i("MicroMsg.MallIndexBaseUI", "handleFunction, intercept by AppBrandNativeLink, nativeUrl = %s", new Object[]{mallFunction.cRS});
        c.cQT().acI(mallFunction.pFP);
        d.cQX().acI(mallFunction.pFP);
        if (mallFunction.tDn != null) {
            c.cQT();
            c.e(mallFunction);
        }
    }

    public void onDestroy() {
        ng(495);
        r.cPP();
        ae.b(this);
        super.onDestroy();
    }

    public boolean c(int i, int i2, String str, m mVar) {
        ab.d("MicroMsg.MallIndexBaseUI", "onOtherSceneEnd");
        if (mVar instanceof com.tencent.mm.plugin.wallet_core.c.b.a) {
            ab.d("MicroMsg.MallIndexBaseUI", "hy: query bound scene end");
            if (i != 0 || i2 != 0) {
                finish();
                return true;
            } else if (this.omB) {
                this.omB = false;
                if (r.cPE().cRh().cQi()) {
                    com.tencent.mm.wallet_core.a.b(this, "PayUOpenProcess", null);
                    return true;
                }
            }
        }
        switch (mVar.getType()) {
            case 495:
                f fVar = (f) mVar;
                if (fVar.okT != this.okT) {
                    ab.i("MicroMsg.MallIndexBaseUI", "pass wallet local: %d cgi: %d", new Object[]{Integer.valueOf(this.okT), Integer.valueOf(fVar.okT)});
                }
                if (bwP()) {
                    ab.d("MicroMsg.MallIndexBaseUI", "errorType:%d | errCode:%d", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
                    if (i == 0 && i2 == 0 && fVar.okP != null) {
                        MallFunction cm;
                        if (getIntent().getIntExtra("key_scene", 0) == 1) {
                            cm = cm(fVar.okP);
                            if (cm != null) {
                                a(cm, -1);
                            }
                        } else if (!bo.isNullOrNil(this.ocK)) {
                            ab.d("MicroMsg.MallIndexBaseUI", "NativeUrl: %s", new Object[]{this.ocK});
                            cm = cn(fVar.okP);
                            if (cm != null) {
                                a(cm, -1);
                            } else {
                                bNg();
                                return true;
                            }
                        } else if (fVar.okP != null && fVar.okP.size() > 0) {
                            ab.i("MicroMsg.MallIndexBaseUI", "functionScene.mFunctionList != null");
                            a(cm(fVar.okP), -1);
                        } else if (j.bMV().ym(this.okT) == null || j.bMV().ym(this.okT).size() <= 0) {
                            ab.e("MicroMsg.MallIndexBaseUI", "SubCoreMall.getCore().getFunctionList() == null");
                        } else {
                            ab.i("MicroMsg.MallIndexBaseUI", "SubCoreMall.getCore().getFunctionList() != null");
                            a(cm(j.bMV().ym(this.okT)), -1);
                        }
                        setResult(-1);
                        finish();
                        return true;
                    }
                    bNg();
                    return true;
                }
                if (i == 0 && i2 == 0 && j.bMV().ym(this.okT) != null && fVar.okP != null) {
                    this.okP = j.bMV().ym(this.okT);
                    ab.i("MicroMsg.MallIndexBaseUI", "get from server now! " + this.okT + " " + this.okP.size());
                    c.cQT().X(this.okP);
                }
                cu();
                bNe();
                bGb();
                return true;
            default:
                return false;
        }
    }

    private MallFunction cm(List<MallFunction> list) {
        if (list == null || list.size() == 0 || TextUtils.isEmpty(this.okO)) {
            return null;
        }
        int i = 0;
        while (true) {
            int i2 = i;
            if (i2 >= list.size()) {
                return null;
            }
            MallFunction mallFunction = (MallFunction) list.get(i2);
            if (mallFunction != null && this.okO.equals(mallFunction.pFP)) {
                return mallFunction;
            }
            i = i2 + 1;
        }
    }

    private MallFunction cn(List<MallFunction> list) {
        if (list == null || list.size() == 0 || TextUtils.isEmpty(this.ocK)) {
            return null;
        }
        int i = 0;
        while (true) {
            int i2 = i;
            if (i2 >= list.size()) {
                return null;
            }
            MallFunction mallFunction = (MallFunction) list.get(i2);
            if (mallFunction != null && this.ocK.equals(mallFunction.cRS)) {
                return mallFunction;
            }
            i = i2 + 1;
        }
    }

    public final boolean bwQ() {
        if (!bwP()) {
            cu();
        }
        return true;
    }

    public final boolean bNf() {
        return false;
    }

    public final void m(String str, Bitmap bitmap) {
    }

    private void bNg() {
        setResult(0);
        finish();
    }

    public final void cu() {
        showOptionMenu(true);
        this.omv.J(this.okP);
        bNi();
        bNk();
        bNl();
        bNm();
    }

    public void onStop() {
        super.onStop();
    }

    public void initView() {
        ab.d("MicroMsg.MallIndexBaseUI", "index initView");
        setBackBtn(new 1(this));
        this.omu = (ListView) findViewById(2131825793);
        initHeaderView();
        bGb();
        this.omv = new b(this, this.okT);
        this.omu.setAdapter(this.omv);
        this.omv.olA = new 2(this);
        dp(this.omD);
        this.omz = (TextView) findViewById(2131821634);
        bNh();
    }

    private void bNj() {
        if (com.tencent.mm.model.r.YM()) {
            com.tencent.mm.wallet_core.a.b(this.mController.ylL, "PayURemittanceProcess", null);
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putInt("pay_channel", 1);
        com.tencent.mm.wallet_core.a.b(this.mController.ylL, "RemittanceProcess", bundle);
    }

    public void finish() {
        super.finish();
    }

    private void bNl() {
        if (this.omt != null) {
            this.omt.setVisibility(8);
        }
    }

    public final int getForceOrientation() {
        return 1;
    }

    public final void yq(int i) {
        if (i == 12 && this.omy != null) {
            bNi();
        }
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        if (i == 1) {
            g.RQ();
            this.okT = ((Integer) g.RP().Ry().get(a.xNQ, Integer.valueOf(0))).intValue();
            if (i2 != -1) {
                return;
            }
            if (com.tencent.mm.model.r.YN()) {
                finish();
                return;
            }
            finish();
            on onVar = new on();
            onVar.cKQ.context = this.mController.ylL;
            com.tencent.mm.sdk.b.a.xxA.m(onVar);
        }
    }
}
