package com.tencent.mm.plugin.scanner.ui;

import android.annotation.TargetApi;
import android.app.ProgressDialog;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.net.Uri;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.text.TextUtils;
import android.util.TypedValue;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup.LayoutParams;
import android.view.animation.AlphaAnimation;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.e;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.g.a.cl;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.bz;
import com.tencent.mm.model.r;
import com.tencent.mm.modelgeo.b.a;
import com.tencent.mm.modelgeo.d;
import com.tencent.mm.opensdk.constants.ConstantsAPI;
import com.tencent.mm.platformtools.aa;
import com.tencent.mm.platformtools.x;
import com.tencent.mm.platformtools.x$a;
import com.tencent.mm.plugin.messenger.foundation.a.p;
import com.tencent.mm.plugin.scanner.a.i;
import com.tencent.mm.plugin.scanner.a.j;
import com.tencent.mm.plugin.scanner.a.l;
import com.tencent.mm.plugin.scanner.util.o;
import com.tencent.mm.plugin.scanner.util.q;
import com.tencent.mm.protocal.protobuf.abe;
import com.tencent.mm.protocal.protobuf.abf;
import com.tencent.mm.protocal.protobuf.abl;
import com.tencent.mm.protocal.protobuf.ko;
import com.tencent.mm.protocal.protobuf.kq;
import com.tencent.mm.sdk.b.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.br;
import com.tencent.mm.sdk.platformtools.k;
import com.tencent.mm.storage.ad;
import com.tencent.mm.storage.bi;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.preference.MMPreference;
import com.tencent.mm.ui.base.preference.Preference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

public class ProductUI extends MMPreference implements f, x$a {
    private long cvx;
    private d ecr;
    private a ecy = new 1(this);
    protected ProgressDialog ehJ = null;
    protected com.tencent.mm.ui.base.preference.f ehK;
    private boolean fwx = false;
    private int gOW;
    private TextView gne;
    private TextView gsS;
    private c hAA = new 5(this);
    private String kWz;
    private long mStartTime;
    private boolean nPX;
    private List<MusicPreference> oMb;
    private ImageView qcU;
    private ImageView qcV;
    private View qcW;
    private TextView qcX;
    private ImageView qcY;
    private View qcZ;
    private LinearLayout qda;
    private ImageView qdb;
    private o.a qdc;
    private View qdd;
    private int qde = 0;
    private int qdf;
    private a qdg;
    private boolean qdh = false;
    private HashMap<String, Boolean> qdi;
    private e.a qdj;
    private String qdk;
    private boolean qdl = false;
    private String qdm;
    private boolean qdn = false;
    private boolean qdo = false;
    private boolean qdp = false;
    private com.tencent.mm.plugin.scanner.history.a.a qdq;
    private bz.a qdr = new bz.a() {
        public final void a(e.a aVar) {
            AppMethodBeat.i(81090);
            String a = aa.a(aVar.eAB.vED);
            ab.i("MicroMsg.scanner.ProductUI", "lo-scanner-onRecieveMsg");
            o.a a2 = ProductUI.this.qdc;
            if (!(a2 == null || bo.isNullOrNil(a))) {
                Map z = br.z(a, "sysmsg");
                a = (String) z.get(".sysmsg.scanproductinfo.product.id");
                if (bo.isNullOrNil(a2.field_productid) || !a2.field_productid.equals(a)) {
                    ab.i("MicroMsg.ProductUpdateLogic", "lo-scanner-doUpdateActionLogicByNewXml: product id not match, productId=" + bo.nullAsNil(a) + ", target=" + a2.field_productid);
                } else {
                    LinkedList l = com.tencent.mm.plugin.scanner.a.a.l(z, ".sysmsg.scanproductinfo.product");
                    HashMap hashMap = new HashMap();
                    for (int i = 0; i < l.size(); i++) {
                        LinkedList linkedList = ((com.tencent.mm.plugin.scanner.a.a) l.get(i)).fPL;
                        if (linkedList != null) {
                            for (int i2 = 0; i2 < linkedList.size(); i2++) {
                                com.tencent.mm.plugin.scanner.a.a.a aVar2 = (com.tencent.mm.plugin.scanner.a.a.a) linkedList.get(i2);
                                if (aVar2 != null) {
                                    hashMap.put(aVar2.key, aVar2);
                                }
                            }
                        }
                    }
                    ab.i("MicroMsg.ProductUpdateLogic", "lo-scanner-doUpdateActionLogicByNewXml: toUpdateSize=" + hashMap.size());
                    l.b(a2.qiL, hashMap);
                }
            }
            al.d(new 1(this));
            AppMethodBeat.o(81090);
        }
    };
    private MusicPreference.a qds = new 4(this);
    private boolean qdt = true;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public ProductUI() {
        AppMethodBeat.i(81105);
        AppMethodBeat.o(81105);
    }

    static /* synthetic */ boolean Wm(String str) {
        AppMethodBeat.i(81137);
        boolean Wi = Wi(str);
        AppMethodBeat.o(81137);
        return Wi;
    }

    static /* synthetic */ void a(ProductUI productUI, int i, String str) {
        AppMethodBeat.i(81132);
        productUI.bb(i, str);
        AppMethodBeat.o(81132);
    }

    static /* synthetic */ int m(ProductUI productUI) {
        AppMethodBeat.i(81134);
        int aGu = productUI.aGu();
        AppMethodBeat.o(81134);
        return aGu;
    }

    static /* synthetic */ void p(View view, float f) {
        AppMethodBeat.i(81142);
        o(view, f);
        AppMethodBeat.o(81142);
    }

    static /* synthetic */ void q(ProductUI productUI) {
        AppMethodBeat.i(81138);
        productUI.cho();
        AppMethodBeat.o(81138);
    }

    static /* synthetic */ void t(ProductUI productUI) {
        AppMethodBeat.i(81140);
        productUI.chn();
        AppMethodBeat.o(81140);
    }

    public final int getLayoutId() {
        return 2130970380;
    }

    public final int JC() {
        return 2131165257;
    }

    public final int aWi() {
        return 2130970387;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(81106);
        super.onCreate(bundle);
        this.mStartTime = bo.anT();
        this.gOW = getIntent().getIntExtra("key_ProductUI_getProductInfoScene", 0);
        x.b(this);
        ((p) g.M(p.class)).getSysCmdMsgExtension().a("scanproductinfo", this.qdr, true);
        initView();
        AppMethodBeat.o(81106);
    }

    public void onResume() {
        AppMethodBeat.i(81107);
        super.onResume();
        g.Rg().a(1063, this);
        g.Rg().a(1068, this);
        AppMethodBeat.o(81107);
    }

    public void onPause() {
        AppMethodBeat.i(81108);
        g.Rg().b(1063, this);
        g.Rg().b(1068, this);
        super.onPause();
        AppMethodBeat.o(81108);
    }

    public void onDestroy() {
        AppMethodBeat.i(81109);
        x.c(this);
        ((p) g.M(p.class)).getSysCmdMsgExtension().b("scanproductinfo", this.qdr, true);
        com.tencent.mm.sdk.b.a.xxA.d(this.hAA);
        if (this.ecr != null) {
            this.ecr.c(this.ecy);
        }
        bb(10100, (bo.anT() - this.mStartTime));
        super.onDestroy();
        AppMethodBeat.o(81109);
    }

    public final void initView() {
        AppMethodBeat.i(81110);
        setMMTitle(2131302767);
        this.ehK = this.yCw;
        chq();
        setBackBtn(new 10(this));
        this.gne = (TextView) findViewById(2131826592);
        this.qcV = (ImageView) findViewById(2131826584);
        this.qcW = findViewById(2131826585);
        this.qcY = (ImageView) findViewById(2131826594);
        this.qdd = findViewById(2131826577);
        this.qda = (LinearLayout) findViewById(2131826586);
        this.qdb = (ImageView) findViewById(2131826597);
        this.qcZ = findViewById(2131826593);
        o(this.qdd, 0.0f);
        if (com.tencent.mm.bz.a.ga(this.mController.ylL)) {
            this.gne.setTextSize(0, ((float) this.mController.ylL.getResources().getDimensionPixelSize(2131427577)) * 1.25f);
        } else {
            this.gne.setTextSize(0, (float) com.tencent.mm.bz.a.al(this.mController.ylL, 2131427577));
        }
        this.qcX = (TextView) findViewById(2131826595);
        this.gsS = (TextView) findViewById(2131826576);
        this.qdi = new HashMap();
        this.qdj = new 11(this);
        this.qdq = new com.tencent.mm.plugin.scanner.history.a.a();
        this.qdq.field_ScanTime = System.currentTimeMillis();
        this.qdq.field_scene = this.gOW;
        String stringExtra;
        String Wj;
        if (this.gOW == 5) {
            this.qdn = true;
            stringExtra = getIntent().getStringExtra("key_Qrcode_Url");
            Wj = Wj(stringExtra);
            this.qdq.field_qrcodeUrl = stringExtra;
            this.qdq.field_productId = Wj;
            u(Wj, stringExtra, false);
        } else if (this.gOW == 4) {
            stringExtra = getIntent().getStringExtra("key_product_id");
            Wj = getIntent().getStringExtra("key_Qrcode_Url");
            if (bo.isNullOrNil(stringExtra)) {
                ab.e("MicroMsg.scanner.ProductUI", "jsapi jump finish productId null");
                finish();
                AppMethodBeat.o(81110);
                return;
            }
            u(stringExtra, Wj, false);
        } else {
            this.qdp = getIntent().getBooleanExtra("key_is_from_barcode", false);
            this.qdn = getIntent().getBooleanExtra("key_need_add_to_history", false);
            stringExtra = getIntent().getStringExtra("key_Product_xml");
            if (bo.isNullOrNil(stringExtra)) {
                stringExtra = getIntent().getStringExtra("key_Product_ID");
                if (bo.isNullOrNil(stringExtra)) {
                    ab.e("MicroMsg.scanner.ProductUI", "normal finish productId null");
                    finish();
                    AppMethodBeat.o(81110);
                    return;
                }
                u(stringExtra, null, false);
            } else {
                int intExtra = getIntent().getIntExtra("key_Product_funcType", 0);
                this.qdc = j.cV(stringExtra, intExtra);
                if (this.qdc == null) {
                    ab.e("MicroMsg.scanner.ProductUI", "initView(), product == null");
                    finish();
                    AppMethodBeat.o(81110);
                    return;
                }
                this.kWz = this.qdc.field_productid;
                this.qdk = this.qdc.field_extinfo;
                if (!this.qdn || TextUtils.isEmpty(this.kWz)) {
                    ab.i("MicroMsg.scanner.ProductUI", "shouldAddToHistory:" + this.qdn + " mProductId:" + this.kWz);
                } else {
                    this.qdq.field_xmlContent = stringExtra;
                    this.qdq.field_qrcodeUrl = this.qdk;
                    this.qdq.field_productId = this.kWz;
                    this.qdq.field_funcType = intExtra;
                    chs();
                }
                o.a aVar = this.qdc;
                getIntent().getBooleanExtra("key_ProductUI_addToDB", true);
                a(aVar);
                if (intExtra != 0 || bo.isNullOrNil(this.qdc.field_productid)) {
                    chr();
                } else {
                    u(this.qdc.field_productid, this.qdc.field_extinfo, true);
                }
            }
        }
        findViewById(2131826582).setOnClickListener(new 12(this));
        findViewById(2131826596).setOnClickListener(new 13(this));
        this.qcZ.setOnClickListener(new 14(this));
        b bVar = new b(this);
        AppMethodBeat.o(81110);
    }

    private void a(final o.a aVar) {
        AppMethodBeat.i(81112);
        if (aVar == null) {
            ab.e("MicroMsg.scanner.ProductUI", "refreshViewByProduct(), pd == null");
            finish();
            AppMethodBeat.o(81112);
            return;
        }
        if (!bo.isNullOrNil(aVar.field_thumburl)) {
            this.qdg = new a(aVar);
        }
        chm();
        if (bo.isNullOrNil(aVar.field_introtitle) || bo.isNullOrNil(aVar.field_introlink)) {
            this.gsS.setVisibility(8);
        } else {
            this.gsS.setText(aVar.field_introtitle);
            this.gsS.setOnClickListener(new 15(this, aVar));
            this.gsS.setVisibility(0);
        }
        this.qde = this.qdc.field_functionType;
        if (aVar.field_xmlType == 3) {
            this.gne.setText(aVar.field_title);
            if (bo.isNullOrNil(aVar.field_certification)) {
                this.qcX.setText(aVar.field_source);
                this.qcY.setVisibility(8);
                this.qcZ.setOnClickListener(null);
                this.qcZ.setBackgroundDrawable(null);
                this.qcZ.setFocusable(false);
            } else {
                this.qcX.setText(aVar.field_certification);
                this.qcY.setVisibility(0);
            }
            if (aVar.field_type == 1 || aVar.field_type == 2) {
                this.qcU = (ImageView) findViewById(2131826588);
                findViewById(2131826588).setVisibility(0);
                findViewById(2131826589).setVisibility(8);
            } else {
                this.qcU = (ImageView) findViewById(2131826589);
                findViewById(2131826589).setVisibility(0);
                findViewById(2131826588).setVisibility(8);
            }
            if (!bo.isNullOrNil(aVar.field_playurl)) {
                ImageView imageView = (ImageView) findViewById(2131826590);
                imageView.setVisibility(0);
                imageView.setOnClickListener(new OnClickListener() {
                    public final void onClick(View view) {
                        AppMethodBeat.i(81099);
                        Intent intent = new Intent("android.intent.action.VIEW");
                        k.a(ProductUI.this.mController.ylL, intent, Uri.parse(aVar.field_playurl), "video/*");
                        ProductUI.this.startActivity(intent);
                        AppMethodBeat.o(81099);
                    }
                });
            }
            addIconOptionMenu(0, 2130839555, new 2(this));
        } else if (aVar.field_xmlType == 4) {
            this.qcU = (ImageView) findViewById(2131826589);
            findViewById(2131826589).setVisibility(0);
            findViewById(2131826588).setVisibility(8);
            this.qcU.setImageResource(2131231884);
            this.qcU.setBackgroundResource(2131231884);
            this.gne.setText(2131302744);
            this.qcX.setText(null);
        }
        ab.v("MicroMsg.scanner.ProductUI", "start postToMainThread initBodyView");
        al.d(new 3(this, aVar));
        AppMethodBeat.o(81112);
    }

    private void chn() {
        AppMethodBeat.i(81113);
        this.cvx = getIntent().getLongExtra("key_ProductUI_chatting_msgId", 0);
        if (this.cvx > 0 && g.RK()) {
            bi jf = ((com.tencent.mm.plugin.messenger.foundation.a.j) g.K(com.tencent.mm.plugin.messenger.foundation.a.j.class)).bOr().jf(this.cvx);
            if (jf.field_msgId > 0) {
                jf.jv(this.qdg.anJ());
                ((com.tencent.mm.plugin.messenger.foundation.a.j) g.K(com.tencent.mm.plugin.messenger.foundation.a.j.class)).bOr().a(this.cvx, jf);
            }
        }
        AppMethodBeat.o(81113);
    }

    private void b(o.a aVar) {
        AppMethodBeat.i(81114);
        if (aVar == null || aVar.qiL == null || aVar.qiL.size() == 0 || this.ehK == null) {
            AppMethodBeat.o(81114);
            return;
        }
        this.ehK.removeAll();
        for (int i = 0; i < aVar.qiL.size(); i++) {
            com.tencent.mm.plugin.scanner.a.a aVar2 = (com.tencent.mm.plugin.scanner.a.a) aVar.qiL.get(i);
            if (!(aVar2 == null || aVar2.fPL == null || aVar2.fPL.size() == 0 || aVar2.pZh == 1 || !aVar2.pZj)) {
                if (i != 0) {
                    Preference preference = new Preference(this);
                    preference.setLayoutResource(2130970378);
                    this.ehK.b(preference);
                }
                if (!bo.isNullOrNil(aVar2.title) && (aVar2.type == 6 || aVar2.type == 7)) {
                    CategoryWithTitlePreference categoryWithTitlePreference = new CategoryWithTitlePreference(this);
                    categoryWithTitlePreference.setTitle(aVar2.title);
                    this.ehK.b(categoryWithTitlePreference);
                }
                int i2;
                com.tencent.mm.plugin.scanner.a.a.a aVar3;
                if (aVar2.type == 6) {
                    ArrayList arrayList = new ArrayList();
                    for (i2 = 0; i2 < aVar2.fPL.size(); i2++) {
                        aVar3 = (com.tencent.mm.plugin.scanner.a.a.a) aVar2.fPL.get(i2);
                        if (aVar3.type == 10) {
                            arrayList.add(aVar3);
                        }
                    }
                    if (arrayList.size() > 0) {
                        h hVar = new h(this);
                        hVar.setKey((i * 100));
                        hVar.pil = arrayList;
                        this.ehK.b(hVar);
                    }
                } else {
                    i2 = 0;
                    while (i2 < aVar2.fPL.size()) {
                        String str = ((i * 100) + i2);
                        aVar3 = (com.tencent.mm.plugin.scanner.a.a.a) aVar2.fPL.get(i2);
                        if (aVar3.type == 11) {
                            this.qdl = true;
                            this.qdm = aVar3.name;
                        }
                        if (aVar3.showType != 2) {
                            if (aVar3.showType != 1) {
                                if (aVar3.type == 5) {
                                    MusicPreference musicPreference = new MusicPreference(this);
                                    musicPreference.setKey(str);
                                    musicPreference.setTitle(aVar3.name);
                                    musicPreference.pZl = aVar3.pZl;
                                    musicPreference.pZm = aVar3.pZm;
                                    musicPreference.pZn = aVar3.pZn;
                                    if (Wi(String.format("%s_cd_%s", new Object[]{aVar3.pZl, str}))) {
                                        musicPreference.kk(true);
                                    } else {
                                        musicPreference.kk(false);
                                    }
                                    musicPreference.qcA = this.qds;
                                    this.ehK.b(musicPreference);
                                    com.tencent.mm.sdk.b.a.xxA.c(this.hAA);
                                    if (this.oMb == null) {
                                        this.oMb = new ArrayList();
                                    }
                                    if (this.qdt) {
                                        this.oMb.add(musicPreference);
                                    }
                                } else if (aVar3.type == 6) {
                                    e eVar = new e(this);
                                    eVar.setKey(str);
                                    eVar.mTitle = aVar3.name;
                                    eVar.setSummary(aVar3.desc);
                                    this.ehK.b(eVar);
                                    eVar.qcp = this.qdj;
                                } else if (aVar3.type == 12) {
                                    f fVar = new f(this);
                                    fVar.setKey(str);
                                    fVar.kXM = aVar3.thumburl;
                                    fVar.ehK = this.ehK;
                                    this.ehK.b(fVar);
                                } else if (aVar3.type == 2) {
                                    CharSequence charSequence = Wk(aVar3.username) ? aVar3.pZt : aVar3.pZs;
                                    a aVar4 = new a(this);
                                    aVar4.setKey(str);
                                    aVar4.setTitle(charSequence);
                                    aVar4.setSummary(aVar3.desc);
                                    aVar4.qaJ = aVar3.fjz;
                                    this.ehK.b(aVar4);
                                } else if (aVar3.type == 22) {
                                    d dVar = new d(this);
                                    dVar.setKey(str);
                                    if (!bo.isNullOrNil(aVar3.nickname)) {
                                        dVar.kux = aVar3.nickname + ":";
                                    }
                                    dVar.mXp = aVar3.content;
                                    dVar.qcd = aVar3.thumburl;
                                    this.ehK.b(dVar);
                                } else {
                                    a aVar5 = new a(this);
                                    aVar5.setKey(str);
                                    aVar5.setTitle(aVar3.name);
                                    aVar5.setSummary(aVar3.desc);
                                    aVar5.qaJ = aVar3.fjz;
                                    aVar5.kWC = aVar3.iconUrl;
                                    this.ehK.b(aVar5);
                                }
                                if (!(i2 >= aVar2.fPL.size() - 1 || aVar3.type == 12 || ((com.tencent.mm.plugin.scanner.a.a.a) aVar2.fPL.get(i2 + 1)).type == 12 || ((com.tencent.mm.plugin.scanner.a.a.a) aVar2.fPL.get(i2 + 1)).showType == 1 || !c(i2, aVar2.fPL))) {
                                    this.ehK.b(new g(this));
                                }
                            } else if (!bo.isNullOrNil(aVar3.image)) {
                                b bVar = new b(this);
                                bVar.setKey(str);
                                bVar.kXM = aVar3.image;
                                bVar.ehK = this.ehK;
                                this.ehK.b(bVar);
                            }
                        }
                        i2++;
                    }
                }
            }
        }
        this.ehK.notifyDataSetChanged();
        ab.d("MicroMsg.scanner.ProductUI", "initBodyView finish");
        if (this.oMb != null) {
            this.qdt = false;
        }
        AppMethodBeat.o(81114);
    }

    private static boolean c(int i, LinkedList<com.tencent.mm.plugin.scanner.a.a.a> linkedList) {
        AppMethodBeat.i(81115);
        if (linkedList != null) {
            int i2 = i + 1;
            while (true) {
                int i3 = i2;
                if (i3 >= linkedList.size()) {
                    break;
                } else if (((com.tencent.mm.plugin.scanner.a.a.a) linkedList.get(i3)).showType != 2) {
                    AppMethodBeat.o(81115);
                    return true;
                } else {
                    i2 = i3 + 1;
                }
            }
        }
        AppMethodBeat.o(81115);
        return false;
    }

    private void cho() {
        AppMethodBeat.i(81116);
        if (this.qdc == null || this.qdc.qiL == null || this.qdc.qiL.size() == 0 || this.ehK == null) {
            AppMethodBeat.o(81116);
            return;
        }
        for (int i = 0; i < this.qdc.qiL.size(); i++) {
            com.tencent.mm.plugin.scanner.a.a aVar = (com.tencent.mm.plugin.scanner.a.a) this.qdc.qiL.get(i);
            if (!(aVar == null || aVar.fPL == null || aVar.fPL.size() == 0)) {
                for (int i2 = 0; i2 < aVar.fPL.size(); i2++) {
                    if (((com.tencent.mm.plugin.scanner.a.a.a) aVar.fPL.get(i2)).type == 5) {
                        MusicPreference musicPreference = (MusicPreference) this.ehK.aqO(((i * 100) + i2));
                        if (musicPreference != null) {
                            if (Wi(String.format("%s_cd_%s", new Object[]{r1.pZl, r6}))) {
                                musicPreference.kk(true);
                            } else {
                                musicPreference.kk(false);
                            }
                        }
                    }
                }
            }
        }
        this.ehK.notifyDataSetChanged();
        AppMethodBeat.o(81116);
    }

    public final boolean a(com.tencent.mm.ui.base.preference.f fVar, Preference preference) {
        AppMethodBeat.i(81117);
        ab.i("MicroMsg.scanner.ProductUI", "onPreferenceTreeClick item: [%s]", new Object[]{preference.mKey});
        if (this.qdc == null || this.qdc.qiL == null) {
            ab.e("MicroMsg.scanner.ProductUI", "product == null || product.actionlist == null");
            AppMethodBeat.o(81117);
            return false;
        }
        try {
            int intValue = Integer.valueOf(preference.mKey).intValue();
            int i = intValue / 100;
            int i2 = intValue % 100;
            ab.v("MicroMsg.scanner.ProductUI", "keyId=[%s], ii=[%s], jj=[%s]", new Object[]{Integer.valueOf(intValue), Integer.valueOf(i), Integer.valueOf(i2)});
            if (i < 0 || i >= this.qdc.qiL.size()) {
                ab.w("MicroMsg.scanner.ProductUI", "index out of bounds, ii=[%s], list Size=[%s]", new Object[]{Integer.valueOf(i), Integer.valueOf(this.qdc.qiL.size())});
                AppMethodBeat.o(81117);
                return false;
            }
            com.tencent.mm.plugin.scanner.a.a aVar = (com.tencent.mm.plugin.scanner.a.a) this.qdc.qiL.get(i);
            if (aVar == null) {
                ab.w("MicroMsg.scanner.ProductUI", "actionList == null");
                AppMethodBeat.o(81117);
                return false;
            }
            if (i2 >= 0) {
                if (i2 < aVar.fPL.size()) {
                    com.tencent.mm.plugin.scanner.a.a.a aVar2 = (com.tencent.mm.plugin.scanner.a.a.a) aVar.fPL.get(i2);
                    if (aVar2 == null) {
                        ab.w("MicroMsg.scanner.ProductUI", "action == null");
                        AppMethodBeat.o(81117);
                        return false;
                    }
                    ab.i("MicroMsg.scanner.ProductUI", "action.type = [%s]", new Object[]{Integer.valueOf(aVar2.type)});
                    String str = null;
                    Intent intent = new Intent();
                    switch (aVar2.type) {
                        case 1:
                        case 3:
                        case ConstantsAPI.COMMAND_PAY_INSURANCE /*22*/:
                            str = aVar2.link;
                            if (!bo.isNullOrNil(aVar2.link)) {
                                Wl(aVar2.link);
                                break;
                            }
                            break;
                        case 2:
                        case 4:
                            str = aVar2.username;
                            if (!bo.isNullOrNil(aVar2.username)) {
                                String str2 = aVar2.username;
                                Intent intent2;
                                if (!Wk(str2)) {
                                    if (!TextUtils.isEmpty(str2)) {
                                        intent2 = new Intent();
                                        intent2.putExtra("Contact_User", str2);
                                        intent2.putExtra("force_get_contact", true);
                                        intent2.putExtra("Contact_Scene", chp());
                                        com.tencent.mm.plugin.scanner.c.gkE.c(intent2, this);
                                        break;
                                    }
                                    ab.v("MicroMsg.scanner.ProductUI", "username is null");
                                    break;
                                }
                                intent2 = new Intent();
                                intent2.putExtra("Chat_User", str2);
                                intent2.putExtra("finish_direct", true);
                                intent2.putExtra("add_scene", chp());
                                com.tencent.mm.plugin.scanner.c.gkE.d(intent2, this.mController.ylL);
                                break;
                            }
                            break;
                        case 5:
                            str = aVar2.pZn;
                            intent.putExtra("rawUrl", aVar2.pZn);
                            intent.putExtra("geta8key_scene", aGu());
                            com.tencent.mm.plugin.scanner.c.gkE.i(intent, this);
                            com.tencent.mm.aw.a.aic();
                            cho();
                            break;
                        case 6:
                        case 7:
                        case 10:
                            break;
                        case 8:
                            str = aVar2.pZp;
                            intent.putExtra("key_card_id", aVar2.pZr);
                            intent.putExtra("key_card_ext", aVar2.pZq);
                            intent.putExtra("key_from_scene", 9);
                            com.tencent.mm.bp.d.b(this, "card", ".ui.CardDetailUI", intent);
                            break;
                        case 9:
                            str = aVar2.pZp;
                            if (!bo.isNullOrNil(aVar2.pZp)) {
                                intent.putExtra("key_product_id", aVar2.pZp);
                                intent.putExtra("key_product_scene", 12);
                                com.tencent.mm.bp.d.b(this, "product", ".ui.MallProductUI", intent);
                                break;
                            }
                            break;
                        case 11:
                            intent.setClass(this, ProductFurtherInfoUI.class);
                            intent.putExtra("key_Product_xml", this.qdc.field_xml);
                            intent.putExtra("key_title", aVar2.name);
                            startActivity(intent);
                            break;
                        case 12:
                            str = aVar2.link;
                            if (!bo.isNullOrNil(aVar2.link)) {
                                Wl(aVar2.link);
                                break;
                            }
                            break;
                        case ConstantsAPI.COMMAND_NON_TAX_PAY /*21*/:
                            str = aVar2.pZi;
                            intent.setClass(this, ProductPurchaseAreaUI.class);
                            intent.putExtra("key_Product_xml", this.qdc.field_xml);
                            intent.putExtra("referkey", aVar2.pZi);
                            intent.putExtra("key_Product_funcType", this.qde);
                            startActivity(intent);
                            break;
                        default:
                            ab.d("MicroMsg.scanner.ProductUI", "Default go url:" + aVar2.link);
                            if (!bo.isNullOrNil(aVar2.link)) {
                                Wl(aVar2.link);
                                break;
                            }
                            break;
                    }
                    g.Rg().a(new i(this.qdc.field_productid, aVar2.pZo, aVar2.type, str, aVar.fPL.size(), aVar2.showType), 0);
                    AppMethodBeat.o(81117);
                    return true;
                }
            }
            ab.w("MicroMsg.scanner.ProductUI", "index out of bounds, jj=[%s], actions Size=[%s]", new Object[]{Integer.valueOf(i2), Integer.valueOf(aVar.fPL.size())});
            AppMethodBeat.o(81117);
            return false;
        } catch (Exception e) {
            ab.e("MicroMsg.scanner.ProductUI", "onPreferenceTreeClick, [%s]", new Object[]{e.getMessage()});
            ab.printErrStackTrace("MicroMsg.scanner.ProductUI", e, "", new Object[0]);
            AppMethodBeat.o(81117);
            return false;
        }
    }

    private static boolean Wi(String str) {
        AppMethodBeat.i(81118);
        com.tencent.mm.aw.e aih = com.tencent.mm.aw.a.aih();
        if (aih != null && aih.fJS == 5 && str.equals(aih.fJU) && com.tencent.mm.aw.a.aie()) {
            AppMethodBeat.o(81118);
            return true;
        }
        AppMethodBeat.o(81118);
        return false;
    }

    private void bb(int i, String str) {
        AppMethodBeat.i(81119);
        if (this.qdc == null) {
            AppMethodBeat.o(81119);
            return;
        }
        g.Rg().a(new i(this.qdc.field_productid, "", i, str, 0, 0), 0);
        AppMethodBeat.o(81119);
    }

    public final void m(String str, Bitmap bitmap) {
        AppMethodBeat.i(81120);
        if (!(bo.isNullOrNil(str) || this.qdc == null || bitmap == null || bitmap.isRecycled())) {
            ab.d("MicroMsg.scanner.ProductUI", "onGetPictureFinish: notifyKey=".concat(String.valueOf(str)));
            al.d(new 7(this, str, bitmap));
        }
        AppMethodBeat.o(81120);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(81121);
        if (mVar == null) {
            ab.w("MicroMsg.scanner.ProductUI", "scene == null");
            AppMethodBeat.o(81121);
        } else if (mVar.getType() != 1063) {
            if (mVar.getType() == 1068 && i == 0 && i2 == 0) {
                LinkedList linkedList = ((ko) ((com.tencent.mm.plugin.scanner.a.c) mVar).ehh.fsH.fsP).vNJ;
                if (this.qdc != null && l.b(this.qdc.qiL, l.cV(linkedList))) {
                    b(this.qdc);
                }
            }
            AppMethodBeat.o(81121);
        } else if (i == 0 && i2 == 0) {
            kq kqVar;
            com.tencent.mm.plugin.scanner.a.d dVar = (com.tencent.mm.plugin.scanner.a.d) mVar;
            if (dVar.ehh == null || dVar.ehh.fsH.fsP == null) {
                kqVar = null;
            } else {
                kqVar = (kq) dVar.ehh.fsH.fsP;
            }
            if (kqVar == null) {
                ab.w("MicroMsg.scanner.ProductUI", "onSceneEnd productInfo == null");
                AppMethodBeat.o(81121);
                return;
            }
            if (kqVar.vNK != null) {
                ab.d("MicroMsg.scanner.ProductUI", "onSceneEnd  productInfo.DescXML != null");
                o.a cV = j.cV(kqVar.vNK, this.qde);
                if (this.qdc != null && this.qdc.field_xml != null && cV != null && cV.field_xml != null && !this.qdc.field_xml.equals(cV.field_xml)) {
                    this.qdc = cV;
                    a(this.qdc);
                } else if (!(cV == null || cV.field_xml == null)) {
                    this.qdc = cV;
                    a(this.qdc);
                }
                if (this.ehJ != null && this.ehJ.isShowing()) {
                    this.ehJ.dismiss();
                }
                chr();
                if (!this.qdn || this.qdo || TextUtils.isEmpty(this.kWz)) {
                    ab.i("MicroMsg.scanner.ProductUI", "shouldAddToHistory:" + this.qdn + " mProductId:" + this.kWz + "  hasAddToHistory:" + this.qdo);
                } else {
                    this.qdq.field_xmlContent = kqVar.vNK;
                    this.qdq.field_funcType = this.qde;
                    chs();
                    AppMethodBeat.o(81121);
                    return;
                }
            }
            AppMethodBeat.o(81121);
        } else {
            ab.e("MicroMsg.scanner.ProductUI", "onSceneEnd() errType = [%s], errCode = [%s]", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
            AppMethodBeat.o(81121);
        }
    }

    private static String Wj(String str) {
        String str2 = null;
        AppMethodBeat.i(81122);
        if (bo.isNullOrNil(str)) {
            AppMethodBeat.o(81122);
        } else {
            try {
                str2 = Uri.parse(str).getQueryParameter("p");
                AppMethodBeat.o(81122);
            } catch (Exception e) {
                ab.w("MicroMsg.scanner.ProductUI", str + ";" + e.getLocalizedMessage());
                AppMethodBeat.o(81122);
            }
        }
        return str2;
    }

    private void u(String str, String str2, boolean z) {
        AppMethodBeat.i(81123);
        this.kWz = str;
        this.qdk = str2;
        com.tencent.mm.plugin.scanner.a.d dVar = new com.tencent.mm.plugin.scanner.a.d(str, this.gOW, str2);
        g.Rg().a(dVar, 0);
        if (!z) {
            AppCompatActivity appCompatActivity = this.mController.ylL;
            getString(2131297061);
            this.ehJ = h.b(appCompatActivity, getString(2131302753), new 8(this, dVar));
        }
        AppMethodBeat.o(81123);
    }

    private static boolean Wk(String str) {
        AppMethodBeat.i(81124);
        ad aoO = ((com.tencent.mm.plugin.messenger.foundation.a.j) g.K(com.tencent.mm.plugin.messenger.foundation.a.j.class)).XM().aoO(str);
        if (aoO == null || ((int) aoO.ewQ) <= 0 || !com.tencent.mm.n.a.jh(aoO.field_type)) {
            AppMethodBeat.o(81124);
            return false;
        }
        AppMethodBeat.o(81124);
        return true;
    }

    private int aGu() {
        if (this.qde == 4) {
            return 11;
        }
        if (this.qde == 3) {
            return 12;
        }
        return 0;
    }

    private void Wl(String str) {
        AppMethodBeat.i(81125);
        Intent intent = new Intent();
        Bundle bundle = new Bundle();
        bundle.putString("jsapi_args_appid", j.BT(this.qde));
        intent.putExtra("jsapiargs", bundle);
        intent.putExtra("rawUrl", str);
        intent.putExtra("pay_channel", 3);
        intent.putExtra("geta8key_scene", aGu());
        com.tencent.mm.bp.d.b(this.mController.ylL, "webview", ".ui.tools.WebViewUI", intent);
        AppMethodBeat.o(81125);
    }

    private int chp() {
        if (this.qde == 3) {
            return 47;
        }
        return 49;
    }

    @TargetApi(11)
    private void chq() {
        AppMethodBeat.i(81126);
        if (getSupportActionBar() != null) {
            getSupportActionBar().setBackgroundDrawable(null);
            getSupportActionBar();
        }
        AppMethodBeat.o(81126);
    }

    private void chr() {
        AppMethodBeat.i(81127);
        if (this.qdc != null) {
            ab.i("MicroMsg.scanner.ProductUI", "doUpdateActionLogic, flag=:" + this.qdc.field_getaction);
            if ((this.qdc.field_getaction & 2) > 0) {
                this.ecr = d.agz();
                if (this.ecr != null) {
                    this.ecr.b(this.ecy);
                    AppMethodBeat.o(81127);
                    return;
                }
            } else if ((this.qdc.field_getaction & 1) > 0) {
                g.Rg().a(new com.tencent.mm.plugin.scanner.a.c(this.kWz, l.cU(this.qdc.qiL), this.gOW, this.qdk, 0.0d, 0.0d), 0);
            }
        }
        AppMethodBeat.o(81127);
    }

    private static void o(View view, float f) {
        AppMethodBeat.i(81128);
        AlphaAnimation alphaAnimation = new AlphaAnimation(f, f);
        alphaAnimation.setDuration(0);
        alphaAnimation.setFillAfter(true);
        view.startAnimation(alphaAnimation);
        AppMethodBeat.o(81128);
    }

    private void chs() {
        AppMethodBeat.i(81129);
        if (com.tencent.mm.plugin.scanner.util.i.cig()) {
            boolean c;
            com.tencent.mm.plugin.scanner.history.a.a aVar = new com.tencent.mm.plugin.scanner.history.a.a();
            aVar.field_productId = this.kWz;
            if (com.tencent.mm.plugin.scanner.e.cgy().cgC().b(aVar, new String[0])) {
                c = com.tencent.mm.plugin.scanner.e.cgy().cgC().c(this.qdq, new String[0]);
            } else {
                c = com.tencent.mm.plugin.scanner.e.cgy().cgC().b(this.qdq);
            }
            if (c) {
                ab.i("MicroMsg.scanner.ProductUI", "mHistoryItem insert success!");
                this.qdo = true;
                AppMethodBeat.o(81129);
                return;
            }
            ab.e("MicroMsg.scanner.ProductUI", "mHistoryItem insert fail!");
            AppMethodBeat.o(81129);
            return;
        }
        ab.e("MicroMsg.scanner.ProductUI", "mHistoryItem ScanHistoryUtil.shouldShowHistoryList() is false!");
        AppMethodBeat.o(81129);
    }

    private void chm() {
        AppMethodBeat.i(81111);
        this.qdf = this.mController.ylL.getResources().getDimensionPixelSize(2131428598);
        if (this.qdc != null && (this.qdc.field_type == 1 || this.qdc.field_type == 2)) {
            this.qdf = this.mController.ylL.getResources().getDimensionPixelSize(2131428599);
            LayoutParams layoutParams = this.qcV.getLayoutParams();
            layoutParams.height = this.qdf;
            this.qcV.setLayoutParams(layoutParams);
            layoutParams = this.qcW.getLayoutParams();
            layoutParams.height = this.qdf;
            this.qda.setLayoutParams(layoutParams);
            RelativeLayout relativeLayout = (RelativeLayout) findViewById(2131826583);
            LayoutParams layoutParams2 = relativeLayout.getLayoutParams();
            layoutParams2.height = this.qdf;
            relativeLayout.setLayoutParams(layoutParams2);
            layoutParams = this.qda.getLayoutParams();
            layoutParams.height = this.qdf;
            this.qda.setLayoutParams(layoutParams);
        }
        AppMethodBeat.o(81111);
    }

    static /* synthetic */ void l(ProductUI productUI) {
        AppMethodBeat.i(81131);
        if (productUI.qdc != null) {
            if (!bo.isNullOrNil(productUI.qdc.field_detailurl)) {
                productUI.bb(10000, productUI.qdc.field_detailurl);
                productUI.Wl(productUI.qdc.field_detailurl);
                AppMethodBeat.o(81131);
                return;
            } else if (!bo.isNullOrNil(productUI.qdc.field_xml) && productUI.qdl) {
                productUI.bb(10001, "");
                Intent intent = new Intent();
                intent.setClass(productUI, ProductFurtherInfoUI.class);
                intent.putExtra("key_Product_xml", productUI.qdc.field_xml);
                intent.putExtra("key_title", productUI.qdm);
                productUI.startActivity(intent);
            }
        }
        AppMethodBeat.o(81131);
    }

    static /* synthetic */ void n(ProductUI productUI) {
        AppMethodBeat.i(81135);
        String str = "";
        LinkedList linkedList = new LinkedList();
        LinkedList linkedList2 = new LinkedList();
        linkedList.add(productUI.getString(2131305696));
        linkedList2.add(Integer.valueOf(0));
        linkedList.add(productUI.getString(2131305695));
        linkedList2.add(Integer.valueOf(1));
        if (!productUI.getIntent().getBooleanExtra("key_is_favorite_item", false)) {
            linkedList.add(productUI.getString(2131301955));
            linkedList2.add(Integer.valueOf(2));
        } else if (productUI.getIntent().getBooleanExtra("key_can_delete_favorite_item", true)) {
            str = productUI.getString(2131296881);
            linkedList.add(productUI.getString(2131296420));
            linkedList2.add(Integer.valueOf(3));
        } else {
            str = "";
        }
        if (!(productUI.qdc == null || TextUtils.isEmpty(productUI.qdc.field_exposeurl))) {
            linkedList.add(productUI.getString(2131298510));
            linkedList2.add(Integer.valueOf(4));
        }
        h.a(productUI, "", linkedList, linkedList2, str, false, new 6(productUI));
        AppMethodBeat.o(81135);
    }

    static /* synthetic */ void b(ProductUI productUI, o.a aVar) {
        AppMethodBeat.i(81136);
        if (aVar == null || bo.isNullOrNil(aVar.field_thumburl)) {
            ab.e("MicroMsg.scanner.ProductUI", "product == null || Util.isNullOrNil(product.field_thumburl)");
            AppMethodBeat.o(81136);
            return;
        }
        try {
            productUI.qcW.setBackgroundColor(Color.parseColor(aVar.field_headermask));
            if (!bo.isNullOrNil(aVar.field_headermask) && aVar.field_headermask.length() == 9) {
                productUI.qdd.setBackgroundColor(Color.parseColor("#" + aVar.field_headermask.substring(3, 9)));
            }
        } catch (Exception e) {
            ab.w("MicroMsg.scanner.ProductUI", "parse maskColor wrong");
        }
        ab.e("MicroMsg.scanner.ProductUI", "begin to get the url " + aVar.field_thumburl);
        Bitmap a = x.a(productUI.qdg);
        if (a != null) {
            productUI.qcU.setImageBitmap(a);
            productUI.qcU.setBackgroundDrawable(null);
            productUI.qcU.setBackgroundColor(-1);
            productUI.qdh = true;
            productUI.chn();
        } else {
            productUI.qcU.setImageBitmap(null);
        }
        if (!bo.isNullOrNil(aVar.field_headerbackgroundurl)) {
            a = x.a(new q(aVar.field_headerbackgroundurl));
            if (!(a == null || a.isRecycled())) {
                productUI.qcV.setImageBitmap(a);
            }
        }
        AppMethodBeat.o(81136);
    }

    static /* synthetic */ void r(ProductUI productUI) {
        AppMethodBeat.i(81139);
        if (productUI.qdc == null) {
            ab.w("MicroMsg.scanner.ProductUI", "do favorite, but product is null");
            AppMethodBeat.o(81139);
            return;
        }
        cl clVar = new cl();
        abf abf = new abf();
        abl abl = new abl();
        abe abe = new abe();
        abl.alD(r.Yz());
        abl.alE(r.Yz());
        abl.LN(8);
        abl.ml(bo.anU());
        abl.alJ(j.BT(productUI.qdc.field_functionType));
        abe.alw(productUI.qdc.field_title);
        abe.alx(productUI.qdc.field_subtitle);
        abe.LK(productUI.qdc.field_type);
        abe.alz(o.c(productUI.qdc));
        abe.aly(productUI.qdc.field_thumburl);
        clVar.cvA.title = productUI.qdc.field_title;
        clVar.cvA.desc = productUI.qdc.field_subtitle;
        clVar.cvA.cvC = abf;
        clVar.cvA.type = 10;
        abf.a(abl);
        abf.b(abe);
        clVar.cvA.cvH = 11;
        clVar.cvA.activity = productUI;
        com.tencent.mm.sdk.b.a.xxA.m(clVar);
        AppMethodBeat.o(81139);
    }

    static /* synthetic */ int w(ProductUI productUI) {
        AppMethodBeat.i(81141);
        int i = 0;
        TypedValue typedValue = new TypedValue();
        if (productUI.getTheme().resolveAttribute(2130772139, typedValue, true)) {
            i = TypedValue.complexToDimensionPixelSize(typedValue.data, productUI.getResources().getDisplayMetrics());
        }
        AppMethodBeat.o(81141);
        return i;
    }
}
