package com.tencent.mm.plugin.setting.ui.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.bz.a;
import com.tencent.mm.plugin.setting.ui.setting.SetTextSizeUI;
import java.lang.ref.SoftReference;
import java.util.ArrayList;
import java.util.List;

public class FontSelectorView extends View {
    private static SoftReference<Bitmap> qqG = null;
    private static int qqP = 8;
    private int bCp = 0;
    private int eCL = 0;
    private float neG = 0.0f;
    private float neH = 0.0f;
    private List<b> qqH = new ArrayList(8);
    private int qqI = 0;
    private int qqJ = 0;
    private int qqK = 0;
    private int qqL = 0;
    private int qqM = 0;
    private int qqN = 0;
    private a qqO = null;
    private boolean qqQ = false;
    private boolean qqR = false;
    private int topOffset = 0;

    public FontSelectorView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(127690);
        AppMethodBeat.o(127690);
    }

    public FontSelectorView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(127691);
        AppMethodBeat.o(127691);
    }

    /* Access modifiers changed, original: protected */
    @SuppressLint({"DrawAllocation"})
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        AppMethodBeat.i(127692);
        super.onLayout(z, i, i2, i3, i4);
        cjs();
        this.qqH.clear();
        setClickable(true);
        this.qqI = a.fromDPToPix(getContext(), 30);
        this.topOffset = a.fromDPToPix(getContext(), 10);
        int width = getWidth();
        this.bCp = (getHeight() / 2) + this.topOffset;
        qqP = 8;
        this.eCL = (width - (this.qqI * 2)) / (qqP - 1);
        Bitmap bitmap = (Bitmap) qqG.get();
        for (int i5 = 0; i5 < qqP; i5++) {
            b bVar = new b((byte) 0);
            bVar.left = (this.qqI + (this.eCL * i5)) - (bitmap.getWidth() / 2);
            bVar.top = this.bCp - (bitmap.getHeight() / 2);
            bVar.right = (this.qqI + (this.eCL * i5)) + (bitmap.getWidth() / 2);
            bVar.bottom = this.bCp + (bitmap.getHeight() / 2);
            this.qqH.add(bVar);
        }
        this.qqJ = this.qqN;
        if (this.qqM >= 0) {
            this.qqK = ((b) this.qqH.get(this.qqJ)).left;
        } else if (this.qqK <= ((b) this.qqH.get(this.qqJ)).right - (this.eCL / 2)) {
            this.qqK = ((b) this.qqH.get(this.qqJ)).left;
        } else {
            this.qqK = ((b) this.qqH.get(this.qqJ)).right;
        }
        this.qqL = ((b) this.qqH.get(this.qqJ)).top;
        invalidate();
        AppMethodBeat.o(127692);
    }

    public static void cjr() {
        qqP = 8;
    }

    private void cjs() {
        AppMethodBeat.i(127693);
        if (qqG == null || qqG.get() == null) {
            qqG = new SoftReference(BitmapFactory.decodeResource(getResources(), 2130838832));
        }
        AppMethodBeat.o(127693);
    }

    /* Access modifiers changed, original: protected */
    @SuppressLint({"DrawAllocation"})
    public void onDraw(Canvas canvas) {
        AppMethodBeat.i(127694);
        super.onDraw(canvas);
        cjs();
        Paint paint = new Paint();
        paint.setARGB(255, 152, 152, 152);
        paint.setStrokeWidth(2.0f);
        int width = getWidth();
        int fromDPToPix = a.fromDPToPix(getContext(), 5);
        canvas.drawLine((float) this.qqI, (float) this.bCp, (float) (width - this.qqI), (float) this.bCp, paint);
        width = 0;
        while (true) {
            int i = width;
            if (i < qqP) {
                canvas.drawLine((float) (this.qqI + (this.eCL * i)), (float) (this.bCp - fromDPToPix), (float) (this.qqI + (this.eCL * i)), (float) (this.bCp + fromDPToPix), paint);
                width = i + 1;
            } else {
                Bitmap bitmap = (Bitmap) qqG.get();
                canvas.drawBitmap(bitmap, (float) this.qqK, (float) this.qqL, null);
                String str = "A";
                String string = getResources().getString(2131302992);
                getResources().getString(2131302991);
                getResources().getString(2131302994);
                String str2 = "A";
                float aU = aU(SetTextSizeUI.aS(0.875f));
                paint = new Paint();
                paint.setTextSize(aU);
                i = (int) paint.measureText(str);
                int aV = aV(aU);
                paint.setColor(getResources().getColor(2131689761));
                paint.setAntiAlias(true);
                canvas.drawText(str, (float) (this.qqI - (i / 2)), (float) ((this.bCp - aV) - (bitmap.getHeight() / 3)), paint);
                float aU2 = aU(SetTextSizeUI.aS(1.0f));
                paint.setTextSize(aU2);
                canvas.drawText(string, (float) ((this.qqI + (this.eCL * 1)) - (((int) paint.measureText(string)) / 2)), (float) ((this.bCp - aV(aU2)) - (bitmap.getHeight() / 3)), paint);
                aU2 = aU(SetTextSizeUI.aS(2.025f));
                paint.setTextSize(aU2);
                canvas.drawText(str2, (float) ((this.qqI + (this.eCL * (qqP - 1))) - (((int) paint.measureText(str2)) / 2)), (float) ((this.bCp - aV(aU2)) - (bitmap.getHeight() / 3)), paint);
                AppMethodBeat.o(127694);
                return;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:51:0x0120  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0120  */
    /* JADX WARNING: Missing block: B:17:0x0059, code skipped:
            r0 = super.onTouchEvent(r10);
     */
    public boolean onTouchEvent(android.view.MotionEvent r10) {
        /*
        r9 = this;
        r8 = 127695; // 0x1f2cf float:1.78939E-40 double:6.30897E-319;
        r5 = 1092616192; // 0x41200000 float:10.0 double:5.398241246E-315;
        r4 = 1;
        r2 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r0 = r10.getAction();
        switch(r0) {
            case 0: goto L_0x0016;
            case 1: goto L_0x00e4;
            case 2: goto L_0x005e;
            default: goto L_0x0011;
        };
    L_0x0011:
        r0 = r4;
    L_0x0012:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        return r0;
    L_0x0016:
        r0 = r10.getX();
        r9.neG = r0;
        r0 = r10.getY();
        r9.neH = r0;
        r0 = r9.qqH;
        r1 = r9.qqJ;
        r0 = r0.get(r1);
        r0 = (com.tencent.mm.plugin.setting.ui.widget.FontSelectorView.b) r0;
        r1 = r9.neG;
        r3 = r0.left;
        r3 = (float) r3;
        r1 = (r1 > r3 ? 1 : (r1 == r3 ? 0 : -1));
        if (r1 < 0) goto L_0x0051;
    L_0x0035:
        r1 = r9.neG;
        r3 = r0.right;
        r3 = (float) r3;
        r1 = (r1 > r3 ? 1 : (r1 == r3 ? 0 : -1));
        if (r1 > 0) goto L_0x0051;
    L_0x003e:
        r1 = r9.neH;
        r3 = r0.top;
        r3 = (float) r3;
        r1 = (r1 > r3 ? 1 : (r1 == r3 ? 0 : -1));
        if (r1 < 0) goto L_0x0051;
    L_0x0047:
        r1 = r9.neH;
        r0 = r0.bottom;
        r0 = (float) r0;
        r0 = (r1 > r0 ? 1 : (r1 == r0 ? 0 : -1));
        if (r0 > 0) goto L_0x0051;
    L_0x0050:
        r2 = r4;
    L_0x0051:
        if (r2 == 0) goto L_0x0057;
    L_0x0053:
        r9.qqQ = r4;
        r0 = r4;
        goto L_0x0012;
    L_0x0057:
        r9.qqR = r4;
    L_0x0059:
        r0 = super.onTouchEvent(r10);
        goto L_0x0012;
    L_0x005e:
        r0 = r9.qqQ;
        if (r0 == 0) goto L_0x00de;
    L_0x0062:
        r0 = r10.getX();
        r1 = r10.getY();
        r3 = r9.neG;
        r3 = r0 - r3;
        r3 = (int) r3;
        r9.qqM = r3;
        r3 = r9.qqK;
        r5 = r9.qqM;
        r3 = r3 + r5;
        r9.qqK = r3;
        r9.neG = r0;
        r9.neH = r1;
        r0 = r9.qqH;
        r0 = r0.get(r2);
        r0 = (com.tencent.mm.plugin.setting.ui.widget.FontSelectorView.b) r0;
        r1 = r9.qqH;
        r3 = qqP;
        r3 = r3 + -1;
        r1 = r1.get(r3);
        r1 = (com.tencent.mm.plugin.setting.ui.widget.FontSelectorView.b) r1;
        r3 = r9.qqK;
        r5 = r0.left;
        if (r3 > r5) goto L_0x00a0;
    L_0x0096:
        r0 = r0.left;
        r9.qqK = r0;
    L_0x009a:
        r9.invalidate();
        r0 = r4;
        goto L_0x0012;
    L_0x00a0:
        r0 = r9.qqK;
        r3 = r1.left;
        if (r0 < r3) goto L_0x00ab;
    L_0x00a6:
        r0 = r1.left;
        r9.qqK = r0;
        goto L_0x009a;
    L_0x00ab:
        r1 = r2;
    L_0x00ac:
        r0 = qqP;
        if (r1 >= r0) goto L_0x009a;
    L_0x00b0:
        r0 = r9.qqH;
        r0 = r0.get(r1);
        r0 = (com.tencent.mm.plugin.setting.ui.widget.FontSelectorView.b) r0;
        r2 = r9.qqK;
        r3 = r0.left;
        r3 = r3 + -5;
        if (r2 < r3) goto L_0x00da;
    L_0x00c0:
        r2 = r9.qqK;
        r0 = r0.right;
        r0 = r0 + 5;
        if (r2 > r0) goto L_0x00da;
    L_0x00c8:
        r9.qqJ = r1;
        r0 = r9.qqJ;
        r9.qqN = r0;
        r0 = r9.qqO;
        if (r0 == 0) goto L_0x009a;
    L_0x00d2:
        r0 = r9.qqO;
        r1 = r9.qqJ;
        r0.Cl(r1);
        goto L_0x009a;
    L_0x00da:
        r0 = r1 + 1;
        r1 = r0;
        goto L_0x00ac;
    L_0x00de:
        r0 = super.onTouchEvent(r10);
        goto L_0x0012;
    L_0x00e4:
        r0 = r9.qqQ;
        if (r0 == 0) goto L_0x014d;
    L_0x00e8:
        r3 = r2;
    L_0x00e9:
        r0 = qqP;
        r0 = r0 + -1;
        if (r3 >= r0) goto L_0x0118;
    L_0x00ef:
        r0 = r9.qqH;
        r0 = r0.get(r3);
        r0 = (com.tencent.mm.plugin.setting.ui.widget.FontSelectorView.b) r0;
        r1 = r9.qqH;
        r5 = r3 + 1;
        r1 = r1.get(r5);
        r1 = (com.tencent.mm.plugin.setting.ui.widget.FontSelectorView.b) r1;
        r5 = r9.qqK;
        r6 = r0.left;
        r7 = r9.eCL;
        r7 = r7 / 2;
        r6 = r6 + r7;
        if (r5 > r6) goto L_0x012f;
    L_0x010c:
        r5 = r9.qqK;
        r6 = r0.left;
        if (r5 < r6) goto L_0x012f;
    L_0x0112:
        r9.qqJ = r3;
        r0 = r0.left;
        r9.qqK = r0;
    L_0x0118:
        r0 = r9.qqJ;
        r9.qqN = r0;
        r0 = r9.qqO;
        if (r0 == 0) goto L_0x0127;
    L_0x0120:
        r0 = r9.qqO;
        r1 = r9.qqJ;
        r0.Cl(r1);
    L_0x0127:
        r9.invalidate();
        r9.qqQ = r2;
        r0 = r4;
        goto L_0x0012;
    L_0x012f:
        r0 = r9.qqK;
        r5 = r1.left;
        r6 = r9.eCL;
        r6 = r6 / 2;
        r5 = r5 - r6;
        if (r0 < r5) goto L_0x0149;
    L_0x013a:
        r0 = r9.qqK;
        r5 = r1.left;
        if (r0 > r5) goto L_0x0149;
    L_0x0140:
        r0 = r3 + 1;
        r9.qqJ = r0;
        r0 = r1.left;
        r9.qqK = r0;
        goto L_0x0118;
    L_0x0149:
        r0 = r3 + 1;
        r3 = r0;
        goto L_0x00e9;
    L_0x014d:
        r0 = r9.qqR;
        if (r0 == 0) goto L_0x0059;
    L_0x0151:
        r3 = r10.getX();
        r0 = r10.getY();
        r1 = r9.neG;
        r1 = r3 - r1;
        r1 = java.lang.Math.abs(r1);
        r1 = (r1 > r5 ? 1 : (r1 == r5 ? 0 : -1));
        if (r1 > 0) goto L_0x01a4;
    L_0x0165:
        r1 = r9.neH;
        r0 = r0 - r1;
        r0 = java.lang.Math.abs(r0);
        r0 = (r0 > r5 ? 1 : (r0 == r5 ? 0 : -1));
        if (r0 > 0) goto L_0x01a4;
    L_0x0170:
        r1 = r2;
    L_0x0171:
        r0 = qqP;
        if (r1 >= r0) goto L_0x01a4;
    L_0x0175:
        r0 = r9.qqH;
        r0 = r0.get(r1);
        r0 = (com.tencent.mm.plugin.setting.ui.widget.FontSelectorView.b) r0;
        r5 = r0.left;
        r5 = r5 + -5;
        r5 = (float) r5;
        r5 = (r3 > r5 ? 1 : (r3 == r5 ? 0 : -1));
        if (r5 < 0) goto L_0x01ac;
    L_0x0186:
        r5 = r0.right;
        r5 = r5 + 5;
        r5 = (float) r5;
        r5 = (r3 > r5 ? 1 : (r3 == r5 ? 0 : -1));
        if (r5 > 0) goto L_0x01ac;
    L_0x018f:
        r9.qqJ = r1;
        r1 = r9.qqJ;
        r9.qqN = r1;
        r0 = r0.left;
        r9.qqK = r0;
        r0 = r9.qqO;
        if (r0 == 0) goto L_0x01a4;
    L_0x019d:
        r0 = r9.qqO;
        r1 = r9.qqJ;
        r0.Cl(r1);
    L_0x01a4:
        r9.qqR = r2;
        r9.invalidate();
        r0 = r4;
        goto L_0x0012;
    L_0x01ac:
        r0 = r1 + 1;
        r1 = r0;
        goto L_0x0171;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.setting.ui.widget.FontSelectorView.onTouchEvent(android.view.MotionEvent):boolean");
    }

    private float aU(float f) {
        AppMethodBeat.i(127696);
        float applyDimension = TypedValue.applyDimension(1, f, getResources().getDisplayMetrics());
        AppMethodBeat.o(127696);
        return applyDimension;
    }

    private static int aV(float f) {
        AppMethodBeat.i(127697);
        Paint paint = new Paint();
        paint.setTextSize(f);
        paint.setAntiAlias(true);
        int ceil = (int) Math.ceil((double) paint.getFontMetrics().bottom);
        AppMethodBeat.o(127697);
        return ceil;
    }

    public void setOnChangeListener(a aVar) {
        this.qqO = aVar;
    }

    public void setSliderIndex(int i) {
        this.qqN = i;
    }
}
