package com.tencent.mm.plugin.sns.ui;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.view.GestureDetector;
import android.view.GestureDetector.SimpleOnGestureListener;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.ViewGroup.MarginLayoutParams;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import com.facebook.appevents.codeless.internal.Constants;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.rf;
import com.tencent.mm.g.a.rg;
import com.tencent.mm.g.a.tn;
import com.tencent.mm.model.t;
import com.tencent.mm.modelvideo.u;
import com.tencent.mm.plugin.messenger.a.g;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.plugin.sns.data.i;
import com.tencent.mm.plugin.sns.model.af;
import com.tencent.mm.plugin.sns.model.an;
import com.tencent.mm.plugin.sns.model.aq;
import com.tencent.mm.plugin.sns.storage.n;
import com.tencent.mm.plugin.webview.ui.tools.widget.o;
import com.tencent.mm.pointers.PInt;
import com.tencent.mm.protocal.protobuf.TimeLineObject;
import com.tencent.mm.protocal.protobuf.av;
import com.tencent.mm.protocal.protobuf.bau;
import com.tencent.mm.sdk.platformtools.BackwardSupportUtil.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.ae;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.base.n.c;
import com.tencent.mm.ui.base.n.d;
import com.tencent.mm.ui.tools.e;

@a(3)
public class SnsOnlineVideoActivity extends MMActivity {
    private float aKM = 0.0f;
    private float aKN = 0.0f;
    private bau cNr;
    private String czD;
    private String ePJ;
    private boolean eif;
    private GestureDetector iay;
    d jOb = new 6(this);
    private Bundle jWy;
    private boolean jYD = false;
    private e jYE;
    private int kkq = 0;
    private int kkr = 0;
    private int kks = 0;
    private int kkt = 0;
    private boolean mOO;
    private VelocityTracker mVelocityTracker;
    private boolean mmD = true;
    private RelativeLayout mmW;
    private ImageView mmX;
    private boolean osu;
    private com.tencent.mm.ui.widget.a.d riy;
    private boolean rkM = false;
    private n ros;
    private int rpA = 0;
    private int rpB = 0;
    private boolean rpn = true;
    private Button rpq;
    private float rpz = 1.0f;
    private OnlineVideoView ruX;
    private boolean ruY = false;
    private boolean ruZ;
    private boolean rva = false;
    private boolean rvb = false;
    private boolean rvc = false;
    private boolean rvd = false;
    c rve = new 5(this);
    private int scene = 0;
    private String thumbPath;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public SnsOnlineVideoActivity() {
        AppMethodBeat.i(39162);
        AppMethodBeat.o(39162);
    }

    static /* synthetic */ void i(SnsOnlineVideoActivity snsOnlineVideoActivity) {
        AppMethodBeat.i(39174);
        snsOnlineVideoActivity.bdd();
        AppMethodBeat.o(39174);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(39163);
        getIntent().setExtrasClassLoader(getClass().getClassLoader());
        super.onCreate(bundle);
        this.jWy = bundle;
        this.thumbPath = getIntent().getStringExtra("intent_thumbpath");
        this.czD = getIntent().getStringExtra("intent_localid");
        this.scene = getIntent().getIntExtra("intent_from_scene", -1);
        this.mOO = getIntent().getBooleanExtra("intent_ispreview", false);
        this.eif = getIntent().getBooleanExtra("intent_ismute", false);
        this.rkM = getIntent().getBooleanExtra("KBlockAdd", false);
        ab.i("MicroMsg.SnsOnlineVideoActivity", "init data get intent info finish. thumbPath %s localId %s scene %d isPreView %b isMute %b videoPath %s", new Object[]{this.thumbPath, this.czD, Integer.valueOf(this.scene), Boolean.valueOf(this.mOO), Boolean.valueOf(this.eif), getIntent().getStringExtra("intent_videopath")});
        if (this.mOO) {
            this.ePJ = r0;
        } else {
            try {
                this.ros = af.cnF().YT(this.czD);
                this.cNr = (bau) this.ros.cqu().xfI.wbK.get(0);
                this.ePJ = an.fZ(af.getAccSnsPath(), this.cNr.Id) + i.j(this.cNr);
                ab.i("MicroMsg.SnsOnlineVideoActivity", "init data finish, sns info local id %s ", new Object[]{this.ros.cqU()});
            } catch (Exception e) {
                ab.e("MicroMsg.SnsOnlineVideoActivity", "init data exception " + e.toString());
            }
        }
        try {
            if (com.tencent.mm.compatible.util.d.iW(19)) {
                if (!this.mOO) {
                    getWindow().setFlags(201327616, 201327616);
                }
                this.osu = true;
            } else {
                if (!this.mOO) {
                    getWindow().setFlags(1024, 1024);
                }
                this.osu = false;
            }
            getWindow().addFlags(128);
        } catch (Exception e2) {
            ab.printErrStackTrace("MicroMsg.SnsOnlineVideoActivity", e2, "", new Object[0]);
        }
        this.mmW = (RelativeLayout) findViewById(2131822132);
        this.ruX = (OnlineVideoView) findViewById(2131821402);
        if (this.mOO) {
            OnlineVideoView onlineVideoView = this.ruX;
            String str = this.ePJ;
            String str2 = this.thumbPath;
            onlineVideoView.rlg = str;
            onlineVideoView.mOO = true;
            onlineVideoView.mmB.setImageBitmap(b.i(str2, 1.0f));
            ab.i("MicroMsg.OnlineVideoView", "%d set preview video %s isPreview %b ", new Object[]{Integer.valueOf(onlineVideoView.hashCode()), str, Boolean.valueOf(onlineVideoView.mOO)});
        } else {
            this.ruX.a(this.cNr, this.ros.cqU(), this.ros.field_createTime);
        }
        this.ruX.setMute(this.eif);
        this.mmX = (ImageView) findViewById(2131822079);
        this.mmX.setLayerType(2, null);
        if (this.mOO) {
            setMMTitle(2131296530);
            this.ruX.setOnClickListener(new 1(this));
        } else {
            this.mController.hideTitleView();
            this.mmW.setOnTouchListener(new 7(this));
        }
        this.iay = new GestureDetector(this.mController.ylL, new SimpleOnGestureListener() {
            public final boolean onScroll(MotionEvent motionEvent, MotionEvent motionEvent2, float f, float f2) {
                AppMethodBeat.i(39151);
                float rawX = motionEvent2.getRawX() - motionEvent.getRawX();
                float rawY = motionEvent2.getRawY() - motionEvent.getRawY();
                if (Math.abs(rawX) <= ((float) SnsOnlineVideoActivity.this.mmW.getWidth()) && Math.abs(rawY) <= ((float) SnsOnlineVideoActivity.this.mmW.getHeight()) && SnsOnlineVideoActivity.this.rvb) {
                    SnsOnlineVideoActivity.this.ruX.setTranslationX(rawX);
                    SnsOnlineVideoActivity.this.ruX.setTranslationY(rawY);
                }
                AppMethodBeat.o(39151);
                return true;
            }

            public final void onLongPress(MotionEvent motionEvent) {
                AppMethodBeat.i(39152);
                SnsOnlineVideoActivity.this.rvd = true;
                super.onLongPress(motionEvent);
                AppMethodBeat.o(39152);
            }

            public final boolean onSingleTapUp(MotionEvent motionEvent) {
                AppMethodBeat.i(39153);
                if (!SnsOnlineVideoActivity.this.mOO) {
                    SnsOnlineVideoActivity.this.bcW();
                }
                boolean onSingleTapUp = super.onSingleTapUp(motionEvent);
                AppMethodBeat.o(39153);
                return onSingleTapUp;
            }
        });
        this.ruX.setOnTouchListener(new 9(this));
        this.jYE = new e(this.mController.ylL);
        n nVar = this.ros;
        if (nVar == null) {
            ab.i("MicroMsg.SnsOnlineVideoActivity", "snsInfo is null, return");
        } else {
            this.rpq = (Button) findViewById(2131827691);
            TimeLineObject cqu = nVar.cqu();
            av avVar = cqu != null ? cqu.qNO : null;
            av avVar2 = new av();
            af.a(this, avVar2, cqu.qNO);
            if (avVar2.rBh) {
                this.rpq.setVisibility(0);
                this.rpq.setText(avVar2.rBi);
                this.rpq.setOnClickListener(new 12(this, avVar, cqu));
                if (getRequestedOrientation() != 0) {
                    ctH();
                }
            } else {
                this.rpq.setVisibility(8);
            }
        }
        if (this.mOO) {
            if (!this.rkM) {
                addIconOptionMenu(0, 2131296881, 2130839554, new 10(this));
            }
            setBackBtn(new 11(this));
        }
        bdd();
        tn tnVar = new tn();
        tnVar.cPI.type = 1;
        com.tencent.mm.sdk.b.a.xxA.m(tnVar);
        AppMethodBeat.o(39163);
    }

    public final int getLayoutId() {
        return 2130970830;
    }

    public void onConfigurationChanged(Configuration configuration) {
        AppMethodBeat.i(39164);
        super.onConfigurationChanged(configuration);
        if (configuration.orientation == 1) {
            ab.d("MicroMsg.SnsOnlineVideoActivity", "vertical orientation");
            ctH();
            AppMethodBeat.o(39164);
        } else if (configuration.orientation == 2) {
            ab.d("MicroMsg.SnsOnlineVideoActivity", "horizontal orientation");
            if (this.rpq != null && this.rpq.getVisibility() == 0) {
                MarginLayoutParams marginLayoutParams = (MarginLayoutParams) this.rpq.getLayoutParams();
                if (marginLayoutParams.bottomMargin != getResources().getDimensionPixelSize(2131428665)) {
                    marginLayoutParams.bottomMargin = getResources().getDimensionPixelSize(2131428665);
                    this.rpq.setLayoutParams(marginLayoutParams);
                }
            }
            AppMethodBeat.o(39164);
        } else {
            AppMethodBeat.o(39164);
        }
    }

    private void ctH() {
        AppMethodBeat.i(39165);
        boolean hw = ae.hw(this);
        int fr = ae.fr(this);
        if (this.osu && hw && this.rpq != null && this.rpq.getVisibility() == 0) {
            MarginLayoutParams marginLayoutParams = (MarginLayoutParams) this.rpq.getLayoutParams();
            marginLayoutParams.bottomMargin = fr + marginLayoutParams.bottomMargin;
            this.rpq.setLayoutParams(marginLayoutParams);
        }
        AppMethodBeat.o(39165);
    }

    private void bdd() {
        AppMethodBeat.i(39166);
        if (this.mOO) {
            ab.i("MicroMsg.SnsOnlineVideoActivity", "it is preview mode, don't register menu.");
            AppMethodBeat.o(39166);
            return;
        }
        this.ruX.setOnLongClickListener(new 13(this));
        AppMethodBeat.o(39166);
    }

    public void onStart() {
        AppMethodBeat.i(39167);
        Bundle bundle = this.jWy;
        if (!this.jYD) {
            this.jYD = true;
            if (VERSION.SDK_INT >= 12) {
                this.kkq = getIntent().getIntExtra("img_gallery_top", 0);
                this.kkr = getIntent().getIntExtra("img_gallery_left", 0);
                this.kks = getIntent().getIntExtra("img_gallery_width", 0);
                this.kkt = getIntent().getIntExtra("img_gallery_height", 0);
                this.jYE.L(this.kkr, this.kkq, this.kks, this.kkt);
                if (bundle == null) {
                    this.ruX.getViewTreeObserver().addOnPreDrawListener(new 3(this));
                }
            }
        }
        super.onStart();
        AppMethodBeat.o(39167);
    }

    public void onResume() {
        AppMethodBeat.i(39168);
        if (VERSION.SDK_INT >= 21) {
            getWindow().clearFlags(2048);
        }
        if (!this.mmD) {
            this.ruX.onResume();
        }
        this.mmD = false;
        if (this.ruY) {
            this.ruY = false;
        }
        super.onResume();
        o.JV(1);
        AppMethodBeat.o(39168);
    }

    public void onPause() {
        AppMethodBeat.i(39169);
        if (VERSION.SDK_INT >= 21) {
            getWindow().setFlags(2048, 2048);
        }
        this.ruX.onPause();
        if (!this.ruY) {
            ab.d("MicroMsg.SnsOnlineVideoActivity", "close Popup");
            if (this.ruZ) {
                new ak().postDelayed(new 14(this), 500);
            } else {
                new ak().post(new 2(this));
            }
        }
        super.onPause();
        o.JV(2);
        AppMethodBeat.o(39169);
    }

    public void onDestroy() {
        AppMethodBeat.i(39170);
        this.ruX.onDestroy();
        try {
            getWindow().clearFlags(128);
        } catch (Exception e) {
        }
        super.onDestroy();
        if (this.ros != null && this.ros.cqu().xfI.wbK.size() > 0) {
            String str = ((bau) this.ros.cqu().xfI.wbK.get(0)).Url;
            int i = this.ros.cqu().xfP;
            u.a(aq.D((bau) this.ros.cqu().xfI.wbK.get(0)), new PInt(), new PInt());
            int playVideoDuration = this.ruX.getPlayVideoDuration();
            h.pYm.e(15534, new Object[]{str, this.ros.cqu().Id, Integer.valueOf(i), Integer.valueOf(r3.value * Constants.APP_INDEXING_SCHEDULE_INTERVAL_MS), Integer.valueOf(playVideoDuration * Constants.APP_INDEXING_SCHEDULE_INTERVAL_MS)});
        }
        AppMethodBeat.o(39170);
    }

    public final void bcW() {
        AppMethodBeat.i(39171);
        if (this.rpq != null && this.rpq.getVisibility() == 0) {
            this.rpq.setVisibility(8);
        }
        int width = this.mmW.getWidth();
        int height = this.mmW.getHeight();
        if (!(this.kks == 0 || this.kkt == 0)) {
            height = (int) ((((float) width) / ((float) this.kks)) * ((float) this.kkt));
        }
        this.jYE.hw(width, height);
        this.jYE.L(this.kkr, this.kkq, this.kks, this.kkt);
        if (((double) this.rpz) != 1.0d) {
            this.jYE.zEZ = 1.0f / this.rpz;
            if (!(this.rpA == 0 && this.rpB == 0)) {
                this.jYE.hy(((int) (((float) (this.mmW.getWidth() / 2)) * (1.0f - this.rpz))) + this.rpA, (int) (((float) ((this.mmW.getHeight() / 2) + this.rpB)) - (((float) (height / 2)) * this.rpz)));
            }
        }
        this.jYE.a(this.ruX, this.mmX, new 4(this), null);
        AppMethodBeat.o(39171);
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        AppMethodBeat.i(39172);
        if (keyEvent.getKeyCode() == 4 && keyEvent.getAction() == 0) {
            ab.d("MicroMsg.SnsOnlineVideoActivity", "dispatchKeyEvent");
            bcW();
            AppMethodBeat.o(39172);
            return true;
        }
        boolean dispatchKeyEvent = super.dispatchKeyEvent(keyEvent);
        AppMethodBeat.o(39172);
        return dispatchKeyEvent;
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(39173);
        ab.i("MicroMsg.SnsOnlineVideoActivity", "on activity result reqCode %d resultCode %d", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
        if (4097 == i && -1 == i2) {
            String stringExtra = intent.getStringExtra("Select_Conv_User");
            String stringExtra2 = intent.getStringExtra("custom_send_text");
            for (String str : bo.P(stringExtra.split(","))) {
                if (this.scene == 0) {
                    n YT = af.cnF().YT(this.czD);
                    if (YT != null) {
                        if (t.kH(str)) {
                            rf rfVar = new rf();
                            rfVar.cNk.cFc = i.j(YT);
                            rfVar.cNk.cwT = YT.cqU();
                            com.tencent.mm.sdk.b.a.xxA.m(rfVar);
                        } else {
                            rg rgVar = new rg();
                            rgVar.cNl.cFc = i.j(YT);
                            rgVar.cNl.cwT = YT.cqU();
                            com.tencent.mm.sdk.b.a.xxA.m(rgVar);
                        }
                    }
                }
                TimeLineObject cqu = this.ros.cqu();
                int Xr = i.Xr(this.ePJ);
                if (bo.isNullOrNil(this.thumbPath)) {
                    bau bau = this.cNr;
                    if (bau == null) {
                        stringExtra = "";
                    } else {
                        String fZ = an.fZ(af.getAccSnsPath(), bau.Id);
                        stringExtra = fZ + i.e(bau);
                        ab.d("MicroMsg.SnsVideoLogic", "get sns video thumb path %s [%b]", new Object[]{stringExtra, Boolean.valueOf(com.tencent.mm.vfs.e.ct(stringExtra))});
                        if (!com.tencent.mm.vfs.e.ct(stringExtra)) {
                            stringExtra = fZ + i.n(bau);
                            ab.i("MicroMsg.SnsVideoLogic", "get sns video thumb path %s", new Object[]{stringExtra});
                        }
                    }
                } else {
                    stringExtra = this.thumbPath;
                }
                this.thumbPath = stringExtra;
                ab.i("MicroMsg.SnsOnlineVideoActivity", "send sight to %s, videopath %s, thumbpath %s url: %s time: %d, duration: %s", new Object[]{str, this.ePJ, this.thumbPath, this.cNr.wEO, Integer.valueOf(this.cNr.rEd), Integer.valueOf(Xr)});
                g.bOk().a(this, str, this.ePJ, this.thumbPath, 43, Xr, cqu.rjC);
                if (stringExtra2 != null) {
                    g.bOk().eZ(stringExtra2, str);
                }
                com.tencent.mm.ui.widget.snackbar.b.i(this, getString(2131300520));
            }
        }
        super.onActivityResult(i, i2, intent);
        AppMethodBeat.o(39173);
    }

    public final int getForceOrientation() {
        return 2;
    }
}
