package com.tencent.mm.plugin.wallet.bind.ui;

import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.m;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.r;
import com.tencent.mm.plugin.wallet.a.s;
import com.tencent.mm.plugin.wallet_core.model.Bankcard;
import com.tencent.mm.plugin.walletlock.a.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.wallet_core.a;
import com.tencent.mm.wallet_core.ui.WalletBaseUI;
import com.tencent.mm.wallet_core.ui.e;

public class WalletBankcardDetailUI extends WalletBaseUI {
    protected Bankcard thJ;
    protected TextView tlE;
    private TextView tlF;
    private View tlG;
    protected LinearLayout tlH;
    protected LinearLayout tlI;
    protected LinearLayout tlJ;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void b(WalletBankcardDetailUI walletBankcardDetailUI) {
        AppMethodBeat.i(45761);
        walletBankcardDetailUI.mU(true);
        AppMethodBeat.o(45761);
    }

    public final int getLayoutId() {
        return 2130971061;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(45750);
        super.onCreate(bundle);
        nf(621);
        setMMTitle(2131304599);
        initView();
        AppMethodBeat.o(45750);
    }

    public void onResume() {
        AppMethodBeat.i(45751);
        super.onResume();
        AppMethodBeat.o(45751);
    }

    public void onDestroy() {
        AppMethodBeat.i(45752);
        ng(621);
        super.onDestroy();
        AppMethodBeat.o(45752);
    }

    /* Access modifiers changed, original: protected|final */
    public final void mT(boolean z) {
        AppMethodBeat.i(45754);
        if (z) {
            this.tlH.setVisibility(8);
            this.tlI.setVisibility(0);
            ((TextView) findViewById(2131828671)).setOnClickListener(new 2(this));
            TextView textView = (TextView) findViewById(2131828666);
            TextView textView2 = (TextView) findViewById(2131828667);
            TextView textView3 = (TextView) findViewById(2131828668);
            ((TextView) findViewById(2131828665)).setText(e.e(this.thJ.field_onceQuotaKind, null));
            textView.setText(e.e(this.thJ.field_onceQuotaVirtual, null));
            textView2.setText(e.e(this.thJ.field_dayQuotaKind, null));
            textView3.setText(e.e(this.thJ.field_dayQuotaVirtual, null));
            if (!bo.isNullOrNil(this.thJ.field_repay_url)) {
                this.tlF.setVisibility(0);
                this.tlG.setVisibility(0);
            }
            AppMethodBeat.o(45754);
            return;
        }
        this.tlH.setVisibility(8);
        this.tlI.setVisibility(8);
        this.tlJ.setVisibility(0);
        AppMethodBeat.o(45754);
    }

    /* Access modifiers changed, original: protected|final */
    public final void cNs() {
        AppMethodBeat.i(45755);
        this.tlH.setVisibility(0);
        this.tlI.setVisibility(8);
        ((TextView) findViewById(2131828675)).setOnClickListener(new 3(this));
        ((TextView) findViewById(2131828673)).setOnClickListener(new 4(this));
        AppMethodBeat.o(45755);
    }

    private void ceo() {
        AppMethodBeat.i(45756);
        addIconOptionMenu(0, 2130839555, new 5(this));
        AppMethodBeat.o(45756);
    }

    private void mU(boolean z) {
        AppMethodBeat.i(45757);
        if (r.YM() || z || ((b) g.K(b.class)).cTj()) {
            this.mBundle.putBoolean("offline_pay", false);
            a.j(this, this.mBundle);
            AppMethodBeat.o(45757);
            return;
        }
        e.QS(0);
        h.a(this, 2131304601, -1, 2131304600, 2131304602, true, new 6(this), new OnClickListener() {
            public final void onClick(DialogInterface dialogInterface, int i) {
                AppMethodBeat.i(45747);
                WalletBankcardDetailUI.b(WalletBankcardDetailUI.this);
                e.QS(2);
                AppMethodBeat.o(45747);
            }
        });
        AppMethodBeat.o(45757);
    }

    public final boolean c(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(45759);
        if (i == 0 && i2 == 0) {
            if (!(mVar instanceof com.tencent.mm.plugin.wallet.bind.a.b)) {
                if (mVar instanceof com.tencent.mm.plugin.wallet.bind.a.a) {
                    com.tencent.mm.plugin.wallet.bind.a.a aVar = (com.tencent.mm.plugin.wallet.bind.a.a) mVar;
                    ab.e("MicroMsg.WalletBankcardDetailUI", "NetSceneGetUnbindInfo succ and level = " + aVar.tle);
                    switch (aVar.tle) {
                        case 2:
                        case 3:
                            h.a(this, aVar.tlf, null, false, new 9(this, aVar.tle));
                            break;
                        default:
                            mU(false);
                            break;
                    }
                }
            } else if (this.tlE != null) {
                this.tlE.setVisibility(0);
            }
        } else if (mVar instanceof com.tencent.mm.plugin.wallet.bind.a.a) {
            ab.e("MicroMsg.WalletBankcardDetailUI", "NetSceneGetUnbindInfo error");
            mU(false);
            AppMethodBeat.o(45759);
            return true;
        }
        AppMethodBeat.o(45759);
        return false;
    }

    public final void initView() {
        AppMethodBeat.i(45753);
        this.thJ = (Bankcard) this.mBundle.getParcelable("key_bankcard");
        if (this.thJ == null) {
            AppMethodBeat.o(45753);
            return;
        }
        this.tlH = (LinearLayout) findViewById(2131828672);
        this.tlI = (LinearLayout) findViewById(2131828663);
        this.tlJ = (LinearLayout) findViewById(2131828676);
        this.tlF = (TextView) findViewById(2131828669);
        this.tlG = findViewById(2131828670);
        this.tlG.setOnClickListener(new 1(this));
        if (1 == this.thJ.field_bankcardState) {
            cNs();
            AppMethodBeat.o(45753);
            return;
        }
        if (this.thJ.cPf()) {
            mT(true);
            this.tlE = (TextView) findViewById(2131828664);
            s.cNC();
            s.cND();
            this.tlE.setVisibility(8);
        } else {
            mT(false);
            this.tlE = (TextView) findViewById(2131828677);
            s.cNC();
            s.cND();
            this.tlE.setVisibility(8);
        }
        ceo();
        AppMethodBeat.o(45753);
    }

    @Deprecated
    public Dialog onCreateDialog(int i) {
        AppMethodBeat.i(45758);
        Dialog a = h.a(this.mController.ylL, getString(2131304586), getResources().getStringArray(2131755065), "", new 8(this));
        AppMethodBeat.o(45758);
        return a;
    }

    static /* synthetic */ void a(WalletBankcardDetailUI walletBankcardDetailUI) {
        AppMethodBeat.i(45760);
        walletBankcardDetailUI.a(new com.tencent.mm.plugin.wallet.bind.a.a(walletBankcardDetailUI.thJ.field_bankcardType, walletBankcardDetailUI.thJ.field_bindSerial), true, false);
        AppMethodBeat.o(45760);
    }
}
