package com.tencent.qqmusic.mediaplayer.audioplaylist;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import android.util.Pair;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class TrackInfo extends AudioPlayListItemInfo {
    public static final Creator<TrackInfo> CREATOR = new 1();
    private String mAlbum = "";
    private long mEndPostion;
    private String mPerformer = "";
    private long mStartPosition;
    private String mTitle = "";

    public TrackInfo(int i) {
        this.mType = i;
    }

    public void setFilePath(String str) {
        this.mUri = str;
    }

    public void setTitle(String str) {
        this.mTitle = str;
    }

    public void setStartPosition(long j) {
        this.mStartPosition = j;
    }

    public void setEndPostion(long j) {
        this.mEndPostion = j;
    }

    public void setPerformer(String str) {
        this.mPerformer = str;
    }

    public void setAlbum(String str) {
        this.mAlbum = str;
    }

    public String getTitle() {
        return this.mTitle;
    }

    public String getPerformer() {
        return this.mPerformer;
    }

    public String getAlbum() {
        return this.mAlbum;
    }

    public Pair<Long, Long> getRange() {
        AppMethodBeat.i(111093);
        Pair pair = new Pair(Long.valueOf(this.mStartPosition), Long.valueOf(this.mEndPostion));
        AppMethodBeat.o(111093);
        return pair;
    }

    public String getUri() {
        return this.mUri;
    }

    static {
        AppMethodBeat.i(111095);
        AppMethodBeat.o(111095);
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(111094);
        parcel.writeInt(this.mType);
        parcel.writeString(this.mUri);
        parcel.writeString(this.mTitle);
        parcel.writeLong(this.mStartPosition);
        parcel.writeLong(this.mEndPostion);
        parcel.writeString(this.mPerformer);
        parcel.writeString(this.mAlbum);
        AppMethodBeat.o(111094);
    }
}
