package com.facebook.share.internal;

import android.os.Bundle;
import com.facebook.internal.NativeAppCallAttachmentStore$Attachment;
import com.facebook.internal.Utility;
import com.facebook.internal.Utility.Mapper;
import com.facebook.share.model.ShareMedia;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.List;
import java.util.UUID;

class ShareInternalUtility$11 implements Mapper<ShareMedia, Bundle> {
    final /* synthetic */ UUID val$appCallId;
    final /* synthetic */ List val$attachments;

    ShareInternalUtility$11(UUID uuid, List list) {
        this.val$appCallId = uuid;
        this.val$attachments = list;
    }

    public final Bundle apply(ShareMedia shareMedia) {
        AppMethodBeat.i(97260);
        NativeAppCallAttachmentStore$Attachment access$000 = ShareInternalUtility.access$000(this.val$appCallId, shareMedia);
        this.val$attachments.add(access$000);
        Bundle bundle = new Bundle();
        bundle.putString("type", shareMedia.getMediaType().name());
        bundle.putString("uri", access$000.getAttachmentUrl());
        String uriExtension = ShareInternalUtility.getUriExtension(access$000.getOriginalUri());
        if (uriExtension != null) {
            Utility.putNonEmptyString(bundle, "extension", uriExtension);
        }
        AppMethodBeat.o(97260);
        return bundle;
    }
}
