package com.tencent.mm.plugin.appbrand.ui.recents;

import android.annotation.SuppressLint;
import android.app.Dialog;
import android.os.Bundle;
import android.os.Looper;
import android.support.v4.app.FragmentActivity;
import android.support.v7.h.d;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.support.v7.widget.RecyclerView.m;
import android.support.v7.widget.RecyclerView.v;
import android.text.TextUtils;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnCreateContextMenuListener;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.appbrand.appusage.AppBrandRecentTaskInfo;
import com.tencent.mm.plugin.appbrand.appusage.j;
import com.tencent.mm.plugin.appbrand.appusage.r;
import com.tencent.mm.plugin.appbrand.appusage.s;
import com.tencent.mm.plugin.appbrand.appusage.t;
import com.tencent.mm.plugin.appbrand.config.p;
import com.tencent.mm.plugin.appbrand.launching.AppBrandLaunchProxyUI;
import com.tencent.mm.plugin.appbrand.report.AppBrandStatObject;
import com.tencent.mm.plugin.appbrand.ui.AppBrandLauncherBlankPage;
import com.tencent.mm.plugin.appbrand.ui.AppBrandLauncherUI;
import com.tencent.mm.plugin.appbrand.ui.AppBrandLauncherUI.Fragment;
import com.tencent.mm.plugin.appbrand.ui.a.b;
import com.tencent.mm.plugin.appbrand.ui.recents.a.1;
import com.tencent.mm.plugin.appbrand.widget.recyclerview.LoadMoreRecyclerView;
import com.tencent.mm.sdk.e.k.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.bp;
import com.tencent.mm.storage.ac;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.i;
import com.tencent.mm.ui.base.n;
import com.tencent.ttpic.baseutils.ApiHelper$VERSION_CODES;
import com.tencent.ytcommon.BuildConfig;
import java.util.ArrayList;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicLong;

public final class AppBrandLauncherRecentsList extends Fragment {
    private int huR;
    private final al iLa;
    private final r iMA;
    private d iMB;
    private View iMC;
    private View iMD;
    private a iME;
    private e iMF;
    private final p iMG;
    private int iMH;
    private int iMI;
    private boolean iMJ;
    private boolean iMK;
    private String iML;
    private final d iMM;
    private final b iMN;
    private final a iMO;
    private final a iMP;
    private final a iMQ;
    private final a iMR;
    private final c iMS;
    private boolean iMT;
    private Dialog iMU;
    private final int iMk;
    private final boolean iMl;
    private final boolean iMm;
    private final boolean iMn;
    private final k iMo;
    private final Bundle iMp;
    private final AtomicLong iMq;
    private final AtomicLong iMr;
    private final AtomicBoolean iMs;
    private final AtomicLong iMt;
    private final AtomicBoolean iMu;
    private LoadMoreRecyclerView iMv;
    private LinearLayoutManager iMw;
    private t iMx;
    private final m iMy;
    private final a iMz;

    final class e extends v implements OnClickListener, OnCreateContextMenuListener, n.d {
        View goc;
        TextView iNn;
        TextView iNo;
        TextView iNp;
        TextView iNq;
        ImageView iNr;
        View iNs;
        com.tencent.mm.ui.widget.b.a iNt;
        final int iNu = 1;
        final int iNv = 2;

        e(View view) {
            super(view);
            AppMethodBeat.i(133387);
            this.goc = view.findViewById(2131821128);
            this.iNn = (TextView) view.findViewById(2131820649);
            this.iNo = (TextView) view.findViewById(2131821186);
            this.iNp = (TextView) view.findViewById(2131821153);
            this.iNq = (TextView) view.findViewById(2131821225);
            this.iNr = (ImageView) view.findViewById(2131820915);
            this.iNs = view.findViewById(2131821224);
            view.setOnClickListener(this);
            this.iNt = new com.tencent.mm.ui.widget.b.a(this.apJ.getContext()) {
                public final boolean dn(int i, int i2) {
                    AppMethodBeat.i(133382);
                    if (e.this.apJ.getParent() != null) {
                        e.this.apJ.getParent().requestDisallowInterceptTouchEvent(true);
                    }
                    boolean dn = super.dn(i, i2);
                    AppMethodBeat.o(133382);
                    return dn;
                }

                public final void onDismiss() {
                    AppMethodBeat.i(133383);
                    if (e.this.apJ.getParent() != null) {
                        e.this.apJ.getParent().requestDisallowInterceptTouchEvent(false);
                    }
                    super.onDismiss();
                    AppMethodBeat.o(133383);
                }
            };
            this.iNt.c(this.apJ, this, this);
            AppMethodBeat.o(133387);
        }

        private int aNp() {
            AppMethodBeat.i(133388);
            int S = AppBrandLauncherRecentsList.this.iMv.S(this);
            AppMethodBeat.o(133388);
            return S;
        }

        /* Access modifiers changed, original: final */
        public final AppBrandRecentTaskInfo aNq() {
            AppMethodBeat.i(133389);
            try {
                AppBrandRecentTaskInfo appBrandRecentTaskInfo = (AppBrandRecentTaskInfo) AppBrandLauncherRecentsList.this.iMx.pW(aNp());
                AppMethodBeat.o(133389);
                return appBrandRecentTaskInfo;
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.AppBrandLauncherRecentsList", e, "getAppInfo", new Object[0]);
                AppMethodBeat.o(133389);
                return null;
            }
        }

        public final void onCreateContextMenu(ContextMenu contextMenu, View view, ContextMenuInfo contextMenuInfo) {
            AppMethodBeat.i(133390);
            AppBrandRecentTaskInfo aNq = aNq();
            if (aNq == null) {
                AppMethodBeat.o(133390);
                return;
            }
            if (AppBrandLauncherRecentsList.this.iMl) {
                contextMenu.add(0, 1, 0, this.apJ.getContext().getString(aNq.had ? 2131296854 : 2131296851));
            }
            contextMenu.add(0, 2, 0, this.apJ.getContext().getString(2131296703));
            AppMethodBeat.o(133390);
        }

        public final void onMMMenuItemSelected(MenuItem menuItem, int i) {
            AppMethodBeat.i(133391);
            AppBrandRecentTaskInfo aNq = aNq();
            if (aNq == null || menuItem == null) {
                AppMethodBeat.o(133391);
                return;
            }
            int i2;
            String aLd;
            switch (AppBrandLauncherRecentsList.this.getActivity().getIntent().getIntExtra("extra_get_usage_reason", 3)) {
                case 9:
                    i2 = 7;
                    break;
                default:
                    i2 = 1;
                    break;
            }
            if (i2 == 7) {
                aLd = com.tencent.mm.plugin.appbrand.report.e.aLd();
            } else {
                if (TextUtils.isEmpty(AppBrandLauncherRecentsList.this.iML)) {
                    AppBrandLauncherRecentsList.this.iML = com.tencent.mm.plugin.appbrand.report.e.aLc();
                }
                aLd = AppBrandLauncherRecentsList.this.iML;
            }
            if (1 != menuItem.getItemId()) {
                if (2 == menuItem.getItemId()) {
                    if (aNq.had && !AppBrandLauncherRecentsList.this.iMm) {
                        AppBrandLauncherRecentsList.this.iLa.aa(new 3(this, aNq, i2, aLd));
                    }
                    AppBrandLauncherRecentsList.this.iMy.pV(aNp());
                    AppBrandLauncherRecentsList.this.iMG.iON = true;
                    AppBrandLauncherRecentsList.this.iMN.aNo();
                    AppBrandLauncherRecentsList.this.iMx.ci(aNp());
                    AppBrandLauncherRecentsList.c(AppBrandLauncherRecentsList.this);
                    com.tencent.mm.plugin.appbrand.appusage.al.j(aNq.csl, aNq.appId, aNq.gVs);
                }
                AppMethodBeat.o(133391);
            } else if (AppBrandLauncherRecentsList.this.iMm || AppBrandLauncherRecentsList.this.iMy.aNw().size() < AppBrandLauncherRecentsList.this.iMk || aNq.had) {
                AppBrandLauncherRecentsList.this.iLa.aa(new 2(this, aNq, i2, aLd));
                AppBrandLauncherRecentsList.this.iMG.iON = true;
                AppMethodBeat.o(133391);
            } else {
                if (AppBrandLauncherRecentsList.this.getActivity() != null) {
                    h.a(AppBrandLauncherRecentsList.this.getActivity(), AppBrandLauncherRecentsList.this.getResources().getString(2131296596, new Object[]{Integer.valueOf(AppBrandLauncherRecentsList.this.iMk)}), BuildConfig.FLAVOR, AppBrandLauncherRecentsList.this.getResources().getString(2131296994), false, null);
                }
                AppMethodBeat.o(133391);
            }
        }

        public final void onClick(View view) {
            AppMethodBeat.i(133392);
            AppBrandRecentTaskInfo aNq = aNq();
            if (aNq == null) {
                AppMethodBeat.o(133392);
                return;
            }
            AppBrandStatObject appBrandStatObject = new AppBrandStatObject();
            appBrandStatObject.scene = 1001;
            switch (AppBrandLauncherRecentsList.this.gOW) {
                case 10:
                    appBrandStatObject.cOq = 11;
                    break;
                case 11:
                    appBrandStatObject.cOq = 12;
                    break;
                case ApiHelper$VERSION_CODES.HONEYCOMB_MR2 /*13*/:
                    appBrandStatObject.cOq = 13;
                    break;
            }
            AppBrandLaunchProxyUI.a(AppBrandLauncherRecentsList.this.getActivity(), aNq.csl, null, aNq.gVs, -1, appBrandStatObject, null, null);
            if (AppBrandLauncherRecentsList.this.getActivity() != null && (AppBrandLauncherRecentsList.this.getActivity() instanceof AppBrandLauncherUI)) {
                r.d dVar = ((AppBrandLauncherUI) AppBrandLauncherRecentsList.this.getActivity()).iGM;
                if (dVar != null) {
                    dVar.haa[7] = "1";
                }
            }
            AppMethodBeat.o(133392);
        }
    }

    final class f extends m implements Runnable {
        private f() {
        }

        /* synthetic */ f(AppBrandLauncherRecentsList appBrandLauncherRecentsList, byte b) {
            this();
        }

        public final void c(RecyclerView recyclerView, int i) {
            AppMethodBeat.i(133393);
            AppBrandLauncherRecentsList.this.iMJ = i == 2;
            if (i == 0) {
                AppBrandLauncherRecentsList.this.N(this);
            }
            AppMethodBeat.o(133393);
        }

        public final void run() {
            AppMethodBeat.i(133394);
            if (!(AppBrandLauncherRecentsList.this.iMv == null || AppBrandLauncherRecentsList.this.iMw == null || AppBrandLauncherRecentsList.this.iMx == null || AppBrandLauncherRecentsList.this.iMB == null)) {
                int iQ = AppBrandLauncherRecentsList.this.iMw.iQ();
                int iS = AppBrandLauncherRecentsList.this.iMw.iS();
                for (int i = iQ; i <= iS; i++) {
                    v cf = AppBrandLauncherRecentsList.this.iMv.cf(i);
                    if (cf instanceof e) {
                        AppBrandRecentTaskInfo aNq = ((e) cf).aNq();
                        if (aNq != null) {
                            AppBrandLauncherRecentsList.this.iMB.b((e) cf, aNq.hac);
                        }
                    }
                }
            }
            AppMethodBeat.o(133394);
        }
    }

    public AppBrandLauncherRecentsList() {
        this(true);
    }

    @SuppressLint({"ValidFragment"})
    public AppBrandLauncherRecentsList(boolean z) {
        boolean z2;
        boolean z3 = true;
        AppMethodBeat.i(133396);
        this.iMp = new Bundle();
        this.iMq = new AtomicLong(-1);
        this.iMr = new AtomicLong(-1);
        this.iMs = new AtomicBoolean(false);
        this.iMt = new AtomicLong(Long.MAX_VALUE);
        this.iMu = new AtomicBoolean(false);
        this.iMy = new m();
        this.iLa = new al("AppBrandLauncherUI#RecentsListUI");
        this.iMz = new a(this);
        this.iMA = new r();
        this.iMG = new p();
        this.iMH = 3;
        this.iMI = 0;
        this.iMJ = false;
        this.iMK = false;
        this.iMM = new 15(this);
        this.iMN = new b(this, (byte) 0);
        this.iMO = new 16(this);
        this.iMP = new 17(this);
        this.iMQ = new 18(this);
        this.iMR = new 19(this);
        this.iMS = new c(this, (byte) 0);
        this.iMT = false;
        this.huR = 0;
        this.iMU = null;
        Bundle bundle = new Bundle(1);
        bundle.putBoolean("showHeader", z);
        setArguments(bundle);
        this.iMl = t.axG();
        this.iMm = t.axH();
        if (bp.dpL() && g.RP().Ry().getBoolean(ac.a.xOa, false)) {
            z2 = true;
        } else {
            z2 = false;
        }
        this.iMn = z2;
        this.iMk = t.axI();
        if (!this.iMl || this.iMm) {
            z3 = false;
        }
        this.iMo = new k(z3);
        AppMethodBeat.o(133396);
    }

    private boolean aNl() {
        AppMethodBeat.i(133397);
        if (this.iMu.get()) {
            AppMethodBeat.o(133397);
            return true;
        }
        FragmentActivity activity = getActivity();
        if (activity == null || activity.isFinishing()) {
            AppMethodBeat.o(133397);
            return true;
        }
        AppMethodBeat.o(133397);
        return false;
    }

    public final int getLayoutId() {
        return -1;
    }

    public final void onResume() {
        AppMethodBeat.i(133398);
        this.iMT = true;
        super.onResume();
        if (this.iMv != null) {
            this.iMv.setLayoutFrozen(false);
        }
        int i = this.huR + 1;
        this.huR = i;
        if (i > 1) {
            if (this.iME != null) {
                this.iME.onResume();
            }
            N(new 20(this));
        }
        AppMethodBeat.o(133398);
    }

    public final void onPause() {
        AppMethodBeat.i(133399);
        this.iMT = false;
        super.onPause();
        try {
            if (this.iMv != null) {
                this.iMv.setLayoutFrozen(true);
            }
            AppMethodBeat.o(133399);
        } catch (IllegalStateException e) {
            Looper.myQueue().addIdleHandler(new 2(this));
            AppMethodBeat.o(133399);
        }
    }

    public final void onDestroyView() {
        AppMethodBeat.i(133400);
        super.onDestroyView();
        if (this.iME != null) {
            this.iME.onDetached();
        }
        if (this.iMF != null) {
            this.iMF.onDetached();
        }
        if (this.iMx != null) {
            this.iMx.b(this.iMS);
        }
        if (this.iMB != null) {
            this.iMB.iNm.clear();
            this.iMB = null;
        }
        if (g.RN().eJb && !com.tencent.mm.kernel.a.QT()) {
            p.ayH().d(this.iMQ);
            com.tencent.mm.plugin.appbrand.app.f.auT().d(this.iMP);
            ((s) com.tencent.mm.plugin.appbrand.app.f.E(s.class)).d(this.iMO);
            j.axh().d(this.iMR);
        }
        this.iLa.oAl.quit();
        this.iMq.set(-1);
        this.iMr.set(-1);
        this.iMs.set(false);
        this.iMt.set(Long.MAX_VALUE);
        this.iMG.c(this.iMS);
        this.iMG.c(this.iMN);
        AppMethodBeat.o(133400);
    }

    public final void aMf() {
        AppMethodBeat.i(133401);
        if (this.iMv != null) {
            this.iMv.smoothScrollToPosition(0);
        }
        AppMethodBeat.o(133401);
    }

    public final void setScene(int i) {
        AppMethodBeat.i(133402);
        super.setScene(i);
        this.iMp.putInt("launcher_ui_enter_scene", i);
        AppMethodBeat.o(133402);
    }

    public final void onDestroy() {
        AppMethodBeat.i(133403);
        super.onDestroy();
        this.iMu.set(true);
        a.b(this.iMz);
        AppMethodBeat.o(133403);
    }

    public final void onActivityCreated(Bundle bundle) {
        AppMethodBeat.i(133404);
        super.onActivityCreated(bundle);
        if (!(getActivity() == null || getActivity().getIntent() == null)) {
            this.iMH = getActivity().getIntent().getIntExtra("extra_get_usage_reason", this.iMH);
            this.iMI = getActivity().getIntent().getIntExtra("extra_get_usage_prescene", this.iMI);
        }
        AppMethodBeat.o(133404);
    }

    public final void initView() {
        AppMethodBeat.i(133405);
        getActivity();
        this.iMw = new 3(this);
        this.iMw.an(false);
        this.iMv = new 4(this, getContext());
        this.iMv.setVerticalScrollBarEnabled(true);
        ((FrameLayout) this.WL).addView(this.iMv, new LayoutParams(-1, -1));
        this.iMv.b(new g(this, (byte) 0));
        this.iMv.setItemAnimator(this.iMG);
        this.iMG.b(this.iMS);
        this.iMG.b(this.iMN);
        t tVar = new t(this.iMy);
        d dVar = new d(this, (byte) 0);
        this.iMB = dVar;
        tVar.iPq.put(AppBrandRecentTaskInfo.class.hashCode(), dVar);
        this.iMx = tVar;
        this.iMx.jR();
        this.iMx.a(this.iMS);
        this.iMv.setAdapter(this.iMx);
        this.iMv.a(new f(this, (byte) 0));
        if (getArguments() == null || getArguments().getBoolean("showHeader", true)) {
            this.iME = new f(getActivity(), this.iMv, false, false);
            this.iMv.addHeaderView(this.iME.aNi());
            this.iME.aNi().setVisibility(8);
            this.iME.aNh();
            View inflate = LayoutInflater.from(getContext()).inflate(2130968715, this.iMv, false);
            this.iMv.addHeaderView(inflate);
            this.iMC = inflate;
            this.iMC.setVisibility(8);
        } else {
            getActivity();
            this.iME = new 1();
        }
        this.iMF = new e(getContext(), this.iMv);
        this.iMF.eJ(true);
        this.iMv.setLoadingView(this.iMF.apJ);
        this.iMv.fh(false);
        this.iMv.setOnLoadingStateChangedListener(new 7(this));
        aoX();
        FragmentActivity activity = getActivity();
        View inflate2 = View.inflate(activity, 2130968766, null);
        i iVar = new i(activity, 2131493039);
        iVar.setContentView(inflate2);
        iVar.setCancelable(true);
        iVar.setCanceledOnTouchOutside(false);
        iVar.setOnCancelListener(new com.tencent.mm.plugin.appbrand.ui.d.1(activity, iVar));
        this.iMU = iVar;
        this.iMU.show();
        this.iMG.iON = false;
        this.iMq.set(bo.anU());
        this.iLa.ae(new 11(this));
        AppMethodBeat.o(133405);
    }

    private void aoX() {
        AppMethodBeat.i(133406);
        if (this.iMU != null) {
            this.iMU.dismiss();
        }
        this.iMU = null;
        AppMethodBeat.o(133406);
    }

    static /* synthetic */ boolean c(AppBrandLauncherRecentsList appBrandLauncherRecentsList) {
        AppMethodBeat.i(133407);
        if (!appBrandLauncherRecentsList.iMx.isEmpty() || ((appBrandLauncherRecentsList.iME.aNi() != null && appBrandLauncherRecentsList.iME.aNi().getVisibility() == 0) || appBrandLauncherRecentsList.getActivity() == null)) {
            if (!(appBrandLauncherRecentsList.iMx == null || appBrandLauncherRecentsList.iMC == null)) {
                if (appBrandLauncherRecentsList.iMx.isEmpty()) {
                    appBrandLauncherRecentsList.iMC.setVisibility(8);
                } else {
                    appBrandLauncherRecentsList.iMC.setVisibility(0);
                }
            }
            f fVar;
            View childAt;
            if (appBrandLauncherRecentsList.iMx.isEmpty()) {
                if (appBrandLauncherRecentsList.iMD == null) {
                    appBrandLauncherRecentsList.iMD = AppBrandLauncherBlankPage.Y(appBrandLauncherRecentsList.getActivity(), appBrandLauncherRecentsList.getString(2131296701));
                    ((FrameLayout) appBrandLauncherRecentsList.WL).addView(appBrandLauncherRecentsList.iMD, 0);
                    ((MarginLayoutParams) appBrandLauncherRecentsList.iMD.getLayoutParams()).topMargin = appBrandLauncherRecentsList.iME.aNi().getMeasuredHeight();
                    appBrandLauncherRecentsList.iMD.requestLayout();
                }
                if (appBrandLauncherRecentsList.iME instanceof f) {
                    fVar = (f) appBrandLauncherRecentsList.iME;
                    if (fVar.ius.getChildCount() > 0) {
                        childAt = fVar.ius.getChildAt(fVar.ius.getChildCount() - 1);
                        if (childAt.getId() == 2131820562) {
                            childAt.setVisibility(4);
                        }
                    }
                }
                appBrandLauncherRecentsList.iMF.apJ.setVisibility(8);
                appBrandLauncherRecentsList.iMD.setVisibility(0);
            } else {
                if (appBrandLauncherRecentsList.iMD != null) {
                    appBrandLauncherRecentsList.iMD.setVisibility(8);
                }
                if (appBrandLauncherRecentsList.iME instanceof f) {
                    fVar = (f) appBrandLauncherRecentsList.iME;
                    if (fVar.ius.getChildCount() > 0) {
                        childAt = fVar.ius.getChildAt(fVar.ius.getChildCount() - 1);
                        if (childAt.getId() == 2131820562) {
                            childAt.setVisibility(0);
                        }
                    }
                }
                appBrandLauncherRecentsList.iMF.apJ.setVisibility(0);
            }
            AppMethodBeat.o(133407);
            return true;
        }
        ((b) appBrandLauncherRecentsList.getActivity()).eE(false);
        AppMethodBeat.o(133407);
        return false;
    }

    static /* synthetic */ void s(AppBrandLauncherRecentsList appBrandLauncherRecentsList) {
        AppMethodBeat.i(133411);
        if (appBrandLauncherRecentsList.iMK && !appBrandLauncherRecentsList.iMs.get()) {
            appBrandLauncherRecentsList.iMr.set(bo.anU());
            if (j.axi()) {
                j.axh().a(appBrandLauncherRecentsList.iMr.get(), false, appBrandLauncherRecentsList.iMp, appBrandLauncherRecentsList.iMH, appBrandLauncherRecentsList.iMI);
                appBrandLauncherRecentsList.iMs.set(true);
                AppMethodBeat.o(133411);
                return;
            }
            ArrayList aNx = appBrandLauncherRecentsList.iMy.aNx();
            final long j = bo.ek(aNx) ? Long.MAX_VALUE : ((AppBrandRecentTaskInfo) aNx.get(aNx.size() - 1)).updateTime;
            appBrandLauncherRecentsList.iLa.aa(new Runnable() {
                public final void run() {
                    AppMethodBeat.i(133339);
                    ArrayList q = AppBrandLauncherRecentsList.this.iMo.q(com.tencent.mm.plugin.appbrand.app.f.auT().hap.gi(j));
                    a.a(AppBrandLauncherRecentsList.this.iMz);
                    AppBrandLauncherRecentsList.this.iMz.sendMessage(AppBrandLauncherRecentsList.this.iMz.obtainMessage(1, new 1(this, q)));
                    AppMethodBeat.o(133339);
                }
            });
        }
        AppMethodBeat.o(133411);
    }

    static /* synthetic */ void u(AppBrandLauncherRecentsList appBrandLauncherRecentsList) {
        AppMethodBeat.i(133412);
        p.ayH().a(appBrandLauncherRecentsList.iMQ, appBrandLauncherRecentsList.iLa.oAl.getLooper());
        com.tencent.mm.plugin.appbrand.app.f.auT().a(appBrandLauncherRecentsList.iMP, appBrandLauncherRecentsList.iLa.oAl.getLooper());
        if (appBrandLauncherRecentsList.iMl) {
            ((s) com.tencent.mm.plugin.appbrand.app.f.E(s.class)).a(appBrandLauncherRecentsList.iMO, appBrandLauncherRecentsList.iLa.oAl.getLooper());
        }
        j.axh().a(appBrandLauncherRecentsList.iMR, appBrandLauncherRecentsList.iLa.oAl.getLooper());
        AppMethodBeat.o(133412);
    }
}
