package com.tencent.mm.ui.tools;

import android.app.ProgressDialog;
import android.content.Intent;
import android.graphics.BitmapFactory.Options;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcelable;
import android.widget.Toast;
import com.google.android.gms.common.util.CrashUtils.ErrorDialogData;
import com.jg.EType;
import com.jg.JgClassChecked;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.m.g;
import com.tencent.mm.model.aw;
import com.tencent.mm.modelsimple.z;
import com.tencent.mm.opensdk.modelmsg.SendMessageToWX.Req;
import com.tencent.mm.opensdk.modelmsg.WXFileObject;
import com.tencent.mm.opensdk.modelmsg.WXImageObject;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage.IMediaObject;
import com.tencent.mm.opensdk.modelmsg.WXTextObject;
import com.tencent.mm.plugin.account.ui.SimpleLoginUI;
import com.tencent.mm.pluginsdk.ui.AutoLoginActivity;
import com.tencent.mm.pluginsdk.ui.AutoLoginActivity.a;
import com.tencent.mm.protocal.protobuf.rt;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.r;
import com.tencent.mm.sdk.platformtools.w;
import com.tencent.mm.ui.MMWizardActivity;
import com.tencent.mm.ui.base.b;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.transmit.MsgRetransmitUI;
import com.tencent.mm.ui.transmit.SelectConversationUI;
import com.tencent.mm.ui.transmit.SelectNoSupportUI;
import com.tencent.mm.ui.transmit.SendAppMessageWrapperUI;
import com.tencent.mm.vfs.e;
import com.tencent.rtmp.TXLivePushConfig;
import com.tencent.ytcommon.BuildConfig;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Iterator;

@JgClassChecked(author = 20, fComment = "checked", lastDate = "20140422", reviewer = 20, vComment = {EType.ACTIVITYCHECK})
public class ShareImgUI extends AutoLoginActivity implements f {
    private ProgressDialog ehJ = null;
    String filePath = null;
    private ak handler = new 3(this);
    private Intent intent = null;
    Uri uri = null;
    ArrayList<String> zAu = null;
    Intent zHq = null;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public ShareImgUI() {
        AppMethodBeat.i(34944);
        AppMethodBeat.o(34944);
    }

    static /* synthetic */ int ask(String str) {
        AppMethodBeat.i(34965);
        int asc = asc(str);
        AppMethodBeat.o(34965);
        return asc;
    }

    static /* synthetic */ void b(ShareImgUI shareImgUI) {
        AppMethodBeat.i(34959);
        shareImgUI.PI(1);
        AppMethodBeat.o(34959);
    }

    public final boolean O(Intent intent) {
        return true;
    }

    public final boolean bVD() {
        AppMethodBeat.i(34945);
        if (!aw.ZM() || aw.QT()) {
            ab.w("MicroMsg.ShareImgUI", "not login");
            this.intent = getIntent();
            asS();
            AppMethodBeat.o(34945);
            return true;
        }
        AppMethodBeat.o(34945);
        return false;
    }

    public final void a(a aVar, Intent intent) {
        AppMethodBeat.i(34946);
        switch (7.jDI[aVar.ordinal()]) {
            case 1:
                this.intent = intent;
                ab.i("MicroMsg.ShareImgUI", "now permission = %d", new Object[]{Integer.valueOf(bo.getInt(g.Nu().getValue("SystemShareControlBitset"), 0))});
                if ((bo.getInt(g.Nu().getValue("SystemShareControlBitset"), 0) & 1) > 0) {
                    ab.e("MicroMsg.ShareImgUI", "now allowed to share to friend");
                    finish();
                    AppMethodBeat.o(34946);
                    return;
                }
                ab.i("MicroMsg.ShareImgUI", "postLogin, text = %s", new Object[]{w.n(intent, "android.intent.extra.TEXT")});
                if (bo.isNullOrNil(w.n(intent, "android.intent.extra.TEXT"))) {
                    asS();
                    AppMethodBeat.o(34946);
                    return;
                }
                String format = String.format("weixin://dl/business/systemshare/?txt=%s", new Object[]{URLEncoder.encode(format)});
                showDialog();
                aw.Rg().a(TXLivePushConfig.DEFAULT_MAX_VIDEO_BITRATE, this);
                aw.Rg().a(new z(format, 15, null), 0);
                AppMethodBeat.o(34946);
                return;
            default:
                finish();
                b.hM(this);
                AppMethodBeat.o(34946);
                return;
        }
    }

    public void onDestroy() {
        AppMethodBeat.i(34947);
        aw.Rg().b(TXLivePushConfig.DEFAULT_MAX_VIDEO_BITRATE, this);
        aw.Rg().b(837, this);
        dismissDialog();
        super.onDestroy();
        AppMethodBeat.o(34947);
    }

    private void asS() {
        AppMethodBeat.i(34948);
        if (this.intent == null) {
            ab.e("MicroMsg.ShareImgUI", "launch : fail, intent is null");
            PI(0);
            finish();
            AppMethodBeat.o(34948);
            return;
        }
        String action = this.intent.getAction();
        Bundle extras = this.intent.getExtras();
        if (bo.isNullOrNil(action)) {
            ab.e("MicroMsg.ShareImgUI", "launch : fail, action is null");
            PI(0);
            finish();
            AppMethodBeat.o(34948);
            return;
        }
        if (extras != null) {
            Parcelable parcelable = extras.getParcelable("android.intent.extra.STREAM");
            if (parcelable != null && (parcelable instanceof Uri)) {
                this.uri = (Uri) parcelable;
                if (!bo.v(this.uri)) {
                    ab.e("MicroMsg.ShareImgUI", "launch : fail, not accepted: %s", new Object[]{this.uri});
                    PI(0);
                    finish();
                    AppMethodBeat.o(34948);
                    return;
                }
            }
        }
        showDialog();
        if (action.equals("android.intent.action.SEND")) {
            ab.i("MicroMsg.ShareImgUI", "send signal: ".concat(String.valueOf(action)));
            if (this.uri == null) {
                ab.i("MicroMsg.ShareImgUI", "dealWithText: %b", new Object[]{Boolean.valueOf(aY(getIntent()))});
                if (!aY(getIntent())) {
                    PI(0);
                    finish();
                }
                AppMethodBeat.o(34948);
                return;
            }
            d.post(new a(this, this.uri, new c() {
                public final void dJx() {
                    AppMethodBeat.i(34935);
                    ShareImgUI.this.handler.sendEmptyMessage(0);
                    AppMethodBeat.o(34935);
                }
            }), "ShareImgUI_getFilePath");
            AppMethodBeat.o(34948);
        } else if (action.equals("android.intent.action.SEND_MULTIPLE") && extras != null && extras.containsKey("android.intent.extra.STREAM")) {
            ab.i("MicroMsg.ShareImgUI", "send multi: ".concat(String.valueOf(action)));
            a(extras, new 2(this));
            AppMethodBeat.o(34948);
        } else {
            ab.e("MicroMsg.ShareImgUI", "launch : fail, uri is null");
            PI(0);
            finish();
            AppMethodBeat.o(34948);
        }
    }

    private boolean dJU() {
        AppMethodBeat.i(34949);
        Intent intent = new Intent(this, ShareImgUI.class);
        if ("android.intent.action.SEND".equals(getIntent().getAction())) {
            if (bo.isNullOrNil(this.filePath)) {
                AppMethodBeat.o(34949);
                return false;
            }
            intent.putExtra("android.intent.extra.STREAM", e.asY(this.filePath));
            intent.setAction("android.intent.action.SEND");
            intent.setType(getIntent().getType());
        } else if (!"android.intent.action.SEND_MULTIPLE".equals(getIntent().getAction())) {
            AppMethodBeat.o(34949);
            return false;
        } else if (bo.ek(this.zAu)) {
            AppMethodBeat.o(34949);
            return false;
        } else {
            ArrayList arrayList = new ArrayList(this.zAu.size());
            Iterator it = this.zAu.iterator();
            while (it.hasNext()) {
                arrayList.add(e.asY((String) it.next()));
            }
            intent.putParcelableArrayListExtra("android.intent.extra.STREAM", arrayList);
            intent.setAction("android.intent.action.SEND_MULTIPLE");
            intent.setType(getIntent().getType());
        }
        intent.addFlags(67108864);
        MMWizardActivity.b(this, new Intent(this, SimpleLoginUI.class).addFlags(32768).addFlags(ErrorDialogData.BINDER_CRASH), intent);
        AppMethodBeat.o(34949);
        return true;
    }

    private void a(Bundle bundle, b bVar) {
        AppMethodBeat.i(34950);
        d.post(new 4(this, bundle, bVar, System.currentTimeMillis()), "getMultiSendFilePathList");
        AppMethodBeat.o(34950);
    }

    private boolean aY(Intent intent) {
        AppMethodBeat.i(34951);
        if (intent == null) {
            ab.e("MicroMsg.ShareImgUI", "intent is null");
            AppMethodBeat.o(34951);
            return false;
        }
        String n = w.n(intent, "android.intent.extra.TEXT");
        String n2 = w.n(intent, "android.intent.extra.SUBJECT");
        if (n == null || n.length() == 0) {
            ab.i("MicroMsg.ShareImgUI", "text is null");
            AppMethodBeat.o(34951);
            return false;
        }
        WXMediaMessage wXMediaMessage = new WXMediaMessage(new WXTextObject(n));
        wXMediaMessage.description = n;
        Req req = new Req();
        req.transaction = null;
        req.message = wXMediaMessage;
        Bundle bundle = new Bundle();
        req.toBundle(bundle);
        bundle.putInt("_mmessage_sdkVersion", 620954368);
        bundle.putString("_mmessage_appPackage", "com.tencent.mm.openapi");
        bundle.putString("SendAppMessageWrapper_AppId", "wx4310bbd51be7d979");
        Intent intent2 = new Intent();
        intent2.setClass(this, SelectConversationUI.class);
        intent2.putExtra("Select_Conv_NextStep", new Intent(this, SendAppMessageWrapperUI.class).putExtras(bundle).putExtra("animation_pop_in", true));
        if (!aw.ZM() || aw.QT()) {
            ab.w("MicroMsg.ShareImgUI", "not logged in, jump to simple login");
            MMWizardActivity.b(this, new Intent(this, SimpleLoginUI.class), getIntent().addFlags(67108864));
        } else {
            aw.Rg().a(837, this);
            ArrayList arrayList = new ArrayList();
            arrayList.add(n2 + "|" + n);
            com.tencent.mm.kernel.g.Rg().a(new com.tencent.mm.modelsimple.d(5, arrayList, dyh()), 0);
            showDialog();
            this.zHq = intent2;
        }
        AppMethodBeat.o(34951);
        return true;
    }

    /* JADX WARNING: Unknown top exception splitter block from list: {B:60:0x0143=Splitter:B:60:0x0143, B:72:0x0175=Splitter:B:72:0x0175, B:33:0x00b9=Splitter:B:33:0x00b9} */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x015f A:{SYNTHETIC, Splitter:B:63:0x015f} */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x0164 A:{Catch:{ Exception -> 0x016e }} */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x0169 A:{Catch:{ Exception -> 0x016e }} */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x019b A:{SYNTHETIC, Splitter:B:75:0x019b} */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x01a0 A:{Catch:{ Exception -> 0x01aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x01a5 A:{Catch:{ Exception -> 0x01aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x015f A:{SYNTHETIC, Splitter:B:63:0x015f} */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x0164 A:{Catch:{ Exception -> 0x016e }} */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x0169 A:{Catch:{ Exception -> 0x016e }} */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x019b A:{SYNTHETIC, Splitter:B:75:0x019b} */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x01a0 A:{Catch:{ Exception -> 0x01aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x01a5 A:{Catch:{ Exception -> 0x01aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x01b3 A:{SYNTHETIC, Splitter:B:85:0x01b3} */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x01b8 A:{Catch:{ Exception -> 0x01c4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x01bd A:{Catch:{ Exception -> 0x01c4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x01b3 A:{SYNTHETIC, Splitter:B:85:0x01b3} */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x01b8 A:{Catch:{ Exception -> 0x01c4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x01bd A:{Catch:{ Exception -> 0x01c4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00d5 A:{SYNTHETIC, Splitter:B:36:0x00d5} */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00da A:{Catch:{ Exception -> 0x01e4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00df A:{Catch:{ Exception -> 0x01e4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x015f A:{SYNTHETIC, Splitter:B:63:0x015f} */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x0164 A:{Catch:{ Exception -> 0x016e }} */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x0169 A:{Catch:{ Exception -> 0x016e }} */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x019b A:{SYNTHETIC, Splitter:B:75:0x019b} */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x01a0 A:{Catch:{ Exception -> 0x01aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x01a5 A:{Catch:{ Exception -> 0x01aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x01b3 A:{SYNTHETIC, Splitter:B:85:0x01b3} */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x01b8 A:{Catch:{ Exception -> 0x01c4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x01bd A:{Catch:{ Exception -> 0x01c4 }} */
    private java.lang.String a(android.net.Uri r11, android.database.Cursor r12) {
        /*
        r10 = this;
        r9 = -1;
        r1 = 0;
        r8 = 34952; // 0x8888 float:4.8978E-41 double:1.72686E-319;
        r6 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        if (r11 == 0) goto L_0x00e2;
    L_0x000b:
        r0 = "contact.vcf";
        r2 = "_display_name";
        r2 = r12.getColumnIndex(r2);
        if (r2 == r9) goto L_0x003a;
    L_0x0017:
        r0 = r12.getString(r2);	 Catch:{ Exception -> 0x00e7 }
    L_0x001b:
        if (r0 == 0) goto L_0x0029;
    L_0x001d:
        if (r0 == 0) goto L_0x0029;
    L_0x001f:
        r2 = "[^.\\w]+";
        r3 = "_";
        r0 = r0.replaceAll(r2, r3);
    L_0x0029:
        r2 = "MicroMsg.ShareImgUI";
        r3 = "vcard file name: ";
        r4 = java.lang.String.valueOf(r0);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
    L_0x003a:
        r12.close();
        r2 = r10.getContentResolver();	 Catch:{ FileNotFoundException -> 0x01e7, IOException -> 0x013f, Exception -> 0x0171, all -> 0x01ad }
        r3 = "r";
        r3 = r2.openAssetFileDescriptor(r11, r3);	 Catch:{ FileNotFoundException -> 0x01e7, IOException -> 0x013f, Exception -> 0x0171, all -> 0x01ad }
        r4 = r3.createInputStream();	 Catch:{ FileNotFoundException -> 0x01ed, IOException -> 0x01d8, Exception -> 0x01cf, all -> 0x01c6 }
        com.tencent.mm.model.aw.ZK();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2 = com.tencent.mm.model.c.isSDCardAvailable();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        if (r2 == 0) goto L_0x00fc;
    L_0x0055:
        r2 = new java.lang.StringBuilder;	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2.<init>();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5 = com.tencent.mm.compatible.util.e.eSn;	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2 = r2.append(r5);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5 = "share";
        r2 = r2.append(r5);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2 = r2.toString();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5 = new java.lang.StringBuilder;	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5.<init>();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r6 = com.tencent.mm.compatible.util.e.eSn;	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5 = r5.append(r6);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r6 = "share/";
        r5 = r5.append(r6);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r0 = r5.append(r0);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r0 = r0.toString();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5 = new com.tencent.mm.vfs.b;	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5.<init>(r2);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2 = r5.exists();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        if (r2 != 0) goto L_0x0093;
    L_0x0090:
        r5.mkdirs();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
    L_0x0093:
        r2 = new com.tencent.mm.vfs.b;	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2.<init>(r0);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5 = r2.exists();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        if (r5 != 0) goto L_0x00a1;
    L_0x009e:
        r2.createNewFile();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
    L_0x00a1:
        r2 = 0;
        r2 = com.tencent.mm.vfs.e.L(r0, r2);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
    L_0x00a6:
        r5 = 5120; // 0x1400 float:7.175E-42 double:2.5296E-320;
        r5 = new byte[r5];	 Catch:{ FileNotFoundException -> 0x00b8, IOException -> 0x01e1, Exception -> 0x01d6 }
    L_0x00aa:
        r6 = 0;
        r7 = 5120; // 0x1400 float:7.175E-42 double:2.5296E-320;
        r6 = r4.read(r5, r6, r7);	 Catch:{ FileNotFoundException -> 0x00b8, IOException -> 0x01e1, Exception -> 0x01d6 }
        if (r6 == r9) goto L_0x0126;
    L_0x00b3:
        r7 = 0;
        r2.write(r5, r7, r6);	 Catch:{ FileNotFoundException -> 0x00b8, IOException -> 0x01e1, Exception -> 0x01d6 }
        goto L_0x00aa;
    L_0x00b8:
        r0 = move-exception;
    L_0x00b9:
        r5 = "MicroMsg.ShareImgUI";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01cd }
        r7 = "vcard uri file not found ";
        r6.<init>(r7);	 Catch:{ all -> 0x01cd }
        r0 = r0.getMessage();	 Catch:{ all -> 0x01cd }
        r0 = r6.append(r0);	 Catch:{ all -> 0x01cd }
        r0 = r0.toString();	 Catch:{ all -> 0x01cd }
        com.tencent.mm.sdk.platformtools.ab.e(r5, r0);	 Catch:{ all -> 0x01cd }
        if (r4 == 0) goto L_0x00d8;
    L_0x00d5:
        r4.close();	 Catch:{ Exception -> 0x01e4 }
    L_0x00d8:
        if (r3 == 0) goto L_0x00dd;
    L_0x00da:
        r3.close();	 Catch:{ Exception -> 0x01e4 }
    L_0x00dd:
        if (r2 == 0) goto L_0x00e2;
    L_0x00df:
        r2.close();	 Catch:{ Exception -> 0x01e4 }
    L_0x00e2:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
    L_0x00e6:
        return r0;
    L_0x00e7:
        r2 = move-exception;
        r3 = "MicroMsg.ShareImgUI";
        r4 = "try to get Vcard Name fail: %s";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r2 = r2.getMessage();
        r5[r6] = r2;
        com.tencent.mm.sdk.platformtools.ab.w(r3, r4, r5);
        goto L_0x001b;
    L_0x00fc:
        r10.deleteFile(r0);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2 = new java.lang.StringBuilder;	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2.<init>();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5 = r10.getFilesDir();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5 = r5.getPath();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2 = r2.append(r5);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5 = "/";
        r2 = r2.append(r5);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2 = r2.append(r0);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r5 = r2.toString();	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r2 = 0;
        r2 = r10.openFileOutput(r0, r2);	 Catch:{ FileNotFoundException -> 0x01f2, IOException -> 0x01dd, Exception -> 0x01d3, all -> 0x01ca }
        r0 = r5;
        goto L_0x00a6;
    L_0x0126:
        r2.flush();	 Catch:{ FileNotFoundException -> 0x00b8, IOException -> 0x01e1, Exception -> 0x01d6 }
        r2.close();	 Catch:{ FileNotFoundException -> 0x00b8, IOException -> 0x01e1, Exception -> 0x01d6 }
        if (r4 == 0) goto L_0x0131;
    L_0x012e:
        r4.close();	 Catch:{ Exception -> 0x01f6 }
    L_0x0131:
        if (r3 == 0) goto L_0x0136;
    L_0x0133:
        r3.close();	 Catch:{ Exception -> 0x01f6 }
    L_0x0136:
        if (r2 == 0) goto L_0x013b;
    L_0x0138:
        r2.close();	 Catch:{ Exception -> 0x01f6 }
    L_0x013b:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x00e6;
    L_0x013f:
        r0 = move-exception;
        r2 = r1;
        r3 = r1;
        r4 = r1;
    L_0x0143:
        r5 = "MicroMsg.ShareImgUI";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01cd }
        r7 = "vcard uri ioexception";
        r6.<init>(r7);	 Catch:{ all -> 0x01cd }
        r0 = r0.getMessage();	 Catch:{ all -> 0x01cd }
        r0 = r6.append(r0);	 Catch:{ all -> 0x01cd }
        r0 = r0.toString();	 Catch:{ all -> 0x01cd }
        com.tencent.mm.sdk.platformtools.ab.e(r5, r0);	 Catch:{ all -> 0x01cd }
        if (r4 == 0) goto L_0x0162;
    L_0x015f:
        r4.close();	 Catch:{ Exception -> 0x016e }
    L_0x0162:
        if (r3 == 0) goto L_0x0167;
    L_0x0164:
        r3.close();	 Catch:{ Exception -> 0x016e }
    L_0x0167:
        if (r2 == 0) goto L_0x00e2;
    L_0x0169:
        r2.close();	 Catch:{ Exception -> 0x016e }
        goto L_0x00e2;
    L_0x016e:
        r0 = move-exception;
        goto L_0x00e2;
    L_0x0171:
        r0 = move-exception;
        r2 = r1;
        r3 = r1;
        r4 = r1;
    L_0x0175:
        r5 = "MicroMsg.ShareImgUI";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01cd }
        r7 = "vcard uri exception";
        r6.<init>(r7);	 Catch:{ all -> 0x01cd }
        r7 = r0.getMessage();	 Catch:{ all -> 0x01cd }
        r6 = r6.append(r7);	 Catch:{ all -> 0x01cd }
        r6 = r6.toString();	 Catch:{ all -> 0x01cd }
        com.tencent.mm.sdk.platformtools.ab.e(r5, r6);	 Catch:{ all -> 0x01cd }
        r5 = "MicroMsg.ShareImgUI";
        r0 = r0.toString();	 Catch:{ all -> 0x01cd }
        com.tencent.mm.sdk.platformtools.ab.e(r5, r0);	 Catch:{ all -> 0x01cd }
        if (r4 == 0) goto L_0x019e;
    L_0x019b:
        r4.close();	 Catch:{ Exception -> 0x01aa }
    L_0x019e:
        if (r3 == 0) goto L_0x01a3;
    L_0x01a0:
        r3.close();	 Catch:{ Exception -> 0x01aa }
    L_0x01a3:
        if (r2 == 0) goto L_0x00e2;
    L_0x01a5:
        r2.close();	 Catch:{ Exception -> 0x01aa }
        goto L_0x00e2;
    L_0x01aa:
        r0 = move-exception;
        goto L_0x00e2;
    L_0x01ad:
        r0 = move-exception;
        r2 = r1;
        r3 = r1;
        r4 = r1;
    L_0x01b1:
        if (r4 == 0) goto L_0x01b6;
    L_0x01b3:
        r4.close();	 Catch:{ Exception -> 0x01c4 }
    L_0x01b6:
        if (r3 == 0) goto L_0x01bb;
    L_0x01b8:
        r3.close();	 Catch:{ Exception -> 0x01c4 }
    L_0x01bb:
        if (r2 == 0) goto L_0x01c0;
    L_0x01bd:
        r2.close();	 Catch:{ Exception -> 0x01c4 }
    L_0x01c0:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x01c4:
        r1 = move-exception;
        goto L_0x01c0;
    L_0x01c6:
        r0 = move-exception;
        r2 = r1;
        r4 = r1;
        goto L_0x01b1;
    L_0x01ca:
        r0 = move-exception;
        r2 = r1;
        goto L_0x01b1;
    L_0x01cd:
        r0 = move-exception;
        goto L_0x01b1;
    L_0x01cf:
        r0 = move-exception;
        r2 = r1;
        r4 = r1;
        goto L_0x0175;
    L_0x01d3:
        r0 = move-exception;
        r2 = r1;
        goto L_0x0175;
    L_0x01d6:
        r0 = move-exception;
        goto L_0x0175;
    L_0x01d8:
        r0 = move-exception;
        r2 = r1;
        r4 = r1;
        goto L_0x0143;
    L_0x01dd:
        r0 = move-exception;
        r2 = r1;
        goto L_0x0143;
    L_0x01e1:
        r0 = move-exception;
        goto L_0x0143;
    L_0x01e4:
        r0 = move-exception;
        goto L_0x00e2;
    L_0x01e7:
        r0 = move-exception;
        r2 = r1;
        r3 = r1;
        r4 = r1;
        goto L_0x00b9;
    L_0x01ed:
        r0 = move-exception;
        r2 = r1;
        r4 = r1;
        goto L_0x00b9;
    L_0x01f2:
        r0 = move-exception;
        r2 = r1;
        goto L_0x00b9;
    L_0x01f6:
        r1 = move-exception;
        goto L_0x013b;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.tools.ShareImgUI.a(android.net.Uri, android.database.Cursor):java.lang.String");
    }

    private static int asc(String str) {
        AppMethodBeat.i(34953);
        if (str == null || str.length() == 0) {
            ab.e("MicroMsg.ShareImgUI", "map : mimeType is null");
            AppMethodBeat.o(34953);
            return -1;
        }
        String toLowerCase = str.toLowerCase();
        if (toLowerCase.equalsIgnoreCase("image/gif")) {
            AppMethodBeat.o(34953);
            return 5;
        } else if (toLowerCase.contains("image")) {
            AppMethodBeat.o(34953);
            return 0;
        } else if (toLowerCase.contains("video")) {
            AppMethodBeat.o(34953);
            return 1;
        } else {
            ab.d("MicroMsg.ShareImgUI", "map : unknown mimetype, send as file");
            AppMethodBeat.o(34953);
            return 3;
        }
    }

    private void PI(int i) {
        AppMethodBeat.i(34954);
        switch (i) {
            case 1:
                Toast.makeText(this, 2131303503, 1).show();
                AppMethodBeat.o(34954);
                return;
            default:
                Toast.makeText(this, 2131303506, 1).show();
                AppMethodBeat.o(34954);
                return;
        }
    }

    private void dJV() {
        AppMethodBeat.i(34955);
        Toast.makeText(this, 2131299043, 1).show();
        finish();
        AppMethodBeat.o(34955);
    }

    private void showDialog() {
        AppMethodBeat.i(34956);
        getString(2131297061);
        this.ehJ = h.b(this, getString(2131297086), true, new 6(this));
        AppMethodBeat.o(34956);
    }

    private void dismissDialog() {
        AppMethodBeat.i(34957);
        if (this.ehJ != null && this.ehJ.isShowing()) {
            this.ehJ.dismiss();
        }
        AppMethodBeat.o(34957);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(34958);
        ab.i("MicroMsg.ShareImgUI", "onSceneEnd, errType = %d, errCode = %d, errMsg = %s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), str});
        dismissDialog();
        if (mVar instanceof z) {
            if (i == 0 && i2 == 0) {
                asS();
            } else {
                finish();
            }
        }
        if (mVar instanceof com.tencent.mm.modelsimple.d) {
            if (!(i == 0 && i2 == 0)) {
                if (mVar.ftl != null) {
                    rt rtVar = (rt) ((com.tencent.mm.ai.b) mVar.ftl).fsH.fsP;
                    if (!(rtVar == null || bo.isNullOrNil(rtVar.vZf))) {
                        Intent intent = new Intent();
                        intent.putExtra("rawUrl", rtVar.vZf);
                        intent.putExtra("showShare", false);
                        intent.putExtra("show_bottom", false);
                        intent.putExtra("needRedirect", false);
                        com.tencent.mm.bp.d.b(this, "webview", ".ui.tools.WebViewUI", intent);
                    }
                }
                finish();
            }
            startActivity(this.zHq);
            finish();
        }
        AppMethodBeat.o(34958);
    }

    static /* synthetic */ void c(ShareImgUI shareImgUI) {
        AppMethodBeat.i(34960);
        Intent intent = shareImgUI.getIntent();
        int asc = asc(intent.resolveType(shareImgUI));
        if (asc == 0 && r.amo(shareImgUI.filePath)) {
            ab.i("MicroMsg.ShareImgUI", "fix msg type to emoji.");
            asc = 5;
        }
        ab.i("MicroMsg.ShareImgUI", "filepath:[%s], msgType:%d", new Object[]{shareImgUI.filePath, Integer.valueOf(asc)});
        if (asc == -1) {
            ab.e("MicroMsg.ShareImgUI", "launch, msgType is invalid");
            shareImgUI.finish();
            AppMethodBeat.o(34960);
        } else if (shareImgUI.zAu != null && asc == 0 && shareImgUI.zAu.size() > 9) {
            intent.setClass(shareImgUI, SelectNoSupportUI.class);
            intent.putExtra("sharePictureTo", "friend");
            intent.addFlags(ErrorDialogData.BINDER_CRASH).addFlags(67108864);
            shareImgUI.zHq = intent;
            shareImgUI.startActivity(shareImgUI.zHq);
            shareImgUI.finish();
            AppMethodBeat.o(34960);
        } else if (bo.isNullOrNil(shareImgUI.filePath) || !bo.anx(shareImgUI.filePath) || r.amn(shareImgUI.filePath)) {
            if (asc == 5 && !bo.isNullOrNil(shareImgUI.filePath)) {
                if (e.asZ(shareImgUI.filePath) > ((long) com.tencent.mm.m.b.Nb())) {
                    com.tencent.mm.plugin.report.service.h.pYm.e(13459, new Object[]{Long.valueOf(r2), Integer.valueOf(1), BuildConfig.FLAVOR, Integer.valueOf(2)});
                    shareImgUI.dJV();
                    AppMethodBeat.o(34960);
                    return;
                }
                Options options = new Options();
                options.inJustDecodeBounds = true;
                if ((com.tencent.mm.sdk.platformtools.d.decodeFile(shareImgUI.filePath, options) != null && options.outHeight > com.tencent.mm.m.b.Na()) || options.outWidth > com.tencent.mm.m.b.Na()) {
                    com.tencent.mm.plugin.report.service.h.pYm.e(13459, new Object[]{Long.valueOf(r2), Integer.valueOf(1), BuildConfig.FLAVOR, Integer.valueOf(2)});
                    shareImgUI.dJV();
                    AppMethodBeat.o(34960);
                    return;
                }
            }
            if (!bo.isNullOrNil(shareImgUI.filePath) && asc == 3) {
                String str = shareImgUI.filePath;
                if (str == null || str.length() == 0) {
                    ab.e("MicroMsg.ShareImgUI", "dealWithFile fail, filePath is empty");
                    Toast.makeText(shareImgUI, 2131303504, 1).show();
                    shareImgUI.finish();
                    AppMethodBeat.o(34960);
                } else if (bo.anw(str)) {
                    long asZ = e.asZ(str);
                    ab.i("MicroMsg.ShareImgUI", "filelength: [%d]", new Object[]{Long.valueOf(asZ)});
                    if (asZ == 0) {
                        ab.e("MicroMsg.ShareImgUI", "dealWithFile fail, fileLength is 0");
                        Toast.makeText(shareImgUI, 2131303504, 1).show();
                        shareImgUI.finish();
                        AppMethodBeat.o(34960);
                    } else if (asZ > 10485760) {
                        ab.e("MicroMsg.ShareImgUI", "summerbig dealWithFile fail, fileLength is too large fileLength[%d],filePath[%s] ", new Object[]{Long.valueOf(asZ), str});
                        Toast.makeText(shareImgUI, 2131303505, 1).show();
                        shareImgUI.finish();
                        AppMethodBeat.o(34960);
                    } else {
                        IMediaObject wXImageObject;
                        switch (asc) {
                            case 0:
                                wXImageObject = new WXImageObject();
                                ((WXImageObject) wXImageObject).setImagePath(str);
                                break;
                            default:
                                wXImageObject = new WXFileObject(str);
                                break;
                        }
                        WXMediaMessage wXMediaMessage = new WXMediaMessage(wXImageObject);
                        wXMediaMessage.title = new com.tencent.mm.vfs.b(str).getName();
                        wXMediaMessage.description = bo.ga(asZ);
                        Req req = new Req();
                        req.transaction = null;
                        req.message = wXMediaMessage;
                        Bundle bundle = new Bundle();
                        req.toBundle(bundle);
                        bundle.putInt("_mmessage_sdkVersion", 620954368);
                        bundle.putString("_mmessage_appPackage", "com.tencent.mm.openapi");
                        bundle.putString("SendAppMessageWrapper_AppId", "wx4310bbd51be7d979");
                        intent = new Intent();
                        intent.setClass(shareImgUI, SelectConversationUI.class);
                        intent.putExtra("Select_Conv_NextStep", new Intent(shareImgUI, SendAppMessageWrapperUI.class).putExtras(bundle).putExtra("animation_pop_in", true));
                        if (!aw.ZM() || aw.QT()) {
                            ab.w("MicroMsg.ShareImgUI", "not logged in, jump to simple login");
                            MMWizardActivity.b(shareImgUI, new Intent(shareImgUI, SimpleLoginUI.class), shareImgUI.getIntent().addFlags(67108864));
                            AppMethodBeat.o(34960);
                            return;
                        }
                        com.tencent.mm.kernel.g.Rg().a(837, shareImgUI);
                        ArrayList arrayList = new ArrayList();
                        arrayList.add(str);
                        com.tencent.mm.kernel.g.Rg().a(new com.tencent.mm.modelsimple.d(4, arrayList, shareImgUI.dyh()), 0);
                        shareImgUI.showDialog();
                        shareImgUI.zHq = intent;
                        AppMethodBeat.o(34960);
                    }
                } else {
                    ab.e("MicroMsg.ShareImgUI", "dealWithFile fail, filePath is refer to private file.");
                    Toast.makeText(shareImgUI, 2131303504, 1).show();
                    shareImgUI.finish();
                    AppMethodBeat.o(34960);
                }
            } else if (w.a(shareImgUI.getIntent(), "Intro_Switch", false) || !aw.ZM() || aw.QT()) {
                if (!shareImgUI.dJU()) {
                    shareImgUI.PI(0);
                    shareImgUI.finish();
                }
                AppMethodBeat.o(34960);
            } else {
                m dVar;
                intent.setData(shareImgUI.uri);
                intent.setClass(shareImgUI, MsgRetransmitUI.class);
                intent.addFlags(ErrorDialogData.BINDER_CRASH).addFlags(67108864);
                intent.putExtra("Retr_File_Name", shareImgUI.filePath);
                intent.putStringArrayListExtra("Retr_File_Path_List", shareImgUI.zAu);
                intent.putExtra("Retr_Msg_Type", asc);
                intent.putExtra("Retr_Scene", 1);
                intent.putExtra("Retr_start_where_you_are", false);
                aw.Rg().a(837, shareImgUI);
                ArrayList arrayList2 = new ArrayList();
                if (bo.isNullOrNil(shareImgUI.filePath)) {
                    arrayList2.addAll(shareImgUI.zAu);
                } else {
                    arrayList2.add(shareImgUI.filePath);
                }
                if (asc == 1) {
                    dVar = new com.tencent.mm.modelsimple.d(3, arrayList2, shareImgUI.dyh());
                } else {
                    dVar = new com.tencent.mm.modelsimple.d(1, arrayList2, shareImgUI.dyh());
                }
                com.tencent.mm.kernel.g.Rg().a(dVar, 0);
                shareImgUI.showDialog();
                shareImgUI.zHq = intent;
                AppMethodBeat.o(34960);
            }
        } else {
            ab.w("MicroMsg.ShareImgUI", "try to share illegal image.");
            shareImgUI.PI(0);
            shareImgUI.finish();
            AppMethodBeat.o(34960);
        }
    }

    static /* synthetic */ void d(ShareImgUI shareImgUI) {
        AppMethodBeat.i(34961);
        shareImgUI.PI(0);
        AppMethodBeat.o(34961);
    }
}
