package android.support.design.widget;

import android.content.Context;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.support.design.widget.BottomSheetBehavior.a;
import android.support.v4.view.s;
import android.support.v7.app.i;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup.LayoutParams;
import android.view.Window;
import android.widget.FrameLayout;

public class c extends i {
    boolean mCancelable;
    private BottomSheetBehavior<FrameLayout> nA;
    boolean nB;
    boolean nC;
    private a nD;

    public c(Context context) {
        this(context, 0);
    }

    public c(Context context, int i) {
        if (i == 0) {
            TypedValue typedValue = new TypedValue();
            if (context.getTheme().resolveAttribute(2130772354, typedValue, true)) {
                i = typedValue.resourceId;
            } else {
                i = 2131493668;
            }
        }
        super(context, i);
        this.mCancelable = true;
        this.nB = true;
        this.nD = new 4(this);
        fA();
    }

    public void setContentView(int i) {
        super.setContentView(a(i, null, null));
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Window window = getWindow();
        if (window != null) {
            if (VERSION.SDK_INT >= 21) {
                window.clearFlags(67108864);
                window.addFlags(Integer.MIN_VALUE);
            }
            window.setLayout(-1, -1);
        }
    }

    public void setContentView(View view) {
        super.setContentView(a(0, view, null));
    }

    public void setContentView(View view, LayoutParams layoutParams) {
        super.setContentView(a(0, view, layoutParams));
    }

    public void setCancelable(boolean z) {
        super.setCancelable(z);
        if (this.mCancelable != z) {
            this.mCancelable = z;
            if (this.nA != null) {
                this.nA.nj = z;
            }
        }
    }

    /* Access modifiers changed, original: protected */
    public void onStart() {
        super.onStart();
        if (this.nA != null) {
            this.nA.setState(4);
        }
    }

    public void setCanceledOnTouchOutside(boolean z) {
        super.setCanceledOnTouchOutside(z);
        if (z && !this.mCancelable) {
            this.mCancelable = true;
        }
        this.nB = z;
        this.nC = true;
    }

    private View a(int i, View view, LayoutParams layoutParams) {
        FrameLayout frameLayout = (FrameLayout) View.inflate(getContext(), 2130969272, null);
        CoordinatorLayout coordinatorLayout = (CoordinatorLayout) frameLayout.findViewById(2131823262);
        if (i != 0 && view == null) {
            view = getLayoutInflater().inflate(i, coordinatorLayout, false);
        }
        FrameLayout frameLayout2 = (FrameLayout) coordinatorLayout.findViewById(2131823264);
        this.nA = BottomSheetBehavior.j(frameLayout2);
        this.nA.ns = this.nD;
        this.nA.nj = this.mCancelable;
        if (layoutParams == null) {
            frameLayout2.addView(view);
        } else {
            frameLayout2.addView(view, layoutParams);
        }
        coordinatorLayout.findViewById(2131823263).setOnClickListener(new 1(this));
        s.a(frameLayout2, new 2(this));
        frameLayout2.setOnTouchListener(new 3(this));
        return frameLayout;
    }
}
