package com.google.android.gms.ads.identifier;

import com.google.android.gms.common.util.VisibleForTesting;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.lang.ref.WeakReference;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.TimeUnit;

@VisibleForTesting
class AdvertisingIdClient$zza extends Thread {
    private WeakReference<AdvertisingIdClient> zzm;
    private long zzn;
    CountDownLatch zzo = new CountDownLatch(1);
    boolean zzp = false;

    public AdvertisingIdClient$zza(AdvertisingIdClient advertisingIdClient, long j) {
        AppMethodBeat.i(115323);
        this.zzm = new WeakReference(advertisingIdClient);
        this.zzn = j;
        start();
        AppMethodBeat.o(115323);
    }

    private final void disconnect() {
        AppMethodBeat.i(115324);
        AdvertisingIdClient advertisingIdClient = (AdvertisingIdClient) this.zzm.get();
        if (advertisingIdClient != null) {
            advertisingIdClient.finish();
            this.zzp = true;
        }
        AppMethodBeat.o(115324);
    }

    public final void run() {
        AppMethodBeat.i(115325);
        try {
            if (!this.zzo.await(this.zzn, TimeUnit.MILLISECONDS)) {
                disconnect();
            }
            AppMethodBeat.o(115325);
        } catch (InterruptedException e) {
            disconnect();
            AppMethodBeat.o(115325);
        }
    }
}
