package com.tencent.mapsdk.raster.model;

import com.tencent.matrix.trace.core.AppMethodBeat;

public final class CameraPosition$Builder {
    private float bearing = 0.0f;
    private float skew = 0.0f;
    private LatLng target;
    private float zoom = -1.0f;

    public CameraPosition$Builder(CameraPosition cameraPosition) {
        AppMethodBeat.i(101164);
        target(cameraPosition.getTarget()).zoom(cameraPosition.getZoom());
        AppMethodBeat.o(101164);
    }

    public final CameraPosition$Builder target(LatLng latLng) {
        this.target = latLng;
        return this;
    }

    public final CameraPosition$Builder zoom(float f) {
        this.zoom = f;
        return this;
    }

    public final CameraPosition$Builder skew(float f) {
        this.skew = f;
        return this;
    }

    public final CameraPosition$Builder bearing(float f) {
        this.bearing = f;
        return this;
    }

    public final CameraPosition build() {
        AppMethodBeat.i(101165);
        CameraPosition cameraPosition = new CameraPosition(this.target, this.zoom, this.skew, this.bearing);
        AppMethodBeat.o(101165);
        return cameraPosition;
    }
}
