package com.tencent.mm.plugin.account.ui;

import android.content.Intent;
import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.r;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.p;
import com.tencent.mm.ui.f.a.c;
import com.tencent.mm.ui.widget.a.e;

@a(3)
public class ShareToFacebookRedirectUI extends MMActivity implements f {
    private static String TAG = "MicroMsg.ShareToFacebookRedirectUI";
    private p eir;
    private String gId;
    private String gIe;
    private String gIf;
    private String gIg;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(125576);
        super.onCreate(bundle);
        g.Rg().a(433, this);
        this.gId = getIntent().getStringExtra("title");
        this.gIe = getIntent().getStringExtra("digest");
        this.gIf = getIntent().getStringExtra("img");
        this.gIg = getIntent().getStringExtra("link");
        ab.i(TAG, "title %s, digest:%s, img:%s, link:%s", new Object[]{this.gId, this.gIe, this.gIf, this.gIg});
        if (r.Za()) {
            arK();
            arj();
            AppMethodBeat.o(125576);
            return;
        }
        Intent intent = new Intent(this, FacebookAuthUI.class);
        intent.putExtra("is_force_unbind", true);
        startActivityForResult(intent, 0);
        AppMethodBeat.o(125576);
    }

    public void onDestroy() {
        AppMethodBeat.i(125577);
        g.Rg().b(433, this);
        super.onDestroy();
        AppMethodBeat.o(125577);
    }

    public final int getLayoutId() {
        return -1;
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(125578);
        ab.i(TAG, "type:%d, code:%d, msg:%s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), str});
        aqX();
        this.eir.dismiss();
        if (i == 4 && i2 == -68) {
            if (bo.isNullOrNil(str)) {
                str = "error";
            }
            bj(getString(2131297061), str);
            AppMethodBeat.o(125578);
        } else if (i == 0 && i2 == 0) {
            String string = getString(2131303493);
            1 1 = new 1(this);
            h.bQ(this, string);
            finish();
            AppMethodBeat.o(125578);
        } else {
            h.a(this.mController.ylL, "err(" + i2 + "," + i + ")", getString(2131297061), new 2(this), null);
            AppMethodBeat.o(125578);
        }
    }

    private void arK() {
        AppMethodBeat.i(125579);
        ab.i(TAG, "refreshFacebookToken");
        long c = bo.c((Long) g.RP().Ry().get(65831, null));
        String nullAsNil = bo.nullAsNil((String) g.RP().Ry().get(65830, null));
        if (bo.gb(c) <= 86400000 || nullAsNil.length() <= 0) {
            arj();
            AppMethodBeat.o(125579);
            return;
        }
        c cVar = new c(getString(2131305891));
        cVar.arX(nullAsNil);
        new com.tencent.mm.plugin.account.model.h(cVar, new 3(this)).apm();
        AppMethodBeat.o(125579);
    }

    private void arj() {
        AppMethodBeat.i(125580);
        ab.i(TAG, "doSend");
        e.a aVar = new e.a(this);
        aVar.al(this.gId).asM(this.gIf).am(this.gIe).asN(getString(2131296873)).Qg(2131297047).c(new 4(this, aVar)).show();
        AppMethodBeat.o(125580);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(125582);
        super.onActivityResult(i, i2, intent);
        String str = TAG;
        String str2 = "onActivityResult, requestCode:%d, resultCode:%d, data==null:%b";
        Object[] objArr = new Object[3];
        objArr[0] = Integer.valueOf(i);
        objArr[1] = Integer.valueOf(i2);
        objArr[2] = Boolean.valueOf(intent == null);
        ab.i(str, str2, objArr);
        if (i == 0 && i2 == -1 && intent != null) {
            ab.i(TAG, "bind facebooksucc %b", new Object[]{Boolean.valueOf(intent.getBooleanExtra("bind_facebook_succ", false))});
            if (intent.getBooleanExtra("bind_facebook_succ", false)) {
                arK();
                arj();
                AppMethodBeat.o(125582);
                return;
            }
        }
        finish();
        AppMethodBeat.o(125582);
    }

    private void bj(String str, String str2) {
        AppMethodBeat.i(125581);
        h.a(this.mController.ylL, str2, str, new 5(this), null);
        AppMethodBeat.o(125581);
    }

    static /* synthetic */ void a(ShareToFacebookRedirectUI shareToFacebookRedirectUI) {
        AppMethodBeat.i(125583);
        ab.e(TAG, "dealWithRefreshTokenFail");
        shareToFacebookRedirectUI.bj(shareToFacebookRedirectUI.mController.ylL.getString(2131297061), shareToFacebookRedirectUI.mController.ylL.getString(2131299540));
        AppMethodBeat.o(125583);
    }
}
