package com.tencent.mm.plugin.appbrand.jsapi;

import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.b.a;
import com.tencent.mm.ipcinvoker.wx_extension.b;
import com.tencent.mm.plugin.appbrand.o;
import com.tencent.mm.plugin.appbrand.page.u;
import com.tencent.mm.plugin.appbrand.q;
import com.tencent.mm.protocal.protobuf.avj;
import com.tencent.mm.protocal.protobuf.avk;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import org.json.JSONObject;

public class JsApiLaunchApplication extends a<q> {
    private static final int CTRL_INDEX = 427;
    private static final String NAME = "launchApplication";

    public void a(q qVar, JSONObject jSONObject, int i) {
        AppMethodBeat.i(130450);
        if (jSONObject == null) {
            ab.e("MicroMsg.JsApiLaunchApplication", "data is null");
            qVar.M(i, j("fail:data is null", null));
            AppMethodBeat.o(130450);
            return;
        }
        final String optString = jSONObject.optString("appId");
        final String optString2 = jSONObject.optString("schemeUrl");
        final String optString3 = jSONObject.optString("parameter");
        int i2 = bo.getInt(jSONObject.optString("alertType"), 0);
        int i3 = bo.getInt(jSONObject.optString("operateDirectly"), 0);
        final String optString4 = jSONObject.optString("extInfo");
        ab.i("MicroMsg.JsApiLaunchApplication", "appid : %s, scheme : %s, extinfo:[%s], parameter : %s", new Object[]{optString, optString2, optString4, optString3});
        if (bo.isNullOrNil(optString) && bo.isNullOrNil(optString2)) {
            ab.e("MicroMsg.JsApiLaunchApplication", "appid and scheme is null or nil");
            qVar.M(i, j("fail:appid and scheme is null or nil", null));
            AppMethodBeat.o(130450);
            return;
        }
        String url;
        String appId = qVar.getAppId();
        u currentPageView = qVar.getCurrentPageView();
        if (currentPageView != null) {
            url = currentPageView.getURL();
        } else {
            ab.e("MicroMsg.JsApiLaunchApplication", "getCurrentPageView is null");
            url = null;
        }
        final Bundle bundle = new Bundle();
        if (!bo.isNullOrNil(url)) {
            try {
                bundle.putString("current_page_url", URLEncoder.encode(url, "UTF-8"));
            } catch (UnsupportedEncodingException e) {
            }
        }
        bundle.putString("current_page_appid", appId);
        a aVar = new a();
        aVar.fsJ = new avj();
        aVar.fsK = new avk();
        aVar.uri = "/cgi-bin/mmbiz-bin/checklaunchapp";
        aVar.fsI = 1125;
        avj avj = (avj) aVar.acD().fsG.fsP;
        avj.csB = appId;
        avj.wzn = optString;
        avj.scene = ((o) qVar.getRuntime()).ya().bQn.scene;
        avj.url = url;
        avj.wzo = optString2;
        avj.kCo = i2;
        avj.wzp = 1;
        avj.wzq = i3;
        ab.i("MicroMsg.JsApiLaunchApplication", "run cgi to check(appId : %s, toAppId : %s, scene : %s, url : %s, schemeUrl : %s, alertType : %s, operateDirectly : %s)", new Object[]{appId, optString, Integer.valueOf(avj.scene), avj.url, avj.wzo, Integer.valueOf(avj.kCo), Integer.valueOf(avj.wzq)});
        final q qVar2 = qVar;
        i2 = i;
        b.a(aVar.acD(), new b.a() {
            public final void a(int i, int i2, String str, com.tencent.mm.ai.b bVar) {
                AppMethodBeat.i(130439);
                ab.i("MicroMsg.JsApiLaunchApplication", "on RunCgi callback errType:%d errCode:%d msg:%s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), str});
                com.tencent.mm.ce.a.post(new 1(this, i, i2, bVar));
                AppMethodBeat.o(130439);
            }
        });
        AppMethodBeat.o(130450);
    }
}
