package com.tencent.mm.plugin.appbrand.jsapi.live;

import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.base.g;
import com.tencent.mm.plugin.appbrand.jsapi.e;
import com.tencent.mm.plugin.appbrand.r.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.d;
import com.tencent.rtmp.TXLivePusher.ITXSnapshotListener;
import com.tencent.ttpic.util.VideoMaterialUtil;
import java.io.File;
import java.io.IOException;
import java.util.HashMap;

class d$2 implements ITXSnapshotListener {
    final /* synthetic */ g hCL;
    final /* synthetic */ e hLB;
    final /* synthetic */ d hLD;

    d$2(d dVar, g gVar, e eVar) {
        this.hLD = dVar;
        this.hCL = gVar;
        this.hLB = eVar;
    }

    public final void onSnapshot(Bitmap bitmap) {
        AppMethodBeat.i(96113);
        if (bitmap == null || bitmap.isRecycled()) {
            ab.e("MicroMsg.JsApiOperateLivePusher", "onSnapshot: bitmap nil");
            this.hCL.AR(this.hLD.j("fail:snapshot error", null));
            AppMethodBeat.o(96113);
            return;
        }
        String str = com.tencent.mm.compatible.util.e.euR + String.format("%s%d.%s", new Object[]{"capture", Long.valueOf(System.currentTimeMillis()), "jpg"});
        int width = bitmap.getWidth();
        int height = bitmap.getHeight();
        try {
            d.a(bitmap, 90, CompressFormat.JPEG, str, true);
            j jVar = new j();
            if (this.hLB.asE().a(new File(str), "jpg", true, jVar) != com.tencent.mm.plugin.appbrand.appstorage.j.gXA) {
                this.hCL.AR(this.hLD.j("fail:snapshot error", null));
                AppMethodBeat.o(96113);
                return;
            }
            if (!(bitmap == null || bitmap.isRecycled())) {
                ab.i("MicroMsg.JsApiOperateLivePusher", "bitmap recycle " + bitmap.toString());
                bitmap.recycle();
            }
            ab.i("MicroMsg.JsApiOperateLivePusher", "onSnapshot: actualPath:%s path:%s", new Object[]{str, jVar.value});
            HashMap hashMap = new HashMap();
            hashMap.put("tempImagePath", jVar.value);
            hashMap.put(VideoMaterialUtil.CRAZYFACE_WIDTH, Integer.valueOf(width));
            hashMap.put(VideoMaterialUtil.CRAZYFACE_HEIGHT, Integer.valueOf(height));
            this.hCL.AR(this.hLD.j("ok", hashMap));
            AppMethodBeat.o(96113);
        } catch (IOException e) {
            ab.e("MicroMsg.JsApiOperateLivePusher", "onSnapshot: exception %s", new Object[]{e.getMessage()});
            this.hCL.AR(this.hLD.j("fail:snapshot error", null));
            AppMethodBeat.o(96113);
        }
    }
}
