package com.tencent.mm.plugin.appbrand.jsapi.video;

import android.content.Context;
import android.text.SpannableString;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.ImageView.ScaleType;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.tencent.luggage.a.e;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.modelappbrand.a.b;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.plugin.appbrand.jsapi.video.d.a;
import com.tencent.mm.plugin.appbrand.jsapi.video.d.g;
import com.tencent.mm.plugin.appbrand.jsapi.video.danmu.DanmuView;
import com.tencent.mm.plugin.appbrand.jsapi.video.danmu.DanmuView$5;
import com.tencent.mm.plugin.appbrand.jsapi.video.danmu.DanmuView.3;
import com.tencent.mm.plugin.appbrand.jsapi.video.danmu.DanmuView.4;
import com.tencent.mm.plugin.appbrand.r.m;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.ttpic.util.VideoMaterialUtil;
import java.io.File;
import java.util.ArrayList;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class AppBrandVideoView extends RelativeLayout {
    private static b hYK;
    private int Yp = -1;
    private boolean hLW;
    private boolean hLX;
    private int hLe;
    private RelativeLayout hYL;
    d hYM;
    private TextView hYN;
    private DanmuView hYO;
    a hYP;
    private View hYQ;
    private View hYR;
    private TextView hYS;
    private LinearLayout hYT;
    private AppBrandDotPercentIndicator hYU;
    private TextView hYV;
    private ImageView hYW;
    private ImageView hYX;
    private ImageView hYY;
    private ImageView hYZ;
    private FrameLayout hZa;
    private String hZb;
    private int hZc;
    private c hZd;
    private boolean hZe;
    k hZf;
    private boolean hZg;
    private boolean hZh;
    private l hZi;
    private a hZj;
    private boolean hZk;
    private boolean hZl;
    private double hZm;
    private String hZn;
    private boolean hZo;
    private boolean hZp;
    private boolean hZq;
    private boolean hZr;
    private int hZs;
    private String hZt;
    private boolean hZu;
    private boolean hZv;
    private boolean hZw = false;
    private String mAppId;
    private boolean mAutoPlay;
    private int mDuration;
    private boolean mIsMute;

    static /* synthetic */ void j(AppBrandVideoView appBrandVideoView) {
        AppMethodBeat.i(126538);
        appBrandVideoView.aEZ();
        AppMethodBeat.o(126538);
    }

    static /* synthetic */ boolean l(AppBrandVideoView appBrandVideoView) {
        AppMethodBeat.i(126539);
        boolean aFd = appBrandVideoView.aFd();
        AppMethodBeat.o(126539);
        return aFd;
    }

    static /* synthetic */ String oz(int i) {
        AppMethodBeat.i(126543);
        String ox = ox(i);
        AppMethodBeat.o(126543);
        return ox;
    }

    static /* synthetic */ boolean s(AppBrandVideoView appBrandVideoView) {
        AppMethodBeat.i(126541);
        boolean aFe = appBrandVideoView.aFe();
        AppMethodBeat.o(126541);
        return aFe;
    }

    static /* synthetic */ boolean v(AppBrandVideoView appBrandVideoView) {
        AppMethodBeat.i(126542);
        boolean isLive = appBrandVideoView.isLive();
        AppMethodBeat.o(126542);
        return isLive;
    }

    public static void setProxy(b bVar) {
        hYK = bVar;
    }

    public static b aEW() {
        return hYK;
    }

    public <T extends View & d> AppBrandVideoView(Context context, T t) {
        super(context);
        AppMethodBeat.i(126477);
        this.hYM = (d) t;
        init(context);
        this.hYL.addView(t);
        AppMethodBeat.o(126477);
    }

    public AppBrandVideoView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(126478);
        init(context);
        AppMethodBeat.o(126478);
    }

    public AppBrandVideoView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(126479);
        init(context);
        AppMethodBeat.o(126479);
    }

    private void init(Context context) {
        AppMethodBeat.i(126480);
        LayoutInflater.from(context).inflate(2130968743, this);
        this.hYL = (RelativeLayout) findViewById(2131821402);
        this.hYN = (TextView) findViewById(2131821370);
        this.hYQ = findViewById(2131821403);
        this.hYR = findViewById(2131821405);
        this.hYS = (TextView) findViewById(2131821407);
        this.hYT = (LinearLayout) findViewById(2131821409);
        this.hYU = (AppBrandDotPercentIndicator) findViewById(2131821412);
        this.hYV = (TextView) findViewById(2131821411);
        this.hYW = (ImageView) findViewById(2131821410);
        this.hYX = (ImageView) findViewById(2131821404);
        this.hYY = (ImageView) findViewById(2131821415);
        this.hYZ = (ImageView) findViewById(2131821414);
        this.hZa = (FrameLayout) findViewById(2131821413);
        this.hYU.setDotsNum(8);
        ((ImageView) findViewById(2131821406)).setOnClickListener(new 1(this));
        aEY();
        aFa();
        AppMethodBeat.o(126480);
    }

    public void setComponent(c cVar) {
        AppMethodBeat.i(126481);
        this.hZd = cVar;
        this.mAppId = cVar.getAppId();
        AppMethodBeat.o(126481);
    }

    public void setConsumeTouchEvent(boolean z) {
        AppMethodBeat.i(126482);
        ab.i("MicroMsg.AppBrandVideoView", "setConsumeTouchEvent game=%s", new Object[]{Boolean.valueOf(z)});
        this.hZo = z;
        AppMethodBeat.o(126482);
    }

    public void setVideoPlayerId(int i) {
        this.hZc = i;
    }

    public void setShowMuteBtn(boolean z) {
        AppMethodBeat.i(126483);
        ab.i("MicroMsg.AppBrandVideoView", "showMuteBtn %b", new Object[]{Boolean.valueOf(z)});
        this.hYP.setShowMuteBtn(z);
        AppMethodBeat.o(126483);
    }

    public void setTitle(String str) {
        AppMethodBeat.i(126484);
        ab.i("MicroMsg.AppBrandVideoView", "setTitle %s", new Object[]{str});
        this.hYP.setTitle(str);
        AppMethodBeat.o(126484);
    }

    public void setShowControlProgress(boolean z) {
        boolean z2 = true;
        AppMethodBeat.i(126485);
        ab.i("MicroMsg.AppBrandVideoView", "setShowControlProgress %b", new Object[]{Boolean.valueOf(z)});
        a aVar = this.hYP;
        if (!z || isLive()) {
            z2 = false;
        }
        aVar.setShowControlProgress(z2);
        AppMethodBeat.o(126485);
    }

    public void setPlayBtnPosition(String str) {
        AppMethodBeat.i(126486);
        ab.i("MicroMsg.AppBrandVideoView", "setPlayBtnPosition: %s", new Object[]{str});
        if (bo.isNullOrNil(str) || !str.equalsIgnoreCase("center")) {
            this.hYP.setPlayBtnInCenterPosition(false);
            AppMethodBeat.o(126486);
            return;
        }
        this.hYP.setPlayBtnInCenterPosition(true);
        AppMethodBeat.o(126486);
    }

    public void setEnablePlayGesture(boolean z) {
        AppMethodBeat.i(126487);
        ab.i("MicroMsg.AppBrandVideoView", "setEnablePlayGesture: %b", new Object[]{Boolean.valueOf(z)});
        this.hZv = z;
        AppMethodBeat.o(126487);
    }

    public void setAutoPlay(boolean z) {
        AppMethodBeat.i(126488);
        ab.i("MicroMsg.AppBrandVideoView", "setAutoPlay =%b", new Object[]{Boolean.valueOf(z)});
        this.mAutoPlay = z;
        AppMethodBeat.o(126488);
    }

    public void setVideoSource(int i) {
        AppMethodBeat.i(126489);
        ab.i("MicroMsg.AppBrandVideoView", "setVideoSource =%d", new Object[]{Integer.valueOf(i)});
        this.hZs = i;
        AppMethodBeat.o(126489);
    }

    public void setDuration(int i) {
        AppMethodBeat.i(126490);
        if (i <= 0) {
            ab.i("MicroMsg.AppBrandVideoView", "setDuration error duration=%d", new Object[]{Integer.valueOf(i)});
            AppMethodBeat.o(126490);
            return;
        }
        this.hYS.setText(ox(i));
        this.mDuration = i;
        AppMethodBeat.o(126490);
    }

    public int getDuration() {
        AppMethodBeat.i(126491);
        int i;
        if (this.mDuration > 0) {
            i = this.mDuration;
            AppMethodBeat.o(126491);
            return i;
        }
        i = this.hYM.getVideoDurationSec();
        AppMethodBeat.o(126491);
        return i;
    }

    public void setLoop(boolean z) {
        AppMethodBeat.i(126492);
        ab.i("MicroMsg.AppBrandVideoView", "setLoop loop=%b", new Object[]{Boolean.valueOf(z)});
        this.hZl = z;
        AppMethodBeat.o(126492);
    }

    public void setAutoPauseIfNavigate(boolean z) {
        this.hLW = z;
    }

    public void setAutoPauseIfOpenNative(boolean z) {
        this.hLX = z;
    }

    public final void start() {
        AppMethodBeat.i(126493);
        ab.i("MicroMsg.AppBrandVideoView", "start");
        if (this.hYM.isPlaying()) {
            AppMethodBeat.o(126493);
            return;
        }
        if (this.hZe) {
            this.hYP.aFN();
        }
        this.hYQ.setVisibility(8);
        this.hYM.start();
        if (this.hYO != null && this.hYP.aFA()) {
            this.hYO.show();
        }
        ((e) e.B(e.class)).report(this.hZt);
        AppMethodBeat.o(126493);
    }

    public final void pause() {
        AppMethodBeat.i(126494);
        ab.i("MicroMsg.AppBrandVideoView", "pause");
        if (this.hYM.isPlaying()) {
            this.hYM.pause();
            if (this.hYO != null && this.hYP.aFA()) {
                this.hYO.pause();
            }
            AppMethodBeat.o(126494);
            return;
        }
        AppMethodBeat.o(126494);
    }

    public final void stop() {
        AppMethodBeat.i(126495);
        ab.i("MicroMsg.AppBrandVideoView", "stop");
        if (this.hYM.isPlaying()) {
            this.hYM.stop();
            this.hYP.aFO();
            if (this.hYO != null) {
                this.hYO.hide();
            }
            AppMethodBeat.o(126495);
            return;
        }
        AppMethodBeat.o(126495);
    }

    public final void akW() {
        AppMethodBeat.i(126496);
        ab.i("MicroMsg.AppBrandVideoView", "onUIResume");
        if (this.hZw) {
            ab.i("MicroMsg.AppBrandVideoView", "onUIResume, should skip ui resume");
            this.hZw = false;
            AppMethodBeat.o(126496);
            return;
        }
        this.hYM.akW();
        AppMethodBeat.o(126496);
    }

    public final void ow(int i) {
        AppMethodBeat.i(126497);
        ab.i("MicroMsg.AppBrandVideoView", "onUIPause, type:%d", new Object[]{Integer.valueOf(i)});
        if ((i != 2 || this.hLX) && (i != 1 || this.hLW)) {
            this.hYM.akV();
            AppMethodBeat.o(126497);
            return;
        }
        ab.i("MicroMsg.AppBrandVideoView", "onUIPause, should skip ui pause");
        this.hZw = true;
        AppMethodBeat.o(126497);
    }

    public final void aEX() {
        AppMethodBeat.i(126498);
        ab.i("MicroMsg.AppBrandVideoView", "onUIDestroy");
        clean();
        AppMethodBeat.o(126498);
    }

    public final void clean() {
        AppMethodBeat.i(126499);
        ab.i("MicroMsg.AppBrandVideoView", "clean");
        stop();
        this.hYM.aEX();
        if (this.hYO != null) {
            this.hYO.clear();
        }
        this.hYP.onDestroy();
        AppMethodBeat.o(126499);
    }

    public final void e(String str, boolean z, int i) {
        AppMethodBeat.i(126500);
        if (!(this.hZd == null || this.hZd.asE() == null || !this.hZd.asE().ca(str))) {
            File yg = this.hZd.asE().yg(str);
            str = yg == null ? null : "file://" + yg.getAbsolutePath();
        }
        ab.i("MicroMsg.AppBrandVideoView", "setVideoPath path=%s isLive=%s", new Object[]{str, Boolean.valueOf(z)});
        if (bo.isNullOrNil(str)) {
            ab.v("MicroMsg.AppBrandVideoView", "setVideoPath videoPath empty");
            AppMethodBeat.o(126500);
            return;
        }
        stop();
        this.hZk = z;
        this.hZt = str;
        this.hYM.setVideoSource(this.hZs);
        this.hYM.c(z, str, i);
        if (this.hZm > 0.0d) {
            this.hYM.e(this.hZm, this.mAutoPlay);
        }
        if (this.hZs == 1) {
            String BR = ((e) e.B(e.class)).BR(this.hZt);
            if (BR != null) {
                ab.i("MicroMsg.AppBrandVideoView", "setVideoPath localVideoPath");
                String str2 = this.hZt;
                ab.i("MicroMsg.AppBrandVideoView", "leonlad setPreLoadVidePath videoPath=%s", new Object[]{BR});
                if (!this.hYM.isPlaying() && this.hZt.equalsIgnoreCase(str2)) {
                    this.hZt = str2;
                    this.hYM.c(this.hZk, BR, 0);
                    if (this.mAutoPlay) {
                        ab.i("MicroMsg.AppBrandVideoView", "setPreLoadVidePath autoPlay");
                        start();
                    }
                }
                if (this.hZf != null) {
                    k kVar = this.hZf;
                    try {
                        JSONObject aFV = kVar.aFV();
                        aFV.put("timeStamp", System.currentTimeMillis());
                        aFV.put("url", str2);
                        kVar.a(new k$a(), aFV);
                    } catch (JSONException e) {
                        ab.e("MicroMsg.JsApiVideoCallback", "onVideoCanPlay e=%s", new Object[]{e});
                    }
                }
            }
        }
        if (this.mAutoPlay) {
            ab.i("MicroMsg.AppBrandVideoView", "setVideoPath autoPlay");
            start();
        }
        setCover(str);
        AppMethodBeat.o(126500);
    }

    public final void d(double d, boolean z) {
        AppMethodBeat.i(126501);
        ab.i("MicroMsg.AppBrandVideoView", "seek to position=%s current=%d isLive=%b", new Object[]{Double.valueOf(d), Integer.valueOf(this.hYM.getCurrPosSec()), Boolean.valueOf(this.hZk)});
        if (isLive()) {
            AppMethodBeat.o(126501);
            return;
        }
        this.hYQ.setVisibility(8);
        if (z) {
            this.hYM.e(d, z);
        } else {
            this.hYM.s(d);
        }
        if (this.hYO != null && ((double) r0) > d) {
            DanmuView danmuView = this.hYO;
            ab.i("MicroMsg.DanmuView", "seekToPlayTime playTime=%d", new Object[]{Integer.valueOf((int) d)});
            danmuView.aGh();
            danmuView.aGj();
            danmuView.prepare();
            d.post(new DanmuView$5(danmuView, r1), "DanmuView-seekToPlayTime");
        }
        AppMethodBeat.o(126501);
    }

    public void setIsShowBasicControls(boolean z) {
        AppMethodBeat.i(126502);
        ab.i("MicroMsg.AppBrandVideoView", "setIsShowBasicControls isShowBasicControls=%b", new Object[]{Boolean.valueOf(z)});
        this.hZe = z;
        if (this.hYP != null) {
            if (this.hZe) {
                this.hYP.aFD();
                AppMethodBeat.o(126502);
                return;
            }
            this.hYP.hide();
        }
        AppMethodBeat.o(126502);
    }

    public final void setCover$16da05f7(String str) {
        AppMethodBeat.i(126503);
        ab.i("MicroMsg.AppBrandVideoView", "setCover coverUrl=%s", new Object[]{str});
        if (bo.isNullOrNil(str)) {
            AppMethodBeat.o(126503);
            return;
        }
        this.hZn = str;
        b.abR().a(this.hYX, str, null, null);
        AppMethodBeat.o(126503);
    }

    private void setCover(String str) {
        AppMethodBeat.i(126504);
        if (bo.isNullOrNil(str)) {
            AppMethodBeat.o(126504);
        } else if (bo.isNullOrNil(this.hZn)) {
            m.aNS().aa(new 8(this, str));
            AppMethodBeat.o(126504);
        } else {
            ab.i("MicroMsg.AppBrandVideoView", "setCover mCoverUrl not null");
            AppMethodBeat.o(126504);
        }
    }

    public void setShowProgress(boolean z) {
        boolean z2 = true;
        AppMethodBeat.i(126505);
        ab.i("MicroMsg.AppBrandVideoView", "setShowProgress %b", new Object[]{Boolean.valueOf(z)});
        this.hZq = z;
        a aVar = this.hYP;
        if (!z || isLive()) {
            z2 = false;
        }
        aVar.setShowProgress(z2);
        AppMethodBeat.o(126505);
    }

    public void setShowFullScreenBtn(boolean z) {
        AppMethodBeat.i(126506);
        ab.i("MicroMsg.AppBrandVideoView", "setShowFullScreenBtn %b", new Object[]{Boolean.valueOf(z)});
        this.hYP.setShowFullScreenBtn(z);
        AppMethodBeat.o(126506);
    }

    public void setShowPlayBtn(boolean z) {
        AppMethodBeat.i(126507);
        ab.i("MicroMsg.AppBrandVideoView", "setShowPlayBtn %b", new Object[]{Boolean.valueOf(z)});
        this.hYP.setShowPlayBtn(z);
        AppMethodBeat.o(126507);
    }

    public final void eq(boolean z) {
        AppMethodBeat.i(126508);
        ab.i("MicroMsg.AppBrandVideoView", "enableProgressGesture %b", new Object[]{Boolean.valueOf(z)});
        this.hZp = z;
        AppMethodBeat.o(126508);
    }

    public void setShowCenterPlayBtn(boolean z) {
        int i = 0;
        AppMethodBeat.i(126509);
        ab.i("MicroMsg.AppBrandVideoView", "setPlayBtnInCenterPosition %b", new Object[]{Boolean.valueOf(z)});
        this.hZr = z;
        this.hYQ.setVisibility(z ? 0 : 8);
        View view = this.hYR;
        if (!z) {
            i = 8;
        }
        view.setVisibility(i);
        if (this.hZr && this.hYP != null) {
            this.hYP.hide();
        }
        AppMethodBeat.o(126509);
    }

    public void setDanmakuEnable(boolean z) {
        AppMethodBeat.i(126510);
        ab.i("MicroMsg.AppBrandVideoView", "setDanmakuEnable isEnable=%b", new Object[]{Boolean.valueOf(z)});
        this.hYP.setDanmakuBtnOpen(z);
        AppMethodBeat.o(126510);
    }

    public void setShowDanmakuBtn(boolean z) {
        AppMethodBeat.i(126511);
        ab.i("MicroMsg.AppBrandVideoView", "setShowDanmakuBtn showDanmakuBtn=%b", new Object[]{Boolean.valueOf(z)});
        if (z) {
            if (this.hYO == null) {
                aFc();
            }
            this.hYP.setDanmakuBtnOnClickListener(new 9(this));
        }
        this.hYP.setShowDanmakuBtn(z);
        AppMethodBeat.o(126511);
    }

    public void setObjectFit(String str) {
        AppMethodBeat.i(126512);
        ab.i("MicroMsg.AppBrandVideoView", "setObjectFit objectFit=%s", new Object[]{str});
        if ("fill".equalsIgnoreCase(str)) {
            this.hYM.setScaleType(g.iai);
            this.hYX.setScaleType(ScaleType.FIT_XY);
            AppMethodBeat.o(126512);
        } else if ("cover".equalsIgnoreCase(str)) {
            this.hYM.setScaleType(g.iak);
            this.hYX.setScaleType(ScaleType.CENTER_CROP);
            AppMethodBeat.o(126512);
        } else {
            this.hYM.setScaleType(g.iaj);
            this.hYX.setScaleType(ScaleType.FIT_CENTER);
            AppMethodBeat.o(126512);
        }
    }

    public void setMute(boolean z) {
        AppMethodBeat.i(126513);
        ab.i("MicroMsg.AppBrandVideoView", "setMute isMute=%b", new Object[]{Boolean.valueOf(z)});
        this.mIsMute = z;
        this.hYM.setMute(z);
        this.hYP.setMuteBtnState(z);
        AppMethodBeat.o(126513);
    }

    public void setCookieData(String str) {
        this.hZb = str;
    }

    public String getCookieData() {
        return this.hZb;
    }

    public int getCurrPosSec() {
        AppMethodBeat.i(126514);
        int currPosSec = this.hYM.getCurrPosSec();
        AppMethodBeat.o(126514);
        return currPosSec;
    }

    public int getCurrPosMs() {
        AppMethodBeat.i(126515);
        int currPosMs = this.hYM.getCurrPosMs();
        AppMethodBeat.o(126515);
        return currPosMs;
    }

    public int getCacheTimeSec() {
        AppMethodBeat.i(126516);
        if (this.hYM != null) {
            int cacheTimeSec = this.hYM.getCacheTimeSec();
            AppMethodBeat.o(126516);
            return cacheTimeSec;
        }
        AppMethodBeat.o(126516);
        return 0;
    }

    public void setFullScreenDirection(int i) {
        AppMethodBeat.i(126517);
        ab.i("MicroMsg.AppBrandVideoView", "setFullScreenDirection %d", new Object[]{Integer.valueOf(i)});
        this.Yp = i;
        AppMethodBeat.o(126517);
    }

    public void setPageGesture(boolean z) {
        AppMethodBeat.i(126518);
        ab.i("MicroMsg.AppBrandVideoView", "setPageGesture pageGesture=%b", new Object[]{Boolean.valueOf(z)});
        this.hZg = z;
        AppMethodBeat.o(126518);
    }

    public void setPageGestureInFullscreen(boolean z) {
        AppMethodBeat.i(126519);
        ab.i("MicroMsg.AppBrandVideoView", "setPageGestureInFullscreen pageGestureInFullscreen=%b", new Object[]{Boolean.valueOf(z)});
        this.hZh = z;
        AppMethodBeat.o(126519);
    }

    public void setInitialTime(double d) {
        AppMethodBeat.i(126520);
        ab.i("MicroMsg.AppBrandVideoView", "setInitialTime initialTime=%s", new Object[]{Double.valueOf(d)});
        this.hZm = d;
        AppMethodBeat.o(126520);
    }

    public void setCallback(k kVar) {
        this.hZf = kVar;
    }

    public void setDanmakuItemList(JSONArray jSONArray) {
        AppMethodBeat.i(126521);
        if (jSONArray == null) {
            AppMethodBeat.o(126521);
            return;
        }
        String str = "MicroMsg.AppBrandVideoView";
        String str2 = "setDanmakuItemList length=%d";
        Object[] objArr = new Object[1];
        objArr[0] = Integer.valueOf(jSONArray != null ? jSONArray.length() : 0);
        ab.i(str, str2, objArr);
        if (this.hYO == null) {
            ab.w("MicroMsg.AppBrandVideoView", " setDanmakuItemList mDanmakuView null");
            aFc();
        }
        ArrayList arrayList = new ArrayList();
        for (int i = 0; i < jSONArray.length(); i++) {
            Object obj;
            JSONObject optJSONObject = jSONArray.optJSONObject(i);
            if (optJSONObject == null) {
                obj = null;
            } else {
                int optInt = optJSONObject.optInt("time", 0);
                String optString = optJSONObject.optString("text", "");
                int Ee = com.tencent.mm.plugin.appbrand.r.g.Ee(optJSONObject.optString("color", ""));
                if (Ee == 0) {
                    Ee = -1;
                }
                com.tencent.mm.plugin.appbrand.jsapi.video.danmu.a obj2 = new com.tencent.mm.plugin.appbrand.jsapi.video.danmu.a(getContext(), new SpannableString(optString), Ee, optInt);
            }
            if (obj2 != null) {
                arrayList.add(obj2);
            }
        }
        DanmuView danmuView = this.hYO;
        danmuView.aGh();
        danmuView.aGj();
        danmuView.ibg.clear();
        danmuView.prepare();
        if (arrayList.isEmpty()) {
            danmuView.aGi();
            AppMethodBeat.o(126521);
            return;
        }
        new 4(danmuView, arrayList).start();
        danmuView.aGi();
        AppMethodBeat.o(126521);
    }

    public final boolean co(String str, String str2) {
        AppMethodBeat.i(126522);
        if (this.hYO == null) {
            ab.w("MicroMsg.AppBrandVideoView", " addDanmaku mDanmakuView null");
            aFc();
        }
        int Ee = com.tencent.mm.plugin.appbrand.r.g.Ee(str2);
        if (Ee == 0) {
            Ee = -1;
        }
        com.tencent.mm.plugin.appbrand.jsapi.video.danmu.a aVar = new com.tencent.mm.plugin.appbrand.jsapi.video.danmu.a(getContext(), new SpannableString(str), Ee, this.hYM.getCurrPosSec());
        DanmuView danmuView = this.hYO;
        synchronized (danmuView.ibf) {
            try {
                danmuView.ibf.offerFirst(aVar);
                d.post(new 3(danmuView, aVar), "DanmuView-addItemToWaitingHead");
            } finally {
                while (true) {
                }
                AppMethodBeat.o(126522);
            }
        }
        return true;
    }

    public void setFullScreenDelegate(a aVar) {
        this.hZj = aVar;
    }

    public k getCallback() {
        return this.hZf;
    }

    private void aEY() {
        AppMethodBeat.i(126523);
        this.hZi = new l(getContext(), this, new 10(this));
        AppMethodBeat.o(126523);
    }

    private void aEZ() {
        AppMethodBeat.i(126524);
        this.hYP.aEZ();
        AppMethodBeat.o(126524);
    }

    private void aFa() {
        AppMethodBeat.i(126525);
        this.hYM.setIMMVideoViewCallback(new 11(this));
        AppMethodBeat.o(126525);
    }

    public final void j(boolean z, int i) {
        AppMethodBeat.i(126527);
        ab.i("MicroMsg.AppBrandVideoView", "operateFullScreen toFullScreen:%b direction:%d", new Object[]{Boolean.valueOf(z), Integer.valueOf(i)});
        if (this.hZj == null) {
            ab.w("MicroMsg.AppBrandVideoView", "operateFullScreen mFullScreenDelegate null");
            AppMethodBeat.o(126527);
        } else if (z == aFb()) {
            ab.i("MicroMsg.AppBrandVideoView", "operateFullScreen current same");
            AppMethodBeat.o(126527);
        } else {
            int i2;
            if (i == -1) {
                i2 = this.Yp == -1 ? 90 : this.Yp;
                ab.i("MicroMsg.AppBrandVideoView", "operateFullScreen target direction:%d", new Object[]{Integer.valueOf(i2)});
            } else {
                i2 = i;
            }
            if (z) {
                this.hLe = i2;
                this.hZj.on(i2);
                this.hYP.aFH();
                er(true);
                AppMethodBeat.o(126527);
                return;
            }
            this.hZj.aDF();
            this.hYP.aDF();
            AppMethodBeat.o(126527);
        }
    }

    public final boolean aFb() {
        AppMethodBeat.i(126528);
        if (this.hZj == null) {
            ab.w("MicroMsg.AppBrandVideoView", "isInFullScreen mFullScreenDelegate null");
            AppMethodBeat.o(126528);
            return false;
        }
        boolean isFullScreen = this.hZj.isFullScreen();
        AppMethodBeat.o(126528);
        return isFullScreen;
    }

    private void aFc() {
        AppMethodBeat.i(126529);
        this.hYO = (DanmuView) findViewById(2131821408);
        this.hYO.setDanmuViewCallBack(new 12(this));
        this.hYO.aGm();
        this.hYO.setMaxRunningPerRow(5);
        this.hYO.setPickItemInterval(200);
        this.hYO.hide();
        if (this.hYM != null && ((View) this.hYM).getHeight() > 0) {
            int height = (int) (((float) ((View) this.hYM).getHeight()) * this.hYO.getYOffset());
            this.hYO.setMaxRow((int) (((float) height) / com.tencent.mm.plugin.appbrand.jsapi.video.danmu.b.cO(getContext())));
        }
        AppMethodBeat.o(126529);
    }

    public final void a(a aVar) {
        AppMethodBeat.i(126530);
        this.hYP = aVar;
        this.hYP.hide();
        this.hYP.setFullScreenBtnOnClickListener(new 13(this));
        this.hYP.setIplaySeekCallback(new 14(this));
        this.hYP.setOnPlayButtonClickListener(new 2(this));
        this.hYP.setStatePorter(new 3(this));
        this.hYP.setMuteBtnOnClickListener(new 4(this));
        this.hYP.setExitFullScreenBtnOnClickListener(new 5(this));
        this.hYP.setOnVisibilityChangedListener(new 6(this));
        this.hYP.setOnUpdateProgressLenListener(new 7(this));
        this.hYM.setControlBar(aVar);
        AppMethodBeat.o(126530);
    }

    private static String ox(int i) {
        AppMethodBeat.i(126531);
        String str = oy(i / 60) + VideoMaterialUtil.FRAMES_ID_SEPARATOR_3D + oy(i % 60);
        AppMethodBeat.o(126531);
        return str;
    }

    private static String oy(int i) {
        AppMethodBeat.i(126532);
        String concat;
        if (i < 10) {
            concat = "0".concat(String.valueOf(i));
            AppMethodBeat.o(126532);
            return concat;
        }
        concat = String.valueOf(i);
        AppMethodBeat.o(126532);
        return concat;
    }

    /* Access modifiers changed, original: final */
    public final void er(boolean z) {
        AppMethodBeat.i(126533);
        if (this.hZf == null) {
            AppMethodBeat.o(126533);
            return;
        }
        this.hZf.c(this.hZc, z, this.hLe);
        AppMethodBeat.o(126533);
    }

    private boolean isLive() {
        AppMethodBeat.i(126534);
        ab.i("MicroMsg.AppBrandVideoView", "isLive %b %b", new Object[]{Boolean.valueOf(this.hZk), Boolean.valueOf(this.hYM.isLive())});
        if (this.hZk || this.hYM.isLive()) {
            AppMethodBeat.o(126534);
            return true;
        }
        AppMethodBeat.o(126534);
        return false;
    }

    private boolean aFd() {
        AppMethodBeat.i(126535);
        if (!this.hZp || this.hYM.isLive() || aFf()) {
            AppMethodBeat.o(126535);
            return false;
        }
        AppMethodBeat.o(126535);
        return true;
    }

    private boolean aFe() {
        AppMethodBeat.i(126536);
        if (aFf() || ((aFb() || !this.hZg) && !(aFb() && this.hZh))) {
            AppMethodBeat.o(126536);
            return false;
        }
        AppMethodBeat.o(126536);
        return true;
    }

    private boolean aFf() {
        AppMethodBeat.i(126537);
        if (this.hYQ.getVisibility() == 0) {
            AppMethodBeat.o(126537);
            return true;
        }
        AppMethodBeat.o(126537);
        return false;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z;
        AppMethodBeat.i(126526);
        if (this.hZv) {
            z = true;
        } else {
            z = aFd();
            if (!aFe()) {
                z = false;
            }
        }
        if (z) {
            if (this.hZi != null) {
                this.hZi.z(motionEvent);
            }
            AppMethodBeat.o(126526);
            return true;
        }
        if (motionEvent.getAction() == 0 && this.hZe && this.hYQ.getVisibility() != 0) {
            this.hYP.aFG();
            if (this.hZu) {
                aEZ();
            }
        }
        if (this.hZo) {
            AppMethodBeat.o(126526);
            return true;
        }
        boolean onTouchEvent = super.onTouchEvent(motionEvent);
        AppMethodBeat.o(126526);
        return onTouchEvent;
    }

    static /* synthetic */ void n(AppBrandVideoView appBrandVideoView) {
        AppMethodBeat.i(126540);
        appBrandVideoView.hYP.aFy();
        AppMethodBeat.o(126540);
    }

    static /* synthetic */ void C(AppBrandVideoView appBrandVideoView) {
        AppMethodBeat.i(126545);
        boolean aFR = appBrandVideoView.hYP.aFR();
        if (!appBrandVideoView.hZe || !appBrandVideoView.hZq || aFR || appBrandVideoView.isLive() || appBrandVideoView.aFf()) {
            appBrandVideoView.hZa.setVisibility(8);
            AppMethodBeat.o(126545);
            return;
        }
        appBrandVideoView.hZa.setVisibility(0);
        AppMethodBeat.o(126545);
    }
}
