package com.tencent.mm.plugin.appbrand.widget.input;

import android.app.Activity;
import android.os.Looper;
import android.support.v4.view.s;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnFocusChangeListener;
import android.widget.EditText;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.page.u;
import com.tencent.mm.plugin.appbrand.ui.n;
import com.tencent.mm.plugin.appbrand.widget.input.ab.b;
import com.tencent.mm.plugin.appbrand.widget.input.c.a;
import com.tencent.mm.plugin.appbrand.widget.input.d.e;
import com.tencent.mm.plugin.appbrand.widget.input.w.d;
import com.tencent.mm.pointers.PBool;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.tools.b.c;
import com.tencent.mm.ui.tools.f;
import java.lang.ref.WeakReference;
import java.util.Locale;
import junit.framework.Assert;

public abstract class i implements aa<y> {
    public volatile c jdL;
    private volatile a jdM;
    public volatile b jdN;
    final OnFocusChangeListener jdO = new 1(this);
    private int jdP = -1;
    private int jdQ = -1;
    d jdR = null;
    public e jdS;
    protected WeakReference<u> jdT;
    public int jdU;
    public y jdV;
    w jdW;
    private v jdX;
    private final Runnable jdY = new 11(this);
    public final a jdZ = new a();
    private final c.a jdo = new p.a() {
        public final void JX() {
            AppMethodBeat.i(123636);
            if (i.this.jdV != null) {
                try {
                    i.this.jdZ.a(i.this.jdV.getEditableText(), false);
                    AppMethodBeat.o(123636);
                    return;
                } catch (Exception e) {
                }
            }
            AppMethodBeat.o(123636);
        }
    };
    boolean jea = false;
    final Runnable jeb = new 12(this);
    final ak jec = new ak(Looper.getMainLooper());
    private final d jed = new 5(this);
    private final w.c jee = new 6(this);
    private final w.e jef = new 7(this);

    public abstract void Ba(String str);

    public abstract void aDA();

    public abstract void aDB();

    public abstract void b(String str, int i, boolean z, boolean z2);

    static /* synthetic */ void f(i iVar) {
        boolean z = iVar.jdR == d.jel && aj.g(iVar.jdS.jjL);
        if (!z) {
            if (iVar.aQH() != null) {
                iVar.jdW.hide();
            } else if (iVar.jdT != null) {
                u uVar = (u) iVar.jdT.get();
                if (uVar != null) {
                    ad aJw = uVar.aJw();
                    if (aJw != null) {
                        aJw.aqX();
                    }
                }
            }
            k.a(iVar.jdT).qB(iVar.jdU);
        }
        if (iVar.jdV != null) {
            if (iVar.jdV.hasFocus()) {
                iVar.fc(z);
            }
            if (!z) {
                iVar.jdV.b(iVar.jdO);
                if (iVar.jdW != null && iVar.jdW.b(iVar.jdV)) {
                    iVar.jdW.hide();
                }
                iVar.jdV.setFocusable(false);
                iVar.jdV.setFocusableInTouchMode(false);
                if (iVar.jdS.jjl) {
                    iVar.aQD();
                }
            }
        }
    }

    public final boolean s(u uVar) {
        return (uVar == null || this.jdT == null || uVar != this.jdT.get()) ? false : true;
    }

    public final boolean aQt() {
        boolean z;
        if (this.jdV == null || (!this.jdV.isFocused() && (aQH() == null || aQH().getAttachedEditText() != this.jdV))) {
            z = false;
        } else {
            z = true;
        }
        if (z) {
            w aQH = aQH();
            if (aQH != null) {
                aQH.setVisibility(8);
            }
        } else {
            ab.d("MicroMsg.AppBrandInputInvokeHandler", "doHideKeyboard, not focused, return");
        }
        return true;
    }

    public final void a(String str, Integer num) {
        if (this.jdV != null) {
            this.jdV.B(str);
            Integer valueOf = Integer.valueOf(num == null ? -1 : num.intValue());
            dq(valueOf.intValue(), valueOf.intValue());
            aQA();
        }
    }

    public final boolean aQn() {
        Object obj;
        if (this.jdV == null || this.jdT == null || this.jdT.get() == null) {
            obj = null;
        } else {
            this.jdV.destroy();
            g gVar = (g) ((u) this.jdT.get()).aAY();
            if (gVar == null) {
                obj = null;
            } else {
                if (this.jdV.hasFocus()) {
                    if (this.jdX != null) {
                        this.jdX.setVisibility(8);
                    }
                    aQH();
                    if (this.jdW != null) {
                        this.jdW.setVisibility(8);
                    }
                }
                gVar.cF(this.jdV);
                int obj2 = 1;
            }
        }
        if (obj2 == null) {
            return false;
        }
        onDestroy();
        return true;
    }

    public final <P extends View & ac> P getInputPanel() {
        return this.jdW;
    }

    public final boolean aQr() {
        return this.jdS != null && aj.g(this.jdS.jjM);
    }

    public final int aQs() {
        if (this.jdS != null && this.jdS.jjJ != null) {
            return this.jdS.jjJ.intValue();
        }
        if (this.jdV == null || !this.jdV.aQP()) {
            return 0;
        }
        return 5;
    }

    private void onDestroy() {
        this.jdV = null;
        com.tencent.mm.plugin.appbrand.s.e.at(this);
    }

    public final int getInputId() {
        return this.jdU;
    }

    public final void qx(int i) {
        b bVar = this.jdN;
        if (bVar != null) {
            bVar.a(this, i);
        }
    }

    public final void aQy() {
        if (this.jdV != null && aj.g(this.jdS.jjH) && aj.g(this.jdS.jjF)) {
            ((q) this.jdV).setAutoHeight(true);
            int lineHeight = this.jdV.getLineHeight();
            int aRh = this.jdV.aRh();
            int intValue = (this.jdS.jjt == null || this.jdS.jjt.intValue() <= 0) ? lineHeight : this.jdS.jjt.intValue();
            lineHeight = (this.jdS.jju == null || this.jdS.jju.intValue() <= 0) ? Integer.MAX_VALUE : Math.max(this.jdS.jju.intValue(), lineHeight);
            this.jdV.setMinHeight(intValue);
            this.jdV.setMaxHeight(lineHeight);
            this.jdS.jjq = Integer.valueOf(Math.max(intValue, Math.min(aRh, lineHeight)));
            b(this.jdV, this.jdS);
        }
    }

    public final void aQz() {
        b.a(this.jdV, this.jdS);
        if (this.jdS.jjy == null) {
            this.jdS.jjy = Integer.valueOf(com.tencent.mm.plugin.appbrand.jsapi.g.c.CTRL_INDEX);
        } else if (this.jdS.jjy.intValue() <= 0) {
            this.jdS.jjy = Integer.valueOf(Integer.MAX_VALUE);
        }
        c PM = p.a(this.jdV).PM(this.jdS.jjy.intValue());
        PM.zIx = false;
        PM.jeZ = f.a.zFu;
        PM.a(this.jdo);
        this.jdV.setPasswordMode(this.jdS.jjk);
        if (aj.g(this.jdS.jjD)) {
            this.jdV.setEnabled(false);
            this.jdV.setFocusable(false);
            this.jdV.setFocusableInTouchMode(false);
            this.jdV.setClickable(false);
        } else {
            this.jdV.setEnabled(true);
            this.jdV.setClickable(true);
        }
        if (this.jdV instanceof q) {
            if (this.jdS.jjN != null) {
                ((q) this.jdV).setLineSpace((float) this.jdS.jjN.intValue());
            }
            if (this.jdS.jjO != null) {
                ((q) this.jdV).setLineHeight((float) this.jdS.jjO.intValue());
            }
        }
    }

    private void dq(int i, int i2) {
        b.a(this.jdV, i, i2);
        aQB();
    }

    public final void aQA() {
        if (this.jdV != null) {
            if (this.jdV.getLineCount() != this.jdP || this.jdV.aRh() != this.jdQ) {
                Object obj = this.jdP == -1 ? 1 : null;
                this.jdP = this.jdV.getLineCount();
                this.jdQ = this.jdV.aRh();
                if (this.jdL != null) {
                    this.jdL.db(this.jdP, this.jdQ);
                }
                if (this.jdS.jjF.booleanValue() && obj == null) {
                    aQy();
                    aQB();
                }
            }
        }
    }

    private void aQB() {
        if (this.jdS.jjF.booleanValue() && this.jdW != null && this.jdW.isShown() && this.jdV != null && this.jdV == this.jdW.getAttachedEditText()) {
            k.a(this.jdT).qA(this.jdU);
        }
    }

    private void aQC() {
        if (this.jdS.jjF.booleanValue()) {
            aQH();
        }
        if (this.jdW != null && this.jdV != null) {
            this.jdW.jfW = this.jdV;
            this.jdW.setShowDoneButton(aj.g(this.jdS.jjG));
            aQF();
            if (n.ct(this.jdV) && this.jdV.hasFocus()) {
                this.jdW.show();
            }
        }
    }

    private void aQD() {
        this.jdW.b(this.jdV);
        a(this.jdV);
        this.jdV.destroy();
        onDestroy();
    }

    public final void ds(int i, int i2) {
        this.jdT = this.jdS.jdm;
        u uVar = this.jdT == null ? null : (u) this.jdT.get();
        if (uVar == null || uVar.aJz() == null) {
            ab.e("MicroMsg.AppBrandInputInvokeHandler", "insertInputImpl, view not ready, return fail");
            aDB();
            return;
        }
        y qVar;
        if (aj.g(this.jdS.jjF)) {
            qVar = new q(uVar.mContext);
        } else {
            qVar = new t(uVar.mContext);
        }
        this.jdV = qVar;
        this.jdU = this.jdS.jdk;
        this.jdV.setInputId(this.jdU);
        o.b(uVar, this);
        aQz();
        this.jdV.setText(bo.nullAsNil(this.jdS.jjo));
        if (aj.g(this.jdS.jjH)) {
            aQA();
        }
        this.jdV.addTextChangedListener(new 13(this));
        this.jdV.setOnComposingDismissedListener(new 14(this));
        this.jdV.setOnKeyUpPostImeListener(new b() {
            public final boolean qy(int i) {
                AppMethodBeat.i(123640);
                if (i != 67) {
                    AppMethodBeat.o(123640);
                    return false;
                } else if (aj.D(i.this.jdV.getText())) {
                    AppMethodBeat.o(123640);
                    return false;
                } else {
                    i.this.Ba(i.this.jdV.getText().toString());
                    AppMethodBeat.o(123640);
                    return true;
                }
            }
        });
        if (a(this.jdV, this.jdS)) {
            if (!(this.jdS.jjn == null || bo.ek(this.jdS.jjn.jiX))) {
                com.tencent.mm.plugin.appbrand.widget.input.autofill.d.a(uVar, this.jdV, this.jdS.jjn);
            }
            if (!aj.g(this.jdS.jjF)) {
                b.a(this.jdV, i, i2);
            }
            if (aj.g(this.jdS.jjF)) {
                this.jdV.post(new Runnable() {
                    public final void run() {
                        AppMethodBeat.i(123641);
                        i.this.aQA();
                        AppMethodBeat.o(123641);
                    }
                });
            }
            if ("text".equalsIgnoreCase(this.jdS.jjj) || "emoji".equalsIgnoreCase(this.jdS.jjj)) {
                aQG();
            } else {
                Assert.assertTrue(String.format(Locale.US, "Unrecognized type(%s) implementation removed from here", new Object[]{this.jdS.jjj}), true);
                aQG();
            }
            this.jdV.setOnClickListener(new OnClickListener() {
                public final void onClick(View view) {
                    AppMethodBeat.i(123642);
                    if (i.this.jdV == null) {
                        AppMethodBeat.o(123642);
                    } else if (i.this.jdV.hasFocus()) {
                        i.this.aQC();
                        AppMethodBeat.o(123642);
                    } else {
                        if (i.this.jdV == view) {
                            i.this.aQE();
                        }
                        AppMethodBeat.o(123642);
                    }
                }
            });
            aDA();
            return;
        }
        ab.e("MicroMsg.AppBrandInputInvokeHandler", "add custom view into webView failed");
        aDB();
    }

    private void aQE() {
        boolean z;
        boolean z2 = true;
        u uVar = this.jdT == null ? null : (u) this.jdT.get();
        if (this.jdW == null) {
            aQH();
        }
        String str = "MicroMsg.AppBrandInputInvokeHandler";
        String str2 = "ensureInputFocusedWithSoftKeyboard, null==mInput[%b], null==page[%b], null==mSmileyPanel[%b]";
        Object[] objArr = new Object[3];
        if (this.jdV == null) {
            z = true;
        } else {
            z = false;
        }
        objArr[0] = Boolean.valueOf(z);
        if (uVar == null) {
            z = true;
        } else {
            z = false;
        }
        objArr[1] = Boolean.valueOf(z);
        if (this.jdW != null) {
            z2 = false;
        }
        objArr[2] = Boolean.valueOf(z2);
        ab.i(str, str2, objArr);
        if (uVar != null && this.jdV != null && this.jdW != null) {
            o.a(uVar, this.jdV);
            final PBool pBool = new PBool();
            pBool.value = false;
            final 2 2 = new 2(this, pBool);
            Activity cY = com.tencent.mm.ui.statusbar.d.cY(uVar.mContext);
            if (!(cY == null || cY.getCurrentFocus() == null)) {
                View currentFocus = cY.getCurrentFocus();
                boolean isActive = aj.cS(currentFocus).isActive(currentFocus);
                boolean f = aj.f(uVar.aJz().getWrapperView(), currentFocus);
                if (isActive && f) {
                    ab.i("MicroMsg.AppBrandInputInvokeHandler", "ensureInputFocusedWithSoftKeyboard, servedConnecting && servedForWebView, delay checkForInput");
                    this.jdW.setOnVisibilityChangedListener(new 3(this, pBool, 2));
                    com.tencent.mm.sdk.g.d.xDG.q(new Runnable() {
                        public final void run() {
                            AppMethodBeat.i(123630);
                            if (pBool.value) {
                                AppMethodBeat.o(123630);
                                return;
                            }
                            2.run();
                            AppMethodBeat.o(123630);
                        }
                    }, 100);
                    return;
                }
            }
            2.run();
        }
    }

    /* Access modifiers changed, original: 0000 */
    public boolean a(y yVar, e eVar) {
        if (yVar == null || this.jdT == null || this.jdT.get() == null) {
            return false;
        }
        g gVar = (g) ((u) this.jdT.get()).aAY();
        if (gVar != null) {
            if (gVar.a(((u) this.jdT.get()).aJz(), yVar, eVar.jjp.intValue(), eVar.jjq.intValue(), eVar.jjs.intValue(), eVar.jjr.intValue())) {
                return true;
            }
        }
        return false;
    }

    public boolean b(y yVar, e eVar) {
        if (yVar == null || this.jdT == null || this.jdT.get() == null) {
            return false;
        }
        g gVar = (g) ((u) this.jdT.get()).aAY();
        if (gVar != null) {
            if (gVar.c(((u) this.jdT.get()).aJz(), yVar, eVar.jjp.intValue(), eVar.jjq.intValue(), eVar.jjs.intValue(), eVar.jjr.intValue())) {
                return true;
            }
        }
        return false;
    }

    /* Access modifiers changed, original: 0000 */
    public void a(y yVar) {
        if (yVar != null) {
            yVar.b(this.jdO);
            u uVar = this.jdT == null ? null : (u) this.jdT.get();
            if (uVar != null) {
                g gVar = (g) uVar.aAY();
                if (gVar != null) {
                    gVar.cF(yVar);
                }
            }
        }
    }

    private void aQF() {
        if (this.jdW != null) {
            this.jdW.setOnSmileyChosenListener(this.jed);
            this.jdW.setOnDoneListener(this.jee);
            this.jdW.setOnVisibilityChangedListener(this.jef);
        }
    }

    private void aQG() {
        u uVar = (u) this.jdT.get();
        if (s.av(uVar.getContentView())) {
            this.jdW = w.cO(uVar.getContentView());
            if (this.jdS.jjl) {
                aQF();
                aQI();
            }
            this.jdV.a(this.jdO);
            this.jdV.setOnKeyListener(new 8(this));
            if (this.jdS.jjl) {
                o.a((u) this.jdT.get(), this.jdV);
            }
            w wVar = this.jdW;
            boolean z = !this.jdS.jjk && "emoji".equals(this.jdS.jjj);
            wVar.setCanSmileyInput(z);
            if (this.jdS.jjF.booleanValue()) {
                this.jdV.setOnEditorActionListener(null);
                this.jdV.setImeOptions(0);
            } else {
                com.tencent.mm.plugin.appbrand.widget.input.d.b aRI;
                if (this.jdS.jjK == null) {
                    aRI = com.tencent.mm.plugin.appbrand.widget.input.d.b.aRI();
                } else {
                    aRI = this.jdS.jjK;
                }
                int i = aRI.jjd;
                this.jdV.setImeOptions(i);
                this.jdV.setOnEditorActionListener(new 9(this, i));
            }
            this.jdW.setShowDoneButton(this.jdS.jjG.booleanValue());
            this.jdW.jfW = this.jdV;
            if (this.jdS.jjl) {
                aQE();
            } else {
                this.jdV.setFocusable(false);
                this.jdV.setFocusableInTouchMode(false);
                this.jdW.hide();
            }
            if (this.jdS.jjl) {
                k.a(this.jdT).qA(this.jdU);
            }
        }
    }

    private void fc(boolean z) {
        if (this.jdV != null) {
            b(this.jdV.getText().toString(), this.jdV.getSelectionEnd(), this.jdR == d.jel, z);
        }
    }

    private w aQH() {
        if (this.jdW != null) {
            return this.jdW;
        }
        if (this.jdT != null) {
            u uVar = (u) this.jdT.get();
            if (uVar != null) {
                w cN = w.cN(uVar.getContentView());
                this.jdW = cN;
                return cN;
            }
        }
        return null;
    }

    private v aQu() {
        if (this.jdX != null) {
            return this.jdX;
        }
        if (this.jdT != null) {
            u uVar = (u) this.jdT.get();
            if (uVar != null) {
                v cL = v.cL(uVar.getContentView());
                this.jdX = cL;
                return cL;
            }
        }
        return null;
    }

    private void aQI() {
        if (aQu() != null) {
            this.jdX.setVisibility(8);
        }
    }

    public final boolean dr(int i, int i2) {
        if (!(this.jdV == null || this.jdT == null || this.jdT.get() == null)) {
            this.jdV.performClick();
        }
        dq(i, i2);
        return true;
    }

    public final /* bridge */ /* synthetic */ EditText aQo() {
        return this.jdV;
    }
}
