package com.tencent.mm.plugin.choosemsgfile.ui;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.pluginsdk.model.p;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.a;
import com.tencent.xweb.x5.sdk.d;
import org.json.JSONException;
import org.json.JSONObject;

@a(3)
public class ChooseMsgFileShowUI extends MMActivity {
    private int kvD;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void a(ChooseMsgFileShowUI chooseMsgFileShowUI, String str, String str2) {
        AppMethodBeat.i(54438);
        chooseMsgFileShowUI.dy(str, str2);
        AppMethodBeat.o(54438);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(54434);
        super.onCreate(bundle);
        String stringExtra = getIntent().getStringExtra("key_filepath");
        String stringExtra2 = getIntent().getStringExtra("key_fileext");
        String str = "";
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.putOpt("path", stringExtra);
            jSONObject.putOpt("ext", stringExtra2);
            str = jSONObject.toString();
        } catch (JSONException e) {
            ab.printErrStackTrace("MicroMsg.ChooseMsgFileShowUI", e, "", new Object[0]);
        }
        d.a(this, str, new 1(this, stringExtra, stringExtra2));
        AppMethodBeat.o(54434);
    }

    private void dy(String str, String str2) {
        AppMethodBeat.i(54435);
        Intent intent = new Intent();
        intent.setAction("MINIQB_OPEN_RET");
        intent.putExtra("file_path", str);
        intent.putExtra("file_ext", str2);
        ab.i("MicroMsg.ChooseMsgFileShowUI", "TBS MiniQB cannot open this file:%s", new Object[]{str});
        intent.putExtra("MINIQB_OPEN_RET_VAL", false);
        sendBroadcast(intent, "com.tencent.mm.permission.MM_MESSAGE");
        finish();
        AppMethodBeat.o(54435);
    }

    public void onDestroy() {
        AppMethodBeat.i(54436);
        if (this.kvD == 0) {
            try {
                d.closeFileReader(this);
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.ChooseMsgFileShowUI", e, "", new Object[0]);
            }
        }
        super.onDestroy();
        AppMethodBeat.o(54436);
    }

    public final int getLayoutId() {
        return -1;
    }

    public static void q(Context context, String str, String str2) {
        AppMethodBeat.i(54437);
        Intent intent = new Intent(context, ChooseMsgFileShowUI.class);
        intent.putExtra("key_filepath", str);
        intent.putExtra("key_fileext", str2);
        context.startActivity(intent);
        AppMethodBeat.o(54437);
    }

    static /* synthetic */ void b(ChooseMsgFileShowUI chooseMsgFileShowUI, String str, String str2) {
        AppMethodBeat.i(54439);
        chooseMsgFileShowUI.kvD = p.a(chooseMsgFileShowUI, str, str2, Integer.toString(chooseMsgFileShowUI.hashCode()), new 2(chooseMsgFileShowUI));
        ab.i("MicroMsg.ChooseMsgFileShowUI", "QB openReadFile, ret = %d", new Object[]{Integer.valueOf(chooseMsgFileShowUI.kvD)});
        if (chooseMsgFileShowUI.kvD == -102) {
            chooseMsgFileShowUI.dy(str, str2);
        }
        AppMethodBeat.o(54439);
    }
}
