package com.tencent.mm.plugin.emoji.e;

import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import com.tencent.map.lib.gl.model.GLIcon;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.af.j.b;
import com.tencent.mm.g.a.cz;
import com.tencent.mm.g.a.py;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.bf;
import com.tencent.mm.model.t;
import com.tencent.mm.opensdk.modelmsg.WXEmojiObject;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
import com.tencent.mm.plugin.emoji.model.EmojiLogic;
import com.tencent.mm.plugin.emoji.model.j;
import com.tencent.mm.plugin.emoji.ui.CustomSmileyPreviewUI;
import com.tencent.mm.plugin.emoji.ui.EmojiAddCustomDialogUI;
import com.tencent.mm.plugin.emojicapture.api.EmojiCaptureReporter;
import com.tencent.mm.plugin.emojicapture.api.EmojiCaptureUploadManager.UploadTask;
import com.tencent.mm.pluginsdk.a.d;
import com.tencent.mm.protocal.protobuf.cab;
import com.tencent.mm.protocal.protobuf.cac;
import com.tencent.mm.sdk.b.a;
import com.tencent.mm.sdk.e.k;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.bp;
import com.tencent.mm.sdk.platformtools.br;
import com.tencent.mm.storage.ac;
import com.tencent.mm.storage.ap;
import com.tencent.mm.storage.aq;
import com.tencent.mm.storage.as;
import com.tencent.mm.storage.bi;
import com.tencent.mm.storage.emotion.EmojiGroupInfo;
import com.tencent.mm.storage.emotion.EmojiInfo;
import com.tencent.mm.storage.emotion.SmileyInfo;
import com.tencent.mm.storage.emotion.r;
import com.tencent.mm.storage.emotion.s;
import com.tencent.mm.storage.emotion.u;
import com.tencent.mm.ui.tools.f;
import com.tencent.mm.vfs.e;
import com.tencent.recovery.util.Util;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;

public final class h implements d {
    public final EmojiInfo Jd(String str) {
        AppMethodBeat.i(52888);
        EmojiInfo aqi = j.getEmojiStorageMgr().xYn.aqi(str);
        AppMethodBeat.o(52888);
        return aqi;
    }

    public final EmojiInfo Je(String str) {
        AppMethodBeat.i(52889);
        EmojiInfo Jd = Jd(str);
        AppMethodBeat.o(52889);
        return Jd;
    }

    public final void a(Context context, bi biVar, String str) {
        AppMethodBeat.i(52892);
        if (context == null || biVar == null) {
            ab.w("MicroMsg.emoji.EmojiMgrImpl", "context or msg is null");
            AppMethodBeat.o(52892);
            return;
        }
        ap aps = ap.aps(biVar.field_content);
        b me = b.me(biVar.field_content);
        if (me == null) {
            me = new b();
            me.fgq = aps.cvZ;
        }
        EmojiInfo aqi = j.getEmojiStorageMgr().xYn.aqi(me.fgq);
        if (biVar.field_isSend == 1) {
            if (aqi == null || !aqi.duP()) {
                j.bko().c(me);
                AppMethodBeat.o(52892);
                return;
            }
            a(context, me.fgq, me.appId, me.appName, biVar.field_msgSvrId, biVar.field_talker, biVar.field_content, str);
            AppMethodBeat.o(52892);
        } else if (aqi == null || !aqi.duP()) {
            j.bko().c(me);
            AppMethodBeat.o(52892);
        } else {
            a(context, aqi.Aq(), me.appId, me.appName, biVar.field_msgSvrId, biVar.field_talker, biVar.field_content, str);
            AppMethodBeat.o(52892);
        }
    }

    public final boolean r(Context context, String str, String str2) {
        AppMethodBeat.i(52893);
        if (context == null) {
            ab.w("MicroMsg.emoji.EmojiMgrImpl", "sendEmoji: context is null");
            AppMethodBeat.o(52893);
            return false;
        } else if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            ab.w("MicroMsg.emoji.EmojiMgrImpl", "sendEmoji: userName or imgPath is null");
            AppMethodBeat.o(52893);
            return false;
        } else {
            EmojiInfo aqi = j.getEmojiStorageMgr().xYn.aqi(str2);
            if (aqi == null) {
                ab.w("MicroMsg.emoji.EmojiMgrImpl", "sendEmoji: emoji not found, imgPath %s", new Object[]{str2});
                AppMethodBeat.o(52893);
                return false;
            }
            if (aqi.field_type == EmojiInfo.yap || aqi.field_type == EmojiInfo.yaq) {
                WXMediaMessage wXMediaMessage = new WXMediaMessage();
                String str3 = com.tencent.mm.plugin.emoji.h.b.Yb() + aqi.Aq();
                if (e.ct(str3 + "_thumb")) {
                    wXMediaMessage.thumbData = e.e(str3 + "_thumb", 0, -1);
                } else {
                    wXMediaMessage.setThumbImage(aqi.hk(context));
                }
                wXMediaMessage.mediaObject = new WXEmojiObject(str3);
                py pyVar = new py();
                pyVar.cMe.cEl = wXMediaMessage;
                pyVar.cMe.appId = aqi.field_app_id;
                pyVar.cMe.appName = null;
                pyVar.cMe.toUser = str;
                pyVar.cMe.cMf = 0;
                pyVar.cMe.cMi = aqi.Aq();
                a.xxA.m(pyVar);
            } else {
                if (aqi.field_type == EmojiInfo.yam) {
                    Cursor MB = EmojiInfo.Mv(aqi.field_catalog) ? j.getEmojiStorageMgr().xYn.MB(aqi.field_catalog) : (aqi.field_catalog == EmojiInfo.yah && aqi.getContent().length() > 0 && EmojiInfo.Mv(bo.getInt(aqi.getContent(), 0))) ? j.getEmojiStorageMgr().xYn.MB(bo.getInt(aqi.getContent(), 0)) : null;
                    if (MB != null) {
                        int gV = bo.gV(MB.getCount() - 1, 0);
                        aqi = new EmojiInfo();
                        MB.moveToPosition(gV);
                        aqi.d(MB);
                        MB.close();
                    }
                }
                j.bkh().a(str, aqi, null);
            }
            AppMethodBeat.o(52893);
            return true;
        }
    }

    public final void a(String str, EmojiInfo emojiInfo, bi biVar) {
        AppMethodBeat.i(52894);
        if (emojiInfo == null && biVar == null) {
            AppMethodBeat.o(52894);
            return;
        }
        if (emojiInfo == null) {
            emojiInfo = j.getEmojiStorageMgr().xYn.aqi(biVar.field_imgPath);
        }
        j.bkh().a(str, emojiInfo, biVar);
        AppMethodBeat.o(52894);
    }

    private static void a(Context context, String str, String str2, String str3, long j, String str4, String str5, String str6) {
        AppMethodBeat.i(52895);
        if (str.equals("-1")) {
            ab.e("MicroMsg.emoji.EmojiMgrImpl", "showEmoji fail cause md5 is no valid");
            AppMethodBeat.o(52895);
            return;
        }
        EmojiInfo aqi = j.getEmojiStorageMgr().xYn.aqi(str);
        if (aqi == null) {
            ab.e("MicroMsg.emoji.EmojiMgrImpl", "showEmoji fail cause md5 is no valid");
            AppMethodBeat.o(52895);
            return;
        }
        Intent intent = new Intent(context, CustomSmileyPreviewUI.class);
        intent.putExtra("custom_smiley_preview_md5", str);
        if (str2 != null) {
            intent.putExtra("custom_smiley_preview_appid", str2);
        } else {
            intent.putExtra("custom_smiley_preview_appid", aqi.field_app_id);
        }
        intent.putExtra("custom_smiley_preview_appname", str3);
        intent.putExtra("msg_id", j);
        intent.putExtra("msg_content", str5);
        if (t.kH(str4)) {
            str4 = bf.oy(str5);
            intent.putExtra("room_id", str6);
        }
        intent.putExtra("msg_sender", str4);
        context.startActivity(intent);
        AppMethodBeat.o(52895);
    }

    public final as dK(String str, String str2) {
        AppMethodBeat.i(52896);
        Map z = br.z(str, "msg");
        if (z == null) {
            ab.w("MicroMsg.emoji.EmojiMgrImpl", "get from xml, but attrs is null");
            AppMethodBeat.o(52896);
            return null;
        }
        as a = as.a(z, str2, str, "");
        if (a == null) {
            ab.w("MicroMsg.emoji.EmojiMgrImpl", "parserEmojiXml error ".concat(String.valueOf(str)));
            AppMethodBeat.o(52896);
            return null;
        }
        AppMethodBeat.o(52896);
        return a;
    }

    public final EmojiInfo j(String str, int i, int i2, int i3) {
        AppMethodBeat.i(52897);
        EmojiInfo a = a(str, "", i, i2, i3, "");
        AppMethodBeat.o(52897);
        return a;
    }

    public final EmojiInfo a(String str, String str2, int i, int i2, int i3, String str3) {
        AppMethodBeat.i(52898);
        EmojiInfo e = j.getEmojiStorageMgr().xYn.e(str, str2, i, i2, i3, str3);
        AppMethodBeat.o(52898);
        return e;
    }

    public final void updateEmojiInfo(EmojiInfo emojiInfo) {
        AppMethodBeat.i(52899);
        j.getEmojiStorageMgr().xYn.G(emojiInfo);
        AppMethodBeat.o(52899);
    }

    public final String Jf(String str) {
        AppMethodBeat.i(52900);
        String Jf = EmojiLogic.Jf(str);
        AppMethodBeat.o(52900);
        return Jf;
    }

    public final String a(Context context, WXMediaMessage wXMediaMessage, String str) {
        AppMethodBeat.i(52901);
        String b = EmojiLogic.b(context, wXMediaMessage, str);
        AppMethodBeat.o(52901);
        return b;
    }

    public final boolean a(String str, String str2, long j, String str3, com.tencent.mm.ai.e.a aVar) {
        boolean z = false;
        AppMethodBeat.i(52902);
        com.tencent.mm.plugin.emoji.model.d bkh = j.bkh();
        ab.d("MicroMsg.emoji.EmojiMsgInfo", "parserEmojiXml ".concat(String.valueOf(str2)));
        as a = as.a(br.z(str2, "msg"), str, str2, str3);
        if (a == null) {
            ab.i("MicroMsg.emoji.EmojiService", "prepareEmoji failed. emoji msg info is null.");
            AppMethodBeat.o(52902);
        } else {
            a.cKK = j;
            ab.i("MicroMsg.emoji.EmojiService", "summerbadcr prepareEmoji msgSvrId[%d], stack[%s]", new Object[]{Long.valueOf(j), bo.dpG()});
            bkh.JC(a.cwg);
            if (!EmojiLogic.JB(com.tencent.mm.emoji.a.e.OO())) {
                z = true;
            }
            bkh.a(a, aVar, z);
            AppMethodBeat.o(52902);
        }
        return true;
    }

    public final List<EmojiInfo> Jg(String str) {
        AppMethodBeat.i(52903);
        if (g.RP().isSDCardAvailable()) {
            ArrayList arrayList = (ArrayList) j.getEmojiStorageMgr().xYn.Jg(str);
            AppMethodBeat.o(52903);
            return arrayList;
        }
        List<EmojiInfo> arrayList2 = new ArrayList();
        AppMethodBeat.o(52903);
        return arrayList2;
    }

    public final String getAccPath() {
        AppMethodBeat.i(52904);
        String str = g.RP().eJM;
        AppMethodBeat.o(52904);
        return str;
    }

    public final String Jh(String str) {
        AppMethodBeat.i(52905);
        String Jh = j.getEmojiDescMgr().Jh(str);
        AppMethodBeat.o(52905);
        return Jh;
    }

    public final boolean Ji(String str) {
        AppMethodBeat.i(52906);
        if (str == null || !str.equals("capture")) {
            boolean aqc = j.getEmojiStorageMgr().xYo.aqc(str);
            AppMethodBeat.o(52906);
            return aqc;
        }
        AppMethodBeat.o(52906);
        return true;
    }

    public final ArrayList<String> Jj(String str) {
        AppMethodBeat.i(52907);
        aq emojiDescMgr = j.getEmojiDescMgr();
        if (!emojiDescMgr.mInit) {
            emojiDescMgr.dsY();
        }
        long currentTimeMillis = System.currentTimeMillis();
        ArrayList arrayList = new ArrayList();
        ArrayList<String> arrayList2 = new ArrayList();
        int asg = f.asg(str);
        if (asg < emojiDescMgr.xXN || asg > emojiDescMgr.xXO) {
            ab.d("MicroMsg.emoji.EmojiDescNewMgr", "input text over checkout limit.");
            AppMethodBeat.o(52907);
            return null;
        }
        if (!(bo.isNullOrNil(str) || emojiDescMgr.xXS == null)) {
            String toLowerCase = str.toLowerCase();
            ArrayList arrayList3 = new ArrayList();
            if (emojiDescMgr.xXR.containsKey(toLowerCase)) {
                arrayList3.addAll((Collection) emojiDescMgr.xXQ.get(emojiDescMgr.xXR.get(toLowerCase)));
            } else {
                arrayList3.add(toLowerCase);
            }
            Iterator it = arrayList3.iterator();
            while (it.hasNext()) {
                ArrayList arrayList4 = (ArrayList) emojiDescMgr.xXS.get((String) it.next());
                if (!(arrayList4 == null || arrayList4.isEmpty())) {
                    arrayList.addAll(arrayList4);
                }
            }
        }
        if (!arrayList.isEmpty()) {
            Collections.sort(arrayList, emojiDescMgr.xXT);
            for (int i = 0; i < arrayList.size(); i++) {
                arrayList2.add(((aq.a) arrayList.get(i)).cvZ);
            }
        }
        ab.d("MicroMsg.emoji.EmojiDescNewMgr", "cpan[check desc]User time:%d", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis)});
        AppMethodBeat.o(52907);
        return arrayList2;
    }

    public final String Jk(String str) {
        AppMethodBeat.i(52908);
        String Jk = EmojiLogic.Jk(str);
        AppMethodBeat.o(52908);
        return Jk;
    }

    public final String Jl(String str) {
        AppMethodBeat.i(52909);
        String Jl = EmojiLogic.Jl(str);
        AppMethodBeat.o(52909);
        return Jl;
    }

    public final int Jm(String str) {
        AppMethodBeat.i(52910);
        int Jm = EmojiLogic.Jm(str);
        AppMethodBeat.o(52910);
        return Jm;
    }

    public final String Jn(String str) {
        AppMethodBeat.i(52911);
        String Jn = EmojiLogic.Jn(str);
        AppMethodBeat.o(52911);
        return Jn;
    }

    public final int o(EmojiInfo emojiInfo) {
        AppMethodBeat.i(52912);
        if (emojiInfo != null) {
            if (emojiInfo.field_catalog == EmojiInfo.yaj || String.valueOf(EmojiInfo.yaj).equals(emojiInfo.field_groupId)) {
                AppMethodBeat.o(52912);
                return 2130839131;
            } else if (emojiInfo.field_catalog == EmojiInfo.yak || String.valueOf(EmojiInfo.yak).equals(emojiInfo.field_groupId)) {
                AppMethodBeat.o(52912);
                return 2130838495;
            }
        }
        AppMethodBeat.o(52912);
        return 0;
    }

    public final int[] p(EmojiInfo emojiInfo) {
        if (emojiInfo != null) {
            if (emojiInfo.field_catalog == EmojiInfo.yaj) {
                return new int[]{2130839133, 2130839134, 2130839132};
            }
            if (emojiInfo.field_catalog == EmojiInfo.yak) {
                return new int[]{2130838502, 2130838503, 2130838504, 2130838505};
            }
        }
        return null;
    }

    public final byte[] l(EmojiInfo emojiInfo) {
        AppMethodBeat.i(52913);
        if (emojiInfo != null) {
            EmojiInfo Jd = Jd(emojiInfo.field_md5);
            if (!(Jd == null || Jd.field_reserved4 == emojiInfo.field_reserved4)) {
                emojiInfo.field_reserved4 = Jd.field_reserved4;
            }
        }
        byte[] l = f.bjK().l(emojiInfo);
        AppMethodBeat.o(52913);
        return l;
    }

    public final boolean c(EmojiInfo emojiInfo, boolean z) {
        AppMethodBeat.i(52914);
        boolean c = f.bjK().c(emojiInfo, z);
        AppMethodBeat.o(52914);
        return c;
    }

    public final void onDestroy() {
    }

    public final boolean bjN() {
        AppMethodBeat.i(52915);
        boolean OL = com.tencent.mm.emoji.a.e.OL();
        AppMethodBeat.o(52915);
        return OL;
    }

    public final ArrayList<SmileyInfo> bjO() {
        AppMethodBeat.i(52916);
        ArrayList bjO = j.getEmojiStorageMgr().xYv.bjO();
        AppMethodBeat.o(52916);
        return bjO;
    }

    public final ArrayList<r> bjP() {
        AppMethodBeat.i(52917);
        ArrayList bjP = j.getEmojiStorageMgr().xYw.bjP();
        AppMethodBeat.o(52917);
        return bjP;
    }

    public final boolean w(ArrayList<SmileyInfo> arrayList) {
        AppMethodBeat.i(52918);
        boolean an = j.getEmojiStorageMgr().xYv.an(arrayList);
        AppMethodBeat.o(52918);
        return an;
    }

    public final boolean x(ArrayList<r> arrayList) {
        AppMethodBeat.i(52919);
        s sVar = j.getEmojiStorageMgr().xYw;
        if (arrayList == null || arrayList.size() <= 0) {
            ab.i("MicroMsg.emoji.SmileyPanelConfigInfoStorage", "insertSmileyConfigInfoList failed. list is null.");
        } else {
            long iV;
            com.tencent.mm.cd.h hVar;
            if (sVar.bSd instanceof com.tencent.mm.cd.h) {
                com.tencent.mm.cd.h hVar2 = (com.tencent.mm.cd.h) sVar.bSd;
                iV = hVar2.iV(Thread.currentThread().getId());
                hVar = hVar2;
            } else {
                iV = -1;
                hVar = null;
            }
            sVar.bSd.delete("SmileyPanelConfigInfo", null, null);
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                sVar.b((r) it.next());
            }
            int i = -1;
            if (hVar != null) {
                i = hVar.mB(iV);
            }
            if (i >= 0) {
                AppMethodBeat.o(52919);
                return true;
            }
        }
        AppMethodBeat.o(52919);
        return false;
    }

    public final String dL(String str, String str2) {
        AppMethodBeat.i(52920);
        String L = EmojiLogic.L(com.tencent.mm.plugin.emoji.h.b.Yb(), str, str2);
        AppMethodBeat.o(52920);
        return L;
    }

    public final com.tencent.mm.ba.f bjQ() {
        AppMethodBeat.i(52921);
        com.tencent.mm.ba.f bjQ = j.bkb().bjQ();
        AppMethodBeat.o(52921);
        return bjQ;
    }

    public final String bjS() {
        AppMethodBeat.i(52924);
        j.bkb();
        String bjS = j.bjS();
        AppMethodBeat.o(52924);
        return bjS;
    }

    public final void bjT() {
        AppMethodBeat.i(52925);
        j.bkb();
        com.tencent.mm.g.a.bf bfVar = new com.tencent.mm.g.a.bf();
        bfVar.cus.filePath = com.tencent.mm.compatible.util.e.eSn + "CheckResUpdate/37.1.data.decompressed";
        bfVar.cus.cut = 37;
        bfVar.cus.cuu = 1;
        j.a(bfVar, j.a.kUw, j.kUa);
        AppMethodBeat.o(52925);
    }

    public final int d(EmojiInfo emojiInfo, boolean z) {
        AppMethodBeat.i(52926);
        Object obj = (z || !(emojiInfo == null || emojiInfo.field_activityid == null || !emojiInfo.field_activityid.startsWith("Selfie:"))) ? 1 : null;
        int Nb;
        if (obj != null) {
            Nb = com.tencent.mm.m.b.Nb();
            AppMethodBeat.o(52926);
            return Nb;
        }
        Nb = com.tencent.mm.m.b.MZ();
        AppMethodBeat.o(52926);
        return Nb;
    }

    public final cab bjU() {
        AppMethodBeat.i(52927);
        cab bjU = j.getEmojiStorageMgr().xYq.bjU();
        AppMethodBeat.o(52927);
        return bjU;
    }

    public final void a(cab cab) {
        AppMethodBeat.i(52928);
        j.getEmojiStorageMgr().xYq.b(cab);
        AppMethodBeat.o(52928);
    }

    public final int y(boolean z, boolean z2) {
        AppMethodBeat.i(52929);
        int y = j.getEmojiStorageMgr().xYn.y(z, z2);
        AppMethodBeat.o(52929);
        return y;
    }

    public final int Jp(String str) {
        AppMethodBeat.i(52930);
        int Jp = j.getEmojiStorageMgr().xYn.Jp(str);
        AppMethodBeat.o(52930);
        return Jp;
    }

    public final boolean a(EmojiGroupInfo emojiGroupInfo) {
        AppMethodBeat.i(52931);
        boolean c = j.getEmojiStorageMgr().xYo.c(emojiGroupInfo, new String[]{"productID"});
        AppMethodBeat.o(52931);
        return c;
    }

    public final ArrayList<EmojiGroupInfo> OD() {
        AppMethodBeat.i(52932);
        ArrayList OD = j.getEmojiStorageMgr().xYz.OD();
        AppMethodBeat.o(52932);
        return OD;
    }

    public final int bjV() {
        AppMethodBeat.i(52933);
        int bjV = j.getEmojiStorageMgr().bjV();
        AppMethodBeat.o(52933);
        return bjV;
    }

    public final ArrayList<EmojiInfo> bY(boolean z) {
        AppMethodBeat.i(52934);
        ArrayList bY = j.getEmojiStorageMgr().bY(z);
        AppMethodBeat.o(52934);
        return bY;
    }

    public final ArrayList<EmojiInfo> OC() {
        AppMethodBeat.i(52935);
        ArrayList OC = j.getEmojiStorageMgr().xYz.OC();
        AppMethodBeat.o(52935);
        return OC;
    }

    public final ArrayList<EmojiInfo> kS(String str) {
        AppMethodBeat.i(52936);
        ArrayList kS = j.getEmojiStorageMgr().xYz.kS(str);
        AppMethodBeat.o(52936);
        return kS;
    }

    public final com.tencent.mm.at.a.a bjW() {
        AppMethodBeat.i(52937);
        com.tencent.mm.at.a.a bjW = j.bjW();
        AppMethodBeat.o(52937);
        return bjW;
    }

    public final void g(k.a aVar) {
        AppMethodBeat.i(52938);
        j.getEmojiStorageMgr().xYn.d(aVar);
        AppMethodBeat.o(52938);
    }

    public final void h(k.a aVar) {
        AppMethodBeat.i(52939);
        j.getEmojiStorageMgr().xYn.c(aVar);
        AppMethodBeat.o(52939);
    }

    public final void i(k.a aVar) {
        AppMethodBeat.i(52940);
        j.getEmojiStorageMgr().xYo.d(aVar);
        AppMethodBeat.o(52940);
    }

    public final void j(k.a aVar) {
        AppMethodBeat.i(52941);
        if (((com.tencent.mm.kernel.b.h) g.RM().Rn()).SG()) {
            j.getEmojiStorageMgr().xYo.c(aVar);
        }
        AppMethodBeat.o(52941);
    }

    public final boolean bjX() {
        AppMethodBeat.i(52942);
        boolean OR = com.tencent.mm.emoji.a.e.OR();
        AppMethodBeat.o(52942);
        return OR;
    }

    public final boolean OS() {
        AppMethodBeat.i(52943);
        boolean OS = com.tencent.mm.emoji.a.e.OS();
        AppMethodBeat.o(52943);
        return OS;
    }

    public final boolean OT() {
        AppMethodBeat.i(52944);
        if (bp.dpL() || com.tencent.mm.emoji.a.e.OT()) {
            AppMethodBeat.o(52944);
            return true;
        }
        AppMethodBeat.o(52944);
        return false;
    }

    public final void bZ(String str, int i) {
        AppMethodBeat.i(52945);
        u uVar = j.getEmojiStorageMgr().xYy;
        if (!Util.isNullOrNil(str)) {
            if (uVar.ybh == null) {
                uVar.dvl();
            }
            com.tencent.mm.storage.emotion.t tVar = (com.tencent.mm.storage.emotion.t) uVar.ybh.get(str);
            if (tVar == null) {
                tVar = new com.tencent.mm.storage.emotion.t();
                tVar.key = str;
                uVar.ybh.put(str, tVar);
            }
            tVar.position = i;
            tVar.ybg++;
            tVar.eRt = System.currentTimeMillis();
            String str2 = "event_update_recent";
            if (uVar.ybh == null) {
                uVar.dvl();
            }
            uVar.b(str2, 0, Integer.valueOf(uVar.ybh.size()));
        }
        AppMethodBeat.o(52945);
    }

    public final List<com.tencent.mm.storage.emotion.t> bjY() {
        AppMethodBeat.i(52946);
        List bjY = j.getEmojiStorageMgr().xYy.bjY();
        AppMethodBeat.o(52946);
        return bjY;
    }

    public final void bjZ() {
        AppMethodBeat.i(52947);
        u uVar = j.getEmojiStorageMgr().xYy;
        List<com.tencent.mm.storage.emotion.t> bjY = uVar.bjY();
        JSONArray jSONArray = new JSONArray();
        for (com.tencent.mm.storage.emotion.t tVar : bjY) {
            if (tVar.toJson() != null) {
                jSONArray.put(tVar.toJson());
                if (jSONArray.length() >= 9) {
                    break;
                }
            }
        }
        g.RP().Ry().set(ac.a.xVt, jSONArray.toString());
        uVar.ybh = null;
        AppMethodBeat.o(52947);
    }

    public final <T> T c(ac.a aVar, T t) {
        AppMethodBeat.i(52948);
        Object obj = g.RP().Ry().get(aVar, t);
        AppMethodBeat.o(52948);
        return obj;
    }

    public final void d(ac.a aVar, Object obj) {
        AppMethodBeat.i(52949);
        g.RP().Ry().set(aVar, obj);
        AppMethodBeat.o(52949);
    }

    public final void k(k.a aVar) {
        AppMethodBeat.i(52950);
        j.getEmojiStorageMgr().xYy.c(aVar);
        AppMethodBeat.o(52950);
    }

    /* JADX WARNING: Missing block: B:4:0x0017, code skipped:
            if (r3 <= com.tencent.mm.m.b.Nb()) goto L_0x0019;
     */
    public final boolean Jq(java.lang.String r7) {
        /*
        r6 = this;
        r5 = 52951; // 0xced7 float:7.42E-41 double:2.61613E-319;
        r1 = 1;
        r0 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r5);
        r2 = new com.tencent.mm.plugin.gif.f;
        r2.<init>(r7);
        r3 = com.tencent.mm.a.e.cs(r7);
        if (r3 == 0) goto L_0x0019;
    L_0x0013:
        r4 = com.tencent.mm.m.b.Nb();	 Catch:{ Exception -> 0x0033 }
        if (r3 > r4) goto L_0x002f;
    L_0x0019:
        r3 = r2.noD;	 Catch:{ Exception -> 0x0033 }
        r4 = 0;
        r3 = r3[r4];	 Catch:{ Exception -> 0x0033 }
        r4 = com.tencent.mm.m.b.Na();	 Catch:{ Exception -> 0x0033 }
        if (r3 > r4) goto L_0x002f;
    L_0x0024:
        r2 = r2.noD;	 Catch:{ Exception -> 0x0033 }
        r3 = 1;
        r2 = r2[r3];	 Catch:{ Exception -> 0x0033 }
        r3 = com.tencent.mm.m.b.Na();	 Catch:{ Exception -> 0x0033 }
        if (r2 <= r3) goto L_0x003f;
    L_0x002f:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        return r0;
    L_0x0033:
        r1 = move-exception;
        r2 = "MicroMsg.emoji.EmojiMgrImpl";
        r1 = com.tencent.mm.sdk.platformtools.bo.l(r1);
        com.tencent.mm.sdk.platformtools.ab.e(r2, r1);
        goto L_0x002f;
    L_0x003f:
        r0 = r1;
        goto L_0x002f;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.emoji.e.h.Jq(java.lang.String):boolean");
    }

    public final boolean bka() {
        boolean z;
        AppMethodBeat.i(52952);
        if (g.RP().Ry().getBoolean(ac.a.xVz, false)) {
            z = false;
        } else {
            z = true;
        }
        com.tencent.mm.emoji.a.e.isSpringFestivalEnable();
        if (z) {
            AppMethodBeat.o(52952);
            return true;
        }
        AppMethodBeat.o(52952);
        return false;
    }

    public final void l(k.a aVar) {
        AppMethodBeat.i(52953);
        j.getEmojiStorageMgr().xYy.d(aVar);
        AppMethodBeat.o(52953);
    }

    public final void Jr(String str) {
        AppMethodBeat.i(52954);
        if (!bo.isNullOrNil(str)) {
            ab.i("MicroMsg.emoji.EmojiMgrImpl", "deleteCaptureEmoji md: ".concat(String.valueOf(str)));
            j.getEmojiStorageMgr().xYn.aqj(str);
            j.getEmojiStorageMgr().xYn.anF("delete_emoji_info_notify");
        }
        AppMethodBeat.o(52954);
    }

    public final void a(UploadTask uploadTask) {
        AppMethodBeat.i(52955);
        if (uploadTask.lgZ == null) {
            AppMethodBeat.o(52955);
            return;
        }
        EmojiInfo aqi = ((com.tencent.mm.plugin.emoji.b.d) g.M(com.tencent.mm.plugin.emoji.b.d.class)).getEmojiStorageMgr().xYn.aqi(uploadTask.lgZ);
        if (aqi == null) {
            AppMethodBeat.o(52955);
            return;
        }
        EmojiCaptureReporter emojiCaptureReporter = uploadTask.lha;
        ab.d("MicroMsg.emoji.EmojiMgrImpl", "uploadCaptureEmoji emojiInfo.field_md5: " + aqi.field_md5);
        emojiCaptureReporter.lgP = System.currentTimeMillis();
        emojiCaptureReporter.ezZ = aqi.field_captureEnterTime;
        com.tencent.mm.emoji.a.d dVar = new com.tencent.mm.emoji.a.d(aqi, aqi.dvd(), aqi.field_imitateMd5, new 1(this, aqi, emojiCaptureReporter));
        AppMethodBeat.o(52955);
    }

    public final void q(EmojiInfo emojiInfo) {
        AppMethodBeat.i(52956);
        emojiInfo.field_groupId = "capture";
        ArrayList arrayList = new ArrayList();
        arrayList.add(emojiInfo.Aq());
        ((com.tencent.mm.plugin.emoji.b.d) g.M(com.tencent.mm.plugin.emoji.b.d.class)).getEmojiStorageMgr().xYn.l(1, arrayList);
        ((com.tencent.mm.plugin.emoji.b.d) g.M(com.tencent.mm.plugin.emoji.b.d.class)).getEmojiStorageMgr().xYn.G(emojiInfo);
        cz czVar = new cz();
        czVar.cwc.type = 2;
        a.xxA.m(czVar);
        if (!czVar.cwd.cwe) {
            cab bjU = ((com.tencent.mm.plugin.emoji.b.d) g.M(com.tencent.mm.plugin.emoji.b.d.class)).getEmojiStorageMgr().xYq.bjU();
            if (bjU != null) {
                Iterator it = bjU.wZl.iterator();
                while (it.hasNext()) {
                    cac cac = (cac) it.next();
                    if (cac.ProductID.equals(String.valueOf("capture"))) {
                        cac.vKj = 0;
                        break;
                    }
                }
            }
            ((com.tencent.mm.plugin.emoji.b.d) g.M(com.tencent.mm.plugin.emoji.b.d.class)).getEmojiStorageMgr().xYq.b(bjU);
            com.tencent.mm.by.a.dmE();
            com.tencent.mm.by.a.b bVar = com.tencent.mm.by.a.xum;
            com.tencent.mm.by.a.b.alW(String.valueOf("capture"));
        }
        AppMethodBeat.o(52956);
    }

    public final void r(EmojiInfo emojiInfo) {
        AppMethodBeat.i(52957);
        al.d(new 2(this, emojiInfo));
        AppMethodBeat.o(52957);
    }

    public final EmojiInfo n(EmojiInfo emojiInfo) {
        AppMethodBeat.i(52890);
        if (emojiInfo.field_catalog == EmojiGroupInfo.yad && emojiInfo.field_type == EmojiInfo.yam && emojiInfo.getContent().length() > 0 && EmojiInfo.Mv(bo.getInt(emojiInfo.getContent(), 0))) {
            Cursor MB = j.getEmojiStorageMgr().xYn.MB(bo.getInt(emojiInfo.getContent(), 0));
            if (MB != null && MB.getCount() > 1) {
                int gV = bo.gV(MB.getCount() - 1, 0);
                emojiInfo = new EmojiInfo();
                MB.moveToPosition(gV);
                emojiInfo.d(MB);
            }
            if (MB != null) {
                MB.close();
            }
        }
        AppMethodBeat.o(52890);
        return emojiInfo;
    }

    public final boolean a(Context context, EmojiInfo emojiInfo, int i, String str) {
        AppMethodBeat.i(52891);
        if (context == null) {
            ab.e("MicroMsg.emoji.EmojiMgrImpl", "[cpan] save emoji failed. context is null");
            AppMethodBeat.o(52891);
            return false;
        } else if (emojiInfo == null) {
            ab.e("MicroMsg.emoji.EmojiMgrImpl", "[cpan] save emoji failed. emoji is null");
            AppMethodBeat.o(52891);
            return false;
        } else {
            Intent intent = new Intent();
            intent.setClass(context, EmojiAddCustomDialogUI.class);
            intent.putExtra("extra_id", emojiInfo.Aq());
            intent.putExtra("extra_scence", i);
            intent.putExtra("extra_move_to_top", true);
            intent.putExtra("extra_username", str);
            intent.putExtra("extra_current", false);
            intent.putExtra("key_is_selfie", false);
            intent.putExtra("key_attached_text", null);
            intent.putExtra("key_attached_emoji_md5", null);
            intent.putExtra("key_imitate_md5", null);
            intent.addFlags(GLIcon.RIGHT);
            context.startActivity(intent);
            AppMethodBeat.o(52891);
            return true;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x0231  */
    public final void Jo(java.lang.String r18) {
        /*
        r17 = this;
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r18);
        if (r2 == 0) goto L_0x0015;
    L_0x000c:
        r2 = "MicroMsg.emoji.EmojiCommandMgr";
        r3 = "emoji command is null.";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
    L_0x0015:
        r2 = "sync";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x0122;
    L_0x0020:
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJf;
        r4 = java.lang.Boolean.TRUE;
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJk;
        r4 = java.lang.Boolean.TRUE;
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJl;
        r4 = java.lang.Boolean.TRUE;
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJo;
        r4 = java.lang.System.currentTimeMillis();
        r4 = java.lang.Long.valueOf(r4);
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJp;
        r4 = java.lang.System.currentTimeMillis();
        r4 = java.lang.Long.valueOf(r4);
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJe;
        r4 = 0;
        r4 = java.lang.Long.valueOf(r4);
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RO();
        r2 = r2.eJo;
        r3 = new com.tencent.mm.plugin.emoji.f.e;
        r4 = 0;
        r3.<init>(r4);
        r4 = 0;
        r2.a(r3, r4);
        r2 = com.tencent.mm.kernel.g.RO();
        r2 = r2.eJo;
        r3 = new com.tencent.mm.plugin.emoji.f.e;
        r4 = 1;
        r3.<init>(r4);
        r4 = 0;
        r2.a(r3, r4);
        r2 = new com.tencent.mm.plugin.emoji.f.n;
        r3 = 8;
        r4 = 0;
        r5 = 15;
        r6 = 1;
        r2.<init>(r3, r4, r5, r6);
        r3 = com.tencent.mm.kernel.g.RO();
        r3 = r3.eJo;
        r4 = 0;
        r3.a(r2, r4);
    L_0x00bf:
        r2 = com.tencent.mm.sdk.platformtools.bp.dpL();
        if (r2 == 0) goto L_0x08b8;
    L_0x00c5:
        r2 = "new";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x038e;
    L_0x00d0:
        r2 = com.tencent.mm.x.c.PK();
        r3 = 262147; // 0x40003 float:3.67346E-40 double:1.29518E-318;
        r4 = 1;
        r2.x(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = 208899; // 0x33003 float:2.9273E-40 double:1.0321E-318;
        r4 = java.lang.Boolean.TRUE;
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = 229633; // 0x38101 float:3.21784E-40 double:1.13454E-318;
        r4 = "http://mmbiz.qpic.cn/mmemoticon/Q3auHgzwzM5eOptD4jIj72I8icMVEKwzSYkC30IgjMvSibGfqsEdy0ibXayiaZtbibSXV5EPZEWILOvbrjjLtQ9P4QQ/0";
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = 229634; // 0x38102 float:3.21786E-40 double:1.134543E-318;
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r6 = java.lang.System.currentTimeMillis();
        r4 = r4.append(r6);
        r4 = r4.toString();
        r2.set(r3, r4);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
    L_0x0121:
        return;
    L_0x0122:
        r2 = "rcheart";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x0137;
    L_0x012d:
        r2 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r2 = r2.xYo;
        r2.duN();
        goto L_0x00bf;
    L_0x0137:
        r2 = "recover";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x0170;
    L_0x0142:
        r2 = "MicroMsg.emoji.EmojiCommandMgr";
        r3 = "recover   begin";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r2 = r2.xYn;
        r3 = com.tencent.mm.sdk.platformtools.ah.getContext();
        r2.hi(r3);
        r2 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r2 = r2.xYo;
        r3 = com.tencent.mm.sdk.platformtools.ah.getContext();
        r2.hi(r3);
        r2 = "MicroMsg.emoji.EmojiCommandMgr";
        r3 = "recover   end";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        goto L_0x00bf;
    L_0x0170:
        r2 = "clean";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x01a9;
    L_0x017b:
        r2 = "MicroMsg.emoji.EmojiCommandMgr";
        r3 = "begin clean";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = com.tencent.mm.plugin.emoji.e.e.bjJ();
        r3 = com.tencent.mm.plugin.emoji.h.b.Yb();
        r2.Jc(r3);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJk;
        r4 = java.lang.Boolean.TRUE;
        r2.set(r3, r4);
        r2 = "MicroMsg.emoji.EmojiCommandMgr";
        r3 = "end clean";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        goto L_0x00bf;
    L_0x01a9:
        r2 = "dump";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x0253;
    L_0x01b4:
        r2 = "MicroMsg.emoji.EmojiCommandMgr";
        r3 = "begin dump emoji db info:";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r2 = r2.xYo;
        r2 = r2.duz();
        r2 = (java.util.ArrayList) r2;
        r3 = r2.size();
        if (r3 <= 0) goto L_0x01fb;
    L_0x01cf:
        r5 = r2.size();
        r3 = 0;
        r4 = r3;
    L_0x01d5:
        if (r4 >= r5) goto L_0x01fb;
    L_0x01d7:
        r3 = r2.get(r4);
        r3 = (com.tencent.mm.storage.emotion.EmojiGroupInfo) r3;
        r6 = "MicroMsg.emoji.EmojiCommandMgr";
        r7 = "i:%d group info:%s";
        r8 = 2;
        r8 = new java.lang.Object[r8];
        r9 = 0;
        r10 = java.lang.Integer.valueOf(r4);
        r8[r9] = r10;
        r9 = 1;
        r3 = r3.toString();
        r8[r9] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r6, r7, r8);
        r3 = r4 + 1;
        r4 = r3;
        goto L_0x01d5;
    L_0x01fb:
        r2 = 0;
        r3 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        r3 = r3.xYn;	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        r2 = r3.baR();	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        if (r2 == 0) goto L_0x022f;
    L_0x0208:
        r3 = r2.moveToFirst();	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        if (r3 == 0) goto L_0x022f;
    L_0x020e:
        r3 = new com.tencent.mm.storage.emotion.EmojiInfo;	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        r3.<init>();	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        r3.d(r2);	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        r4 = "MicroMsg.emoji.EmojiCommandMgr";
        r5 = "emoji info:%s";
        r6 = 1;
        r6 = new java.lang.Object[r6];	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        r7 = 0;
        r3 = r3.toString();	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        r6[r7] = r3;	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        com.tencent.mm.sdk.platformtools.ab.i(r4, r5, r6);	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        r3 = r2.moveToNext();	 Catch:{ Exception -> 0x023f, all -> 0x0246 }
        if (r3 != 0) goto L_0x020e;
    L_0x022f:
        if (r2 == 0) goto L_0x0234;
    L_0x0231:
        r2.close();
    L_0x0234:
        r2 = "MicroMsg.emoji.EmojiCommandMgr";
        r3 = "end dump emoji db info:";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        goto L_0x00bf;
    L_0x023f:
        r3 = move-exception;
        if (r2 == 0) goto L_0x0234;
    L_0x0242:
        r2.close();
        goto L_0x0234;
    L_0x0246:
        r3 = move-exception;
        if (r2 == 0) goto L_0x024c;
    L_0x0249:
        r2.close();
    L_0x024c:
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        throw r3;
    L_0x0253:
        r2 = "config";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x0332;
    L_0x025e:
        r2 = com.tencent.mm.pluginsdk.g.a.a.b.c.dif();
        r3 = 37;
        r4 = 1;
        r5 = -1;
        r6 = 0;
        r2.f(r3, r4, r5, r6);
        r2 = com.tencent.mm.pluginsdk.g.a.a.b.c.dif();
        r3 = 37;
        r4 = 2;
        r5 = -1;
        r6 = 0;
        r2.f(r3, r4, r5, r6);
        r2 = com.tencent.mm.pluginsdk.g.a.a.b.c.dif();
        r3 = 37;
        r4 = 4;
        r5 = -1;
        r6 = 0;
        r2.f(r3, r4, r5, r6);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJw;
        r4 = 0;
        r4 = java.lang.Integer.valueOf(r4);
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJx;
        r4 = 0;
        r4 = java.lang.Integer.valueOf(r4);
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJz;
        r4 = 0;
        r4 = java.lang.Integer.valueOf(r4);
        r2.set(r3, r4);
        r2 = new com.tencent.mm.pluginsdk.g.a.a.m;
        r3 = 37;
        r2.<init>(r3);
        r3 = com.tencent.mm.kernel.g.RO();
        r3 = r3.eJo;
        r4 = 0;
        r3.a(r2, r4);
        r2 = new com.tencent.mm.g.a.bf;
        r2.<init>();
        r3 = r2.cus;
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = com.tencent.mm.compatible.util.e.eSn;
        r4 = r4.append(r5);
        r5 = "CheckResUpdate/37.1.data.decompressed";
        r4 = r4.append(r5);
        r4 = r4.toString();
        r3.filePath = r4;
        r3 = r2.cus;
        r4 = 37;
        r3.cut = r4;
        r3 = r2.cus;
        r4 = 1;
        r3.cuu = r4;
        r3 = new com.tencent.mm.g.a.bf;
        r3.<init>();
        r4 = r3.cus;
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = com.tencent.mm.compatible.util.e.eSn;
        r5 = r5.append(r6);
        r6 = "CheckResUpdate/37.2.data.decompressed";
        r5 = r5.append(r6);
        r5 = r5.toString();
        r4.filePath = r5;
        r4 = r3.cus;
        r5 = 37;
        r4.cut = r5;
        r4 = r3.cus;
        r5 = 2;
        r4.cuu = r5;
        com.tencent.mm.plugin.emoji.e.j.bkb();
        r4 = 1;
        com.tencent.mm.plugin.emoji.e.j.a(r2, r4);
        com.tencent.mm.plugin.emoji.e.j.bkb();
        r2 = 1;
        com.tencent.mm.plugin.emoji.e.j.b(r3, r2);
        r2 = com.tencent.mm.cb.b.xFA;
        com.tencent.mm.vfs.e.deleteFile(r2);
        goto L_0x00bf;
    L_0x0332:
        r2 = "tuzki";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x0345;
    L_0x033d:
        com.tencent.mm.plugin.emoji.f.a.bkq();
        com.tencent.mm.plugin.emoji.f.a.bkr();
        goto L_0x00bf;
    L_0x0345:
        r2 = "reset-first";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x00bf;
    L_0x0350:
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xVw;
        r4 = java.lang.Boolean.FALSE;
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xVx;
        r4 = java.lang.Boolean.FALSE;
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xVy;
        r4 = java.lang.Boolean.FALSE;
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xVz;
        r4 = java.lang.Boolean.FALSE;
        r2.set(r3, r4);
        goto L_0x00bf;
    L_0x038e:
        r2 = "free";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x03ec;
    L_0x0399:
        r2 = com.tencent.mm.x.c.PK();
        r3 = 262149; // 0x40005 float:3.67349E-40 double:1.29519E-318;
        r4 = 1;
        r2.x(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = 208913; // 0x33011 float:2.9275E-40 double:1.032167E-318;
        r4 = java.lang.Boolean.TRUE;
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = 229633; // 0x38101 float:3.21784E-40 double:1.13454E-318;
        r4 = "http://mmbiz.qpic.cn/mmemoticon/Q3auHgzwzM5eOptD4jIj72I8icMVEKwzSYkC30IgjMvSibGfqsEdy0ibXayiaZtbibSXV5EPZEWILOvbrjjLtQ9P4QQ/0";
        r2.set(r3, r4);
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = 229634; // 0x38102 float:3.21786E-40 double:1.134543E-318;
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r6 = java.lang.System.currentTimeMillis();
        r4 = r4.append(r6);
        r4 = r4.toString();
        r2.set(r3, r4);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x03ec:
        r2 = "newp";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x040e;
    L_0x03f7:
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJj;
        r4 = java.lang.Boolean.TRUE;
        r2.set(r3, r4);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x040e:
        r2 = "newpe";
        r0 = r18;
        r2 = r2.equalsIgnoreCase(r0);
        if (r2 == 0) goto L_0x0430;
    L_0x0419:
        r2 = com.tencent.mm.kernel.g.RP();
        r2 = r2.Ry();
        r3 = com.tencent.mm.storage.ac.a.xJn;
        r4 = java.lang.Boolean.TRUE;
        r2.set(r3, r4);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x0430:
        r2 = "add";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x0446;
    L_0x043b:
        com.tencent.mm.plugin.emoji.e.b.Ja(r18);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x0446:
        r2 = "backup";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x0485;
    L_0x0451:
        r2 = "backup";
        r3 = "";
        r0 = r18;
        r2 = r0.replace(r2, r3);
        r2 = r2.trim();
        r3 = ",";
        r2 = r2.split(r3);
        r3 = new com.tencent.mm.plugin.emoji.f.c;
        r4 = 0;
        r5 = 1;
        r2 = java.util.Arrays.asList(r2);
        r3.<init>(r4, r5, r2);
        r2 = com.tencent.mm.kernel.g.RO();
        r2 = r2.eJo;
        r4 = 0;
        r2.a(r3, r4);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x0485:
        r2 = "h5";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x04be;
    L_0x0490:
        r2 = "h5";
        r3 = "";
        r0 = r18;
        r2 = r0.replace(r2, r3);
        r2 = r2.trim();
        r3 = com.tencent.mm.sdk.platformtools.ah.getContext();
        r3 = android.preference.PreferenceManager.getDefaultSharedPreferences(r3);
        r3 = r3.edit();
        r4 = "h5";
        r2 = r3.putString(r4, r2);
        r2.commit();
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x04be:
        r2 = "md5";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x0503;
    L_0x04c9:
        r2 = "md5";
        r3 = "";
        r0 = r18;
        r2 = r0.replace(r2, r3);
        r2 = r2.trim();
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r3 == 0) goto L_0x04e2;
    L_0x04df:
        r2 = "/sdcard/test.png";
    L_0x04e2:
        r3 = "MicroMsg.emoji.EmojiCommandMgr";
        r4 = new java.io.File;
        r4.<init>(r2);
        r4 = com.tencent.mm.a.g.v(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4);
        r3 = "MicroMsg.emoji.EmojiCommandMgr";
        r2 = com.tencent.mm.sdk.platformtools.ag.ck(r2);
        com.tencent.mm.sdk.platformtools.ab.i(r3, r2);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x0503:
        r2 = "recommend";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x052f;
    L_0x050e:
        r2 = "<NewRecommendEmotion><Emotion><ProductID>com.tencent.xin.emoticon.person.stiker_144984189945aa5830d33cd7dc</ProductID><RecType>3</RecType><Name>野萌君</Name><Icon>http://mmbiz.qpic.cn/mmemoticon/duc2TvpEgSTWy4k8MnuicFjyiazriaGWDX52HzNWeLVTjtJcjZeZEicTn5kJFPYdicWZTuUZJgiaADK9I/0</Icon><Panel>http://mmbiz.qpic.cn/mmemoticon/DhduwiaBa7lchicgAfwibeykm81eGWXkMDgGJ8DWcOcIc28C7oTic4Y09Pick8Fw69KiaZVxrHl8S2lPY/0</Panel><ButtonType>1</ButtonType></Emotion><Emotion><ProductID>com.tencent.xin.emoticon.person.stiker_14389422638f6ca818af405e21</ProductID><RecType>3</RecType><Name>猪仔和羊妹</Name><Icon>http://mmbiz.qpic.cn/mmemoticon/iaUiazNVkRp7iaZjrMuYgfH8kB5xkyYv20CYzY3W9HCLBr2XybJibGKKtXibMnAfZnRTH/0</Icon><Panel>http://mmbiz.qpic.cn/mmemoticon/PiajxSqBRaEJR9canNKZ7RYI3hx5BPCSwQmuhhlNWD1jzUSOx3CWqEtibd65zOjySd/0</Panel><ButtonType>1</ButtonType></Emotion><Emotion><ProductID>com.tencent.xin.emoticon.person.stiker_1444199720f5ea147582ff0512</ProductID><RecType>3</RecType><Name>让红包飞</Name><Icon>http://mmbiz.qpic.cn/mmemoticon/nMl9ssowtibXLY57PdK8Nsh827vlsw4TGHPgLUehd2R455xnwe3xpoVDIKpAuXU1Aic3XbH1LfMr7fp4DgO7o8IQ/0</Icon><Panel>http://mmbiz.qpic.cn/mmemoticon/duc2TvpEgST18reErFRzNFR8EiahI4Iibp4ZnW1ibJYt4MMLvQvjx3sHGTMuTOgnREq5f2GXLhuzalOOz3icw9NGbA/0</Panel><ButtonType>1</ButtonType></Emotion><Emotion><ProductID>com.tencent.xin.emoticon.xiaobendan</ProductID><RecType>3</RecType><Name>小笨蛋与大坏蛋</Name><Icon>http://mmbiz.qpic.cn/mmemoticon/ajNVdqHZLLC8ILTt0pqcaCVkldLMydoNJcupoR7qUojia3vKlgd74uQ/0</Icon><Panel>http://mmbiz.qpic.cn/mmemoticon/ajNVdqHZLLC8ILTt0pqcaAAEUI4a7z5ECqpUXbQw95PY1mpc4p0FxA/0</Panel><ButtonType>1</ButtonType></Emotion><Emotion><ProductID>com.tencent.xin.emoticon.shin2</ProductID><RecType>3</RecType><Name>野原新之助2</Name><Icon>http://mmbiz.qpic.cn/mmemoticon/iciaySdkria4apGIW1wvSbPC9oxWQPHZyicaccx5JDIp2uE/0</Icon><Panel>http://mmbiz.qpic.cn/mmemoticon/ajNVdqHZLLASEAAX7xw76beia5j4HyA0rq9WgtgscicJo7935UCpCpog/0</Panel><ButtonType>1</ButtonType></Emotion></NewRecommendEmotion>";
        r2 = com.tencent.mm.plugin.emoji.g.d.JG(r2);
        r3 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r3 = r3.xYo;
        r3.duF();
        r3 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r3 = r3.xYo;
        r3.ak(r2);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x052f:
        r2 = "count";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x055c;
    L_0x053a:
        r2 = "count";
        r3 = "";
        r0 = r18;
        r2 = r0.replace(r2, r3);
        r2 = r2.trim();
        r3 = com.tencent.mm.m.g.Nu();
        r4 = "CustomEmojiMaxSize";
        r3.put(r4, r2);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x055c:
        r2 = "auto";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x0589;
    L_0x0567:
        r2 = "auto";
        r3 = "";
        r0 = r18;
        r2 = r0.replace(r2, r3);
        r2 = r2.trim();
        r3 = com.tencent.mm.m.g.Nu();
        r4 = "C2CEmojiNotAutoDownloadTimeRange";
        r3.put(r4, r2);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x0589:
        r2 = "bo";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x05eb;
    L_0x0594:
        r2 = "bo";
        r3 = "";
        r0 = r18;
        r2 = r0.replace(r2, r3);
        r2 = r2.trim();
        r3 = "1";
        r2 = r2.equalsIgnoreCase(r3);
        if (r2 == 0) goto L_0x05cc;
    L_0x05ad:
        r2 = com.tencent.mm.sdk.platformtools.ah.getContext();
        r2 = android.preference.PreferenceManager.getDefaultSharedPreferences(r2);
        r2 = r2.edit();
        r3 = "broken";
        r4 = 1;
        r2 = r2.putBoolean(r3, r4);
        r2.commit();
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x05cc:
        r2 = com.tencent.mm.sdk.platformtools.ah.getContext();
        r2 = android.preference.PreferenceManager.getDefaultSharedPreferences(r2);
        r2 = r2.edit();
        r3 = "broken";
        r4 = 0;
        r2 = r2.putBoolean(r3, r4);
        r2.commit();
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x05eb:
        r2 = "newsmiley";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x06d4;
    L_0x05f6:
        r16 = new java.util.ArrayList;
        r16.<init>();
        r2 = new com.tencent.mm.storage.emotion.SmileyInfo;
        r3 = "/::AAA";
        r4 = "[机智]";
        r5 = "[机智]";
        r6 = "[机智]";
        r7 = "[机智]";
        r8 = "[机智]";
        r9 = "emoji2.png";
        r10 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r2.<init>(r3, r4, r5, r6, r7, r8, r9, r10);
        r3 = new com.tencent.mm.storage.emotion.SmileyInfo;
        r4 = "/::BBB";
        r5 = "[滑稽]";
        r6 = "[滑稽]";
        r7 = "[滑稽]";
        r8 = "[滑稽]";
        r9 = "[滑稽]";
        r10 = "emoji3.png";
        r11 = 1001; // 0x3e9 float:1.403E-42 double:4.946E-321;
        r3.<init>(r4, r5, r6, r7, r8, r9, r10, r11);
        r4 = new com.tencent.mm.storage.emotion.SmileyInfo;
        r5 = "[Pose]";
        r6 = "[摆姿势]";
        r7 = "[摆姿势]";
        r8 = "[摆姿势]";
        r9 = "[摆姿势]";
        r10 = "[摆姿势]";
        r11 = "emoji4.png";
        r12 = 1002; // 0x3ea float:1.404E-42 double:4.95E-321;
        r4.<init>(r5, r6, r7, r8, r9, r10, r11, r12);
        r5 = new com.tencent.mm.storage.emotion.SmileyInfo;
        r6 = "/::DDD";
        r7 = "[瞪]";
        r8 = "[瞪]";
        r9 = "[瞪]";
        r10 = "[瞪]";
        r11 = "[瞪]";
        r12 = "emoji5.png";
        r13 = 1003; // 0x3eb float:1.406E-42 double:4.955E-321;
        r5.<init>(r6, r7, r8, r9, r10, r11, r12, r13);
        r6 = new com.tencent.mm.storage.emotion.SmileyInfo;
        r7 = "/::FFF";
        r8 = "[捂脸]";
        r9 = "[捂脸]";
        r10 = "[捂脸]";
        r11 = "[捂脸]";
        r12 = "[捂脸]";
        r13 = "emoji6.png";
        r14 = 1004; // 0x3ec float:1.407E-42 double:4.96E-321;
        r6.<init>(r7, r8, r9, r10, r11, r12, r13, r14);
        r7 = new com.tencent.mm.storage.emotion.SmileyInfo;
        r8 = "/::Doge";
        r9 = "[Doge]";
        r10 = "[Doge]";
        r11 = "[Doge]";
        r12 = "[Doge]";
        r13 = "[Doge]";
        r14 = "emoji7.png";
        r15 = 1005; // 0x3ed float:1.408E-42 double:4.965E-321;
        r7.<init>(r8, r9, r10, r11, r12, r13, r14, r15);
        r0 = r16;
        r0.add(r2);
        r0 = r16;
        r0.add(r3);
        r0 = r16;
        r0.add(r4);
        r0 = r16;
        r0.add(r5);
        r0 = r16;
        r0.add(r6);
        r0 = r16;
        r0.add(r7);
        r2 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r2 = r2.xYv;
        r0 = r16;
        r2.an(r0);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x06d4:
        r2 = "panel";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x0770;
    L_0x06df:
        r2 = "panel";
        r3 = "";
        r0 = r18;
        r2 = r0.replace(r2, r3);
        r2.trim();
        r2 = new com.tencent.mm.g.a.bf;
        r2.<init>();
        r3 = r2.cus;
        r4 = 1;
        r3.cuu = r4;
        r3 = r2.cus;
        r4 = 37;
        r3.cut = r4;
        r3 = r2.cus;
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = com.tencent.mm.compatible.util.e.eSn;
        r4 = r4.append(r5);
        r5 = "CheckResUpdate/37.1.data";
        r4 = r4.append(r5);
        r4 = r4.toString();
        r3.filePath = r4;
        r3 = com.tencent.mm.sdk.b.a.xxA;
        r3.m(r2);
        r2 = new com.tencent.mm.g.a.bf;
        r2.<init>();
        r3 = r2.cus;
        r4 = 2;
        r3.cuu = r4;
        r3 = r2.cus;
        r4 = 37;
        r3.cut = r4;
        r3 = r2.cus;
        r4 = "/sdcard/tencent/MicroMsg/CheckResUpdate/37.2.data";
        r3.filePath = r4;
        r3 = com.tencent.mm.sdk.b.a.xxA;
        r3.m(r2);
        r2 = new com.tencent.mm.g.a.bf;
        r2.<init>();
        r3 = r2.cus;
        r4 = 3;
        r3.cuu = r4;
        r3 = r2.cus;
        r4 = 37;
        r3.cut = r4;
        r3 = r2.cus;
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = com.tencent.mm.compatible.util.e.eSn;
        r4 = r4.append(r5);
        r5 = "CheckResUpdate/37.3.data";
        r4 = r4.append(r5);
        r4 = r4.toString();
        r3.filePath = r4;
        r3 = com.tencent.mm.sdk.b.a.xxA;
        r3.m(r2);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x0770:
        r2 = "key";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x07cc;
    L_0x077b:
        r2 = java.lang.System.currentTimeMillis();
        r2 = java.lang.String.valueOf(r2);
        r2 = r2.getBytes();
        r2 = com.tencent.mm.a.g.x(r2);
        r3 = "MicroMsg.emoji.EmojiCommandMgr";
        r4 = new java.lang.StringBuilder;
        r5 = "create key :%s";
        r4.<init>(r5);
        r5 = com.tencent.mm.sdk.platformtools.bo.anv(r2);
        r4 = r4.append(r5);
        r4 = r4.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4);
        r3 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r3 = r3.xYn;
        r4 = 153; // 0x99 float:2.14E-43 double:7.56E-322;
        r3.MC(r4);
        r3 = new com.tencent.mm.storage.emotion.EmojiInfo;
        r3.<init>();
        r3.field_md5 = r2;
        r2 = 153; // 0x99 float:2.14E-43 double:7.56E-322;
        r3.field_catalog = r2;
        r2 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r2 = r2.xYn;
        r2.F(r3);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x07cc:
        r2 = "delete";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x07e2;
    L_0x07d7:
        com.tencent.mm.plugin.emoji.e.b.IZ(r18);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x07e2:
        r2 = "delete-db";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x080e;
    L_0x07ed:
        r2 = "delete-db";
        r3 = "";
        r0 = r18;
        r2 = r0.replace(r2, r3);
        r2 = r2.trim();
        r3 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r3 = r3.xYn;
        r3.aqj(r2);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x080e:
        r2 = "delete-file";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x0824;
    L_0x0819:
        com.tencent.mm.plugin.emoji.e.b.IY(r18);
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x0824:
        r2 = "batchDownload";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x085a;
    L_0x082f:
        r2 = " ";
        r0 = r18;
        r2 = r0.split(r2);
        r3 = r2.length;
        r4 = 1;
        if (r3 <= r4) goto L_0x0852;
    L_0x083c:
        r3 = 1;
        r2 = r2[r3];
        r2 = com.tencent.mm.sdk.platformtools.bo.ank(r2);
        r3 = new com.tencent.mm.plugin.emoji.f.e;
        r3.<init>(r2);
        r2 = com.tencent.mm.kernel.g.RO();
        r2 = r2.eJo;
        r4 = 0;
        r2.a(r3, r4);
    L_0x0852:
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x085a:
        r2 = "getInfo";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x0894;
    L_0x0865:
        r2 = " ";
        r0 = r18;
        r2 = r0.split(r2);
        r3 = r2.length;
        r4 = 1;
        if (r3 <= r4) goto L_0x088c;
    L_0x0872:
        r3 = new java.util.LinkedList;
        r3.<init>();
        r4 = 1;
        r2 = r2[r4];
        r3.add(r2);
        r2 = new com.tencent.mm.plugin.emoji.f.e;
        r2.<init>(r3);
        r3 = com.tencent.mm.kernel.g.RO();
        r3 = r3.eJo;
        r4 = 0;
        r3.a(r2, r4);
    L_0x088c:
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
    L_0x0894:
        r2 = "test";
        r0 = r18;
        r2 = r0.startsWith(r2);
        if (r2 == 0) goto L_0x08b8;
    L_0x089f:
        r2 = "MicroMsg.emoji.EmojiCommandMgr";
        r3 = "theTest: %s";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r4[r5] = r18;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = com.tencent.mm.sdk.g.d.xDG;
        r3 = new com.tencent.mm.plugin.emoji.e.b$1;
        r3.<init>();
        r2.execute(r3);
    L_0x08b8:
        r2 = 52922; // 0xceba float:7.416E-41 double:2.6147E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0121;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.emoji.e.h.Jo(java.lang.String):void");
    }

    public final boolean bjR() {
        AppMethodBeat.i(52923);
        if (bp.dpL() || com.tencent.mm.emoji.a.e.OU()) {
            AppMethodBeat.o(52923);
            return true;
        }
        AppMethodBeat.o(52923);
        return false;
    }

    public final void b(UploadTask uploadTask) {
        AppMethodBeat.i(52958);
        EmojiInfo Jd = Jd(uploadTask.lgZ);
        if (Jd != null) {
            com.tencent.mm.emoji.d.d dVar = com.tencent.mm.emoji.d.d.eAh;
            com.tencent.mm.emoji.d.d.k(Jd);
            AppMethodBeat.o(52958);
            return;
        }
        ab.w("MicroMsg.emoji.EmojiMgrImpl", "addCaptureEmojiUploadTask: emojiInfo null by md5 %s", new Object[]{uploadTask.lgZ});
        AppMethodBeat.o(52958);
    }
}
