package com.tencent.mm.plugin.emoji.ui;

import android.app.ProgressDialog;
import android.os.Bundle;
import android.os.Message;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.emoji.a.e;
import com.tencent.mm.plugin.emoji.f.s;
import com.tencent.mm.plugin.emoji.model.j;
import com.tencent.mm.sdk.e.k.a;
import com.tencent.mm.sdk.e.m;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.storage.emotion.EmojiGroupInfo;
import com.tencent.mm.ui.widget.sortlist.DragSortListView;
import com.tencent.mm.ui.widget.sortlist.DragSortListView.h;
import com.tencent.mm.ui.widget.sortlist.DragSortListView.l;
import java.util.ArrayList;
import java.util.Iterator;

public class EmojiSortUI extends EmojiBaseActivity implements f, a {
    ProgressDialog gqo;
    private e laq;
    private DragSortListView lar;
    private s las;
    private h lau = new 4(this);
    private l lav = new 5(this);
    private ArrayList<EmojiGroupInfo> mData = new ArrayList();

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public EmojiSortUI() {
        AppMethodBeat.i(53413);
        AppMethodBeat.o(53413);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(53414);
        super.onCreate(bundle);
        initView();
        this.mData = j.getEmojiStorageMgr().xYo.duM();
        this.lar = (DragSortListView) findViewById(16908298);
        this.lar.setDropListener(this.lau);
        this.lar.setRemoveListener(this.lav);
        this.laq = new e(this.mController.ylL, this.mData);
        this.lar.setAdapter(this.laq);
        j.getEmojiStorageMgr().xYo.c(this);
        g.RO().eJo.a(717, this);
        AppMethodBeat.o(53414);
    }

    public void onDestroy() {
        AppMethodBeat.i(53415);
        j.getEmojiStorageMgr().xYo.d(this);
        g.RO().eJo.b(717, this);
        super.onDestroy();
        AppMethodBeat.o(53415);
    }

    public final int getLayoutId() {
        return 2130969346;
    }

    public final void initView() {
        AppMethodBeat.i(53416);
        setBackBtn(new 1(this));
        setMMTitle(getString(2131303077));
        addTextOptionMenu(0, getString(2131296944), new 2(this));
        ((TextView) findViewById(16908310)).setText(2131299119);
        AppMethodBeat.o(53416);
    }

    public final void a(String str, m mVar) {
        AppMethodBeat.i(53417);
        if (!(str == null || !str.equals("event_update_group") || this.laq == null)) {
            e eVar = this.laq;
            ArrayList duM = j.getEmojiStorageMgr().xYo.duM();
            eVar.clear();
            Iterator it = duM.iterator();
            while (it.hasNext()) {
                eVar.insert((EmojiGroupInfo) it.next(), eVar.getCount());
            }
            eVar.notifyDataSetChanged();
        }
        AppMethodBeat.o(53417);
    }

    public final void l(Message message) {
    }

    public final void m(Message message) {
    }

    public void onSceneEnd(int i, int i2, String str, com.tencent.mm.ai.m mVar) {
        AppMethodBeat.i(53418);
        ab.d("MicroMsg.emoji.EmojiSortUI", "ErrType:" + i + "   errCode:" + i2);
        if (this.gqo != null) {
            this.gqo.dismiss();
        }
        if (i == 0 && i == 0) {
            this.laq.bjz();
            finish();
            AppMethodBeat.o(53418);
            return;
        }
        com.tencent.mm.ui.base.h.a(this, getString(2131299087), "", new 6(this));
        AppMethodBeat.o(53418);
    }

    static /* synthetic */ void a(EmojiSortUI emojiSortUI) {
        AppMethodBeat.i(53419);
        com.tencent.mm.ui.base.h.a(emojiSortUI, emojiSortUI.getString(2131299089), "", emojiSortUI.getString(2131299088), new 7(emojiSortUI));
        AppMethodBeat.o(53419);
    }
}
