package com.tencent.mm.plugin.fav.ui.gallery;

import android.content.DialogInterface;
import android.content.DialogInterface.OnCancelListener;
import android.content.Intent;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.e;
import com.tencent.mm.g.a.np;
import com.tencent.mm.g.a.nr;
import com.tencent.mm.modelvideo.u;
import com.tencent.mm.plugin.fav.a.ae;
import com.tencent.mm.plugin.fav.a.g;
import com.tencent.mm.plugin.fav.a.k;
import com.tencent.mm.plugin.fav.a.p;
import com.tencent.mm.plugin.fav.ui.f;
import com.tencent.mm.plugin.fav.ui.i;
import com.tencent.mm.plugin.fav.ui.widget.FavVideoView;
import com.tencent.mm.plugin.webview.ui.tools.widget.o;
import com.tencent.mm.pluginsdk.ui.tools.n;
import com.tencent.mm.protocal.protobuf.aar;
import com.tencent.mm.protocal.protobuf.abh;
import com.tencent.mm.sdk.b.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.r;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.MultiTouchImageView;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.n.d;
import com.tencent.mm.ui.tools.MMGestureGallery;
import com.tencent.mm.ui.tools.j;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@a(3)
public class FavMediaGalleryUI extends MMActivity implements OnItemSelectedListener, p {
    private boolean cHc = true;
    private ArrayList<f> iLD;
    private j icA;
    private MMGestureGallery kkn;
    private d lcJ = new 8(this);
    private int mik = 0;
    private Map<String, nr> mim = new HashMap();
    private long mio;
    private c mip = new 3(this);
    private int mnC = -1;
    private FavVideoView mnD = null;
    private a mnE;
    private List<FavVideoView> mnF = new ArrayList();
    abh mnG = new abh();

    class b {
        View miu;
        MultiTouchImageView miv;
        ImageView miw;
        TextView mix;
        LinearLayout miy;
        TextView miz;
        ProgressBar progressBar;

        private b() {
        }

        /* synthetic */ b(FavMediaGalleryUI favMediaGalleryUI, byte b) {
            this();
        }
    }

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public FavMediaGalleryUI() {
        AppMethodBeat.i(74528);
        AppMethodBeat.o(74528);
    }

    public final int getLayoutId() {
        return 2130969504;
    }

    public void onCreate(Bundle bundle) {
        String str;
        AppMethodBeat.i(74529);
        super.onCreate(bundle);
        if (VERSION.SDK_INT >= 21) {
            getWindow().setFlags(1024, 1024);
        }
        this.cHc = getIntent().getBooleanExtra("show_share", true);
        this.kkn = (MMGestureGallery) findViewById(2131822081);
        this.kkn.setVerticalFadingEdgeEnabled(false);
        this.kkn.setHorizontalFadingEdgeEnabled(false);
        this.kkn.setOnItemSelectedListener(this);
        this.kkn.setSingleClickOverListener(new 1(this));
        if (this.cHc) {
            this.kkn.setLongClickOverListener(new 4(this));
        }
        fullScreenNoTitleBar(true);
        this.iLD = new ArrayList();
        this.mnE = new a(this, (byte) 0);
        this.kkn.setAdapter(this.mnE);
        Km();
        setBackBtn(new 5(this));
        com.tencent.mm.sdk.b.a.xxA.c(this.mip);
        setResult(0, getIntent());
        this.mnG.scene = getIntent().getIntExtra("key_detail_fav_scene", 0);
        this.mnG.jSW = getIntent().getIntExtra("key_detail_fav_sub_scene", 0);
        this.mnG.index = getIntent().getIntExtra("key_detail_fav_index", 0);
        this.mnG.query = getIntent().getStringExtra("key_detail_fav_query");
        this.mnG.cvF = getIntent().getStringExtra("key_detail_fav_sessionid");
        this.mnG.mfg = getIntent().getStringExtra("key_detail_fav_tags");
        this.mnG.query = this.mnG.query == null ? "" : this.mnG.query;
        this.mnG.cvF = this.mnG.cvF == null ? "" : this.mnG.cvF;
        abh abh = this.mnG;
        if (this.mnG.mfg == null) {
            str = "";
        } else {
            str = this.mnG.mfg;
        }
        abh.mfg = str;
        AppMethodBeat.o(74529);
    }

    private void Km() {
        g gVar;
        int size;
        int i;
        AppMethodBeat.i(74530);
        long[] longArrayExtra = getIntent().getLongArrayExtra("KEY_MEDIA_FAVID_LIST");
        ArrayList arrayList = new ArrayList();
        String stringExtra = getIntent().getStringExtra("key_detail_data_id");
        this.mio = getIntent().getLongExtra("key_detail_info_id", -1);
        if (longArrayExtra == null) {
            Object gVar2;
            boolean booleanExtra = getIntent().getBooleanExtra("fav_open_from_wnnote", false);
            String stringExtra2 = getIntent().getStringExtra("fav_note_xml");
            g iE = ((ae) com.tencent.mm.kernel.g.M(ae.class)).getFavItemInfoStorage().iE(this.mio);
            String str = "MicroMsg.FavMediaGalleryUI";
            String str2 = "show one fav info, local id is %d, get from db ok ? %B";
            Object[] objArr = new Object[2];
            objArr[0] = Long.valueOf(this.mio);
            objArr[1] = Boolean.valueOf(iE != null);
            ab.i(str, str2, objArr);
            if (!booleanExtra || bo.isNullOrNil(stringExtra2)) {
                gVar2 = iE;
            } else {
                gVar2 = com.tencent.mm.plugin.fav.a.b.LF(stringExtra2);
            }
            if (gVar2 != null) {
                arrayList.add(gVar2);
            }
        } else {
            for (long iE2 : longArrayExtra) {
                gVar2 = ((ae) com.tencent.mm.kernel.g.M(ae.class)).getFavItemInfoStorage().iE(iE2);
                if (!(gVar2 == null || arrayList.contains(gVar2))) {
                    arrayList.add(gVar2);
                }
            }
        }
        this.iLD.clear();
        int i2 = -1;
        int size2 = arrayList.size();
        for (int i3 = 0; i3 < size2; i3++) {
            gVar2 = (g) arrayList.get(i3);
            int size3 = gVar2.field_favProto.wiv.size();
            i = 0;
            while (i < size3) {
                aar aar = (aar) gVar2.field_favProto.wiv.get(i);
                if ((aar.dataType != 8 || r.amo(com.tencent.mm.plugin.fav.a.b.b(aar))) && (aar.dataType == 2 || aar.dataType == 4 || aar.dataType == 15 || aar.dataType == 8)) {
                    this.iLD.add(new f(gVar2, aar));
                    if (stringExtra != null && stringExtra.equals(aar.mnd) && gVar2.field_localId == this.mio) {
                        size = this.iLD.size() - 1;
                        i++;
                        i2 = size;
                    }
                }
                size = i2;
                i++;
                i2 = size;
            }
            if (stringExtra == null && gVar2.field_localId == this.mio) {
                i2 = this.iLD.size() - 1;
            }
        }
        getIntent().removeExtra("key_detail_info_id");
        getIntent().removeExtra("key_detail_data_id");
        this.mnE.notifyDataSetChanged();
        this.kkn.post(new 9(this, i2));
        AppMethodBeat.o(74530);
    }

    public void onDestroy() {
        AppMethodBeat.i(74531);
        getIntent().putExtra("key_activity_browse_time", dyi());
        com.tencent.mm.sdk.b.a.xxA.d(this.mip);
        for (FavVideoView favVideoView : this.mnF) {
            if (favVideoView != null) {
                favVideoView.onDestroy();
            }
        }
        super.onDestroy();
        AppMethodBeat.o(74531);
    }

    public void onResume() {
        AppMethodBeat.i(74532);
        super.onResume();
        ((ae) com.tencent.mm.kernel.g.M(ae.class)).getFavCdnStorage().a(this);
        o.JV(1);
        AppMethodBeat.o(74532);
    }

    public void onPause() {
        AppMethodBeat.i(74533);
        super.onPause();
        ((ae) com.tencent.mm.kernel.g.M(ae.class)).getFavCdnStorage().b(this);
        o.JV(2);
        AppMethodBeat.o(74533);
    }

    public void onItemSelected(AdapterView<?> adapterView, View view, int i, long j) {
        AppMethodBeat.i(74534);
        this.mik = i;
        ab.d("MicroMsg.FavMediaGalleryUI", "pos:".concat(String.valueOf(i)));
        if (view instanceof MultiTouchImageView) {
            ((MultiTouchImageView) view).dzA();
        }
        if (this.mnD != null) {
            this.mnD.onDestroy();
        }
        if (view instanceof FavVideoView) {
            FavVideoView favVideoView = (FavVideoView) view;
            if ((this.mnE.getItemViewType(i) == 15 || this.mnE.getItemViewType(i) == 4) && favVideoView != null) {
                boolean z;
                if (favVideoView.klq == null) {
                    z = false;
                } else {
                    z = favVideoView.klq.isPlaying();
                }
                if (!z) {
                    favVideoView.onResume();
                    this.mnD = favVideoView;
                    this.mnC = i;
                }
            }
        }
        AppMethodBeat.o(74534);
    }

    public void onNothingSelected(AdapterView<?> adapterView) {
    }

    public final void d(com.tencent.mm.plugin.fav.a.c cVar) {
        AppMethodBeat.i(74535);
        if (cVar != null) {
            f vC = this.mnE.vC(this.mik);
            if (vC != null && bo.bc(cVar.field_dataId, "").equals(vC.cAv.mnd) && vC.cAv.dataType == 2) {
                al.d(new 10(this, cVar));
            }
        }
        AppMethodBeat.o(74535);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(74536);
        if (1 == i) {
            if (-1 != i2) {
                AppMethodBeat.o(74536);
                return;
            }
            f vC = this.mnE.vC(this.mik);
            if (vC == null) {
                ab.i("MicroMsg.FavMediaGalleryUI", "dataItem is null.");
                AppMethodBeat.o(74536);
                return;
            }
            String b = com.tencent.mm.plugin.fav.a.b.b(vC.cAv);
            k kVar = new k();
            if (k.u(vC.mij)) {
                h.bQ(this.mController.ylL, getString(2131296320));
                AppMethodBeat.o(74536);
                return;
            }
            ArrayList<String> P = bo.P(intent.getStringExtra("Select_Conv_User").split(","));
            ab.d("MicroMsg.FavMediaGalleryUI", "select %s for sending", new Object[]{r2});
            com.tencent.mm.ui.base.p b2 = h.b(this.mController.ylL, getString(2131299643), false, null);
            if (r.amo(b)) {
                for (String b3 : P) {
                    i.a(this.mController.ylL, b3, vC.mij, vC.cAv, new 11(this, b2));
                }
            } else {
                2 2 = new 2(this, b2);
                for (String b32 : P) {
                    i.a(this, b32, vC.cAv, 2);
                }
            }
        }
        super.onActivityResult(i, i2, intent);
        AppMethodBeat.o(74536);
    }

    static /* synthetic */ void a(FavMediaGalleryUI favMediaGalleryUI) {
        AppMethodBeat.i(74537);
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        f vC = favMediaGalleryUI.mnE.vC(favMediaGalleryUI.mik);
        if (vC == null) {
            AppMethodBeat.o(74537);
            return;
        }
        if (vC.cAv.whh != 0) {
            ab.i("MicroMsg.FavMediaGalleryUI", "showMenu, illegalType");
        } else if (vC.cAv.dataType == 2) {
            if (vC.mij != null && vC.mij.but()) {
                arrayList.add(Integer.valueOf(0));
                arrayList2.add(favMediaGalleryUI.getString(2131299734));
            }
            if (vC.mij != null && vC.mij.buu()) {
                arrayList.add(Integer.valueOf(1));
                arrayList2.add(favMediaGalleryUI.getString(2131299688));
            }
            arrayList.add(Integer.valueOf(2));
            arrayList2.add(favMediaGalleryUI.getString(2131299727));
            String b = com.tencent.mm.plugin.fav.a.b.b(vC.cAv);
            nr nrVar = (nr) favMediaGalleryUI.mim.get(b);
            if (nrVar == null) {
                np npVar = new np();
                npVar.cJU.filePath = b;
                com.tencent.mm.sdk.b.a.xxA.m(npVar);
            } else if (!bo.isNullOrNil(nrVar.cJX.result)) {
                arrayList.add(Integer.valueOf(3));
                arrayList2.add(favMediaGalleryUI.getString(com.tencent.mm.plugin.scanner.a.ba(nrVar.cJX.cvn, nrVar.cJX.result) ? 2131299696 : 2131299695));
            }
        } else if (e.ct(com.tencent.mm.plugin.fav.a.b.b(vC.cAv))) {
            if (vC.mij != null && vC.mij.but()) {
                arrayList.add(Integer.valueOf(0));
                arrayList2.add(favMediaGalleryUI.getString(2131299734));
            }
            arrayList.add(Integer.valueOf(2));
            arrayList2.add(favMediaGalleryUI.getString(2131302712));
        }
        arrayList.add(Integer.valueOf(4));
        arrayList2.add(favMediaGalleryUI.getString(2131299647));
        if (favMediaGalleryUI.icA == null) {
            favMediaGalleryUI.icA = new j(favMediaGalleryUI.mController.ylL);
        }
        favMediaGalleryUI.icA.rBl = new 6(favMediaGalleryUI, arrayList, arrayList2);
        favMediaGalleryUI.icA.rBm = favMediaGalleryUI.lcJ;
        favMediaGalleryUI.icA.e(new OnCancelListener() {
            public final void onCancel(DialogInterface dialogInterface) {
                AppMethodBeat.i(74514);
                FavMediaGalleryUI.this.icA = null;
                AppMethodBeat.o(74514);
            }
        });
        h.a(favMediaGalleryUI.mController.ylL, favMediaGalleryUI.icA.cuu());
        AppMethodBeat.o(74537);
    }

    static /* synthetic */ void b(FavMediaGalleryUI favMediaGalleryUI, String str) {
        AppMethodBeat.i(74539);
        String uu = u.uu(str);
        ab.i("MicroMsg.FavMediaGalleryUI", "save video now video path %s out path %s", new Object[]{str, uu});
        if (bo.isNullOrNil(uu)) {
            Toast.makeText(favMediaGalleryUI, favMediaGalleryUI.getString(2131304256), 1).show();
            AppMethodBeat.o(74539);
            return;
        }
        Toast.makeText(favMediaGalleryUI, favMediaGalleryUI.getString(2131304257, new Object[]{uu}), 1).show();
        n.a(uu, favMediaGalleryUI);
        AppMethodBeat.o(74539);
    }
}
