package com.tencent.mm.plugin.freewifi.e;

import android.net.Uri;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.freewifi.k;
import com.tencent.mm.plugin.freewifi.k.a;
import com.tencent.mm.plugin.freewifi.k.b;
import com.tencent.mm.plugin.freewifi.m;
import com.tencent.mm.plugin.freewifi.model.j;
import com.tencent.mm.plugin.freewifi.ui.FreeWifiFrontPageUI;
import com.tencent.mm.plugin.freewifi.ui.FreeWifiFrontPageUI.d;
import com.tencent.mm.sdk.platformtools.ab;

public final class h extends e implements a {
    private String mwQ = this.intent.getStringExtra("free_wifi_portal_ap_info_authurl_with_params");
    private int mwR = 0;

    static /* synthetic */ void a(h hVar, int i, String str) {
        AppMethodBeat.i(20832);
        hVar.aH(i, str);
        AppMethodBeat.o(20832);
    }

    public h(FreeWifiFrontPageUI freeWifiFrontPageUI) {
        super(freeWifiFrontPageUI);
        AppMethodBeat.i(20829);
        ab.i("MicroMsg.FreeWifi.ProtocolThreeOne", "sessionKey=%s, step=%d, desc=Data retrieved. authUrlWithParams=%s", new Object[]{m.V(this.intent), Integer.valueOf(m.W(this.intent)), this.mwQ});
        AppMethodBeat.o(20829);
    }

    public final void connect() {
        AppMethodBeat.i(20830);
        ab.i("MicroMsg.FreeWifi.ProtocolThreeOne", "sessionKey=%s, step=%d, method=Protocol31.connect, desc=it starts connecting wifi by protocol 3.1. authUrlWithParams=%s", new Object[]{m.V(this.intent), Integer.valueOf(m.W(this.intent)), this.mwQ});
        j.byZ().byI().post(new 1(this, this.mwQ));
        AppMethodBeat.o(20830);
    }

    private void aH(int i, String str) {
        AppMethodBeat.i(20831);
        a byo = k.byo();
        byo.ssid = this.ssid;
        byo.bssid = m.My("MicroMsg.FreeWifi.ProtocolThreeOne");
        byo.cuI = m.Mz("MicroMsg.FreeWifi.ProtocolThreeOne");
        byo.cuH = this.cuH;
        byo.mud = this.appId;
        byo.kBq = m.V(this.intent);
        byo.mue = 31;
        byo.muf = b.muG.muQ;
        byo.mug = b.muG.name;
        byo.result = i;
        byo.ehr = str;
        byo.cIb = m.Y(this.intent);
        byo.byq().b(this.intent, i != 0).byp();
        AppMethodBeat.o(20831);
    }

    static /* synthetic */ void a(h hVar, String str) {
        AppMethodBeat.i(20833);
        hVar.mwR++;
        FreeWifiFrontPageUI freeWifiFrontPageUI;
        d dVar;
        FreeWifiFrontPageUI.a aVar;
        if (hVar.mwR > 3) {
            ab.i("MicroMsg.FreeWifi.ProtocolThreeOne", "sessionKey=%s, step=%d, method=Protocol31.handle302Authentication, desc=Connection fail. Too many 302, exceeding 3 times", new Object[]{m.V(hVar.intent), Integer.valueOf(m.W(hVar.intent))});
            freeWifiFrontPageUI = hVar.mwF;
            dVar = d.mzk;
            aVar = new FreeWifiFrontPageUI.a();
            aVar.myI = m.a(hVar.mwG, b.muG, 33);
            freeWifiFrontPageUI.a(dVar, aVar);
            hVar.aH(33, "AUTH_302_TIMES_EXCESS");
            AppMethodBeat.o(20833);
            return;
        }
        ab.i("MicroMsg.FreeWifi.ProtocolThreeOne", "sessionKey=%s, step=%d, method=Protocol31.handle302Authentication, desc=it discovers 302 Location and redirects. http response header Location=%s", new Object[]{m.V(hVar.intent), Integer.valueOf(m.W(hVar.intent)), str});
        if (m.isEmpty(str)) {
            freeWifiFrontPageUI = hVar.mwF;
            dVar = d.mzk;
            aVar = new FreeWifiFrontPageUI.a();
            aVar.myI = m.a(hVar.mwG, b.muG, 34);
            freeWifiFrontPageUI.a(dVar, aVar);
            hVar.aH(34, "EMPTY_AUTH_LOCATION");
            AppMethodBeat.o(20833);
            return;
        }
        2 2 = new 2(hVar);
        Uri parse = Uri.parse(str);
        if ("post".equalsIgnoreCase(parse.getQueryParameter("method"))) {
            com.tencent.mm.plugin.freewifi.a.a.byw();
            com.tencent.mm.plugin.freewifi.a.a.a(str, parse.getEncodedQuery(), 2);
            AppMethodBeat.o(20833);
            return;
        }
        com.tencent.mm.plugin.freewifi.a.a.byw();
        com.tencent.mm.plugin.freewifi.a.a.a(str, 2);
        AppMethodBeat.o(20833);
    }
}
