package com.tencent.mm.plugin.ipcall.ui;

import android.app.ProgressDialog;
import android.os.Bundle;
import android.os.Looper;
import android.support.v7.app.AppCompatActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.RelativeLayout;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.ipcall.a.a.a;
import com.tencent.mm.pluginsdk.permission.b;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.VerticalScrollBar;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.tools.o;

public class IPCallContactUI extends MMActivity {
    private o elS = new o((byte) 0);
    private ak fbD = new 2(this, Looper.getMainLooper());
    private String gtX;
    private VerticalScrollBar nBA;
    private LinearLayout nBB;
    private int nBC = -1;
    private int nBD = -1;
    private a nBE = new a() {
        public final void aLj() {
            AppMethodBeat.i(22081);
            IPCallContactUI.this.fbD.sendEmptyMessage(1);
            AppMethodBeat.o(22081);
        }
    };
    private Runnable nBF = new 10(this);
    private boolean nBG = true;
    private ListView nBg;
    private Runnable nBn = new Runnable() {
        public final void run() {
            AppMethodBeat.i(22082);
            com.tencent.mm.plugin.ipcall.a.a.bHb().a(IPCallContactUI.this.nBE, false);
            AppMethodBeat.o(22082);
        }
    };
    private ProgressDialog nBv = null;
    private c nBw;
    private RelativeLayout nBx;
    private LinearLayout nBy;
    private IPCallAddressCountView nBz = null;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public IPCallContactUI() {
        AppMethodBeat.i(22088);
        AppMethodBeat.o(22088);
    }

    public final int getForceOrientation() {
        return 1;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(22089);
        super.onCreate(bundle);
        setMMTitle(2131300708);
        setBackBtn(new OnMenuItemClickListener() {
            public final boolean onMenuItemClick(MenuItem menuItem) {
                AppMethodBeat.i(22071);
                IPCallContactUI.this.finish();
                AppMethodBeat.o(22071);
                return true;
            }
        });
        ab.i("MicroMsg.IPCallContactUI", "summerper checkPermission checkContacts[%b],stack[%s]", new Object[]{Boolean.valueOf(b.a(this, "android.permission.READ_CONTACTS", 48, null, null)), bo.dpG()});
        if (b.a(this, "android.permission.READ_CONTACTS", 48, null, null)) {
            this.nBx = (RelativeLayout) findViewById(2131824244);
            this.nBy = (LinearLayout) findViewById(2131825035);
            this.nBg = (ListView) findViewById(2131825036);
            this.nBA = (VerticalScrollBar) findViewById(2131821057);
            this.nBB = (LinearLayout) findViewById(2131825037);
            this.elS.zHa = new 5(this);
            this.elS.zHf = 2131297040;
            a(this.elS);
            this.nBw = new c(this.mController.ylL);
            c.nzw = com.tencent.mm.plugin.ipcall.a.g.b.bHW();
            this.nBz = new IPCallAddressCountView(this.mController.ylL, this.nBw.bIe());
            this.nBg.addFooterView(this.nBz, null, false);
            this.nBg.setAdapter(this.nBw);
            this.nBg.setOnItemClickListener(new 6(this));
            this.nBA.setVisibility(0);
            this.nBg.setOnScrollListener(new 11(this));
            this.nBA.setOnScrollBarTouchListener(new VerticalScrollBar.a() {
                public final void kp(String str) {
                    AppMethodBeat.i(22087);
                    if ("↑".equals(str)) {
                        IPCallContactUI.this.nBg.setSelection(0);
                        AppMethodBeat.o(22087);
                        return;
                    }
                    int intValue;
                    c d = IPCallContactUI.this.nBw;
                    if (d.emK.containsKey(str)) {
                        intValue = ((Integer) d.emK.get(str)).intValue();
                    } else {
                        intValue = -1;
                    }
                    if (intValue != -1) {
                        IPCallContactUI.this.nBg.setSelection(intValue);
                    }
                    AppMethodBeat.o(22087);
                }
            });
            if (this.nBw.bIe() <= 0) {
                this.nBx.setVisibility(8);
                AppCompatActivity appCompatActivity = this.mController.ylL;
                this.mController.ylL.getString(2131297061);
                this.nBv = h.b(appCompatActivity, this.mController.ylL.getString(2131300729), true, new 9(this));
                d.post(this.nBn, "IPCall_LoadSystemAddressBook");
                AppMethodBeat.o(22089);
                return;
            }
            com.tencent.mm.plugin.ipcall.a.bGG().bGH();
        }
        AppMethodBeat.o(22089);
    }

    public final void vM(String str) {
        AppMethodBeat.i(22090);
        this.gtX = str;
        this.fbD.removeCallbacks(this.nBF);
        this.fbD.postDelayed(this.nBF, 200);
        AppMethodBeat.o(22090);
    }

    public final void iu(boolean z) {
        AppMethodBeat.i(22091);
        this.nBG = z;
        if (this.nBG) {
            this.nBw.notifyDataSetChanged();
        }
        AppMethodBeat.o(22091);
    }

    public final int getLayoutId() {
        return 2130969883;
    }

    public void onDestroy() {
        AppMethodBeat.i(22092);
        super.onDestroy();
        com.tencent.mm.plugin.ipcall.a.a bHb = com.tencent.mm.plugin.ipcall.a.a.bHb();
        a aVar = this.nBE;
        if (bHb.nvk.contains(aVar)) {
            bHb.nvk.remove(aVar);
        }
        this.fbD.removeMessages(1);
        AppMethodBeat.o(22092);
    }

    public void onResume() {
        AppMethodBeat.i(22093);
        super.onResume();
        supportInvalidateOptionsMenu();
        AppMethodBeat.o(22093);
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        AppMethodBeat.i(22094);
        ab.d("MicroMsg.IPCallContactUI", "onCreateOptionsMenu");
        boolean onCreateOptionsMenu = super.onCreateOptionsMenu(menu);
        AppMethodBeat.o(22094);
        return onCreateOptionsMenu;
    }

    public void onBackPressed() {
        AppMethodBeat.i(22095);
        super.onBackPressed();
        AppMethodBeat.o(22095);
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        AppMethodBeat.i(22096);
        if (iArr == null || iArr.length <= 0) {
            ab.i("MicroMsg.IPCallContactUI", "onRequestPermissionsResult grantResults length 0. requestCode[%d], tid[%d]", new Object[]{Integer.valueOf(i), Long.valueOf(Thread.currentThread().getId())});
            AppMethodBeat.o(22096);
            return;
        }
        ab.i("MicroMsg.IPCallContactUI", "onRequestPermissionsResult requestCode[%d],grantResults[%d] tid[%d]", new Object[]{Integer.valueOf(i), Integer.valueOf(iArr[0]), Long.valueOf(Thread.currentThread().getId())});
        switch (i) {
            case 48:
                if (iArr[0] != 0) {
                    h.a(this, getString(2131301922), getString(2131301936), getString(2131300878), getString(2131297773), false, new 3(this), new 4(this));
                    break;
                }
                break;
        }
        AppMethodBeat.o(22096);
    }
}
