package com.tencent.mm.plugin.mmsight.model;

import android.graphics.Rect;
import android.graphics.RectF;
import android.hardware.Camera;
import android.hardware.Camera.Area;
import android.hardware.Camera.Parameters;
import android.os.Looper;
import android.os.Message;
import com.google.android.gms.auth.api.credentials.CredentialsApi;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.e.t;
import com.tencent.mm.compatible.util.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import java.util.ArrayList;
import java.util.List;

public class e$c extends ak {
    int faG = 0;
    boolean faH = false;
    boolean faI = false;
    boolean faJ = false;
    float faK;
    float faL;
    int faM;
    int faN;
    final /* synthetic */ e ouh;

    private static Rect b(float f, float f2, float f3, int i, int i2) {
        AppMethodBeat.i(76474);
        float f4 = 80.0f * f3;
        float f5 = (((f / ((float) i)) * 2000.0f) - 1000.0f) - (f4 / 2.0f);
        float f6 = (((f2 / ((float) i2)) * 2000.0f) - 1000.0f) - (f4 / 2.0f);
        float f7 = f5 + f4;
        f4 += f6;
        RectF rectF = new RectF();
        rectF.set(f5, f6, f7, f4);
        Rect rect = new Rect(yS(Math.round(rectF.left)), yS(Math.round(rectF.top)), yS(Math.round(rectF.right)), yS(Math.round(rectF.bottom)));
        AppMethodBeat.o(76474);
        return rect;
    }

    private static int yS(int i) {
        if (i > CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT) {
            return CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT;
        }
        if (i < -1000) {
            return -1000;
        }
        return i;
    }

    /* Access modifiers changed, original: final */
    public final void e(t tVar) {
        AppMethodBeat.i(76475);
        if (tVar == null) {
            ab.w("MicroMsg.MMSightCamera", "want to auto focus, but camera is null, do nothing");
            AppMethodBeat.o(76475);
        } else if (e.ouf) {
            e.ouf = false;
            try {
                ab.i("MicroMsg.MMSightCamera", "triggerAutoFocus");
                tVar.cancelAutoFocus();
                tVar.autoFocus(this.ouh.faP);
                AppMethodBeat.o(76475);
            } catch (Exception e) {
                ab.w("MicroMsg.MMSightCamera", "autofocus fail, exception %s", new Object[]{e.getMessage()});
                e.ouf = true;
                AppMethodBeat.o(76475);
            }
        } else {
            ab.w("MicroMsg.MMSightCamera", "auto focus not back");
            AppMethodBeat.o(76475);
        }
    }

    public e$c(e eVar, Looper looper) {
        this.ouh = eVar;
        super(looper);
    }

    private static int d(Parameters parameters) {
        AppMethodBeat.i(76476);
        if (parameters == null) {
            AppMethodBeat.o(76476);
            return 0;
        }
        int maxZoom;
        try {
            maxZoom = parameters.getMaxZoom() / 2;
            if (maxZoom <= 0) {
                maxZoom = parameters.getMaxZoom();
            }
        } catch (Exception e) {
            ab.e("MicroMsg.MMSightCamera", "get target zoom value error: %s", new Object[]{e.getMessage()});
            maxZoom = 0;
        }
        AppMethodBeat.o(76476);
        return maxZoom;
    }

    public final void handleMessage(Message message) {
        int i = 1;
        AppMethodBeat.i(76477);
        int zoom;
        switch (message.what) {
            case 4353:
                if (!this.faJ) {
                    int d;
                    Camera camera = (Camera) message.obj;
                    Parameters parameters = camera.getParameters();
                    ab.i("MicroMsg.MMSightCamera", "zoomed %s curZoomStep %s params.getZoom() %s", new Object[]{Boolean.valueOf(this.faH), Integer.valueOf(this.faG), Integer.valueOf(parameters.getZoom())});
                    zoom = parameters.getZoom() + this.faG;
                    if (this.faH) {
                        d = d(parameters);
                        if (zoom < d) {
                            sendMessageDelayed(obtainMessage(4353, message.obj), this.faI ? 10 : 20);
                            d = zoom;
                            i = 0;
                        }
                    } else if (zoom <= 0) {
                        d = 0;
                    } else {
                        sendMessageDelayed(obtainMessage(4353, message.obj), this.faI ? 10 : 20);
                        d = zoom;
                        i = 0;
                    }
                    parameters.setZoom(d);
                    try {
                        camera.setParameters(parameters);
                    } catch (Exception e) {
                    }
                    if (i != 0) {
                        this.faM = 0;
                        this.faN = 0;
                        break;
                    }
                }
                AppMethodBeat.o(76477);
                return;
                break;
            case 4354:
                t tVar = (t) message.obj;
                if (this.faM == 0 || this.faN == 0 || d.fP(14)) {
                    e(tVar);
                    AppMethodBeat.o(76477);
                    return;
                }
                float f = this.faK;
                float f2 = this.faL;
                zoom = this.faM;
                int i2 = this.faN;
                if (tVar == null) {
                    ab.w("MicroMsg.MMSightCamera", "want to auto focus, but camera is null, do nothing");
                    AppMethodBeat.o(76477);
                    return;
                } else if (e.ouf) {
                    e.ouf = false;
                    try {
                        ArrayList arrayList;
                        tVar.cancelAutoFocus();
                        ab.i("MicroMsg.MMSightCamera", "ashutest:: touch %f %f, display %d %d", new Object[]{Float.valueOf(f), Float.valueOf(f2), Integer.valueOf(zoom), Integer.valueOf(i2)});
                        ab.i("MicroMsg.MMSightCamera", "ashutest:: focus rect %s, meter rect %s", new Object[]{b(f, f2, 1.0f, zoom, i2), b(f, f2, 1.5f, zoom, i2)});
                        Parameters parameters2 = tVar.getParameters();
                        List supportedFocusModes = parameters2.getSupportedFocusModes();
                        if (supportedFocusModes != null && supportedFocusModes.contains("auto")) {
                            parameters2.setFocusMode("auto");
                        }
                        if (parameters2.getMaxNumFocusAreas() > 0) {
                            arrayList = new ArrayList(1);
                            arrayList.add(new Area(r7, CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT));
                            parameters2.setFocusAreas(arrayList);
                        }
                        if (parameters2.getMaxNumMeteringAreas() > 0) {
                            arrayList = new ArrayList(1);
                            arrayList.add(new Area(r1, CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT));
                            parameters2.setMeteringAreas(arrayList);
                        }
                        tVar.setParameters(parameters2);
                        tVar.autoFocus(this.ouh.faP);
                        AppMethodBeat.o(76477);
                        return;
                    } catch (Exception e2) {
                        ab.w("MicroMsg.MMSightCamera", "autofocus with area fail, exception %s", new Object[]{e2.getMessage()});
                        e.ouf = true;
                        AppMethodBeat.o(76477);
                        return;
                    }
                } else {
                    ab.w("MicroMsg.MMSightCamera", "auto focus not back");
                    AppMethodBeat.o(76477);
                    return;
                }
        }
        AppMethodBeat.o(76477);
    }
}
