package com.tencent.mm.plugin.scanner.ui;

import android.content.Intent;
import android.os.Bundle;
import android.provider.ContactsContract.Contacts;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.bv;
import com.tencent.mm.plugin.scanner.a.r;
import com.tencent.mm.plugin.scanner.a.r.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.h.c;
import com.tencent.mm.ui.base.preference.KeyValuePreference;
import com.tencent.mm.ui.base.preference.MMPreference;
import com.tencent.mm.ui.base.preference.Preference;
import com.tencent.mm.ui.base.preference.f;
import java.util.ArrayList;
import java.util.List;

public class VcardContactUI extends MMPreference {
    private static ArrayList<String> qgT = new ArrayList();
    private static int qgV = 1;
    private static int qgW = 1;
    private f ehK;
    private r qgS;
    private r qgU;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static {
        AppMethodBeat.i(81359);
        AppMethodBeat.o(81359);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(81349);
        super.onCreate(bundle);
        initView();
        AppMethodBeat.o(81349);
    }

    public final int JC() {
        return -1;
    }

    public final void initView() {
        AppMethodBeat.i(81351);
        this.qgU = new r(this);
        this.ehK = this.yCw;
        this.qgS = r.qaD;
        setBackBtn(new OnMenuItemClickListener() {
            public final boolean onMenuItemClick(MenuItem menuItem) {
                AppMethodBeat.i(81347);
                VcardContactUI.this.finish();
                AppMethodBeat.o(81347);
                return true;
            }
        });
        setMMTitle("");
        aqI();
        AppMethodBeat.o(81351);
    }

    private void aqI() {
        VcardContactLinkPreference vcardContactLinkPreference;
        KeyValuePreference keyValuePreference;
        AppMethodBeat.i(81352);
        this.ehK.removeAll();
        this.ehK.addPreferencesFromResource(2131165308);
        VcardContactUserHeaderPreference vcardContactUserHeaderPreference = (VcardContactUserHeaderPreference) this.ehK.aqO("v_contact_info_header");
        if (vcardContactUserHeaderPreference != null) {
            vcardContactUserHeaderPreference.a(this.qgS);
        }
        this.ehK.aqP("c_contact_info_wx_id");
        if (bo.isNullOrNil(this.qgS.hHN)) {
            this.ehK.aqP("v_contact_info_photo_uri");
            this.ehK.aqP("v_category_photo_uri");
        } else {
            vcardContactLinkPreference = (VcardContactLinkPreference) this.ehK.aqO("v_contact_info_photo_uri");
            if (vcardContactLinkPreference != null) {
                vcardContactLinkPreference.setSummary(this.qgS.hHN);
                vcardContactLinkPreference.qi(false);
                vcardContactLinkPreference.yCj = false;
                qgV += 2;
                qgW += 2;
            }
        }
        chN();
        chM();
        if (bo.isNullOrNil(this.qgS.hHW)) {
            this.ehK.aqP("v_contact_info_org");
        } else {
            keyValuePreference = (KeyValuePreference) this.ehK.aqO("v_contact_info_org");
            if (keyValuePreference != null) {
                keyValuePreference.setSummary((CharSequence) this.qgS.hHW);
                keyValuePreference.qi(false);
                keyValuePreference.yCj = true;
            }
        }
        if (bo.isNullOrNil(this.qgS.qaB)) {
            this.ehK.aqP("v_contact_info_agent");
        } else {
            keyValuePreference = (KeyValuePreference) this.ehK.aqO("v_contact_info_agent");
            if (keyValuePreference != null) {
                keyValuePreference.setSummary((CharSequence) this.qgS.qaB);
                keyValuePreference.qi(false);
                keyValuePreference.yCj = true;
            }
        }
        if (bo.isNullOrNil(this.qgS.url)) {
            this.ehK.aqP("v_contact_info_home_page");
            this.ehK.aqP("v_category_home_page");
        } else {
            vcardContactLinkPreference = (VcardContactLinkPreference) this.ehK.aqO("v_contact_info_home_page");
            if (vcardContactLinkPreference != null) {
                vcardContactLinkPreference.setSummary(this.qgS.url);
                vcardContactLinkPreference.qi(false);
                vcardContactLinkPreference.yCj = true;
            }
        }
        if (bo.isNullOrNil(this.qgS.dtV)) {
            this.ehK.aqP("v_contact_info_email");
        } else {
            vcardContactLinkPreference = (VcardContactLinkPreference) this.ehK.aqO("v_contact_info_email");
            if (vcardContactLinkPreference != null) {
                vcardContactLinkPreference.setSummary(this.qgS.dtV);
                vcardContactLinkPreference.qi(false);
                vcardContactLinkPreference.yCj = true;
            }
        }
        if (bo.isNullOrNil(this.qgS.qaq)) {
            this.ehK.aqP("v_contact_info_birthday");
            this.ehK.aqP("v_category_birthday");
        } else {
            keyValuePreference = (KeyValuePreference) this.ehK.aqO("v_contact_info_birthday");
            if (keyValuePreference != null) {
                keyValuePreference.setSummary((CharSequence) this.qgS.qaq);
                keyValuePreference.qi(false);
                keyValuePreference.yCj = true;
            }
        }
        if (bo.isNullOrNil(this.qgS.qaC)) {
            this.ehK.aqP("v_contact_info_remark");
            this.ehK.aqP("v_category_remark");
        } else {
            keyValuePreference = (KeyValuePreference) this.ehK.aqO("v_contact_info_remark");
            if (keyValuePreference != null) {
                keyValuePreference.setSummary((CharSequence) this.qgS.qaC);
                keyValuePreference.qi(false);
                keyValuePreference.yCj = true;
            }
        }
        if (this.qgS.qao == null || !this.qgS.qao.qaG.contains("uri")) {
            this.ehK.aqP("v_contact_info_logo");
            this.ehK.aqP("v_category_logo");
            AppMethodBeat.o(81352);
            return;
        }
        vcardContactLinkPreference = (VcardContactLinkPreference) this.ehK.aqO("v_contact_info_logo");
        vcardContactLinkPreference.setSummary(this.qgS.qao.qaH);
        vcardContactLinkPreference.yCj = false;
        vcardContactLinkPreference.qi(false);
        AppMethodBeat.o(81352);
    }

    private void chM() {
        AppMethodBeat.i(81353);
        List list = this.qgS.qax;
        if (list != null && list.size() > 0) {
            b(list, "WorkTel", this.mController.ylL.getString(2131304221));
        }
        list = this.qgS.qaw;
        if (list != null && list.size() > 0) {
            b(list, "HomeTel", this.mController.ylL.getString(2131304209));
        }
        list = this.qgS.qay;
        if (list != null && list.size() > 0) {
            b(list, "VideoTEL", this.mController.ylL.getString(2131304218));
        }
        list = this.qgS.qaz;
        if (list != null && list.size() > 0) {
            b(list, "NormalTel", this.mController.ylL.getString(2131304212));
        }
        list = this.qgS.qav;
        if (list != null && list.size() > 0) {
            b(list, "CellTel", this.mController.ylL.getString(2131304205));
        }
        AppMethodBeat.o(81353);
    }

    private void chN() {
        AppMethodBeat.i(81354);
        a aVar = this.qgS.qat;
        if (aVar != null && aVar.aDu().length() > 0) {
            fS(aVar.aDu(), this.mController.ylL.getString(2131304207));
        }
        aVar = this.qgS.qau;
        if (aVar != null && aVar.aDu().length() > 0) {
            fS(aVar.aDu(), this.mController.ylL.getString(2131304220));
        }
        aVar = this.qgS.qar;
        if (aVar != null && aVar.aDu().length() > 0) {
            fS(aVar.aDu(), this.mController.ylL.getString(2131304202));
        }
        aVar = this.qgS.qas;
        if (aVar != null && aVar.aDu().length() > 0) {
            fS(aVar.aDu(), this.mController.ylL.getString(2131304202));
        }
        AppMethodBeat.o(81354);
    }

    private void b(List<String> list, String str, String str2) {
        AppMethodBeat.i(81355);
        if (list != null && list.size() > 0) {
            for (String str3 : list) {
                VcardContactLinkPreference vcardContactLinkPreference = new VcardContactLinkPreference(this);
                vcardContactLinkPreference.setKey(str + String.valueOf(str3));
                if (!qgT.contains(str + String.valueOf(str3))) {
                    qgT.add(str + String.valueOf(str3));
                }
                vcardContactLinkPreference.setTitle(str2);
                vcardContactLinkPreference.setLayoutResource(2130970127);
                vcardContactLinkPreference.setSummary(str3);
                vcardContactLinkPreference.qi(false);
                vcardContactLinkPreference.yCj = true;
                vcardContactLinkPreference.dAD();
                this.ehK.a(vcardContactLinkPreference, qgV);
            }
        }
        AppMethodBeat.o(81355);
    }

    private void fS(String str, String str2) {
        AppMethodBeat.i(81356);
        KeyValuePreference keyValuePreference = new KeyValuePreference(this);
        keyValuePreference.setTitle((CharSequence) str2);
        keyValuePreference.setLayoutResource(2130970127);
        keyValuePreference.qi(false);
        keyValuePreference.setSummary((CharSequence) str);
        keyValuePreference.yCj = false;
        keyValuePreference.dAD();
        this.ehK.a(keyValuePreference, qgW);
        AppMethodBeat.o(81356);
    }

    private static void a(List<String> list, Intent intent, int i, int i2) {
        AppMethodBeat.i(81357);
        for (String str : list) {
            if (i2 == 1) {
                intent.putExtra("phone", str);
                intent.putExtra("phone_type", i);
            } else if (i2 == 2) {
                intent.putExtra("secondary_phone", str);
                intent.putExtra("phone_type", i);
            } else if (i2 == 3) {
                intent.putExtra("tertiary_phone", str);
                intent.putExtra("phone_type", i);
            }
        }
        AppMethodBeat.o(81357);
    }

    public final boolean a(f fVar, Preference preference) {
        AppMethodBeat.i(81350);
        if (preference.mKey.equals("add_vcard_contact")) {
            h.a(this, "", new String[]{getString(2131304201), getString(2131304200)}, "", new c() {
                public final void iE(int i) {
                    AppMethodBeat.i(81348);
                    Intent intent;
                    switch (i) {
                        case 0:
                            bv.aaq().c(10238, new Object[]{Integer.valueOf(1)});
                            intent = new Intent("android.intent.action.INSERT", Contacts.CONTENT_URI);
                            VcardContactUI.a(VcardContactUI.this, intent);
                            VcardContactUI.this.startActivity(intent);
                            AppMethodBeat.o(81348);
                            return;
                        case 1:
                            bv.aaq().c(10239, new Object[]{Integer.valueOf(1)});
                            intent = new Intent("android.intent.action.INSERT_OR_EDIT", Contacts.CONTENT_URI);
                            intent.setType("vnd.android.cursor.item/person");
                            VcardContactUI.a(VcardContactUI.this, intent);
                            VcardContactUI.this.startActivity(intent);
                            break;
                    }
                    AppMethodBeat.o(81348);
                }
            });
            AppMethodBeat.o(81350);
            return true;
        }
        String str;
        if (preference.mKey.equals("v_contact_info_photo_uri") || preference.mKey.equals("v_contact_info_home_page") || preference.mKey.equals("v_contact_info_logo")) {
            String charSequence = preference.getSummary().toString();
            if (charSequence != null && charSequence.length() > 0) {
                r rVar = this.qgU;
                if (!rVar.ppI.doT()) {
                    ab.e("MicroMsg.scanner.ViewMMURL", "already running, skipped");
                } else if (charSequence == null || charSequence.length() == 0) {
                    ab.e("MicroMsg.scanner.ViewMMURL", "go fail, qqNum is null");
                } else {
                    rVar.url = charSequence;
                    str = (String) g.RP().Ry().get(46, null);
                    if (str == null || str.length() == 0) {
                        rVar.c(charSequence, (int) System.currentTimeMillis(), new byte[0]);
                    } else {
                        g.Rg().a(233, rVar);
                        rVar.qhf = new com.tencent.mm.modelsimple.h(charSequence, null, 4, 0, (int) System.currentTimeMillis(), new byte[0]);
                        g.Rg().a(rVar.qhf, 0);
                        rVar.ppI.ae(3000, 3000);
                    }
                }
                AppMethodBeat.o(81350);
                return true;
            }
        } else if (qgT.contains(preference.mKey) && !preference.mKey.toLowerCase().contains("fax")) {
            str = preference.getSummary().toString().trim();
            if (str != null && str.length() > 0) {
                h.a(this, "", new String[]{getString(2131298504)}, "", new 1(this, str));
                AppMethodBeat.o(81350);
                return true;
            }
        } else if (preference.mKey.equals("v_contact_info_email")) {
            String[] strArr = new String[]{this.mController.ylL.getString(2131302943), this.mController.ylL.getString(2131302942)};
            h.a(this, "", strArr, "", new 2(this, preference.getSummary().toString()));
        }
        AppMethodBeat.o(81350);
        return false;
    }
}
