package com.tencent.mm.plugin.scanner.util;

import android.graphics.Bitmap;
import android.graphics.Bitmap.Config;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Paint.Style;
import android.graphics.Rect;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.pluginsdk.model.k;
import com.tencent.mm.protocal.protobuf.cit;
import com.tencent.mm.sdk.g.b.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.d;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class n$a extends k<Void, Void, Bitmap> {
    private float angle;
    private Canvas bmG;
    private Bitmap qfT;
    private int qiD;
    private Bitmap qiE;
    private Matrix qiF;
    private Matrix qiG;
    private List<cit> qiH;
    private Set<cit> qiI = new HashSet();
    private Map<Integer, List<cit>> qiJ = new HashMap();
    final /* synthetic */ n qiK;

    public final /* synthetic */ Object dv() {
        AppMethodBeat.i(81470);
        Bitmap ow = ow();
        AppMethodBeat.o(81470);
        return ow;
    }

    public final /* synthetic */ void onPostExecute(Object obj) {
        AppMethodBeat.i(81469);
        Bitmap bitmap = (Bitmap) obj;
        ab.i("MicroMsg.MMAsyncTask", "task session %d, curSession %d", new Object[]{Integer.valueOf(this.qiD), Integer.valueOf(this.qiK.qiA)});
        if (this.qiD != this.qiK.qiA) {
            ab.i("MicroMsg.MMAsyncTask", "ignore this translation result");
            AppMethodBeat.o(81469);
            return;
        }
        if (!(this.qiK.qiB == null || bitmap == null || bitmap == null)) {
            this.qiK.qiB.b(this.qiD, bitmap);
        }
        AppMethodBeat.o(81469);
    }

    public n$a(n nVar, int i, List<cit> list, float f, Bitmap bitmap) {
        cit cit;
        this.qiK = nVar;
        AppMethodBeat.i(81466);
        this.qiD = i;
        this.qiH = list;
        this.angle = f;
        this.qfT = bitmap;
        Iterator it = this.qiH.iterator();
        while (it.hasNext()) {
            Object obj;
            cit = (cit) it.next();
            if (cit.Width <= 1 || cit.Height <= 1 || cit.Width == Integer.MAX_VALUE || cit.Height == Integer.MAX_VALUE || cit.X < 0 || cit.Y < 0 || cit.X == Integer.MAX_VALUE || cit.Y == Integer.MAX_VALUE) {
                ab.i("MicroMsg.MMAsyncTask", "invalid translation info (%d,%d) %d %d", new Object[]{Integer.valueOf(cit.X), Integer.valueOf(cit.Y), Integer.valueOf(cit.Width), Integer.valueOf(cit.Height)});
                obj = null;
            } else {
                obj = 1;
            }
            if (obj == null) {
                ab.i("MicroMsg.MMAsyncTask", "remove invalid translation info");
                it.remove();
            }
        }
        for (cit cit2 : this.qiH) {
            if (cit2.weB > 0) {
                if (!this.qiJ.containsKey(Integer.valueOf(cit2.weB))) {
                    this.qiJ.put(Integer.valueOf(cit2.weB), new ArrayList());
                }
                ((List) this.qiJ.get(Integer.valueOf(cit2.weB))).add(cit2);
            } else {
                this.qiI.add(cit2);
            }
        }
        AppMethodBeat.o(81466);
    }

    private Bitmap ow() {
        AppMethodBeat.i(81467);
        try {
            Bitmap copy = this.qfT.copy(Config.ARGB_8888, true);
            this.qiF = new Matrix();
            float[] fArr = new float[]{0.0f, 0.0f, (float) this.qfT.getWidth(), (float) this.qfT.getHeight()};
            float[] fArr2 = new float[]{0.0f, (float) (((double) this.qfT.getWidth()) * Math.abs(Math.sin((double) this.angle))), (float) ((((double) this.qfT.getWidth()) * Math.abs(Math.cos((double) this.angle))) + (((double) this.qfT.getHeight()) * Math.abs(Math.sin((double) this.angle)))), (float) (((double) this.qfT.getHeight()) * Math.abs(Math.cos((double) this.angle)))};
            this.qiF.setPolyToPoly(fArr, 0, fArr2, 0, 2);
            this.qiF.setRotate(-this.angle);
            this.qiG = new Matrix();
            this.qiG.setPolyToPoly(fArr2, 0, fArr, 0, 2);
            this.qiG.setRotate(this.angle);
            ab.i("MicroMsg.MMAsyncTask", "angle %s", new Object[]{Float.valueOf(this.angle)});
            long currentTimeMillis = System.currentTimeMillis();
            this.qiE = Bitmap.createBitmap(copy, 0, 0, this.qfT.getWidth(), this.qfT.getHeight(), this.qiF, true);
            ab.i("MicroMsg.MMAsyncTask", "originalBitmap %d, %d  rotatedBitmap %d %d", new Object[]{Integer.valueOf(this.qfT.getWidth()), Integer.valueOf(this.qfT.getHeight()), Integer.valueOf(this.qiE.getWidth()), Integer.valueOf(this.qiE.getHeight())});
            this.bmG = new Canvas(this.qiE);
            ab.i("MicroMsg.MMAsyncTask", "create rotated bitmap cost %d", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis)});
            long currentTimeMillis2 = System.currentTimeMillis();
            for (cit cit : this.qiH) {
                ab.i("MicroMsg.MMAsyncTask", "x %s, y %s, width %s, height %s, text.length %s", new Object[]{Integer.valueOf(cit.X), Integer.valueOf(cit.Y), Integer.valueOf(cit.Width), Integer.valueOf(cit.Height), Integer.valueOf(cit.wIG.length())});
                Bitmap bitmap = this.qiE;
                if (cit.X + cit.Width > bitmap.getWidth()) {
                    cit.Width = bitmap.getWidth() - cit.X;
                }
                if (cit.Y + cit.Height > bitmap.getHeight()) {
                    cit.Height = bitmap.getHeight() - cit.Y;
                }
                ab.i("MicroMsg.MMAsyncTask", "area bitmap %d, %d", new Object[]{Integer.valueOf(bitmap.getWidth()), Integer.valueOf(Bitmap.createBitmap(this.qiE, cit.X, cit.Y, cit.Width, cit.Height).getHeight())});
                int[] S = n.S(bitmap);
                int i = S[0];
                Canvas canvas = this.bmG;
                Paint paint = new Paint();
                Rect rect = new Rect(cit.X, cit.Y, cit.Width + cit.X, cit.Height + cit.Y);
                paint.setStyle(Style.FILL_AND_STROKE);
                paint.setColor(i);
                paint.setAntiAlias(true);
                canvas.drawRect(rect, paint);
                if (this.qiI.contains(cit)) {
                    n.a(n.a(cit), S[1], cit, this.bmG);
                }
            }
            ab.i("MicroMsg.MMAsyncTask", "draw all translation bg cost %d", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis2)});
            long currentTimeMillis3 = System.currentTimeMillis();
            for (Integer intValue : this.qiJ.keySet()) {
                int intValue2 = intValue.intValue();
                ArrayList arrayList = new ArrayList();
                for (cit cit2 : (List) this.qiJ.get(Integer.valueOf(intValue2))) {
                    arrayList.add(Float.valueOf(n.a(cit2)));
                }
                float floatValue = ((Float) Collections.min(arrayList)).floatValue();
                List list = (List) this.qiJ.get(Integer.valueOf(intValue2));
                for (int i2 = 0; i2 < list.size(); i2++) {
                    cit cit3 = (cit) list.get(i2);
                    ab.i("MicroMsg.MMAsyncTask", "x %s, y %s, width %s, height %s", new Object[]{Integer.valueOf(cit3.X), Integer.valueOf(cit3.Y), Integer.valueOf(cit3.Width), Integer.valueOf(cit3.Height)});
                    ab.i("MicroMsg.MMAsyncTask", "area bitmap %d, %d", new Object[]{Integer.valueOf(r7.getWidth()), Integer.valueOf(Bitmap.createBitmap(this.qiE, cit3.X, cit3.Y, cit3.Width, cit3.Height).getHeight())});
                    n.a(floatValue, n.S(r7)[1], cit3, this.bmG);
                }
            }
            ab.i("MicroMsg.MMAsyncTask", "draw all translation text cost %d", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis3)});
            Bitmap createBitmap = Bitmap.createBitmap(this.qiE, 0, 0, this.qiE.getWidth(), this.qiE.getHeight(), this.qiG, true);
            ab.i("MicroMsg.MMAsyncTask", "resultBitmap width %d, height %d", new Object[]{Integer.valueOf(createBitmap.getWidth()), Integer.valueOf(createBitmap.getHeight())});
            int[] iArr = new int[(this.qfT.getWidth() * this.qfT.getHeight())];
            createBitmap.getPixels(iArr, 0, this.qfT.getWidth(), (createBitmap.getWidth() - this.qfT.getWidth()) / 2, (createBitmap.getHeight() - this.qfT.getHeight()) / 2, this.qfT.getWidth(), this.qfT.getHeight());
            createBitmap = d.a(iArr, this.qfT.getWidth(), this.qfT.getHeight(), Config.ARGB_8888);
            AppMethodBeat.o(81467);
            return createBitmap;
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.MMAsyncTask", e, "render translation info error", new Object[0]);
            AppMethodBeat.o(81467);
            return null;
        }
    }

    public final a cin() {
        AppMethodBeat.i(81468);
        a cin = com.tencent.mm.sdk.g.d.xDG.cin();
        AppMethodBeat.o(81468);
        return cin;
    }
}
