package com.tencent.mm.pluginsdk.ui.tools;

import android.content.Context;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.az.a;
import com.tencent.mm.sdk.platformtools.bo;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

class u$c implements a {
    private static Pattern vvU = Pattern.compile("image/[A-Za-z0-9]+");
    private static Pattern vvV = Pattern.compile("filename=[A-Za-z0-9@.]+.[A-Za-z0-9]+");
    private Context context;
    private String ffl;
    private String imagePath;
    private boolean kuU;
    private int opType;
    private String vvW;
    private String vvX;
    private u$a vvY;

    static {
        AppMethodBeat.i(80466);
        AppMethodBeat.o(80466);
    }

    public u$c(Context context, String str, String str2, boolean z) {
        this(context, str, str2, z, 0, null);
    }

    public u$c(Context context, String str, String str2, boolean z, int i, u$a u_a) {
        this.context = context;
        this.ffl = str;
        this.vvX = str2;
        this.kuU = z;
        this.opType = i;
        this.vvY = u_a;
    }

    public final boolean acg() {
        AppMethodBeat.i(80461);
        if (1 == this.opType) {
            this.vvY.BX(this.imagePath);
            AppMethodBeat.o(80461);
        } else {
            if (bo.isNullOrNil(this.vvW)) {
                Toast.makeText(this.context, this.context.getString(2131305719), 1).show();
            } else {
                Toast.makeText(this.context, this.vvW, 1).show();
            }
            AppMethodBeat.o(80461);
        }
        return true;
    }

    private void dlF() {
        Exception e;
        HttpURLConnection httpURLConnection;
        Throwable th;
        AppMethodBeat.i(80462);
        InputStream inputStream;
        try {
            HttpURLConnection httpURLConnection2 = (HttpURLConnection) new URL(this.ffl).openConnection();
            try {
                httpURLConnection2.setRequestMethod("GET");
                httpURLConnection2.setRequestProperty("Cookie", this.vvX);
                httpURLConnection2.setAllowUserInteraction(true);
                int responseCode = httpURLConnection2.getResponseCode();
                String headerField;
                if (responseCode != 200) {
                    if (responseCode == 301 || responseCode == 302) {
                        headerField = httpURLConnection2.getHeaderField("Location");
                        if (headerField == null) {
                            headerField = httpURLConnection2.getHeaderField("location");
                        }
                        ab.i("MicroMsg.WebViewUtil", "redirect url = %s", new Object[]{headerField});
                        if (!bo.isNullOrNil(headerField)) {
                            this.ffl = headerField;
                            dlF();
                            a(httpURLConnection2, null);
                            AppMethodBeat.o(80462);
                            return;
                        }
                    }
                    this.vvW = this.context.getString(2131305719);
                    a(httpURLConnection2, null);
                    AppMethodBeat.o(80462);
                    return;
                }
                headerField = httpURLConnection2.getContentType();
                inputStream = httpURLConnection2.getInputStream();
                try {
                    a(headerField, httpURLConnection2.getHeaderField("Content-Disposition"), inputStream);
                    a(httpURLConnection2, inputStream);
                    AppMethodBeat.o(80462);
                } catch (Exception e2) {
                    e = e2;
                    httpURLConnection = httpURLConnection2;
                    try {
                        ab.e("MicroMsg.WebViewUtil", "init http url connection failed : %s", new Object[]{e.getMessage()});
                        a(httpURLConnection, inputStream);
                        AppMethodBeat.o(80462);
                    } catch (Throwable th2) {
                        th = th2;
                        a(httpURLConnection, inputStream);
                        AppMethodBeat.o(80462);
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    httpURLConnection = httpURLConnection2;
                    a(httpURLConnection, inputStream);
                    AppMethodBeat.o(80462);
                    throw th;
                }
            } catch (Exception e3) {
                e = e3;
                inputStream = null;
                httpURLConnection = httpURLConnection2;
            } catch (Throwable th4) {
                th = th4;
                inputStream = null;
                httpURLConnection = httpURLConnection2;
                a(httpURLConnection, inputStream);
                AppMethodBeat.o(80462);
                throw th;
            }
        } catch (Exception e4) {
            e = e4;
            inputStream = null;
            httpURLConnection = null;
            ab.e("MicroMsg.WebViewUtil", "init http url connection failed : %s", new Object[]{e.getMessage()});
            a(httpURLConnection, inputStream);
            AppMethodBeat.o(80462);
        } catch (Throwable th22) {
            th = th22;
            inputStream = null;
            httpURLConnection = null;
            a(httpURLConnection, inputStream);
            AppMethodBeat.o(80462);
            throw th;
        }
    }

    private static void a(HttpURLConnection httpURLConnection, InputStream inputStream) {
        AppMethodBeat.i(80463);
        if (httpURLConnection != null) {
            httpURLConnection.disconnect();
        }
        if (inputStream != null) {
            try {
                inputStream.close();
                AppMethodBeat.o(80463);
                return;
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.WebViewUtil", e, "", new Object[0]);
            }
        }
        AppMethodBeat.o(80463);
    }

    private void a(String str, String str2, InputStream inputStream) {
        Matcher matcher;
        AppMethodBeat.i(80464);
        ab.i("MicroMsg.WebViewUtil", "contentType = %s, dispositionType = %s", new Object[]{str, str2});
        String str3 = null;
        if (!bo.isNullOrNil(str)) {
            matcher = vvU.matcher(str);
            if (matcher.find()) {
                str3 = matcher.group().substring(matcher.group().lastIndexOf(47) + 1);
            }
        }
        if (bo.isNullOrNil(str3) && !bo.isNullOrNil(str2)) {
            matcher = vvV.matcher(str2);
            if (matcher.find()) {
                str3 = matcher.group().substring(matcher.group().lastIndexOf(46) + 1);
            }
        }
        if (bo.isNullOrNil(str3)) {
            s sVar = new s(this.ffl);
            int lastIndexOf = sVar.mPath.lastIndexOf(46);
            if (lastIndexOf == -1) {
                str3 = "jpg";
            } else {
                str3 = sVar.mPath.substring(lastIndexOf + 1);
            }
        }
        this.imagePath = n.RL(str3);
        FileOutputStream fileOutputStream = new FileOutputStream(this.imagePath);
        byte[] bArr = new byte[8192];
        while (true) {
            int read = inputStream.read(bArr);
            if (read != -1) {
                fileOutputStream.write(bArr, 0, read);
            } else {
                try {
                    break;
                } catch (Exception e) {
                    ab.e("MicroMsg.WebViewUtil", "close os failed : %s", new Object[]{e.getMessage()});
                }
            }
        }
        fileOutputStream.flush();
        fileOutputStream.close();
        if (this.opType == 0) {
            this.vvW = this.context.getString(2131298807, new Object[]{n.dlz()});
            n.a(this.imagePath, this.context);
        }
        AppMethodBeat.o(80464);
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x00b5 A:{SYNTHETIC, Splitter:B:28:0x00b5} */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x00cf A:{SYNTHETIC, Splitter:B:34:0x00cf} */
    public final boolean acf() {
        /*
        r9 = this;
        r3 = 0;
        r8 = 80465; // 0x13a51 float:1.12755E-40 double:3.9755E-319;
        r0 = 0;
        r1 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r2 = r9.kuU;
        if (r2 != 0) goto L_0x001d;
    L_0x000d:
        r0 = r9.context;
        r2 = 2131305720; // 0x7f0924f8 float:1.8229619E38 double:1.053004937E-314;
        r0 = r0.getString(r2);
        r9.vvW = r0;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
    L_0x001c:
        return r0;
    L_0x001d:
        r2 = r9.ffl;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r2 == 0) goto L_0x0029;
    L_0x0025:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001c;
    L_0x0029:
        r2 = r9.ffl;
        r2 = android.webkit.URLUtil.isDataUrl(r2);
        if (r2 == 0) goto L_0x00e9;
    L_0x0031:
        r2 = "jpg";
        r2 = com.tencent.mm.pluginsdk.ui.tools.n.RL(r2);
        r9.imagePath = r2;
        r2 = r9.ffl;	 Catch:{ Exception -> 0x009f }
        r4 = "base64";
        r2 = r2.indexOf(r4);	 Catch:{ Exception -> 0x009f }
        if (r2 <= 0) goto L_0x004f;
    L_0x0045:
        r4 = r9.ffl;	 Catch:{ Exception -> 0x009f }
        r2 = r2 + 7;
        r2 = r4.substring(r2);	 Catch:{ Exception -> 0x009f }
        r9.ffl = r2;	 Catch:{ Exception -> 0x009f }
    L_0x004f:
        r4 = new java.io.FileOutputStream;	 Catch:{ Exception -> 0x009f }
        r2 = r9.imagePath;	 Catch:{ Exception -> 0x009f }
        r4.<init>(r2);	 Catch:{ Exception -> 0x009f }
        r2 = r9.ffl;	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r3 = 0;
        r2 = android.util.Base64.decode(r2, r3);	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        if (r2 == 0) goto L_0x0062;
    L_0x005f:
        r4.write(r2);	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
    L_0x0062:
        r4.flush();	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r4.close();	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r2 = r9.context;	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r3 = 2131298807; // 0x7f0909f7 float:1.8215598E38 double:1.0530015216E-314;
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r6 = 0;
        r7 = com.tencent.mm.pluginsdk.ui.tools.n.dlz();	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r5[r6] = r7;	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r2 = r2.getString(r3, r5);	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r9.vvW = r2;	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r2 = r9.imagePath;	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r3 = r9.context;	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        com.tencent.mm.pluginsdk.ui.tools.n.a(r2, r3);	 Catch:{ Exception -> 0x01b9, all -> 0x01b5 }
        r4.close();	 Catch:{ Exception -> 0x008c }
    L_0x0087:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
        goto L_0x001c;
    L_0x008c:
        r2 = move-exception;
        r3 = "MicroMsg.WebViewUtil";
        r4 = "close FileOutputStream failed : %s";
        r5 = new java.lang.Object[r1];
        r2 = r2.getMessage();
        r5[r0] = r2;
        com.tencent.mm.sdk.platformtools.ab.e(r3, r4, r5);
        goto L_0x0087;
    L_0x009f:
        r2 = move-exception;
    L_0x00a0:
        r4 = "MicroMsg.WebViewUtil";
        r5 = "decode base64 pic failed : %s";
        r6 = 1;
        r6 = new java.lang.Object[r6];	 Catch:{ all -> 0x00cc }
        r7 = 0;
        r2 = r2.getMessage();	 Catch:{ all -> 0x00cc }
        r6[r7] = r2;	 Catch:{ all -> 0x00cc }
        com.tencent.mm.sdk.platformtools.ab.e(r4, r5, r6);	 Catch:{ all -> 0x00cc }
        if (r3 == 0) goto L_0x0087;
    L_0x00b5:
        r3.close();	 Catch:{ Exception -> 0x00b9 }
        goto L_0x0087;
    L_0x00b9:
        r2 = move-exception;
        r3 = "MicroMsg.WebViewUtil";
        r4 = "close FileOutputStream failed : %s";
        r5 = new java.lang.Object[r1];
        r2 = r2.getMessage();
        r5[r0] = r2;
        com.tencent.mm.sdk.platformtools.ab.e(r3, r4, r5);
        goto L_0x0087;
    L_0x00cc:
        r2 = move-exception;
    L_0x00cd:
        if (r3 == 0) goto L_0x00d2;
    L_0x00cf:
        r3.close();	 Catch:{ Exception -> 0x00d6 }
    L_0x00d2:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r2;
    L_0x00d6:
        r3 = move-exception;
        r4 = "MicroMsg.WebViewUtil";
        r5 = "close FileOutputStream failed : %s";
        r1 = new java.lang.Object[r1];
        r3 = r3.getMessage();
        r1[r0] = r3;
        com.tencent.mm.sdk.platformtools.ab.e(r4, r5, r1);
        goto L_0x00d2;
    L_0x00e9:
        r0 = r9.ffl;
        r0 = android.webkit.URLUtil.isHttpsUrl(r0);
        if (r0 == 0) goto L_0x019d;
    L_0x00f1:
        r0 = new java.net.URL;	 Catch:{ Exception -> 0x0176, all -> 0x0192 }
        r2 = r9.ffl;	 Catch:{ Exception -> 0x0176, all -> 0x0192 }
        r0.<init>(r2);	 Catch:{ Exception -> 0x0176, all -> 0x0192 }
        r0 = r0.openConnection();	 Catch:{ Exception -> 0x0176, all -> 0x0192 }
        r0 = (javax.net.ssl.HttpsURLConnection) r0;	 Catch:{ Exception -> 0x0176, all -> 0x0192 }
        r2 = "GET";
        r0.setRequestMethod(r2);	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r2 = "Cookie";
        r4 = r9.vvX;	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r0.setRequestProperty(r2, r4);	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r2 = 1;
        r0.setAllowUserInteraction(r2);	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r2 = r0.getResponseCode();	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r4 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        if (r2 == r4) goto L_0x015f;
    L_0x0118:
        r4 = 301; // 0x12d float:4.22E-43 double:1.487E-321;
        if (r2 == r4) goto L_0x0120;
    L_0x011c:
        r4 = 302; // 0x12e float:4.23E-43 double:1.49E-321;
        if (r2 != r4) goto L_0x014f;
    L_0x0120:
        r2 = "Location";
        r2 = r0.getHeaderField(r2);	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        if (r2 != 0) goto L_0x0130;
    L_0x0129:
        r2 = "location";
        r2 = r0.getHeaderField(r2);	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
    L_0x0130:
        r4 = "MicroMsg.WebViewUtil";
        r5 = "redirect url = %s";
        r6 = 1;
        r6 = new java.lang.Object[r6];	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r7 = 0;
        r6[r7] = r2;	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        com.tencent.mm.sdk.platformtools.ab.i(r4, r5, r6);	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        if (r4 != 0) goto L_0x014f;
    L_0x0145:
        r9.ffl = r2;	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r9.dlF();	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        a(r0, r3);
        goto L_0x0087;
    L_0x014f:
        r2 = r9.context;	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r4 = 2131305719; // 0x7f0924f7 float:1.8229617E38 double:1.0530049365E-314;
        r2 = r2.getString(r4);	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r9.vvW = r2;	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        a(r0, r3);
        goto L_0x0087;
    L_0x015f:
        r2 = r0.getContentType();	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r3 = r0.getInputStream();	 Catch:{ Exception -> 0x01ad, all -> 0x01a2 }
        r4 = "Content-Disposition";
        r4 = r0.getHeaderField(r4);	 Catch:{ Exception -> 0x01b1, all -> 0x01a6 }
        r9.a(r2, r4, r3);	 Catch:{ Exception -> 0x01b1, all -> 0x01a6 }
        a(r0, r3);
        goto L_0x0087;
    L_0x0176:
        r0 = move-exception;
        r2 = r0;
        r4 = r3;
        r5 = r3;
    L_0x017a:
        r0 = "MicroMsg.WebViewUtil";
        r3 = "download https resource failed : %s";
        r6 = 1;
        r6 = new java.lang.Object[r6];	 Catch:{ all -> 0x01aa }
        r7 = 0;
        r2 = r2.getMessage();	 Catch:{ all -> 0x01aa }
        r6[r7] = r2;	 Catch:{ all -> 0x01aa }
        com.tencent.mm.sdk.platformtools.ab.e(r0, r3, r6);	 Catch:{ all -> 0x01aa }
        a(r5, r4);
        goto L_0x0087;
    L_0x0192:
        r0 = move-exception;
        r1 = r0;
        r4 = r3;
        r5 = r3;
    L_0x0196:
        a(r5, r4);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r1;
    L_0x019d:
        r9.dlF();
        goto L_0x0087;
    L_0x01a2:
        r1 = move-exception;
        r4 = r3;
        r5 = r0;
        goto L_0x0196;
    L_0x01a6:
        r1 = move-exception;
        r4 = r3;
        r5 = r0;
        goto L_0x0196;
    L_0x01aa:
        r0 = move-exception;
        r1 = r0;
        goto L_0x0196;
    L_0x01ad:
        r2 = move-exception;
        r4 = r3;
        r5 = r0;
        goto L_0x017a;
    L_0x01b1:
        r2 = move-exception;
        r4 = r3;
        r5 = r0;
        goto L_0x017a;
    L_0x01b5:
        r2 = move-exception;
        r3 = r4;
        goto L_0x00cd;
    L_0x01b9:
        r2 = move-exception;
        r3 = r4;
        goto L_0x00a0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.pluginsdk.ui.tools.u$c.acf():boolean");
    }
}
