package com.tencent.mm.ui;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.Intent;
import android.util.AttributeSet;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ImageView.ScaleType;
import android.widget.LinearLayout;
import android.widget.LinearLayout.LayoutParams;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.bg.f;
import com.tencent.mm.bp.d;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.t;
import com.tencent.mm.plugin.multitalk.model.a;
import com.tencent.mm.pluginsdk.ui.a.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.ui.base.h;
import java.util.ArrayList;
import java.util.List;

public class MultiTalkRoomPopupNav extends LinearLayout {
    private LinearLayout yoK;
    private View yoL;
    private TextView yoM;
    private TextView yoN;
    private TextView yoO;
    private String yoP;
    private String yoQ;
    private boolean yoR;
    private b yoS = b.ypc;
    private a yoT;
    private final int yoU = 6;
    private LinearLayout yoV;
    public boolean yoW = false;
    private f yoX = new f();

    @TargetApi(11)
    public MultiTalkRoomPopupNav(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(29777);
        initView();
        AppMethodBeat.o(29777);
    }

    public MultiTalkRoomPopupNav(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(29778);
        initView();
        AppMethodBeat.o(29778);
    }

    public void setGroupUserName(String str) {
        this.yoP = str;
    }

    public void setCurrentSenderUserName(String str) {
        this.yoQ = str;
    }

    public void setInChatRoom(boolean z) {
        this.yoR = z;
    }

    public void setMultiTalkInfo(f fVar) {
        this.yoX = fVar;
    }

    private void initView() {
        AppMethodBeat.i(29779);
        inflate(getContext(), 2130970267, this);
        this.yoK = (LinearLayout) findViewById(2131826235);
        this.yoL = findViewById(2131826234);
        this.yoM = (TextView) findViewById(2131826237);
        this.yoN = (TextView) findViewById(2131826238);
        this.yoO = (TextView) findViewById(2131826239);
        this.yoV = (LinearLayout) findViewById(2131826242);
        this.yoK.setOnClickListener(new 1(this));
        AppMethodBeat.o(29779);
    }

    public final void pV(boolean z) {
        AppMethodBeat.i(29780);
        this.yoW = false;
        if (this.yoP == null || this.yoQ == null) {
            ab.e("MicroMsg.MultiTalkRoomPopupNav", "groupUserName or currentSenderUserName is null! groupUserName:" + this.yoP + ",currentSenderUserName:" + this.yoQ);
            AppMethodBeat.o(29780);
            return;
        }
        String str = this.yoP;
        if (((a) g.K(a.class)).RV(str)) {
            List RY = ((a) g.K(a.class)).RY(str);
            if (RY.size() == 0) {
                ((a) g.K(a.class)).pI(str);
                dyV();
                AppMethodBeat.o(29780);
                return;
            }
            int fg = ((a) g.K(a.class)).fg(str, this.yoQ);
            if (fg == 1) {
                setUserTalkingStatus(b.ypa);
                if (((a) g.K(a.class)).RZ(str)) {
                    dyV();
                    AppMethodBeat.o(29780);
                    return;
                }
                setInvitingBannerStyle(((a) g.K(a.class)).mJ(((a) g.K(a.class)).fh(str, this.yoQ)));
            } else if (fg == 10) {
                setUserTalkingStatus(b.ypb);
                if (((a) g.K(a.class)).RZ(str)) {
                    dyV();
                    AppMethodBeat.o(29780);
                    return;
                } else if (((a) g.K(a.class)).bRd()) {
                    dyV();
                    AppMethodBeat.o(29780);
                    return;
                } else {
                    setUserTalkingStatus(b.ypc);
                    setDefaultBannerStyle(ah.getContext().getString(2131301565, new Object[]{Integer.valueOf(RY.size())}));
                }
            } else {
                setUserTalkingStatus(b.ypc);
                setDefaultBannerStyle(ah.getContext().getString(2131301565, new Object[]{Integer.valueOf(RY.size())}));
            }
            setVisibility(0);
            this.yoK.setVisibility(0);
            this.yoL.setVisibility(0);
            if (this.yoT != null && (z || this.yoV == null || this.yoV.getVisibility() != 0)) {
                this.yoT.close();
            }
            eM(k(RY, ""));
            AppMethodBeat.o(29780);
            return;
        }
        dyV();
        AppMethodBeat.o(29780);
    }

    public void setUserTalkingStatus(b bVar) {
        this.yoS = bVar;
    }

    private void setTalkingBannerStyle(String str) {
        AppMethodBeat.i(29781);
        this.yoL.setBackgroundResource(2130839633);
        this.yoM.setTextColor(getResources().getColor(2131690296));
        this.yoM.setText(str);
        this.yoM.setVisibility(0);
        this.yoO.setVisibility(8);
        this.yoN.setVisibility(8);
        AppMethodBeat.o(29781);
    }

    private void setInvitingBannerStyle(String str) {
        AppMethodBeat.i(29782);
        this.yoL.setBackgroundResource(2130839633);
        this.yoN.setTextColor(getResources().getColor(2131690294));
        this.yoN.setText(str);
        this.yoM.setVisibility(8);
        this.yoO.setVisibility(0);
        this.yoN.setVisibility(0);
        this.yoV.setVisibility(8);
        AppMethodBeat.o(29782);
    }

    private void setDefaultBannerStyle(String str) {
        AppMethodBeat.i(29783);
        this.yoL.setBackgroundResource(2130839625);
        this.yoM.setTextColor(getResources().getColor(2131690294));
        this.yoM.setText(str);
        if (this.yoV == null || this.yoV.getVisibility() != 0) {
            this.yoM.setVisibility(0);
            this.yoO.setVisibility(8);
            this.yoN.setVisibility(8);
            this.yoV.setVisibility(8);
        }
        AppMethodBeat.o(29783);
    }

    public final void dyV() {
        AppMethodBeat.i(29784);
        this.yoW = false;
        setVisibility(8);
        if (this.yoT != null) {
            this.yoT.close();
        }
        AppMethodBeat.o(29784);
    }

    private void d(String str, List<String> list, final String str2) {
        AppMethodBeat.i(29785);
        this.yoL.setVisibility(8);
        this.yoK.setVisibility(8);
        this.yoT = new a(this, this.yoS == b.ypa, (byte) 0);
        a aVar = this.yoT;
        AnonymousClass2 anonymousClass2 = new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(29770);
                ab.i("MicroMsg.MultiTalkRoomPopupNav", "click enter button..");
                if (str2 != null) {
                    if (((a) g.K(a.class)).bRb()) {
                        ab.e("MicroMsg.MultiTalkRoomPopupNav", "now is in other voip..");
                        h.b(MultiTalkRoomPopupNav.this.getContext(), ah.getContext().getString(2131301550), null, true);
                        AppMethodBeat.o(29770);
                        return;
                    }
                    List RY = ((a) g.K(a.class)).RY(MultiTalkRoomPopupNav.this.yoP);
                    com.tencent.mm.plugin.report.service.h hVar;
                    Object[] objArr;
                    int i;
                    if (RY.size() == 1) {
                        MultiTalkRoomPopupNav.aqH(str2);
                        com.tencent.mm.plugin.report.service.h.pYm.e(13945, new Object[]{Integer.valueOf(1), Integer.valueOf(0), Integer.valueOf(0), Integer.valueOf(1), MultiTalkRoomPopupNav.this.yoP, Integer.valueOf(MultiTalkRoomPopupNav.this.yoX.field_roomId), Long.valueOf(MultiTalkRoomPopupNav.this.yoX.field_roomKey)});
                    } else if (RY.size() >= 9) {
                        ab.e("MicroMsg.MultiTalkRoomPopupNav", "now is up to the limit,memberList size:" + RY.size());
                        h.b(MultiTalkRoomPopupNav.this.getContext(), ah.getContext().getString(2131301554, new Object[]{Integer.valueOf(9)}), null, true);
                        hVar = com.tencent.mm.plugin.report.service.h.pYm;
                        objArr = new Object[7];
                        objArr[0] = Integer.valueOf(1);
                        if (MultiTalkRoomPopupNav.this.yoS == b.ypa) {
                            i = 1;
                        } else {
                            i = 0;
                        }
                        objArr[1] = Integer.valueOf(i);
                        objArr[2] = Integer.valueOf(1);
                        objArr[3] = Integer.valueOf(1);
                        objArr[4] = MultiTalkRoomPopupNav.this.yoP;
                        objArr[5] = Integer.valueOf(MultiTalkRoomPopupNav.this.yoX.field_roomId);
                        objArr[6] = Long.valueOf(MultiTalkRoomPopupNav.this.yoX.field_roomKey);
                        hVar.e(13945, objArr);
                        AppMethodBeat.o(29770);
                        return;
                    } else if (((a) g.K(a.class)).bRa()) {
                        ab.e("MicroMsg.MultiTalkRoomPopupNav", "now is inviting other people voip..");
                        h.b(MultiTalkRoomPopupNav.this.getContext(), ah.getContext().getString(2131301548), null, true);
                        hVar = com.tencent.mm.plugin.report.service.h.pYm;
                        objArr = new Object[7];
                        objArr[0] = Integer.valueOf(1);
                        if (MultiTalkRoomPopupNav.this.yoS == b.ypa) {
                            i = 1;
                        } else {
                            i = 0;
                        }
                        objArr[1] = Integer.valueOf(i);
                        objArr[2] = Integer.valueOf(0);
                        objArr[3] = Integer.valueOf(1);
                        objArr[4] = MultiTalkRoomPopupNav.this.yoP;
                        objArr[5] = Integer.valueOf(MultiTalkRoomPopupNav.this.yoX.field_roomId);
                        objArr[6] = Long.valueOf(MultiTalkRoomPopupNav.this.yoX.field_roomKey);
                        hVar.e(13945, objArr);
                        AppMethodBeat.o(29770);
                        return;
                    } else {
                        MultiTalkRoomPopupNav.a(MultiTalkRoomPopupNav.this, str2);
                    }
                }
                MultiTalkRoomPopupNav.this.yoT.close();
                MultiTalkRoomPopupNav.this.yoK.setVisibility(0);
                MultiTalkRoomPopupNav.this.yoL.setVisibility(0);
                MultiTalkRoomPopupNav.this.yoV.setVisibility(8);
                AppMethodBeat.o(29770);
            }
        };
        3 3 = new 3(this, str2);
        aVar.titleView.setText(str);
        aVar.yoZ.setVisibility(0);
        aVar.yoY.yoV.setVisibility(0);
        aVar.yoY.yoV.removeAllViews();
        for (String str3 : list) {
            ImageView imageView = new ImageView(aVar.yoY.getContext());
            LayoutParams layoutParams = new LayoutParams(com.tencent.mm.bz.a.fromDPToPix(ah.getContext(), 26), com.tencent.mm.bz.a.fromDPToPix(ah.getContext(), 26));
            layoutParams.rightMargin = com.tencent.mm.bz.a.fromDPToPix(ah.getContext(), 10);
            imageView.setScaleType(ScaleType.FIT_CENTER);
            imageView.setLayoutParams(layoutParams);
            aVar.yoY.yoV.addView(imageView);
            b.b(imageView, str3);
        }
        ((Button) aVar.yoY.findViewById(2131826246)).setOnClickListener(anonymousClass2);
        ((Button) aVar.yoY.findViewById(2131826245)).setOnClickListener(3);
        AppMethodBeat.o(29785);
    }

    private void eM(List<String> list) {
        AppMethodBeat.i(29786);
        if (this.yoV != null && this.yoV.getVisibility() == 0) {
            this.yoV.removeAllViews();
            for (String str : list) {
                ImageView imageView = new ImageView(getContext());
                LayoutParams layoutParams = new LayoutParams(com.tencent.mm.bz.a.fromDPToPix(ah.getContext(), 26), com.tencent.mm.bz.a.fromDPToPix(ah.getContext(), 26));
                layoutParams.rightMargin = com.tencent.mm.bz.a.fromDPToPix(ah.getContext(), 10);
                imageView.setScaleType(ScaleType.FIT_CENTER);
                imageView.setLayoutParams(layoutParams);
                this.yoV.addView(imageView);
                b.b(imageView, str);
            }
        }
        AppMethodBeat.o(29786);
    }

    private static List<String> k(List<String> list, String str) {
        AppMethodBeat.i(29787);
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        if (!(str == null || str == "")) {
            for (String str2 : list) {
                if (!(str2 == null || str2.equals(str))) {
                    arrayList2.add(str2);
                }
            }
            List list2 = arrayList2;
        }
        for (String str22 : list2) {
            arrayList.add(str22);
        }
        AppMethodBeat.o(29787);
        return arrayList;
    }

    static /* synthetic */ void a(MultiTalkRoomPopupNav multiTalkRoomPopupNav) {
        int i = 0;
        AppMethodBeat.i(29788);
        com.tencent.mm.plugin.report.service.h hVar;
        Object[] objArr;
        int i2;
        if (multiTalkRoomPopupNav.yoP == null || multiTalkRoomPopupNav.yoQ == null) {
            ab.e("MicroMsg.MultiTalkRoomPopupNav", "groupUserName or currentSenderUserName is null! groupUserName:" + multiTalkRoomPopupNav.yoP + ",currentSenderUserName:" + multiTalkRoomPopupNav.yoQ);
            AppMethodBeat.o(29788);
        } else if (!t.kH(multiTalkRoomPopupNav.yoP) || multiTalkRoomPopupNav.yoR) {
            String str = multiTalkRoomPopupNav.yoP;
            if (((a) g.K(a.class)).RV(str)) {
                List RY = ((a) g.K(a.class)).RY(str);
                if (RY.size() == 0) {
                    ab.e("MicroMsg.MultiTalkRoomPopupNav", "dealWithMultiTalkroomClick multiTalkMemberList is empty!");
                    h.b(multiTalkRoomPopupNav.getContext(), ah.getContext().getString(2131301572), null, true);
                    multiTalkRoomPopupNav.dyV();
                    hVar = com.tencent.mm.plugin.report.service.h.pYm;
                    objArr = new Object[7];
                    objArr[0] = Integer.valueOf(4);
                    if (multiTalkRoomPopupNav.yoS == b.ypa) {
                        i2 = 1;
                    } else {
                        i2 = 0;
                    }
                    objArr[1] = Integer.valueOf(i2);
                    objArr[2] = Integer.valueOf(0);
                    objArr[3] = Integer.valueOf(1);
                    objArr[4] = multiTalkRoomPopupNav.yoP;
                    objArr[5] = Integer.valueOf(multiTalkRoomPopupNav.yoX.field_roomId);
                    objArr[6] = Long.valueOf(multiTalkRoomPopupNav.yoX.field_roomKey);
                    hVar.e(13945, objArr);
                    AppMethodBeat.o(29788);
                    return;
                }
                if (RY.size() == 1) {
                    ab.i("MicroMsg.MultiTalkRoomPopupNav", "just one now member now! wait for back service process!");
                }
                String string;
                List k;
                if (multiTalkRoomPopupNav.yoS == b.ypb) {
                    multiTalkRoomPopupNav.yoW = true;
                    Intent intent = new Intent();
                    intent.putExtra("enterMainUiSource", 2);
                    intent.putExtra("enterMainUiWxGroupId", str);
                    d.b(ah.getContext(), "multitalk", ".ui.MultiTalkMainUI", intent);
                    hVar = com.tencent.mm.plugin.report.service.h.pYm;
                    objArr = new Object[7];
                    objArr[0] = Integer.valueOf(4);
                    if (multiTalkRoomPopupNav.yoS == b.ypa) {
                        i2 = 1;
                    } else {
                        i2 = 0;
                    }
                    objArr[1] = Integer.valueOf(i2);
                    objArr[2] = Integer.valueOf(0);
                    objArr[3] = Integer.valueOf(0);
                    objArr[4] = multiTalkRoomPopupNav.yoP;
                    objArr[5] = Integer.valueOf(multiTalkRoomPopupNav.yoX.field_roomId);
                    objArr[6] = Long.valueOf(multiTalkRoomPopupNav.yoX.field_roomKey);
                    hVar.e(13945, objArr);
                    AppMethodBeat.o(29788);
                    return;
                } else if (multiTalkRoomPopupNav.yoS == b.ypa) {
                    if (((a) g.K(a.class)).fh(str, multiTalkRoomPopupNav.yoQ) != null) {
                        string = ah.getContext().getString(2131299206, new Object[]{((a) g.K(a.class)).mJ(r5)});
                        k = k(RY, multiTalkRoomPopupNav.yoQ);
                        RY.size();
                        multiTalkRoomPopupNav.d(string, k, str);
                    }
                    hVar = com.tencent.mm.plugin.report.service.h.pYm;
                    objArr = new Object[7];
                    objArr[0] = Integer.valueOf(4);
                    if (multiTalkRoomPopupNav.yoS == b.ypa) {
                        i2 = 1;
                    } else {
                        i2 = 0;
                    }
                    objArr[1] = Integer.valueOf(i2);
                    objArr[2] = Integer.valueOf(0);
                    objArr[3] = Integer.valueOf(0);
                    objArr[4] = multiTalkRoomPopupNav.yoP;
                    objArr[5] = Integer.valueOf(multiTalkRoomPopupNav.yoX.field_roomId);
                    objArr[6] = Long.valueOf(multiTalkRoomPopupNav.yoX.field_roomKey);
                    hVar.e(13945, objArr);
                    AppMethodBeat.o(29788);
                    return;
                } else if (((a) g.K(a.class)).bRb()) {
                    h.b(multiTalkRoomPopupNav.getContext(), ah.getContext().getString(2131301550), null, true);
                    hVar = com.tencent.mm.plugin.report.service.h.pYm;
                    objArr = new Object[7];
                    objArr[0] = Integer.valueOf(4);
                    if (multiTalkRoomPopupNav.yoS == b.ypa) {
                        i2 = 1;
                    } else {
                        i2 = 0;
                    }
                    objArr[1] = Integer.valueOf(i2);
                    objArr[2] = Integer.valueOf(0);
                    objArr[3] = Integer.valueOf(1);
                    objArr[4] = multiTalkRoomPopupNav.yoP;
                    objArr[5] = Integer.valueOf(multiTalkRoomPopupNav.yoX.field_roomId);
                    objArr[6] = Long.valueOf(multiTalkRoomPopupNav.yoX.field_roomKey);
                    hVar.e(13945, objArr);
                    AppMethodBeat.o(29788);
                    return;
                } else if (RY.size() >= 9) {
                    h.b(multiTalkRoomPopupNav.getContext(), ah.getContext().getString(2131301554, new Object[]{Integer.valueOf(9)}), null, true);
                    com.tencent.mm.plugin.report.service.h hVar2 = com.tencent.mm.plugin.report.service.h.pYm;
                    Object[] objArr2 = new Object[7];
                    objArr2[0] = Integer.valueOf(4);
                    if (multiTalkRoomPopupNav.yoS == b.ypa) {
                        i = 1;
                    }
                    objArr2[1] = Integer.valueOf(i);
                    objArr2[2] = Integer.valueOf(1);
                    objArr2[3] = Integer.valueOf(1);
                    objArr2[4] = multiTalkRoomPopupNav.yoP;
                    objArr2[5] = Integer.valueOf(multiTalkRoomPopupNav.yoX.field_roomId);
                    objArr2[6] = Long.valueOf(multiTalkRoomPopupNav.yoX.field_roomKey);
                    hVar2.e(13945, objArr2);
                    AppMethodBeat.o(29788);
                    return;
                } else {
                    string = ah.getContext().getString(2131301583);
                    k = k(RY, "");
                    RY.size();
                    multiTalkRoomPopupNav.d(string, k, str);
                    com.tencent.mm.plugin.report.service.h.pYm.e(13945, new Object[]{Integer.valueOf(4), Integer.valueOf(0), Integer.valueOf(0), Integer.valueOf(0), multiTalkRoomPopupNav.yoP, Integer.valueOf(multiTalkRoomPopupNav.yoX.field_roomId), Long.valueOf(multiTalkRoomPopupNav.yoX.field_roomKey)});
                    AppMethodBeat.o(29788);
                    return;
                }
            }
            ab.e("MicroMsg.MultiTalkRoomPopupNav", "dealWithMultiTalkroomClick multiTalkInfo is null!");
            h.b(multiTalkRoomPopupNav.getContext(), ah.getContext().getString(2131301572), null, true);
            multiTalkRoomPopupNav.dyV();
            hVar = com.tencent.mm.plugin.report.service.h.pYm;
            objArr = new Object[7];
            objArr[0] = Integer.valueOf(4);
            if (multiTalkRoomPopupNav.yoS == b.ypa) {
                i2 = 1;
            } else {
                i2 = 0;
            }
            objArr[1] = Integer.valueOf(i2);
            objArr[2] = Integer.valueOf(0);
            objArr[3] = Integer.valueOf(1);
            objArr[4] = multiTalkRoomPopupNav.yoP;
            objArr[5] = Integer.valueOf(multiTalkRoomPopupNav.yoX.field_roomId);
            objArr[6] = Long.valueOf(multiTalkRoomPopupNav.yoX.field_roomKey);
            hVar.e(13945, objArr);
            AppMethodBeat.o(29788);
        } else {
            h.b(multiTalkRoomPopupNav.getContext(), ah.getContext().getString(2131301561), null, true);
            multiTalkRoomPopupNav.dyV();
            ((a) g.K(a.class)).pI(multiTalkRoomPopupNav.yoP);
            hVar = com.tencent.mm.plugin.report.service.h.pYm;
            objArr = new Object[7];
            objArr[0] = Integer.valueOf(4);
            if (multiTalkRoomPopupNav.yoS == b.ypa) {
                i2 = 1;
            } else {
                i2 = 0;
            }
            objArr[1] = Integer.valueOf(i2);
            objArr[2] = Integer.valueOf(0);
            objArr[3] = Integer.valueOf(1);
            objArr[4] = multiTalkRoomPopupNav.yoP;
            objArr[5] = Integer.valueOf(multiTalkRoomPopupNav.yoX.field_roomId);
            objArr[6] = Long.valueOf(multiTalkRoomPopupNav.yoX.field_roomKey);
            hVar.e(13945, objArr);
            AppMethodBeat.o(29788);
        }
    }

    static /* synthetic */ void aqH(String str) {
        AppMethodBeat.i(29789);
        ab.i("MicroMsg.MultiTalkRoomPopupNav", "when only on menber do clear banner!");
        ((a) g.K(a.class)).Sc(str);
        ab.i("MicroMsg.MultiTalkRoomPopupNav", "when only on member do exit talk!");
        if (!((a) g.K(a.class)).Sa(str)) {
            ab.i("MicroMsg.MultiTalkRoomPopupNav", "when only on member do exit talk failure! groupId:".concat(String.valueOf(str)));
        }
        AppMethodBeat.o(29789);
    }

    static /* synthetic */ void a(MultiTalkRoomPopupNav multiTalkRoomPopupNav, String str) {
        AppMethodBeat.i(29790);
        ab.i("MicroMsg.MultiTalkRoomPopupNav", "now try enter multitalk:".concat(String.valueOf(str)));
        com.tencent.mm.plugin.report.service.h hVar;
        Object[] objArr;
        if (((a) g.K(a.class)).Sb(str)) {
            int i;
            ((a) g.K(a.class)).Se(str);
            hVar = com.tencent.mm.plugin.report.service.h.pYm;
            objArr = new Object[7];
            objArr[0] = Integer.valueOf(1);
            if (multiTalkRoomPopupNav.yoS == b.ypa) {
                i = 1;
            } else {
                i = 0;
            }
            objArr[1] = Integer.valueOf(i);
            objArr[2] = Integer.valueOf(0);
            objArr[3] = Integer.valueOf(0);
            objArr[4] = multiTalkRoomPopupNav.yoP;
            objArr[5] = Integer.valueOf(multiTalkRoomPopupNav.yoX.field_roomId);
            objArr[6] = Long.valueOf(multiTalkRoomPopupNav.yoX.field_roomKey);
            hVar.e(13945, objArr);
            AppMethodBeat.o(29790);
            return;
        }
        ab.e("MicroMsg.MultiTalkRoomPopupNav", "try enter fail!".concat(String.valueOf(str)));
        Toast.makeText(ah.getContext(), ah.getContext().getString(2131301535), 0).show();
        hVar = com.tencent.mm.plugin.report.service.h.pYm;
        objArr = new Object[7];
        objArr[0] = Integer.valueOf(1);
        objArr[1] = Integer.valueOf(multiTalkRoomPopupNav.yoS == b.ypa ? 1 : 0);
        objArr[2] = Integer.valueOf(0);
        objArr[3] = Integer.valueOf(1);
        objArr[4] = multiTalkRoomPopupNav.yoP;
        objArr[5] = Integer.valueOf(multiTalkRoomPopupNav.yoX.field_roomId);
        objArr[6] = Long.valueOf(multiTalkRoomPopupNav.yoX.field_roomKey);
        hVar.e(13945, objArr);
        AppMethodBeat.o(29790);
    }
}
