package com.tencent.mm.ui.contact;

import android.os.Looper;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.fts.a.a.a;
import com.tencent.mm.plugin.fts.a.a.g;
import com.tencent.mm.plugin.fts.a.a.i;
import com.tencent.mm.plugin.fts.a.a.l;
import com.tencent.mm.plugin.fts.a.n;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.ui.contact.a.c;
import com.tencent.mm.ui.contact.a.e;
import com.tencent.mm.ui.contact.a.h;
import com.tencent.mm.ui.contact.a.j;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;

public class q extends m {
    private int count = 0;
    private ak handler = new ak(Looper.getMainLooper());
    private g mDz;
    private a mEx;
    private List<l> mGW = null;
    private List<l> oov = null;
    private String query;
    private int zkK = Integer.MAX_VALUE;
    private int zkL = Integer.MAX_VALUE;
    private List<String> znn;
    private int zno = Integer.MAX_VALUE;
    private int znp = Integer.MAX_VALUE;
    private int znq = Integer.MAX_VALUE;
    private boolean znr = true;
    private int zns = Integer.MAX_VALUE;
    private boolean znt = true;
    private int znu = Integer.MAX_VALUE;
    private List<l> znv = null;
    private List<l> znw = null;
    private List<Integer> znx;
    private com.tencent.mm.plugin.fts.a.l zny = new 1(this);
    protected com.tencent.mm.plugin.fts.a.l znz = new 2(this);

    static /* synthetic */ void b(q qVar) {
        AppMethodBeat.i(105247);
        qVar.dIe();
        AppMethodBeat.o(105247);
    }

    public q(MMBaseSelectContactUI mMBaseSelectContactUI, List<String> list, boolean z, int i) {
        super(mMBaseSelectContactUI, z, i);
        AppMethodBeat.i(105233);
        this.znn = list;
        this.znx = new ArrayList();
        ab.i("MicroMsg.MMSearchContactAdapter", "Create!");
        Kh();
        AppMethodBeat.o(105233);
    }

    public void ci(String str, boolean z) {
        AppMethodBeat.i(105234);
        if (this.zmU != null) {
            this.zmU.w(str, getCount(), z);
        }
        AppMethodBeat.o(105234);
    }

    public void a(String str, int[] iArr, boolean z) {
        AppMethodBeat.i(105235);
        clearTask();
        this.query = str;
        this.znx.clear();
        for (int valueOf : iArr) {
            this.znx.add(Integer.valueOf(valueOf));
        }
        HashSet hashSet = new HashSet();
        if (!z) {
            hashSet.add("filehelper");
        }
        ab.i("MicroMsg.MMSearchContactAdapter", "doSearch: query=%s", new Object[]{this.query});
        i iVar = new i();
        iVar.query = str;
        iVar.mEr = iArr;
        iVar.mEt = 3;
        iVar.mEw = this.zny;
        iVar.handler = this.handler;
        iVar.scene = 1;
        iVar.mEu = hashSet;
        this.mEx = ((n) com.tencent.mm.kernel.g.M(n.class)).search(1, iVar);
        AppMethodBeat.o(105235);
    }

    private void clearTask() {
        AppMethodBeat.i(105236);
        if (this.mEx != null) {
            ((n) com.tencent.mm.kernel.g.M(n.class)).cancelSearchTask(this.mEx);
            this.mEx = null;
        }
        AppMethodBeat.o(105236);
    }

    private void dIe() {
        AppMethodBeat.i(105237);
        this.znp = Integer.MAX_VALUE;
        this.znq = Integer.MAX_VALUE;
        this.znr = true;
        this.zns = Integer.MAX_VALUE;
        this.zkK = Integer.MAX_VALUE;
        this.znt = true;
        this.znu = Integer.MAX_VALUE;
        this.zkL = Integer.MAX_VALUE;
        this.znv = null;
        this.oov = null;
        this.mGW = null;
        this.znw = null;
        this.mDz = null;
        clearCache();
        notifyDataSetChanged();
        AppMethodBeat.o(105237);
    }

    private void Kh() {
        AppMethodBeat.i(105238);
        ab.i("MicroMsg.MMSearchContactAdapter", "initData!");
        this.query = null;
        dIe();
        clearTask();
        clearCache();
        AppMethodBeat.o(105238);
    }

    public final void clearData() {
        AppMethodBeat.i(105239);
        Kh();
        AppMethodBeat.o(105239);
    }

    private void j(String str, boolean z, boolean z2) {
        AppMethodBeat.i(105240);
        int fp = fp(this.znv);
        int fp2 = fp(this.oov);
        int fp3 = fp(this.mGW);
        int fp4 = fp(this.znw);
        if (fp > 0) {
            this.znp = 0;
            fp = (fp + 1) + 0;
        } else {
            this.znp = Integer.MAX_VALUE;
            fp = 0;
        }
        if (fp2 > 0) {
            this.znq = fp;
            if (fp2 <= 3 || (fp3 <= 0 && fp4 <= 0)) {
                this.zns = Integer.MAX_VALUE;
                fp += fp2 + 1;
            } else if (this.znr) {
                fp += 4;
                this.zns = fp;
                fp++;
            } else {
                fp += fp2 + 1;
                this.zns = fp;
                fp++;
            }
        } else {
            this.znq = Integer.MAX_VALUE;
        }
        if (this.mDz.mEa.length <= 1 || clI()) {
            this.zno = Integer.MAX_VALUE;
        } else {
            this.zno = fp;
            fp++;
        }
        if (fp3 > 0) {
            this.zkK = fp;
            if (fp3 <= 3 || fp4 <= 0) {
                this.znu = Integer.MAX_VALUE;
                fp += fp3 + 1;
            } else if (this.znt) {
                fp += 4;
                this.znu = fp;
                fp++;
            } else {
                fp += fp3 + 1;
                this.znu = fp;
                fp++;
            }
        } else {
            this.zkK = Integer.MAX_VALUE;
        }
        if (fp4 > 0) {
            this.zkL = fp;
            fp += fp4 + 1;
        } else {
            this.zkL = Integer.MAX_VALUE;
        }
        ab.i("MicroMsg.MMSearchContactAdapter", "setCount %d", new Object[]{Integer.valueOf(fp)});
        this.count = fp;
        if (z2) {
            ci(str, z);
        }
        clearCache();
        notifyDataSetChanged();
        AppMethodBeat.o(105240);
    }

    public int getCount() {
        return this.count;
    }

    private static int fp(List<? extends Object> list) {
        AppMethodBeat.i(105241);
        if (list == null) {
            AppMethodBeat.o(105241);
            return 0;
        }
        int size = list.size();
        AppMethodBeat.o(105241);
        return size;
    }

    /* Access modifiers changed, original: protected */
    public com.tencent.mm.ui.contact.a.a mP(int i) {
        AppMethodBeat.i(105242);
        com.tencent.mm.ui.contact.a.a aVar = null;
        int i2;
        e eVar;
        c cVar;
        if (i == this.zno) {
            aVar = new com.tencent.mm.ui.contact.a.g(i);
            aVar.eDk = true;
        } else if (i == this.znp) {
            aVar = hq(2131300122, i);
        } else if (i == this.znq) {
            aVar = hq(2131300106, i);
        } else if (i == this.zkK) {
            aVar = hq(2131300105, i);
        } else if (i == this.zkL) {
            aVar = hq(2131300103, i);
        } else if (i == this.zns) {
            aVar = y(2131300106, i, this.znr);
        } else if (i == this.znu) {
            aVar = y(2131300105, i, this.znt);
        } else if (i > this.zkL) {
            i2 = (i - this.zkL) - 1;
            eVar = new e(i);
            eVar.hpS = (l) this.znw.get(i2);
            eVar.zmW = clI();
            eVar.eDk = true;
            eVar.mFm = i2 + 1;
            eVar.ej(eVar.hpS.type, eVar.hpS.mDw);
            aVar = eVar;
        } else if (i > this.zkK) {
            i2 = (i - this.zkK) - 1;
            cVar = new c(i);
            cVar.hpS = (l) this.mGW.get(i2);
            cVar.zmW = clI();
            cVar.eDk = true;
            cVar.mFm = i2 + 1;
            cVar.ej(cVar.hpS.type, cVar.hpS.mDw);
            aVar = cVar;
        } else if (i > this.znq) {
            i2 = (i - this.znq) - 1;
            eVar = new e(i);
            eVar.hpS = (l) this.oov.get(i2);
            eVar.zmW = clI();
            eVar.eDk = true;
            eVar.mFm = i2 + 1;
            eVar.ej(eVar.hpS.type, eVar.hpS.mDw);
            aVar = eVar;
        } else if (i > this.znp) {
            i2 = (i - this.znp) - 1;
            l lVar = (l) this.znv.get(i2);
            if (lVar.type == 131072 || lVar.type == 131076 || lVar.type == 131081) {
                eVar = new e(i);
                eVar.hpS = lVar;
                eVar.zmW = clI();
                eVar.zpC = true;
                eVar.eDk = true;
                eVar.mFm = i2 + 1;
                eVar.ej(eVar.hpS.type, eVar.hpS.mDw);
                aVar = eVar;
            } else if (lVar.type == 131075) {
                cVar = new c(i);
                cVar.hpS = lVar;
                cVar.zmW = clI();
                cVar.zpC = true;
                cVar.eDk = true;
                cVar.mFm = i2 + 1;
                cVar.ej(cVar.hpS.type, cVar.hpS.mDw);
                aVar = cVar;
            } else {
                ab.e("MicroMsg.MMSearchContactAdapter", "createTopHitsDataItem return unkown type %d", new Object[]{Integer.valueOf(lVar.type)});
                aVar = null;
            }
        } else {
            ab.e("MicroMsg.MMSearchContactAdapter", "unkown position=%d", new Object[]{Integer.valueOf(i)});
        }
        if (aVar != null) {
            aVar.query = this.query;
            aVar.mDz = this.mDz;
            aVar.scene = this.scene;
        }
        AppMethodBeat.o(105242);
        return aVar;
    }

    private static com.tencent.mm.ui.contact.a.a y(int i, int i2, boolean z) {
        AppMethodBeat.i(105243);
        j jVar = new j(i2);
        jVar.resId = i;
        jVar.mJY = z;
        AppMethodBeat.o(105243);
        return jVar;
    }

    private com.tencent.mm.ui.contact.a.a hq(int i, int i2) {
        AppMethodBeat.i(105244);
        h hVar = new h(i2);
        hVar.mKQ = this.zmV.getActivity().getResources().getString(i);
        AppMethodBeat.o(105244);
        return hVar;
    }

    public void finish() {
        AppMethodBeat.i(105245);
        super.finish();
        ab.i("MicroMsg.MMSearchContactAdapter", "finish!");
        Kh();
        AppMethodBeat.o(105245);
    }

    /* Access modifiers changed, original: protected */
    public boolean c(com.tencent.mm.ui.contact.a.a aVar) {
        int i = aVar.position + 1;
        int[] iArr = new int[]{this.znp, this.znq, this.zkK, this.zkL};
        for (int i2 = 0; i2 < 4; i2++) {
            if (i == iArr[i2]) {
                return true;
            }
        }
        return false;
    }

    public final boolean Po(int i) {
        boolean z = true;
        AppMethodBeat.i(105246);
        int headerViewsCount = i - this.zmV.getContentLV().getHeaderViewsCount();
        if (headerViewsCount == this.zns) {
            if (this.znr) {
                headerViewsCount = this.zmV.getContentLV().getSelectedItemPosition();
                this.znr = false;
                j(this.query, true, false);
                this.zmV.getContentLV().setSelection(headerViewsCount);
            } else {
                this.znr = true;
                j(this.query, true, false);
                this.zmV.getContentLV().setSelection(this.zns);
            }
        } else if (headerViewsCount != this.znu) {
            com.tencent.mm.ui.contact.a.a Pn = Pn(headerViewsCount);
            if (!(Pn == null || !Pn.eDk || this.zno == Integer.MAX_VALUE)) {
                if (Pn.position == this.zno) {
                    y.Pp(1);
                    z = false;
                } else {
                    y.Pp(0);
                }
            }
            z = false;
        } else if (this.znt) {
            headerViewsCount = this.zmV.getContentLV().getSelectedItemPosition();
            this.znt = false;
            j(this.query, true, false);
            this.zmV.getContentLV().setSelection(headerViewsCount);
        } else {
            this.znt = true;
            j(this.query, true, false);
            this.zmV.getContentLV().setSelection(this.znu);
        }
        AppMethodBeat.o(105246);
        return z;
    }
}
