package com.tencent.soter.core.biometric;

import android.content.Context;
import android.os.CancellationSignal;
import android.os.Handler;
import com.tencent.soter.core.biometric.BiometricManagerCompat.AuthenticationCallback;
import com.tencent.soter.core.biometric.BiometricManagerCompat.CryptoObject;

interface BiometricManagerCompat$IBiometricManager {
    void authenticate(Context context, CryptoObject cryptoObject, int i, CancellationSignal cancellationSignal, AuthenticationCallback authenticationCallback, Handler handler);

    String getBiometricName(Context context);

    boolean hasEnrolledBiometric(Context context);

    boolean isHardwareDetected(Context context);
}
