package com.google.android.gms.common.server.converter;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelWriter;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Class;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Constructor;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Field;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Param;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.VersionField;
import com.tencent.matrix.trace.core.AppMethodBeat;

@Class(creator = "StringToIntConverterEntryCreator")
public final class StringToIntConverter$Entry extends AbstractSafeParcelable {
    public static final Creator<StringToIntConverter$Entry> CREATOR = new StringToIntConverterEntryCreator();
    @VersionField(id = 1)
    private final int versionCode;
    @Field(id = 2)
    final String zzwh;
    @Field(id = 3)
    final int zzwi;

    static {
        AppMethodBeat.i(61449);
        AppMethodBeat.o(61449);
    }

    @Constructor
    StringToIntConverter$Entry(@Param(id = 1) int i, @Param(id = 2) String str, @Param(id = 3) int i2) {
        this.versionCode = i;
        this.zzwh = str;
        this.zzwi = i2;
    }

    StringToIntConverter$Entry(String str, int i) {
        this.versionCode = 1;
        this.zzwh = str;
        this.zzwi = i;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(61448);
        int beginObjectHeader = SafeParcelWriter.beginObjectHeader(parcel);
        SafeParcelWriter.writeInt(parcel, 1, this.versionCode);
        SafeParcelWriter.writeString(parcel, 2, this.zzwh, false);
        SafeParcelWriter.writeInt(parcel, 3, this.zzwi);
        SafeParcelWriter.finishObjectHeader(parcel, beginObjectHeader);
        AppMethodBeat.o(61448);
    }
}
