package com.tencent.mm.media.c;

import a.f.a.b;
import a.f.b.j;
import a.l;
import a.y;
import android.media.MediaCodec;
import android.media.MediaCodec.Callback;
import android.os.Handler;
import android.os.HandlerThread;
import android.view.Surface;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.media.e.a;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ab;

@l(dWo = {1, 1, 13}, dWp = {"\u0000K\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\t\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0005*\u0001\u0011\u0018\u00002\u00020\u0001BF\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\b\b\u0002\u0010\u0004\u001a\u00020\u0003\u0012\u0006\u0010\u0005\u001a\u00020\u0006\u0012\b\u0010\u0007\u001a\u0004\u0018\u00010\b\u0012\u001b\b\u0002\u0010\t\u001a\u0015\u0012\u0004\u0012\u00020\u0001\u0012\u0004\u0012\u00020\u000b\u0018\u00010\n¢\u0006\u0002\b\f¢\u0006\u0002\u0010\rJ\b\u0010\u0019\u001a\u00020\u000bH\u0002J\b\u0010\u001a\u001a\u00020\u000bH\u0016J\b\u0010\u001b\u001a\u00020\u000bH\u0016R\u000e\u0010\u000e\u001a\u00020\u000fXD¢\u0006\u0002\n\u0000R\u0010\u0010\u0010\u001a\u00020\u0011X\u0004¢\u0006\u0004\n\u0002\u0010\u0012R\u0016\u0010\u0013\u001a\n \u0015*\u0004\u0018\u00010\u00140\u0014X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0016\u001a\u00020\u0017X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0018\u001a\u00020\u0017X\u000e¢\u0006\u0002\n\u0000¨\u0006\u001c"}, dWq = {"Lcom/tencent/mm/media/decoder/MediaCodecTransDecoderAsync;", "Lcom/tencent/mm/media/decoder/IMediaCodecTransDecoder;", "startTimeMs", "", "endTimeMs", "mediaExtractorWrapper", "Lcom/tencent/mm/media/extractor/MediaExtractorWrapper;", "decodeSurface", "Landroid/view/Surface;", "init", "Lkotlin/Function1;", "", "Lkotlin/ExtensionFunctionType;", "(JJLcom/tencent/mm/media/extractor/MediaExtractorWrapper;Landroid/view/Surface;Lkotlin/jvm/functions/Function1;)V", "TAG", "", "codecCallback", "com/tencent/mm/media/decoder/MediaCodecTransDecoderAsync$codecCallback$1", "Lcom/tencent/mm/media/decoder/MediaCodecTransDecoderAsync$codecCallback$1;", "decoderThread", "Landroid/os/HandlerThread;", "kotlin.jvm.PlatformType", "isInvokeDecodeEnd", "", "sawInputEOS", "onDecodeEnd", "releaseDecoder", "startDecode", "plugin-mediaeditor_release"})
public final class f extends b {
    final String TAG = "MicroMsg.MediaCodecTransDecoderAsync";
    volatile boolean eUb;
    private HandlerThread eUd = d.anM("MediaCodecTransDecoderAsync_decodeThread");
    private boolean eUe;
    private final a eUf;

    public f(long j, long j2, a aVar, Surface surface, b<? super b, y> bVar) {
        j.p(aVar, "mediaExtractorWrapper");
        super(j, j2, aVar, surface);
        AppMethodBeat.i(12873);
        this.eUf = new a(this, surface, aVar);
        try {
            this.mediaFormat = aVar.eWe;
            MediaCodec createDecoderByType = MediaCodec.createDecoderByType(aVar.UV());
            j.o(createDecoderByType, "MediaCodec.createDecoder…orWrapper.getVideoMIME())");
            a(createDecoderByType);
            Uy().configure(this.mediaFormat, surface, null, 0);
            if (com.tencent.mm.compatible.util.d.iW(23)) {
                this.eUd.start();
                HandlerThread handlerThread = this.eUd;
                j.o(handlerThread, "decoderThread");
                Uy().setCallback((Callback) this.eUf, new Handler(handlerThread.getLooper()));
            } else {
                Uy().setCallback((Callback) this.eUf);
            }
            bVar.am(this);
            AppMethodBeat.o(12873);
        } catch (Exception e) {
            ab.printErrStackTrace(this.TAG, e, "create decoder error:" + e.getMessage(), new Object[0]);
            Throwable illegalStateException = new IllegalStateException("init decoder error");
            AppMethodBeat.o(12873);
            throw illegalStateException;
        }
    }

    public final void UB() {
        AppMethodBeat.i(12871);
        try {
            Uy().start();
            AppMethodBeat.o(12871);
        } catch (Exception e) {
            ab.printErrStackTrace(this.TAG, e, "startDecode error", new Object[0]);
            AppMethodBeat.o(12871);
        }
    }

    public final void sI() {
        AppMethodBeat.i(12872);
        super.sI();
        try {
            this.eUd.quit();
            AppMethodBeat.o(12872);
        } catch (Exception e) {
            ab.printErrStackTrace(this.TAG, e, "", new Object[0]);
            AppMethodBeat.o(12872);
        }
    }

    public static final /* synthetic */ void a(f fVar) {
        AppMethodBeat.i(12874);
        if (!fVar.eUe) {
            a.f.a.a aVar = fVar.eTH;
            if (aVar != null) {
                aVar.invoke();
            }
            fVar.eUe = true;
        }
        AppMethodBeat.o(12874);
    }
}
