package com.tencent.mm.plugin.account.bind.ui;

import android.content.Intent;
import android.os.Bundle;
import android.telephony.TelephonyManager;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.au.b;
import com.tencent.mm.au.b$a;
import com.tencent.mm.modelsimple.BindWordingContent;
import com.tencent.mm.plugin.account.a.a;
import com.tencent.mm.plugin.account.friend.ui.i;
import com.tencent.mm.plugin.account.friend.ui.i$b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMWizardActivity;
import com.tencent.mm.ui.base.h;

public class BindMobileUI extends MMWizardActivity {
    private String cFl;
    private String countryCode = null;
    private String fHE = null;
    private EditText grE;
    private LinearLayout grF;
    private TextView grH;
    private TextView grI;
    private String grJ = null;
    private BindWordingContent grY;
    private int grZ;
    private i gro;
    private TextView gsf;
    private Button gsg;
    private TextView gsh;
    private TextView gsi;
    private CheckBox gsj;
    private CheckBox gsk;
    private LinearLayout gsl;
    private ImageView gsm;
    private boolean gsn;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void k(BindMobileUI bindMobileUI) {
        AppMethodBeat.i(13526);
        bindMobileUI.exit(-1);
        AppMethodBeat.o(13526);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(13516);
        super.onCreate(bundle);
        setMMTitle(2131297560);
        this.fHE = bo.bc(getIntent().getStringExtra("country_name"), "");
        this.countryCode = bo.bc(getIntent().getStringExtra("couttry_code"), "");
        this.grJ = bo.bc(getIntent().getStringExtra("bindmcontact_shortmobile"), "");
        this.grY = (BindWordingContent) getIntent().getParcelableExtra("kstyle_bind_wording");
        this.grZ = getIntent().getIntExtra("kstyle_bind_recommend_show", 0);
        this.gsn = getIntent().getBooleanExtra("is_bind_for_chatroom_upgrade", false);
        initView();
        AppMethodBeat.o(13516);
    }

    public void onDestroy() {
        AppMethodBeat.i(13517);
        super.onDestroy();
        if (this.gro != null) {
            this.gro.recycle();
        }
        AppMethodBeat.o(13517);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(13518);
        if (i == 4) {
            Ni(1);
            AppMethodBeat.o(13518);
            return true;
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(13518);
        return onKeyDown;
    }

    public final void initView() {
        AppMethodBeat.i(13519);
        this.grE = (EditText) findViewById(2131821729);
        this.grF = (LinearLayout) findViewById(2131821726);
        this.grH = (TextView) findViewById(2131821728);
        this.grI = (TextView) findViewById(2131821727);
        this.gsf = (TextView) findViewById(2131821725);
        this.gsg = (Button) findViewById(2131821730);
        this.gsh = (TextView) findViewById(2131821736);
        this.gsf.setText(getString(2131297556));
        this.gsi = (TextView) findViewById(2131821734);
        this.gsl = (LinearLayout) findViewById(2131821731);
        this.gsk = (CheckBox) findViewById(2131821733);
        this.gsj = (CheckBox) findViewById(2131821732);
        this.gsm = (ImageView) findViewById(2131821724);
        if (this.grY != null) {
            if (this.grY.title != null && this.grY.title.length() > 0) {
                this.gsf.setText(this.grY.title);
            }
            if (this.grY.content != null && this.grY.content.length() > 0) {
                this.gsi.setText(this.grY.content);
            }
            switch (this.grY.bWu.intValue()) {
                case 0:
                    this.gsm.setImageResource(2130837898);
                    break;
                case 1:
                    this.gsm.setImageResource(2130837901);
                    break;
                case 2:
                    this.gsm.setImageResource(2130837899);
                    break;
            }
        }
        switch (this.grZ) {
            case 0:
                this.gsl.setVisibility(0);
                this.gsk.setVisibility(0);
                this.gsi.setVisibility(8);
                break;
            case 1:
                this.gsl.setVisibility(8);
                this.gsk.setVisibility(8);
                this.gsi.setVisibility(0);
                break;
        }
        apc();
        if (!(this.fHE == null || this.fHE.equals(""))) {
            this.grH.setText(this.fHE);
        }
        if (!(this.countryCode == null || this.countryCode.equals(""))) {
            this.grI.setText("+" + this.countryCode);
        }
        if (!(this.grJ == null || this.grJ.equals(""))) {
            this.grE.setText(this.grJ);
        }
        this.gsg.setOnClickListener(new 2(this));
        this.gsh.setOnClickListener(new 3(this));
        if (this.gsn) {
            setMMTitle(2131297524);
            this.gsm.setVisibility(8);
            this.gsf.setText(2131297545);
            this.gsl.setVisibility(8);
            this.gsk.setVisibility(8);
            this.gsk.setChecked(false);
            this.gsj.setVisibility(0);
            this.gsj.setChecked(false);
            this.gsi.setVisibility(8);
            this.gsi.setText(getString(2131297526));
            this.gsh.setVisibility(8);
            this.gsg.setText(2131297524);
            setBackBtn(new 4(this));
        }
        this.grF.setOnClickListener(new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(13513);
                Intent intent = new Intent();
                intent.putExtra("country_name", BindMobileUI.this.fHE);
                intent.putExtra("couttry_code", BindMobileUI.this.countryCode);
                a.gkE.b(intent, BindMobileUI.this);
                AppMethodBeat.o(13513);
            }
        });
        this.grF.setOnClickListener(new 6(this));
        AppMethodBeat.o(13519);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(13520);
        super.onActivityResult(i, i2, intent);
        switch (i2) {
            case 100:
                this.fHE = bo.bc(intent.getStringExtra("country_name"), "");
                this.countryCode = bo.bc(intent.getStringExtra("couttry_code"), "");
                if (!this.fHE.equals("")) {
                    this.grH.setText(this.fHE);
                }
                if (!this.countryCode.equals("")) {
                    this.grI.setText("+" + this.countryCode);
                    break;
                }
                break;
        }
        AppMethodBeat.o(13520);
    }

    private void apc() {
        AppMethodBeat.i(13521);
        if (bo.isNullOrNil(this.fHE) && bo.isNullOrNil(this.countryCode)) {
            String simCountryIso = ((TelephonyManager) getSystemService("phone")).getSimCountryIso();
            ab.d("MicroMsg.BindMContactUI", "tm.getSimCountryIso()".concat(String.valueOf(simCountryIso)));
            if (bo.isNullOrNil(simCountryIso)) {
                ab.e("MicroMsg.BindMContactUI", "getDefaultCountryInfo error");
                AppMethodBeat.o(13521);
                return;
            }
            b$a k = b.k(this, simCountryIso, getString(2131298789));
            if (k == null) {
                ab.e("MicroMsg.BindMContactUI", "getDefaultCountryInfo error");
                AppMethodBeat.o(13521);
                return;
            }
            this.fHE = k.fHE;
            this.countryCode = k.fHD;
            AppMethodBeat.o(13521);
            return;
        }
        AppMethodBeat.o(13521);
    }

    public final int getLayoutId() {
        return 2130968835;
    }

    static /* synthetic */ void a(BindMobileUI bindMobileUI, final String str) {
        AppMethodBeat.i(13522);
        if (bindMobileUI.gro == null) {
            bindMobileUI.gro = new i(i$b.BINDMOBILE, bindMobileUI, new i.a() {
                public final void e(int i, Bundle bundle) {
                    boolean z = true;
                    AppMethodBeat.i(13515);
                    if (i != 2) {
                        if (i == 1) {
                            BindMobileUI.d(BindMobileUI.this, str);
                        }
                        AppMethodBeat.o(13515);
                    } else if (BindMobileUI.this.gsn) {
                        BindMobileUI bindMobileUI = BindMobileUI.this;
                        boolean z2 = !BindMobileUI.this.gsj.isChecked();
                        if (BindMobileUI.this.gsk.isChecked()) {
                            z = false;
                        }
                        BindMobileStatusUI.c(bindMobileUI, z2, z);
                        BindMobileUI.k(BindMobileUI.this);
                        AppMethodBeat.o(13515);
                    } else {
                        Intent intent = new Intent(BindMobileUI.this, BindMobileStatusUI.class);
                        intent.putExtra("kstyle_bind_wording", BindMobileUI.this.grY);
                        intent.putExtra("kstyle_bind_recommend_show", BindMobileUI.this.grZ);
                        intent.putExtra("Kfind_friend_by_mobile_flag", BindMobileUI.this.gsj.isChecked());
                        intent.putExtra("Krecom_friends_by_mobile_flag", BindMobileUI.this.gsk.isChecked());
                        MMWizardActivity.J(BindMobileUI.this, intent);
                        AppMethodBeat.o(13515);
                    }
                }
            });
        }
        bindMobileUI.gro.wn(str);
        if (bindMobileUI.gsn) {
            bindMobileUI.gro.gys = false;
        }
        AppMethodBeat.o(13522);
    }

    static /* synthetic */ void c(BindMobileUI bindMobileUI, String str) {
        AppMethodBeat.i(13523);
        String string = bindMobileUI.mController.ylL.getString(2131297587);
        h.a(bindMobileUI.mController.ylL, String.format("%s\n%s", new Object[]{bindMobileUI.mController.ylL.getString(2131297588), str}), string, new 1(bindMobileUI, str), null);
        AppMethodBeat.o(13523);
    }

    static /* synthetic */ void d(BindMobileUI bindMobileUI) {
        AppMethodBeat.i(13524);
        bindMobileUI.Ni(1);
        AppMethodBeat.o(13524);
    }

    static /* synthetic */ void e(BindMobileUI bindMobileUI) {
        AppMethodBeat.i(13525);
        bindMobileUI.Ni(1);
        AppMethodBeat.o(13525);
    }

    static /* synthetic */ void d(BindMobileUI bindMobileUI, String str) {
        AppMethodBeat.i(13527);
        Intent intent = new Intent(bindMobileUI, BindMobileVerifyUI.class);
        intent.putExtra("bindmcontact_mobile", str);
        intent.putExtra("kstyle_bind_wording", bindMobileUI.grY);
        intent.putExtra("kstyle_bind_recommend_show", bindMobileUI.grZ);
        intent.putExtra("Kfind_friend_by_mobile_flag", bindMobileUI.gsj.isChecked());
        intent.putExtra("Krecom_friends_by_mobile_flag", bindMobileUI.gsk.isChecked());
        if (bindMobileUI.gsn) {
            intent.putExtra("bind_scene", 6);
        }
        J(bindMobileUI, intent);
        AppMethodBeat.o(13527);
    }
}
