package com.tencent.mm.plugin.appbrand.jsapi.container;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.view.View;
import android.view.ViewGroup.LayoutParams;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.e;
import com.tencent.mm.plugin.appbrand.r.g;
import com.tencent.mm.sdk.platformtools.ab;
import org.json.JSONException;
import org.json.JSONObject;

public final class c extends com.tencent.mm.plugin.appbrand.jsapi.base.c {
    public static final int CTRL_INDEX = 510;
    public static final String NAME = "updatePositioningContainer";

    public final boolean c(e eVar, int i, View view, JSONObject jSONObject) {
        AppMethodBeat.i(126286);
        if (view instanceof WrapperNativeContainerView) {
            int a = g.a(jSONObject, "contentOffsetLeft", 0);
            int a2 = g.a(jSONObject, "contentOffsetTop", 0);
            int optInt = jSONObject.optInt("animate", 0);
            WrapperNativeContainerView wrapperNativeContainerView = (WrapperNativeContainerView) view;
            try {
                wrapperNativeContainerView.setVisibility(jSONObject.getBoolean("visible") ? 0 : 4);
            } catch (JSONException e) {
            }
            AppBrandNativeContainerView appBrandNativeContainerView = (AppBrandNativeContainerView) wrapperNativeContainerView.ah(AppBrandNativeContainerView.class);
            ab.i("MicroMsg.JsApiUpdatePositioningContainer", "scrollLeft:%d, scrollTop:%d, animation:%d", new Object[]{Integer.valueOf(a), Integer.valueOf(a2), Integer.valueOf(optInt)});
            if (optInt == 1) {
                ObjectAnimator ofFloat = ObjectAnimator.ofFloat(appBrandNativeContainerView, "x", new float[]{appBrandNativeContainerView.getX(), (float) (-a)});
                ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(appBrandNativeContainerView, "y", new float[]{appBrandNativeContainerView.getY(), (float) (-a2)});
                ofFloat.addUpdateListener(new 1(this, appBrandNativeContainerView));
                ofFloat2.addUpdateListener(new 2(this, appBrandNativeContainerView));
                AnimatorSet animatorSet = new AnimatorSet();
                animatorSet.setDuration(1000);
                animatorSet.setInterpolator(new a(this));
                animatorSet.setTarget(appBrandNativeContainerView);
                animatorSet.playTogether(new Animator[]{ofFloat, ofFloat2});
                animatorSet.start();
            } else {
                appBrandNativeContainerView.setX((float) (-a));
                appBrandNativeContainerView.setY((float) (-a2));
            }
            ab.i("MicroMsg.JsApiUpdatePositioningContainer", "innerHeight:%d, innerWidth:%d", new Object[]{Integer.valueOf(g.a(jSONObject, "innerHeight", appBrandNativeContainerView.getHeight())), Integer.valueOf(g.a(jSONObject, "innerWidth", appBrandNativeContainerView.getWidth()))});
            LayoutParams layoutParams = appBrandNativeContainerView.getLayoutParams();
            layoutParams.height = a;
            layoutParams.width = a2;
            appBrandNativeContainerView.setLayoutParams(layoutParams);
            AppMethodBeat.o(126286);
            return true;
        }
        AppMethodBeat.o(126286);
        return false;
    }

    public final int r(JSONObject jSONObject) {
        AppMethodBeat.i(126287);
        int i = jSONObject.getInt("containerId");
        AppMethodBeat.o(126287);
        return i;
    }
}
