package com.tencent.mm.plugin.backup.backupmoveui;

import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.net.wifi.WifiManager;
import android.os.Bundle;
import android.view.KeyEvent;
import android.widget.ImageView;
import android.widget.TextView;
import com.tencent.mars.cdn.X509Util.CertVerifyStatusAndroid;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.auth.JsApiLogin;
import com.tencent.mm.plugin.backup.b.b.d;
import com.tencent.mm.plugin.backup.d.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMWizardActivity;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.widget.progress.RoundProgressBtn;
import java.lang.reflect.Method;

@a(3)
public class BackupMoveRecoverUI extends MMWizardActivity {
    private static boolean gqB = false;
    private static boolean jvb = false;
    private d jsv = new 1(this);
    public TextView juU;
    public TextView juV;
    public TextView juW;
    public TextView juX;
    public TextView juY;
    public ImageView juZ;
    private RoundProgressBtn jva;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public BackupMoveRecoverUI() {
        AppMethodBeat.i(17390);
        AppMethodBeat.o(17390);
    }

    static /* synthetic */ void i(BackupMoveRecoverUI backupMoveRecoverUI) {
        AppMethodBeat.i(17405);
        backupMoveRecoverUI.aTw();
        AppMethodBeat.o(17405);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(17391);
        super.onCreate(bundle);
        if (getIntent().getExtras().getBoolean("WizardRootKillSelf", false)) {
            AppMethodBeat.o(17391);
            return;
        }
        ab.i("MicroMsg.BackupMoveRecoverUI", "onCreate.");
        getSupportActionBar().hide();
        com.tencent.mm.plugin.backup.a.gkE.BV();
        initView();
        try {
            Method method = WifiManager.class.getMethod("isWifiApEnabled", new Class[0]);
            WifiManager wifiManager = (WifiManager) getSystemService("wifi");
            b.aSZ().aTc().jtw = ((Boolean) method.invoke(wifiManager, new Object[0])).booleanValue();
            ab.d("MicroMsg.BackupMoveRecoverUI", "new isWifiAp:%s", new Object[]{Boolean.valueOf(b.aSZ().aTc().jtw)});
            AppMethodBeat.o(17391);
        } catch (Exception e) {
            ab.e("MicroMsg.BackupMoveRecoverUI", "no such method WifiManager.isWifiApEnabled:%s", new Object[]{bo.dpG()});
            AppMethodBeat.o(17391);
        }
    }

    public final void initView() {
        AppMethodBeat.i(17392);
        this.juY = (TextView) findViewById(2131821585);
        this.juZ = (ImageView) findViewById(2131821586);
        this.juW = (TextView) findViewById(2131821587);
        this.juX = (TextView) findViewById(2131821588);
        this.juU = (TextView) findViewById(2131821590);
        this.juV = (TextView) findViewById(2131821589);
        this.jva = (RoundProgressBtn) findViewById(2131821591);
        AppMethodBeat.o(17392);
    }

    public void onResume() {
        AppMethodBeat.i(17393);
        super.onResume();
        ab.i("MicroMsg.BackupMoveRecoverUI", "onResume.");
        jvb = true;
        b.aSZ().aTc().jsv = this.jsv;
        gqB = getIntent().getBooleanExtra("isRecoverTransferFinishFromBanner", false);
        this.jsv.rj(b.aSZ().aSu().jqW);
        AppMethodBeat.o(17393);
    }

    public void onPause() {
        AppMethodBeat.i(17394);
        super.onPause();
        ab.i("MicroMsg.BackupMoveRecoverUI", "onPause.");
        jvb = false;
        AppMethodBeat.o(17394);
    }

    public void onDestroy() {
        AppMethodBeat.i(17395);
        ab.i("MicroMsg.BackupMoveRecoverUI", "BackupMoveRecoverUI onDestroy.");
        super.onDestroy();
        AppMethodBeat.o(17395);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(17396);
        if (i == 4) {
            aTw();
            AppMethodBeat.o(17396);
            return true;
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(17396);
        return onKeyDown;
    }

    private void aTw() {
        AppMethodBeat.i(17397);
        final int i = b.aSZ().aSu().jqW;
        ab.i("MicroMsg.BackupMoveRecoverUI", "close btn, backupPcState:%d, backupPcState:%d ", new Object[]{Integer.valueOf(i), Integer.valueOf(i)});
        switch (i) {
            case -22:
            case -21:
            case -13:
            case CertVerifyStatusAndroid.UNABLE_TO_PARSE /*-5*/:
            case -3:
            case -2:
            case -1:
            case 1:
                b.aSZ().aTc().c(false, false, -100);
                AppMethodBeat.o(17397);
                return;
            case com.tencent.view.d.MIC_BASE_SHADER /*24*/:
                b.aSZ().aSu().jqW = 25;
                break;
            case com.tencent.view.d.MIC_BASE_HISTOGRAMSTRETCH /*26*/:
            case com.tencent.view.d.MIC_BASE_CHANNELSTRETCH2 /*30*/:
                h.a((Context) this, 2131297290, 2131297289, 2131297340, 2131297189, false, new 4(this, i), null, 2131689745);
                AppMethodBeat.o(17397);
                return;
            case com.tencent.view.d.MIC_BASE_SATURATIONCONTRAST /*27*/:
                ab.i("MicroMsg.BackupMoveRecoverUI", "recover finish, user click close, backupState[%d].", new Object[]{Integer.valueOf(i)});
                b.aSZ().aTc().c(true, false, -100);
                b.aSZ().aTa().stop();
                AppMethodBeat.o(17397);
                return;
            case JsApiLogin.CTRL_INDEX /*52*/:
                h.a((Context) this, 2131297210, 2131297209, 2131297255, 2131297189, false, new OnClickListener() {
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        AppMethodBeat.i(17387);
                        ab.i("MicroMsg.BackupMoveRecoverUI", "user click close. stop recover move, backupState[%d].", new Object[]{Integer.valueOf(i)});
                        com.tencent.mm.plugin.report.service.h.pYm.a(485, 44, 1, false);
                        b.aSZ().aTc().rn(5);
                        b.aSZ().aTa().stop();
                        b.aSZ().aTc().c(true, true, -100);
                        AppMethodBeat.o(17387);
                    }
                }, null, 2131689745);
                AppMethodBeat.o(17397);
                return;
        }
        Ni(1);
        AppMethodBeat.o(17397);
    }

    public final int getLayoutId() {
        return 2130968797;
    }

    static /* synthetic */ void a(BackupMoveRecoverUI backupMoveRecoverUI) {
        AppMethodBeat.i(17398);
        backupMoveRecoverUI.Ni(1);
        AppMethodBeat.o(17398);
    }

    static /* synthetic */ void c(BackupMoveRecoverUI backupMoveRecoverUI) {
        AppMethodBeat.i(17399);
        backupMoveRecoverUI.juY.setText(2131297194);
        backupMoveRecoverUI.juY.setOnClickListener(new 2(backupMoveRecoverUI));
        AppMethodBeat.o(17399);
    }

    static /* synthetic */ void d(BackupMoveRecoverUI backupMoveRecoverUI) {
        AppMethodBeat.i(17400);
        backupMoveRecoverUI.juY.setText(2131297196);
        backupMoveRecoverUI.juY.setOnClickListener(new 5(backupMoveRecoverUI));
        AppMethodBeat.o(17400);
    }

    static /* synthetic */ void e(BackupMoveRecoverUI backupMoveRecoverUI) {
        AppMethodBeat.i(17401);
        backupMoveRecoverUI.Ni(1);
        AppMethodBeat.o(17401);
    }

    static /* synthetic */ void f(BackupMoveRecoverUI backupMoveRecoverUI) {
        AppMethodBeat.i(17402);
        backupMoveRecoverUI.Ni(1);
        AppMethodBeat.o(17402);
    }

    static /* synthetic */ void g(BackupMoveRecoverUI backupMoveRecoverUI) {
        AppMethodBeat.i(17403);
        backupMoveRecoverUI.Ni(1);
        AppMethodBeat.o(17403);
    }

    static /* synthetic */ void h(BackupMoveRecoverUI backupMoveRecoverUI) {
        AppMethodBeat.i(17404);
        backupMoveRecoverUI.Ni(1);
        AppMethodBeat.o(17404);
    }

    static /* synthetic */ void j(BackupMoveRecoverUI backupMoveRecoverUI) {
        AppMethodBeat.i(17406);
        backupMoveRecoverUI.Ni(1);
        AppMethodBeat.o(17406);
    }
}
