package com.tencent.mm.plugin.exdevice.ui;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.KeyEvent;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.bp.d;
import com.tencent.mm.model.aw;
import com.tencent.mm.plugin.exdevice.a.b;
import com.tencent.mm.plugin.exdevice.c.a.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;

public class ExdeviceConnectedRouterActivateStateUI extends MMActivity {
    private String appId;
    private String ceI;
    private String cws;
    private final int lAu = 90000;
    private ExdeviceConnectedRouterStateView lAv;
    private TextView lAw;
    private TextView lAx;
    private b<a> lAy = new 1(this);
    private String lqT;
    private String ssid;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public ExdeviceConnectedRouterActivateStateUI() {
        AppMethodBeat.i(19921);
        AppMethodBeat.o(19921);
    }

    static /* synthetic */ void a(ExdeviceConnectedRouterActivateStateUI exdeviceConnectedRouterActivateStateUI) {
        AppMethodBeat.i(19928);
        exdeviceConnectedRouterActivateStateUI.bpI();
        AppMethodBeat.o(19928);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(19922);
        super.onCreate(bundle);
        ab.d("MicroMsg.ConnectedRouterActivateStateUi", "create activity");
        setMMTitle(2131299308);
        setBackBtn(new 2(this));
        this.lAv = (ExdeviceConnectedRouterStateView) findViewById(2131823649);
        this.lAw = (TextView) findViewById(2131823650);
        this.lAx = (TextView) findViewById(2131823651);
        try {
            Uri parse = Uri.parse(getIntent().getStringExtra("key_connected_router"));
            this.ceI = parse.getQueryParameter("deviceid");
            this.cws = parse.getQueryParameter("devicetype");
            this.lqT = parse.getQueryParameter("clientinfo");
            this.appId = parse.getQueryParameter("appid");
            if (bo.isNullOrNil(this.ceI) || bo.isNullOrNil(this.cws) || bo.isNullOrNil(this.lqT) || bo.isNullOrNil(this.appId)) {
                ab.e("MicroMsg.ConnectedRouterActivateStateUi", "loss param %s", new Object[]{parse.toString()});
                finish();
            }
            this.ssid = parse.getQueryParameter("ssid");
            ab.d("MicroMsg.ConnectedRouterActivateStateUi", "uri: %s, deviceid: %s, devicetype: %s, clientinfo: %s. ssid: %s", new Object[]{parse.toString(), this.ceI, this.cws, this.lqT, this.ssid});
            if (this.ssid == null) {
                this.ssid = "";
            }
        } catch (Exception e) {
            ab.d("MicroMsg.ConnectedRouterActivateStateUi", e.toString());
        }
        uQ(1);
        aw.Rg().a(new a(this.ceI, this.cws, this.lqT, this.appId, this.lAy), 0);
        AppMethodBeat.o(19922);
    }

    public final int getForceOrientation() {
        return 1;
    }

    public void onResume() {
        AppMethodBeat.i(19923);
        super.onResume();
        AppMethodBeat.o(19923);
    }

    /* Access modifiers changed, original: protected|final */
    public final void uQ(int i) {
        AppMethodBeat.i(19924);
        this.lAv.setOnClickListener(null);
        ab.d("MicroMsg.ConnectedRouterActivateStateUi", "Current connection state : %d", new Object[]{Integer.valueOf(i)});
        switch (i) {
            case 1:
                this.lAv.setImageResource(2131231158);
                this.lAv.setState(1);
                this.lAw.setText(2131299302);
                break;
            case 2:
                this.lAv.setImageResource(2131231159);
                this.lAv.setState(2);
                this.lAw.setText(getString(2131299306, new Object[]{this.ssid}));
                addTextOptionMenu(0, getString(2131299301), new 3(this));
                AppMethodBeat.o(19924);
                return;
            case 3:
                this.lAv.setImageResource(2131231157);
                this.lAv.setState(3);
                this.lAv.lAB = 2;
                this.lAw.setText(2131299303);
                this.lAx.setText(getString(2131299304, new Object[]{this.ssid}));
                AppMethodBeat.o(19924);
                return;
            case 4:
                this.lAv.setImageResource(2131231157);
                this.lAv.setState(3);
                this.lAv.lAB = 2;
                this.lAw.setText(2131299303);
                this.lAx.setText(getString(2131299305));
                AppMethodBeat.o(19924);
                return;
            case 5:
                this.lAv.setImageResource(2131231157);
                this.lAv.setState(3);
                this.lAv.lAB = 2;
                this.lAw.setText(2131299303);
                this.lAx.setText(getString(2131299307));
                AppMethodBeat.o(19924);
                return;
        }
        AppMethodBeat.o(19924);
    }

    public final int getLayoutId() {
        return 2130969417;
    }

    public void onDestroy() {
        AppMethodBeat.i(19925);
        super.onDestroy();
        AppMethodBeat.o(19925);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(19926);
        if (i == 4 && keyEvent.getRepeatCount() == 0) {
            bpI();
            AppMethodBeat.o(19926);
            return true;
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(19926);
        return onKeyDown;
    }

    private void bpI() {
        AppMethodBeat.i(19927);
        finish();
        Intent intent = new Intent();
        intent.putExtra("From_fail_notify", true);
        ab.d("MicroMsg.ConnectedRouterActivateStateUi", "startMainUI");
        d.f(this, "com.tencent.mm.ui.LauncherUI", intent);
        AppMethodBeat.o(19927);
    }
}
