package com.tencent.mm.plugin.facedetect.c;

import android.content.Context;
import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.m;
import com.tencent.mm.plugin.facedetect.model.FaceDetectReporter;
import com.tencent.mm.plugin.facedetect.ui.a;
import com.tencent.mm.plugin.facedetect.ui.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.bo;

public class e extends a {
    private static final String TAG = ("MicroMsg." + e.class.getSimpleName());
    private boolean isRetry = false;
    private String lTl;
    private String lTm;
    private int lTn;

    static {
        AppMethodBeat.i(159);
        AppMethodBeat.o(159);
    }

    e(Context context, f fVar, int i, int i2) {
        super(context, fVar, i, i2);
        this.lTn = i;
    }

    public final m bsn() {
        return null;
    }

    public final void onStart() {
        AppMethodBeat.i(151);
        ab.i(TAG, "alvinluo onStart and create report session");
        FaceDetectReporter.bsJ().bsK();
        FaceDetectReporter.bsJ().R(FaceDetectReporter.vl(this.lTn), this.isRetry);
        AppMethodBeat.o(151);
    }

    public final void onRelease() {
        AppMethodBeat.i(152);
        if (!FaceDetectReporter.bsJ().lUt) {
            FaceDetectReporter.bsJ().c(FaceDetectReporter.vl(this.lTn), this.isRetry, 2, 1, 90006);
        }
        AppMethodBeat.o(152);
    }

    public final void n(int i, int i2, String str) {
        AppMethodBeat.i(153);
        ab.v(TAG, "alvinluo onCollectEnd errType: %d, errCode: %d, errMsg: %s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), str});
        AppMethodBeat.o(153);
    }

    public final boolean c(int i, String str, Bundle bundle) {
        AppMethodBeat.i(154);
        ab.i(TAG, "alvinluo onUploadEnd errType: %d, errCode: %d, errMsg: %s", new Object[]{Integer.valueOf(i), Integer.valueOf(0), str});
        if (i != 0) {
            FaceDetectReporter.bsJ().c(FaceDetectReporter.vl(this.lTn), this.isRetry, 1, 2, 90012);
            o(i, 0, str);
            AppMethodBeat.o(154);
            return true;
        } else if (bundle == null || bo.isNullOrNil(bundle.getString("key_pic_cdn_id"))) {
            ab.e(TAG, "hy: not return cdn id!");
            o(4, 6, "not return cdn id");
            AppMethodBeat.o(154);
            return true;
        } else {
            this.lTl = bundle.getString("key_pic_cdn_id");
            this.lTm = bundle.getString("key_cdn_aes_key");
            ab.v(TAG, "hy: start upload: picCdnId: %s, aes key: %s", new Object[]{this.lTl, this.lTm});
            Bundle bundle2 = new Bundle();
            bundle2.putString("err_msg", str);
            bundle2.putString("key_pic_cdn_id", this.lTl);
            bundle2.putString("key_cdn_aes_key", this.lTm);
            bundle2.putInt("check_alive_type", this.lTf);
            a(i, 0, str, bundle2);
            AppMethodBeat.o(154);
            return false;
        }
    }

    public final void g(int i, int i2, String str, m mVar) {
    }

    public final void c(int i, int i2, String str, Bundle bundle) {
    }

    public final void ax(int i, String str) {
        AppMethodBeat.i(155);
        ab.i(TAG, "alvinluo onCancel, errCode: %d, errMsg: %s", new Object[]{Integer.valueOf(i), str});
        if (!FaceDetectReporter.bsJ().lUt) {
            FaceDetectReporter.bsJ().c(FaceDetectReporter.vl(this.lTn), this.isRetry, 2, 1, i);
        }
        a(1, i, str, null);
        AppMethodBeat.o(155);
    }

    public final Bundle bso() {
        AppMethodBeat.i(156);
        Bundle bundle = new Bundle();
        bundle.putLong("k_bio_id", bsl());
        AppMethodBeat.o(156);
        return bundle;
    }

    private void o(int i, int i2, String str) {
        String string;
        AppMethodBeat.i(157);
        b(i, i2, str, null);
        Context context = ah.getContext();
        if (str == null) {
            string = context.getString(2131299438);
        } else {
            string = str;
        }
        c b = a.b(2130838637, string, context.getString(2131299512), null, new 1(this, i, i2, str), new 2(this, i, i2, str));
        b.status = 3;
        a(true, false, b);
        AppMethodBeat.o(157);
    }

    static /* synthetic */ void a(e eVar) {
        AppMethodBeat.i(158);
        eVar.bsk();
        eVar.isRetry = true;
        AppMethodBeat.o(158);
    }
}
