package com.tencent.mm.plugin.freewifi.ui;

import android.app.ActivityManager;
import android.app.ActivityManager.RunningTaskInfo;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Message;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.freewifi.k.b;
import com.tencent.mm.plugin.freewifi.m;
import com.tencent.mm.plugin.freewifi.model.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.ap;
import com.tencent.mm.ui.MMActivity;
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;

public class FreeWifiManufacturerLoadingUI extends MMActivity {
    private String bssid;
    private ap che;
    private final int mzA = 1;
    private final int mzB = 2;
    private final int mzC = 3;
    private int[] mzD = new int[]{2130838838, 2130838839, 2130838840, 2130838841, 2130838842};
    ak mzE = new 1(this);
    ak mzF = new ak();
    private ImageView mzx;
    private TextView mzy;
    private Button mzz;
    private String ssid;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public FreeWifiManufacturerLoadingUI() {
        AppMethodBeat.i(21018);
        AppMethodBeat.o(21018);
    }

    static /* synthetic */ void a(FreeWifiManufacturerLoadingUI freeWifiManufacturerLoadingUI, int i, String str) {
        AppMethodBeat.i(21027);
        freeWifiManufacturerLoadingUI.aJ(i, str);
        AppMethodBeat.o(21027);
    }

    static /* synthetic */ void a(FreeWifiManufacturerLoadingUI freeWifiManufacturerLoadingUI, String str) {
        AppMethodBeat.i(21028);
        freeWifiManufacturerLoadingUI.MP(str);
        AppMethodBeat.o(21028);
    }

    static /* synthetic */ void e(FreeWifiManufacturerLoadingUI freeWifiManufacturerLoadingUI) {
        AppMethodBeat.i(21031);
        freeWifiManufacturerLoadingUI.bzO();
        AppMethodBeat.o(21031);
    }

    private void bzO() {
        AppMethodBeat.i(21019);
        if (this.che != null) {
            this.che.stopTimer();
        }
        this.mzE.sendEmptyMessage(2);
        AppMethodBeat.o(21019);
    }

    public final int getLayoutId() {
        return 2130969593;
    }

    public void finish() {
        AppMethodBeat.i(21020);
        bzO();
        super.finish();
        AppMethodBeat.o(21020);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(21021);
        super.onCreate(bundle);
        setMMTitle(2131300078);
        this.ssid = getIntent().getStringExtra("ConstantsFreeWifi.FreeWifiManufacturerConnectWifiHelper_Ssid");
        this.bssid = getIntent().getStringExtra("ConstantsFreeWifi.FreeWifiManufacturerConnectWifiHelper_Bssid");
        this.mzx = (ImageView) findViewById(2131824144);
        this.mzy = (TextView) findViewById(2131824145);
        this.mzz = (Button) findViewById(2131824146);
        this.mzz.setOnClickListener(new 2(this));
        setBackBtn(new 3(this));
        bzP();
        AppMethodBeat.o(21021);
    }

    public final void bzP() {
        AppMethodBeat.i(21022);
        this.mzE.sendEmptyMessage(1);
        if (this.che != null) {
            this.che.stopTimer();
        }
        this.che = new ap(new 4(this), true);
        this.che.ae(200, 200);
        MO(this.ssid);
        AppMethodBeat.o(21022);
    }

    private void MO(String str) {
        AppMethodBeat.i(21023);
        j.byZ().byI().post(new 5(this, str));
        AppMethodBeat.o(21023);
    }

    private void aJ(int i, String str) {
        AppMethodBeat.i(21024);
        ab.i("MicroMsg.FreeWifi.FreeWifiManufacturerLoadingUI", "errcode=%d, errmsg=%s", new Object[]{Integer.valueOf(i), str});
        if (i != 0) {
            bzO();
            if (i == 1154) {
                MP(getString(2131300067) + "(031" + b.muO.muQ + "-" + Math.abs(i) + ")");
                AppMethodBeat.o(21024);
                return;
            }
            MP(getString(2131300066) + "(031" + b.muO.muQ + "-" + Math.abs(i) + ")");
            this.mzF.postDelayed(new 6(this), 0);
        }
        AppMethodBeat.o(21024);
    }

    private void MP(String str) {
        AppMethodBeat.i(21025);
        Message obtain = Message.obtain();
        obtain.what = 3;
        obtain.obj = str;
        this.mzE.sendMessage(obtain);
        AppMethodBeat.o(21025);
    }

    private static String cc(Context context) {
        AppMethodBeat.i(21026);
        String className;
        try {
            className = ((RunningTaskInfo) ((ActivityManager) context.getSystemService("activity")).getRunningTasks(1).get(0)).topActivity.getClassName();
            ab.i("MicroMsg.FreeWifi.FreeWifiManufacturerLoadingUI", "top activity name =".concat(String.valueOf(className)));
            AppMethodBeat.o(21026);
            return className;
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.FreeWifi.FreeWifiManufacturerLoadingUI", e, "", new Object[0]);
            className = "(null)";
            AppMethodBeat.o(21026);
            return className;
        }
    }

    static /* synthetic */ String C(InputStream inputStream) {
        AppMethodBeat.i(21029);
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
        String readLine = bufferedReader.readLine();
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(readLine);
        while (true) {
            String readLine2 = bufferedReader.readLine();
            if (readLine2 != null) {
                stringBuilder.append(readLine2);
            } else {
                ab.i("MicroMsg.FreeWifi.FreeWifiManufacturerLoadingUI", "response body=" + stringBuilder.toString());
                String Mw = m.Mw(readLine);
                AppMethodBeat.o(21029);
                return Mw;
            }
        }
    }

    static /* synthetic */ void b(FreeWifiManufacturerLoadingUI freeWifiManufacturerLoadingUI, String str) {
        AppMethodBeat.i(21030);
        freeWifiManufacturerLoadingUI.aJ(0, "");
        freeWifiManufacturerLoadingUI.MP(freeWifiManufacturerLoadingUI.getString(2131300068));
        freeWifiManufacturerLoadingUI.bzO();
        ab.i("MicroMsg.FreeWifi.FreeWifiManufacturerLoadingUI", "opening url : ".concat(String.valueOf(str)));
        al.d(new 7(freeWifiManufacturerLoadingUI, str));
        AppMethodBeat.o(21030);
    }

    static /* synthetic */ void f(FreeWifiManufacturerLoadingUI freeWifiManufacturerLoadingUI) {
        AppMethodBeat.i(21032);
        Intent intent = new Intent();
        intent.putExtra("free_wifi_channel_id", 10);
        intent.setClass(freeWifiManufacturerLoadingUI, FreeWifiSuccUI.class);
        freeWifiManufacturerLoadingUI.startActivity(intent);
        freeWifiManufacturerLoadingUI.finish();
        freeWifiManufacturerLoadingUI.overridePendingTransition(2131034265, 2131034262);
        AppMethodBeat.o(21032);
    }

    static /* synthetic */ boolean g(FreeWifiManufacturerLoadingUI freeWifiManufacturerLoadingUI) {
        AppMethodBeat.i(21033);
        String cc = cc(ah.getContext());
        ab.i("MicroMsg.FreeWifi.FreeWifiManufacturerLoadingUI", "topActivityName : ".concat(String.valueOf(cc)));
        ab.i("MicroMsg.FreeWifi.FreeWifiManufacturerLoadingUI", "getClas().getName()=" + freeWifiManufacturerLoadingUI.getClass().getName());
        boolean z = cc != null && cc.equals(freeWifiManufacturerLoadingUI.getClass().getName());
        ab.i("MicroMsg.FreeWifi.FreeWifiManufacturerLoadingUI", "ret = ".concat(String.valueOf(z)));
        AppMethodBeat.o(21033);
        return z;
    }
}
