package com.tencent.mm.plugin.remittance.bankcard.ui;

import android.graphics.drawable.ColorDrawable;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ImageView.ScaleType;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.m;
import com.tencent.mm.plugin.remittance.bankcard.a.l;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.wallet_core.c.p;

@a(19)
public class BankRemitDetailUI extends BankRemitBaseUI {
    private int gqq;
    private int mState;
    private Button nsJ;
    private LinearLayout nsy;
    private ImageView pNb;
    private ImageView pNc;
    private ImageView pNd;
    private TextView pNe;
    private TextView pNf;
    private TextView pNg;
    private TextView pNh;
    private TextView pNi;
    private TextView pNj;
    private View pNk;
    private View pNl;
    private ViewGroup pNm;
    private String pNn;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(44599);
        super.onCreate(bundle);
        nf(1579);
        this.pNn = getIntent().getStringExtra("key_transfer_bill_id");
        this.gqq = getIntent().getIntExtra("key_enter_scene", 0);
        ab.i("MicroMsg.BankRemitDetailUI", "billId: %s, enterScene: %s", new Object[]{this.pNn, Integer.valueOf(this.gqq)});
        initView();
        ab.i("MicroMsg.BankRemitDetailUI", "do query detail");
        a(new l(this.pNn), true, true);
        if (this.gqq == 0) {
            showHomeBtn(false);
            enableBackMenu(false);
            setMMTitle(2131297460);
        } else {
            showHomeBtn(true);
            enableBackMenu(true);
            setMMTitle(2131297459);
        }
        setBackBtn(new 1(this));
        AppMethodBeat.o(44599);
    }

    public final void initView() {
        AppMethodBeat.i(44600);
        this.pNb = (ImageView) findViewById(2131821647);
        this.pNc = (ImageView) findViewById(2131821651);
        this.pNd = (ImageView) findViewById(2131821655);
        this.pNe = (TextView) findViewById(2131821648);
        this.pNf = (TextView) findViewById(2131821652);
        this.pNg = (TextView) findViewById(2131821656);
        this.pNh = (TextView) findViewById(2131821649);
        this.pNi = (TextView) findViewById(2131821653);
        this.pNj = (TextView) findViewById(2131821657);
        this.pNk = findViewById(2131821644);
        this.pNl = findViewById(2131821645);
        this.nsy = (LinearLayout) findViewById(2131821660);
        this.pNm = (ViewGroup) findViewById(2131821642);
        if (this.gqq == 1) {
            findViewById(2131821662).setVisibility(8);
            AppMethodBeat.o(44600);
            return;
        }
        this.nsJ = (Button) findViewById(2131821663);
        this.nsJ.setOnClickListener(new 2(this));
        AppMethodBeat.o(44600);
    }

    /* Access modifiers changed, original: protected|final */
    public final void bFY() {
        AppMethodBeat.i(44601);
        getSupportActionBar().setBackgroundDrawable(new ColorDrawable(getResources().getColor(2131690691)));
        View customView = getSupportActionBar().getCustomView();
        if (customView != null) {
            View findViewById = customView.findViewById(2131821128);
            if (findViewById != null) {
                findViewById.setBackgroundColor(getResources().getColor(2131690157));
            }
            customView = customView.findViewById(16908308);
            if (customView != null && (customView instanceof TextView)) {
                ((TextView) customView).setTextColor(getResources().getColor(2131689761));
            }
        }
        if (VERSION.SDK_INT >= 21) {
            Window window = getWindow();
            window.addFlags(Integer.MIN_VALUE);
            window.setStatusBarColor(getResources().getColor(2131690691));
        }
        BankRemitBaseUI.Y(this);
        this.mController.contentView.setFitsSystemWindows(true);
        AppMethodBeat.o(44601);
    }

    public final boolean c(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(44602);
        if (mVar instanceof l) {
            final l lVar = (l) mVar;
            lVar.a(new 5(this, lVar)).b(new p.a() {
                public final void e(int i, int i2, String str, m mVar) {
                    AppMethodBeat.i(44597);
                    ab.e("MicroMsg.BankRemitDetailUI", "detail reponse error: %s, %s", new Object[]{Integer.valueOf(lVar.pLD.kCl), lVar.pLD.kCm});
                    if (bo.isNullOrNil(lVar.pLD.kCm)) {
                        Toast.makeText(BankRemitDetailUI.this, 2131297446, 1).show();
                        AppMethodBeat.o(44597);
                        return;
                    }
                    Toast.makeText(BankRemitDetailUI.this, lVar.pLD.kCm, 1).show();
                    AppMethodBeat.o(44597);
                }
            }).c(new 3(this));
        }
        AppMethodBeat.o(44602);
        return true;
    }

    public final int getLayoutId() {
        return 2130968816;
    }

    public void onDestroy() {
        AppMethodBeat.i(44603);
        super.onDestroy();
        ng(1579);
        AppMethodBeat.o(44603);
    }

    static /* synthetic */ void a(BankRemitDetailUI bankRemitDetailUI, int i, String str) {
        int i2 = 1;
        AppMethodBeat.i(44604);
        switch (i) {
            case 1:
                bankRemitDetailUI.pNc.setScaleType(ScaleType.CENTER_CROP);
                bankRemitDetailUI.pNc.setImageResource(2131230966);
                bankRemitDetailUI.pNi.setTextColor(bankRemitDetailUI.getResources().getColor(2131690316));
                bankRemitDetailUI.pNf.setText(2131297452);
                if (!bo.isNullOrNil(str)) {
                    bankRemitDetailUI.pNi.setText(str);
                    bankRemitDetailUI.pNi.setVisibility(0);
                    break;
                }
                break;
            case 2:
                bankRemitDetailUI.pNl.setBackground(bankRemitDetailUI.getResources().getDrawable(2130837845));
                bankRemitDetailUI.pNd.setScaleType(ScaleType.CENTER_CROP);
                bankRemitDetailUI.pNd.setImageResource(2131230964);
                bankRemitDetailUI.pNg.setTextColor(bankRemitDetailUI.getResources().getColor(2131690316));
                if (!bo.isNullOrNil(str)) {
                    bankRemitDetailUI.pNj.setText(str);
                    bankRemitDetailUI.pNj.setVisibility(0);
                    break;
                }
                break;
            case 3:
                bankRemitDetailUI.pNc.setScaleType(ScaleType.CENTER_CROP);
                bankRemitDetailUI.pNc.setImageResource(2131230960);
                bankRemitDetailUI.pNf.setTextColor(bankRemitDetailUI.getResources().getColor(2131690316));
                bankRemitDetailUI.pNf.setText(2131297454);
                if (!bo.isNullOrNil(str)) {
                    bankRemitDetailUI.pNi.setText(str);
                    bankRemitDetailUI.pNi.setVisibility(0);
                    break;
                }
                break;
            case 4:
                bankRemitDetailUI.pNc.setScaleType(ScaleType.CENTER_CROP);
                bankRemitDetailUI.pNc.setImageResource(2131230961);
                bankRemitDetailUI.pNf.setTextColor(bankRemitDetailUI.getResources().getColor(2131690316));
                bankRemitDetailUI.pNf.setText(2131297457);
                if (!bo.isNullOrNil(str)) {
                    bankRemitDetailUI.pNi.setText(str);
                    bankRemitDetailUI.pNi.setVisibility(0);
                    break;
                }
                break;
            case 5:
                bankRemitDetailUI.pNd.setScaleType(ScaleType.CENTER_CROP);
                bankRemitDetailUI.pNd.setImageResource(2131230961);
                bankRemitDetailUI.pNg.setTextColor(bankRemitDetailUI.getResources().getColor(2131690316));
                bankRemitDetailUI.pNg.setText(2131297455);
                if (!bo.isNullOrNil(str)) {
                    bankRemitDetailUI.pNj.setText(str);
                    bankRemitDetailUI.pNj.setVisibility(0);
                    break;
                }
                break;
            default:
                ab.w("MicroMsg.BankRemitDetailUI", "unknown state: %s", new Object[]{Integer.valueOf(bankRemitDetailUI.mState)});
                i2 = 0;
                break;
        }
        if (i2 != 0) {
            bankRemitDetailUI.findViewById(2131821658).setVisibility(8);
        }
        AppMethodBeat.o(44604);
    }
}
