package com.tencent.mm.plugin.sns.ui;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.widget.ListView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.ai.o;
import com.tencent.mm.plugin.sns.c.a;
import com.tencent.mm.plugin.sns.model.af;
import com.tencent.mm.plugin.sns.model.b;
import com.tencent.mm.plugin.sns.model.g;
import com.tencent.mm.sdk.platformtools.aa;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.p;

public class ArtistUI extends MMActivity implements f {
    private SharedPreferences ehZ;
    private ListView gGW;
    ak lda = af.bCo();
    private String nJy = "";
    private f rgL;
    private ArtistHeader rgM;
    private m rgN = null;
    g rgO = af.cnC();
    b rgP = af.cnA();
    private Runnable rgQ = new 1(this);
    private Runnable rgR = new 2(this);
    private p tipDialog = null;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public ArtistUI() {
        AppMethodBeat.i(38122);
        AppMethodBeat.o(38122);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(38123);
        super.onCreate(bundle);
        String g = aa.g(getSharedPreferences(ah.doA(), 0));
        ab.d("MicroMsg.ArtistUI", "filterLan temp ".concat(String.valueOf(g)));
        if (!(g.equals("zh_CN") || g.equals("en") || g.equals("zh_TW"))) {
            g = g.equals("zh_HK") ? "zh_TW" : "en";
        }
        this.nJy = g;
        ab.d("MicroMsg.ArtistUI", "lan " + this.nJy);
        com.tencent.mm.kernel.g.RQ();
        com.tencent.mm.kernel.g.RO().eJo.a(159, this);
        this.ehZ = getSharedPreferences(ah.doA(), 0);
        initView();
        af.cnA().a(this.rgM);
        AppMethodBeat.o(38123);
    }

    public void onDestroy() {
        AppMethodBeat.i(38124);
        super.onDestroy();
        if (this.tipDialog != null) {
            this.tipDialog = null;
        }
        if (this.rgM != null) {
            af.cnA().b(this.rgM);
        }
        af.cnC().ab(this);
        com.tencent.mm.kernel.g.RQ();
        com.tencent.mm.kernel.g.RO().eJo.b(159, this);
        AppMethodBeat.o(38124);
    }

    public void onResume() {
        AppMethodBeat.i(38125);
        super.onResume();
        AppMethodBeat.o(38125);
    }

    public void onPause() {
        AppMethodBeat.i(38126);
        super.onPause();
        AppMethodBeat.o(38126);
    }

    public final void initView() {
        AppMethodBeat.i(38127);
        setMMTitle(2131303268);
        getString(2131297061);
        this.tipDialog = h.b((Context) this, getString(2131296966), true, new 3(this));
        this.gGW = (ListView) findViewById(2131827689);
        a.gkF.bj(false);
        this.rgL = new f(this, this.nJy, new 4(this), new 5(this));
        this.gGW.setOnScrollListener(new 6(this));
        this.rgM = new ArtistHeader(this);
        this.gGW.addHeaderView(this.rgM);
        this.gGW.setAdapter(this.rgL);
        this.rgL.notifyDataSetChanged();
        this.rgM.setVisibility(8);
        setBackBtn(new 7(this));
        AppMethodBeat.o(38127);
    }

    public final int getLayoutId() {
        return 2130970747;
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(38128);
        if ((mVar instanceof o) && ((o) mVar).acR() == 4) {
            ab.i("MicroMsg.ArtistUI", "onSceneEnd: errType = " + i + " errCode = " + i2 + " errMsg = " + str + " type = " + mVar.getType() + " @" + hashCode());
            if (i == 0 && i2 == 0) {
                switch (mVar.getType()) {
                    case 159:
                        if (this.rgL != null) {
                            this.rgL.KC();
                        }
                        this.rgN = null;
                        break;
                }
                AppMethodBeat.o(38128);
                return;
            }
            if (mVar.getType() == 159 && this.tipDialog != null) {
                this.tipDialog.dismiss();
            }
            AppMethodBeat.o(38128);
            return;
        }
        ab.d("MicroMsg.ArtistUI", "another scene");
        AppMethodBeat.o(38128);
    }
}
