package com.tencent.mm.plugin.webview.ui.tools;

import android.content.ComponentName;
import android.content.ServiceConnection;
import android.os.IBinder;
import android.os.RemoteException;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.webview.modelcache.p;
import com.tencent.mm.plugin.webview.modeltools.c;
import com.tencent.mm.plugin.webview.stub.d.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;

class WebViewUI$33 implements ServiceConnection {
    final /* synthetic */ WebViewUI uxp;

    WebViewUI$33(WebViewUI webViewUI) {
        this.uxp = webViewUI;
    }

    public final void onServiceConnected(ComponentName componentName, IBinder iBinder) {
        AppMethodBeat.i(7854);
        ab.i("MicroMsg.WebViewUI", "edw onServiceConnected");
        if (this.uxp.pzf == null) {
            ab.e("MicroMsg.WebViewUI", "onServiceConnected, activity destroyed");
            AppMethodBeat.o(7854);
            return;
        }
        boolean z;
        this.uxp.icy = a.G(iBinder);
        try {
            this.uxp.icy.a(this.uxp.umI, this.uxp.hashCode());
        } catch (Exception e) {
            ab.e("MicroMsg.WebViewUI", "addCallback fail, ex = %s", new Object[]{e.getMessage()});
        }
        String str = "MicroMsg.WebViewUI";
        String str2 = "onServiceConnected, invoker == null ? %b";
        Object[] objArr = new Object[1];
        if (this.uxp.icy == null) {
            z = true;
        } else {
            z = false;
        }
        objArr[0] = Boolean.valueOf(z);
        ab.i(str, str2, objArr);
        m.uuj.icy = this.uxp.icy;
        if (!bo.isNullOrNil(this.uxp.getIntent().getStringExtra("ad_info"))) {
            m mVar = m.uuj;
            String stringExtra = this.uxp.getIntent().getStringExtra("ad_info");
            String str3 = "";
            if (mVar.icy != null) {
                try {
                    str3 = mVar.icy.g(23, null).getString("config_info_username");
                } catch (RemoteException e2) {
                    ab.e("MicroMsg.WebViewReportUtil", "setTraceId getConfigInfo exp:%s", new Object[]{e2});
                }
            }
            mVar.hg(stringExtra, str3);
        }
        if (this.uxp.icy == null) {
            ab.f("MicroMsg.WebViewUI", "service connect success, while invoker is null");
            this.uxp.finish();
            AppMethodBeat.o(7854);
            return;
        }
        this.uxp.aMh();
        AppMethodBeat.o(7854);
    }

    public final void onServiceDisconnected(ComponentName componentName) {
        AppMethodBeat.i(7855);
        ab.i("MicroMsg.WebViewUI", "edw onServiceDisconnected");
        if ((this.uxp.uwA && WebViewUI.uwz <= 0) || (!this.uxp.uwA && WebViewUI.uwz <= 1)) {
            c.c(this.uxp.icy);
            p cYp = p.a.cYp();
            for (int i = 0; i < cYp.unZ.size(); i++) {
                cYp.unZ.valueAt(i);
            }
            cYp.unZ.clear();
            cYp.uoa.clear();
        }
        if (this.uxp.uwA || WebViewUI.a(this.uxp) || this.uxp.isFinishing()) {
            this.uxp.icy = null;
            AppMethodBeat.o(7855);
            return;
        }
        ab.i("MicroMsg.WebViewUI", "maybe mm process crash, try rebind service");
        WebViewUI.b(this.uxp);
        AppMethodBeat.o(7855);
    }
}
