package com.tencent.mm.ui.chatting.c;

import android.content.Intent;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AlphaAnimation;
import android.view.animation.AnimationSet;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.TranslateAnimation;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.aj.d.b.c;
import com.tencent.mm.aj.z;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.n;
import com.tencent.mm.model.r;
import com.tencent.mm.openim.PluginOpenIM;
import com.tencent.mm.pluginsdk.ui.chat.AppPanel;
import com.tencent.mm.pluginsdk.ui.chat.ChatFooter;
import com.tencent.mm.pluginsdk.ui.chat.ChatFooter.e;
import com.tencent.mm.pluginsdk.ui.chat.m;
import com.tencent.mm.pluginsdk.ui.chat.m.6;
import com.tencent.mm.pluginsdk.ui.e.j;
import com.tencent.mm.sdk.e.n.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ad;
import com.tencent.mm.storage.ak;
import com.tencent.mm.ui.bizchat.BizChatAtSomeoneUI;
import com.tencent.mm.ui.chatting.AtSomeoneUI;
import com.tencent.mm.ui.chatting.BaseChattingUIFragment;
import com.tencent.mm.ui.chatting.ChatFooterCustom;
import com.tencent.mm.ui.chatting.c.b.aa;
import com.tencent.mm.ui.chatting.c.b.ae;
import com.tencent.mm.ui.chatting.c.b.d;
import com.tencent.mm.ui.chatting.c.b.i;
import com.tencent.mm.ui.chatting.c.b.o;
import com.tencent.mm.ui.chatting.c.b.v;
import com.tencent.mm.ui.chatting.h;
import com.tencent.mm.ui.chatting.p;
import com.tencent.mm.ui.chatting.t;
import com.tencent.mm.ui.chatting.w;
import java.util.List;

@com.tencent.mm.ui.chatting.c.a.a(dFp = o.class)
public class q extends a implements com.tencent.mm.sdk.e.k.a, b, o {
    protected ChatFooter oor;
    private final e vmZ = new 1(this);
    private p yPG;
    protected ChatFooterCustom yPH;
    private int yPI = 0;
    private t yPJ;
    private w yPK;
    private h yPL;
    private AnimationSet yPM;
    private String yPN = null;
    private int yPO;
    private int yPP;
    private boolean yPQ = false;
    private boolean yPR = false;
    public boolean yPS = false;
    private long yPT = 0;

    class a implements TextWatcher {
        private boolean yPX;
        private List<String> yPY;

        private a() {
            this.yPX = false;
            this.yPY = null;
        }

        /* synthetic */ a(q qVar, byte b) {
            this();
        }

        public final void afterTextChanged(Editable editable) {
        }

        public final void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }

        private static boolean eA(String str, int i) {
            AppMethodBeat.i(31417);
            if (str == null || i < 0 || str.length() <= i) {
                AppMethodBeat.o(31417);
                return false;
            } else if (i == 0) {
                AppMethodBeat.o(31417);
                return true;
            } else {
                AppMethodBeat.o(31417);
                return true;
            }
        }

        public final void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
            AppMethodBeat.i(31418);
            ab.i("MicroMsg.ChattingUI.FootComponent", "[onTextChanged]");
            ((com.tencent.mm.ui.chatting.c.b.ab) q.this.cgL.aF(com.tencent.mm.ui.chatting.c.b.ab.class)).OE(1);
            d dVar = (d) q.this.cgL.aF(d.class);
            String valueOf = String.valueOf(charSequence);
            String substring = valueOf.substring(i, i + i3);
            String c;
            Intent intent;
            if (q.this.cgL.dFw() && "@".equals(substring) && !valueOf.equals(q.this.oor.getLastContent()) && !q.this.oor.vnb) {
                q.this.oor.setLastContent(valueOf);
                q.this.oor.setInsertPos(i + 1);
                if (eA(valueOf, i)) {
                    c = bo.c(n.my(q.this.cgL.getTalkerUserName()), ",");
                    intent = new Intent();
                    intent.setClass(q.this.cgL.yTx.getContext(), AtSomeoneUI.class);
                    intent.putExtra("Block_list", r.Yz());
                    intent.putExtra("Chatroom_member_list", c);
                    intent.putExtra("Chat_User", q.this.cgL.getTalkerUserName());
                    intent.putExtra("Add_address_titile", q.this.cgL.yTx.getMMString(2131302505));
                    q.this.cgL.yTx.startActivityForResult(intent, com.tencent.view.d.MIC_PTU_MOLV);
                }
            } else if (dVar.dDn() && "@".equals(substring) && !valueOf.equals(q.this.oor.getLastContent()) && !q.this.oor.vnb) {
                q.this.oor.setLastContent(valueOf);
                q.this.oor.setInsertPos(i + 1);
                if (eA(valueOf, i)) {
                    c = dVar.dDk().field_userList;
                    intent = new Intent();
                    intent.setClass(q.this.cgL.yTx.getContext(), BizChatAtSomeoneUI.class);
                    intent.putExtra("Block_list", z.aeV().cI(q.this.cgL.getTalkerUserName()));
                    intent.putExtra("Chatroom_member_list", c);
                    intent.putExtra("Chat_User", q.this.cgL.getTalkerUserName());
                    intent.putExtra("Add_address_titile", q.this.cgL.yTx.getMMString(2131302505));
                    intent.putExtra("key_biz_chat_id", ((d) q.this.cgL.aF(d.class)).dDz());
                    q.this.cgL.yTx.startActivityForResult(intent, com.tencent.view.d.MIC_PTU_MOLV);
                }
            } else if (!valueOf.equals(q.this.oor.getLastContent())) {
                q.this.oor.setLastContent(valueOf);
            }
            ((aa) q.this.cgL.aF(aa.class)).z(valueOf, i, substring);
            if (!dVar.dDm()) {
                ChatFooter chatFooter = q.this.oor;
                if (!(chatFooter.vmX == null || chatFooter.oik == null)) {
                    chatFooter.vmX.voJ = true;
                    m mVar = chatFooter.vmX;
                    if (!(bo.isNullOrNil(valueOf) || valueOf.equals(mVar.voI))) {
                        g.RS().aa(new 6(mVar, valueOf));
                    }
                    mVar.voI = valueOf;
                }
            }
            AppMethodBeat.o(31418);
        }
    }

    public q() {
        AppMethodBeat.i(31419);
        AppMethodBeat.o(31419);
    }

    public final ChatFooter dDX() {
        return this.oor;
    }

    public final ChatFooterCustom dDY() {
        return this.yPH;
    }

    private void dDZ() {
        AppMethodBeat.i(31420);
        if (this.cgL.yTx.isCurrentActivity) {
            AppMethodBeat.o(31420);
            return;
        }
        this.cgL.yTz.dCz();
        if (this.oor != null) {
            ChatFooter chatFooter = this.oor;
            View findViewById = chatFooter.findViewById(2131822409);
            if (findViewById != null) {
                findViewById.setVisibility(8);
            }
            chatFooter.setSwitchButtonMode(0);
            chatFooter.mHandler.removeMessages(1002);
            if (chatFooter.vmS != null) {
                chatFooter.vmS.setVisibility(8);
            }
            if (chatFooter.vmT != null) {
                chatFooter.vmT.setVisibility(8);
            }
            if (chatFooter.vmU != null) {
                chatFooter.vmU.setVisibility(8);
            }
            if (chatFooter.miF != null) {
                chatFooter.miF.setVisibility(8);
            }
            chatFooter.oik.setVisibility(8);
            if (chatFooter.miI != null) {
                chatFooter.miI.setVisibility(8);
            }
            if (chatFooter.miJ != null) {
                chatFooter.miJ.setVisibility(8);
            }
            if (chatFooter.miG != null) {
                chatFooter.miG.setVisibility(8);
            }
            if (chatFooter.viY != null) {
                chatFooter.viY.setVisibility(8);
                chatFooter.vjb = false;
                chatFooter.viY.destroy();
                if (chatFooter.oij != null) {
                    chatFooter.oij.setVisibility(0);
                }
            }
            if (chatFooter.miF != null) {
                chatFooter.miF.setVisibility(8);
            }
            if (chatFooter.sze != null) {
                chatFooter.sze.setVisibility(8);
            }
            if (chatFooter.szb != null) {
                chatFooter.szb.update();
            }
            if (chatFooter.vmN != null) {
                chatFooter.vmN.setVisibility(8);
            }
            if (chatFooter.vmQ != null) {
                chatFooter.vmQ.setVisibility(8);
            }
            chatFooter.vmM = (AppPanel) chatFooter.findViewById(2131822423);
            if (chatFooter.vmM != null) {
                chatFooter.setAppPanelVisible(8);
                AppPanel appPanel = chatFooter.vmM;
                if (appPanel.qgO != null) {
                    appPanel.qgO.setToScreen(0);
                }
            }
            if (chatFooter.eAk != null) {
                chatFooter.eAk.destroy();
                chatFooter.vmQ.removeView(chatFooter.eAk);
                chatFooter.eAk = null;
            }
            chatFooter.dkC();
            ChatFooter chatFooter2 = this.oor;
            if (!bo.ac(chatFooter2.oij.getText())) {
                chatFooter2.oij.setText("");
            }
            chatFooter2.oP(false);
            chatFooter2.dka();
            this.oor.vna.voc = null;
        }
        AppMethodBeat.o(31420);
    }

    public final String dEa() {
        return this.yPN;
    }

    public final void dEb() {
        AppMethodBeat.i(31421);
        try {
            if (this.oor.dky()) {
                this.oor.setBottomPanelVisibility(8);
            }
            AppMethodBeat.o(31421);
        } catch (Exception e) {
            AppMethodBeat.o(31421);
        }
    }

    public final void dEc() {
        AppMethodBeat.i(31422);
        this.cgL.aqX();
        ab.i("MicroMsg.ChattingUI.FootComponent", "visibleCustomFooter customFooter is %s", new Object[]{this.yPH});
        if (this.yPH == null) {
            AppMethodBeat.o(31422);
            return;
        }
        this.yPH.setVisibility(0);
        if (this.oor != null) {
            this.oor.setVisibility(8);
        }
        AppMethodBeat.o(31422);
    }

    public final void dEd() {
        AppMethodBeat.i(31423);
        if (this.oor == null) {
            AppMethodBeat.o(31423);
            return;
        }
        this.oor.setVisibility(0);
        if (this.yPH != null) {
            this.yPH.setVisibility(8);
        }
        AppMethodBeat.o(31423);
    }

    private void dEe() {
        AppMethodBeat.i(31424);
        ab.i("MicroMsg.ChattingUI.FootComponent", "[goneFooter] %s", new Object[]{bo.dpG()});
        if (this.oor != null) {
            this.oor.setVisibility(8);
        }
        if (this.yPH != null) {
            this.yPH.setVisibility(8);
        }
        this.oor.oP(false);
        this.cgL.aqX();
        AppMethodBeat.o(31424);
    }

    public final void dEf() {
        AppMethodBeat.i(31425);
        this.yPM = new AnimationSet(false);
        TranslateAnimation translateAnimation = new TranslateAnimation(2, 0.0f, 2, 0.0f, 1, 1.0f, 1, 0.0f);
        AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 1.0f);
        this.yPM.setInterpolator(new DecelerateInterpolator(1.5f));
        this.yPM.addAnimation(translateAnimation);
        this.yPM.addAnimation(alphaAnimation);
        this.yPM.setDuration(300);
        this.yPM.setFillBefore(true);
        if (this.oor != null) {
            this.oor.startAnimation(this.yPM);
        }
        AppMethodBeat.o(31425);
    }

    public final void dEg() {
        AppMethodBeat.i(31426);
        ab.i("MicroMsg.ChattingUI.FootComponent", "triggerFooter, originChatFooterVisibility:%s", new Object[]{Integer.valueOf(this.yPO)});
        if (this.oor == null) {
            this.oor = (ChatFooter) this.cgL.findViewById(2131822391);
            this.oor.vnq = new 3(this);
        }
        if (((i) this.cgL.aF(i.class)).dDN() || com.tencent.mm.ui.widget.snackbar.b.aFF()) {
            if (!this.yPQ) {
                this.yPO = this.oor.getVisibility();
            }
            this.oor.u(0, -1, false);
            if (this.yPH == null) {
                this.yPP = -1;
            } else if (!this.yPQ) {
                this.yPP = this.yPH.getVisibility();
            }
            dEe();
            this.yPQ = true;
            AppMethodBeat.o(31426);
            return;
        }
        this.yPQ = false;
        if (this.yPO == 8 && this.yPP == 8) {
            dEe();
            AppMethodBeat.o(31426);
        } else if (this.yPO == 0) {
            dEd();
            AppMethodBeat.o(31426);
        } else {
            dEc();
            AppMethodBeat.o(31426);
        }
    }

    public final boolean ae(ad adVar) {
        AppMethodBeat.i(31427);
        boolean dET = ((com.tencent.mm.ui.chatting.c.b.z) this.cgL.aF(com.tencent.mm.ui.chatting.c.b.z.class)).dET();
        boolean dES = ((com.tencent.mm.ui.chatting.c.b.z) this.cgL.aF(com.tencent.mm.ui.chatting.c.b.z.class)).dES();
        boolean dDN = ((i) this.cgL.aF(i.class)).dDN();
        boolean dDW = ((com.tencent.mm.ui.chatting.c.b.n) this.cgL.aF(com.tencent.mm.ui.chatting.c.b.n.class)).dDW();
        if (dET || dES || dDN || dDW) {
            ab.i("MicroMsg.ChattingUI.FootComponent", dET + ", " + dES + ", " + dDN + ", " + dDW);
            dEe();
            AppMethodBeat.o(31427);
            return false;
        } else if (adVar == null || !com.tencent.mm.model.t.mV(adVar.field_username)) {
            if (adVar != null && adVar.dsf()) {
                d dVar = (d) this.cgL.aF(d.class);
                if (dVar.dDj() != null) {
                    com.tencent.mm.aj.d.b cJ = dVar.dDj().cJ(false);
                    if (cJ != null) {
                        if (cJ.fvc != null) {
                            cJ.fve = "1".equals(cJ.fvc.optString("IsHideInputToolbarInMsg"));
                        }
                        if (cJ.fve) {
                            ab.i("MicroMsg.ChattingUI.FootComponent", "bizinfo name=" + adVar.field_username + " is hide tool bar");
                            dEe();
                            AppMethodBeat.o(31427);
                            return false;
                        }
                    }
                    if (!(bo.isNullOrNil(adVar.field_username) || cJ == null)) {
                        int intExtra = this.cgL.yTx.getIntExtra("key_temp_session_show_type", 0);
                        switch (cJ.aeh()) {
                            case 2:
                                ab.i("MicroMsg.ChattingUI.FootComponent", "bizinfo name=" + adVar.field_username + " is show custom menu");
                                if (this.yPH == null) {
                                    i.a(this.cgL.yTx, 2131822392);
                                    this.yPH = (ChatFooterCustom) this.cgL.findViewById(2131822433);
                                    if (this.yPH != null) {
                                        this.yPH.u((ViewGroup) this.cgL.findViewById(2131822377));
                                    }
                                }
                                c aeo = cJ.aeo();
                                if (aeo != null && aeo.type == 1) {
                                    this.oor.setSwitchButtonMode(1);
                                    this.oor.setOnFooterSwitchListener(((d) this.cgL.aF(d.class)).dDq());
                                    dEd();
                                    break;
                                }
                                this.oor.setSwitchButtonMode(0);
                                try {
                                    if (!com.tencent.mm.model.t.mU(adVar.field_username)) {
                                        ChatFooterCustom chatFooterCustom = this.yPH;
                                        if (!(chatFooterCustom.yHx == null || chatFooterCustom.yHw == null)) {
                                            chatFooterCustom.yHx.setVisibility(0);
                                            chatFooterCustom.yHw.setVisibility(0);
                                        }
                                        if (chatFooterCustom.yHy != null) {
                                            chatFooterCustom.yHy.dBX();
                                        }
                                        this.yPH.setTalker(this.cgL.sRl);
                                        this.yPH.a(this.cgL.yTx, dVar.dDj(), adVar.field_username);
                                        this.yPH.setOnFooterSwitchListener(this.vmZ);
                                        this.yPH.setOnProcessClickListener(((d) this.cgL.aF(d.class)).dDp());
                                        this.oor.setOnFooterSwitchListener(this.vmZ);
                                        if (!((v) this.cgL.aF(v.class)).dEL() || intExtra != 1) {
                                            dEc();
                                            break;
                                        }
                                        dEd();
                                        break;
                                    }
                                    this.yPK = new w(this.yPH);
                                    this.yPK.ctT();
                                    dEc();
                                    break;
                                } catch (Exception e) {
                                    if (aeo == null || aeo.fvL == null || aeo.fvL.size() == 0) {
                                        dEd();
                                    } else {
                                        this.vmZ.oS(true);
                                    }
                                    ab.printErrStackTrace("MicroMsg.ChattingUI.FootComponent", e, "", new Object[0]);
                                    break;
                                }
                                break;
                            default:
                                dEd();
                                String str = "MicroMsg.ChattingUI.FootComponent";
                                String str2 = "bizinfo name=%s, %b, %d";
                                Object[] objArr = new Object[3];
                                objArr[0] = adVar.field_username;
                                if (cJ != null) {
                                    dDW = true;
                                } else {
                                    dDW = false;
                                }
                                objArr[1] = Boolean.valueOf(dDW);
                                objArr[2] = Integer.valueOf(cJ.aeh());
                                ab.e(str, str2, objArr);
                                break;
                        }
                    }
                }
            }
            AppMethodBeat.o(31427);
            return true;
        } else {
            this.yPL = new h(this.yPH);
            this.yPL.ctT();
            dEc();
            AppMethodBeat.o(31427);
            return true;
        }
    }

    public final void dEh() {
        int i;
        AppMethodBeat.i(31428);
        String talkerUserName = this.cgL.getTalkerUserName();
        if (com.tencent.mm.model.t.ne(talkerUserName) || ad.aou(talkerUserName)) {
            i = 1;
        } else if (com.tencent.mm.model.t.nv(talkerUserName)) {
            i = 2;
        } else {
            i = this.cgL.yTx.getIntExtra("Chat_Mode", 0);
            ab.d("MicroMsg.ChattingUI.FootComponent", "dkcm getChatMode old:%d intent:%d ", new Object[]{Integer.valueOf(this.yPI), Integer.valueOf(i)});
            if (this.yPI != 0) {
                i = this.yPI;
            }
            String value = com.tencent.mm.m.g.Nu().getValue("DefaultMsgType");
            if (this.yPI == 0 && value != null) {
                ab.d("MicroMsg.ChattingUI.FootComponent", "config def chatmode is %s", new Object[]{value});
                i = bo.getInt(com.tencent.mm.m.g.Nu().getValue("DefaultMsgType"), 0);
            }
            if (i == 0 && com.tencent.mm.n.a.jh(this.cgL.sRl.field_type)) {
                aw.ZK();
                i = ((Integer) com.tencent.mm.model.c.Ry().get(18, Integer.valueOf(0))).intValue();
            }
            if (i == 0) {
                i = 1;
            }
            ab.d("MicroMsg.ChattingUI.FootComponent", "dkcm getChatMode old:%d intent:%d ", new Object[]{Integer.valueOf(this.yPI), Integer.valueOf(i)});
        }
        if (i == 2) {
            ab.i("MicroMsg.ChattingUI.FootComponent", "summerper checkPermission checkmicrophone[%b], stack[%s], activity[%s]", new Object[]{Boolean.valueOf(com.tencent.mm.pluginsdk.permission.b.a(this.cgL.yTx.getContext(), "android.permission.RECORD_AUDIO", 80, "", "")), bo.dpG(), this.cgL.yTx.getContext()});
            if (com.tencent.mm.pluginsdk.permission.b.a(this.cgL.yTx.getContext(), "android.permission.RECORD_AUDIO", 80, "", "")) {
                this.oor.az(i, false);
            }
            AppMethodBeat.o(31428);
            return;
        }
        this.oor.az(i, false);
        AppMethodBeat.o(31428);
    }

    /* JADX WARNING: Removed duplicated region for block: B:60:0x026b  */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x0282  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0329  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x0332  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x033b  */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x034c  */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x0355  */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x0360  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x036b  */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x0376  */
    /* JADX WARNING: Removed duplicated region for block: B:150:0x051b  */
    /* JADX WARNING: Removed duplicated region for block: B:98:0x0389  */
    /* JADX WARNING: Removed duplicated region for block: B:151:0x051e  */
    /* JADX WARNING: Removed duplicated region for block: B:101:0x038e  */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x0396  */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x03a4  */
    /* JADX WARNING: Removed duplicated region for block: B:117:0x03cd  */
    /* JADX WARNING: Removed duplicated region for block: B:120:0x03dd  */
    /* JADX WARNING: Removed duplicated region for block: B:123:0x03f4  */
    private void arm(java.lang.String r11) {
        /*
        r10 = this;
        r9 = 31429; // 0x7ac5 float:4.4041E-41 double:1.5528E-319;
        r2 = 0;
        r1 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r9);
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r3 = "initFooterPanelMenu %s";
        r4 = new java.lang.Object[r1];
        r4[r2] = r11;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r3, r4);
        r0 = r10.oor;
        r0.dkk();
        r0 = r10.oor;
        r0.dkb();
        r0 = r10.cgL;
        r3 = com.tencent.mm.ui.chatting.c.b.i.class;
        r0 = r0.aF(r3);
        r0 = (com.tencent.mm.ui.chatting.c.b.i) r0;
        r0 = r0.dDN();
        if (r0 == 0) goto L_0x0479;
    L_0x002e:
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r3 = "match shake, in show mode, do not open short video recode view";
        com.tencent.mm.sdk.platformtools.ab.w(r0, r3);
        r0 = r2;
    L_0x0038:
        if (r0 != 0) goto L_0x003f;
    L_0x003a:
        r0 = r10.oor;
        r0.dkm();
    L_0x003f:
        r0 = r10.cgL;
        r3 = com.tencent.mm.ui.chatting.c.b.d.class;
        r0 = r0.aF(r3);
        r0 = (com.tencent.mm.ui.chatting.c.b.d) r0;
        r0 = r0.dDm();
        if (r0 == 0) goto L_0x006f;
    L_0x004f:
        r0 = r10.cgL;
        r0 = r0.getTalkerUserName();
        r0 = com.tencent.mm.aj.f.qX(r0);
        if (r0 == 0) goto L_0x005f;
    L_0x005b:
        r3 = r0.field_enterpriseFather;
        if (r3 != 0) goto L_0x04db;
    L_0x005f:
        r0 = r2;
    L_0x0060:
        if (r0 == 0) goto L_0x006f;
    L_0x0062:
        r0 = r10.oor;
        r0 = r0.vmM;
        r3 = r0.vlP;
        r3 = r3.vmG;
        r3.value = r1;
        r0.djQ();
    L_0x006f:
        r0 = r10.cgL;
        r0 = r0.dFx();
        if (r0 != 0) goto L_0x007c;
    L_0x0077:
        r0 = r10.oor;
        r0.dks();
    L_0x007c:
        r0 = r10.cgL;
        r0 = r0.sRl;
        if (r0 == 0) goto L_0x009f;
    L_0x0082:
        r0 = r10.cgL;
        r0 = r0.sRl;
        r0 = r0.field_type;
        r0 = com.tencent.mm.n.a.jh(r0);
        if (r0 != 0) goto L_0x009f;
    L_0x008e:
        r0 = r10.cgL;
        r0 = r0.getTalkerUserName();
        r0 = com.tencent.mm.model.t.kH(r0);
        if (r0 != 0) goto L_0x009f;
    L_0x009a:
        r0 = r10.oor;
        r0.dkp();
    L_0x009f:
        r0 = com.tencent.mm.storage.ad.mR(r11);
        if (r0 == 0) goto L_0x00e1;
    L_0x00a5:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djK();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djM();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djN();
        r0 = r10.oor;
        r0.dkn();
        r0 = r10.oor;
        r0.dko();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
        r0 = r10.oor;
        r0.ac(r1, r1);
        r0 = r10.oor;
        r0.dkp();
        r0 = r10.oor;
        r0.dkq();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djP();
    L_0x00e1:
        r0 = com.tencent.mm.storage.ad.aow(r11);
        if (r0 == 0) goto L_0x0123;
    L_0x00e7:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djK();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djM();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djN();
        r0 = r10.oor;
        r0.dkn();
        r0 = r10.oor;
        r0.dko();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
        r0 = r10.oor;
        r0.ac(r1, r1);
        r0 = r10.oor;
        r0.dkp();
        r0 = r10.oor;
        r0.dkq();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djP();
    L_0x0123:
        r0 = com.tencent.mm.storage.ad.aou(r11);
        if (r0 == 0) goto L_0x016a;
    L_0x0129:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djK();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djM();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djN();
        r0 = r10.oor;
        r0.dkn();
        r0 = r10.oor;
        r0.dkj();
        r0 = r10.oor;
        r0.dko();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
        r0 = r10.oor;
        r0.ac(r1, r1);
        r0 = r10.oor;
        r0.dkp();
        r0 = r10.oor;
        r0.dkq();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djP();
    L_0x016a:
        r0 = com.tencent.mm.model.t.no(r11);
        if (r0 == 0) goto L_0x01a7;
    L_0x0170:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djK();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djM();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djN();
        r0 = r10.oor;
        r0.dko();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
        r0 = r10.oor;
        r0.ac(r1, r1);
        r0 = r10.oor;
        r0.dkp();
        r0 = r10.oor;
        r0.dkq();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djP();
    L_0x01a7:
        r0 = com.tencent.mm.model.t.nl(r11);
        if (r0 == 0) goto L_0x01c7;
    L_0x01ad:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djK();
        r0 = r10.oor;
        r0.ac(r1, r1);
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djP();
    L_0x01c7:
        com.tencent.mm.model.aw.ZK();
        r0 = com.tencent.mm.model.c.XM();
        r0 = r0.aoO(r11);
        if (r0 == 0) goto L_0x0229;
    L_0x01d4:
        r0 = r0.dsf();
        if (r0 == 0) goto L_0x0229;
    L_0x01da:
        r0 = r10.cgL;
        r3 = com.tencent.mm.ui.chatting.c.b.d.class;
        r0 = r0.aF(r3);
        r0 = (com.tencent.mm.ui.chatting.c.b.d) r0;
        r0 = r0.dDm();
        if (r0 == 0) goto L_0x04f7;
    L_0x01ea:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djK();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djN();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
        r0 = r10.oor;
        r0.ac(r1, r1);
        r0 = r10.oor;
        r0.dkp();
        r0 = r10.oor;
        r0.dkq();
        r0 = r10.oor;
        r0.dkm();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djO();
        r0 = r10.oor;
        r0.dkl();
        r0 = r10.oor;
        r0.dkr();
        r0 = r10.oor;
        r0.AD();
    L_0x0229:
        r0 = r10.cgL;
        r0 = r0.dFw();
        if (r0 == 0) goto L_0x0514;
    L_0x0231:
        r0 = com.tencent.mm.m.g.Nu();
        r3 = "MultitalkBlockCaller";
        r0 = r0.getInt(r3, r2);
        if (r0 != 0) goto L_0x0511;
    L_0x023e:
        r0 = r1;
    L_0x023f:
        if (r0 == 0) goto L_0x0514;
    L_0x0241:
        r0 = r10.oor;
        r0.oH(r2);
    L_0x0246:
        r0 = r10.cgL;
        r0 = r0.dFx();
        if (r0 != 0) goto L_0x0256;
    L_0x024e:
        r0 = r10.cgL;
        r0 = r0.dFv();
        if (r0 == 0) goto L_0x0260;
    L_0x0256:
        r0 = r10.oor;
        r0.ac(r1, r1);
        r0 = r10.oor;
        r0.dkq();
    L_0x0260:
        com.tencent.mm.bp.d.dlL();
        r0 = r10.cgL;
        r0 = r0.dFv();
        if (r0 == 0) goto L_0x0272;
    L_0x026b:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
    L_0x0272:
        r0 = r10.cgL;
        r0 = r0.getTalkerUserName();
        r3 = com.tencent.mm.model.r.Yz();
        r0 = r0.equals(r3);
        if (r0 == 0) goto L_0x0298;
    L_0x0282:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
        r0 = r10.oor;
        r0.ac(r1, r1);
        r0 = r10.oor;
        r0.dkp();
        r0 = r10.oor;
        r0.dkq();
    L_0x0298:
        r0 = r10.oor;
        r3 = 0;
        r0.setAppPanelTip(r3);
        r0 = r10.cgL;
        r0 = r0.sRl;
        r0 = r0.field_username;
        r0 = com.tencent.mm.storage.ad.aox(r0);
        if (r0 != 0) goto L_0x02b6;
    L_0x02aa:
        r0 = r10.cgL;
        r0 = r0.sRl;
        r0 = r0.field_username;
        r0 = com.tencent.mm.model.t.mP(r0);
        if (r0 == 0) goto L_0x03c4;
    L_0x02b6:
        com.tencent.mm.kernel.g.RQ();
        r0 = com.tencent.mm.plugin.messenger.foundation.a.j.class;
        r0 = com.tencent.mm.kernel.g.K(r0);
        r0 = (com.tencent.mm.plugin.messenger.foundation.a.j) r0;
        r0 = r0.XM();
        r3 = r10.cgL;
        r3 = r3.sRl;
        r3 = r3.field_username;
        r3 = r0.aoO(r3);
        r0 = com.tencent.mm.openim.a.b.class;
        r0 = com.tencent.mm.kernel.g.K(r0);
        r0 = (com.tencent.mm.openim.a.b) r0;
        r4 = r3.field_openImAppid;
        r5 = r3.field_descWordingId;
        r0.aZ(r4, r5);
        r0 = com.tencent.mm.openim.a.b.class;
        r0 = com.tencent.mm.kernel.g.K(r0);
        r0 = (com.tencent.mm.openim.a.b) r0;
        r4 = r3.field_openImAppid;
        r4 = r0.vi(r4);
        r0 = com.tencent.mm.openim.a.b.class;
        r0 = com.tencent.mm.kernel.g.K(r0);
        r0 = (com.tencent.mm.openim.a.b) r0;
        r5 = r10.cgL;
        r5 = r5.sRl;
        r5 = r5.field_openImAppid;
        r6 = "openim_function_tip";
        r7 = com.tencent.mm.openim.a.b.a.geR;
        r5 = r0.c(r5, r6, r7);
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r6 = "openim showFlag:%d username: %s appid: %s tip %s";
        r7 = 4;
        r7 = new java.lang.Object[r7];
        r8 = java.lang.Integer.valueOf(r4);
        r7[r2] = r8;
        r8 = r10.cgL;
        r8 = r8.sRl;
        r8 = r8.field_username;
        r7[r1] = r8;
        r8 = 2;
        r3 = r3.field_openImAppid;
        r7[r8] = r3;
        r3 = 3;
        r7[r3] = r5;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r6, r7);
        r0 = r4 & 1;
        if (r0 != 0) goto L_0x032e;
    L_0x0329:
        r0 = r10.oor;
        r0.dkj();
    L_0x032e:
        r0 = r4 & 2;
        if (r0 != 0) goto L_0x0337;
    L_0x0332:
        r0 = r10.oor;
        r0.dkl();
    L_0x0337:
        r0 = r4 & 4;
        if (r0 != 0) goto L_0x0348;
    L_0x033b:
        r0 = r10.oor;
        r0 = r0.vmM;
        r3 = r0.vlP;
        r3 = r3.vmn;
        r3.value = r2;
        r0.djQ();
    L_0x0348:
        r0 = r4 & 8;
        if (r0 != 0) goto L_0x0351;
    L_0x034c:
        r0 = r10.oor;
        r0.dkn();
    L_0x0351:
        r0 = r4 & 16;
        if (r0 != 0) goto L_0x035c;
    L_0x0355:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djM();
    L_0x035c:
        r0 = r4 & 32;
        if (r0 != 0) goto L_0x0367;
    L_0x0360:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djK();
    L_0x0367:
        r0 = r4 & 64;
        if (r0 != 0) goto L_0x0372;
    L_0x036b:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djP();
    L_0x0372:
        r0 = r4 & 128;
        if (r0 != 0) goto L_0x037b;
    L_0x0376:
        r0 = r10.oor;
        r0.dko();
    L_0x037b:
        r0 = r4 & 256;
        if (r0 == 0) goto L_0x0383;
    L_0x037f:
        r0 = r4 & 8192;
        if (r0 != 0) goto L_0x0392;
    L_0x0383:
        r6 = r10.oor;
        r0 = r4 & 256;
        if (r0 != 0) goto L_0x051b;
    L_0x0389:
        r3 = r1;
    L_0x038a:
        r0 = r4 & 8192;
        if (r0 != 0) goto L_0x051e;
    L_0x038e:
        r0 = r1;
    L_0x038f:
        r6.ac(r3, r0);
    L_0x0392:
        r0 = r4 & 512;
        if (r0 != 0) goto L_0x03a0;
    L_0x0396:
        r0 = r10.oor;
        r0.dkp();
        r0 = r10.oor;
        r0.dkq();
    L_0x03a0:
        r0 = r4 & 1024;
        if (r0 != 0) goto L_0x03aa;
    L_0x03a4:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.vma = r1;
    L_0x03aa:
        r0 = r10.cgL;
        r0 = r0.sRl;
        r0 = r0.field_username;
        r0 = com.tencent.mm.model.t.mP(r0);
        if (r0 == 0) goto L_0x03bf;
    L_0x03b6:
        r0 = r4 & 256;
        if (r0 != 0) goto L_0x03bf;
    L_0x03ba:
        r0 = r10.oor;
        r0.oH(r1);
    L_0x03bf:
        r0 = r10.oor;
        r0.setAppPanelTip(r5);
    L_0x03c4:
        r0 = r10.oor;
        com.tencent.mm.bp.d.dlL();
        r3 = r0.eAk;
        if (r3 == 0) goto L_0x03d2;
    L_0x03cd:
        r0 = r0.eAk;
        r0.j(r2, r2);
    L_0x03d2:
        r0 = r10.oor;
        com.tencent.mm.bp.d.dlL();
        r3 = com.tencent.mm.au.b.ahK();
        if (r3 == 0) goto L_0x03de;
    L_0x03dd:
        r2 = r1;
    L_0x03de:
        r0.oI(r2);
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
        r0 = r10.cgL;
        r0 = r0.getTalkerUserName();
        r0 = com.tencent.mm.storage.ad.mg(r0);
        if (r0 == 0) goto L_0x0475;
    L_0x03f4:
        r0 = r10.oor;
        r0.dkb();
        r0 = r10.oor;
        r0.dkj();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djN();
        r0 = r10.oor;
        r0.dks();
        r0 = r10.oor;
        r0.dko();
        r0 = r10.oor;
        r0.dkl();
        r0 = r10.oor;
        r0.dkn();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djK();
        r0 = r10.oor;
        r0.dkm();
        r0 = r10.oor;
        r0.dko();
        r0 = r10.oor;
        r0.dkl();
        r0 = r10.oor;
        r0.dkr();
        r0 = r10.oor;
        r0.AD();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djO();
        r0 = r10.oor;
        r0.ac(r1, r1);
        r0 = r10.oor;
        r0.oH(r1);
        r0 = r10.oor;
        r0.oI(r1);
        r0 = r10.oor;
        r0.dkp();
        r0 = r10.oor;
        r0.dkq();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djK();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djM();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djP();
    L_0x0475:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
        return;
    L_0x0479:
        r0 = r10.cgL;
        r3 = com.tencent.mm.ui.chatting.c.b.z.class;
        r0 = r0.aF(r3);
        r0 = (com.tencent.mm.ui.chatting.c.b.z) r0;
        r3 = r0.dET();
        r0 = r10.cgL;
        r4 = com.tencent.mm.ui.chatting.c.b.z.class;
        r0 = r0.aF(r4);
        r0 = (com.tencent.mm.ui.chatting.c.b.z) r0;
        r0 = r0.dES();
        if (r3 != 0) goto L_0x0499;
    L_0x0497:
        if (r0 == 0) goto L_0x04a5;
    L_0x0499:
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r3 = "match shake, in search mode, do not open short video recode view";
        com.tencent.mm.sdk.platformtools.ab.w(r0, r3);
        r0 = r2;
        goto L_0x0038;
    L_0x04a5:
        r0 = r10.cgL;
        r0 = r0.getTalkerUserName();
        r0 = com.tencent.mm.storage.ad.aow(r0);
        if (r0 != 0) goto L_0x04bd;
    L_0x04b1:
        r0 = r10.cgL;
        r0 = r0.getTalkerUserName();
        r0 = com.tencent.mm.storage.ad.mR(r0);
        if (r0 == 0) goto L_0x04c9;
    L_0x04bd:
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r3 = "match shake, but is Qcontact or Bcontact";
        com.tencent.mm.sdk.platformtools.ab.w(r0, r3);
        r0 = r2;
        goto L_0x0038;
    L_0x04c9:
        r0 = r10.cgL;
        r0 = r0.getTalkerUserName();
        r0 = com.tencent.mm.model.t.nI(r0);
        if (r0 == 0) goto L_0x04d8;
    L_0x04d5:
        r0 = r2;
        goto L_0x0038;
    L_0x04d8:
        r0 = r1;
        goto L_0x0038;
    L_0x04db:
        r3 = com.tencent.mm.aj.z.aeR();
        r0 = r0.field_enterpriseFather;
        r3 = r3.qQ(r0);
        if (r3 == 0) goto L_0x04f5;
    L_0x04e7:
        r0 = r3.getCount();
        if (r0 <= 0) goto L_0x04f5;
    L_0x04ed:
        r0 = r1;
    L_0x04ee:
        if (r3 == 0) goto L_0x0060;
    L_0x04f0:
        r3.close();
        goto L_0x0060;
    L_0x04f5:
        r0 = r2;
        goto L_0x04ee;
    L_0x04f7:
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djK();
        r0 = r10.oor;
        r0.ac(r1, r1);
        r0 = r10.oor;
        r0.dkn();
        r0 = r10.oor;
        r0 = r0.vmM;
        r0.djL();
        goto L_0x0229;
    L_0x0511:
        r0 = r2;
        goto L_0x023f;
    L_0x0514:
        r0 = r10.oor;
        r0.oH(r1);
        goto L_0x0246;
    L_0x051b:
        r3 = r2;
        goto L_0x038a;
    L_0x051e:
        r0 = r2;
        goto L_0x038f;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.chatting.c.q.arm(java.lang.String):void");
    }

    public final void a(int i, com.tencent.mm.sdk.e.n nVar, Object obj) {
        AppMethodBeat.i(31431);
        if (obj != null) {
            obj.equals("");
        }
        ab.i("MicroMsg.ChattingUI.FootComponent", "onNotifyChange obj %s talker %s", new Object[]{obj, this.cgL.getTalkerUserName()});
        if (obj.equals(this.cgL.getTalkerUserName())) {
            arm(this.cgL.getTalkerUserName());
            dEh();
        }
        AppMethodBeat.o(31431);
    }

    public final void a(String str, com.tencent.mm.sdk.e.m mVar) {
        AppMethodBeat.i(31432);
        if (str != null) {
            str.equals("");
        }
        ab.i("MicroMsg.ChattingUI.FootComponent", "onNotifyChange obj %s talker %s", new Object[]{str, this.cgL.getTalkerUserName()});
        if (com.tencent.mm.model.t.mP(this.cgL.getTalkerUserName())) {
            arm(this.cgL.getTalkerUserName());
            dEh();
        }
        AppMethodBeat.o(31432);
    }

    public final void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(31433);
        super.onActivityResult(i, i2, intent);
        if (1111 == i && -1 == i2) {
            this.oor.dkh();
        }
        if (i2 != -1) {
            if (i == 200 || i == 201 || i == 203) {
                this.oor.clearFocus();
            }
            AppMethodBeat.o(31433);
            return;
        }
        if (!(i == com.tencent.view.d.MIC_PTU_DRAMA || this.yPH == null)) {
            this.yPH.r(i, intent);
        }
        switch (i) {
            case 202:
                if (intent != null) {
                    int intExtra = intent.getIntExtra("Chat_Mode", 1);
                    if (this.oor != null) {
                        this.oor.setMode(intExtra);
                        break;
                    }
                }
                ab.e("MicroMsg.ChattingUI.FootComponent", "CONTEXT_MENU_WECHAT_GALLERY_IMAGE intent == null");
                AppMethodBeat.o(31433);
                return;
                break;
        }
        AppMethodBeat.o(31433);
    }

    public final void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        int i2 = 0;
        AppMethodBeat.i(31434);
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (iArr == null || iArr.length <= 0) {
            String str = "MicroMsg.ChattingUI.FootComponent";
            String str2 = "summerper onRequestPermissionsResult, grantResults length is:%d requestCode:%d, permissions:%s, stack:%s";
            Object[] objArr = new Object[4];
            objArr[0] = Integer.valueOf(iArr == null ? -1 : iArr.length);
            objArr[1] = Integer.valueOf(i);
            objArr[2] = strArr;
            objArr[3] = bo.dpG();
            ab.w(str, str2, objArr);
            AppMethodBeat.o(31434);
            return;
        }
        int i3;
        switch (i) {
            case 18:
                if (iArr[0] == 0) {
                    ab.i("MicroMsg.ChattingUI.FootComponent", "summerper doFooterSightRequest,footerEventImpl[%s], stack[%s]", new Object[]{this.yPG, bo.dpG()});
                    if (this.yPG != null) {
                        p pVar = this.yPG;
                        if (!this.oor.vmM.vlP.vmD.value) {
                            i2 = 2;
                        }
                        pVar.Om(i2);
                    }
                    AppMethodBeat.o(31434);
                    return;
                }
                if ("android.permission.CAMERA".equals(strArr[0])) {
                    i3 = 2131301920;
                } else {
                    i3 = 2131301928;
                }
                if (iArr[0] != 0) {
                    com.tencent.mm.ui.base.h.a(this.cgL.yTx.getContext(), this.cgL.yTx.getMMResources().getString(i3), this.cgL.yTx.getMMResources().getString(2131301936), this.cgL.yTx.getMMResources().getString(2131300878), this.cgL.yTx.getMMResources().getString(2131297773), false, new 5(this), new 6(this));
                }
                AppMethodBeat.o(31434);
                return;
            case 19:
            case com.tencent.view.d.MIC_BASE_SOFTLIGHTBLEND /*21*/:
            case com.tencent.view.d.MIC_BASE_FLARES /*22*/:
                if (iArr[0] != 0) {
                    if ("android.permission.CAMERA".equals(strArr[0])) {
                        i3 = 2131301920;
                    } else {
                        i3 = 2131301928;
                    }
                    if (iArr[0] != 0) {
                        com.tencent.mm.ui.base.h.a(this.cgL.yTx.getContext(), this.cgL.yTx.getMMResources().getString(i3), this.cgL.yTx.getMMResources().getString(2131301936), this.cgL.yTx.getMMResources().getString(2131300878), this.cgL.yTx.getMMResources().getString(2131297773), false, new 7(this), new 8(this));
                    }
                    AppMethodBeat.o(31434);
                    return;
                } else if (i == 19) {
                    ab.i("MicroMsg.ChattingUI.FootComponent", "summerper doVoipMenuVideoSelected,footerEventImpl[%s], stack[%s]", new Object[]{this.yPG, bo.dpG()});
                    if (this.yPG != null) {
                        this.yPG.cbm();
                    }
                    AppMethodBeat.o(31434);
                    return;
                } else if (i == 21) {
                    ab.i("MicroMsg.ChattingUI.FootComponent", "summerper doOnVoipRequest,footerEventImpl[%s], stack[%s]", new Object[]{this.yPG, bo.dpG()});
                    if (this.yPG != null) {
                        this.yPG.dCl();
                    }
                    AppMethodBeat.o(31434);
                    return;
                } else {
                    ab.i("MicroMsg.ChattingUI.FootComponent", "summerper doOnEnterMultiTalk,footerEventImpl[%s], stack[%s]", new Object[]{this.yPG, bo.dpG()});
                    if (this.yPG != null) {
                        this.yPG.dCj();
                    }
                    AppMethodBeat.o(31434);
                    return;
                }
            case com.tencent.view.d.MIC_BASE_LEVELS /*20*/:
                if (iArr[0] == 0) {
                    ab.i("MicroMsg.ChattingUI.FootComponent", "summerper doImageSelectTakePhotoRequest,footerEventImpl[%s], stack[%s]", new Object[]{this.yPG, bo.dpG()});
                    if (this.yPG != null) {
                        this.yPG.dCn();
                    }
                    AppMethodBeat.o(31434);
                    return;
                }
                com.tencent.mm.ui.base.h.a(this.cgL.yTx.getContext(), this.cgL.yTx.getMMResources().getString(2131301920), this.cgL.yTx.getMMResources().getString(2131301936), this.cgL.yTx.getMMResources().getString(2131300878), this.cgL.yTx.getMMResources().getString(2131297773), false, new 9(this), null);
                AppMethodBeat.o(31434);
                return;
            case com.tencent.view.d.MIC_NightRGBStretch /*81*/:
                if (iArr[0] == 0) {
                    ab.i("MicroMsg.ChattingUI.FootComponent", "summerper doTalkRoomRequest,footerEventImpl[%s], stack[%s]", new Object[]{this.yPG, bo.dpG()});
                    if (this.yPG != null) {
                        this.yPG.dCm();
                    }
                    AppMethodBeat.o(31434);
                    return;
                }
                com.tencent.mm.ui.base.h.a(this.cgL.yTx.getContext(), this.cgL.yTx.getMMResources().getString(2131301926), this.cgL.yTx.getMMResources().getString(2131301936), this.cgL.yTx.getMMResources().getString(2131300878), this.cgL.yTx.getMMResources().getString(2131297773), false, new 10(this), null);
                AppMethodBeat.o(31434);
                return;
            case com.tencent.view.d.MIC_BOKEH /*82*/:
            case com.tencent.view.d.MIC_ABAO /*83*/:
                if (iArr[0] != 0) {
                    com.tencent.mm.ui.base.h.a(this.cgL.yTx.getContext(), this.cgL.yTx.getMMResources().getString(2131301928), this.cgL.yTx.getMMResources().getString(2131301936), this.cgL.yTx.getMMResources().getString(2131300878), this.cgL.yTx.getMMResources().getString(2131297773), false, new 2(this), null);
                    break;
                } else if (i == 82) {
                    ab.i("MicroMsg.ChattingUI.FootComponent", "summerper doVoipMenuAudioSelected,footerEventImpl[%s], stack[%s]", new Object[]{this.yPG, bo.dpG()});
                    if (this.yPG != null) {
                        this.yPG.cbl();
                    }
                    AppMethodBeat.o(31434);
                    return;
                } else {
                    ab.i("MicroMsg.ChattingUI.FootComponent", "summerper doOnVoipAudioRequest,footerEventImpl[%s], stack[%s]", new Object[]{this.yPG, bo.dpG()});
                    if (this.yPG != null) {
                        this.yPG.dCk();
                    }
                    AppMethodBeat.o(31434);
                    return;
                }
        }
        AppMethodBeat.o(31434);
    }

    public final void dDh() {
        AppMethodBeat.i(31436);
        super.dDh();
        if (this.oor != null) {
            this.oor.setFooterEventListener(null);
            this.yPG = null;
            this.oor.setSmileyPanelCallback(null);
            this.oor.setSmileyPanelCallback2(null);
        }
        if (this.yPH != null) {
            this.yPH.ctm();
            this.yPH = null;
        }
        dDZ();
        if (this.yPH != null) {
            this.yPH.dBU();
        }
        j.clearCache();
        if (this.oor != null) {
            ChatFooter chatFooter = this.oor;
            if (chatFooter.vmX != null) {
                chatFooter.vmX.voJ = false;
                chatFooter.vmX.hide();
            }
        }
        if (this.cgL.yTx.isCurrentActivity && this.oor != null) {
            this.oor.destroy();
        }
        g.RQ();
        ((com.tencent.mm.plugin.messenger.foundation.a.j) g.K(com.tencent.mm.plugin.messenger.foundation.a.j.class)).XM().b(this);
        ((PluginOpenIM) g.M(PluginOpenIM.class)).getWordingInfoStg().d(this);
        AppMethodBeat.o(31436);
    }

    public final void dxy() {
        int i;
        AppMethodBeat.i(31437);
        this.yPR = false;
        this.yPS = false;
        this.yPT = 0;
        aw.ZK();
        ak aoZ = com.tencent.mm.model.c.XR().aoZ(this.cgL.getTalkerUserName());
        if (aoZ != null) {
            this.yPI = aoZ.field_chatmode;
        }
        ab.d("MicroMsg.ChattingUI.FootComponent", "dkcm init old:%d   ", new Object[]{Integer.valueOf(this.yPI)});
        String talkerUserName = this.cgL.getTalkerUserName();
        if (this.oor == null) {
            this.oor = (ChatFooter) this.cgL.findViewById(2131822391);
            this.oor.vnq = new 4(this);
        }
        this.oor.setCattingRootLayoutId(2131821521);
        ab.i("MicroMsg.ChattingUI.FootComponent", "resetFooter customFooter is %s", new Object[]{this.yPH});
        if (this.yPH != null) {
            this.yPH.ctm();
            this.yPH.setOnFooterSwitchListener(null);
            this.yPH.setOnProcessClickListener(null);
            this.oor.setOnFooterSwitchListener(null);
            this.yPH.dBU();
        }
        dEe();
        this.oor.dkk();
        boolean dET = ((com.tencent.mm.ui.chatting.c.b.z) this.cgL.aF(com.tencent.mm.ui.chatting.c.b.z.class)).dET();
        boolean dES = ((com.tencent.mm.ui.chatting.c.b.z) this.cgL.aF(com.tencent.mm.ui.chatting.c.b.z.class)).dES();
        boolean i2;
        if (dET || dES) {
            dEe();
        } else if (com.tencent.mm.model.t.nc(talkerUserName)) {
            dEe();
            i.a(this.cgL.yTx, 2131822392);
            if (this.yPH == null) {
                i2 = 1;
            } else {
                i2 = false;
            }
            this.yPH = (ChatFooterCustom) this.cgL.findViewById(2131822433);
            if (i2 != 0) {
                this.yPH.u((ViewGroup) this.cgL.findViewById(2131822377));
            }
            this.yPJ = new t(this.yPH);
            t tVar = this.yPJ;
            if (com.tencent.mm.sdk.platformtools.g.cdf == 1) {
                i2 = 1;
            } else {
                i2 = false;
            }
            tVar.yJS.findViewById(2131822434).setVisibility(8);
            tVar.lfQ = (LinearLayout) tVar.yJS.findViewById(2131822436);
            tVar.yJS.findViewById(2131822437).setVisibility(8);
            tVar.lfQ.setWeightSum(i2 != 0 ? 1.0f : 2.0f);
            tVar.yJT = (FrameLayout) tVar.lfQ.getChildAt(0);
            tVar.yJT.setVisibility(0);
            tVar.yJT.setOnClickListener(tVar.yKc);
            ((TextView) tVar.yJT.findViewById(2131822432)).setText(2131298043);
            tVar.yJT.findViewById(2131822431).setVisibility(8);
            tVar.yJT.getChildAt(2).setVisibility(8);
            int i3;
            if (i2 != 0) {
                for (i3 = 1; i3 < 6; i3++) {
                    tVar.lfQ.getChildAt(i3).setVisibility(8);
                }
            } else {
                tVar.yJU = (FrameLayout) tVar.lfQ.getChildAt(1);
                tVar.yJU.setVisibility(0);
                tVar.yJU.setOnClickListener(tVar.yKd);
                tVar.yJV = (TextView) tVar.yJU.findViewById(2131822432);
                tVar.yJW = (ImageView) tVar.yJU.findViewById(2131822431);
                tVar.yJW.setVisibility(0);
                tVar.dCr();
                aw.ZK();
                tVar.yJY = ((Integer) com.tencent.mm.model.c.Ry().get(com.tencent.mm.storage.ac.a.xJW, Integer.valueOf(-1))).intValue();
                if (tVar.yJY >= 0) {
                    tVar.dCt();
                } else {
                    tVar.yJV.setText(2131298056);
                }
                tVar.yJU.getChildAt(2).setVisibility(8);
                for (i3 = 2; i3 < 6; i3++) {
                    tVar.lfQ.getChildAt(i3).setVisibility(8);
                }
                tVar.yKb = com.tencent.mm.m.g.Nv().getMailAppEnterUlAndroid();
                if (bo.isNullOrNil(tVar.yKb)) {
                    tVar.yKb = "qqmail://folderlist?app=weixin&action=list&uin=$uin$";
                }
                aw.ZK();
                tVar.yKb = tVar.yKb.replace("$uin$", new com.tencent.mm.a.p(bo.h((Integer) com.tencent.mm.model.c.Ry().get(9, null))).toString());
                tVar.pzJ = com.tencent.mm.m.g.Nv().Nm();
                tVar.yJZ = true;
            }
            dEc();
        } else {
            this.yPJ = null;
            if (com.tencent.mm.model.t.mU(talkerUserName)) {
                dEe();
                i.a(this.cgL.yTx, 2131822392);
                if (this.yPH == null) {
                    i2 = 1;
                } else {
                    i2 = false;
                }
                this.yPH = (ChatFooterCustom) this.cgL.findViewById(2131822433);
                if (i2 != 0) {
                    this.yPH.u((ViewGroup) this.cgL.findViewById(2131822377));
                }
                this.yPK = new w(this.yPH);
                this.yPK.ctT();
                dEc();
            } else {
                this.yPK = null;
                if (com.tencent.mm.model.t.mV(talkerUserName)) {
                    dEe();
                    i.a(this.cgL.yTx, 2131822392);
                    if (this.yPH == null) {
                        i2 = 1;
                    } else {
                        i2 = false;
                    }
                    this.yPH = (ChatFooterCustom) this.cgL.findViewById(2131822433);
                    if (i2 != 0) {
                        this.yPH.u((ViewGroup) this.cgL.findViewById(2131822377));
                    }
                    this.yPL = new h(this.yPH);
                    this.yPL.ctT();
                    dEc();
                } else {
                    this.yPL = null;
                    if (!(com.tencent.mm.model.t.nd(talkerUserName) || com.tencent.mm.model.t.mU(talkerUserName) || com.tencent.mm.model.t.nc(talkerUserName) || com.tencent.mm.model.t.mV(talkerUserName))) {
                        com.tencent.mm.model.t.Zj();
                        if (!com.tencent.mm.model.t.nD(talkerUserName)) {
                            dEd();
                            ae(this.cgL.sRl);
                            this.oor.setUserName(talkerUserName);
                            arm(talkerUserName);
                            i iVar = (i) this.cgL.aF(i.class);
                            com.tencent.mm.ui.chatting.c.b.z zVar = (com.tencent.mm.ui.chatting.c.b.z) this.cgL.aF(com.tencent.mm.ui.chatting.c.b.z.class);
                            if (iVar.dDN()) {
                                if (zVar.dEQ()) {
                                    zVar.dEP();
                                    iVar.dDO();
                                } else {
                                    iVar.dDL();
                                }
                            }
                        }
                    }
                    dEe();
                }
            }
        }
        dDZ();
        this.yPG = new p(this.cgL, this.oor, this.cgL.getTalkerUserName());
        this.yPG.yJj = this.cgL.yTx.getBooleanExtra("key_need_send_video", true).booleanValue();
        this.oor.setFooterEventListener(this.yPG);
        com.tencent.mm.ui.chatting.v vVar = new com.tencent.mm.ui.chatting.v(this.cgL.yTx.getContext(), this.cgL.sRl, this.cgL.getTalkerUserName());
        this.oor.setSmileyPanelCallback(vVar);
        this.oor.setSmileyPanelCallback2(vVar);
        dEh();
        this.oor.dkd();
        ab.i("MicroMsg.ChattingUI.FootComponent", "isTempSession : %s, showType : %d.", new Object[]{Boolean.valueOf(((v) this.cgL.aF(v.class)).dEL()), Integer.valueOf(this.cgL.yTx.getIntExtra("key_temp_session_show_type", 0))});
        ab.d("MicroMsg.ChattingUI.FootComponent", "is temp session : %s.", new Object[]{Boolean.valueOf(r0.dEL())});
        if (((v) this.cgL.aF(v.class)).dEL()) {
            if (i2 == 1) {
                this.vmZ.oS(true);
            } else {
                this.vmZ.oS(false);
            }
        }
        ae(this.cgL.sRl);
        g.RQ();
        ((com.tencent.mm.plugin.messenger.foundation.a.j) g.K(com.tencent.mm.plugin.messenger.foundation.a.j.class)).XM().a(this);
        ((PluginOpenIM) g.M(PluginOpenIM.class)).getWordingInfoStg().c(this);
        AppMethodBeat.o(31437);
    }

    public final void dxz() {
    }

    public final void dxC() {
    }

    public final void setVoiceInputShowCallback(ChatFooter.d dVar) {
        AppMethodBeat.i(31430);
        this.oor.setVoiceInputShowCallback(dVar);
        AppMethodBeat.o(31430);
    }

    /* JADX WARNING: Removed duplicated region for block: B:47:0x012b  */
    /* JADX WARNING: Removed duplicated region for block: B:7:0x0040  */
    /* JADX WARNING: Removed duplicated region for block: B:7:0x0040  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x012b  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x012b  */
    /* JADX WARNING: Removed duplicated region for block: B:7:0x0040  */
    public final boolean onKeyDown(int r13, android.view.KeyEvent r14) {
        /*
        r12 = this;
        r11 = 31435; // 0x7acb float:4.405E-41 double:1.5531E-319;
        r10 = 2;
        r3 = 0;
        r2 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r11);
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r1 = "chatting onKeyDown, code:%d action:%d";
        r4 = new java.lang.Object[r10];
        r5 = r14.getKeyCode();
        r5 = java.lang.Integer.valueOf(r5);
        r4[r3] = r5;
        r5 = r14.getAction();
        r5 = java.lang.Integer.valueOf(r5);
        r4[r2] = r5;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r4);
        r0 = r14.getKeyCode();
        r1 = 4;
        if (r0 != r1) goto L_0x0101;
    L_0x002e:
        r0 = r12.cgL;
        r0 = r0.caA;
        if (r0 != 0) goto L_0x0048;
    L_0x0034:
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r1 = "onKeyDown back key fragment not foreground";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
    L_0x003d:
        r0 = r3;
    L_0x003e:
        if (r0 != 0) goto L_0x012b;
    L_0x0040:
        r0 = super.onKeyDown(r13, r14);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
    L_0x0047:
        return r0;
    L_0x0048:
        r0 = r12.cgL;
        r0 = r0.yTx;
        r0 = r0.isSupportNavigationSwipeBack();
        if (r0 == 0) goto L_0x006b;
    L_0x0052:
        r0 = r12.cgL;
        r0 = r0.yTx;
        r0 = r0.getSwipeBackLayout();
        r0 = r0.dkx();
        if (r0 == 0) goto L_0x006b;
    L_0x0060:
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r1 = "ashutest::onKeyDown back ScrollToFinishing";
        com.tencent.mm.sdk.platformtools.ab.w(r0, r1);
        r0 = r2;
        goto L_0x003e;
    L_0x006b:
        r0 = r14.getAction();
        if (r0 != 0) goto L_0x0079;
    L_0x0071:
        r12.yPR = r2;
        r0 = java.lang.System.currentTimeMillis();
        r12.yPT = r0;
    L_0x0079:
        r0 = r14.getAction();
        if (r0 != r2) goto L_0x00f0;
    L_0x007f:
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r1 = "hasBack %B, %d";
        r4 = new java.lang.Object[r10];
        r5 = r12.yPR;
        r5 = java.lang.Boolean.valueOf(r5);
        r4[r3] = r5;
        r6 = java.lang.System.currentTimeMillis();
        r8 = r12.yPT;
        r6 = r6 - r8;
        r5 = java.lang.Long.valueOf(r6);
        r4[r2] = r5;
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1, r4);
        r0 = r12.yPR;
        if (r0 == 0) goto L_0x00b0;
    L_0x00a3:
        r0 = java.lang.System.currentTimeMillis();
        r4 = r12.yPT;
        r0 = r0 - r4;
        r4 = 30000; // 0x7530 float:4.2039E-41 double:1.4822E-319;
        r0 = (r0 > r4 ? 1 : (r0 == r4 ? 0 : -1));
        if (r0 <= 0) goto L_0x00b2;
    L_0x00b0:
        r0 = r2;
        goto L_0x003e;
    L_0x00b2:
        r12.yPS = r2;
        r0 = r12.cgL;
        r1 = com.tencent.mm.ui.chatting.c.b.i.class;
        r0 = r0.aF(r1);
        r0 = (com.tencent.mm.ui.chatting.c.b.i) r0;
        r1 = r12.cgL;
        r4 = com.tencent.mm.ui.chatting.c.b.z.class;
        r1 = r1.aF(r4);
        r1 = (com.tencent.mm.ui.chatting.c.b.z) r1;
        r4 = r0.dDN();
        if (r4 == 0) goto L_0x00f7;
    L_0x00ce:
        r4 = r1.dEQ();
        if (r4 == 0) goto L_0x00f3;
    L_0x00d4:
        r1.dEP();
        r0.dDO();
    L_0x00da:
        r0 = r2;
    L_0x00db:
        if (r0 != 0) goto L_0x00f0;
    L_0x00dd:
        r0 = r12.oor;
        if (r0 == 0) goto L_0x00f9;
    L_0x00e1:
        r0 = r12.oor;
        r0 = r0.dky();
        if (r0 == 0) goto L_0x00f9;
    L_0x00e9:
        r0 = r12.oor;
        r1 = 23;
        r0.u(r10, r1, r3);
    L_0x00f0:
        r0 = r2;
        goto L_0x003e;
    L_0x00f3:
        r0.dDL();
        goto L_0x00da;
    L_0x00f7:
        r0 = r3;
        goto L_0x00db;
    L_0x00f9:
        r0 = r12.cgL;
        r0 = r0.yTx;
        r0.dBP();
        goto L_0x00f0;
    L_0x0101:
        r0 = r14.getKeyCode();
        r1 = 67;
        if (r0 != r1) goto L_0x011a;
    L_0x0109:
        r0 = r12.cgL;
        r0 = r0.caA;
        if (r0 != 0) goto L_0x011a;
    L_0x010f:
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r1 = "onKeyDown back key fragment not foreground";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        goto L_0x003d;
    L_0x011a:
        r0 = r12.cgL;
        r0 = r0.caA;
        if (r0 != 0) goto L_0x003d;
    L_0x0120:
        r0 = "MicroMsg.ChattingUI.FootComponent";
        r1 = "onKeyDown fragment not foreground";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        goto L_0x003d;
    L_0x012b:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        r0 = r2;
        goto L_0x0047;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.chatting.c.q.onKeyDown(int, android.view.KeyEvent):boolean");
    }

    public final void dxA() {
        boolean booleanValue;
        AppMethodBeat.i(31438);
        this.yPN = this.cgL.yTx.getStringExtra("smiley_product_id");
        if (this.oor.dkD()) {
            ((com.tencent.mm.ui.chatting.c.b.ab) this.cgL.aF(com.tencent.mm.ui.chatting.c.b.ab.class)).keepSignalling();
        }
        if (com.tencent.mm.model.t.nc(this.cgL.getTalkerUserName()) && this.yPJ != null && this.yPJ.yJZ) {
            this.yPJ.dCs();
        }
        ChatFooter chatFooter = this.oor;
        BaseChattingUIFragment baseChattingUIFragment = this.cgL.yTx;
        chatFooter.vnp = baseChattingUIFragment;
        if (!chatFooter.vjb) {
            chatFooter.findViewById(2131822408).setVisibility(0);
        }
        chatFooter.a(baseChattingUIFragment.getContext(), baseChattingUIFragment.thisActivity());
        chatFooter.vnV = true;
        if (!(bo.isNullOrNil(this.yPN) || this.oor == null)) {
            ab.d("MicroMsg.ChattingUI.FootComponent", "deal use smiley panel in product: %s", new Object[]{this.yPN});
            this.oor.setDefaultSmileyByDetail(this.yPN);
            this.oor.dkh();
        }
        this.cgL.yTx.getContext().getIntent().putExtra("smiley_product_id", "");
        this.oor.setUserName(this.cgL.getTalkerUserName());
        chatFooter = this.oor;
        String dFu = this.cgL.dFu();
        String talkerUserName = this.cgL.getTalkerUserName();
        chatFooter.cEV = dFu;
        chatFooter.toUser = talkerUserName;
        if (this.cgL.yTx.getBooleanExtra("key_show_bottom_app_panel", false).booleanValue()) {
            chatFooter = this.oor;
            chatFooter.dkf();
            if (chatFooter.vmS != null) {
                chatFooter.vmS.performClick();
                ab.d("MicroMsg.ChatFooter", "perform click attach bt to show bottom panel");
            }
        }
        if (ae(this.cgL.sRl)) {
            if (this.oor != null) {
                aw.ZK();
                booleanValue = ((Boolean) com.tencent.mm.model.c.Ry().get(66832, Boolean.FALSE)).booleanValue();
                ab.d("MicroMsg.ChattingUI.FootComponent", "jacks refresh Footer Plugin Setting , Enable Enter Button: %B", new Object[]{Boolean.valueOf(booleanValue)});
                this.oor.dkE();
                if (booleanValue) {
                    this.oor.dkt();
                    this.oor.dkd();
                }
                if (booleanValue) {
                    this.oor.dkl();
                }
                chatFooter = this.oor;
                if (chatFooter.vmM != null) {
                    chatFooter.vmM.djJ();
                }
            }
            ((ae) this.cgL.aF(ae.class)).dDS();
            if (this.oor != null) {
                this.oor.vmM.refresh();
                this.oor.addTextChangedListener(new a(this, (byte) 0));
                ab.i("MicroMsg.ChattingUI.FootComponent", "addTextChangedListener");
            }
        }
        boolean dET = ((com.tencent.mm.ui.chatting.c.b.z) this.cgL.aF(com.tencent.mm.ui.chatting.c.b.z.class)).dET();
        boolean dES = ((com.tencent.mm.ui.chatting.c.b.z) this.cgL.aF(com.tencent.mm.ui.chatting.c.b.z.class)).dES();
        booleanValue = ((i) this.cgL.aF(i.class)).dDN();
        if (dET || dES || booleanValue || this.cgL.sRl == null || this.cgL.sRl.dsf() || com.tencent.mm.model.t.nF(this.cgL.getTalkerUserName()) || com.tencent.mm.ui.widget.snackbar.b.aFF() || com.tencent.mm.model.t.mV(this.cgL.getTalkerUserName())) {
            ab.i("MicroMsg.ChattingUI.FootComponent", "no call visibleFooter again.");
            AppMethodBeat.o(31438);
            return;
        }
        ab.i("MicroMsg.ChattingUI.FootComponent", "call visibleFooter again.");
        dEd();
        AppMethodBeat.o(31438);
    }

    public final void dxB() {
        AppMethodBeat.i(31439);
        if (this.oor != null) {
            ChatFooter chatFooter = this.oor;
            if (chatFooter.vnw != null) {
                chatFooter.oij.removeTextChangedListener(chatFooter.vnw);
                chatFooter.vnw = null;
            }
            ab.i("MicroMsg.ChattingUI.FootComponent", "removeTextChangeListener");
            this.oor.onPause();
            if (g.RK()) {
                aw.ZK();
                com.tencent.mm.model.c.Ry().set(18, Integer.valueOf(this.oor.getMode()));
                ab.d("MicroMsg.ChattingUI.FootComponent", "dkcm old:%d footer:%d ", new Object[]{Integer.valueOf(this.yPI), Integer.valueOf(this.oor.getMode())});
                if (this.yPI != this.oor.getMode()) {
                    this.yPI = this.oor.getMode();
                    aw.ZK();
                    ak aoZ = com.tencent.mm.model.c.XR().aoZ(this.cgL.getTalkerUserName());
                    if (aoZ != null && this.cgL.getTalkerUserName().equals(aoZ.field_username)) {
                        aoZ.hN(this.yPI);
                        aw.ZK();
                        com.tencent.mm.model.c.XR().a(aoZ, this.cgL.getTalkerUserName());
                    }
                }
                this.oor.bvH();
                AppMethodBeat.o(31439);
                return;
            }
            ab.w("MicroMsg.ChattingUI.FootComponent", "account not ready");
            AppMethodBeat.o(31439);
            return;
        }
        AppMethodBeat.o(31439);
    }
}
