package com.tencent.mm.ui.widget.sortlist;

import android.content.Context;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Point;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.widget.AbsListView;
import android.widget.ListAdapter;
import android.widget.ListView;
import com.google.android.gms.stats.netstats.NetstatsParserPatterns;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.cg.a.a;
import com.tencent.smtt.sdk.WebView;

public class DragSortListView extends ListView {
    private int SG = 0;
    private int iJ;
    private int iK;
    private View iYn;
    private int itQ;
    private int itR;
    private DataSetObserver mObserver;
    private int mOffsetX;
    private int mOffsetY;
    private Point zUA = new Point();
    private Point zUB = new Point();
    private int zUC;
    private boolean zUD = false;
    private float zUE = 1.0f;
    private float zUF = 1.0f;
    private int zUG;
    private int zUH;
    private int zUI;
    private boolean zUJ = false;
    private int zUK;
    private int zUL;
    private int zUM;
    private b zUN;
    private h zUO;
    private l zUP;
    boolean zUQ = true;
    private int zUR = 1;
    private int zUS;
    private int zUT;
    private int zUU = 0;
    private View[] zUV = new View[1];
    private d zUW;
    private float zUX = 0.33333334f;
    private float zUY = 0.33333334f;
    private int zUZ;
    boolean zVA = false;
    private boolean zVB = false;
    private int zVa;
    private float zVb;
    private float zVc;
    private float zVd;
    private float zVe;
    private float zVf = 0.5f;
    private c zVg = new 1(this);
    private int zVh;
    private int zVi = 0;
    private boolean zVj = false;
    boolean zVk = false;
    i zVl = null;
    private MotionEvent zVm;
    private int zVn = 0;
    private float zVo = 0.25f;
    private float zVp = 0.0f;
    private a zVq;
    private boolean zVr = false;
    private f zVs;
    private boolean zVt = false;
    private boolean zVu = false;
    private j zVv = new j(this, (byte) 0);
    private k zVw;
    private g zVx;
    private boolean zVy;
    private float zVz = 0.0f;

    static /* synthetic */ void f(DragSortListView dragSortListView) {
        AppMethodBeat.i(113103);
        dragSortListView.dLG();
        AppMethodBeat.o(113103);
    }

    static /* synthetic */ void k(DragSortListView dragSortListView) {
        AppMethodBeat.i(113104);
        dragSortListView.dLA();
        AppMethodBeat.o(113104);
    }

    static /* synthetic */ void p(DragSortListView dragSortListView) {
        AppMethodBeat.i(113105);
        dragSortListView.dLI();
        AppMethodBeat.o(113105);
    }

    public DragSortListView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(113061);
        int i = 150;
        int i2 = 150;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, a.DragSortListView, 0, 0);
            this.zUR = Math.max(1, obtainStyledAttributes.getDimensionPixelSize(0, 1));
            this.zVr = obtainStyledAttributes.getBoolean(5, false);
            if (this.zVr) {
                this.zVs = new f(this);
            }
            this.zUE = obtainStyledAttributes.getFloat(6, this.zUE);
            this.zUF = this.zUE;
            this.zUQ = obtainStyledAttributes.getBoolean(10, this.zUQ);
            this.zVo = Math.max(0.0f, Math.min(1.0f, 1.0f - obtainStyledAttributes.getFloat(7, 0.75f)));
            this.zUJ = this.zVo > 0.0f;
            setDragScrollStart(obtainStyledAttributes.getFloat(1, this.zUX));
            this.zVf = obtainStyledAttributes.getFloat(2, this.zVf);
            int i3 = obtainStyledAttributes.getInt(8, 150);
            int i4 = obtainStyledAttributes.getInt(9, 150);
            if (obtainStyledAttributes.getBoolean(17, true)) {
                boolean z = obtainStyledAttributes.getBoolean(12, false);
                int i5 = obtainStyledAttributes.getInt(4, 1);
                boolean z2 = obtainStyledAttributes.getBoolean(11, true);
                int i6 = obtainStyledAttributes.getInt(13, 0);
                int resourceId = obtainStyledAttributes.getResourceId(14, 0);
                int resourceId2 = obtainStyledAttributes.getResourceId(15, 0);
                int resourceId3 = obtainStyledAttributes.getResourceId(16, 0);
                int color = obtainStyledAttributes.getColor(3, WebView.NIGHT_MODE_COLOR);
                a aVar = new a(this, resourceId, i6, i5, resourceId3, resourceId2);
                aVar.zUi = z;
                aVar.zUh = z2;
                aVar.zWh = color;
                this.zVl = aVar;
                setOnTouchListener(aVar);
            }
            obtainStyledAttributes.recycle();
            i2 = i4;
            i = i3;
        }
        this.zUW = new d(this);
        if (i > 0) {
            this.zVw = new k(this, i, (byte) 0);
        }
        if (i2 > 0) {
            this.zVx = new g(this, i2, (byte) 0);
        }
        this.zVm = MotionEvent.obtain(0, 0, 3, 0.0f, 0.0f, 0.0f, 0.0f, 0, 0.0f, 0.0f, 0, 0);
        this.mObserver = new 2(this);
        AppMethodBeat.o(113061);
    }

    public float getFloatAlpha() {
        return this.zUF;
    }

    public void setFloatAlpha(float f) {
        this.zUF = f;
    }

    public void setMaxScrollSpeed(float f) {
        this.zVf = f;
    }

    public void setAdapter(ListAdapter listAdapter) {
        AppMethodBeat.i(113062);
        if (listAdapter != null) {
            this.zVq = new a(this, listAdapter, (byte) 0);
            listAdapter.registerDataSetObserver(this.mObserver);
            if (listAdapter instanceof h) {
                setDropListener((h) listAdapter);
            }
            if (listAdapter instanceof b) {
                setDragListener((b) listAdapter);
            }
            if (listAdapter instanceof l) {
                setRemoveListener((l) listAdapter);
            }
        } else {
            this.zVq = null;
        }
        super.setAdapter(this.zVq);
        AppMethodBeat.o(113062);
    }

    public ListAdapter getInputAdapter() {
        if (this.zVq == null) {
            return null;
        }
        return this.zVq.Ei;
    }

    private void a(int i, Canvas canvas) {
        AppMethodBeat.i(113063);
        Drawable divider = getDivider();
        int dividerHeight = getDividerHeight();
        if (!(divider == null || dividerHeight == 0)) {
            ViewGroup viewGroup = (ViewGroup) getChildAt(i - getFirstVisiblePosition());
            if (viewGroup != null) {
                int i2;
                int paddingLeft = getPaddingLeft();
                int width = getWidth() - getPaddingRight();
                int height = viewGroup.getChildAt(0).getHeight();
                if (i > this.zUK) {
                    height += viewGroup.getTop();
                    i2 = height + dividerHeight;
                } else {
                    i2 = viewGroup.getBottom() - height;
                    height = i2 - dividerHeight;
                }
                canvas.save();
                canvas.clipRect(paddingLeft, height, width, i2);
                divider.setBounds(paddingLeft, height, width, i2);
                divider.draw(canvas);
                canvas.restore();
            }
        }
        AppMethodBeat.o(113063);
    }

    /* Access modifiers changed, original: protected */
    public void dispatchDraw(Canvas canvas) {
        AppMethodBeat.i(113064);
        super.dispatchDraw(canvas);
        if (this.SG != 0) {
            if (this.zUH != this.zUK) {
                a(this.zUH, canvas);
            }
            if (!(this.zUI == this.zUH || this.zUI == this.zUK)) {
                a(this.zUI, canvas);
            }
        }
        if (this.iYn != null) {
            float f;
            int width = this.iYn.getWidth();
            int height = this.iYn.getHeight();
            int i = this.zUA.x;
            int width2 = getWidth();
            if (i < 0) {
                i = -i;
            }
            if (i < width2) {
                f = ((float) (width2 - i)) / ((float) width2);
                f *= f;
            } else {
                f = 0.0f;
            }
            int i2 = (int) (f * (255.0f * this.zUF));
            canvas.save();
            canvas.translate((float) this.zUA.x, (float) this.zUA.y);
            canvas.clipRect(0, 0, width, height);
            canvas.saveLayerAlpha(0.0f, 0.0f, (float) width, (float) height, i2, 31);
            this.iYn.draw(canvas);
            canvas.restore();
            canvas.restore();
        }
        AppMethodBeat.o(113064);
    }

    private int Qs(int i) {
        AppMethodBeat.i(113065);
        View childAt = getChildAt(i - getFirstVisiblePosition());
        int height;
        if (childAt != null) {
            height = childAt.getHeight();
            AppMethodBeat.o(113065);
            return height;
        }
        height = hF(i, Qu(i));
        AppMethodBeat.o(113065);
        return height;
    }

    private int hE(int i, int i2) {
        AppMethodBeat.i(113066);
        int headerViewsCount = getHeaderViewsCount();
        int footerViewsCount = getFooterViewsCount();
        if (i <= headerViewsCount || i >= getCount() - footerViewsCount) {
            AppMethodBeat.o(113066);
            return i2;
        }
        headerViewsCount = getDividerHeight();
        footerViewsCount = this.zUS - this.zUR;
        int Qu = Qu(i);
        int Qs = Qs(i);
        if (this.zUI <= this.zUK) {
            if (i != this.zUI || this.zUH == this.zUI) {
                if (i > this.zUI && i <= this.zUK) {
                    i2 -= footerViewsCount;
                }
            } else if (i == this.zUK) {
                i2 = (i2 + Qs) - this.zUS;
            } else {
                i2 = ((Qs - Qu) + i2) - footerViewsCount;
            }
        } else if (i > this.zUK && i <= this.zUH) {
            i2 += footerViewsCount;
        } else if (i == this.zUI && this.zUH != this.zUI) {
            i2 += Qs - Qu;
        }
        if (i <= this.zUK) {
            headerViewsCount = (((this.zUS - headerViewsCount) - Qu(i - 1)) / 2) + i2;
        } else {
            headerViewsCount = (((Qu - headerViewsCount) - this.zUS) / 2) + i2;
        }
        AppMethodBeat.o(113066);
        return headerViewsCount;
    }

    /* JADX WARNING: Removed duplicated region for block: B:49:0x0105  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x008a  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x011b  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00a8  */
    private boolean dLx() {
        /*
        r15 = this;
        r14 = 113067; // 0x1b9ab float:1.5844E-40 double:5.58625E-319;
        r7 = 1;
        r13 = 1056964608; // 0x3f000000 float:0.5 double:5.222099017E-315;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r14);
        r2 = r15.getFirstVisiblePosition();
        r1 = r15.zUH;
        r0 = r1 - r2;
        r0 = r15.getChildAt(r0);
        if (r0 != 0) goto L_0x0025;
    L_0x0017:
        r0 = r15.getChildCount();
        r0 = r0 / 2;
        r1 = r2 + r0;
        r0 = r1 - r2;
        r0 = r15.getChildAt(r0);
    L_0x0025:
        r6 = r0.getTop();
        r5 = r0.getHeight();
        r4 = r15.hE(r1, r6);
        r8 = r15.getDividerHeight();
        r0 = r15.zUC;
        if (r0 >= r4) goto L_0x00bb;
    L_0x0039:
        r0 = r4;
        r2 = r4;
        r3 = r1;
    L_0x003c:
        if (r3 < 0) goto L_0x011f;
    L_0x003e:
        r3 = r3 + -1;
        r1 = r15.Qs(r3);
        if (r3 != 0) goto L_0x00ae;
    L_0x0046:
        r2 = r6 - r8;
        r1 = r2 - r1;
    L_0x004a:
        r5 = r15.getHeaderViewsCount();
        r8 = r15.getFooterViewsCount();
        r6 = 0;
        r9 = r15.zUH;
        r10 = r15.zUI;
        r11 = r15.zVp;
        r2 = r15.zUJ;
        if (r2 == 0) goto L_0x0100;
    L_0x005d:
        r2 = r1 - r0;
        r12 = java.lang.Math.abs(r2);
        r2 = r15.zUC;
        if (r2 >= r1) goto L_0x00e6;
    L_0x0067:
        r2 = r1;
        r4 = r0;
    L_0x0069:
        r0 = r15.zVo;
        r0 = r0 * r13;
        r1 = (float) r12;
        r0 = r0 * r1;
        r0 = (int) r0;
        r1 = (float) r0;
        r4 = r4 + r0;
        r0 = r2 - r0;
        r12 = r15.zUC;
        if (r12 >= r4) goto L_0x00e9;
    L_0x0077:
        r0 = r3 + -1;
        r15.zUH = r0;
        r15.zUI = r3;
        r0 = r15.zUC;
        r0 = r4 - r0;
        r0 = (float) r0;
        r0 = r0 * r13;
        r0 = r0 / r1;
        r15.zVp = r0;
    L_0x0086:
        r0 = r15.zUH;
        if (r0 >= r5) goto L_0x0105;
    L_0x008a:
        r15.zUH = r5;
        r15.zUI = r5;
        r3 = r5;
    L_0x008f:
        r0 = r15.zUH;
        if (r0 != r9) goto L_0x00a3;
    L_0x0093:
        r0 = r15.zUI;
        if (r0 != r10) goto L_0x00a3;
    L_0x0097:
        r0 = r15.zVp;
        r0 = r0 - r11;
        r0 = java.lang.Math.abs(r0);
        r1 = 0;
        r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1));
        if (r0 <= 0) goto L_0x011d;
    L_0x00a3:
        r0 = r7;
    L_0x00a4:
        r1 = r15.zUG;
        if (r3 == r1) goto L_0x011b;
    L_0x00a8:
        r15.zUG = r3;
    L_0x00aa:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r14);
        return r7;
    L_0x00ae:
        r1 = r1 + r8;
        r6 = r6 - r1;
        r1 = r15.hE(r3, r6);
        r2 = r15.zUC;
        if (r2 >= r1) goto L_0x004a;
    L_0x00b8:
        r0 = r1;
        r2 = r1;
        goto L_0x003c;
    L_0x00bb:
        r9 = r15.getCount();
        r0 = r4;
        r2 = r4;
        r3 = r1;
    L_0x00c2:
        if (r3 >= r9) goto L_0x011f;
    L_0x00c4:
        r1 = r9 + -1;
        if (r3 != r1) goto L_0x00cd;
    L_0x00c8:
        r1 = r6 + r8;
        r1 = r1 + r5;
        goto L_0x004a;
    L_0x00cd:
        r1 = r8 + r5;
        r6 = r6 + r1;
        r1 = r3 + 1;
        r4 = r15.Qs(r1);
        r1 = r3 + 1;
        r1 = r15.hE(r1, r6);
        r2 = r15.zUC;
        if (r2 < r1) goto L_0x004a;
    L_0x00e0:
        r3 = r3 + 1;
        r0 = r1;
        r2 = r1;
        r5 = r4;
        goto L_0x00c2;
    L_0x00e6:
        r2 = r0;
        r4 = r1;
        goto L_0x0069;
    L_0x00e9:
        r4 = r15.zUC;
        if (r4 < r0) goto L_0x0100;
    L_0x00ed:
        r15.zUH = r3;
        r0 = r3 + 1;
        r15.zUI = r0;
        r0 = 1065353216; // 0x3f800000 float:1.0 double:5.263544247E-315;
        r4 = r15.zUC;
        r2 = r2 - r4;
        r2 = (float) r2;
        r1 = r2 / r1;
        r0 = r0 + r1;
        r0 = r0 * r13;
        r15.zVp = r0;
        goto L_0x0086;
    L_0x0100:
        r15.zUH = r3;
        r15.zUI = r3;
        goto L_0x0086;
    L_0x0105:
        r0 = r15.zUI;
        r1 = r15.getCount();
        r1 = r1 - r8;
        if (r0 < r1) goto L_0x008f;
    L_0x010e:
        r0 = r15.getCount();
        r0 = r0 - r8;
        r3 = r0 + -1;
        r15.zUH = r3;
        r15.zUI = r3;
        goto L_0x008f;
    L_0x011b:
        r7 = r0;
        goto L_0x00aa;
    L_0x011d:
        r0 = r6;
        goto L_0x00a4;
    L_0x011f:
        r1 = r2;
        goto L_0x004a;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.widget.sortlist.DragSortListView.dLx():boolean");
    }

    /* Access modifiers changed, original: protected */
    public void onDraw(Canvas canvas) {
        AppMethodBeat.i(113068);
        super.onDraw(canvas);
        if (this.zVr) {
            f fVar = this.zVs;
            if (fVar.zVO) {
                int i;
                fVar.mBuilder.append("<DSLVState>\n");
                int childCount = fVar.zVC.getChildCount();
                int firstVisiblePosition = fVar.zVC.getFirstVisiblePosition();
                fVar.mBuilder.append("    <Positions>");
                for (i = 0; i < childCount; i++) {
                    fVar.mBuilder.append(firstVisiblePosition + i).append(",");
                }
                fVar.mBuilder.append("</Positions>\n");
                fVar.mBuilder.append("    <Tops>");
                for (i = 0; i < childCount; i++) {
                    fVar.mBuilder.append(fVar.zVC.getChildAt(i).getTop()).append(",");
                }
                fVar.mBuilder.append("</Tops>\n");
                fVar.mBuilder.append("    <Bottoms>");
                for (i = 0; i < childCount; i++) {
                    fVar.mBuilder.append(fVar.zVC.getChildAt(i).getBottom()).append(",");
                }
                fVar.mBuilder.append("</Bottoms>\n");
                fVar.mBuilder.append("    <FirstExpPos>").append(fVar.zVC.zUH).append("</FirstExpPos>\n");
                fVar.mBuilder.append("    <FirstExpBlankHeight>").append(fVar.zVC.Qs(fVar.zVC.zUH) - fVar.zVC.Qu(fVar.zVC.zUH)).append("</FirstExpBlankHeight>\n");
                fVar.mBuilder.append("    <SecondExpPos>").append(fVar.zVC.zUI).append("</SecondExpPos>\n");
                fVar.mBuilder.append("    <SecondExpBlankHeight>").append(fVar.zVC.Qs(fVar.zVC.zUI) - fVar.zVC.Qu(fVar.zVC.zUI)).append("</SecondExpBlankHeight>\n");
                fVar.mBuilder.append("    <SrcPos>").append(fVar.zVC.zUK).append("</SrcPos>\n");
                fVar.mBuilder.append("    <SrcHeight>").append(fVar.zVC.zUS + fVar.zVC.getDividerHeight()).append("</SrcHeight>\n");
                fVar.mBuilder.append("    <ViewHeight>").append(fVar.zVC.getHeight()).append("</ViewHeight>\n");
                fVar.mBuilder.append("    <LastY>").append(fVar.zVC.itR).append("</LastY>\n");
                fVar.mBuilder.append("    <FloatY>").append(fVar.zVC.zUC).append("</FloatY>\n");
                fVar.mBuilder.append("    <ShuffleEdges>");
                for (i = 0; i < childCount; i++) {
                    fVar.mBuilder.append(fVar.zVC.hE(firstVisiblePosition + i, fVar.zVC.getChildAt(i).getTop())).append(",");
                }
                fVar.mBuilder.append("</ShuffleEdges>\n");
                fVar.mBuilder.append("</DSLVState>\n");
                fVar.zVM++;
                if (fVar.zVM > NetstatsParserPatterns.NEW_TS_TO_MILLIS) {
                    fVar.flush();
                    fVar.zVM = 0;
                }
            }
        }
        AppMethodBeat.o(113068);
    }

    public final void removeItem(int i) {
        AppMethodBeat.i(113069);
        this.zVy = false;
        q(i, 0.0f);
        AppMethodBeat.o(113069);
    }

    private void q(int i, float f) {
        AppMethodBeat.i(113070);
        if (this.SG == 0 || this.SG == 4) {
            if (this.SG == 0) {
                this.zUK = getHeaderViewsCount() + i;
                this.zUH = this.zUK;
                this.zUI = this.zUK;
                this.zUG = this.zUK;
                View childAt = getChildAt(this.zUK - getFirstVisiblePosition());
                if (childAt != null) {
                    childAt.setVisibility(4);
                }
            }
            this.SG = 1;
            this.zVz = f;
            if (this.zVk) {
                switch (this.zVn) {
                    case 1:
                        super.onTouchEvent(this.zVm);
                        break;
                    case 2:
                        super.onInterceptTouchEvent(this.zVm);
                        break;
                }
            }
            if (this.zVw != null) {
                this.zVw.start();
                AppMethodBeat.o(113070);
                return;
            }
            Qt(i);
        }
        AppMethodBeat.o(113070);
    }

    public final void dLy() {
        AppMethodBeat.i(113071);
        if (this.SG == 4) {
            this.zUW.dLJ();
            dLI();
            dLz();
            dLE();
            if (this.zVk) {
                this.SG = 3;
                AppMethodBeat.o(113071);
                return;
            }
            this.SG = 0;
        }
        AppMethodBeat.o(113071);
    }

    private void dLz() {
        this.zUK = -1;
        this.zUH = -1;
        this.zUI = -1;
        this.zUG = -1;
    }

    private void dLA() {
        AppMethodBeat.i(113072);
        this.SG = 2;
        if (this.zUO != null && this.zUG >= 0 && this.zUG < getCount()) {
            int headerViewsCount = getHeaderViewsCount();
            this.zUO.dm(this.zUK - headerViewsCount, this.zUG - headerViewsCount);
        }
        dLI();
        dLB();
        dLz();
        dLE();
        if (this.zVk) {
            this.SG = 3;
            AppMethodBeat.o(113072);
            return;
        }
        this.SG = 0;
        AppMethodBeat.o(113072);
    }

    private void Qt(int i) {
        AppMethodBeat.i(113073);
        this.SG = 1;
        if (this.zUP != null) {
            this.zUP.remove(i);
        }
        dLI();
        dLB();
        dLz();
        if (this.zVk) {
            this.SG = 3;
            AppMethodBeat.o(113073);
            return;
        }
        this.SG = 0;
        AppMethodBeat.o(113073);
    }

    private void dLB() {
        int i = 0;
        AppMethodBeat.i(113074);
        int firstVisiblePosition = getFirstVisiblePosition();
        if (this.zUK < firstVisiblePosition) {
            View childAt = getChildAt(0);
            if (childAt != null) {
                i = childAt.getTop();
            }
            setSelectionFromTop(firstVisiblePosition - 1, i - getPaddingTop());
        }
        AppMethodBeat.o(113074);
    }

    public final boolean br(float f) {
        AppMethodBeat.i(113075);
        this.zVy = true;
        boolean b = b(true, f);
        AppMethodBeat.o(113075);
        return b;
    }

    private boolean b(boolean z, float f) {
        AppMethodBeat.i(113076);
        if (this.iYn != null) {
            this.zUW.dLJ();
            if (z) {
                q(this.zUK - getHeaderViewsCount(), f);
            } else if (this.zVx != null) {
                this.zVx.start();
            } else {
                dLA();
            }
            if (this.zVr) {
                this.zVs.stopTracking();
            }
            AppMethodBeat.o(113076);
            return true;
        }
        AppMethodBeat.o(113076);
        return false;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        AppMethodBeat.i(113077);
        if (this.zVu) {
            this.zVu = false;
            AppMethodBeat.o(113077);
            return false;
        } else if (this.zUQ) {
            boolean z = this.zVj;
            this.zVj = false;
            if (!z) {
                U(motionEvent);
            }
            if (this.SG != 4) {
                if (this.SG == 0 && super.onTouchEvent(motionEvent)) {
                    z = true;
                } else {
                    z = false;
                }
                switch (motionEvent.getAction() & 255) {
                    case 1:
                    case 3:
                        dLC();
                        break;
                    default:
                        if (z) {
                            this.zVn = 1;
                            break;
                        }
                        break;
                }
            }
            switch (motionEvent.getAction() & 255) {
                case 1:
                    if (this.SG == 4) {
                        this.zVy = false;
                        b(false, 0.0f);
                    }
                    dLC();
                    break;
                case 2:
                    int x = (int) motionEvent.getX();
                    int y = (int) motionEvent.getY();
                    this.zUA.x = x - this.zUL;
                    this.zUA.y = y - this.zUM;
                    dLG();
                    int min = Math.min(y, this.zUC + this.zUT);
                    y = Math.max(y, this.zUC - this.zUT);
                    d dVar = this.zUW;
                    if (dVar.zOp) {
                        x = dVar.zVK;
                    } else {
                        x = -1;
                    }
                    if (min <= this.itR || min <= this.zVa || x == 1) {
                        if (y >= this.itR || y >= this.zUZ || x == 0) {
                            if (y >= this.zUZ && min <= this.zVa && this.zUW.zOp) {
                                this.zUW.dLJ();
                                break;
                            }
                        }
                        if (x != -1) {
                            this.zUW.dLJ();
                        }
                        this.zUW.Qv(0);
                        break;
                    }
                    if (x != -1) {
                        this.zUW.dLJ();
                    }
                    this.zUW.Qv(1);
                    break;
                    break;
                case 3:
                    if (this.SG == 4) {
                        dLy();
                    }
                    dLC();
                    break;
            }
            z = true;
            AppMethodBeat.o(113077);
            return z;
        } else {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            AppMethodBeat.o(113077);
            return onTouchEvent;
        }
    }

    private void dLC() {
        AppMethodBeat.i(113078);
        this.zVn = 0;
        this.zVk = false;
        if (this.SG == 3) {
            this.SG = 0;
        }
        this.zUF = this.zUE;
        this.zVA = false;
        this.zVv.clear();
        AppMethodBeat.o(113078);
    }

    private void U(MotionEvent motionEvent) {
        AppMethodBeat.i(113079);
        int action = motionEvent.getAction() & 255;
        if (action != 0) {
            this.itQ = this.iJ;
            this.itR = this.iK;
        }
        this.iJ = (int) motionEvent.getX();
        this.iK = (int) motionEvent.getY();
        if (action == 0) {
            this.itQ = this.iJ;
            this.itR = this.iK;
        }
        this.mOffsetX = ((int) motionEvent.getRawX()) - this.iJ;
        this.mOffsetY = ((int) motionEvent.getRawY()) - this.iK;
        AppMethodBeat.o(113079);
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        AppMethodBeat.i(113080);
        if (this.zUQ) {
            boolean z;
            U(motionEvent);
            this.zVj = true;
            int action = motionEvent.getAction() & 255;
            if (action == 0) {
                if (this.SG != 0) {
                    this.zVu = true;
                    AppMethodBeat.o(113080);
                    return true;
                }
                this.zVk = true;
            }
            if (this.iYn == null) {
                if (super.onInterceptTouchEvent(motionEvent)) {
                    this.zVA = true;
                    z = true;
                } else {
                    z = false;
                }
                switch (action) {
                    case 1:
                    case 3:
                        dLC();
                        break;
                    default:
                        if (!z) {
                            this.zVn = 2;
                            break;
                        }
                        this.zVn = 1;
                        break;
                }
            }
            z = true;
            if (action == 1 || action == 3) {
                this.zVk = false;
            }
            AppMethodBeat.o(113080);
            return z;
        }
        boolean onInterceptTouchEvent = super.onInterceptTouchEvent(motionEvent);
        AppMethodBeat.o(113080);
        return onInterceptTouchEvent;
    }

    private void dLD() {
        AppMethodBeat.i(113082);
        int paddingTop = getPaddingTop();
        int height = (getHeight() - paddingTop) - getPaddingBottom();
        float f = (float) height;
        this.zVc = ((float) paddingTop) + (this.zUX * f);
        this.zVb = (f * (1.0f - this.zUY)) + ((float) paddingTop);
        this.zUZ = (int) this.zVc;
        this.zVa = (int) this.zVb;
        this.zVd = this.zVc - ((float) paddingTop);
        this.zVe = ((float) (paddingTop + height)) - this.zVb;
        AppMethodBeat.o(113082);
    }

    /* Access modifiers changed, original: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        AppMethodBeat.i(113083);
        super.onSizeChanged(i, i2, i3, i4);
        dLD();
        AppMethodBeat.o(113083);
    }

    private void dLE() {
        AppMethodBeat.i(113084);
        int firstVisiblePosition = getFirstVisiblePosition();
        int lastVisiblePosition = getLastVisiblePosition();
        lastVisiblePosition = Math.min(lastVisiblePosition - firstVisiblePosition, ((getCount() - 1) - getFooterViewsCount()) - firstVisiblePosition);
        for (int max = Math.max(0, getHeaderViewsCount() - firstVisiblePosition); max <= lastVisiblePosition; max++) {
            View childAt = getChildAt(max);
            if (childAt != null) {
                a(firstVisiblePosition + max, childAt, false);
            }
        }
        AppMethodBeat.o(113084);
    }

    private void a(int i, View view, boolean z) {
        int c;
        AppMethodBeat.i(113085);
        LayoutParams layoutParams = view.getLayoutParams();
        if (i == this.zUK || i == this.zUH || i == this.zUI) {
            c = c(i, view, z);
        } else {
            c = -2;
        }
        if (c != layoutParams.height) {
            layoutParams.height = c;
            view.setLayoutParams(layoutParams);
        }
        if (i == this.zUH || i == this.zUI) {
            if (i < this.zUK) {
                ((b) view).setGravity(80);
            } else if (i > this.zUK) {
                ((b) view).setGravity(48);
            }
        }
        int visibility = view.getVisibility();
        c = 0;
        if (i == this.zUK && this.iYn != null) {
            c = 4;
        }
        if (c != visibility) {
            view.setVisibility(c);
        }
        AppMethodBeat.o(113085);
    }

    private int Qu(int i) {
        AppMethodBeat.i(113086);
        if (i == this.zUK) {
            AppMethodBeat.o(113086);
            return 0;
        }
        View childAt = getChildAt(i - getFirstVisiblePosition());
        int b;
        if (childAt != null) {
            b = b(i, childAt, false);
            AppMethodBeat.o(113086);
            return b;
        }
        b = this.zVv.get(i);
        if (b != -1) {
            AppMethodBeat.o(113086);
            return b;
        }
        View view;
        ListAdapter adapter = getAdapter();
        int itemViewType = adapter.getItemViewType(i);
        int viewTypeCount = adapter.getViewTypeCount();
        if (viewTypeCount != this.zUV.length) {
            this.zUV = new View[viewTypeCount];
        }
        if (itemViewType < 0) {
            view = adapter.getView(i, null, this);
        } else if (this.zUV[itemViewType] == null) {
            view = adapter.getView(i, null, this);
            this.zUV[itemViewType] = view;
        } else {
            view = adapter.getView(i, this.zUV[itemViewType], this);
        }
        b = b(i, view, true);
        this.zVv.add(i, b);
        AppMethodBeat.o(113086);
        return b;
    }

    private int b(int i, View view, boolean z) {
        AppMethodBeat.i(113087);
        if (i == this.zUK) {
            AppMethodBeat.o(113087);
            return 0;
        }
        if (i >= getHeaderViewsCount() && i < getCount() - getFooterViewsCount()) {
            view = ((ViewGroup) view).getChildAt(0);
        }
        LayoutParams layoutParams = view.getLayoutParams();
        int height;
        if (layoutParams == null || layoutParams.height <= 0) {
            height = view.getHeight();
            if (height == 0 || z) {
                fq(view);
                height = view.getMeasuredHeight();
            }
            AppMethodBeat.o(113087);
            return height;
        }
        height = layoutParams.height;
        AppMethodBeat.o(113087);
        return height;
    }

    private int c(int i, View view, boolean z) {
        AppMethodBeat.i(113088);
        int hF = hF(i, b(i, view, z));
        AppMethodBeat.o(113088);
        return hF;
    }

    private int hF(int i, int i2) {
        Object obj = (!this.zUJ || this.zUH == this.zUI) ? null : 1;
        int i3 = this.zUS - this.zUR;
        int i4 = (int) (this.zVp * ((float) i3));
        if (i == this.zUK) {
            if (this.zUK == this.zUH) {
                if (obj != null) {
                    return i4 + this.zUR;
                }
                return this.zUS;
            } else if (this.zUK == this.zUI) {
                return this.zUS - i4;
            } else {
                return this.zUR;
            }
        } else if (i == this.zUH) {
            if (obj != null) {
                return i2 + i4;
            }
            return i2 + i3;
        } else if (i == this.zUI) {
            return (i2 + i3) - i4;
        } else {
            return i2;
        }
    }

    public void requestLayout() {
        AppMethodBeat.i(113089);
        if (!this.zVt) {
            super.requestLayout();
        }
        AppMethodBeat.o(113089);
    }

    private int a(int i, View view, int i2, int i3) {
        int i4;
        AppMethodBeat.i(113090);
        int Qu = Qu(i);
        int height = view.getHeight();
        int hF = hF(i, Qu);
        if (i != this.zUK) {
            i4 = height - Qu;
            Qu = hF - Qu;
        } else {
            Qu = hF;
            i4 = height;
        }
        int i5 = this.zUS;
        if (!(this.zUK == this.zUH || this.zUK == this.zUI)) {
            i5 -= this.zUR;
        }
        if (i <= i2) {
            if (i > this.zUH) {
                Qu = (i5 - Qu) + 0;
            }
            Qu = 0;
        } else if (i == i3) {
            Qu = i <= this.zUH ? (i4 - i5) + 0 : i == this.zUI ? (height - hF) + 0 : i4 + 0;
        } else if (i <= this.zUH) {
            Qu = 0 - i5;
        } else {
            if (i == this.zUI) {
                Qu = 0 - Qu;
            }
            Qu = 0;
        }
        AppMethodBeat.o(113090);
        return Qu;
    }

    private void fq(View view) {
        int makeMeasureSpec;
        AppMethodBeat.i(113091);
        LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams == null) {
            layoutParams = new AbsListView.LayoutParams(-1, -2);
            view.setLayoutParams(layoutParams);
        }
        int childMeasureSpec = ViewGroup.getChildMeasureSpec(this.zUU, getListPaddingLeft() + getListPaddingRight(), layoutParams.width);
        if (layoutParams.height > 0) {
            makeMeasureSpec = MeasureSpec.makeMeasureSpec(layoutParams.height, 1073741824);
        } else {
            makeMeasureSpec = MeasureSpec.makeMeasureSpec(0, 0);
        }
        view.measure(childMeasureSpec, makeMeasureSpec);
        AppMethodBeat.o(113091);
    }

    private void dLF() {
        AppMethodBeat.i(113092);
        if (this.iYn != null) {
            fq(this.iYn);
            this.zUS = this.iYn.getMeasuredHeight();
            this.zUT = this.zUS / 2;
        }
        AppMethodBeat.o(113092);
    }

    /* Access modifiers changed, original: protected */
    public void onMeasure(int i, int i2) {
        AppMethodBeat.i(113093);
        super.onMeasure(i, i2);
        if (this.iYn != null) {
            if (this.iYn.isLayoutRequested()) {
                dLF();
            }
            this.zUD = true;
        }
        this.zUU = i;
        AppMethodBeat.o(113093);
    }

    /* Access modifiers changed, original: protected */
    public void layoutChildren() {
        AppMethodBeat.i(113094);
        super.layoutChildren();
        if (this.iYn != null) {
            if (this.iYn.isLayoutRequested() && !this.zUD) {
                dLF();
            }
            this.iYn.layout(0, 0, this.iYn.getMeasuredWidth(), this.iYn.getMeasuredHeight());
            this.zUD = false;
        }
        AppMethodBeat.o(113094);
    }

    public final boolean a(int i, View view, int i2, int i3, int i4) {
        AppMethodBeat.i(113095);
        if (this.SG == 0 && this.zVk && this.iYn == null && view != null && this.zUQ) {
            if (getParent() != null) {
                getParent().requestDisallowInterceptTouchEvent(true);
            }
            int headerViewsCount = getHeaderViewsCount() + i;
            this.zUH = headerViewsCount;
            this.zUI = headerViewsCount;
            this.zUK = headerViewsCount;
            this.zUG = headerViewsCount;
            this.SG = 4;
            this.zVi = 0;
            this.zVi |= i2;
            this.iYn = view;
            dLF();
            this.zUL = i3;
            this.zUM = i4;
            this.zVh = this.iK;
            this.zUA.x = this.iJ - this.zUL;
            this.zUA.y = this.iK - this.zUM;
            View childAt = getChildAt(this.zUK - getFirstVisiblePosition());
            if (childAt != null) {
                childAt.setVisibility(4);
            }
            if (this.zVr) {
                f fVar = this.zVs;
                fVar.mBuilder.append("<DSLVStates>\n");
                fVar.zVN = 0;
                fVar.zVO = true;
            }
            switch (this.zVn) {
                case 1:
                    super.onTouchEvent(this.zVm);
                    break;
                case 2:
                    super.onInterceptTouchEvent(this.zVm);
                    break;
            }
            requestLayout();
            AppMethodBeat.o(113095);
            return true;
        }
        AppMethodBeat.o(113095);
        return false;
    }

    private void dLG() {
        AppMethodBeat.i(113096);
        int firstVisiblePosition = getFirstVisiblePosition() + (getChildCount() / 2);
        View childAt = getChildAt(getChildCount() / 2);
        if (childAt == null) {
            AppMethodBeat.o(113096);
            return;
        }
        d(firstVisiblePosition, childAt, true);
        AppMethodBeat.o(113096);
    }

    private void d(int i, View view, boolean z) {
        AppMethodBeat.i(113097);
        this.zVt = true;
        dLH();
        int i2 = this.zUH;
        int i3 = this.zUI;
        boolean dLx = dLx();
        if (dLx) {
            dLE();
            setSelectionFromTop(i, (a(i, view, i2, i3) + view.getTop()) - getPaddingTop());
            layoutChildren();
        }
        if (dLx || z) {
            invalidate();
        }
        this.zVt = false;
        AppMethodBeat.o(113097);
    }

    private void dLH() {
        AppMethodBeat.i(113098);
        if (this.zVl != null) {
            this.zUB.set(this.iJ, this.iK);
            this.zVl.h(this.zUA);
        }
        int i = this.zUA.x;
        int i2 = this.zUA.y;
        int paddingLeft = getPaddingLeft();
        if ((this.zVi & 1) == 0 && i > paddingLeft) {
            this.zUA.x = paddingLeft;
        } else if ((this.zVi & 2) == 0 && i < paddingLeft) {
            this.zUA.x = paddingLeft;
        }
        paddingLeft = getHeaderViewsCount();
        int footerViewsCount = getFooterViewsCount();
        int firstVisiblePosition = getFirstVisiblePosition();
        int lastVisiblePosition = getLastVisiblePosition();
        i = getPaddingTop();
        if (firstVisiblePosition < paddingLeft) {
            i = getChildAt((paddingLeft - firstVisiblePosition) - 1).getBottom();
        }
        if ((this.zVi & 8) == 0 && firstVisiblePosition <= this.zUK) {
            i = Math.max(getChildAt(this.zUK - firstVisiblePosition).getTop(), i);
        }
        paddingLeft = getHeight() - getPaddingBottom();
        if (lastVisiblePosition >= (getCount() - footerViewsCount) - 1) {
            paddingLeft = getChildAt(((getCount() - footerViewsCount) - 1) - firstVisiblePosition).getBottom();
        }
        if ((this.zVi & 4) == 0 && lastVisiblePosition >= this.zUK) {
            paddingLeft = Math.min(getChildAt(this.zUK - firstVisiblePosition).getBottom(), paddingLeft);
        }
        if (i2 < i) {
            this.zUA.y = i;
        } else if (this.zUS + i2 > paddingLeft) {
            this.zUA.y = paddingLeft - this.zUS;
        }
        this.zUC = this.zUA.y + this.zUT;
        AppMethodBeat.o(113098);
    }

    private void dLI() {
        AppMethodBeat.i(113099);
        if (this.iYn != null) {
            this.iYn.setVisibility(8);
            if (this.zVl != null) {
                this.zVl.fr(this.iYn);
            }
            this.iYn = null;
            invalidate();
        }
        AppMethodBeat.o(113099);
    }

    public void setFloatViewManager(i iVar) {
        this.zVl = iVar;
    }

    public void setDragListener(b bVar) {
        this.zUN = bVar;
    }

    public void setDragEnabled(boolean z) {
        this.zUQ = z;
    }

    public void setDropListener(h hVar) {
        this.zUO = hVar;
    }

    public void setRemoveListener(l lVar) {
        this.zUP = lVar;
    }

    public void setDragSortListener(e eVar) {
        AppMethodBeat.i(113100);
        setDropListener(eVar);
        setDragListener(eVar);
        setRemoveListener(eVar);
        AppMethodBeat.o(113100);
    }

    public void setDragScrollProfile(c cVar) {
        if (cVar != null) {
            this.zVg = cVar;
        }
    }

    public void setDragScrollStart(float f) {
        AppMethodBeat.i(113081);
        if (f > 0.5f) {
            this.zUY = 0.5f;
        } else {
            this.zUY = f;
        }
        if (f > 0.5f) {
            this.zUX = 0.5f;
        } else {
            this.zUX = f;
        }
        if (getHeight() != 0) {
            dLD();
        }
        AppMethodBeat.o(113081);
    }

    static /* synthetic */ void q(DragSortListView dragSortListView) {
        AppMethodBeat.i(113107);
        dragSortListView.Qt(dragSortListView.zUK - dragSortListView.getHeaderViewsCount());
        AppMethodBeat.o(113107);
    }
}
