package com.tencent.youtu.ytagreflectlivecheck.controller;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.youtu.ytagreflectlivecheck.jni.model.ColorSeqRes;
import com.tencent.youtu.ytagreflectlivecheck.manager.ProcessManager;
import com.tencent.youtu.ytagreflectlivecheck.manager.ProcessManager.ProcessResult;
import com.tencent.youtu.ytagreflectlivecheck.requester.RGBConfigRequester.RGBConfigRequestCallBack;
import com.tencent.youtu.ytcommon.YTCommonExInterface;
import com.tencent.youtu.ytcommon.tools.wejson.WeJson;
import com.tencent.youtu.ytcommon.tools.wejson.WeJsonException;

class InitController$1 implements RGBConfigRequestCallBack {
    final /* synthetic */ InitController this$0;
    final /* synthetic */ ProcessResult val$checkResult;

    InitController$1(InitController initController, ProcessResult processResult) {
        this.this$0 = initController;
        this.val$checkResult = processResult;
    }

    public void onSuccess(String str) {
        AppMethodBeat.i(123147);
        if (str != null) {
            if (str != null) {
                try {
                    if (!str.equals("")) {
                        if (YTCommonExInterface.getBusinessCode() == 1) {
                            ProcessManager.dataWorker().mRgbConfigCode = str;
                            this.val$checkResult.onSuccess();
                            AppMethodBeat.o(123147);
                            return;
                        }
                        ColorSeqRes colorSeqRes = (ColorSeqRes) new WeJson().fromJson(str, ColorSeqRes.class);
                        if (colorSeqRes.error_code == 0) {
                            ProcessManager.dataWorker().mRgbConfigCode = colorSeqRes.color_data;
                            this.val$checkResult.onSuccess();
                            AppMethodBeat.o(123147);
                            return;
                        }
                        this.val$checkResult.onFailed(InitController.access$100(), "get rgbconfig youtu server return code not 0, current is: " + colorSeqRes.error_code, "Request rgbConfig youtu server return value not currect. Check request and response log for more details.");
                        AppMethodBeat.o(123147);
                        return;
                    }
                } catch (WeJsonException e) {
                    this.val$checkResult.onFailed(InitController.access$200(), "get rgbconfig failed.", "Check \"LightLiveCheck.setRGBConfigRequest()\" params. Or maybe net error?");
                    AppMethodBeat.o(123147);
                    return;
                }
            }
            this.val$checkResult.onFailed(InitController.access$000(), "get rgbconfig return string is null.", "Check \"RGBConfigRequester.RGBConfigRequestCallBack()\" return value. Is it null?");
            AppMethodBeat.o(123147);
            return;
        }
        this.val$checkResult.onFailed(InitController.access$300(), "get rgbconfig return null.", "Server return value not currect.");
        AppMethodBeat.o(123147);
    }

    public void onFailed(int i) {
        AppMethodBeat.i(123148);
        this.val$checkResult.onFailed(InitController.access$200(), "get rgbconfig failed.", "Check \"LightLiveCheck.setRGBConfigRequest()\" params. Or maybe net error?");
        AppMethodBeat.o(123148);
    }
}
