package android.support.constraint;

import android.content.Context;
import android.os.Build.VERSION;
import android.util.AttributeSet;
import android.view.View;

public class Group extends ConstraintHelper {
    public Group(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public Group(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    /* Access modifiers changed, original: protected|final */
    public final void b(AttributeSet attributeSet) {
        super.b(attributeSet);
        this.cZ = false;
    }

    public final void a(ConstraintLayout constraintLayout) {
        float elevation;
        int visibility = getVisibility();
        if (VERSION.SDK_INT >= 21) {
            elevation = getElevation();
        } else {
            elevation = 0.0f;
        }
        for (int i = 0; i < this.mCount; i++) {
            View q = constraintLayout.q(this.cW[i]);
            if (q != null) {
                q.setVisibility(visibility);
                if (elevation > 0.0f && VERSION.SDK_INT >= 21) {
                    q.setElevation(elevation);
                }
            }
        }
    }

    public final void aq() {
        ConstraintLayout$LayoutParams constraintLayout$LayoutParams = (ConstraintLayout$LayoutParams) getLayoutParams();
        constraintLayout$LayoutParams.eH.setWidth(0);
        constraintLayout$LayoutParams.eH.setHeight(0);
    }
}
