package com.tencent.mm.ah;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.p;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.ao;
import com.tencent.mm.network.b;
import com.tencent.mm.network.u;
import com.tencent.mm.plugin.emoji.b.c;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.at;
import com.tencent.mm.sdk.platformtools.az.a;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import com.tencent.wxmm.v2helper;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.ProtocolException;
import java.net.SocketTimeoutException;
import java.util.List;
import java.util.Map;

class c$b implements a {
    final /* synthetic */ c frl;
    public boolean frq = false;
    public h frs = null;
    public byte[] frt = null;

    public c$b(c cVar, h hVar) {
        this.frl = cVar;
        this.frs = hVar;
    }

    public final boolean acf() {
        h hVar;
        Object[] objArr;
        AppMethodBeat.i(77856);
        if (this.frs == null) {
            AppMethodBeat.o(77856);
            return false;
        }
        String str;
        String str2;
        if (!at.isNetworkConnected(ah.getContext())) {
            ab.w("MicroMsg.HttpGetAvatar", "[tomys] network is unavailable, skip rest loading logic.");
            ab.dot();
        }
        String acl = this.frs.acl();
        boolean biY = ((c) g.K(c.class)).biY();
        boolean a = ((com.tencent.mm.plugin.expt.a.a) g.K(com.tencent.mm.plugin.expt.a.a.class)).a(com.tencent.mm.plugin.expt.a.a.a.lJe, false);
        if (biY && a) {
            ab.i("MicroMsg.HttpGetAvatar", "HttpGetAvatar: get hevc");
            if (acl.contains("?")) {
                str = acl + "&tp=wxpic";
            } else {
                str = acl + "?tp=wxpic";
            }
            h.pYm.k(138, 50, 1);
            str2 = str;
        } else {
            str2 = acl;
        }
        str = BuildConfig.FLAVOR;
        if (g.RN().QY()) {
            r1 = new Object[4];
            g.RN();
            r1[1] = p.getString(com.tencent.mm.kernel.a.QF());
            r1[2] = Integer.valueOf(at.getNetTypeForStat(ah.getContext()));
            r1[3] = Integer.valueOf(at.getStrength(ah.getContext()));
            str = String.format("http://weixin.qq.com/?version=%d&uin=%s&nettype=%d&signal=%d", r1);
        }
        ab.d("MicroMsg.HttpGetAvatar", "dkreferer dkavatar user: %s referer: %s", new Object[]{this.frs.getUsername(), str});
        this.frt = null;
        u uVar = null;
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        InputStream inputStream = null;
        h.pYm.a(138, 40, 1, true);
        try {
            uVar = b.a(str2, null);
            uVar.setRequestMethod("GET");
            uVar.setRequestProperty("referer", str);
            uVar.setConnectTimeout(5000);
            uVar.setReadTimeout(5000);
            if (b.a(uVar) != 0) {
                int responseCode = uVar.getResponseCode();
                Map headerFields = uVar.getHeaderFields();
                List list = headerFields != null ? (List) headerFields.get("X-ErrNo") : null;
                str = (list == null || list.size() <= 0) ? BuildConfig.FLAVOR : (String) list.get(0);
                ab.e("MicroMsg.HttpGetAvatar", "checkHttpConnection failed! url:%s code:%d xErr:%s", new Object[]{str2, Integer.valueOf(responseCode), str});
                switch (responseCode) {
                    case v2helper.EMethodSetAgcOn /*404*/:
                        h.pYm.a(138, 2, 1, true);
                        h.pYm.e(14058, new Object[]{Integer.valueOf(100001), Integer.valueOf(responseCode), BuildConfig.FLAVOR, Integer.valueOf(0), this.frs.getUsername(), uVar.gdF, Integer.valueOf(uVar.gcI), uVar.url.getHost(), str2, str});
                        break;
                    case 502:
                        h.pYm.a(138, 3, 1, true);
                        h.pYm.e(14058, new Object[]{Integer.valueOf(100001), Integer.valueOf(responseCode), BuildConfig.FLAVOR, Integer.valueOf(0), this.frs.getUsername(), uVar.gdF, Integer.valueOf(uVar.gcI), uVar.url.getHost(), str2, str});
                        break;
                    case 503:
                        h.pYm.a(138, 4, 1, true);
                        h.pYm.e(14058, new Object[]{Integer.valueOf(100001), Integer.valueOf(responseCode), BuildConfig.FLAVOR, Integer.valueOf(0), this.frs.getUsername(), uVar.gdF, Integer.valueOf(uVar.gcI), uVar.url.getHost(), str2, str});
                        break;
                    case 504:
                        h.pYm.a(138, 5, 1, true);
                        h.pYm.e(14058, new Object[]{Integer.valueOf(100001), Integer.valueOf(responseCode), BuildConfig.FLAVOR, Integer.valueOf(0), this.frs.getUsername(), uVar.gdF, Integer.valueOf(uVar.gcI), uVar.url.getHost(), str2, str});
                        break;
                    default:
                        h.pYm.a(138, 6, 1, true);
                        h.pYm.e(14058, new Object[]{Integer.valueOf(100001), Integer.valueOf(responseCode), BuildConfig.FLAVOR, Integer.valueOf(0), this.frs.getUsername(), uVar.gdF, Integer.valueOf(uVar.gcI), uVar.url.getHost(), str2, str});
                        break;
                }
                AppMethodBeat.o(77856);
                return true;
            }
            if (uVar.getHeaderFieldInt("X-Enc", 0) == 1) {
                a = true;
            } else {
                a = false;
            }
            this.frq = a;
            int contentLength = uVar.connection.getContentLength();
            inputStream = uVar.getInputStream();
            if (inputStream == null) {
                ab.d("MicroMsg.HttpGetAvatar", "getInputStream failed. url:%s", new Object[]{str2});
                AppMethodBeat.o(77856);
                return true;
            }
            byte[] bArr = new byte[1024];
            while (true) {
                int read = inputStream.read(bArr);
                if (read == -1) {
                    break;
                }
                byteArrayOutputStream.write(bArr, 0, read);
            }
            h.pYm.a(138, 41, 1, true);
            if (com.tencent.mm.sdk.a.b.dnO()) {
                h.pYm.e(14058, new Object[]{Integer.valueOf(100001), Integer.valueOf(20000), BuildConfig.FLAVOR, Integer.valueOf(contentLength), this.frs.getUsername(), uVar.gdF, Integer.valueOf(uVar.gcI), uVar.url.getHost(), str2, BuildConfig.FLAVOR});
            }
            this.frt = byteArrayOutputStream.toByteArray();
            byteArrayOutputStream.close();
            byteArrayOutputStream = null;
            uVar.connection.disconnect();
            uVar = null;
            inputStream.close();
            inputStream = null;
            if (contentLength > 0 && this.frt.length < contentLength) {
                h.pYm.a(138, 15, 1, true);
                ab.e("MicroMsg.HttpGetAvatar", "HTTP downloaded length is smaller than Content-Length field. Drop.");
            }
            if (uVar != null) {
                try {
                    uVar.connection.disconnect();
                } catch (Exception e) {
                    ab.e("MicroMsg.HttpGetAvatar", "exception:%s", new Object[]{bo.l(e)});
                    ab.e("MicroMsg.HttpGetAvatar", "close conn failed : %s", new Object[]{e.getMessage()});
                    h.pYm.a(138, 9, 1, true);
                }
            }
            if (inputStream != null) {
                inputStream.close();
            }
            if (byteArrayOutputStream != null) {
                byteArrayOutputStream.close();
            }
            AppMethodBeat.o(77856);
            return true;
        } catch (ProtocolException e2) {
            ProtocolException protocolException = e2;
            h.pYm.a(138, 1, 1, true);
            hVar = h.pYm;
            objArr = new Object[10];
            objArr[0] = Integer.valueOf(100001);
            objArr[1] = Integer.valueOf(10001);
            objArr[2] = protocolException.getMessage();
            objArr[3] = Integer.valueOf(0);
            objArr[4] = this.frs.getUsername();
            if (uVar == null) {
                str = "null";
            } else {
                str = uVar.gdF;
            }
            objArr[5] = str;
            objArr[6] = uVar == null ? "null" : Integer.valueOf(uVar.gcI);
            if (uVar == null) {
                str = "null";
            } else {
                str = uVar.url.getHost();
            }
            objArr[7] = str;
            objArr[8] = str2;
            objArr[9] = BuildConfig.FLAVOR;
            hVar.e(14058, objArr);
            ab.e("MicroMsg.HttpGetAvatar", "HTTP download exception: url:%s exception:%s %s", new Object[]{str2, protocolException.getClass().getSimpleName(), protocolException.getMessage()});
        } catch (SocketTimeoutException e3) {
            SocketTimeoutException socketTimeoutException = e3;
            h.pYm.a(138, 8, 1, true);
            hVar = h.pYm;
            objArr = new Object[10];
            objArr[0] = Integer.valueOf(100001);
            objArr[1] = Integer.valueOf(10002);
            objArr[2] = socketTimeoutException.getMessage();
            objArr[3] = Integer.valueOf(0);
            objArr[4] = this.frs.getUsername();
            if (uVar == null) {
                str = "null";
            } else {
                str = uVar.gdF;
            }
            objArr[5] = str;
            objArr[6] = uVar == null ? "null" : Integer.valueOf(uVar.gcI);
            if (uVar == null) {
                str = "null";
            } else {
                str = uVar.url.getHost();
            }
            objArr[7] = str;
            objArr[8] = str2;
            objArr[9] = BuildConfig.FLAVOR;
            hVar.e(14058, objArr);
            ab.e("MicroMsg.HttpGetAvatar", "HTTP download exception: url:%s exception:%s %s", new Object[]{str2, socketTimeoutException.getClass().getSimpleName(), socketTimeoutException.getMessage()});
        } catch (IOException e4) {
            IOException iOException = e4;
            h.pYm.a(138, 7, 1, true);
            hVar = h.pYm;
            objArr = new Object[10];
            objArr[0] = Integer.valueOf(100001);
            objArr[1] = Integer.valueOf(10003);
            objArr[2] = iOException.getMessage();
            objArr[3] = Integer.valueOf(0);
            objArr[4] = this.frs.getUsername();
            if (uVar == null) {
                str = "null";
            } else {
                str = uVar.gdF;
            }
            objArr[5] = str;
            objArr[6] = uVar == null ? "null" : Integer.valueOf(uVar.gcI);
            if (uVar == null) {
                str = "null";
            } else {
                str = uVar.url.getHost();
            }
            objArr[7] = str;
            objArr[8] = str2;
            objArr[9] = BuildConfig.FLAVOR;
            hVar.e(14058, objArr);
            ab.e("MicroMsg.HttpGetAvatar", "HTTP download exception: url:%s exception:%s %s", new Object[]{str2, iOException.getClass().getSimpleName(), iOException.getMessage()});
        } catch (Exception e5) {
            Exception exception = e5;
            h.pYm.a(138, 0, 1, true);
            hVar = h.pYm;
            objArr = new Object[10];
            objArr[0] = Integer.valueOf(100001);
            objArr[1] = Integer.valueOf(10003);
            objArr[2] = exception.getMessage();
            objArr[3] = Integer.valueOf(0);
            objArr[4] = this.frs.getUsername();
            if (uVar == null) {
                str = "null";
            } else {
                str = uVar.gdF;
            }
            objArr[5] = str;
            objArr[6] = uVar == null ? "null" : Integer.valueOf(uVar.gcI);
            if (uVar == null) {
                str = "null";
            } else {
                str = uVar.url.getHost();
            }
            objArr[7] = str;
            objArr[8] = str2;
            objArr[9] = BuildConfig.FLAVOR;
            hVar.e(14058, objArr);
            ab.e("MicroMsg.HttpGetAvatar", "HTTP download exception: url:%s exception:%s %s", new Object[]{str2, exception.getClass().getSimpleName(), exception.getMessage()});
        }
    }

    public final boolean acg() {
        AppMethodBeat.i(77857);
        if (this.frs == null || bo.isNullOrNil(this.frs.getUsername())) {
            AppMethodBeat.o(77857);
        } else if (bo.cb(this.frt)) {
            this.frl.frd.remove(this.frs.getUsername());
            h.pYm.a(138, 10, 1, true);
            AppMethodBeat.o(77857);
        } else {
            if (ao.a.flv != null) {
                ao.a.flv.cm(this.frt.length, 0);
            }
            this.frl.a(new c$a(this.frl, this.frs, this.frt, this.frq));
            AppMethodBeat.o(77857);
        }
        return false;
    }
}
