package com.tencent.mm.plugin.account.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.au.b;
import com.tencent.mm.g.b.a.ba;
import com.tencent.mm.kernel.g;
import com.tencent.mm.pluginsdk.model.app.q;
import com.tencent.mm.protocal.GeneralControlWrapper;
import com.tencent.mm.protocal.JsapiPermissionWrapper;
import com.tencent.mm.sdk.platformtools.aa;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.ui.MMFragmentActivity;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.base.m;
import com.tencent.mm.ui.base.n;
import com.tencent.mm.ui.f.a.c;
import com.tencent.mm.ui.f.a.d;
import java.util.ArrayList;

@a(3)
public class WelcomeActivity extends MMFragmentActivity {
    private static final String[] gAu = new String[]{"public_profile"};
    private d gAT;
    private c gBj;
    private ba gBm = new ba();
    private WelcomeSelectView gIt;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public WelcomeActivity() {
        AppMethodBeat.i(125650);
        AppMethodBeat.o(125650);
    }

    static /* synthetic */ void f(WelcomeActivity welcomeActivity) {
        AppMethodBeat.i(125659);
        welcomeActivity.arM();
        AppMethodBeat.o(125659);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(125651);
        super.onCreate(bundle);
        getSupportActionBar().hide();
        getWindow().getDecorView().setSystemUiVisibility(1024);
        this.gIt = new WelcomeSelectView(this);
        setContentView(this.gIt);
        this.gIt.arN();
        this.gIt.gIx.setOnClickListener(new 1(this));
        this.gIt.gIv.setOnClickListener(new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(125641);
                Intent intent = new Intent(WelcomeActivity.this, MobileInputUI.class);
                intent.putExtra("mobile_input_purpose", 1);
                WelcomeActivity.this.startActivity(intent);
                AppMethodBeat.o(125641);
            }
        });
        ArrayList arrayList = new ArrayList();
        m mVar = new m(this, 1001, 0);
        mVar.setTitle(2131302252);
        arrayList.add(mVar);
        mVar = new m(this, 1002, 0);
        if (b.ahL()) {
            mVar.setTitle(2131302250);
            arrayList.add(mVar);
        }
        if (arrayList.size() > 1) {
            com.tencent.mm.ui.widget.a.d dVar = new com.tencent.mm.ui.widget.a.d(this, 1, false);
            dVar.rBl = new 5(this, arrayList);
            dVar.rBm = new n.d() {
                public final void onMMMenuItemSelected(MenuItem menuItem, int i) {
                    AppMethodBeat.i(125643);
                    switch (menuItem.getItemId()) {
                        case 1001:
                            WelcomeActivity.this.startActivity(new Intent(WelcomeActivity.this, RegByMobileRegAIOUI.class));
                            AppMethodBeat.o(125643);
                            return;
                        case 1002:
                            WelcomeActivity.this.gBm.daR = 1;
                            WelcomeActivity.this.gBm.cVS = 2;
                            WelcomeActivity.this.gBm.ajK();
                            WelcomeActivity.b(WelcomeActivity.this);
                            break;
                    }
                    AppMethodBeat.o(125643);
                }
            };
            dVar.zQf = new 7(this);
            this.gIt.gIw.setOnClickListener(new 8(this, dVar, arrayList, mVar));
            AppMethodBeat.o(125651);
            return;
        }
        this.gIt.gIw.setOnClickListener(new 9(this));
        AppMethodBeat.o(125651);
    }

    public void onResume() {
        AppMethodBeat.i(125652);
        super.onResume();
        this.gIt.init();
        AppMethodBeat.o(125652);
    }

    private void arM() {
        AppMethodBeat.i(125653);
        if (q.u(this, "com.facebook.katana")) {
            this.gAT.a("name,picture.type(large)", new 10(this));
            AppMethodBeat.o(125653);
            return;
        }
        g.RS().a(new 11(this));
        AppMethodBeat.o(125653);
    }

    public void onDestroy() {
        AppMethodBeat.i(125654);
        super.onDestroy();
        this.gBm.ajK();
        if (this.gAT != null) {
            this.gAT.logout();
        }
        AppMethodBeat.o(125654);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(125655);
        if (keyEvent.getKeyCode() == 4 && keyEvent.getAction() == 0) {
            Intent bh = com.tencent.mm.plugin.account.a.a.gkE.bh(this);
            bh.addFlags(67108864);
            bh.putExtra("can_finish", true);
            startActivity(bh);
            finish();
            com.tencent.mm.ui.base.b.hM(this);
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(125655);
        return onKeyDown;
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        boolean z = true;
        AppMethodBeat.i(125656);
        super.onActivityResult(i, i2, intent);
        String str = "MicroMsg.WelcomeActivity";
        String str2 = "onActivityResult, requestCode:%d, resultCode:%d, data==null:%b";
        Object[] objArr = new Object[3];
        objArr[0] = Integer.valueOf(i);
        objArr[1] = Integer.valueOf(i2);
        if (intent != null) {
            z = false;
        }
        objArr[2] = Boolean.valueOf(z);
        ab.i(str, str2, objArr);
        if (this.gAT != null) {
            this.gAT.h(i, i2, intent);
        }
        AppMethodBeat.o(125656);
    }

    static /* synthetic */ void b(WelcomeActivity welcomeActivity) {
        AppMethodBeat.i(125657);
        if (q.u(welcomeActivity, "com.facebook.katana")) {
            if (welcomeActivity.gAT == null) {
                welcomeActivity.gAT = new d(welcomeActivity.getString(2131305891));
                welcomeActivity.gAT.dJd();
            }
            if (welcomeActivity.gAT.dJc()) {
                welcomeActivity.arM();
                AppMethodBeat.o(125657);
                return;
            }
            welcomeActivity.gAT.logout();
            welcomeActivity.gAT.a(welcomeActivity, new 2(welcomeActivity), gAu);
            AppMethodBeat.o(125657);
            return;
        }
        welcomeActivity.gBj = new c(welcomeActivity.getString(2131305891));
        welcomeActivity.gBj.a(welcomeActivity, gAu, new 3(welcomeActivity));
        AppMethodBeat.o(125657);
    }

    static /* synthetic */ void c(WelcomeActivity welcomeActivity) {
        AppMethodBeat.i(125658);
        String string = welcomeActivity.getString(2131298802, new Object[]{"0x" + Integer.toHexString(com.tencent.mm.protocal.d.vxo), aa.dor()});
        Intent intent = new Intent();
        intent.putExtra("rawUrl", string);
        intent.putExtra("showShare", false);
        intent.putExtra("show_bottom", false);
        intent.putExtra("needRedirect", false);
        intent.putExtra("neverGetA8Key", true);
        intent.putExtra("hardcode_jspermission", JsapiPermissionWrapper.vxI);
        intent.putExtra("hardcode_general_ctrl", GeneralControlWrapper.vxE);
        com.tencent.mm.plugin.account.a.a.gkE.i(intent, welcomeActivity);
        AppMethodBeat.o(125658);
    }
}
