package com.tencent.mm.plugin.backup.bakoldlogic.b;

import android.graphics.Bitmap.CompressFormat;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.at.g;
import com.tencent.mm.model.bf;
import com.tencent.mm.plugin.backup.bakoldlogic.a.a;
import com.tencent.mm.plugin.backup.bakoldlogic.d.b;
import com.tencent.mm.plugin.backup.bakoldlogic.d.d;
import com.tencent.mm.pointers.PInt;
import com.tencent.mm.pointers.PString;
import com.tencent.mm.protocal.protobuf.gu;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ad;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.br;
import com.tencent.mm.storage.bi;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.io.File;
import java.io.StringWriter;
import java.util.Map;
import org.xmlpull.v1.XmlPullParserFactory;
import org.xmlpull.v1.XmlSerializer;

public final class e implements j {
    private static String a(com.tencent.mm.at.e eVar, bi biVar) {
        AppMethodBeat.i(17789);
        StringWriter stringWriter = new StringWriter();
        try {
            XmlSerializer newSerializer = XmlPullParserFactory.newInstance().newSerializer();
            newSerializer.setOutput(stringWriter);
            if (d.kH(biVar.field_talker)) {
                stringWriter.write(bf.oy(biVar.field_content) + ":\n");
            }
            newSerializer.startTag(null, "msg");
            newSerializer.startTag(null, "img");
            Map z = br.z(eVar.fDK, "msg");
            if (z != null) {
                newSerializer.attribute(null, "aeskey", ((String) z.get(".msg.img.$aeskey")));
                newSerializer.attribute(null, "encryver", ((String) z.get(".msg.img.$encryver")));
                newSerializer.attribute(null, "cdnthumbaeskey", ((String) z.get(".msg.img.$cdnthumbaeskey")));
                newSerializer.attribute(null, "cdnthumburl", ((String) z.get(".msg.img.$cdnthumburl")));
                newSerializer.attribute(null, "cdnthumblength", bo.getLong((String) z.get(".msg.img.$cdnthumblength"), 10240));
                newSerializer.attribute(null, "cdnthumbheight", bo.getInt((String) z.get(".msg.img.$cdnthumbheight"), 0));
                newSerializer.attribute(null, "cdnthumbwidth", bo.getInt((String) z.get(".msg.img.$cdnthumbwidth"), 0));
                newSerializer.attribute(null, "cdnmidheight", bo.getInt((String) z.get(".msg.img.$cdnmidheight"), 0));
                newSerializer.attribute(null, "cdnmidwidth", bo.getInt((String) z.get(".msg.img.$cdnmidwidth"), 0));
                newSerializer.attribute(null, "cdnhdheight", bo.getInt((String) z.get(".msg.img.$cdnhdheight"), 0));
                newSerializer.attribute(null, "cdnhdwidth", bo.getInt((String) z.get(".msg.img.$cdnhdwidth"), 0));
                newSerializer.attribute(null, "cdnmidimgurl", ((String) z.get(".msg.img.$cdnmidimgurl")));
                long j = bo.getLong((String) z.get(".msg.img.$length"), 0);
                String str = "length";
                StringBuilder stringBuilder = new StringBuilder();
                if (j == 0) {
                    j = (long) com.tencent.mm.a.e.cs(b.aUY().aUZ().aUo().q(eVar.fDz, BuildConfig.FLAVOR, BuildConfig.FLAVOR));
                }
                newSerializer.attribute(null, str, stringBuilder.append(j).toString());
                if (biVar.field_isSend != 1 || eVar.fDC == 1) {
                    newSerializer.attribute(null, "cdnbigimgurl", ((String) z.get(".msg.img.$cdnbigimgurl")));
                    newSerializer.attribute(null, "hdlength", bo.getLong((String) z.get(".msg.img.$hdlength"), 0));
                }
                newSerializer.attribute(null, "md5", ((String) z.get(".msg.img.$md5")));
            }
            newSerializer.endTag(null, "img");
            newSerializer.endTag(null, "msg");
            newSerializer.endDocument();
            stringWriter.flush();
            stringWriter.close();
            ab.d("MicroMsg.BakOldItemImg", "parseContent xml:%s", new Object[]{stringWriter.getBuffer().toString()});
            AppMethodBeat.o(17789);
            return stringWriter.getBuffer().toString();
        } catch (Exception e) {
            ab.e("MicroMsg.BakOldItemImg", "packetImg xml error: " + e.toString());
            AppMethodBeat.o(17789);
            return null;
        }
    }

    public final int a(String str, gu guVar, bi biVar) {
        AppMethodBeat.i(17790);
        if (guVar == null || guVar.vED == null) {
            ab.e("MicroMsg.BakOldItemImg", "recover bakitem or bakitem content is null");
            AppMethodBeat.o(17790);
            return 0;
        }
        int i;
        String str2;
        com.tencent.mm.at.e fI;
        Object obj;
        String str3;
        String str4;
        String str5 = new String(bo.bc(guVar.vED.wVI, BuildConfig.FLAVOR));
        ab.d("MicroMsg.BakOldItemImg", "recover msg" + guVar.ptF + " " + str5);
        String str6 = "MicroMsg.BakOldItemImg";
        String str7 = "recover bakitem:, buf:%d, BufferType:%d, MediaType%s, ids:%s";
        Object[] objArr = new Object[4];
        if (guVar.vJd == null) {
            i = 0;
        } else {
            i = guVar.vJd.getILen();
        }
        objArr[0] = Integer.valueOf(i);
        objArr[1] = Integer.valueOf(guVar.vJf);
        if (guVar.vJc == null) {
            str2 = BuildConfig.FLAVOR;
        } else {
            str2 = guVar.vJc.toString();
        }
        objArr[2] = str2;
        if (guVar.vJb == null) {
            str2 = BuildConfig.FLAVOR;
        } else {
            str2 = guVar.vJb.toString();
        }
        objArr[3] = str2;
        ab.d(str6, str7, objArr);
        com.tencent.mm.at.e eVar = null;
        biVar.setContent(str5);
        g aUo = b.aUY().aUZ().aUo();
        if (biVar.field_isSend == 1) {
            if (biVar.field_msgId != 0) {
                eVar = aUo.fJ(biVar.field_msgId);
            }
            if (eVar == null || eVar.fDy == 0) {
                fI = aUo.fI(biVar.field_msgSvrId);
            } else {
                fI = eVar;
            }
        } else {
            fI = aUo.fI(biVar.field_msgSvrId);
        }
        Map z = br.z(str5, "msg");
        if (z == null || bo.getLong((String) z.get(".msg.img.$hdlength"), 0) <= 0) {
            obj = null;
        } else {
            obj = 1;
        }
        String bc = bo.bc(a.a(guVar, 3), BuildConfig.FLAVOR);
        if (guVar.vJf == 3 && guVar.vJd != null) {
            com.tencent.mm.a.e.b(a.aUy() + "backupMeida/" + a.Fb(bc), bc, guVar.vJd.getBufferToBytes());
        }
        str2 = bo.bc(a.a(guVar, 2), BuildConfig.FLAVOR);
        if (guVar.vJf == 2 && guVar.vJd != null) {
            com.tencent.mm.a.e.b(a.aUy() + "backupMeida/" + a.Fb(str2), str2, guVar.vJd.getBufferToBytes());
        }
        ab.d("MicroMsg.BakOldItemImg", "hdName %s, imgName:%s", new Object[]{bc, str2});
        if (bo.isNullOrNil(str2)) {
            ab.e("MicroMsg.BakOldItemImg", "imgName is null, imgName = hdName");
            str3 = bc;
        } else {
            str3 = str2;
        }
        byte[] b = a.b(guVar, 1);
        if (b == null) {
            ab.i("MicroMsg.BakOldItemImg", "getThumbBuf is null and read from mediapath");
            str2 = a.Fp(str3);
            String x = com.tencent.mm.a.g.x((bo.anU() + " ").getBytes());
            str6 = a.aUy() + "backupMeida/" + a.Fb(x);
            str4 = str6 + x;
            File file = new File(str6);
            if (!file.exists()) {
                file.mkdirs();
            }
            int amy = ad.amy(str4);
            if (amy > 0) {
                if (!ad.a(str2, CompressFormat.JPEG, str4, amy)) {
                    ab.e("MicroMsg.BakOldItemImg", "createLongPictureThumbNail failed");
                    AppMethodBeat.o(17790);
                    return -1;
                }
            } else if (com.tencent.mm.sdk.platformtools.d.a(str2, 120, 120, CompressFormat.JPEG, 90, str4)) {
                ab.d("MicroMsg.BakOldItemImg", "insert: thumbName = ".concat(String.valueOf(x)));
            } else {
                ab.e("MicroMsg.BakOldItemImg", "createThumbNail failed");
                AppMethodBeat.o(17790);
                return -1;
            }
            b = com.tencent.mm.a.e.f(str4, 0, -1);
        } else {
            ab.i("MicroMsg.BakOldItemImg", "getThumbBuf len:%d", new Object[]{Integer.valueOf(b.length)});
        }
        if (b == null) {
            ab.e("MicroMsg.BakOldItemImg", "img buf is null");
            AppMethodBeat.o(17790);
            return -1;
        }
        String q = aUo.q(bc, BuildConfig.FLAVOR, BuildConfig.FLAVOR);
        String q2 = aUo.q(str3, BuildConfig.FLAVOR, BuildConfig.FLAVOR);
        long j = 0;
        if (fI.fDy == 0) {
            if (obj != null) {
                g gVar = aUo;
                str4 = bc;
                j = gVar.a(b, guVar.ptF, true, str4, a.c(guVar, 3), str5, new PString(), new PInt(), new PInt());
                if (!a.b(guVar, 3, q)) {
                    ab.e("MicroMsg.BakOldItemImg", "writeItem MMBAK_HD_IMG failed:%s", new Object[]{q});
                }
            }
            long j2 = j;
            int c = a.c(guVar, 2);
            if (c <= 0) {
                c = a.c(guVar, 3);
            }
            PString pString = new PString();
            PInt pInt = new PInt();
            PInt pInt2 = new PInt();
            long a = aUo.a(b, guVar.ptF, false, str3, c, str5, pString, pInt, pInt2);
            if (!a.b(guVar, 2, q2)) {
                ab.e("MicroMsg.BakOldItemImg", "writeItem MMBAK_IMG failed:%s", new Object[]{q});
            }
            if (a > 0) {
                biVar.jv(pString.value);
                biVar.hZ(pInt.value);
                biVar.ia(pInt2.value);
                if (j2 > 0) {
                    com.tencent.mm.at.e b2 = b.aUY().aUZ().aUo().b(Long.valueOf(a));
                    b2.lu((int) j2);
                    b.aUY().aUZ().aUo().a(Long.valueOf(a), b2);
                }
            } else {
                AppMethodBeat.o(17790);
                return -1;
            }
        }
        str2 = fI.fDB;
        if (str2 == null || !str2.startsWith("THUMBNAIL_DIRPATH://")) {
            biVar.jv("THUMBNAIL://" + fI.fDy);
        } else {
            biVar.jv(str2);
        }
        d.l(biVar);
        AppMethodBeat.o(17790);
        return 0;
    }

    /* JADX WARNING: Removed duplicated region for block: B:65:0x0250  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0155  */
    /* JADX WARNING: Removed duplicated region for block: B:10:0x005a  */
    /* JADX WARNING: Missing block: B:39:0x01b7, code skipped:
            if (r0 != null) goto L_0x01b9;
     */
    public final int a(com.tencent.mm.protocal.protobuf.gu r11, com.tencent.mm.storage.bi r12, java.util.LinkedList<com.tencent.mm.plugin.backup.i.u> r13) {
        /*
        r10 = this;
        r0 = 17788; // 0x457c float:2.4926E-41 double:8.7884E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = r12.field_content;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 == 0) goto L_0x014b;
    L_0x000d:
        r0 = 0;
        r6 = r0;
    L_0x000f:
        r0 = r12.field_isSend;
        r1 = 1;
        if (r0 != r1) goto L_0x002e;
    L_0x0014:
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.d.b.aUY();
        r0 = r0.aUZ();
        r0 = r0.aUo();
        r2 = r12.field_msgId;
        r0 = r0.fJ(r2);
        r2 = r0.fDy;
        r4 = 0;
        r1 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r1 != 0) goto L_0x02cb;
    L_0x002e:
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.d.b.aUY();
        r0 = r0.aUZ();
        r0 = r0.aUo();
        r2 = r12.field_msgSvrId;
        r0 = r0.fI(r2);
        r7 = r0;
    L_0x0041:
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.d.b.aUY();
        r0 = r0.aUZ();
        r0 = r0.aUo();
        r1 = r12.field_imgPath;
        r2 = 1;
        r1 = r0.I(r1, r2);
        r0 = com.tencent.mm.a.e.ct(r1);
        if (r0 == 0) goto L_0x0155;
    L_0x005a:
        r0 = new com.tencent.mm.plugin.backup.bakoldlogic.b.i$a;
        r4 = 1;
        r5 = "_thumb";
        r2 = r11;
        r3 = r13;
        r0.<init>(r1, r2, r3, r4, r5);
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.b.i.a(r0);
        r6 = r6 + r0;
        r0 = r12.field_isSend;
        r1 = 1;
        if (r0 != r1) goto L_0x0178;
    L_0x006f:
        r1 = "";
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.d.b.aUY();
        r0 = r0.aUZ();
        r0 = r0.aUo();
        r2 = r7.fDz;
        r3 = "";
        r4 = "";
        r9 = r0.q(r2, r3, r4);
        r0 = r7.agQ();
        if (r0 == 0) goto L_0x0176;
    L_0x0090:
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.d.b.aUY();
        r0 = r0.aUZ();
        r0 = r0.aUo();
        r2 = r7.fDJ;
        r7 = r0.ly(r2);
        if (r7 == 0) goto L_0x016d;
    L_0x00a4:
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.d.b.aUY();
        r0 = r0.aUZ();
        r0 = r0.aUo();
        r1 = r7.fDz;
        r2 = "";
        r3 = "";
        r1 = r0.q(r1, r2, r3);
        r0 = "MicroMsg.BakOldItemImg";
        r2 = new java.lang.StringBuilder;
        r3 = "packet hd bigImgPath ";
        r2.<init>(r3);
        r2 = r2.append(r1);
        r3 = " ";
        r2 = r2.append(r3);
        r3 = com.tencent.mm.a.e.cs(r1);
        r2 = r2.append(r3);
        r2 = r2.toString();
        com.tencent.mm.sdk.platformtools.ab.d(r0, r2);
        com.tencent.mm.a.e.cs(r1);
        r0 = com.tencent.mm.a.e.ct(r1);
        if (r0 == 0) goto L_0x015c;
    L_0x00ea:
        r0 = new com.tencent.mm.plugin.backup.bakoldlogic.b.i$a;
        r4 = 3;
        r5 = "_hd";
        r2 = r11;
        r3 = r13;
        r0.<init>(r1, r2, r3, r4, r5);
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.b.i.a(r0);
        r0 = r0 + r6;
        r8 = r0;
    L_0x00fb:
        com.tencent.mm.a.e.cs(r9);
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r9);
        if (r0 != 0) goto L_0x013f;
    L_0x0104:
        r0 = r9.equals(r1);
        if (r0 != 0) goto L_0x013f;
    L_0x010a:
        r0 = "MicroMsg.BakOldItemImg";
        r1 = new java.lang.StringBuilder;
        r2 = "bigImgPath ";
        r1.<init>(r2);
        r1 = r1.append(r9);
        r2 = " ";
        r1 = r1.append(r2);
        r2 = com.tencent.mm.a.e.cs(r9);
        r1 = r1.append(r2);
        r1 = r1.toString();
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1);
        r0 = new com.tencent.mm.plugin.backup.bakoldlogic.b.i$a;
        r4 = 2;
        r5 = 0;
        r6 = 0;
        r1 = r9;
        r2 = r11;
        r3 = r13;
        r0.<init>(r1, r2, r3, r4, r5, r6);
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.b.i.a(r0);
        r8 = r8 + r0;
    L_0x013f:
        r0 = a(r7, r12);
        if (r0 != 0) goto L_0x02af;
    L_0x0145:
        r0 = 17788; // 0x457c float:2.4926E-41 double:8.7884E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
    L_0x014a:
        return r8;
    L_0x014b:
        r0 = r12.field_content;
        r0 = r0.getBytes();
        r0 = r0.length;
        r6 = r0;
        goto L_0x000f;
    L_0x0155:
        r8 = -1;
        r0 = 17788; // 0x457c float:2.4926E-41 double:8.7884E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x014a;
    L_0x015c:
        r0 = "MicroMsg.BakOldItemImg";
        r2 = "packet img.hasHdImg but hdbigImgPath has no file, hdbigImgPath:%s";
        r3 = 1;
        r3 = new java.lang.Object[r3];
        r4 = 0;
        r3[r4] = r1;
        com.tencent.mm.sdk.platformtools.ab.e(r0, r2, r3);
        r8 = r6;
        goto L_0x00fb;
    L_0x016d:
        r0 = "MicroMsg.BakOldItemImg";
        r2 = "packet img.hasHdImg but img is null";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r2);
    L_0x0176:
        r8 = r6;
        goto L_0x00fb;
    L_0x0178:
        r0 = r7.agP();
        if (r0 == 0) goto L_0x02c8;
    L_0x017e:
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.d.b.aUY();
        r0 = r0.aUZ();
        r0 = r0.aUo();
        r1 = r7.fDz;
        r2 = "";
        r3 = "";
        r9 = r0.q(r1, r2, r3);
        r2 = "";
        r0 = r7.agQ();
        if (r0 == 0) goto L_0x02ac;
    L_0x019f:
        r0 = r7.agQ();
        if (r0 == 0) goto L_0x0296;
    L_0x01a5:
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.d.b.aUY();
        r0 = r0.aUZ();
        r0 = r0.aUo();
        r1 = r7.fDJ;
        r0 = r0.ly(r1);
        if (r0 == 0) goto L_0x0296;
    L_0x01b9:
        r3 = "MicroMsg.BakOldItemImg";
        r4 = "packet hdinfo off:%d total:%d path:%s, compressType[%d]";
        r1 = 4;
        r5 = new java.lang.Object[r1];
        r8 = 0;
        if (r0 != 0) goto L_0x0299;
    L_0x01c5:
        r1 = -1;
    L_0x01c6:
        r1 = java.lang.Integer.valueOf(r1);
        r5[r8] = r1;
        r8 = 1;
        if (r0 != 0) goto L_0x029d;
    L_0x01cf:
        r1 = -1;
    L_0x01d0:
        r1 = java.lang.Integer.valueOf(r1);
        r5[r8] = r1;
        r8 = 2;
        if (r0 != 0) goto L_0x02a1;
    L_0x01d9:
        r1 = "null";
    L_0x01dc:
        r5[r8] = r1;
        r8 = 3;
        if (r0 != 0) goto L_0x02a5;
    L_0x01e1:
        r1 = -1;
    L_0x01e2:
        r1 = java.lang.Integer.valueOf(r1);
        r5[r8] = r1;
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4, r5);
        if (r0 == 0) goto L_0x02ac;
    L_0x01ed:
        r1 = r0.fDC;
        r3 = 1;
        if (r1 != r3) goto L_0x02ac;
    L_0x01f2:
        r1 = r0.equals(r7);
        if (r1 != 0) goto L_0x02a9;
    L_0x01f8:
        r1 = r0.offset;
        r3 = r0.frO;
        if (r1 != r3) goto L_0x02a9;
    L_0x01fe:
        r1 = com.tencent.mm.plugin.backup.bakoldlogic.d.b.aUY();
        r1 = r1.aUZ();
        r1 = r1.aUo();
        r0 = r0.fDz;
        r2 = "";
        r3 = "";
        r1 = r1.q(r0, r2, r3);
        r0 = "MicroMsg.BakOldItemImg";
        r2 = "packet hdPath:%s, fileLen[%d]";
        r3 = 2;
        r3 = new java.lang.Object[r3];
        r4 = 0;
        r3[r4] = r1;
        r4 = 1;
        r5 = com.tencent.mm.a.e.cs(r1);
        r5 = java.lang.Integer.valueOf(r5);
        r3[r4] = r5;
        com.tencent.mm.sdk.platformtools.ab.d(r0, r2, r3);
        r0 = com.tencent.mm.a.e.ct(r1);
        if (r0 == 0) goto L_0x02c6;
    L_0x0236:
        r0 = new com.tencent.mm.plugin.backup.bakoldlogic.b.i$a;
        r4 = 3;
        r5 = "_hd";
        r2 = r11;
        r3 = r13;
        r0.<init>(r1, r2, r3, r4, r5);
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.b.i.a(r0);
        r6 = r6 + r0;
        com.tencent.mm.a.e.cs(r1);
        r8 = r6;
    L_0x024a:
        r0 = com.tencent.mm.a.e.ct(r9);
        if (r0 == 0) goto L_0x013f;
    L_0x0250:
        com.tencent.mm.a.e.cs(r9);
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r9);
        if (r0 != 0) goto L_0x013f;
    L_0x0259:
        r0 = r9.equals(r1);
        if (r0 != 0) goto L_0x013f;
    L_0x025f:
        r0 = "MicroMsg.BakOldItemImg";
        r1 = new java.lang.StringBuilder;
        r2 = "bigImgPath ";
        r1.<init>(r2);
        r1 = r1.append(r9);
        r2 = " ";
        r1 = r1.append(r2);
        r2 = com.tencent.mm.a.e.cs(r9);
        r1 = r1.append(r2);
        r1 = r1.toString();
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1);
        r0 = new com.tencent.mm.plugin.backup.bakoldlogic.b.i$a;
        r4 = 2;
        r5 = 0;
        r6 = 0;
        r1 = r9;
        r2 = r11;
        r3 = r13;
        r0.<init>(r1, r2, r3, r4, r5, r6);
        r0 = com.tencent.mm.plugin.backup.bakoldlogic.b.i.a(r0);
        r8 = r8 + r0;
        goto L_0x013f;
    L_0x0296:
        r0 = r7;
        goto L_0x01b9;
    L_0x0299:
        r1 = r0.offset;
        goto L_0x01c6;
    L_0x029d:
        r1 = r0.frO;
        goto L_0x01d0;
    L_0x02a1:
        r1 = r0.fDz;
        goto L_0x01dc;
    L_0x02a5:
        r1 = r0.fDC;
        goto L_0x01e2;
    L_0x02a9:
        r0.equals(r7);
    L_0x02ac:
        r1 = r2;
        r8 = r6;
        goto L_0x024a;
    L_0x02af:
        r1 = new com.tencent.mm.protocal.protobuf.bts;
        r1.<init>();
        r1 = r1.alV(r0);
        r11.vED = r1;
        r0 = r0.length();
        r8 = r8 + r0;
        r0 = 17788; // 0x457c float:2.4926E-41 double:8.7884E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x014a;
    L_0x02c6:
        r8 = r6;
        goto L_0x024a;
    L_0x02c8:
        r8 = r6;
        goto L_0x013f;
    L_0x02cb:
        r7 = r0;
        goto L_0x0041;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.backup.bakoldlogic.b.e.a(com.tencent.mm.protocal.protobuf.gu, com.tencent.mm.storage.bi, java.util.LinkedList):int");
    }
}
