package com.tencent.mm.plugin.brandservice;

import android.os.Looper;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.aj.z;
import com.tencent.mm.kernel.api.c;
import com.tencent.mm.kernel.b.f;
import com.tencent.mm.kernel.b.g;
import com.tencent.mm.kernel.e;
import com.tencent.mm.model.q;
import com.tencent.mm.plugin.brandservice.a.b;
import com.tencent.mm.plugin.messenger.foundation.a.a.h.a;
import com.tencent.mm.plugin.messenger.foundation.a.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.storage.ac;
import com.tencent.mm.storage.r;
import com.tencent.mm.storage.s;

public class PluginBrandService extends f implements c, com.tencent.mm.plugin.brandservice.a.c {
    private a jKo = new 3(this);
    private r.c jKp = new 4(this);

    public PluginBrandService() {
        AppMethodBeat.i(13807);
        AppMethodBeat.o(13807);
    }

    public void installed() {
        AppMethodBeat.i(13808);
        alias(com.tencent.mm.plugin.brandservice.a.c.class);
        AppMethodBeat.o(13808);
    }

    public void configure(g gVar) {
        AppMethodBeat.i(13809);
        addBrandServiceEvent();
        addPlaceTopChangeListener();
        if (gVar.SG()) {
            pin(new q(d.class));
        }
        AppMethodBeat.o(13809);
    }

    public void execute(g gVar) {
        AppMethodBeat.i(13810);
        com.tencent.mm.bp.c.aks("brandservice");
        if (gVar.SG() || gVar.lQ(":tools") || gVar.lQ(":toolsmp")) {
            com.tencent.mm.kernel.g.a(b.class, new c());
        }
        com.tencent.mm.plugin.brandservice.ui.timeline.preload.g.axy();
        a.a aVar = a.jKf;
        com.tencent.mm.pluginsdk.cmd.b.a((com.tencent.mm.pluginsdk.cmd.a) new a(), new String[]{a.jKe});
        AppMethodBeat.o(13810);
    }

    public void onAccountInitialized(e.c cVar) {
        AppMethodBeat.i(13811);
        ((j) com.tencent.mm.kernel.g.K(j.class)).bOr().a(this.jKo, Looper.getMainLooper());
        z.aeX().a(this.jKp, Looper.getMainLooper());
        z.aeY().a(this.jKp, Looper.getMainLooper());
        if (s.aVO()) {
            com.tencent.mm.plugin.brandservice.ui.timeline.c cVar2 = new com.tencent.mm.plugin.brandservice.ui.timeline.c();
            ab.i("MicroMsg.BizTimeLineMigrateImp", "migrateMainCell");
            int intValue = ((Integer) com.tencent.mm.kernel.g.RP().Ry().get(ac.a.xVm, Integer.valueOf(0))).intValue();
            if ((intValue & 1) == 0) {
                ((j) com.tencent.mm.kernel.g.K(j.class)).XR().apb("officialaccounts");
                z.aeX().drK();
                com.tencent.mm.kernel.g.RP().Ry().set(ac.a.xVm, Integer.valueOf(intValue | 1));
            }
        }
        AppMethodBeat.o(13811);
    }

    public void onAccountRelease() {
        AppMethodBeat.i(13812);
        ((j) com.tencent.mm.kernel.g.K(j.class)).bOr().a(this.jKo);
        z.aeX().a(this.jKp);
        z.aeY().a(this.jKp);
        AppMethodBeat.o(13812);
    }

    private void addBrandServiceEvent() {
        AppMethodBeat.i(13813);
        com.tencent.mm.sdk.b.a.xxA.c(new 1(this));
        AppMethodBeat.o(13813);
    }

    private void addPlaceTopChangeListener() {
        AppMethodBeat.i(13814);
        com.tencent.mm.sdk.b.a.xxA.b(new 2(this));
        AppMethodBeat.o(13814);
    }
}
