package com.tencent.mm.plugin.facedetect.ui;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.drawable.BitmapDrawable;
import android.view.View.OnClickListener;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.lang.ref.WeakReference;

public class a {
    private static b lWK = new b();
    private Button lWA = null;
    private ImageView lWB = null;
    private TextView lWC = null;
    private TextView lWD = null;
    private Button lWE = null;
    private Button lWF = null;
    private TextView lWG = null;
    private Animation lWH = null;
    private Animation lWI = null;
    protected WeakReference<FaceDetectPrepareUI> lWJ = null;
    private RelativeLayout lWz = null;

    static {
        AppMethodBeat.i(398);
        AppMethodBeat.o(398);
    }

    a(FaceDetectPrepareUI faceDetectPrepareUI) {
        AppMethodBeat.i(386);
        this.lWJ = new WeakReference(faceDetectPrepareUI);
        AppMethodBeat.o(386);
    }

    public void create() {
        AppMethodBeat.i(387);
        synchronized (((FaceDetectPrepareUI) this.lWJ.get())) {
            try {
                if (this.lWJ.get() != null) {
                    this.lWz = (RelativeLayout) ((FaceDetectPrepareUI) this.lWJ.get()).findViewById(2131823797);
                    this.lWA = (Button) ((FaceDetectPrepareUI) this.lWJ.get()).findViewById(2131822846);
                    this.lWB = (ImageView) ((FaceDetectPrepareUI) this.lWJ.get()).findViewById(2131823799);
                    this.lWC = (TextView) ((FaceDetectPrepareUI) this.lWJ.get()).findViewById(2131823800);
                    this.lWH = AnimationUtils.loadAnimation((Context) this.lWJ.get(), 2131034125);
                    this.lWI = AnimationUtils.loadAnimation((Context) this.lWJ.get(), 2131034126);
                    this.lWE = (Button) ((FaceDetectPrepareUI) this.lWJ.get()).findViewById(2131823804);
                    this.lWF = (Button) ((FaceDetectPrepareUI) this.lWJ.get()).findViewById(2131823802);
                    this.lWD = (TextView) ((FaceDetectPrepareUI) this.lWJ.get()).findViewById(2131823801);
                    this.lWG = (TextView) ((FaceDetectPrepareUI) this.lWJ.get()).findViewById(2131823803);
                    this.lWH.setDuration(500);
                    this.lWI.setDuration(500);
                }
            } finally {
                while (true) {
                }
                AppMethodBeat.o(387);
            }
        }
    }

    public void dismiss() {
        AppMethodBeat.i(388);
        ab.c("MicroMsg.FaceDetectJumper", "dismiss jumper", new Object[0]);
        lWK.cancel();
        if (this.lWz.getVisibility() == 0) {
            al.d(new 1(this));
        }
        AppMethodBeat.o(388);
    }

    public void M(Bitmap bitmap) {
        AppMethodBeat.i(389);
        this.lWz.setBackgroundDrawable(new BitmapDrawable(bitmap));
        AppMethodBeat.o(389);
    }

    public void resetAll() {
        AppMethodBeat.i(390);
        if (lWK != null) {
            lWK.cancel();
        }
        this.lWE.setVisibility(4);
        this.lWA.setVisibility(4);
        this.lWF.setVisibility(4);
        this.lWD.setVisibility(4);
        this.lWC.setVisibility(4);
        AppMethodBeat.o(390);
    }

    public void a(c cVar) {
        AppMethodBeat.i(391);
        if (lWK != null) {
            lWK.cancel();
        }
        if (cVar == null) {
            AppMethodBeat.o(391);
            return;
        }
        ab.i("MicroMsg.FaceDetectJumper", "hy: request show conf: %s", new Object[]{cVar.toString()});
        if (cVar.lYz) {
            ab.i("MicroMsg.FaceDetectJumper", " mCancelBtn VISIBLE");
            this.lWE.setVisibility(0);
            this.lWE.setText(cVar.lYI);
            this.lWE.setOnClickListener(cVar.lYP);
        } else {
            this.lWE.setVisibility(4);
        }
        if (cVar.lYw) {
            ab.i("MicroMsg.FaceDetectJumper", " isShowMainButton VISIBLE");
            this.lWA.setVisibility(0);
            this.lWA.setText(cVar.lYG);
            this.lWA.setOnClickListener(cVar.lYM);
        } else {
            this.lWA.setVisibility(4);
        }
        if (cVar.lYA) {
            ab.i("MicroMsg.FaceDetectJumper", " mSubBtn VISIBLE");
            this.lWF.setVisibility(0);
            this.lWF.setText(cVar.lYH);
            this.lWF.setOnClickListener(cVar.lYN);
        } else {
            this.lWF.setVisibility(4);
        }
        if (cVar.lYx) {
            ab.i("MicroMsg.FaceDetectJumper", " isShowStatusWordingTv VISIBLE");
            this.lWC.setVisibility(0);
            if (cVar.lYB) {
                ab.i("MicroMsg.FaceDetectJumper", " isShowOneByOne VISIBLE");
                this.lWD.setVisibility(0);
                int i = cVar.lYD;
                String str = cVar.lYF;
                if (bo.isNullOrNil(str) || i >= str.length() || i < 0) {
                    ab.e("MicroMsg.FaceDetectJumper", "hy: invalid showing one by one");
                    this.lWC.setText(str);
                    this.lWD.setText(BuildConfig.FLAVOR);
                } else {
                    lWK.cancel();
                    b bVar = lWK;
                    WeakReference weakReference = new WeakReference(this.lWC);
                    WeakReference weakReference2 = new WeakReference(this.lWD);
                    bVar.lWQ = str;
                    bVar.lWR = i;
                    bVar.lWO = weakReference;
                    bVar.lWP = weakReference2;
                    lWK.start();
                }
            } else {
                ab.i("MicroMsg.FaceDetectJumper", " imTweekyTv VISIBLE");
                this.lWD.setVisibility(4);
                this.lWC.setText(cVar.lYF);
            }
        } else {
            ab.i("MicroMsg.FaceDetectJumper", " mStatusWordingTV VISIBLE");
            this.lWC.setVisibility(4);
            this.lWD.setVisibility(4);
        }
        if (cVar.lYy) {
            ab.i("MicroMsg.FaceDetectJumper", " mStatusIv VISIBLE");
            this.lWB.setVisibility(0);
            this.lWB.setImageResource(cVar.lYJ);
        } else {
            this.lWB.setVisibility(4);
        }
        if (cVar.lYC) {
            ab.i("MicroMsg.FaceDetectJumper", " mFeedbackTv VISIBLE");
            this.lWG.setVisibility(0);
            this.lWG.setText(cVar.lYK);
            this.lWG.setOnClickListener(cVar.lYO);
        } else {
            this.lWG.setVisibility(4);
        }
        if (cVar.lYE != null) {
            ab.i("MicroMsg.FaceDetectJumper", "bgBm：：%s ", new Object[]{cVar.lYE});
            this.lWz.setBackgroundDrawable(new BitmapDrawable(cVar.lYE));
        }
        ab.i("MicroMsg.FaceDetectJumper", "show jumper, visible: %s", new Object[]{Integer.valueOf(this.lWz.getVisibility())});
        if (this.lWz.getVisibility() != 0) {
            this.lWz.setVisibility(0);
            this.lWz.startAnimation(this.lWH);
            this.lWH.setAnimationListener(new 2(this, cVar));
        }
        AppMethodBeat.o(391);
    }

    public boolean aFF() {
        AppMethodBeat.i(392);
        if (this.lWz.getVisibility() != 8) {
            AppMethodBeat.o(392);
            return true;
        }
        AppMethodBeat.o(392);
        return false;
    }

    public static c bti() {
        AppMethodBeat.i(393);
        c b = b(2130838675, null, null, null, null, null);
        AppMethodBeat.o(393);
        return b;
    }

    public static c a(int i, String str, String str2, String str3, OnClickListener onClickListener, OnClickListener onClickListener2) {
        AppMethodBeat.i(394);
        c b = b(i, str, str2, str3, onClickListener, onClickListener2);
        AppMethodBeat.o(394);
        return b;
    }

    public static c b(int i, String str, String str2, String str3, OnClickListener onClickListener, OnClickListener onClickListener2) {
        AppMethodBeat.i(395);
        c c = c(i, str, str2, str3, onClickListener, onClickListener2);
        AppMethodBeat.o(395);
        return c;
    }

    private static c c(int i, String str, String str2, String str3, OnClickListener onClickListener, OnClickListener onClickListener2) {
        boolean z;
        boolean z2 = true;
        AppMethodBeat.i(396);
        c cVar = new c();
        cVar.lYJ = i;
        cVar.lYF = str;
        if (str2 != null) {
            z = true;
        } else {
            z = false;
        }
        cVar.lYw = z;
        cVar.lYG = str2;
        cVar.lYA = false;
        cVar.lYH = null;
        if (str3 == null) {
            z2 = false;
        }
        cVar.lYz = z2;
        cVar.lYI = str3;
        cVar.lYC = false;
        cVar.lYK = null;
        cVar.lYM = onClickListener;
        cVar.lYN = null;
        cVar.lYP = onClickListener2;
        cVar.lYO = null;
        AppMethodBeat.o(396);
        return cVar;
    }

    public static c a(c cVar, String str, OnClickListener onClickListener) {
        boolean z;
        if (str != null) {
            z = true;
        } else {
            z = false;
        }
        cVar.lYC = z;
        cVar.lYK = str;
        cVar.lYO = onClickListener;
        return cVar;
    }

    public static c a(Context context, OnClickListener onClickListener) {
        AppMethodBeat.i(397);
        c a = a(2130838626, context.getString(2131299476), null, context.getString(2131296868), null, onClickListener);
        a.lYB = true;
        a.lYD = context.getString(2131299476).length() - 3;
        AppMethodBeat.o(397);
        return a;
    }
}
