package com.tencent.mm.plugin.gallery.ui;

import android.app.ProgressDialog;
import android.content.Intent;
import android.content.ServiceConnection;
import android.content.SharedPreferences;
import android.net.Uri;
import android.os.Bundle;
import android.os.RemoteException;
import android.view.KeyEvent;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.GridView;
import android.widget.ImageButton;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.api.s;
import com.tencent.mm.hardcoder.WXHardCoderJNI;
import com.tencent.mm.plugin.gallery.model.GalleryItem.AlbumItem;
import com.tencent.mm.plugin.gallery.model.GalleryItem.MediaItem;
import com.tencent.mm.plugin.gallery.model.e;
import com.tencent.mm.plugin.gallery.model.i.b;
import com.tencent.mm.plugin.gallery.model.i.c;
import com.tencent.mm.plugin.gallery.model.l;
import com.tencent.mm.plugin.gallery.stub.GalleryStubService;
import com.tencent.mm.plugin.mmsight.SightCaptureResult;
import com.tencent.mm.plugin.webview.ui.tools.widget.o;
import com.tencent.mm.pluginsdk.ui.tools.n;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.DrawedCallBackFrameLayout;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.q;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.io.File;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedList;

@a(19)
public class AlbumPreviewUI extends MMActivity implements c {
    static long start = 0;
    private String cEV;
    private ProgressDialog ehJ;
    private int ehv;
    private int gLP;
    private ServiceConnection ktl = new 1(this);
    private boolean kvs = false;
    private double latitude;
    private double longitude;
    private com.tencent.mm.plugin.gallery.stub.a mOG = null;
    private String mOL;
    private int mPA;
    private int mPB;
    boolean mPC = false;
    private int mPD = 0;
    private int mPE = 0;
    private long mPF = 0;
    private long mPG;
    private int mPH = -1;
    private String mPI;
    private b mPJ;
    private long mPK = -1;
    private a.a mPL = new 8(this);
    private boolean mPM = false;
    private HashMap<String, Integer> mPN = new HashMap();
    private GridView mPe;
    private TextView mPf;
    private boolean mPg;
    private boolean mPh;
    private TextView mPi;
    private a mPj;
    private TextView mPk;
    private TextView mPl;
    private TextView mPm;
    private ImageFolderMgrView mPn;
    private TextView mPo;
    private ImageButton mPp;
    private String mPq;
    private String mPr;
    private int mPs;
    private String mPt;
    private boolean mPu = false;
    private boolean mPv = false;
    private boolean mPw = false;
    private boolean mPx = false;
    private boolean mPy = false;
    private boolean mPz = false;
    private String toUser;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public AlbumPreviewUI() {
        AppMethodBeat.i(21417);
        AppMethodBeat.o(21417);
    }

    static /* synthetic */ int K(AlbumPreviewUI albumPreviewUI) {
        int i = albumPreviewUI.mPD + 1;
        albumPreviewUI.mPD = i;
        return i;
    }

    static /* synthetic */ void M(AlbumPreviewUI albumPreviewUI) {
        AppMethodBeat.i(21445);
        albumPreviewUI.bCz();
        AppMethodBeat.o(21445);
    }

    static /* synthetic */ int x(AlbumPreviewUI albumPreviewUI) {
        int i = albumPreviewUI.mPE + 1;
        albumPreviewUI.mPE = i;
        return i;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(21418);
        super.onCreate(bundle);
        this.mPG = System.currentTimeMillis();
        ab.i("MicroMsg.AlbumPreviewUI", "onCreate");
        if (bundle != null) {
            ab.i("MicroMsg.AlbumPreviewUI", "savedInstanceState not null");
            this.mPB = bundle.getInt("constants_key");
            e.bBZ().hOZ = this.mPB;
        }
        Nb(this.mController.ylL.getResources().getColor(2131689913));
        getString(2131297061);
        this.ehJ = h.b(this, getString(2131297086), true, new 11(this));
        start = System.currentTimeMillis();
        int intExtra = getIntent().getIntExtra("query_source_type", 3);
        int intExtra2 = getIntent().getIntExtra("query_media_type", 1);
        ab.i("MicroMsg.AlbumPreviewUI", "query souce: " + intExtra + ", queryType: " + intExtra2);
        e.bBZ().wq(intExtra2);
        e.bBZ().hOZ = intExtra;
        initView();
        e.bBZ().mOr.add(this);
        this.mPK = System.currentTimeMillis();
        l bBZ = e.bBZ();
        bBZ.g(this.mPr, bBZ.mOu, this.mPK);
        bindService(new Intent(this.mController.ylL, GalleryStubService.class), this.ktl, 1);
        o.JV(1);
        AppMethodBeat.o(21418);
    }

    public void onPause() {
        AppMethodBeat.i(21419);
        super.onPause();
        ab.i("MicroMsg.AlbumPreviewUI", "on resume");
        this.mPz = true;
        ab.d("MicroMsg.AlbumPreviewUI", "shouldSaveLastChoosePath: " + this.mPv);
        if (this.mPv) {
            bCA();
        }
        if (this.mPn.aej) {
            ImageFolderMgrView imageFolderMgrView = this.mPn;
            if (!imageFolderMgrView.aej) {
                ab.w("MicroMsg.ImageFolderMgrView", "want to close, but it was closed");
            } else if (imageFolderMgrView.mQE) {
                ab.d("MicroMsg.ImageFolderMgrView", "want to close, but it is in animation");
            } else {
                imageFolderMgrView.mQA.setVisibility(8);
                imageFolderMgrView.aej = false;
            }
        }
        WXHardCoderJNI.stopPerformance(WXHardCoderJNI.hcAlbumScrollEnable, this.ehv);
        this.ehv = 0;
        AppMethodBeat.o(21419);
    }

    public void onResume() {
        AppMethodBeat.i(21420);
        super.onResume();
        ab.i("MicroMsg.AlbumPreviewUI", "on resume");
        this.mPz = false;
        AppMethodBeat.o(21420);
    }

    public void onDestroy() {
        AppMethodBeat.i(21421);
        super.onDestroy();
        ab.i("MicroMsg.AlbumPreviewUI", "onDestroy");
        e.bBZ().b(this.mPn);
        e.bCa().bCp();
        e.bCa().bCo().removeCallbacksAndMessages(null);
        e.bBZ().mOr.remove(this);
        l bBZ = e.bBZ();
        b bVar = this.mPJ;
        if (bVar != null) {
            bBZ.mOs.remove(bVar);
        }
        if (this.mPD > 0 || this.mPE > 0) {
            ab.d("MicroMsg.AlbumPreviewUI", "report click camera count[%d], click folder count[%d]", new Object[]{Integer.valueOf(this.mPD), Integer.valueOf(this.mPE)});
            try {
                this.mOG.aK(11187, this.mPD + "," + this.mPE);
            } catch (Exception e) {
                ab.e("MicroMsg.AlbumPreviewUI", "report error, %s", new Object[]{e.getMessage()});
                ab.printErrStackTrace("MicroMsg.AlbumPreviewUI", e, BuildConfig.FLAVOR, new Object[0]);
            }
        } else {
            ab.w("MicroMsg.AlbumPreviewUI", "do not click camera or folder!");
        }
        try {
            boolean z;
            if (this.mPF > 0 || this.mPh) {
                e.a(this.mOG, this.mPt, D(this.mPj.mOI), this.kvs, this.mPg);
            }
            com.tencent.mm.plugin.gallery.stub.a aVar = this.mOG;
            int size = this.mPj.mOI.size();
            boolean z2 = this.kvs;
            if (this.mPF > 0 || this.mPh) {
                z = true;
            } else {
                z = false;
            }
            e.a(aVar, size, z2, z);
        } catch (RemoteException e2) {
            ab.printErrStackTrace("MicroMsg.AlbumPreviewUI", e2, BuildConfig.FLAVOR, new Object[0]);
        }
        s.ccQ.Ae().Ad();
        e.bCc().clear();
        e.bCd().clear();
        e.bCe().clear();
        try {
            unbindService(this.ktl);
        } catch (Throwable th) {
            ab.printErrStackTrace("MicroMsg.AlbumPreviewUI", th, "Failed to unbindService when Activity.onDestroy is invoked.", new Object[0]);
        }
        o.JV(2);
        e.bBY().b(null);
        AppMethodBeat.o(21421);
    }

    public void onSaveInstanceState(Bundle bundle) {
        AppMethodBeat.i(21422);
        this.mPB = e.bBZ().hOZ;
        bundle.putInt("constants_key", this.mPB);
        AppMethodBeat.o(21422);
    }

    public final int getLayoutId() {
        return 2130970554;
    }

    private void updateTitle() {
        AppMethodBeat.i(21423);
        if (e.bBZ().mOu == 3) {
            setMMTitle(2131300167);
            this.mPi.setText(2131300167);
            AppMethodBeat.o(21423);
        } else if (e.bBZ().mOu == 1) {
            setMMTitle(2131300208);
            this.mPi.setText(2131300166);
            AppMethodBeat.o(21423);
        } else {
            setMMTitle(2131300168);
            this.mPi.setText(2131300168);
            AppMethodBeat.o(21423);
        }
    }

    private static int[] D(ArrayList<MediaItem> arrayList) {
        AppMethodBeat.i(21424);
        int[] iArr = new int[4];
        iArr[0] = arrayList.size();
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            MediaItem mediaItem = (MediaItem) it.next();
            if (mediaItem != null) {
                if (!bo.isNullOrNil(mediaItem.mMimeType) && mediaItem.mMimeType.equalsIgnoreCase("image/gif")) {
                    iArr[2] = iArr[2] + 1;
                } else if (mediaItem.getType() == 2) {
                    iArr[3] = iArr[3] + 1;
                } else if (mediaItem.getType() == 1) {
                    iArr[1] = iArr[1] + 1;
                }
            }
        }
        AppMethodBeat.o(21424);
        return iArr;
    }

    private void a(AlbumItem albumItem) {
        AppMethodBeat.i(21425);
        if (albumItem == null) {
            AppMethodBeat.o(21425);
        } else if (bo.bc(this.mPr, BuildConfig.FLAVOR).equals(albumItem.mOg)) {
            ab.w("MicroMsg.AlbumPreviewUI", "want to reset folder, same folder, return");
            AppMethodBeat.o(21425);
        } else {
            e.bCe().addAll(this.mPj.mOI);
            ab.d("MicroMsg.AlbumPreviewUI", "reset folder[%s], path[%s]", new Object[]{albumItem.mOg, albumItem.Wy()});
            this.mPq = albumItem.Wy();
            this.mPr = albumItem.mOg;
            if (albumItem.mOh != null) {
                this.mPs = albumItem.mOh.getType();
            }
            if (bo.isNullOrNil(this.mPq)) {
                ab.w("MicroMsg.AlbumPreviewUI", "reset folder path failed");
                this.mPq = this.mPr;
            }
            if (bo.isNullOrNil(this.mPr)) {
                if (getIntent().getBooleanExtra("show_header_view", true)) {
                    this.mPj.a(this.mPL);
                }
                updateTitle();
                this.mPs = e.bBZ().mOu;
            } else {
                a aVar = this.mPj;
                a.a aVar2 = this.mPL;
                if (aVar2 == null) {
                    ab.w("MicroMsg.AlbumAdapter", "removeHeader error, header is null");
                } else {
                    aVar.mOM.remove(aVar2);
                }
                this.mPi.setText(this.mPr);
            }
            this.mPj.mOH.clear();
            wu(this.mPj.mOI.size());
            this.mPj.notifyDataSetChanged();
            if (this.ehJ != null) {
                this.ehJ.dismiss();
            }
            getString(2131297061);
            this.ehJ = h.b(this, getString(2131297086), true, new 12(this));
            start = System.currentTimeMillis();
            String str = this.mPr;
            if (albumItem.mOh == null) {
                AppMethodBeat.o(21425);
                return;
            }
            int type = albumItem.mOh.getType();
            ab.i("MicroMsg.AlbumPreviewUI", "folder type[%d] queryType[%d]", new Object[]{Integer.valueOf(type), Integer.valueOf(e.bBZ().mOu)});
            if (e.bBZ().mOu != 2 && albumItem.mOh.getType() == 2) {
                str = BuildConfig.FLAVOR;
            }
            if (bo.isNullOrNil(albumItem.mOg)) {
                type = 3;
            }
            this.mPK = System.currentTimeMillis();
            e.bBZ().g(str, type, this.mPK);
            AppMethodBeat.o(21425);
        }
    }

    public final void V(int i, boolean z) {
        boolean z2 = true;
        AppMethodBeat.i(21426);
        switch (e.bBZ().mOu) {
            case 3:
                if (!(bo.isNullOrNil(this.cEV) || "medianote".equals(this.toUser))) {
                    if (bo.yz() - this.mPF >= 1000) {
                        ab.i("MicroMsg.AlbumPreviewUI", "switch to SendImgProxyUI");
                        MediaItem mediaItem = (MediaItem) this.mPj.mOH.get(i);
                        if (mediaItem.getType() != 2) {
                            try {
                                com.tencent.mm.plugin.gallery.stub.a aVar = this.mOG;
                                String str = mediaItem.fPT;
                                String str2 = this.toUser;
                                if (!this.mPu) {
                                    if (this.kvs) {
                                        z2 = false;
                                    }
                                }
                                aVar.a(str, str2, z2, 0, z);
                                AppMethodBeat.o(21426);
                                return;
                            } catch (Exception e) {
                                break;
                            }
                        }
                    }
                    ab.w("MicroMsg.AlbumPreviewUI", "sendimg btn event frequence limit");
                    AppMethodBeat.o(21426);
                    return;
                }
                break;
        }
        AppMethodBeat.o(21426);
    }

    public final void initView() {
        boolean z;
        AppMethodBeat.i(21427);
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            for (String str : extras.keySet()) {
                ab.d("MicroMsg.AlbumPreviewUI", "key=%s | value=%s", new Object[]{str, extras.get(str)});
            }
        } else {
            ab.e("MicroMsg.AlbumPreviewUI", "initView, oops! no extras data!");
        }
        this.mOL = getIntent().getStringExtra("album_business_tag");
        this.gLP = getIntent().getIntExtra("album_video_max_duration", 10);
        this.cEV = getIntent().getStringExtra("GalleryUI_FromUser");
        this.toUser = getIntent().getStringExtra("GalleryUI_ToUser");
        this.mPA = getIntent().getIntExtra("max_select_count", 9);
        this.mPu = e.bBZ().hOZ == 4;
        if (e.bBZ().hOZ == 5) {
            z = true;
        } else {
            z = false;
        }
        this.mPw = z;
        if (e.bBZ().hOZ == 9) {
            z = true;
        } else {
            z = false;
        }
        this.mPx = z;
        this.mPq = getIntent().getStringExtra("folder_path");
        this.mPr = getIntent().getStringExtra("folder_name");
        if (bo.isNullOrNil(this.mPq)) {
            ab.e("MicroMsg.AlbumPreviewUI", "get folder path failed");
            this.mPq = this.mPr;
        }
        this.kvs = getIntent().getBooleanExtra("key_send_raw_image", false);
        this.mPy = getIntent().getBooleanExtra("key_can_select_video_and_pic", false);
        this.mPo = (TextView) findViewById(2131822756);
        this.mPp = (ImageButton) findViewById(2131822755);
        this.mPo.setOnClickListener(new 13(this));
        if (e.bBZ().hOZ == 3) {
            this.mPp.setVisibility(0);
            this.mPo.setVisibility(0);
        } else {
            this.mPp.setVisibility(8);
            this.mPo.setVisibility(8);
        }
        if (this.kvs) {
            this.mPp.setImageResource(2131231853);
        } else {
            this.mPp.setImageResource(2131231852);
        }
        this.mPp.setOnClickListener(new 14(this));
        this.mPk = (TextView) findViewById(2131823946);
        this.mPl = (TextView) findViewById(2131827230);
        this.mPm = (TextView) findViewById(2131827231);
        this.mPf = (TextView) findViewById(2131827236);
        if (e.bBZ().hOZ == 0 || e.bBZ().hOZ == 5 || e.bBZ().hOZ == 10 || e.bBZ().hOZ == 11 || e.bBZ().hOZ == 14) {
            findViewById(2131827235).setVisibility(8);
            this.mPf.setVisibility(8);
        } else {
            this.mPf.setVisibility(0);
            this.mPf.setOnClickListener(new 15(this));
            if ((e.bBZ().mOu == 1 || e.bBZ().mOu == 2 || e.bBZ().mOu == 3) && this.mPA > 0) {
                16 16 = new 16(this);
                if (!bo.isNullOrNil(this.mPt)) {
                    addTextOptionMenu(0, this.mPt, 16);
                } else if (e.bBZ().hOZ != 14) {
                    a(0, wv(0), 16, q.b.ymu);
                }
            }
        }
        this.mPn = (ImageFolderMgrView) findViewById(2131827237);
        ImageFolderMgrView imageFolderMgrView = this.mPn;
        e.bBZ().b(imageFolderMgrView);
        e.bBZ().a(imageFolderMgrView);
        e.bBZ().bCu();
        this.mPn.setListener(new 17(this));
        this.mPt = getIntent().getStringExtra("send_btn_string");
        findViewById(2131827233).setOnClickListener(new 18(this));
        this.mPi = (TextView) findViewById(2131827234);
        if (this.mPw) {
            showOptionMenu(false);
        }
        enableOptionMenu(false);
        this.mPe = (GridView) findViewById(2131827229);
        this.mPe.setOnItemClickListener(new 2(this));
        this.mPj = new a(this, new 3(this));
        if (!bo.isNullOrNil(this.mOL)) {
            ab.d("MicroMsg.AlbumPreviewUI", "businessTag=%s", new Object[]{this.mOL});
            this.mPj.mOL = this.mOL;
            this.mPj.gLP = this.gLP;
            if (this.mOL.equals("album_business_bubble_media_by_coordinate")) {
                e.bBZ().mOt.bBV();
                this.mPI = getIntent().getStringExtra("album_business_bubble_media_by_coordinate_posname");
                double doubleExtra = getIntent().getDoubleExtra("album_business_bubble_media_by_coordinate_distance", -1.0d);
                this.longitude = getIntent().getDoubleExtra("album_business_bubble_media_by_coordinate_longitude", 91.0d);
                this.latitude = getIntent().getDoubleExtra("album_business_bubble_media_by_coordinate_latitude", 181.0d);
                if (doubleExtra > 0.0d && com.tencent.mm.modelgeo.a.q(this.longitude) && com.tencent.mm.modelgeo.a.r(this.latitude)) {
                    this.mPJ = new 4(this, doubleExtra);
                    l bBZ = e.bBZ();
                    b bVar = this.mPJ;
                    if (bVar != null) {
                        bBZ.mOs.add(bVar);
                    }
                    this.mPj.mON = false;
                }
            }
        }
        if (this.mPu) {
            this.mPj.mON = true;
        }
        if (this.mPy) {
            this.mPj.mON = true;
        }
        this.mPe.setNumColumns(4);
        this.mPe.setOnScrollListener(new 5(this));
        if (getIntent().getBooleanExtra("show_header_view", true)) {
            this.mPj.a(this.mPL);
        }
        this.mPj.mOK = e.bBZ().mOu;
        this.mPj.mOF = this.mPA;
        ab.i("MicroMsg.AlbumPreviewUI", "limit count = " + getIntent().getIntExtra("max_select_count", 9));
        this.mPe.setAdapter(this.mPj);
        updateTitle();
        setBackBtn(new 6(this));
        ViewGroup viewGroup = (ViewGroup) findViewById(2131820987);
        if (viewGroup instanceof DrawedCallBackFrameLayout) {
            ((DrawedCallBackFrameLayout) viewGroup).setListener(new 7(this));
        }
        AppMethodBeat.o(21427);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(21429);
        if (i == 4 && keyEvent.getRepeatCount() == 0) {
            ab.i("MicroMsg.AlbumPreviewUI", "onKeyDown");
            setResult(-2);
            if (this.mPn.aej) {
                this.mPn.bCE();
                AppMethodBeat.o(21429);
                return true;
            }
            finish();
            AppMethodBeat.o(21429);
            return true;
        } else if (i == 82) {
            this.mPE++;
            this.mPn.bCE();
            AppMethodBeat.o(21429);
            return true;
        } else {
            boolean onKeyDown = super.onKeyDown(i, keyEvent);
            AppMethodBeat.o(21429);
            return onKeyDown;
        }
    }

    public final int getForceOrientation() {
        return 1;
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(21430);
        ab.i("MicroMsg.AlbumPreviewUI", "on activity result, requestCode[%d] resultCode[%d]", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
        ArrayList arrayList;
        if (4369 != i) {
            ArrayList stringArrayListExtra;
            if (4370 != i) {
                if (4371 != i) {
                    if (4372 != i) {
                        if (4373 != i) {
                            if (4375 != i) {
                                if (4376 != i) {
                                    switch (i2) {
                                        case -2:
                                            ab.e("MicroMsg.AlbumPreviewUI", "WTF!!!");
                                            finish();
                                            break;
                                        case -1:
                                            if (intent == null) {
                                                intent = new Intent();
                                                intent.putExtra("CropImage_Compress_Img", true);
                                                intent.putStringArrayListExtra("CropImage_OutputPath_List", this.mPj.bCw());
                                            }
                                            ab.i("MicroMsg.AlbumPreviewUI", "onActivity Result ok");
                                            this.mPh = true;
                                            setResult(-1, intent);
                                            bCA();
                                            finish();
                                            break;
                                        case 0:
                                            if (intent != null) {
                                                boolean z;
                                                stringArrayListExtra = intent.getStringArrayListExtra("preview_image_list");
                                                if (stringArrayListExtra != null) {
                                                    this.mPj.C(stringArrayListExtra);
                                                    this.mPj.notifyDataSetChanged();
                                                    wu(stringArrayListExtra.size());
                                                }
                                                if (intent.getBooleanExtra("CropImage_Compress_Img", true)) {
                                                    z = false;
                                                } else {
                                                    z = true;
                                                }
                                                this.kvs = z;
                                                if (!this.kvs) {
                                                    this.mPp.setImageResource(2131231852);
                                                    break;
                                                } else {
                                                    this.mPp.setImageResource(2131231853);
                                                    break;
                                                }
                                            }
                                            break;
                                    }
                                } else if (-1 != i2) {
                                    ab.i("MicroMsg.AlbumPreviewUI", "REQUEST_SELECT_FOLDER goBack!");
                                    finish();
                                } else if (intent != null) {
                                    AlbumItem albumItem = (AlbumItem) intent.getParcelableExtra("select_folder_name");
                                    a(albumItem);
                                    setMMTitle(bo.bc(albumItem.mOg, getString(2131300167)));
                                }
                            } else if (-1 != i2) {
                                AppMethodBeat.o(21430);
                                return;
                            } else {
                                if (intent == null) {
                                    intent = new Intent();
                                }
                                ab.i("MicroMsg.AlbumPreviewUI", "sight capture record video, result[%s]", new Object[]{intent});
                                SightCaptureResult sightCaptureResult = (SightCaptureResult) intent.getParcelableExtra("key_req_result");
                                if (sightCaptureResult == null) {
                                    ab.e("MicroMsg.AlbumPreviewUI", "sight capture result is null!");
                                    setResult(1);
                                    finish();
                                    AppMethodBeat.o(21430);
                                    return;
                                }
                                arrayList = new ArrayList();
                                String str = sightCaptureResult.osC;
                                if (!bo.isNullOrNil(str)) {
                                    arrayList.add(str);
                                    intent.putExtra("key_select_video_list", arrayList);
                                }
                                if (sightCaptureResult.osA && !bo.isNullOrNil(sightCaptureResult.osI)) {
                                    arrayList = new ArrayList();
                                    arrayList.add(sightCaptureResult.osI);
                                    intent.putStringArrayListExtra("CropImage_OutputPath_List", arrayList);
                                }
                                setResult(-1, intent);
                                finish();
                            }
                        } else {
                            if (intent != null) {
                                intent.putExtra("GalleryUI_IsSendImgBackground", true);
                                ab.e("MicroMsg.AlbumPreviewUI", "send img background, data is null!!");
                            }
                            ab.i("MicroMsg.AlbumPreviewUI", "Request code sendimg proxy");
                            setResult(-1, intent);
                            this.mPC = true;
                            finish();
                        }
                    } else if (-1 != i2) {
                        AppMethodBeat.o(21430);
                        return;
                    } else {
                        if (intent == null) {
                            intent = new Intent();
                        }
                        ab.i("MicroMsg.AlbumPreviewUI", "system record video, result[%s]", new Object[]{intent});
                        stringArrayListExtra = new ArrayList();
                        String stringExtra = getIntent().getStringExtra("video_full_path");
                        if (!bo.isNullOrNil(stringExtra)) {
                            stringArrayListExtra.add(stringExtra);
                            intent.putExtra("key_select_video_list", stringArrayListExtra);
                            intent.putExtra("key_selected_video_is_from_sys_camera", true);
                        }
                        setResult(-1, intent);
                        finish();
                    }
                } else if (-1 != i2) {
                    AppMethodBeat.o(21430);
                    return;
                } else {
                    if (intent != null) {
                        intent.putExtra("from_record", true);
                    }
                    ab.i("MicroMsg.AlbumPreviewUI", "custom record video, result[%s]", new Object[]{intent});
                    setResult(-1, intent);
                    finish();
                }
            } else if (-1 != i2) {
                AppMethodBeat.o(21430);
                return;
            } else if (intent.getBooleanExtra("GalleryUI_IsSendImgBackground", false)) {
                ab.i("MicroMsg.AlbumPreviewUI", "test onActivityResult");
                setResult(-1, intent);
                finish();
                AppMethodBeat.o(21430);
                return;
            } else {
                stringArrayListExtra = intent.getStringArrayListExtra("CropImage_OutputPath_List");
                if (stringArrayListExtra == null || stringArrayListExtra.isEmpty()) {
                    ab.w("MicroMsg.AlbumPreviewUI", "send filepath is null or nil");
                    AppMethodBeat.o(21430);
                    return;
                }
                ab.i("MicroMsg.AlbumPreviewUI", "gallery photo:%s", new Object[]{stringArrayListExtra});
                setResult(-1, intent);
                finish();
            }
        } else if (-1 != i2) {
            AppMethodBeat.o(21430);
            return;
        } else {
            String h = n.h(this.mController.ylL.getApplicationContext(), intent, com.tencent.mm.compatible.util.e.euR);
            if (bo.isNullOrNil(h)) {
                ab.w("MicroMsg.AlbumPreviewUI", "take photo, but result is null");
                AppMethodBeat.o(21430);
                return;
            }
            ab.i("MicroMsg.AlbumPreviewUI", "take photo, result[%s]", new Object[]{h});
            if (e.bBZ().hOZ == 0 || e.bBZ().hOZ == 5 || e.bBZ().hOZ == 11) {
                Intent intent2 = new Intent();
                intent2.setData(Uri.parse("file://" + Uri.encode(h)));
                ab.i("MicroMsg.AlbumPreviewUI", "take photo finish");
                setResult(-1, intent2);
                finish();
            } else {
                arrayList = new ArrayList(1);
                arrayList.add(h);
                Intent intent3 = new Intent(this, ImagePreviewUI.class);
                intent3.putExtra("isTakePhoto", true);
                intent3.putExtra("max_select_count", 1);
                intent3.putExtra("send_raw_img", this.kvs);
                intent3.putStringArrayListExtra("preview_image_list", arrayList);
                intent3.putExtra("GalleryUI_FromUser", this.cEV);
                intent3.putExtra("GalleryUI_ToUser", this.toUser);
                startActivityForResult(intent3, 4370);
            }
        }
        if (intent != null && intent.getBooleanExtra("show_photo_edit_tip", false)) {
            SharedPreferences sharedPreferences = getSharedPreferences("photo_edit_pref", 0);
            if (!sharedPreferences.getBoolean("has_show_tip", false)) {
                this.mPm.setVisibility(0);
                this.mPm.setText(getString(2131301947));
                Animation loadAnimation = AnimationUtils.loadAnimation(this.mController.ylL, 2131034180);
                this.mPm.startAnimation(loadAnimation);
                loadAnimation.setAnimationListener(new 9(this));
                sharedPreferences.edit().putBoolean("has_show_tip", true).commit();
            }
        }
        AppMethodBeat.o(21430);
    }

    private void wu(int i) {
        AppMethodBeat.i(21431);
        if (i == 0) {
            this.mPf.setEnabled(false);
            enableOptionMenu(false);
        } else {
            this.mPf.setEnabled(true);
            enableOptionMenu(true);
        }
        if (i == 0) {
            this.mPf.setText(2131300183);
        } else {
            this.mPf.setText(getString(2131300183) + "(" + i + ")");
        }
        updateOptionMenuText(0, wv(i));
        AppMethodBeat.o(21431);
    }

    private String wv(int i) {
        AppMethodBeat.i(21432);
        String string;
        switch (e.bBZ().hOZ) {
            case 4:
            case 8:
            case 13:
                if (i == 0 || this.mPA <= 1) {
                    string = getString(2131300184);
                    AppMethodBeat.o(21432);
                    return string;
                }
                string = getString(2131300184) + "(" + i + "/" + this.mPA + ")";
                AppMethodBeat.o(21432);
                return string;
            case 7:
                if (bo.isNullOrNil(this.mOL) || !this.mOL.equals("album_business_bubble_media_by_coordinate")) {
                    if (i == 0 || this.mPA <= 1) {
                        string = getString(2131300184);
                        AppMethodBeat.o(21432);
                        return string;
                    }
                    string = getString(2131300184) + "(" + i + "/" + this.mPA + ")";
                    AppMethodBeat.o(21432);
                    return string;
                } else if (i == 0 || this.mPA <= 1) {
                    string = getString(2131296989);
                    AppMethodBeat.o(21432);
                    return string;
                } else {
                    string = getString(2131296989) + "(" + i + "/" + this.mPA + ")";
                    AppMethodBeat.o(21432);
                    return string;
                }
            default:
                if (i == 0 || this.mPA <= 1) {
                    string = getString(2131297041);
                    AppMethodBeat.o(21432);
                    return string;
                }
                string = getString(2131300176, new Object[]{Integer.valueOf(i), Integer.valueOf(this.mPA)});
                AppMethodBeat.o(21432);
                return string;
        }
    }

    public final void c(LinkedList<MediaItem> linkedList, long j) {
        boolean z = true;
        AppMethodBeat.i(21433);
        if (j != this.mPK) {
            ab.w("MicroMsg.AlbumPreviewUI", "%s %s, not my query, ignore.", new Object[]{Long.valueOf(j), Long.valueOf(this.mPK)});
            ab.w("MicroMsg.AlbumPreviewUI", "If you saw too mush this log, maybe user had too many photos. This can be optimized.");
            AppMethodBeat.o(21433);
            return;
        }
        LinkedList linkedList2 = new LinkedList();
        if (linkedList != null) {
            linkedList2.addAll(linkedList);
        }
        String str = "MicroMsg.AlbumPreviewUI";
        String str2 = "[onQueryMediaFinished] adapter is null?:%s";
        Object[] objArr = new Object[1];
        if (this.mPj != null) {
            z = false;
        }
        objArr[0] = Boolean.valueOf(z);
        ab.i(str, str2, objArr);
        if (this.mPj != null) {
            a aVar = new a((byte) 0);
            aVar.mPW = new WeakReference(this.mPj);
            aVar.mPX = new WeakReference(this.ehJ);
            aVar.mPY = new WeakReference(this.mPl);
            aVar.mPZ = new WeakReference(this.mPe);
            aVar.mQa = linkedList2;
            aVar.mQb = new WeakReference(this.mPI);
            e.bCa().d(aVar);
        }
        AppMethodBeat.o(21433);
    }

    private void bCA() {
        AppMethodBeat.i(21434);
        if (this.mPM) {
            SharedPreferences sharedPreferences = getSharedPreferences("gallery_last_choose_album", 0);
            ab.i("MicroMsg.AlbumPreviewUI", "last selected folderName and path: " + this.mPr + ", " + this.mPq);
            sharedPreferences.edit().putString(e.bBZ().mOu, this.mPr + "|" + this.mPq + "|" + this.mPs).commit();
            AppMethodBeat.o(21434);
            return;
        }
        AppMethodBeat.o(21434);
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        AppMethodBeat.i(21435);
        if (iArr == null || iArr.length <= 0) {
            ab.i("MicroMsg.AlbumPreviewUI", "onRequestPermissionsResult grantResults length 0. requestCode[%d], tid[%d]", new Object[]{Integer.valueOf(i), Long.valueOf(Thread.currentThread().getId())});
            AppMethodBeat.o(21435);
            return;
        }
        ab.i("MicroMsg.AlbumPreviewUI", "onRequestPermissionsResult requestCode[%d],grantResults[%d] tid[%d]", new Object[]{Integer.valueOf(i), Integer.valueOf(iArr[0]), Long.valueOf(Thread.currentThread().getId())});
        switch (i) {
            case 16:
                if (iArr[0] != 0) {
                    h.a(this, getString(2131301920), getString(2131301936), getString(2131300878), getString(2131297773), false, new 10(this), null);
                    break;
                }
                bCz();
                AppMethodBeat.o(21435);
                return;
        }
        AppMethodBeat.o(21435);
    }

    private boolean a(MediaItem mediaItem) {
        AppMethodBeat.i(21436);
        if (mediaItem == null) {
            ab.e("MicroMsg.AlbumPreviewUI", "[checkSelectedVideo] item is null!");
            AppMethodBeat.o(21436);
            return false;
        } else if (this.mOG == null) {
            ab.e("MicroMsg.AlbumPreviewUI", "[checkSelectedVideo] invoker is null!");
            AppMethodBeat.o(21436);
            return false;
        } else if (e.bBZ().hOZ != 3) {
            AppMethodBeat.o(21436);
            return true;
        } else if (new File(mediaItem.fPT).exists()) {
            try {
                if (this.mOG.ND(mediaItem.fPT) > 300) {
                    h.bP(this, getString(2131300203));
                    AppMethodBeat.o(21436);
                    return false;
                }
            } catch (RemoteException e) {
                ab.printErrStackTrace("MicroMsg.AlbumPreviewUI", e, BuildConfig.FLAVOR, new Object[0]);
            }
            AppMethodBeat.o(21436);
            return true;
        } else {
            h.bP(this, getString(2131300201));
            AppMethodBeat.o(21436);
            return false;
        }
    }

    private void bCz() {
        AppMethodBeat.i(21428);
        if (n.c(this.mController.ylL, com.tencent.mm.compatible.util.e.euR, "microMsg." + System.currentTimeMillis() + ".jpg", 4369)) {
            e.bCa().wp(0);
            System.gc();
            AppMethodBeat.o(21428);
            return;
        }
        Toast.makeText(this.mController.ylL, getString(2131302908), 1).show();
        AppMethodBeat.o(21428);
    }

    static /* synthetic */ void e(AlbumPreviewUI albumPreviewUI) {
        AppMethodBeat.i(21437);
        if (albumPreviewUI.kvs) {
            Iterator it = albumPreviewUI.mPj.mOI.iterator();
            int i = 0;
            int i2 = 0;
            while (it.hasNext()) {
                MediaItem mediaItem = (MediaItem) it.next();
                if (mediaItem != null && mediaItem.getType() == 1) {
                    if (26214400 < com.tencent.mm.a.e.cs(mediaItem.fPT)) {
                        ab.w("MicroMsg.AlbumPreviewUI", "[onClick] item:%s file size:%s", new Object[]{mediaItem, Integer.valueOf(com.tencent.mm.a.e.cs(mediaItem.fPT))});
                        i2++;
                    }
                    i++;
                }
                i = i;
            }
            if (i2 > 0) {
                if (i == i2) {
                    h.bP(albumPreviewUI, albumPreviewUI.getString(2131300200));
                    AppMethodBeat.o(21437);
                    return;
                }
                h.bP(albumPreviewUI, albumPreviewUI.getString(2131300197));
            }
        }
        AppMethodBeat.o(21437);
    }

    static /* synthetic */ void g(AlbumPreviewUI albumPreviewUI) {
        AppMethodBeat.i(21438);
        if (albumPreviewUI.mPj.mOI.size() > 0) {
            albumPreviewUI.enableOptionMenu(true);
            AppMethodBeat.o(21438);
            return;
        }
        albumPreviewUI.enableOptionMenu(false);
        AppMethodBeat.o(21438);
    }

    static /* synthetic */ void s(AlbumPreviewUI albumPreviewUI) {
        AppMethodBeat.i(21439);
        h.g(albumPreviewUI, 2131304248, 2131300210);
        ab.w("MicroMsg.AlbumPreviewUI", "video is import error");
        AppMethodBeat.o(21439);
    }

    static /* synthetic */ void t(AlbumPreviewUI albumPreviewUI) {
        AppMethodBeat.i(21440);
        h.g(albumPreviewUI, 2131300209, 2131300210);
        ab.w("MicroMsg.AlbumPreviewUI", "video is over size");
        AppMethodBeat.o(21440);
    }

    static /* synthetic */ void W(LinkedList linkedList) {
        AppMethodBeat.i(21446);
        if (linkedList == null) {
            ab.e("MicroMsg.AlbumPreviewUI", "[filterEditMediaItem] mMediaItems is null!");
            AppMethodBeat.o(21446);
            return;
        }
        long currentTimeMillis = System.currentTimeMillis();
        ab.i("MicroMsg.AlbumPreviewUI", "[filterEditMediaItem] size:%s", new Object[]{Integer.valueOf(linkedList.size())});
        ArrayList arrayList = new ArrayList();
        Iterator it = linkedList.iterator();
        int i = 0;
        while (it.hasNext()) {
            MediaItem mediaItem = (MediaItem) it.next();
            Iterator it2 = e.bCc().iterator();
            while (it2.hasNext()) {
                MediaItem mediaItem2 = (MediaItem) it2.next();
                if (mediaItem2.mOi.equals(mediaItem.fPT)) {
                    ab.d("MicroMsg.AlbumPreviewUI", "item:%s replace editItem:%s", new Object[]{mediaItem, mediaItem2});
                    linkedList.set(i, mediaItem2);
                }
                if (mediaItem2.fPT.equals(mediaItem.fPT)) {
                    ab.d("MicroMsg.AlbumPreviewUI", "remove editItem:%s", new Object[]{mediaItem2});
                    arrayList.add(Integer.valueOf(i));
                }
            }
            i++;
        }
        Iterator it3 = arrayList.iterator();
        while (it3.hasNext()) {
            linkedList.remove(((Integer) it3.next()).intValue());
        }
        ab.d("MicroMsg.AlbumPreviewUI", "[filterEditMediaItem] cost%s", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis)});
        AppMethodBeat.o(21446);
    }
}
