package com.tencent.mm.plugin.honey_pay.ui;

import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.text.SpannableStringBuilder;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.m;
import com.tencent.mm.bp.d;
import com.tencent.mm.plugin.honey_pay.a.i;
import com.tencent.mm.plugin.honey_pay.a.j;
import com.tencent.mm.plugin.honey_pay.a.l;
import com.tencent.mm.plugin.honey_pay.model.c;
import com.tencent.mm.plugin.wallet_core.model.Bankcard;
import com.tencent.mm.plugin.wallet_core.model.ac;
import com.tencent.mm.plugin.wallet_core.model.r;
import com.tencent.mm.plugin.wallet_core.ui.h;
import com.tencent.mm.plugin.wallet_core.ui.o;
import com.tencent.mm.pluginsdk.ui.a.b;
import com.tencent.mm.protocal.protobuf.atj;
import com.tencent.mm.protocal.protobuf.bdh;
import com.tencent.mm.protocal.protobuf.bir;
import com.tencent.mm.protocal.protobuf.bkc;
import com.tencent.mm.protocal.protobuf.bnl;
import com.tencent.mm.protocal.protobuf.chl;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.widget.MMSwitchBtn;
import com.tencent.mm.wallet_core.c.ae;
import com.tencent.mm.wallet_core.c.p.a;
import com.tencent.mm.wallet_core.ui.WalletTextView;
import com.tencent.mm.wallet_core.ui.e;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class HoneyPayCardManagerUI extends HoneyPayBaseUI {
    private int gOW;
    private ImageView kEn;
    private ViewGroup kox;
    private ViewGroup laj;
    private TextView nrA;
    private MMSwitchBtn nrB;
    private LinearLayout nrC;
    private TextView nrD;
    private TextView nrE;
    private TextView nrF;
    private View nrG;
    private View nrH;
    private TextView nrI;
    private a nrJ;
    private List<bir> nrK = new ArrayList();
    private Bankcard nrL;
    private bkc nrM;
    private bkc nrN;
    private long nrO;
    private long nrP;
    private boolean nrQ;
    private String nrR;
    private String nra;
    private chl nrb;
    private TextView nre;
    private TextView nrg;
    private TextView nrh;
    private TextView nri;
    private TextView nrj;
    private WalletTextView nru;
    private ListView nrx;
    private ViewGroup nry;
    private ViewGroup nrz;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public HoneyPayCardManagerUI() {
        AppMethodBeat.i(41811);
        AppMethodBeat.o(41811);
    }

    static /* synthetic */ Bankcard OE(String str) {
        AppMethodBeat.i(41826);
        Bankcard OD = OD(str);
        AppMethodBeat.o(41826);
        return OD;
    }

    static /* synthetic */ void d(HoneyPayCardManagerUI honeyPayCardManagerUI) {
        AppMethodBeat.i(41827);
        honeyPayCardManagerUI.bGd();
        AppMethodBeat.o(41827);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(41812);
        super.onCreate(bundle);
        nf(2876);
        nf(2742);
        nf(2941);
        this.nra = getIntent().getStringExtra("key_card_no");
        this.gOW = getIntent().getIntExtra("key_scene", 0);
        this.nrQ = getIntent().getBooleanExtra("key_is_create", false);
        this.nrR = getIntent().getStringExtra("key_card_type");
        initView();
        ab.d(this.TAG, "cardtype: %s", new Object[]{this.nrR});
        setMMTitle(2131300563);
        if (this.gOW == 1) {
            bnl bnl = new bnl();
            try {
                bnl.parseFrom(getIntent().getByteArrayExtra("key_qry_response"));
                a(bnl);
                AppMethodBeat.o(41812);
                return;
            } catch (IOException e) {
                ab.printErrStackTrace(this.TAG, e, BuildConfig.FLAVOR, new Object[0]);
                bGc();
                AppMethodBeat.o(41812);
                return;
            }
        }
        bGc();
        AppMethodBeat.o(41812);
    }

    public final void initView() {
        AppMethodBeat.i(41813);
        initHeaderView();
        bGb();
        this.nrH = findViewById(2131824898);
        this.nrx = (ListView) findViewById(2131824897);
        this.nrx.addHeaderView(this.laj);
        this.nrx.addFooterView(this.kox, null, false);
        this.nrJ = new a(this, (byte) 0);
        this.nrx.setAdapter(this.nrJ);
        this.nrx.setOnItemClickListener(new 1(this));
        AppMethodBeat.o(41813);
    }

    public void onDestroy() {
        AppMethodBeat.i(41814);
        super.onDestroy();
        ng(2876);
        ng(2742);
        ng(2941);
        AppMethodBeat.o(41814);
    }

    public final boolean c(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(41815);
        if (mVar instanceof l) {
            l lVar = (l) mVar;
            lVar.a(new 11(this, lVar)).b(new 10(this)).c(new 9(this));
        } else if (mVar instanceof i) {
            i iVar = (i) mVar;
            iVar.a(new 14(this)).b(new 13(this, iVar)).c(new 12(this, iVar));
        } else if (mVar instanceof j) {
            final j jVar = (j) mVar;
            jVar.a(new a() {
                public final void e(int i, int i2, String str, m mVar) {
                    AppMethodBeat.i(41794);
                    HoneyPayCardManagerUI.this.nrM = jVar.nqH.wHj;
                    if (HoneyPayCardManagerUI.this.nrM != null) {
                        HoneyPayCardManagerUI.this.nrL = HoneyPayCardManagerUI.OE(HoneyPayCardManagerUI.this.nrM.wNk);
                    }
                    HoneyPayCardManagerUI.d(HoneyPayCardManagerUI.this);
                    AppMethodBeat.o(41794);
                }
            }).b(new 16(this)).c(new 15(this));
        }
        AppMethodBeat.o(41815);
        return true;
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(41816);
        if (i == 1) {
            if (i2 == -1 && intent.getBooleanExtra("key_modify_create_line_succ", false)) {
                this.nru.setText(c.iR(intent.getLongExtra("key_credit_line", 0)));
                setResult(-1);
            }
        } else if (i == 2) {
            if (i2 == -1) {
                this.mController.removeAllOptionMenu();
                setResult(-1);
                finish();
            }
        } else if (i == 3 && i2 == -1) {
            bGc();
        }
        super.onActivityResult(i, i2, intent);
        AppMethodBeat.o(41816);
    }

    public final int getLayoutId() {
        return 2130969828;
    }

    private void initHeaderView() {
        AppMethodBeat.i(41817);
        this.laj = (ViewGroup) LayoutInflater.from(this).inflate(2130969826, null);
        this.nrB = (MMSwitchBtn) this.laj.findViewById(2131824889);
        this.nrC = (LinearLayout) this.laj.findViewById(2131824890);
        this.nrE = (TextView) this.laj.findViewById(2131824891);
        this.kEn = (ImageView) this.laj.findViewById(2131824875);
        this.nru = (WalletTextView) this.laj.findViewById(2131824877);
        this.nrD = (TextView) this.laj.findViewById(2131824876);
        this.nrA = (TextView) this.laj.findViewById(2131824880);
        this.nre = (TextView) this.laj.findViewById(2131824878);
        this.nrF = (TextView) this.laj.findViewById(2131824879);
        this.nrg = (TextView) this.laj.findViewById(2131824883);
        this.nri = (TextView) this.laj.findViewById(2131824884);
        this.nrh = (TextView) this.laj.findViewById(2131824886);
        this.nrj = (TextView) this.laj.findViewById(2131824887);
        this.nrG = this.laj.findViewById(2131824893);
        this.nrI = (TextView) this.laj.findViewById(2131824892);
        this.nru.setPrefix(ae.dOd());
        this.nrB.setSwitchListener(new MMSwitchBtn.a() {
            public final void di(boolean z) {
                int i = 1;
                AppMethodBeat.i(41795);
                ab.d(HoneyPayCardManagerUI.this.TAG, "check %s", new Object[]{Boolean.valueOf(z)});
                HoneyPayCardManagerUI honeyPayCardManagerUI = HoneyPayCardManagerUI.this;
                if (!z) {
                    i = 0;
                }
                HoneyPayCardManagerUI.a(honeyPayCardManagerUI, i);
                AppMethodBeat.o(41795);
            }
        });
        this.nrC.setOnClickListener(new 4(this));
        String string = getString(2131300569);
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder(string);
        spannableStringBuilder.append(getString(2131300571));
        spannableStringBuilder.setSpan(new o(new 5(this)), string.length(), spannableStringBuilder.length(), 18);
        this.nrA.setClickable(true);
        this.nrA.setOnTouchListener(new com.tencent.mm.pluginsdk.ui.e.m(this));
        this.nrA.setText(spannableStringBuilder);
        AppMethodBeat.o(41817);
    }

    private void bGb() {
        AppMethodBeat.i(41818);
        this.kox = (ViewGroup) LayoutInflater.from(this).inflate(2130969824, null);
        AppMethodBeat.o(41818);
    }

    private void bGc() {
        AppMethodBeat.i(41819);
        ab.i(this.TAG, "do qry detail");
        l lVar = new l(this.nra);
        lVar.o(this);
        a(lVar, true, false);
        AppMethodBeat.o(41819);
    }

    private void a(bnl bnl) {
        AppMethodBeat.i(41820);
        this.nrb = bnl.woi;
        this.nrK.clear();
        this.nrJ.notifyDataSetChanged();
        if (bnl.wci != null) {
            setMMTitle(bnl.wci.kdf);
            this.nrO = bnl.vYj;
            this.nrP = bnl.vYi;
            if (bnl.wci.wxt != null) {
                this.nrL = OD(bnl.wci.wxt.wNk);
                this.nrM = bnl.wci.wxt;
            }
            a(bnl.wci);
            int i = bnl.wci.state;
            ab.i(this.TAG, "detail state: %s", new Object[]{Integer.valueOf(i)});
            ab.d(this.TAG, "state title: %s", new Object[]{bnl.wci.wxw});
            if (bo.isNullOrNil(bnl.wci.wxw)) {
                this.nre.setVisibility(8);
            } else {
                this.nre.setText(bnl.wci.wxw);
                this.nre.setVisibility(0);
            }
            if (bo.isNullOrNil(bnl.wci.wxs)) {
                this.nrF.setVisibility(8);
            } else {
                this.nrF.setText(bnl.wci.wxs);
                this.nrF.setVisibility(0);
            }
            if (i == 1) {
                this.nre.setTextColor(Color.parseColor("#FA9D3B"));
                this.nru.setTextColor(Color.parseColor("#B2B2B2"));
                findViewById(2131824881).setVisibility(8);
                this.nrx.removeFooterView(this.kox);
                this.kox.setVisibility(8);
                this.nrG.setVisibility(8);
                if (this.nrQ) {
                    this.nrz = (ViewGroup) LayoutInflater.from(this).inflate(2130969823, null);
                    ((Button) this.nrz.findViewById(2131824873)).setOnClickListener(new 7(this));
                    this.nrx.addFooterView(this.nrz);
                    showHomeBtn(false);
                    enableBackMenu(false);
                    setMMTitle(BuildConfig.FLAVOR);
                }
            } else if (i == 2) {
                if (!(bnl.vAD == null || bnl.vAD.isEmpty())) {
                    this.nrK = bnl.vAD;
                    this.nrJ.notifyDataSetChanged();
                    this.nrx.removeFooterView(this.kox);
                    this.kox.setVisibility(8);
                    if (bnl.wQl != null) {
                        a(bnl.wQl);
                        this.nrx.addFooterView(this.nry);
                    }
                    findViewById(2131824896).setBackgroundResource(2131690166);
                }
                this.nrA.setVisibility(0);
                this.nru.setVisibility(0);
                this.nrG.setVisibility(0);
                findViewById(2131824881).setVisibility(8);
            } else if (i == 3) {
                findViewById(2131824881).setVisibility(0);
                this.nrg.setText(2131300548);
                this.nrh.setText(2131300591);
                this.nri.setText(c.iS((long) bnl.wci.vNm));
                this.nrj.setText(c.iS((long) bnl.wci.kbK));
                this.nrx.removeFooterView(this.kox);
                this.kox.setVisibility(8);
                this.nrG.setVisibility(8);
                findViewById(2131824888).setVisibility(8);
            } else if (i == 4) {
                this.nrA.setVisibility(8);
                findViewById(2131824881).setVisibility(0);
                this.nrg.setText(2131300590);
                this.nri.setText(c.iS((long) bnl.wci.wxu));
                findViewById(2131824885).setVisibility(8);
                this.nrx.removeFooterView(this.kox);
                this.kox.setVisibility(8);
                this.nrG.setVisibility(8);
                findViewById(2131824888).setVisibility(8);
                findViewById(2131824896).setBackgroundResource(2131690691);
            } else {
                ab.d(this.TAG, "unknown state: %s", new Object[]{Integer.valueOf(i)});
            }
        }
        this.nrH.setVisibility(8);
        c.b(this, bnl.wxm, this.nra, 2, this.nrb);
        AppMethodBeat.o(41820);
    }

    private void a(bdh bdh) {
        AppMethodBeat.i(41821);
        this.nry = (ViewGroup) View.inflate(this, 2130969825, null);
        ((TextView) this.nry.findViewById(2131824874)).setText(bdh.title);
        this.nry.setOnClickListener(new 8(this, bdh));
        AppMethodBeat.o(41821);
    }

    private static Bankcard OD(String str) {
        AppMethodBeat.i(41822);
        Bankcard h = r.cPI().h(str, false, false);
        if (h == null) {
            Bankcard bankcard = r.cPI().tCZ;
            if (bankcard != null && bankcard.field_bindSerial.equals(str)) {
                AppMethodBeat.o(41822);
                return bankcard;
            }
        }
        AppMethodBeat.o(41822);
        return h;
    }

    private void a(atj atj) {
        boolean z = false;
        AppMethodBeat.i(41823);
        this.nrD.setText(com.tencent.mm.pluginsdk.ui.e.j.b(this, e.eL(atj.vYh, 6) + getString(2131300569), this.nrD.getTextSize()));
        b.a(this.kEn, atj.vYh, 0.06f, false);
        this.nru.setText(c.iR(atj.wch));
        MMSwitchBtn mMSwitchBtn = this.nrB;
        if (atj.tob != 0) {
            z = true;
        }
        mMSwitchBtn.setCheck(z);
        bGd();
        AppMethodBeat.o(41823);
    }

    private void bGd() {
        AppMethodBeat.i(41824);
        if (this.nrM != null) {
            this.nrE.setText(this.nrM.wNi);
            if (bo.isNullOrNil(this.nrM.wNj)) {
                this.nrE.setTextColor(getResources().getColor(2131690316));
            } else {
                this.nrE.setTextColor(Color.parseColor(this.nrM.wNj));
            }
            if (bo.isNullOrNil(this.nrM.wNn)) {
                this.nrI.setVisibility(8);
                AppMethodBeat.o(41824);
                return;
            }
            this.nrI.setText(this.nrM.wNn);
            this.nrI.setVisibility(0);
            AppMethodBeat.o(41824);
            return;
        }
        ab.i(this.TAG, "reset payway view for null");
        this.nrE.setText(BuildConfig.FLAVOR);
        this.nrE.setTextColor(getResources().getColor(2131690316));
        this.nrI.setVisibility(8);
        AppMethodBeat.o(41824);
    }

    static /* synthetic */ void e(HoneyPayCardManagerUI honeyPayCardManagerUI) {
        AppMethodBeat.i(41829);
        ab.i(honeyPayCardManagerUI.TAG, "go to uni pay ui");
        d.b(honeyPayCardManagerUI, "wallet", ".pwd.ui.WalletUniversalPayOrderUI", new Intent(), 3);
        AppMethodBeat.o(41829);
    }

    static /* synthetic */ void f(HoneyPayCardManagerUI honeyPayCardManagerUI) {
        AppMethodBeat.i(41830);
        ab.i(honeyPayCardManagerUI.TAG, "show select payway dialog");
        ArrayList<Bankcard> ne = ac.ne(false);
        ArrayList arrayList = new ArrayList();
        for (Bankcard bankcard : ne) {
            if (bankcard.cPg()) {
                ab.i(honeyPayCardManagerUI.TAG, "remove honey card %s", new Object[]{bankcard.field_bindSerial});
            } else {
                arrayList.add(bankcard);
            }
        }
        Context context = honeyPayCardManagerUI;
        h.a(context, arrayList, honeyPayCardManagerUI.nrL, honeyPayCardManagerUI.getString(2131300566), honeyPayCardManagerUI.getString(2131300565), false, BuildConfig.FLAVOR, new 6(honeyPayCardManagerUI, arrayList));
        com.tencent.mm.plugin.report.service.h.pYm.e(15191, new Object[]{Integer.valueOf(0), Integer.valueOf(0), Integer.valueOf(1), Integer.valueOf(0), Integer.valueOf(0), Integer.valueOf(0)});
        AppMethodBeat.o(41830);
    }

    static /* synthetic */ void g(HoneyPayCardManagerUI honeyPayCardManagerUI) {
        AppMethodBeat.i(41831);
        ab.i(honeyPayCardManagerUI.TAG, "go to quata ui");
        Intent intent = new Intent(honeyPayCardManagerUI, HoneyPayModifyQuotaUI.class);
        intent.putExtra("key_max_credit_line", honeyPayCardManagerUI.nrO);
        intent.putExtra("key_min_credit_line", honeyPayCardManagerUI.nrP);
        intent.putExtra("key_card_no", honeyPayCardManagerUI.nra);
        honeyPayCardManagerUI.startActivityForResult(intent, 1);
        com.tencent.mm.plugin.report.service.h.pYm.e(15191, new Object[]{Integer.valueOf(0), Integer.valueOf(0), Integer.valueOf(0), Integer.valueOf(1), Integer.valueOf(0), Integer.valueOf(0)});
        AppMethodBeat.o(41831);
    }

    static /* synthetic */ void i(HoneyPayCardManagerUI honeyPayCardManagerUI) {
        AppMethodBeat.i(41832);
        ab.i(honeyPayCardManagerUI.TAG, "do modify pay way");
        j jVar = new j(honeyPayCardManagerUI.nrM, honeyPayCardManagerUI.nra);
        jVar.o(honeyPayCardManagerUI);
        honeyPayCardManagerUI.a(jVar, false, false);
        AppMethodBeat.o(41832);
    }
}
