package com.tencent.mm.plugin.remittance.bankcard.ui;

import android.content.Intent;
import android.graphics.drawable.ColorDrawable;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.remittance.bankcard.model.EnterTimeParcel;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.preference.MMPreference;
import com.tencent.mm.ui.base.preference.Preference;
import com.tencent.mm.ui.base.preference.f;
import java.util.ArrayList;
import java.util.List;

public class BankRemitSelectArriveTimeUI extends MMPreference {
    private f ehK;
    private List<EnterTimeParcel> pNZ;
    private List<Preference> pOa;
    private int pOb;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(44660);
        super.onCreate(bundle);
        getSupportActionBar().setBackgroundDrawable(new ColorDrawable(getResources().getColor(2131689748)));
        View customView = getSupportActionBar().getCustomView();
        if (customView != null) {
            View findViewById = customView.findViewById(2131821128);
            if (findViewById != null) {
                findViewById.setBackgroundColor(getResources().getColor(2131689761));
            }
            customView = customView.findViewById(16908308);
            if (customView != null && (customView instanceof TextView)) {
                ((TextView) customView).setTextColor(getResources().getColor(2131689761));
            }
        }
        if (VERSION.SDK_INT >= 21) {
            Window window = getWindow();
            window.addFlags(Integer.MIN_VALUE);
            window.setStatusBarColor(getResources().getColor(2131689748));
        }
        BankRemitBaseUI.Y(this);
        this.mController.contentView.setFitsSystemWindows(true);
        setMMTitle(2131297477);
        this.pNZ = getIntent().getParcelableArrayListExtra("key_arrive_time_parcel_list");
        this.pOb = getIntent().getIntExtra("key_select_arrive_time", -1);
        initView();
        findViewById(16908298).setBackgroundColor(getResources().getColor(2131689748));
        setBackBtn(new 1(this), 2131230737);
        AppMethodBeat.o(44660);
    }

    public final int JC() {
        return 2130968824;
    }

    public final void initView() {
        AppMethodBeat.i(44661);
        this.ehK = this.yCw;
        if (this.pNZ != null && this.pNZ.size() > 0) {
            this.pOa = new ArrayList();
            for (int i = 0; i < this.pNZ.size(); i++) {
                EnterTimeParcel enterTimeParcel = (EnterTimeParcel) this.pNZ.get(i);
                ab.d("MicroMsg.BankRemitSelectArriveTimeUI", "enter scene: %d", new Object[]{Integer.valueOf(enterTimeParcel.pLQ)});
                Preference preference = new Preference(this);
                preference.setLayoutResource(2130968823);
                preference.yDf = false;
                preference.setKey(enterTimeParcel.pLQ);
                preference.setTitle(enterTimeParcel.pLR);
                if (enterTimeParcel.pLQ == this.pOb) {
                    preference.setWidgetLayoutResource(2130970197);
                } else {
                    preference.setWidgetLayoutResource(2130970198);
                }
                if (enterTimeParcel.pLT == 0) {
                    if (!bo.isNullOrNil(enterTimeParcel.pLS)) {
                        preference.setSummary(enterTimeParcel.pLS);
                    }
                    preference.setEnabled(false);
                }
                preference.getExtras().putParcelable("arrive_time", enterTimeParcel);
                this.ehK.b(preference);
                this.pOa.add(preference);
            }
        }
        AppMethodBeat.o(44661);
    }

    public final boolean a(f fVar, Preference preference) {
        AppMethodBeat.i(44662);
        for (Preference preference2 : this.pOa) {
            if (preference2 == preference) {
                preference2.setWidgetLayoutResource(2130970197);
            } else {
                preference2.setWidgetLayoutResource(2130970198);
            }
        }
        this.ehK.notifyDataSetChanged();
        EnterTimeParcel enterTimeParcel = (EnterTimeParcel) preference.getExtras().getParcelable("arrive_time");
        if (enterTimeParcel == null) {
            ab.i("MicroMsg.BankRemitSelectArriveTimeUI", "is header");
            AppMethodBeat.o(44662);
        } else {
            Intent intent = new Intent();
            intent.putExtra("key_enter_time_scene", enterTimeParcel.pLQ);
            setResult(-1, intent);
            finish();
            AppMethodBeat.o(44662);
        }
        return false;
    }
}
