package com.tencent.mm.plugin.setting.ui.setting;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.setting.model.UserAuthItemParcelable;
import com.tencent.mm.plugin.setting.model.c;
import com.tencent.mm.protocal.protobuf.cmb;
import com.tencent.mm.protocal.protobuf.cmc;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.h;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public class SettingsManageAuthUI extends MMActivity implements f {
    private ListView mListView;
    private View mtk;
    private ProgressDialog nEK;
    private byte[] qjF;
    private a qns;
    private List<cmb> qnt = new ArrayList();
    private boolean qnu;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public SettingsManageAuthUI() {
        AppMethodBeat.i(127258);
        AppMethodBeat.o(127258);
    }

    static /* synthetic */ void bh(byte[] bArr) {
        AppMethodBeat.i(127266);
        bg(bArr);
        AppMethodBeat.o(127266);
    }

    static /* synthetic */ void e(SettingsManageAuthUI settingsManageAuthUI) {
        AppMethodBeat.i(127267);
        settingsManageAuthUI.ciQ();
        AppMethodBeat.o(127267);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(127259);
        super.onCreate(bundle);
        initView();
        AppMethodBeat.o(127259);
    }

    public final void initView() {
        AppMethodBeat.i(127260);
        this.mListView = (ListView) findViewById(2131827394);
        this.mtk = findViewById(2131827395);
        this.qns = new a(this, (byte) 0);
        this.mListView.setAdapter(this.qns);
        this.mListView.setOnScrollListener(new OnScrollListener() {
            public final void onScrollStateChanged(AbsListView absListView, int i) {
            }

            public final void onScroll(AbsListView absListView, int i, int i2, int i3) {
                AppMethodBeat.i(127246);
                if (i + i2 == i3) {
                    ab.i("MicroMsg.SettingsManageAuthUI", "scroll to the end");
                    if (SettingsManageAuthUI.this.qjF != null) {
                        SettingsManageAuthUI.bh(SettingsManageAuthUI.this.qjF);
                        SettingsManageAuthUI.this.qjF = null;
                    }
                }
                AppMethodBeat.o(127246);
            }
        });
        this.mListView.setOnItemClickListener(new OnItemClickListener() {
            public final void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                AppMethodBeat.i(127247);
                if (!SettingsManageAuthUI.this.qnu) {
                    cmb Cm = SettingsManageAuthUI.this.qns.Cm(i);
                    if (Cm != null) {
                        Intent intent = new Intent(SettingsManageAuthUI.this, SettingsModifyUserAuthUI.class);
                        UserAuthItemParcelable[] userAuthItemParcelableArr = (UserAuthItemParcelable[]) UserAuthItemParcelable.CREATOR.newArray(Cm.xjN.size());
                        int i2 = 0;
                        while (true) {
                            int i3 = i2;
                            if (i3 >= Cm.xjN.size()) {
                                break;
                            }
                            cmc cmc = (cmc) Cm.xjN.get(i3);
                            UserAuthItemParcelable userAuthItemParcelable = new UserAuthItemParcelable();
                            userAuthItemParcelable.scope = cmc.scope;
                            userAuthItemParcelable.qkh = cmc.qkh;
                            userAuthItemParcelable.state = cmc.state;
                            userAuthItemParcelable.qki = cmc.qki;
                            userAuthItemParcelableArr[i3] = userAuthItemParcelable;
                            i2 = i3 + 1;
                        }
                        intent.putExtra("app_id", Cm.csB);
                        intent.putExtra("app_name", Cm.fhH);
                        intent.putExtra("modify_scene", 1);
                        intent.putParcelableArrayListExtra("app_auth_items", new ArrayList(Arrays.asList(userAuthItemParcelableArr)));
                        SettingsManageAuthUI.this.startActivity(intent);
                    }
                }
                AppMethodBeat.o(127247);
            }
        });
        ciQ();
        setMMTitle(2131303040);
        setBackBtn(new 3(this));
        AppMethodBeat.o(127260);
    }

    public void onResume() {
        AppMethodBeat.i(127262);
        super.onResume();
        g.Rg().a(1146, this);
        g.Rg().a(1127, this);
        bg(null);
        AppMethodBeat.o(127262);
    }

    public void onPause() {
        AppMethodBeat.i(127263);
        super.onPause();
        g.Rg().b(1146, this);
        g.Rg().b(1127, this);
        AppMethodBeat.o(127263);
    }

    public final int getLayoutId() {
        return 2130970635;
    }

    private static void bg(byte[] bArr) {
        AppMethodBeat.i(127264);
        g.Rg().a(new com.tencent.mm.plugin.setting.model.f(bArr), 0);
        AppMethodBeat.o(127264);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(127265);
        ab.i("MicroMsg.SettingsManageAuthUI", "errType %d, errCode %d, errMsg %s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), str});
        if (this.nEK != null) {
            this.nEK.dismiss();
        }
        if (i != 0 || i2 != 0) {
            h.bQ(this, str);
        } else if (mVar.getType() == 1146) {
            byte[] bArr;
            int i3;
            Collection collection;
            com.tencent.mm.plugin.setting.model.f fVar = (com.tencent.mm.plugin.setting.model.f) mVar;
            if (fVar.qjE == null || fVar.qjE.wtv != 1) {
                bArr = null;
            } else {
                bArr = fVar.qjE.wtt.toByteArray();
            }
            this.qjF = bArr;
            if (((com.tencent.mm.plugin.setting.model.f) mVar).qjF != null) {
                i3 = 1;
            } else {
                i3 = 0;
            }
            if (i3 == 0) {
                this.qnt.clear();
            }
            List list = this.qnt;
            com.tencent.mm.plugin.setting.model.f fVar2 = (com.tencent.mm.plugin.setting.model.f) mVar;
            if (fVar2.qjE != null) {
                collection = fVar2.qjE.wtu;
            } else {
                collection = Collections.emptyList();
            }
            list.addAll(collection);
            this.qns.qnw = this.qnt;
            this.qns.notifyDataSetChanged();
            ciQ();
            AppMethodBeat.o(127265);
            return;
        } else if (mVar.getType() == 1127) {
            String str2 = ((c) mVar).appId;
            if (!bo.isNullOrNil(str2)) {
                if (!this.qnt.isEmpty()) {
                    Iterator it = this.qnt.iterator();
                    while (it.hasNext()) {
                        if (((cmb) it.next()).csB.equals(str2)) {
                            it.remove();
                            break;
                        }
                    }
                }
                this.qns.notifyDataSetChanged();
            }
            AppMethodBeat.o(127265);
            return;
        }
        AppMethodBeat.o(127265);
    }

    private void ciQ() {
        AppMethodBeat.i(127261);
        this.mController.removeAllOptionMenu();
        addIconOptionMenu(800, 2131230757, new 4(this));
        if (this.qnt.isEmpty()) {
            this.mtk.setVisibility(0);
            AppMethodBeat.o(127261);
            return;
        }
        this.mtk.setVisibility(8);
        if (this.qnu) {
            addTextOptionMenu(700, getString(2131296944), new 5(this));
            AppMethodBeat.o(127261);
            return;
        }
        addTextOptionMenu(700, getString(2131296969), new 6(this));
        AppMethodBeat.o(127261);
    }

    static /* synthetic */ String cX(List list) {
        AppMethodBeat.i(127268);
        StringBuilder stringBuilder = new StringBuilder();
        for (cmc cmc : list) {
            stringBuilder.append(cmc.qkh);
            stringBuilder.append(",");
        }
        if (stringBuilder.length() > 0) {
            stringBuilder.deleteCharAt(stringBuilder.length() - 1);
        }
        String stringBuilder2 = stringBuilder.toString();
        AppMethodBeat.o(127268);
        return stringBuilder2;
    }
}
