package com.tencent.mm.plugin.sns.ui;

import android.annotation.TargetApi;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.util.AttributeSet;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.sns.c.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.ah;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.tools.r;
import com.tencent.mm.ui.v;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.util.LinkedList;
import java.util.List;

public class AtContactWidget extends LinearLayout {
    private View contentView;
    private Activity gNy;
    private TextView iyE;
    private ImageView rhd;
    private TextView rhe;
    private PreviewContactView rhf;
    SnsUploadConfigView rhg;
    private List<String> rhh = new LinkedList();
    private boolean rhi = false;

    @TargetApi(11)
    public AtContactWidget(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(38152);
        init(context);
        AppMethodBeat.o(38152);
    }

    public AtContactWidget(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(38153);
        init(context);
        AppMethodBeat.o(38153);
    }

    public List<String> getAtList() {
        AppMethodBeat.i(38154);
        if (this.rhh == null) {
            this.rhh = new LinkedList();
        }
        List list = this.rhh;
        AppMethodBeat.o(38154);
        return list;
    }

    public final void crA() {
        AppMethodBeat.i(38155);
        if (this.rhh == null) {
            this.rhh = new LinkedList();
        }
        this.rhh.clear();
        if (this.rhf != null) {
            this.rhf.setList(this.rhh);
        }
        crB();
        if (this.rhe != null) {
            this.rhe.setVisibility(8);
        }
        if (this.iyE != null) {
            this.iyE.setTextColor(getResources().getColor(2131690316));
        }
        AppMethodBeat.o(38155);
    }

    private void init(Context context) {
        AppMethodBeat.i(38156);
        this.gNy = (Activity) context;
        this.contentView = v.hu(context).inflate(getLayoutResource(), this);
        this.rhf = (PreviewContactView) this.contentView.findViewById(2131821516);
        this.rhd = (ImageView) this.contentView.findViewById(2131821514);
        this.rhe = (TextView) this.contentView.findViewById(2131827564);
        this.iyE = (TextView) this.contentView.findViewById(2131821515);
        this.contentView.setOnClickListener(new 1(this));
        this.contentView.post(new 2(this));
        AppMethodBeat.o(38156);
    }

    public final boolean ao(Intent intent) {
        AppMethodBeat.i(38157);
        String stringExtra = intent.getStringExtra("Select_Contact");
        LinkedList linkedList = new LinkedList();
        if (stringExtra == null || stringExtra.equals(BuildConfig.FLAVOR)) {
            List linkedList2 = new LinkedList();
        } else {
            Object linkedList22 = bo.P(stringExtra.split(","));
        }
        if (this.rhh == null) {
            this.rhh = new LinkedList();
        }
        this.rhh.clear();
        for (String stringExtra2 : linkedList22) {
            if (!this.rhh.contains(stringExtra2)) {
                this.rhh.add(stringExtra2);
            }
        }
        if (this.rhf != null) {
            this.rhf.setList(this.rhh);
        }
        if (this.iyE != null) {
            this.iyE.setTextColor(getResources().getColor(linkedList22.isEmpty() ? 2131690316 : 2131690135));
        }
        if (this.rhi) {
            ab.d("MicroMsg.AtContactWiget", "withList count " + this.rhh.size());
            if (!this.rhi || this.rhe == null || this.rhh.size() <= 0) {
                this.rhe.setVisibility(8);
            } else {
                this.rhe.setVisibility(0);
                if (this.rhh.size() < 100) {
                    this.rhe.setText(this.rhh.size());
                    this.rhe.setBackgroundResource(r.ik(getContext()));
                } else {
                    this.rhe.setText(BuildConfig.FLAVOR);
                    this.rhe.setBackgroundResource(2131230952);
                }
            }
        }
        crB();
        AppMethodBeat.o(38157);
        return true;
    }

    private void crB() {
        AppMethodBeat.i(38158);
        if (this.rhh.size() > 0) {
            this.rhd.setImageDrawable(ah.f(this.gNy, getWithDrawableId(), getContext().getResources().getColor(2131690683)));
            AppMethodBeat.o(38158);
            return;
        }
        this.rhd.setImageDrawable(ah.f(this.gNy, getWithEmptyDrawableId(), -16777216));
        AppMethodBeat.o(38158);
    }

    public void setShowAtList(boolean z) {
        AppMethodBeat.i(38159);
        if (this.rhf != null) {
            this.rhf.setVisibility(z ? 0 : 8);
        }
        AppMethodBeat.o(38159);
    }

    public void setShowAtTips(boolean z) {
        AppMethodBeat.i(38160);
        if (!(this.contentView == null || this.iyE == null)) {
            this.iyE.setVisibility(z ? 0 : 8);
        }
        AppMethodBeat.o(38160);
    }

    public void setShowAtNum(boolean z) {
        this.rhi = z;
    }

    /* Access modifiers changed, original: protected */
    public int getLayoutResource() {
        return 2130968780;
    }

    /* Access modifiers changed, original: protected */
    public int getWithDrawableId() {
        return 2131230779;
    }

    /* Access modifiers changed, original: protected */
    public int getWithEmptyDrawableId() {
        return 2131230778;
    }

    static /* synthetic */ void a(AtContactWidget atContactWidget) {
        AppMethodBeat.i(38161);
        if (atContactWidget.rhh == null) {
            atContactWidget.rhh = new LinkedList();
        }
        if (atContactWidget.rhg == null || atContactWidget.rhg.getPrivated() <= 0) {
            Intent intent = new Intent();
            intent.putExtra("Contact_Compose", true);
            intent.putExtra("List_Type", 1);
            intent.putExtra("Add_address_titile", atContactWidget.gNy.getString(2131303858));
            intent.putExtra("Contact_GroupFilter_Type", "@micromsg.qq.com");
            intent.putExtra("Block_list", com.tencent.mm.model.r.Yz());
            intent.putExtra("Select_Contact", bo.c(atContactWidget.rhh, ","));
            intent.putExtra("sns_address_count", 0);
            a.gkE.a(intent, atContactWidget.gNy, 6);
            AppMethodBeat.o(38161);
            return;
        }
        h.g(atContactWidget.gNy, 2131303805, 2131297061);
        AppMethodBeat.o(38161);
    }
}
