package com.tencent.mm.plugin.sns.ui.b.b;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ValueAnimator;
import android.animation.ValueAnimator.AnimatorUpdateListener;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.FrameLayout.LayoutParams;
import android.widget.LinearLayout;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem.BaseViewHolder;
import com.tencent.mm.plugin.sns.ui.item.i.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.ui.MMActivity;

public final class h extends b {
    private ValueAnimator rFY;
    private ValueAnimator rFZ;
    b rGA;
    AnimatorSet rGa;
    ViewGroup rGb;
    int[] rGg = new int[2];
    LayoutParams rGj;
    LinearLayout.LayoutParams rGn;

    public h(MMActivity mMActivity, BaseViewHolder baseViewHolder) {
        AppMethodBeat.i(40086);
        this.hwd = mMActivity;
        this.rGA = (b) baseViewHolder;
        this.rFY = ValueAnimator.ofFloat(new float[]{1.0f, 0.0f});
        this.rFY.addUpdateListener(new AnimatorUpdateListener() {
            public final void onAnimationUpdate(ValueAnimator valueAnimator) {
                AppMethodBeat.i(40081);
                float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
                ab.i("MicroMsg.TurnCardAdClickAnimation", "value %f", new Object[]{Float.valueOf(floatValue)});
                if (floatValue != 1.0f) {
                    h.this.rGA.rJf.setScaleX(floatValue);
                    h.this.rGA.rJf.setScaleY(floatValue);
                    h.this.rGA.rJf.setAlpha(floatValue);
                }
                AppMethodBeat.o(40081);
            }
        });
        this.rFY.setDuration(400);
        this.rFY.addListener(new 2(this));
        this.rFZ = ValueAnimator.ofFloat(new float[]{1.0f, 0.0f});
        this.rFZ.addUpdateListener(new 3(this));
        this.rFZ.setDuration(100);
        this.rGn = (LinearLayout.LayoutParams) this.rGA.rJf.getLayoutParams();
        this.rGb = (FrameLayout) this.hwd.mController.ylv.getParent();
        this.rGa = new AnimatorSet();
        this.rGa.playTogether(new Animator[]{this.rFY, this.rFZ});
        this.rGa.addListener(new 4(this));
        AppMethodBeat.o(40086);
    }

    public final void kM(long j) {
        AppMethodBeat.i(40087);
        if (!this.rGa.isStarted()) {
            this.rGa.setStartDelay(j);
            this.rGa.start();
        }
        AppMethodBeat.o(40087);
    }
}
