package com.tencent.mm.plugin.webview.ui.tools;

import android.graphics.Color;
import android.webkit.ValueCallback;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import org.xwalk.core.XWalkEnvironment;

class WebViewUI$6 implements ValueCallback<String> {
    final /* synthetic */ WebViewUI uxp;

    WebViewUI$6(WebViewUI webViewUI) {
        this.uxp = webViewUI;
    }

    public final /* synthetic */ void onReceiveValue(Object obj) {
        AppMethodBeat.i(7813);
        String str = (String) obj;
        ab.d("MicroMsg.WebViewUI", "get background color s = %s", new Object[]{str});
        if (!bo.isNullOrNil(str)) {
            int color = this.uxp.getResources().getColor(2131690677);
            String[] split;
            if (WebViewUI.daH().matcher(str).matches()) {
                split = str.replaceAll("\"", BuildConfig.FLAVOR).replaceFirst("rgba", BuildConfig.FLAVOR).replaceFirst("\\(", BuildConfig.FLAVOR).replaceFirst("\\)", BuildConfig.FLAVOR).split(",");
                if (split.length == 4) {
                    try {
                        color = Color.argb(bo.getInt(bo.nullAsNil(split[3]).trim(), 0), bo.getInt(bo.nullAsNil(split[0]).trim(), 0), bo.getInt(bo.nullAsNil(split[1]).trim(), 0), bo.getInt(bo.nullAsNil(split[2]).trim(), 0));
                    } catch (Exception e) {
                        ab.e("MicroMsg.WebViewUI", "handle bgColor from html, bgColor = %s, exception = %s", new Object[]{str, e});
                        AppMethodBeat.o(7813);
                        return;
                    }
                }
            } else if (WebViewUI.daI().matcher(str).matches()) {
                split = str.replaceAll("\"", BuildConfig.FLAVOR).replaceFirst("rgb", BuildConfig.FLAVOR).replaceFirst("\\(", BuildConfig.FLAVOR).replaceFirst("\\)", BuildConfig.FLAVOR).split(",");
                if (split.length == 3) {
                    try {
                        color = Color.argb(XWalkEnvironment.SDK_SUPPORT_INVOKE_RUNTIME_MIN_APKVERSION, bo.getInt(bo.nullAsNil(split[0]).trim(), 0), bo.getInt(bo.nullAsNil(split[1]).trim(), 0), bo.getInt(bo.nullAsNil(split[2]).trim(), 0));
                    } catch (Exception e2) {
                        ab.e("MicroMsg.WebViewUI", "handle bgColor from html, bgColor = %s, exception = %s", new Object[]{str, e2});
                        AppMethodBeat.o(7813);
                        return;
                    }
                }
            } else {
                ab.d("MicroMsg.WebViewUI", "handle bgColor from html, bgColor = %s, can not match", new Object[]{str});
            }
            this.uxp.uwX.Jp(color);
        }
        AppMethodBeat.o(7813);
    }
}
