package com.tencent.mm.plugin.webview.ui.tools.widget.input;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.widget.ImageButton;
import android.widget.LinearLayout;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.util.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.widget.MMEditText;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;

public final class WebViewInputFooter extends LinearLayout {
    public MMActivity crP;
    private ImageButton jfS;
    private boolean oin = true;
    public int state = 0;
    private c uKm;
    private a uKn;
    private b uKo;
    private WebViewSmileyPanel uKp;
    public View uKq;
    private View uKr;
    private View uKs;
    public MMEditText uKt;
    public LinearLayout uKu;
    public boolean uKv;
    private int uKw = Integer.MAX_VALUE;

    static /* synthetic */ int e(WebViewInputFooter webViewInputFooter) {
        AppMethodBeat.i(10093);
        int cWF = webViewInputFooter.cWF();
        AppMethodBeat.o(10093);
        return cWF;
    }

    static /* synthetic */ void h(WebViewInputFooter webViewInputFooter) {
        AppMethodBeat.i(10094);
        webViewInputFooter.aRe();
        AppMethodBeat.o(10094);
    }

    public final void setOnTextSendListener(c cVar) {
        this.uKm = cVar;
    }

    public final void setOnSmileyChosenListener(a aVar) {
        this.uKn = aVar;
    }

    public final void setOnSmileyPanelVisibilityChangedListener(b bVar) {
        this.uKo = bVar;
    }

    public WebViewInputFooter(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(10083);
        this.crP = (MMActivity) context;
        ViewGroup viewGroup = (ViewGroup) View.inflate(this.crP, 2130971213, this);
        this.uKu = (LinearLayout) viewGroup.findViewById(2131829170);
        this.uKr = viewGroup.findViewById(2131829174);
        this.uKs = viewGroup.findViewById(2131829175);
        this.uKq = viewGroup.findViewById(2131829173);
        this.uKt = (MMEditText) viewGroup.findViewById(2131829171);
        this.jfS = (ImageButton) viewGroup.findViewById(2131829172);
        this.jfS.setOnClickListener(new 1(this));
        this.uKt.setOnTouchListener(new 2(this));
        this.uKp = new WebViewSmileyPanel(getContext());
        this.uKp.setVisibility(8);
        this.uKp.setBackgroundResource(2130837979);
        this.uKp.setOnTextOperationListener(new 3(this));
        ((LinearLayout) findViewById(2131820987)).addView(this.uKp, -1, 0);
        this.uKs.setOnClickListener(new 4(this));
        this.uKt.addTextChangedListener(new 5(this));
        AppMethodBeat.o(10083);
    }

    private int cWF() {
        AppMethodBeat.i(10084);
        if (this.uKo != null) {
            this.uKo.cWT();
        }
        if (this.uKt != null) {
            this.crP.hideVKB(this.uKt);
        }
        this.uKp.setVisibility(0);
        WebViewSmileyPanel webViewSmileyPanel = this.uKp;
        if (webViewSmileyPanel.WL != null) {
            webViewSmileyPanel.WL.setVisibility(0);
        }
        LayoutParams layoutParams = this.uKp.getLayoutParams();
        if (layoutParams != null && this.oin) {
            layoutParams.height = j.gs(getContext());
            this.uKp.setLayoutParams(layoutParams);
        }
        if (layoutParams != null) {
            int i = layoutParams.height;
            AppMethodBeat.o(10084);
            return i;
        }
        AppMethodBeat.o(10084);
        return 0;
    }

    private void aRe() {
        AppMethodBeat.i(10085);
        if (this.uKo != null) {
            this.uKo.cWU();
        }
        this.uKp.setVisibility(8);
        this.jfS.setImageResource(2131231459);
        this.state = 0;
        AppMethodBeat.o(10085);
    }

    /* Access modifiers changed, original: protected|final */
    public final void onDetachedFromWindow() {
        AppMethodBeat.i(10086);
        super.onDetachedFromWindow();
        dcY();
        if (!(this.uKt == null || this.crP == null)) {
            this.crP.hideVKB(this.uKt);
        }
        this.uKt = null;
        WebViewSmileyPanel webViewSmileyPanel = this.uKp;
        c cVar = webViewSmileyPanel.uKz;
        cVar.uKF = null;
        cVar.jiq = null;
        if (webViewSmileyPanel.WL != null) {
            ((ViewGroup) webViewSmileyPanel.WL.getParent()).removeView(webViewSmileyPanel.WL);
            ((ViewGroup) webViewSmileyPanel.WL).removeAllViews();
            webViewSmileyPanel.WL = null;
        }
        webViewSmileyPanel.jiE = null;
        removeAllViews();
        this.crP = null;
        this.uKm = null;
        AppMethodBeat.o(10086);
    }

    public final void setText(String str) {
        AppMethodBeat.i(10087);
        this.uKt.setText(BuildConfig.FLAVOR);
        if (bo.isNullOrNil(str)) {
            AppMethodBeat.o(10087);
            return;
        }
        try {
            this.uKt.append(str);
        } catch (Exception e) {
            ab.d("MicroMsg.WebViewInputFooter", "appendText, exp = %s", new Object[]{e});
        }
        ab.d("MicroMsg.WebViewInputFooter", "after setText, editText.getText() = %s", new Object[]{this.uKt.getText()});
        AppMethodBeat.o(10087);
    }

    public final void setMaxCount(int i) {
        if (i > 0) {
            this.uKw = i;
        }
    }

    private void dcY() {
        AppMethodBeat.i(10088);
        if (this.uKt != null) {
            this.uKt.clearFocus();
            this.uKt.setFocusable(false);
            this.uKt.setFocusableInTouchMode(false);
        }
        AppMethodBeat.o(10088);
    }

    public final int dcZ() {
        AppMethodBeat.i(10089);
        setVisibility(0);
        if (this.uKu != null) {
            this.uKu.setVisibility(8);
        }
        this.uKv = true;
        this.state = 1;
        int cWF = cWF();
        AppMethodBeat.o(10089);
        return cWF;
    }

    public final void hide() {
        AppMethodBeat.i(10090);
        setVisibility(8);
        if (this.crP != null) {
            if (this.uKt != null) {
                this.crP.hideVKB(this.uKt);
            }
            this.crP.aqX();
        }
        this.state = 0;
        aRe();
        dcY();
        AppMethodBeat.o(10090);
    }

    public final void dda() {
        AppMethodBeat.i(10091);
        if (this.uKv) {
            setVisibility(8);
        }
        this.state = 0;
        aRe();
        AppMethodBeat.o(10091);
    }

    public final boolean isShown() {
        AppMethodBeat.i(10092);
        if (getVisibility() == 0) {
            AppMethodBeat.o(10092);
            return true;
        }
        AppMethodBeat.o(10092);
        return false;
    }
}
