package com.tencent.mm.pluginsdk.permission;

import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnCancelListener;
import android.content.Intent;
import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.f.b;
import com.tencent.mm.compatible.util.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.ui.MMBaseActivity;
import com.tencent.mm.ui.base.y;
import com.tencent.mm.ui.widget.a.c;
import com.tencent.mm.ui.widget.a.c.a;

public class RequestFloatWindowPermissionDialog extends MMBaseActivity {
    public static int vdq = 1234;
    private static a vdr;
    private c ggF = null;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    /* Access modifiers changed, original: protected */
    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(79439);
        super.onCreate(bundle);
        requestWindowFeature(1);
        aVh();
        AppMethodBeat.o(79439);
    }

    public void onResume() {
        AppMethodBeat.i(79440);
        super.onResume();
        y.activateBroadcast(true);
        AppMethodBeat.o(79440);
    }

    /* Access modifiers changed, original: protected */
    public void onNewIntent(Intent intent) {
        AppMethodBeat.i(79441);
        super.onNewIntent(intent);
        setIntent(intent);
        if (this.ggF != null) {
            this.ggF.dismiss();
            this.ggF = null;
        }
        aVh();
        AppMethodBeat.o(79441);
    }

    public void onPause() {
        AppMethodBeat.i(79442);
        super.onPause();
        y.activateBroadcast(false);
        AppMethodBeat.o(79442);
    }

    private void aVh() {
        AppMethodBeat.i(79443);
        if (getIntent() == null) {
            ab.e("MicroMsg.RequestFloatWindowPermissionDialog", "Intent is null");
            AppMethodBeat.o(79443);
            return;
        }
        Bundle extras = getIntent().getExtras();
        if (extras == null) {
            ab.e("MicroMsg.RequestFloatWindowPermissionDialog", "invalid params");
            AppMethodBeat.o(79443);
            return;
        }
        a aVar = new a(this);
        aVar.PV(2131299899);
        aVar.asE(extras.getString("warning_content"));
        aVar.f(new OnCancelListener() {
            public final void onCancel(DialogInterface dialogInterface) {
                AppMethodBeat.i(79437);
                RequestFloatWindowPermissionDialog.this.finish();
                AppMethodBeat.o(79437);
            }
        });
        aVar.Qc(d.iW(23) ? 2131299898 : 2131299897).a(new 2(this));
        this.ggF = aVar.aMb();
        this.ggF.setCanceledOnTouchOutside(false);
        this.ggF.show();
        AppMethodBeat.o(79443);
    }

    /* Access modifiers changed, original: protected */
    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(79444);
        if (vdr == null) {
            AppMethodBeat.o(79444);
        } else if (i != vdq) {
            vdr.b(this);
            AppMethodBeat.o(79444);
        } else if (b.bF(ah.getContext())) {
            vdr.a(this);
            AppMethodBeat.o(79444);
        } else {
            vdr.b(this);
            AppMethodBeat.o(79444);
        }
    }

    public static void a(Context context, String str, a aVar) {
        AppMethodBeat.i(79445);
        vdr = aVar;
        Intent intent = new Intent(context, RequestFloatWindowPermissionDialog.class);
        intent.putExtra("warning_content", str);
        intent.addFlags(805306368);
        context.startActivity(intent);
        AppMethodBeat.o(79445);
    }
}
