package com.tencent.mm.ui;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.res.Configuration;
import android.graphics.PorterDuff.Mode;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Looper;
import android.os.Process;
import android.util.DisplayMetrics;
import android.view.ActionMode;
import android.view.ActionMode.Callback;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout.LayoutParams;
import android.widget.ImageView;
import com.tencent.mars.BaseEvent;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ah.n;
import com.tencent.mm.app.t;
import com.tencent.mm.bh.d;
import com.tencent.mm.blink.FirstScreenFrameLayout;
import com.tencent.mm.booter.NotifyReceiver;
import com.tencent.mm.compatible.util.h;
import com.tencent.mm.g.a.az;
import com.tencent.mm.g.a.ez;
import com.tencent.mm.g.a.jd;
import com.tencent.mm.g.a.x;
import com.tencent.mm.kernel.g;
import com.tencent.mm.kernel.l;
import com.tencent.mm.model.av;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.bx;
import com.tencent.mm.model.r;
import com.tencent.mm.model.s;
import com.tencent.mm.platformtools.ae;
import com.tencent.mm.platformtools.ah;
import com.tencent.mm.platformtools.z;
import com.tencent.mm.plugin.account.ui.WelcomeActivity;
import com.tencent.mm.plugin.account.ui.WelcomeView;
import com.tencent.mm.plugin.messenger.foundation.a.p;
import com.tencent.mm.plugin.setting.ui.setting.SettingsSwitchAccountUI;
import com.tencent.mm.pluginsdk.f;
import com.tencent.mm.pluginsdk.f.e;
import com.tencent.mm.pluginsdk.model.app.am;
import com.tencent.mm.pluginsdk.u;
import com.tencent.mm.sdk.platformtools.aa;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.aj;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.at;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.w;
import com.tencent.mm.storage.ac;
import com.tencent.mm.storage.ad;
import com.tencent.mm.ui.HomeUI.1;
import com.tencent.mm.ui.HomeUI.10;
import com.tencent.mm.ui.HomeUI.11;
import com.tencent.mm.ui.HomeUI.12;
import com.tencent.mm.ui.HomeUI.14;
import com.tencent.mm.ui.HomeUI.19;
import com.tencent.mm.ui.HomeUI.20;
import com.tencent.mm.ui.HomeUI.22;
import com.tencent.mm.ui.HomeUI.23;
import com.tencent.mm.ui.HomeUI.24;
import com.tencent.mm.ui.HomeUI.25;
import com.tencent.mm.ui.HomeUI.26;
import com.tencent.mm.ui.HomeUI.27;
import com.tencent.mm.ui.HomeUI.28;
import com.tencent.mm.ui.HomeUI.29;
import com.tencent.mm.ui.HomeUI.3;
import com.tencent.mm.ui.HomeUI.30;
import com.tencent.mm.ui.HomeUI.33;
import com.tencent.mm.ui.HomeUI.36;
import com.tencent.mm.ui.HomeUI.37;
import com.tencent.mm.ui.HomeUI.4;
import com.tencent.mm.ui.HomeUI.5;
import com.tencent.mm.ui.HomeUI.7;
import com.tencent.mm.ui.HomeUI.8;
import com.tencent.mm.ui.MainTabUI.TabsAdapter;
import com.tencent.mm.ui.NewChattingTabUI.2;
import com.tencent.mm.ui.b.c;
import com.tencent.mm.ui.base.CustomViewPager;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.conversation.MainUI;
import com.tencent.mm.ui.conversation.b;
import com.tencent.mm.ui.tools.j;
import com.tencent.mm.ui.w.6;
import com.tencent.mm.xlog.app.XLogSetup;
import com.tencent.rtmp.TXLiveConstants;
import com.tencent.soter.core.biometric.FaceManager;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import com.tencent.wxmm.v2helper;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashSet;
import org.xwalk.core.XWalkEnvironment;

@a(3)
@TargetApi(11)
public class LauncherUI extends MMFragmentActivity {
    private static ArrayList<LauncherUI> yjE = new ArrayList();
    private static ArrayList<WeakReference<LauncherUI>> yjF = new ArrayList();
    private static boolean yjG = true;
    public static long yjH;
    private static boolean yjI = false;
    private static boolean yjR = false;
    private Intent cEp = null;
    private NewChattingTabUI chattingTabUI = new NewChattingTabUI(this.yjJ);
    public HomeUI yjJ = new HomeUI();
    private n yjK = new n();
    public boolean yjL = false;
    boolean yjM = false;
    private boolean yjN = false;
    private WelcomeView yjO;
    private u yjP = new u("MicroMsg.LauncherUI");
    t yjQ;
    private boolean yjS = false;
    private ak yjT = new ak();
    private Runnable yjU = new 4(this);

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public LauncherUI() {
        AppMethodBeat.i(29448);
        AppMethodBeat.o(29448);
    }

    static /* synthetic */ void a(LauncherUI launcherUI) {
        AppMethodBeat.i(29483);
        launcherUI.pM(true);
        AppMethodBeat.o(29483);
    }

    static /* synthetic */ void b(LauncherUI launcherUI) {
        AppMethodBeat.i(29484);
        launcherUI.dxL();
        AppMethodBeat.o(29484);
    }

    static {
        AppMethodBeat.i(29485);
        AppMethodBeat.o(29485);
    }

    public static LauncherUI getInstance() {
        AppMethodBeat.i(29449);
        if (yjE.isEmpty()) {
            ab.e("MicroMsg.LauncherUI", "LauncherUI instances should not be empty. %s", new Object[]{bo.dpG()});
            AppMethodBeat.o(29449);
            return null;
        }
        LauncherUI launcherUI = (LauncherUI) yjE.get(0);
        AppMethodBeat.o(29449);
        return launcherUI;
    }

    public static int dxE() {
        AppMethodBeat.i(29450);
        if (getInstance() == null || getInstance().getHomeUI() == null || getInstance().getHomeUI().getMainTabUI() == null) {
            AppMethodBeat.o(29450);
            return -1;
        }
        int i = getInstance().getHomeUI().getMainTabUI().mbt;
        AppMethodBeat.o(29450);
        return i;
    }

    private void dxF() {
        AppMethodBeat.i(29451);
        int indexOf = yjE.indexOf(this);
        if (indexOf >= 0) {
            yjE.remove(indexOf);
        }
        ab.i("MicroMsg.LauncherUI", "checktask delteInstance index %d, size:%d, hashCode: 0x%x", new Object[]{Integer.valueOf(indexOf), Integer.valueOf(yjE.size()), Integer.valueOf(hashCode())});
        AppMethodBeat.o(29451);
    }

    /* JADX WARNING: Removed duplicated region for block: B:46:0x02c6  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0182  */
    public void onCreate(android.os.Bundle r16) {
        /*
        r15 = this;
        r0 = 29452; // 0x730c float:4.1271E-41 double:1.4551E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = com.tencent.mm.kernel.h.RT();
        r0 = r0.eKD;
        com.tencent.mm.blink.a.eM(r0);
        r4 = java.lang.System.currentTimeMillis();
        r0 = "MicroMsg.LauncherUI";
        r1 = "start time check checktask onCreate 0x%x, taskid %d, task:%s";
        r2 = 3;
        r2 = new java.lang.Object[r2];
        r3 = 0;
        r6 = r15.hashCode();
        r6 = java.lang.Integer.valueOf(r6);
        r2[r3] = r6;
        r3 = 1;
        r6 = r15.getTaskId();
        r6 = java.lang.Integer.valueOf(r6);
        r2[r3] = r6;
        r3 = 2;
        r6 = com.tencent.mm.sdk.platformtools.bo.gU(r15);
        r2[r3] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r2);
        r0 = new com.tencent.mm.app.t;
        r0.<init>();
        r15.yjQ = r0;
        super.onCreate(r16);
        r0 = r15.getClass();
        r0 = r0.getName();
        com.tencent.mm.plugin.performance.elf.MainProcessChecker.UD(r0);
        r0 = r15.getWindow();
        r0 = r0.getDecorView();
        r1 = 1280; // 0x500 float:1.794E-42 double:6.324E-321;
        r0.setSystemUiVisibility(r1);
        r6 = java.lang.System.currentTimeMillis();
        r3 = r15.getTaskId();
        r8 = r15.getPackageName();
        r1 = r15.getIntent();
        r0 = 0;
        if (r1 == 0) goto L_0x0084;
    L_0x0070:
        r2 = "absolutely_exit";
        r9 = 0;
        r1 = com.tencent.mm.sdk.platformtools.w.a(r1, r2, r9);
        if (r1 == 0) goto L_0x0084;
    L_0x007a:
        r0 = 1;
        r1 = "MicroMsg.LauncherUI";
        r2 = "checktask checkInstance isWantToRestart";
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
    L_0x0084:
        r1 = r0;
        r0 = yjF;
        r2 = r0.iterator();
    L_0x008b:
        r0 = r2.hasNext();
        if (r0 == 0) goto L_0x00af;
    L_0x0091:
        r0 = r2.next();
        r0 = (java.lang.ref.WeakReference) r0;
        r0 = r0.get();
        r0 = (com.tencent.mm.ui.LauncherUI) r0;
        if (r0 == 0) goto L_0x008b;
    L_0x009f:
        r9 = "MicroMsg.LauncherUI";
        r10 = "Check launcher instance found one %s";
        r11 = 1;
        r11 = new java.lang.Object[r11];
        r12 = 0;
        r11[r12] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r9, r10, r11);
        goto L_0x008b;
    L_0x00af:
        r2 = 0;
        if (r1 != 0) goto L_0x01b5;
    L_0x00b2:
        r0 = yjE;
        r9 = r0.iterator();
    L_0x00b8:
        r0 = r9.hasNext();
        if (r0 == 0) goto L_0x01b5;
    L_0x00be:
        r0 = r9.next();
        r0 = (com.tencent.mm.ui.LauncherUI) r0;
        r10 = r0.getTaskId();
        if (r10 == r3) goto L_0x01b1;
    L_0x00ca:
        r2 = "MicroMsg.LauncherUI";
        r10 = "checktask checkInstance 0x%x diff taskid taskid %d, nowtaskid:%d";
        r11 = 3;
        r11 = new java.lang.Object[r11];
        r12 = 0;
        r13 = r0.hashCode();
        r13 = java.lang.Integer.valueOf(r13);
        r11[r12] = r13;
        r12 = 1;
        r13 = r0.getTaskId();
        r13 = java.lang.Integer.valueOf(r13);
        r11[r12] = r13;
        r12 = 2;
        r13 = java.lang.Integer.valueOf(r3);
        r11[r12] = r13;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r10, r11);
        r2 = com.tencent.mm.sdk.platformtools.bo.av(r15, r3);
        if (r2 == 0) goto L_0x0191;
    L_0x00f9:
        r10 = "MicroMsg.LauncherUI";
        r11 = "checktask task diff id %d, topactivity %s, baseactivity %s, numtotal %d, numrunning %d";
        r12 = 5;
        r12 = new java.lang.Object[r12];
        r13 = 0;
        r14 = r2.id;
        r14 = java.lang.Integer.valueOf(r14);
        r12[r13] = r14;
        r13 = 1;
        r14 = r2.topActivity;
        r14 = r14.getClassName();
        r12[r13] = r14;
        r13 = 2;
        r14 = r2.baseActivity;
        r14 = r14.getClassName();
        r12[r13] = r14;
        r13 = 3;
        r14 = r2.numActivities;
        r14 = java.lang.Integer.valueOf(r14);
        r12[r13] = r14;
        r13 = 4;
        r14 = r2.numRunning;
        r14 = java.lang.Integer.valueOf(r14);
        r12[r13] = r14;
        com.tencent.mm.sdk.platformtools.ab.i(r10, r11, r12);
        r10 = r2.baseActivity;
        r10 = r10.getPackageName();
        r10 = r10.equals(r8);
        if (r10 != 0) goto L_0x01a9;
    L_0x013e:
        r1 = "MicroMsg.LauncherUI";
        r3 = new java.lang.StringBuilder;
        r6 = "checktask base activity is not mm, finish! info.baseActivity.getPackageName()  ";
        r3.<init>(r6);
        r2 = r2.baseActivity;
        r2 = r2.getPackageName();
        r2 = r3.append(r2);
        r2 = r2.toString();
        com.tencent.mm.sdk.platformtools.ab.e(r1, r2);
        r15.finish();
        r0 = r0.getTaskId();
        r0 = com.tencent.mm.sdk.platformtools.bo.av(r15, r0);
        if (r0 == 0) goto L_0x017f;
    L_0x0167:
        r0 = "MicroMsg.LauncherUI";
        r1 = "checktask startLauncherUI with FLAG_ACTIVITY_NEW_TASK";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r0 = new android.content.Intent;
        r1 = com.tencent.mm.ui.LauncherUI.class;
        r0.<init>(r15, r1);
        r1 = 268435456; // 0x10000000 float:2.5243549E-29 double:1.32624737E-315;
        r0.addFlags(r1);
        r15.startActivity(r0);
    L_0x017f:
        r0 = 0;
    L_0x0180:
        if (r0 != 0) goto L_0x02c6;
    L_0x0182:
        r0 = "MicroMsg.LauncherUI";
        r1 = "onCreate checkInstance false";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r0 = 29452; // 0x730c float:4.1271E-41 double:1.4551E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
    L_0x0190:
        return;
    L_0x0191:
        r0 = "MicroMsg.LauncherUI";
        r1 = "checktask cannot found curren taskinfo %d";
        r2 = 1;
        r2 = new java.lang.Object[r2];
        r6 = 0;
        r3 = java.lang.Integer.valueOf(r3);
        r2[r6] = r3;
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1, r2);
        r15.finish();
        r0 = 0;
        goto L_0x0180;
    L_0x01a9:
        r0.finish();
        r10 = yjE;
        r10.remove(r0);
    L_0x01b1:
        r0 = r2;
        r2 = r0;
        goto L_0x00b8;
    L_0x01b5:
        r0 = yjE;
        r0 = r0.isEmpty();
        if (r0 != 0) goto L_0x025b;
    L_0x01bd:
        if (r2 != 0) goto L_0x01c3;
    L_0x01bf:
        r2 = com.tencent.mm.sdk.platformtools.bo.av(r15, r3);
    L_0x01c3:
        if (r2 == 0) goto L_0x02a0;
    L_0x01c5:
        r0 = r2.baseActivity;
        r0 = r0.getClassName();
        r3 = r2.baseActivity;
        r3 = r3.getClassName();
        r8 = "MicroMsg.LauncherUI";
        r9 = "checktask now info id %d, topactivity %s, baseactivity %s, numtotal %d, numrunning %d";
        r10 = 5;
        r10 = new java.lang.Object[r10];
        r11 = 0;
        r12 = r2.id;
        r12 = java.lang.Integer.valueOf(r12);
        r10[r11] = r12;
        r11 = 1;
        r10[r11] = r3;
        r11 = 2;
        r10[r11] = r0;
        r11 = 3;
        r12 = r2.numActivities;
        r12 = java.lang.Integer.valueOf(r12);
        r10[r11] = r12;
        r11 = 4;
        r12 = r2.numRunning;
        r12 = java.lang.Integer.valueOf(r12);
        r10[r11] = r12;
        com.tencent.mm.sdk.platformtools.ab.i(r8, r9, r10);
        r8 = r15.getComponentName();
        r8 = r8.getClassName();
        r2 = r2.numActivities;
        r9 = 1;
        if (r2 <= r9) goto L_0x0236;
    L_0x020b:
        r0 = r8.equals(r0);
        if (r0 == 0) goto L_0x0236;
    L_0x0211:
        r0 = r8.equals(r3);
        if (r0 == 0) goto L_0x0236;
    L_0x0217:
        r15.finish();
        r0 = "MicroMsg.LauncherUI";
        r1 = "checktask finish this mainTabUI, and use the last LauncherUI instanceCount: %d";
        r2 = 1;
        r2 = new java.lang.Object[r2];
        r3 = 0;
        r6 = yjE;
        r6 = r6.size();
        r6 = java.lang.Integer.valueOf(r6);
        r2[r3] = r6;
        com.tencent.mm.sdk.platformtools.ab.w(r0, r1, r2);
        r0 = 0;
        goto L_0x0180;
    L_0x0236:
        r0 = "MicroMsg.LauncherUI";
        r2 = "checktask should not here without isWantToRestart is true launcherUIInstances.clear LauncherUI instanceCount: %d, isWantToRestart %b";
        r3 = 2;
        r3 = new java.lang.Object[r3];
        r8 = 0;
        r9 = yjE;
        r9 = r9.size();
        r9 = java.lang.Integer.valueOf(r9);
        r3[r8] = r9;
        r8 = 1;
        r1 = java.lang.Boolean.valueOf(r1);
        r3[r8] = r1;
        com.tencent.mm.sdk.platformtools.ab.w(r0, r2, r3);
        r0 = yjE;
        r0.clear();
    L_0x025b:
        r0 = yjE;
        r0.add(r15);
        r0 = yjF;
        r1 = new java.lang.ref.WeakReference;
        r1.<init>(r15);
        r0.add(r1);
        r0 = "MicroMsg.LauncherUI";
        r1 = "checktask Launcherui oncreate checkInstance size %d weak check %d, use time %d";
        r2 = 3;
        r2 = new java.lang.Object[r2];
        r3 = 0;
        r8 = yjE;
        r8 = r8.size();
        r8 = java.lang.Integer.valueOf(r8);
        r2[r3] = r8;
        r3 = 1;
        r8 = yjF;
        r8 = r8.size();
        r8 = java.lang.Integer.valueOf(r8);
        r2[r3] = r8;
        r3 = 2;
        r8 = java.lang.System.currentTimeMillis();
        r6 = r8 - r6;
        r6 = java.lang.Long.valueOf(r6);
        r2[r3] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r2);
        r0 = 1;
        goto L_0x0180;
    L_0x02a0:
        r0 = "MicroMsg.LauncherUI";
        r1 = "checktask can not found taskid %d,  LauncherUI instanceCount: %d";
        r2 = 2;
        r2 = new java.lang.Object[r2];
        r8 = 0;
        r3 = java.lang.Integer.valueOf(r3);
        r2[r8] = r3;
        r3 = 1;
        r8 = yjE;
        r8 = r8.size();
        r8 = java.lang.Integer.valueOf(r8);
        r2[r3] = r8;
        com.tencent.mm.sdk.platformtools.ab.w(r0, r1, r2);
        r0 = yjE;
        r0.clear();
        goto L_0x025b;
    L_0x02c6:
        r0 = "MicroMsg.LauncherUI";
        r1 = "onCreate normally";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r0 = new com.tencent.mm.ui.HomeUI;
        r0.<init>();
        r15.yjJ = r0;
        r0 = new com.tencent.mm.ui.NewChattingTabUI;
        r1 = r15.yjJ;
        r0.<init>(r1);
        r15.chattingTabUI = r0;
        r0 = r15.yjJ;
        r1 = r15.chattingTabUI;
        r0.yhZ = r15;
        r0.yiN = r1;
        r1 = r0.yiP;
        r1.yhZ = r15;
        r1.ynF = r0;
        r2 = r1.ynE;
        r2.yhZ = r15;
        r2.ynS = r0;
        r1.iVv = r0;
        r1 = new com.tencent.mm.ui.h;
        r1.<init>(r15, r0);
        r0.yiO = r1;
        com.tencent.mm.booter.NotifyReceiver.Im();
        r1 = r0.yhZ;
        com.tencent.mm.pluginsdk.f.ah(r1);
        r1 = r15.getSupportActionBar();
        r0.mActionBar = r1;
        r1 = r0.mActionBar;
        if (r1 == 0) goto L_0x032e;
    L_0x030e:
        r1 = android.os.Build.VERSION.SDK_INT;
        r2 = 11;
        if (r1 >= r2) goto L_0x0329;
    L_0x0314:
        r1 = r0.mActionBar;
        r2 = new android.graphics.drawable.ColorDrawable;
        r3 = r15.getResources();
        r6 = 2131689644; // 0x7f0f00ac float:1.900831E38 double:1.0531946207E-314;
        r3 = r3.getColor(r6);
        r2.<init>(r3);
        r1.setBackgroundDrawable(r2);
    L_0x0329:
        r1 = r0.mActionBar;
        r1.hide();
    L_0x032e:
        r1 = 1;
        r15.setRequestedOrientation(r1);
        r1 = r15.getResources();
        r2 = 2131690310; // 0x7f0f0346 float:1.900966E38 double:1.0531949497E-314;
        r1 = r1.getColor(r2);
        r0.yiQ = r1;
        r1 = r0.yiQ;
        r1 = android.graphics.Color.alpha(r1);
        r0.yiR = r1;
        r0 = com.tencent.mm.model.av.fly;
        r1 = "login_user_name";
        r2 = "";
        r0 = r0.T(r1, r2);
        r1 = r15.getIntent();
        r15.cEp = r1;
        r1 = r15.yjP;
        r2 = r15.cEp;
        r3 = "splash-hack-activity-recreate";
        r6 = 0;
        r2 = r2.getBooleanExtra(r3, r6);
        r1.vaA = r2;
        r2 = "MicroMsg.SplashOptimizing";
        r3 = "[%s], recreating activity this time? %s";
        r6 = 2;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r8 = r1.mTag;
        r6[r7] = r8;
        r7 = 1;
        r1 = r1.vaA;
        r1 = java.lang.Boolean.valueOf(r1);
        r6[r7] = r1;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r6);
        r1 = "MicroMsg.LauncherUI";
        r2 = "lastLoginName %s, hasCfgDefaultUin %s  isFirstTimeCreate %s";
        r3 = 3;
        r3 = new java.lang.Object[r3];
        r6 = 0;
        r3[r6] = r0;
        r6 = 1;
        r7 = com.tencent.mm.model.aw.ZM();
        r7 = java.lang.Boolean.valueOf(r7);
        r3[r6] = r7;
        r6 = 2;
        r7 = yjG;
        r7 = java.lang.Boolean.valueOf(r7);
        r3[r6] = r7;
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2, r3);
        r1 = yjG;
        if (r1 != 0) goto L_0x03ec;
    L_0x03a8:
        r1 = com.tencent.mm.model.aw.ZM();
        if (r1 != 0) goto L_0x03b7;
    L_0x03ae:
        r1 = "";
        r0 = r0.equals(r1);
        if (r0 != 0) goto L_0x03ec;
    L_0x03b7:
        yjH = r4;
        r0 = "MicroMsg.LauncherUI";
        r1 = new java.lang.StringBuilder;
        r2 = "start time check not isLauncherUIOnTop no welcomeearth create time from mmapplication==";
        r1.<init>(r2);
        r2 = java.lang.System.currentTimeMillis();
        r4 = com.tencent.mm.app.b.cdW;
        r2 = r2 - r4;
        r1 = r1.append(r2);
        r1 = r1.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
    L_0x03d6:
        r0 = r15.dxI();
        if (r0 == 0) goto L_0x0488;
    L_0x03dc:
        r0 = "MicroMsg.LauncherUI";
        r1 = "handleExitIntent return";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r0 = 29452; // 0x730c float:4.1271E-41 double:1.4551E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x0190;
    L_0x03ec:
        yjH = r4;
        r0 = "MicroMsg.LauncherUI";
        r1 = new java.lang.StringBuilder;
        r2 = "start time check not isLauncherUIOnTop create time from mmapplication==";
        r1.<init>(r2);
        r2 = java.lang.System.currentTimeMillis();
        r4 = com.tencent.mm.app.b.cdW;
        r2 = r2 - r4;
        r1 = r1.append(r2);
        r1 = r1.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r0 = 1;
        r15.setRequestedOrientation(r0);
        r0 = com.tencent.mm.model.aw.ZM();
        r1 = com.tencent.mm.model.av.fly;
        r2 = "login_user_name";
        r3 = "";
        r1 = r1.T(r2, r3);
        if (r0 != 0) goto L_0x0431;
    L_0x0421:
        r0 = "";
        r0 = r1.equals(r0);
        if (r0 == 0) goto L_0x0431;
    L_0x042a:
        r0 = 1;
    L_0x042b:
        if (r0 != 0) goto L_0x0433;
    L_0x042d:
        r0 = 0;
        com.tencent.mm.sdk.platformtools.g.xye = r0;
        goto L_0x03d6;
    L_0x0431:
        r0 = 0;
        goto L_0x042b;
    L_0x0433:
        r0 = 0;
        r1 = com.tencent.mm.sdk.platformtools.g.xyf;
        if (r1 == 0) goto L_0x0484;
    L_0x0438:
        r0 = 1;
        yjI = r0;
        r0 = new com.tencent.mm.ui.LauncherUI$1;
        r0.<init>(r15);
        r0 = com.tencent.mm.ui.MMAppMgr.a(r15, r0);
    L_0x0444:
        if (r0 != 0) goto L_0x03d6;
    L_0x0446:
        r0 = 1;
        r15.pM(r0);
        r0 = 0;
        yjI = r0;
        com.tencent.mm.pluginsdk.g.a.a.o.aVi();
        r0 = 8;
        com.tencent.mm.plugin.report.service.g.BP(r0);
        r0 = new com.tencent.mm.plugin.account.ui.WelcomeSelectView;
        r0.<init>(r15);
        r15.setContentView(r0);
        r15.yjO = r0;
        r0 = "MicroMsg.LauncherUI";
        r1 = "resumeLogoutJump showLoginSelectUI hashCode[%d]";
        r2 = 1;
        r2 = new java.lang.Object[r2];
        r3 = 0;
        r4 = r15.hashCode();
        r4 = java.lang.Integer.valueOf(r4);
        r2[r3] = r4;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r2);
        r0 = r15.yjU;
        com.tencent.mm.sdk.platformtools.al.af(r0);
        r0 = r15.yjU;
        r2 = 2000; // 0x7d0 float:2.803E-42 double:9.88E-321;
        com.tencent.mm.sdk.platformtools.al.n(r0, r2);
        goto L_0x03d6;
    L_0x0484:
        com.tencent.mm.ui.MMAppMgr.hs(r15);
        goto L_0x0444;
    L_0x0488:
        r15.dxG();
        com.tencent.mm.ui.ae.hD(r15);
        r0 = 29452; // 0x730c float:4.1271E-41 double:1.4551E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x0190;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.LauncherUI.onCreate(android.os.Bundle):void");
    }

    private void dxG() {
        AppMethodBeat.i(29453);
        ab.d("MicroMsg.LauncherUI", "[whatsnew] checkIfStartWhatsNew.");
        if (yjR) {
            ab.i("MicroMsg.LauncherUI", "[whatsnew] has been played.");
            AppMethodBeat.o(29453);
        } else if (!g.RN().QY()) {
            g.RN();
            if (com.tencent.mm.kernel.a.QX()) {
                ab.i("MicroMsg.LauncherUI", "[whatsnew] account not initiate, skip whatsnew.");
                AppMethodBeat.o(29453);
                return;
            }
            ab.i("MicroMsg.LauncherUI", "[whatsnew] not login yet, skip.");
            AppMethodBeat.o(29453);
        } else if (dxH()) {
            if (w.a(getIntent(), "LauncherUI.enter_from_reg", false) || e.vdx == null || !e.vdx.Ch() || !aw.RK()) {
                ab.d("MicroMsg.LauncherUI", "[whatsnew] do not show whatsnew.");
            } else if (aj.amA("show_whatsnew")) {
                yjR = true;
                ab.i("MicroMsg.LauncherUI", "[whatsnew] show whatsnew.");
                MMAppMgr.aq(this);
                com.tencent.mm.blink.a.HL();
                AppMethodBeat.o(29453);
                return;
            }
            AppMethodBeat.o(29453);
        } else {
            ab.i("MicroMsg.LauncherUI", "[whatsnew] notSwitchOrHold is false, skip whatsnew.");
            AppMethodBeat.o(29453);
        }
    }

    public void onNewIntent(Intent intent) {
        AppMethodBeat.i(29454);
        ab.i("MicroMsg.LauncherUI", "onNewIntent 0x%x task:%s", new Object[]{Integer.valueOf(hashCode()), bo.gU(this)});
        this.cEp = intent;
        super.onNewIntent(intent);
        setIntent(intent);
        if (dxI()) {
            ab.i("MicroMsg.LauncherUI", "onNewIntent handleExitIntent");
            AppMethodBeat.o(29454);
        } else if (this.cEp == null || !w.a(this.cEp, "Intro_Need_Clear_Top ", false)) {
            if ((intent.getFlags() & 67108864) == 67108864) {
                closeChatting(false);
            }
            MainTabUI mainTabUI = this.yjJ.yiP;
            if ((intent.getFlags() & 67108864) == 67108864) {
                mainTabUI.ynG = true;
            }
            if (this.yjL) {
                ab.v("MicroMsg.LauncherUI", "onMainTabNewIntent on new intent");
                aQ(intent);
            }
            AppMethodBeat.o(29454);
        } else {
            ab.d("MicroMsg.LauncherUI", "KEVIN KNeedClearTop");
            finish();
            ho(this);
            AppMethodBeat.o(29454);
        }
    }

    private void pM(boolean z) {
        boolean z2 = true;
        AppMethodBeat.i(29455);
        if (z) {
            if (this.yjK.c(this, new 2(this))) {
                z2 = false;
            }
            this.yjS = z2;
            AppMethodBeat.o(29455);
            return;
        }
        if (!this.yjS) {
            if (this.yjK.ao(this)) {
                z2 = false;
            }
            this.yjS = z2;
        }
        AppMethodBeat.o(29455);
    }

    public void onResume() {
        AppMethodBeat.i(29456);
        super.onResume();
        if (this.yjP.cM("onResume")) {
            ab.i("MicroMsg.LauncherUI", "recreate activity %s, skip this onResume");
            AppMethodBeat.o(29456);
            return;
        }
        ab.i("MicroMsg.LauncherUI", "not skip this onResume");
        yjG = false;
        if (dxH()) {
            h hVar;
            long currentTimeMillis;
            long currentTimeMillis2;
            MainUI mainUI;
            LauncherUI instance;
            Object n;
            ab.i("MicroMsg.LauncherUI", "doOnResumeImp notSwitchorHold, hasDoInit:%b", new Object[]{Boolean.valueOf(this.yjL)});
            if (!this.yjL) {
                this.yjL = true;
                HomeUI homeUI = this.yjJ;
                homeUI.yiT = ((Boolean) g.RP().Ry().get(ac.a.xWL, Boolean.TRUE)).booleanValue();
                hVar = homeUI.yiO;
                com.tencent.mm.sdk.b.a.xxA.c(hVar.yif);
                com.tencent.mm.sdk.b.a.xxA.c(hVar.yig);
                if (!b.dIo()) {
                    getWindow().setCallback(new c(getWindow().getCallback(), this));
                }
                SharedPreferences sharedPreferences = homeUI.yhZ.getSharedPreferences("system_config_prefs", h.Mu());
                if (sharedPreferences.getBoolean("first_launch_weixin", true)) {
                    sharedPreferences.edit().putBoolean("first_launch_weixin", false).commit();
                    XLogSetup.realSetupXlog();
                }
                homeUI.yiD = new aa(this);
                homeUI.yiv = true;
                NotifyReceiver.Io();
                aw.getNotification().il(1);
                ab.d("MicroMsg.LauncherUI.HomeUI", "on main tab create");
                currentTimeMillis = System.currentTimeMillis();
                if (aw.RK()) {
                    currentTimeMillis2 = System.currentTimeMillis();
                    MMActivity.initLanguage(homeUI.yhZ);
                    try {
                        HashSet hashSet = new HashSet();
                        String[] split = homeUI.getString(2131298792).split(";");
                        hashSet.add(split[0]);
                        hashSet.add(split[1]);
                        s.c(hashSet);
                    } catch (Exception e) {
                        ab.printErrStackTrace("MicroMsg.LauncherUI.HomeUI", e, BuildConfig.FLAVOR, new Object[0]);
                    }
                    g.RQ();
                    g.RS().aa(new 14(homeUI));
                    ab.d("MicroMsg.LauncherUI.HomeUI", "KEVIN MainTabUI onCreate initLanguage: " + (System.currentTimeMillis() - currentTimeMillis2));
                    homeUI.ezi = (LayoutInflater) homeUI.yhZ.getSystemService("layout_inflater");
                    currentTimeMillis2 = System.currentTimeMillis();
                    homeUI.contentView = com.tencent.mm.kiss.a.b.SM().a(homeUI.yhZ, "R.layout.main_tab", 2130970021);
                    if (!(homeUI.contentView == null || VERSION.SDK_INT < 23 || h.Mt())) {
                        homeUI.contentView.setBackgroundColor(homeUI.yhZ.getResources().getColor(2131690310));
                    }
                    com.tencent.mm.blink.b.HQ().HR();
                    ((FirstScreenFrameLayout) homeUI.contentView.findViewById(2131825729)).ebs = new 12(homeUI);
                    am.dhM();
                    ab.d("MicroMsg.LauncherUI.HomeUI", "KEVIN MainTabUI onCreate inflater.inflate(R.layout.main_tab, null);" + (System.currentTimeMillis() - currentTimeMillis2));
                    homeUI.yhZ.setContentView(homeUI.contentView);
                    Looper.myQueue().addIdleHandler(homeUI.jQs);
                    homeUI.yiw = true;
                    ab.d("MicroMsg.LauncherUI.HomeUI", "KEVIN MainTabUI onCreate initView(); " + (System.currentTimeMillis() - currentTimeMillis2));
                    ab.d("MicroMsg.LauncherUI.HomeUI", "KEVIN handleJump(getIntent()); " + (System.currentTimeMillis() - System.currentTimeMillis()));
                    ab.d("MicroMsg.LauncherUI.HomeUI", "KEVIN syncAddrBookAndUpload checkLastLbsroomAndQuitIt " + (System.currentTimeMillis() - System.currentTimeMillis()));
                    homeUI.initActionBar();
                    homeUI.mActionBar.show();
                    homeUI.contentView.post(new 23(homeUI));
                    ab.v("MicroMsg.LauncherUI.HomeUI", "KEVIN MainTabUI onCreate : " + (System.currentTimeMillis() - currentTimeMillis));
                    al.n(new HomeUI$32(homeUI), 2000);
                    homeUI.contentView.addOnLayoutChangeListener(homeUI.yiU);
                    f.b(homeUI.yhZ, homeUI.contentView);
                    homeUI.contentView.postDelayed(new 33(homeUI), 20);
                } else {
                    ab.e("MicroMsg.LauncherUI.HomeUI", "mmcore has not ready, finish launcherui");
                    homeUI.yhZ.finish();
                }
                MainTabUI mainTabUI = homeUI.yiP;
                mainTabUI.yeo = (CustomViewPager) mainTabUI.yhZ.findViewById(2131823829);
                mainTabUI.yeo.setOffscreenPageLimit(4);
                mainTabUI.yeo.setCanSlide(true);
                mainTabUI.yeo.setCanSlideBySide(false);
                mainTabUI.ynI = new TabsAdapter(mainTabUI, mainTabUI.yhZ, mainTabUI.yeo);
                mainTabUI.Nm(0);
                w wVar = mainTabUI.ynE;
                ViewGroup viewGroup = (ViewGroup) mainTabUI.yeo.getParent();
                TabsAdapter tabsAdapter = mainTabUI.ynI;
                c cVar = wVar.ynT;
                if (wVar.ynT != null) {
                    wVar.ynT.setOnTabClickListener(null);
                    ((View) wVar.ynT).setVisibility(8);
                    if (viewGroup != null) {
                        viewGroup.removeView((View) wVar.ynT);
                    }
                }
                LayoutParams layoutParams = new LayoutParams(-1, -2);
                LauncherUIBottomTabView launcherUIBottomTabView = new LauncherUIBottomTabView(wVar.yhZ);
                launcherUIBottomTabView.setId(2131820634);
                if (viewGroup != null) {
                    layoutParams.gravity = 80;
                    viewGroup.addView(launcherUIBottomTabView, layoutParams);
                }
                wVar.ynT = launcherUIBottomTabView;
                ((View) wVar.ynT).setVisibility(0);
                wVar.ynT.setOnTabClickListener(tabsAdapter);
                if (!(cVar == null || cVar == wVar.ynT)) {
                    wVar.ynT.px(cVar.getShowFriendPoint());
                    wVar.ynT.py(cVar.getSettingsPoint());
                    wVar.ynT.MM(cVar.getMainTabUnread());
                    wVar.ynT.MN(cVar.getContactTabUnread());
                    wVar.ynT.MO(cVar.getFriendTabUnread());
                    wVar.ynT.MP(cVar.getSettingsTabUnread());
                    wVar.ynT.setTo(cVar.getCurIdx());
                }
                homeUI.yiP.ynL = new 1(homeUI);
                this.chattingTabUI.iWA = this;
                aQ(getIntent());
            }
            HomeUI homeUI2 = this.yjJ;
            long anU = ah.anU();
            MainTabUI mainTabUI2 = homeUI2.yiP;
            ab.i("MicroMsg.LauncherUI.MainTabUI", "onResume start :%d", new Object[]{Integer.valueOf(mainTabUI2.mbt)});
            if (mainTabUI2.ynQ.size() != 0) {
                ((m) ((MMFragment) mainTabUI2.ynQ.get(Integer.valueOf(mainTabUI2.mbt)))).dwi();
            }
            if (mainTabUI2.ynG && mainTabUI2.yhZ.getIntent().hasExtra("isScrollFirst") && mainTabUI2.yhZ.getIntent().hasExtra("isShowHeader")) {
                mainUI = (MainUI) mainTabUI2.ynQ.get(Integer.valueOf(0));
                if (mainUI != null) {
                    mainUI.i(mainTabUI2.yhZ.getIntent().getBooleanExtra("isShowHeader", false), mainTabUI2.yhZ.getIntent().getBooleanExtra("isShowHeaderWithAnim", false), mainTabUI2.yhZ.getIntent().getBooleanExtra("isScrollFirst", true));
                }
            }
            if (mainTabUI2.ynG) {
                mainTabUI2.ynG = false;
                mainTabUI2.aqG("tab_main");
            }
            mainUI = (MainUI) mainTabUI2.ynQ.get(Integer.valueOf(0));
            if (mainUI != null) {
                mainUI.dHz();
                mainUI.dIT();
            }
            if (mainTabUI2.mbt == 0) {
                aw.getNotification().bv(true);
            } else {
                aw.getNotification().bv(false);
            }
            m mVar = (m) mainTabUI2.Nn(mainTabUI2.mbt);
            if (mVar != null) {
                mVar.dwj();
            }
            mainTabUI2.ynG = false;
            int a = w.a(mainTabUI2.yhZ.getIntent(), "preferred_tab", 0);
            ab.d("MicroMsg.LauncherUI.MainTabUI", "doOnResume, tabIdx = %d", new Object[]{Integer.valueOf(a)});
            if (a != 0) {
                mainTabUI2.Nm(a);
                mainTabUI2.yhZ.getIntent().putExtra("preferred_tab", 0);
            }
            com.tencent.mm.sdk.b.a.xxA.c(mainTabUI2.ynM);
            com.tencent.mm.sdk.b.a.xxA.c(mainTabUI2.ynO);
            w wVar2 = mainTabUI2.ynE;
            if (wVar2.ynT != null) {
                wVar2.ynT.dwp();
            }
            aw.ZK();
            com.tencent.mm.model.c.Ry().a(wVar2.ynY);
            com.tencent.mm.x.c.PK().a(wVar2.ynX);
            aw.ZK();
            com.tencent.mm.model.c.XR().a(wVar2);
            com.tencent.mm.sdk.b.a.xxA.c(wVar2.yhr);
            com.tencent.mm.sdk.b.a.xxA.c(wVar2.ynZ);
            com.tencent.mm.sdk.b.a.xxA.c(wVar2.yhq);
            com.tencent.mm.blink.b.HQ().o(new 6(wVar2));
            hVar = homeUI2.yiO;
            az azVar = new az();
            com.tencent.mm.sdk.b.a.xxA.m(azVar);
            if (azVar.cuh.cui && !ah.isNullOrNil(azVar.cuh.bzH)) {
                ab.d("MicroMsg.LauncherUI.GlobalAlertMgr", "  now show msg:%s", new Object[]{azVar.cuh.bzH});
                com.tencent.mm.ui.base.h.b(hVar.yhZ, azVar.cuh.bzH, azVar.cuh.title, true);
            }
            if (!hVar.a(hVar.yib)) {
                aw.RS().m(new h.6(hVar), 500);
            }
            hVar.yib = null;
            com.tencent.mm.sdk.a.b.cE(true);
            boolean dxM = homeUI2.yiN.dxM();
            if (!dxM && aw.RK()) {
                com.tencent.mm.blink.b.HQ().o(new HomeUI$35(homeUI2));
                if (!(d.fUv == null || d.fUu == null || ah.isNullOrNil(d.fUu.akM()))) {
                    ab.i("MicroMsg.LauncherUI.HomeUI", "launcher onResume end track %s", new Object[]{d.fUv.akN()});
                    ez ezVar = new ez();
                    ezVar.cys.username = d.fUv.akN();
                    com.tencent.mm.sdk.b.a.xxA.m(ezVar);
                }
            }
            if (!dxM) {
                j.a(homeUI2.yhZ, 3, homeUI2.yiP.mbt, "directReport_onResume");
                homeUI2.yiP.Nj(v2helper.VOIP_ENC_HEIGHT_LV1);
            }
            com.tencent.mm.ui.widget.h.b(homeUI2.yhZ);
            homeUI2.yhZ.onSwipe(1.0f);
            homeUI2.yiM = HomeUI.a.yjs;
            if (homeUI2.yix) {
                homeUI2.yix = false;
                homeUI2.yix = false;
            }
            n.acp();
            currentTimeMillis = System.currentTimeMillis();
            ab.w("MicroMsg.LauncherUI.HomeUI", "[Launching Application]");
            l.m(homeUI2.yhZ, false);
            l.n(homeUI2.yhZ, false);
            currentTimeMillis2 = System.currentTimeMillis();
            if (homeUI2.yhZ.getSharedPreferences(com.tencent.mm.sdk.platformtools.ah.doA(), 0).getBoolean("settings_landscape_mode", false)) {
                homeUI2.yhZ.setRequestedOrientation(-1);
            } else {
                homeUI2.yhZ.setRequestedOrientation(1);
            }
            long currentTimeMillis3 = System.currentTimeMillis();
            if (getInstance() != null) {
                com.tencent.mm.blink.b.HQ().HT();
                ((p) g.M(p.class)).getSysCmdMsgExtension().a("showprivacypolicy", homeUI2.yjk);
                homeUI2.pH(false);
                com.tencent.mm.sdk.b.a.xxA.c(homeUI2.qjs);
                ab.d("MicroMsg.LauncherUI.HomeUI", "KEVIN MainTabUI onResume:" + (System.currentTimeMillis() - currentTimeMillis3));
                if (aw.RK()) {
                    homeUI2.dxu();
                }
            }
            ab.v("MicroMsg.LauncherUI.HomeUI", "KEVIN dispatch resume " + (System.currentTimeMillis() - currentTimeMillis2));
            ab.d("MicroMsg.LauncherUI.HomeUI", "KEVIN LaucherUI lauch last : " + (System.currentTimeMillis() - currentTimeMillis));
            ab.i("MicroMsg.LauncherUI.HomeUI", "initView " + (System.currentTimeMillis() - anU));
            if (homeUI2.yix) {
                homeUI2.yix = false;
                homeUI2.yix = false;
            }
            com.tencent.mm.app.n Bw = com.tencent.mm.app.n.Bw();
            Bw.ceU = true;
            Bw.ceV.removeMessages(-1999);
            Bw.ceV.removeMessages(-2999);
            ab.i("MicroMsg.LauncherUI.HomeUI", "start time check LauncherUI Launcher onResume end: " + (System.currentTimeMillis() - anU));
            if (r.Zf().booleanValue()) {
                homeUI2.dxi();
            }
            a = g.RP().Ry().getInt(ac.a.xWX, 0);
            if (a != 0) {
                g.RP().Ry().set(ac.a.xWX, Integer.valueOf(0));
                if (!r.Za()) {
                    switch (a) {
                        case 1:
                            com.tencent.mm.ui.base.h.a(homeUI2.yhZ, homeUI2.getString(2131301002), BuildConfig.FLAVOR, new 36(homeUI2), null);
                            break;
                    }
                }
            }
            com.tencent.mm.blink.b.HQ().o(new 37(homeUI2));
            if (homeUI2.getMainTabUI().mbt != 3) {
                MoreTabUI moreTabUI = (MoreTabUI) homeUI2.getMainTabUI().Nn(3);
                if (!(moreTabUI.yoh == null || moreTabUI.yoh.isVisible)) {
                    moreTabUI.yoh.dLf();
                    moreTabUI.caE();
                }
            }
            NewChattingTabUI newChattingTabUI = this.chattingTabUI;
            newChattingTabUI.ypf = ah.anT();
            if (newChattingTabUI.cXe()) {
                newChattingTabUI.ypi = new NewChattingTabUI.1(newChattingTabUI);
                al.n(new 2(newChattingTabUI), 500);
            }
            if (newChattingTabUI.dxM()) {
                newChattingTabUI.kT(3);
                if (newChattingTabUI.ypn != null && newChattingTabUI.ypn.isSupportNavigationSwipeBack()) {
                    newChattingTabUI.ypn.getSwipeBackLayout().setEnableGesture(true);
                }
            } else if (newChattingTabUI.ypq) {
                ab.w("MicroMsg.LauncherUI.NewChattingTabUI", "[onResume] need exec this runnable!");
                al.af(newChattingTabUI.mStartChattingRunnable);
                al.d(newChattingTabUI.mStartChattingRunnable);
                newChattingTabUI.ypq = false;
            }
            ab.i("MicroMsg.LauncherUI", "resumeNormalJump");
            MMFragmentActivity.a.dyv();
            if ("pushcontent_notification".equals(w.n(getIntent(), "nofification_type")) && !bo.isNullOrNil(w.n(getIntent(), "Main_FromUserName"))) {
                ab.e("MicroMsg.LauncherUI", "launch report, fromUserName = %s, msgType = %d" + w.n(getIntent(), "Main_FromUserName") + w.a(getIntent(), "MainUI_User_Last_Msg_Type", 0));
                com.tencent.mm.plugin.report.service.h.pYm.e(10856, new Object[]{Integer.valueOf(r1), r0, Integer.valueOf(0)});
            }
            String n2 = w.n(getIntent(), "LauncherUI.Shortcut.LaunchType");
            if (n2 != null) {
                if (n2.equals("launch_type_voip")) {
                    ab.d("MicroMsg.LauncherUI", "launch, LaunchTypeVOIP");
                    startActivity(new Intent().setClassName(this, "com.tencent.mm.ui.contact.VoipAddressUI").putExtra("LauncherUI.Shortcut.LaunchType", "launch_type_voip"));
                    com.tencent.mm.plugin.report.service.h.pYm.e(11034, new Object[]{Integer.valueOf(2), Integer.valueOf(0)});
                } else if (n2.equals("launch_type_voip_audio")) {
                    ab.d("MicroMsg.LauncherUI", "launch, LaunchTypeVOIPAudio");
                    startActivity(new Intent().setClassName(this, "com.tencent.mm.ui.contact.VoipAddressUI").putExtra("LauncherUI.Shortcut.LaunchType", "launch_type_voip_audio"));
                    com.tencent.mm.plugin.report.service.h.pYm.e(11034, new Object[]{Integer.valueOf(2), Integer.valueOf(1)});
                }
            }
            n2 = w.n(getIntent(), "LauncherUI.switch.tab");
            if (!bo.isNullOrNil(n2)) {
                this.yjJ.getMainTabUI().aqG(n2);
                getIntent().putExtra("LauncherUI.switch.tab", BuildConfig.FLAVOR);
            }
            if (w.a(getIntent(), "LauncherUI.From.Scaner.Shortcut", false) || this.yjN) {
                this.yjN = false;
                instance = getInstance();
                if (instance != null) {
                    instance.yjJ.dxo();
                }
                getIntent().putExtra("LauncherUI.From.Scaner.Shortcut", false);
                getIntent().putExtra("LauncherUI.switch.tab", "tab_find_friend");
            }
            boolean a2 = w.a(getIntent(), "LauncherUI.From.Biz.Shortcut", false);
            if (a2) {
                n = w.n(getIntent(), "LauncherUI.Shortcut.Username");
            } else {
                a2 = w.a(getIntent(), "LauncherUI_From_Biz_Shortcut", false);
                n = getIntent().getAction();
            }
            if (a2) {
                ab.d("MicroMsg.LauncherUI", "launch, fromBizShortcut, bizUsername = ".concat(String.valueOf(n)));
                if (!bo.isNullOrNil(n)) {
                    String Fs = com.tencent.mm.plugin.base.model.b.Fs(n);
                    if (!bo.isNullOrNil(Fs)) {
                        if (com.tencent.mm.model.t.mY(Fs)) {
                            ab.d("MicroMsg.LauncherUI", "launch, username is contact, go to chattingui");
                            Intent intent;
                            if (!com.tencent.mm.aj.f.ra(Fs)) {
                                instance = getInstance();
                                if (instance != null) {
                                    instance.startChatting(Fs, null, false);
                                }
                            } else if (com.tencent.mm.aj.f.kq(Fs)) {
                                intent = new Intent();
                                intent.setClassName(this, "com.tencent.mm.ui.bizchat.BizChatConversationUI");
                                intent.putExtra("Contact_User", Fs);
                                intent.putExtra("biz_chat_from_scene", 9);
                                intent.addFlags(67108864);
                                startActivity(intent);
                            } else if (com.tencent.mm.aj.f.rc(Fs)) {
                                intent = new Intent();
                                intent.setClassName(this, "com.tencent.mm.ui.conversation.EnterpriseConversationUI");
                                intent.putExtra("enterprise_biz_name", Fs);
                                intent.putExtra("enterprise_biz_display_name", s.mJ(Fs));
                                startActivity(intent);
                            } else if (com.tencent.mm.aj.f.rd(Fs)) {
                                com.tencent.mm.aj.d qX = com.tencent.mm.aj.f.qX(Fs);
                                n2 = qX == null ? null : qX.adT();
                                if (n2 == null) {
                                    n2 = BuildConfig.FLAVOR;
                                }
                                Intent intent2 = new Intent();
                                intent2.putExtra("rawUrl", n2);
                                intent2.putExtra("useJs", true);
                                intent2.putExtra("srcUsername", Fs);
                                intent2.putExtra("bizofstartfrom", "enterpriseHomeSubBrand");
                                intent2.addFlags(67108864);
                                com.tencent.mm.bp.d.b(this, "webview", ".ui.tools.WebViewUI", intent2);
                            } else {
                                instance = getInstance();
                                Bundle bundle = new Bundle();
                                bundle.putInt("chat_from_scene", 3);
                                instance.startChatting(Fs, bundle, false);
                            }
                        }
                        getIntent().putExtra("LauncherUI_From_Biz_Shortcut", false);
                        getIntent().putExtra("LauncherUI.From.Biz.Shortcut", false);
                    }
                }
            }
            this.yjM = true;
        } else if (!yjI) {
            dxL();
        }
        com.tencent.mm.blink.a.ig(5);
        if (!yjI) {
            pM(false);
        }
        dxG();
        com.tencent.mm.blink.a.jD("LauncherUI");
        AppMethodBeat.o(29456);
    }

    private boolean dxH() {
        AppMethodBeat.i(29457);
        if (this.cEp == null || w.a(this.cEp, "Intro_Switch", false) || !aw.ZM() || aw.QT()) {
            AppMethodBeat.o(29457);
            return false;
        }
        AppMethodBeat.o(29457);
        return true;
    }

    private boolean dxI() {
        AppMethodBeat.i(29458);
        if (this.cEp != null) {
            if (w.a(this.cEp, "absolutely_exit", false) || w.a(this.cEp, "absolutely_exit_pid", 0) == Process.myPid()) {
                ab.w("MicroMsg.LauncherUI", "resumeLogoutJump launcherOnResume exit absolutely!!! hashCode[%d]", new Object[]{Integer.valueOf(hashCode())});
                finish();
                com.tencent.mm.plugin.report.service.g.BP(8);
                MMAppMgr.pQ(w.a(this.cEp, "kill_service", true));
                System.exit(0);
                AppMethodBeat.o(29458);
                return true;
            } else if (w.a(this.cEp, "can_finish", false)) {
                ab.i("MicroMsg.LauncherUI", "resumeLogoutJump exit obviously");
                aw.Rg().cD(true);
                if (l.bL(getApplicationContext())) {
                    com.tencent.mm.booter.b.bm(getApplicationContext());
                }
                com.tencent.mm.plugin.report.service.g.BP(8);
                sendBroadcast(new Intent("com.tencent.mm.ui.ACTION_FORCE_DEACTIVE"), "com.tencent.mm.permission.MM_MESSAGE");
                finish();
                com.tencent.mm.ui.base.b.hM(this);
                AppMethodBeat.o(29458);
                return true;
            } else if (w.a(this.cEp, "exit_and_restart", false)) {
                com.tencent.mrs.a.onDestroy();
                BaseEvent.onSingalCrash(0);
                ab.i("MicroMsg.LauncherUI", "exit and restart myself.");
                ab.dot();
                finish();
                Intent intent = new Intent(this, LauncherUI.class);
                intent.addFlags(67108864);
                startActivity(intent);
                ab.i("MicroMsg.LauncherUI", "restart, try to kill mm pid %d", new Object[]{Integer.valueOf(Process.myPid())});
                MMAppMgr.dys();
                Process.killProcess(Process.myPid());
                AppMethodBeat.o(29458);
                return true;
            }
        }
        AppMethodBeat.o(29458);
        return false;
    }

    private void dxJ() {
        AppMethodBeat.i(138622);
        Intent intent = new Intent();
        String T = av.fly.T("login_weixin_username", BuildConfig.FLAVOR);
        intent.putParcelableArrayListExtra("key_switch_account_users", this.cEp.getParcelableArrayListExtra("key_switch_account_users"));
        intent.putExtra("key_switch_from_wx_username", T);
        T = aa.g(getSharedPreferences(com.tencent.mm.sdk.platformtools.ah.doA(), 0));
        float dm = com.tencent.mm.bz.a.dm(this);
        intent.putExtra("key_langauage_code", T);
        intent.putExtra("key_font_scale_size", dm);
        ab.i("MicroMsg.LauncherUI", "mm pid %d", new Object[]{Integer.valueOf(Process.myPid())});
        intent.putExtra("key_mm_process_pid", Process.myPid());
        intent.setClassName(this, "com.tencent.mm.plugin.setting.ui.setting.FakeSwitchAccountUI");
        startActivity(intent);
        com.tencent.mm.ui.base.b.hN(this);
        AppMethodBeat.o(138622);
    }

    private void dxK() {
        AppMethodBeat.i(29459);
        SharedPreferences sharedPreferences = com.tencent.mm.sdk.platformtools.ah.getContext().getSharedPreferences("switch_account_preferences", 0);
        String string = sharedPreferences.getString("last_switch_account_to_wx_username", BuildConfig.FLAVOR);
        ab.i("MicroMsg.LauncherUI", "switch to wxid %s", new Object[]{string});
        sharedPreferences.edit().putBoolean("transit_to_switch_account", false).commit();
        Intent intent = new Intent();
        intent.setClass(this, SettingsSwitchAccountUI.class);
        intent.addFlags(536870912);
        intent.putExtra("key_scene", 1);
        startActivity(intent);
        com.tencent.mm.ui.base.b.hN(this);
        AppMethodBeat.o(29459);
    }

    private void aQ(Intent intent) {
        AppMethodBeat.i(29460);
        ab.i("MicroMsg.LauncherUI", "handleJump");
        if (aw.RK()) {
            jd jdVar = new jd();
            jdVar.cEo.cEp = this.cEp;
            com.tencent.mm.sdk.b.a.xxA.m(jdVar);
            String n;
            Intent className;
            if ("talkroom_notification".equals(w.n(intent, "nofification_type"))) {
                n = w.n(intent, "enter_chat_usrname");
                if (!bo.isNullOrNil(n)) {
                    Intent intent2 = new Intent();
                    intent2.putExtra("enter_room_username", n);
                    intent2.setFlags(268435456);
                    com.tencent.mm.bp.d.b(this, "talkroom", ".ui.TalkRoomUI", intent2);
                }
                AppMethodBeat.o(29460);
                return;
            } else if ("back_to_pcmgr_notification".equals(intent.getStringExtra("nofification_type"))) {
                if (intent.getBooleanExtra("newPCBackup", true)) {
                    ab.i("MicroMsg.LauncherUI", "MicroMsg.Backup jump BackupPcUI");
                    className = new Intent().setClassName(this, "com.tencent.mm.plugin.backup.backuppcui.BackupPcUI");
                } else {
                    ab.i("MicroMsg.LauncherUI", "MicroMsg.Backup jump BakToPcUI");
                    className = new Intent().setClassName(this, "com.tencent.mm.plugin.backup.bakoldlogic.bakoldpcui.BakToPcUI");
                }
                className.setFlags(268435456);
                MMWizardActivity.J(this, className);
                AppMethodBeat.o(29460);
                return;
            } else if ("back_to_pcmgr_error_notification".equals(intent.getStringExtra("nofification_type"))) {
                className = new Intent().setClassName(this, "com.tencent.mm.plugin.backup.bakoldlogic.bakoldpcui.BakConnErrorUI");
                className.setFlags(268435456);
                MMWizardActivity.J(this, className);
                AppMethodBeat.o(29460);
                return;
            } else if ("backup_move_notification".equals(intent.getStringExtra("nofification_type"))) {
                className = new Intent().setClassName(this, "com.tencent.mm.plugin.backup.backupmoveui.BackupMoveRecoverUI");
                className.setFlags(268435456);
                MMWizardActivity.J(this, className);
                AppMethodBeat.o(29460);
                return;
            } else {
                int i;
                if (w.a(intent, "show_update_dialog", false)) {
                    aR(intent);
                }
                String n2 = w.n(intent, "Main_User");
                String n3 = w.n(intent, "nofification_type");
                ab.i("MicroMsg.LauncherUI", "[handleJump] user:%s", new Object[]{n2});
                if (n2 == null || n2.equals(BuildConfig.FLAVOR)) {
                    i = 0;
                } else {
                    aw.ZK();
                    com.tencent.mm.storage.ak aoZ = com.tencent.mm.model.c.XR().aoZ(n2);
                    if (aoZ != null) {
                        i = aoZ.field_unReadCount;
                    } else {
                        i = 0;
                    }
                    ab.i("MicroMsg.LauncherUI", "[oneliang] user:%s, conversation :%s, unReadCount:%s", new Object[]{n2, aoZ, Integer.valueOf(i)});
                }
                if (i == 0) {
                    i = w.a(intent, "pushcontent_unread_count", 0);
                }
                MMAppMgr.BV();
                com.tencent.mm.sdk.b.a.xxA.m(new com.tencent.mm.g.a.ac());
                boolean a = w.a(intent, "Intro_Is_Muti_Talker", true);
                ab.i("MicroMsg.LauncherUI", "handleJump, isMutiTalker:%b, unReadCount:%d", new Object[]{Boolean.valueOf(a), Integer.valueOf(i)});
                if (!a && i > 0 && w.a(intent, "Intro_Bottle_unread_count", 0) > 0) {
                    ab.i("MicroMsg.LauncherUI", "handleJump, bottleReadCnt :%d", new Object[]{Integer.valueOf(w.a(intent, "Intro_Bottle_unread_count", 0))});
                    com.tencent.mm.bp.d.H(this, "bottle", ".ui.BottleConversationUI");
                }
                LauncherUI instance;
                if (a) {
                    if (w.a(intent, "From_fail_notify", false)) {
                        if (!bo.isNullOrNil(n2)) {
                            instance = getInstance();
                            if (instance != null) {
                                Bundle bundle = new Bundle();
                                bundle.putBoolean("Chat_Mode", w.a(intent, "resend_fail_messages", false));
                                if (com.tencent.mm.aj.f.kq(n2)) {
                                    intent.putExtra("Contact_User", n2);
                                    intent.addFlags(67108864);
                                    intent.putExtra("biz_chat_from_scene", 4);
                                    com.tencent.mm.bp.d.f(this, ".ui.bizchat.BizChatConversationUI", intent);
                                } else {
                                    instance.startChatting(n2, bundle, false);
                                }
                            }
                        } else if (w.a(intent, "jump_sns_from_notify", false)) {
                            className = new Intent();
                            className.addFlags(67108864);
                            className.putExtra("is_need_resend_sns", intent.getBooleanExtra("is_need_resend_sns", false));
                            className.putExtra("sns_resume_state", intent.getBooleanExtra("sns_resume_state", false));
                            className.putExtra("sns_timeline_NeedFirstLoadint", intent.getBooleanExtra("sns_timeline_NeedFirstLoadint", false));
                            com.tencent.mm.bp.d.b(this, "sns", ".ui.SnsTimeLineUI", className);
                        }
                    } else if (w.a(intent, "biz_chat_need_to_jump_to_chatting_ui", false)) {
                        if (getInstance() != null && com.tencent.mm.aj.f.kq(n2)) {
                            intent.putExtra("Contact_User", n2);
                            intent.addFlags(67108864);
                            com.tencent.mm.bp.d.f(this, ".ui.bizchat.BizChatConversationUI", intent);
                        }
                    } else if (!bo.isNullOrNil(n2) && "new_msg_nofification".equals(n3)) {
                        n3 = "MicroMsg.LauncherUI";
                        String str = "[handleJump] intent:%s";
                        Object[] objArr = new Object[1];
                        if (intent == null) {
                            n = "null";
                        } else {
                            Object obj = intent;
                        }
                        objArr[0] = n;
                        ab.w(n3, str, objArr);
                        instance = getInstance();
                        if (instance != null) {
                            instance.startChatting(n2, new Bundle(), false);
                        } else {
                            ab.w("MicroMsg.LauncherUI", "LauncherUI.getInstance is null! ");
                        }
                    }
                } else if (com.tencent.mm.model.t.np(n2)) {
                    ab.i("MicroMsg.LauncherUI", "handleJump, isReaderAppNewsHelper");
                    className = new Intent();
                    className.addFlags(67108864);
                    className.putExtra("type", 20);
                    com.tencent.mm.bp.d.b(this, "readerapp", ".ui.ReaderAppUI", className);
                } else if (com.tencent.mm.model.t.nx(n2)) {
                    ab.i("MicroMsg.LauncherUI", "handleJump, isReaderAppWeiboHelper");
                    className = new Intent();
                    className.addFlags(67108864);
                    className.putExtra("type", 11);
                    com.tencent.mm.bp.d.b(this, "readerapp", ".ui.ReaderAppUI", className);
                } else {
                    if (intent.getIntExtra("MainUI_User_Last_Msg_Type", 34) == 34) {
                        i = 2;
                    } else {
                        i = 1;
                    }
                    Bundle bundle2 = new Bundle();
                    bundle2.putInt("Chat_Mode", i);
                    if ("new_msg_nofification".equals(w.n(intent, "nofification_type"))) {
                        bundle2.putInt("chat_from_scene", 1);
                    }
                    instance = getInstance();
                    if (instance != null) {
                        if (com.tencent.mm.aj.f.kq(n2)) {
                            intent.putExtra("Contact_User", n2);
                            intent.addFlags(67108864);
                            intent.putExtra("biz_chat_from_scene", 4);
                            com.tencent.mm.bp.d.f(this, ".ui.bizchat.BizChatConversationUI", intent);
                        } else if (com.tencent.mm.aj.f.rd(n2)) {
                            com.tencent.mm.aj.d qX = com.tencent.mm.aj.f.qX(n2);
                            n = qX == null ? null : qX.adT();
                            if (n == null) {
                                n = BuildConfig.FLAVOR;
                            }
                            intent.putExtra("rawUrl", n);
                            intent.putExtra("useJs", true);
                            intent.putExtra("srcUsername", n2);
                            intent.putExtra("bizofstartfrom", "enterpriseHomeSubBrand");
                            intent.addFlags(67108864);
                            com.tencent.mm.bp.d.b(this, "webview", ".ui.tools.WebViewUI", intent);
                        } else if (ad.mg(n2)) {
                            intent.putExtra("Contact_User", n2);
                            intent.addFlags(67108864);
                            intent.putExtra("app_brand_conversation_from_scene", 3);
                            intent.putExtra("finish_direct", true);
                            intent.putExtra("key_need_send_video", false);
                            com.tencent.mm.bp.d.f(this, ".ui.conversation.AppBrandServiceConversationUI", intent);
                        } else {
                            instance.startChatting(n2, bundle2, false);
                        }
                    }
                }
                if (w.a(intent, "kstyle_show_bind_mobile_afterauth", 0) > 0) {
                    className = new Intent();
                    className.setClassName(this, "com.tencent.mm.plugin.account.bind.ui.BindMobileUI");
                    className.putExtra("kstyle_bind_recommend_show", intent.getIntExtra("kstyle_bind_recommend_show", 0));
                    className.putExtra("kstyle_bind_wording", intent.getParcelableExtra("kstyle_bind_wording"));
                    MMWizardActivity.J(this, className);
                }
                AppMethodBeat.o(29460);
                return;
            }
        }
        ab.i("MicroMsg.LauncherUI", "handleJump not accHhasReady");
        startActivity(new Intent(this, LauncherUI.class).putExtra("Intro_Switch", true).addFlags(67108864));
        finish();
        AppMethodBeat.o(29460);
    }

    private void dxL() {
        AppMethodBeat.i(29461);
        ab.i("MicroMsg.LauncherUI", "resumeLogoutJump");
        MMFragmentActivity.a.dyv();
        String T = av.fly.T("login_user_name", BuildConfig.FLAVOR);
        if (aw.ZM() || !T.equals(BuildConfig.FLAVOR)) {
            com.tencent.mm.plugin.report.service.g.BP(8);
            g.RO().Rf();
            ab.i("MicroMsg.LauncherUI", "resumeLogoutJump hasDoInit:%b needResetLaunchUI:%b formNotification:%b, ishold:%b", new Object[]{Boolean.valueOf(this.yjL), Boolean.valueOf((this.cEp.getFlags() & 67108864) == 67108864), Boolean.valueOf(w.a(this.cEp, "Intro_Notify", false)), Boolean.valueOf(aw.QT())});
            ab.i("MicroMsg.LauncherUI", "doOnResumeImp resumeLogoutJump hasCfgDefaultUin[%b]", new Object[]{Boolean.valueOf(aw.ZM())});
            this.yjJ.getMainTabUI().dyy();
            if (w.a(this.cEp, "key_transit_to_switch_account", false)) {
                ab.i("MicroMsg.LauncherUI", "transit to fake switch account");
                this.cEp.removeExtra("key_transit_to_switch_account");
                SharedPreferences sharedPreferences = com.tencent.mm.sdk.platformtools.ah.getContext().getSharedPreferences("switch_account_preferences", 0);
                sharedPreferences.getString("last_switch_account_to_wx_username", BuildConfig.FLAVOR);
                sharedPreferences.edit().putBoolean("transit_to_switch_account", true).commit();
                dxJ();
                al.n(new 3(this), 500);
                AppMethodBeat.o(29461);
                return;
            }
            aw.hold();
            com.tencent.mm.sdk.b.a.xxA.m(new x());
            if (w.a(getIntent(), "LauncherUI.From.Scaner.Shortcut", false)) {
                this.yjN = true;
            }
            g.RQ().lL("[" + this.yjL + " " + r0 + " " + r3 + "]");
            hn(this);
            aw.unhold();
            AppMethodBeat.o(29461);
            return;
        }
        startActivity(new Intent(this, WelcomeActivity.class));
        com.tencent.mm.ui.base.b.hN(this);
        ab.i("MicroMsg.LauncherUI", "resumeLogoutJump but has not login and ret");
        al.af(this.yjU);
        al.n(this.yjU, 2000);
        AppMethodBeat.o(29461);
    }

    private void hn(Context context) {
        AppMethodBeat.i(29462);
        Intent intent;
        if (w.a(this.cEp, "LauncherUI.jump_switch_account", false)) {
            ab.i("MicroMsg.LauncherUI", "launcher to switch account");
            dxK();
            this.cEp.removeExtra("LauncherUI.jump_switch_account");
            AppMethodBeat.o(29462);
        } else if (w.a(this.cEp, "Intro_Switch", false) || this.yjL || com.tencent.mm.kernel.a.QI()) {
            com.tencent.mrs.a.onDestroy();
            BaseEvent.onSingalCrash(0);
            ab.i("MicroMsg.LauncherUI", "switch users count %d", new Object[]{Integer.valueOf(bx.fnB.aat().size())});
            ab.i("MicroMsg.LauncherUI", "checktask ConstantsUI.Intro.KSwitch kill myself.");
            ab.dot();
            finish();
            if (!com.tencent.mm.sdk.platformtools.ah.getContext().getSharedPreferences("switch_account_preferences", 0).getBoolean("transit_to_switch_account", false)) {
                intent = new Intent(context, LauncherUI.class);
                intent.addFlags(67108864);
                context.startActivity(intent);
            }
            ab.i("MicroMsg.LauncherUI", "try to kill mm pid %d", new Object[]{Integer.valueOf(Process.myPid())});
            MMAppMgr.dys();
            Process.killProcess(Process.myPid());
            AppMethodBeat.o(29462);
        } else {
            if (!w.a(this.cEp, "LauncherUI.jump_switch_account", false)) {
                ab.i("MicroMsg.LauncherUI", "jumpToLogin %s", new Object[]{av.fly.T("login_user_name", BuildConfig.FLAVOR)});
                if (bo.isNullOrNil(av.fly.T("login_user_name", BuildConfig.FLAVOR))) {
                    startActivity(new Intent(this, WelcomeActivity.class));
                    com.tencent.mm.ui.base.b.hN(this);
                } else {
                    ab.i("MicroMsg.LauncherUI", "switchAccount %s", new Object[]{Boolean.valueOf(com.tencent.mm.sdk.platformtools.ah.getContext().getSharedPreferences("switch_account_preferences", 0).getBoolean("last_logout_switch_account", false))});
                    if (com.tencent.mm.sdk.platformtools.ah.getContext().getSharedPreferences("switch_account_preferences", 0).getBoolean("last_logout_switch_account", false)) {
                        intent = new Intent(this, SettingsSwitchAccountUI.class);
                        intent.addFlags(67108864);
                        intent.putExtra("key_scene", 2);
                        startActivity(intent);
                    } else {
                        int ank = bo.ank(av.fly.T("last_login_use_voice", BuildConfig.FLAVOR));
                        ab.i("MicroMsg.LauncherUI", "pluginSwitch  ".concat(String.valueOf(ank)));
                        if ((ank & 131072) != 0) {
                            startActivity(new Intent().setClassName(this, "com.tencent.mm.plugin.account.ui.LoginVoiceUI"));
                        } else {
                            startActivity(new Intent().setClassName(this, "com.tencent.mm.plugin.account.ui.LoginPasswordUI"));
                        }
                    }
                    com.tencent.mm.ui.base.b.hK(this);
                }
                com.tencent.mm.plugin.report.service.g.BP(8);
                al.af(this.yjU);
                al.n(this.yjU, 2000);
            }
            AppMethodBeat.o(29462);
        }
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        int i3;
        Bundle bundle = null;
        AppMethodBeat.i(29463);
        super.onActivityResult(i, i2, intent);
        ab.v("MicroMsg.LauncherUI", "edw on activity result");
        NewChattingTabUI newChattingTabUI = this.chattingTabUI;
        if ((i == TXLiveConstants.PLAY_EVT_CONNECT_SUCC || i == 30763 || i == 30762 || i == FaceManager.FACE_ACQUIRED_HACKER) && newChattingTabUI.ypn != null) {
            newChattingTabUI.ypn.onActivityResult(i, i2, intent);
        }
        if (NewChattingTabUI.acceptRequestCode(i) && newChattingTabUI.ypn == null) {
            ab.i("MicroMsg.LauncherUI.NewChattingTabUI", "on select image ActivityResult. the chattingUI maybe kill in the background.");
            al.af(newChattingTabUI.ypp);
            newChattingTabUI.ypp.ypy = 0;
            newChattingTabUI.ypp.requestCode = i;
            newChattingTabUI.ypp.bFZ = i2;
            newChattingTabUI.ypp.cEd = intent;
            al.d(newChattingTabUI.ypp);
            i3 = 1;
        } else {
            i3 = 0;
        }
        if (i3 != 0) {
            AppMethodBeat.o(29463);
            return;
        }
        HomeUI homeUI = this.yjJ;
        if (homeUI.yiv) {
            if (i == 1) {
                aw.ZK();
                if (!ah.e((Boolean) com.tencent.mm.model.c.Ry().get(12323, null))) {
                    z.showAddrBookUploadConfirm(homeUI.yhZ, null, false, 3);
                }
                AppMethodBeat.o(29463);
                return;
            }
            String str;
            if (i == 22722) {
                str = (String) g.RP().Ry().get(274436, null);
                ab.i("MicroMsg.LauncherUI.HomeUI", "showAgreements %d, %d, %s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), str});
                if (intent != null) {
                    bundle = intent.getBundleExtra("result_data");
                }
                if (bundle == null || !bundle.getString("go_next", BuildConfig.FLAVOR).equals("agree_privacy")) {
                    ab.i("MicroMsg.LauncherUI.HomeUI", "disagree privacy policy");
                    g.Rg().a(new com.tencent.mm.plugin.account.model.e(2, str), 0);
                    com.tencent.mm.plugin.report.service.h.pYm.a(712, 5, 1, false);
                } else {
                    ab.i("MicroMsg.LauncherUI.HomeUI", "agree privacy policy");
                    com.tencent.mm.plugin.report.service.h.pYm.a(712, 4, 1, false);
                    g.Rg().a(new com.tencent.mm.plugin.account.model.e(1, str), 0);
                    if (com.tencent.mm.au.b.sO(str) && g.RP().Ry().getBoolean(ac.a.xVe, false)) {
                        ab.i("MicroMsg.LauncherUI.HomeUI", "needbirthday true");
                        al.n(new 22(homeUI), 100);
                    }
                }
            } else if (i == 22723) {
                str = (String) g.RP().Ry().get(274436, null);
                if (intent != null) {
                    bundle = intent.getBundleExtra("result_data");
                }
                if (bundle != null) {
                    if (bundle.getString("go_next", BuildConfig.FLAVOR).equals("birthdayComfirmOK")) {
                        ab.i("MicroMsg.LauncherUI.HomeUI", "verify birthday ok");
                        g.RP().Ry().set(ac.a.xVe, Boolean.FALSE);
                    } else if (bundle.getString("go_next", BuildConfig.FLAVOR).equals("gdpr_confirm_logout")) {
                        ab.i("MicroMsg.LauncherUI.HomeUI", "quit verify birthday after H5-warnning");
                        g.Rg().a(new com.tencent.mm.plugin.account.model.e(2, str), 0);
                        com.tencent.mm.plugin.report.service.h.pYm.a(712, 5, 1, false);
                    }
                }
            }
            if (i == 65534 && i2 == -1) {
                aj.amB("welcome_page_show");
                l.m(homeUI.yhZ, true);
                MMAppMgr.BV();
                MMAppMgr.bd(homeUI.yhZ);
                homeUI.yhZ.finish();
                AppMethodBeat.o(29463);
                return;
            } else if (i == 30764 && intent != null) {
                Bundle bundleExtra = intent.getBundleExtra("result_data");
                if (bundleExtra != null && bundleExtra.getString("go_next", BuildConfig.FLAVOR).equals("gdpr_auth_location")) {
                    g.RP().Ry().set(ac.a.xVP, Boolean.TRUE);
                    com.tencent.mm.pluginsdk.permission.b.b(homeUI.yhZ, "android.permission.ACCESS_COARSE_LOCATION", 66);
                }
            }
        }
        AppMethodBeat.o(29463);
    }

    public void onPause() {
        AppMethodBeat.i(29464);
        ab.d("MicroMsg.LauncherUI", "onPause, chatting is show ");
        super.onPause();
        u uVar = this.yjP;
        boolean cM = uVar.cM("onPause");
        if (cM) {
            uVar.vaA = false;
        }
        if (cM) {
            ab.i("MicroMsg.LauncherUI", "recreate activity %s, skip this onPause");
            AppMethodBeat.o(29464);
            return;
        }
        com.tencent.mm.blink.a.HL();
        ab.i("MicroMsg.LauncherUI", "not skip this onPause");
        MMFragment currentFragmet = getCurrentFragmet();
        this.yjT.removeCallbacksAndMessages(null);
        HomeUI homeUI = this.yjJ;
        MainTabUI mainTabUI = homeUI.yiP;
        ab.v("MicroMsg.LauncherUI.MainTabUI", "doOnPause %d, mainTabHasCreate:%b", new Object[]{Integer.valueOf(mainTabUI.mbt), Boolean.valueOf(homeUI.yiv)});
        if (homeUI.yiv) {
            mainTabUI.dyA();
        }
        w wVar = mainTabUI.ynE;
        if (aw.RK()) {
            aw.ZK();
            com.tencent.mm.model.c.Ry().b(wVar.ynY);
            aw.ZK();
            com.tencent.mm.model.c.XR().b(wVar);
            com.tencent.mm.x.c.PK().b(wVar.ynX);
            com.tencent.mm.sdk.b.a.xxA.d(wVar.ynZ);
            com.tencent.mm.sdk.b.a.xxA.d(wVar.yhr);
            com.tencent.mm.sdk.b.a.xxA.d(wVar.yhq);
        }
        if (wVar.ynW != null) {
            wVar.ynW.ynT = null;
            wVar.ynW = null;
        }
        h hVar = homeUI.yiO;
        if (hVar.yic != null) {
            aw.Rg().b(XWalkEnvironment.SDK_SUPPORT_INVOKE_RUNTIME_MIN_APKVERSION, hVar.yic);
            aw.Rg().b(384, hVar.yic);
            hVar.yic = null;
        }
        com.tencent.mm.sdk.a.b.cE(false);
        homeUI.yiM = HomeUI.a.yjt;
        if (!aw.ZD()) {
            aw.getNotification().bv(false);
        }
        boolean dxM = homeUI.yiN.dxM();
        ab.i("MicroMsg.LauncherUI.HomeUI", "edw onPause, chatting is show ".concat(String.valueOf(dxM)));
        if (!dxM) {
            j.a(homeUI.yhZ, 4, homeUI.yiP.mbt, "directReport_onPause");
        }
        if (!homeUI.yhZ.isFinishing()) {
            com.tencent.mm.ui.widget.h.a(homeUI.yhZ);
        }
        if (homeUI.yiv) {
            ab.d("MicroMsg.LauncherUI.HomeUI", "KEVIN MainTabUI onMainTabPause");
            com.tencent.mm.blink.b.HQ().HS();
            if (aw.RK()) {
                com.tencent.mm.sdk.b.a.xxA.d(homeUI.qjs);
            }
        }
        if (homeUI.yiD != null && homeUI.yiD.isShowing()) {
            homeUI.yiD.dismiss();
        }
        NewChattingTabUI newChattingTabUI = this.chattingTabUI;
        if (newChattingTabUI.dxM()) {
            newChattingTabUI.kT(4);
            if (newChattingTabUI.ypn != null && newChattingTabUI.ypn.isSupportNavigationSwipeBack()) {
                newChattingTabUI.ypn.getSwipeBackLayout().setEnableGesture(false);
            }
        }
        if (currentFragmet != null) {
            AppMethodBeat.o(29464);
            return;
        }
        this.yjM = false;
        AppMethodBeat.o(29464);
    }

    public void onStop() {
        AppMethodBeat.i(29465);
        ab.i("MicroMsg.LauncherUI", "onStop");
        com.tencent.mm.blink.a.HL();
        ((p) g.M(p.class)).getSysCmdMsgExtension().b("showprivacypolicy", this.yjJ.yjk);
        super.onStop();
        AppMethodBeat.o(29465);
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        AppMethodBeat.i(29466);
        this.yjS = false;
        if (!this.yjK.a(this, i, strArr, iArr)) {
            HomeUI homeUI = this.yjJ;
            int i2;
            switch (i) {
                case 16:
                case 80:
                    if (i == 80) {
                        i2 = 2131301928;
                    } else {
                        i2 = 2131301920;
                    }
                    if (iArr[0] != 0) {
                        com.tencent.mm.ui.base.h.a(homeUI.yhZ, homeUI.getString(i2), homeUI.getString(2131301936), homeUI.getString(2131300878), homeUI.getString(2131297773), false, new 24(homeUI), new 25(homeUI));
                        break;
                    }
                    break;
                case v2helper.WXVOIP_EVENT_AUTHKEY_EXPIRED /*24*/:
                    if (iArr[0] != 0) {
                        if ("android.permission.CAMERA".equals(strArr[0])) {
                            i2 = 2131301920;
                        } else {
                            i2 = 2131301928;
                        }
                        com.tencent.mm.ui.base.h.a(homeUI.yhZ, homeUI.getString(i2), homeUI.getString(2131301936), homeUI.getString(2131300878), homeUI.getString(2131296868), false, new 28(homeUI), new 29(homeUI));
                        break;
                    }
                    homeUI.dxm();
                    break;
                case 65:
                    if (iArr[0] != 0) {
                        com.tencent.mm.ui.base.h.a(homeUI.yhZ, homeUI.getString(2131301926), homeUI.getString(2131301936), homeUI.getString(2131300878), homeUI.getString(2131297773), false, new 26(homeUI), null);
                        break;
                    } else {
                        homeUI.dxl();
                        break;
                    }
                case 66:
                    if (iArr[0] != 0) {
                        com.tencent.mm.ui.base.h.a(homeUI.yhZ, homeUI.getString(2131301926), homeUI.getString(2131301936), homeUI.getString(2131300878), homeUI.getString(2131297773), false, new 27(homeUI), null);
                        break;
                    }
                    MMFragment dyx = homeUI.yiP.dyx();
                    if (dyx instanceof FindMoreFriendsUI) {
                        ((FindMoreFriendsUI) dyx).dwU();
                        break;
                    }
                    break;
                case 78:
                    if (iArr[0] != 0) {
                        com.tencent.mm.ui.base.h.a(homeUI.yhZ, homeUI.getString(2131301926), homeUI.getString(2131301936), homeUI.getString(2131300878), homeUI.getString(2131297773), false, new 30(homeUI), null);
                        break;
                    } else {
                        homeUI.dxm();
                        break;
                    }
            }
            NewChattingTabUI newChattingTabUI = this.chattingTabUI;
            if (newChattingTabUI.ypn != null) {
                newChattingTabUI.ypn.onRequestPermissionsResult(i, strArr, iArr);
            }
        }
        AppMethodBeat.o(29466);
    }

    public void onDestroy() {
        AppMethodBeat.i(29467);
        com.tencent.mm.blink.a.HL();
        super.onDestroy();
        HomeUI homeUI = this.yjJ;
        homeUI.yiP.dyy();
        if (homeUI.yiO != null) {
            h hVar = homeUI.yiO;
            com.tencent.mm.sdk.b.a.xxA.d(hVar.yif);
            com.tencent.mm.sdk.b.a.xxA.d(hVar.yig);
        }
        if (homeUI.yiv) {
            Looper.myQueue().removeIdleHandler(homeUI.jQs);
        }
        NewChattingTabUI newChattingTabUI = this.chattingTabUI;
        if (!(newChattingTabUI.mPrepareBitmap == null || newChattingTabUI.mPrepareBitmap.isRecycled())) {
            ab.i("MicroMsg.LauncherUI.NewChattingTabUI", "bitmap recycle %s", new Object[]{newChattingTabUI.mPrepareBitmap.toString()});
            newChattingTabUI.mPrepareBitmap.recycle();
        }
        al.af(newChattingTabUI.mStartChattingRunnable);
        Looper.myQueue().removeIdleHandler(newChattingTabUI.ypi);
        dxF();
        ab.i("MicroMsg.LauncherUI", "checktask onDestroy 0x%x, taskid %d, task:%s, instancesize %d", new Object[]{Integer.valueOf(hashCode()), Integer.valueOf(getTaskId()), bo.gU(this), Integer.valueOf(yjE.size())});
        AppMethodBeat.o(29467);
    }

    private void aR(Intent intent) {
        AppMethodBeat.i(29468);
        int a = w.a(intent, "update_type", -1);
        if (a == -1) {
            ab.e("MicroMsg.LauncherUI", "showUpdateDialog is true, but updateType is -1");
            AppMethodBeat.o(29468);
            return;
        }
        com.tencent.mm.plugin.report.service.h.pYm.a(405, 28, 1, true);
        if (com.tencent.mm.plugin.p.d.bQU() != null) {
            com.tencent.mm.plugin.p.a c = com.tencent.mm.plugin.p.d.bQU().c(this, null);
            if (c == null) {
                AppMethodBeat.o(29468);
                return;
            } else {
                com.tencent.mm.plugin.report.service.h.pYm.a(405, a == 2 ? 29 : 30, 1, true);
                c.update(a);
            }
        }
        AppMethodBeat.o(29468);
    }

    public void finish() {
        AppMethodBeat.i(29469);
        super.finish();
        dxF();
        ab.i("MicroMsg.LauncherUI", "checktask Launcherui onfinish 0x%x,instance size %d, stack: %s", new Object[]{Integer.valueOf(hashCode()), Integer.valueOf(yjE.size()), bo.dpG()});
        AppMethodBeat.o(29469);
    }

    public void onSwipe(float f) {
        AppMethodBeat.i(29470);
        if (this.yjL && !this.chattingTabUI.bo(f)) {
            super.onSwipe(f);
        }
        AppMethodBeat.o(29470);
    }

    public void onSettle(boolean z, int i) {
        AppMethodBeat.i(29471);
        if (this.yjL && !this.chattingTabUI.G(z, i)) {
            super.onSettle(z, i);
        }
        AppMethodBeat.o(29471);
    }

    public boolean forceRemoveNoMatchOnPath() {
        return true;
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        boolean z;
        int i;
        AppMethodBeat.i(29472);
        if (this.chattingTabUI.dxM()) {
            NewChattingTabUI newChattingTabUI = this.chattingTabUI;
            if (keyEvent.getKeyCode() == 4 && keyEvent.getAction() == 0) {
                al.af(newChattingTabUI.mStartChattingRunnable);
            }
            if (newChattingTabUI.isAnimating) {
                z = true;
            } else {
                z = newChattingTabUI.ypn.onKeyDown(keyEvent.getKeyCode(), keyEvent);
            }
            if (z) {
                AppMethodBeat.o(29472);
                return true;
            }
        }
        HomeUI homeUI = this.yjJ;
        ab.i("MicroMsg.LauncherUI.HomeUI", "ui group onKeyDown, code:%d action:%d", new Object[]{Integer.valueOf(keyEvent.getKeyCode()), Integer.valueOf(keyEvent.getAction())});
        com.tencent.mm.compatible.b.g.KO();
        com.tencent.mm.compatible.b.g.KO();
        if (keyEvent.getKeyCode() == 4 && keyEvent.getAction() == 1 && homeUI.yiD != null && homeUI.yiD.isShowing()) {
            homeUI.yiD.dismiss();
            i = 1;
        } else if (keyEvent.getKeyCode() == 82 && keyEvent.getAction() == 1) {
            homeUI.dxj();
            i = 1;
        } else {
            MMFragment dyx = homeUI.yiP.dyx();
            if (dyx == null || !dyx.onKeyDown(keyEvent.getKeyCode(), keyEvent)) {
                if (keyEvent.getKeyCode() == 4 && keyEvent.getAction() == 0) {
                    if (aw.RK() && g.RN().eJb && at.isWap(homeUI.yhZ) && MMAppMgr.c(homeUI.yhZ, new HomeUI$18(homeUI))) {
                        i = 1;
                    } else {
                        int backgroundLimitType = at.getBackgroundLimitType(homeUI.yhZ);
                        if (aw.RK() && g.RN().eJb && at.isLimited(backgroundLimitType)) {
                            aw.ZK();
                            if (ah.d((Boolean) com.tencent.mm.model.c.Ry().get(16385, null)) && MMAppMgr.a(homeUI.yhZ, backgroundLimitType, new 19(homeUI, backgroundLimitType), new 20(homeUI))) {
                                i = 1;
                            }
                        }
                        homeUI.dwf();
                    }
                }
                i = 0;
            } else {
                i = 1;
            }
        }
        if (i != 0) {
            AppMethodBeat.o(29472);
            return true;
        }
        try {
            z = super.dispatchKeyEvent(keyEvent);
            AppMethodBeat.o(29472);
            return z;
        } catch (Exception e) {
            ab.w("MicroMsg.LauncherUI", "dispatch key event catch exception %s", new Object[]{e.getMessage()});
            ab.printErrStackTrace("MicroMsg.LauncherUI", e, BuildConfig.FLAVOR, new Object[0]);
            AppMethodBeat.o(29472);
            return false;
        }
    }

    /* Access modifiers changed, original: protected */
    public void onRestoreInstanceState(Bundle bundle) {
        AppMethodBeat.i(29473);
        super.onRestoreInstanceState(bundle);
        this.chattingTabUI.ypk = bundle.getString("last_restore_talker");
        ab.i("MicroMsg.LauncherUI.NewChattingTabUI", "onRestoreInstanceState:%s", new Object[]{r0.ypk});
        AppMethodBeat.o(29473);
    }

    public void onSaveInstanceState(Bundle bundle) {
        AppMethodBeat.i(29474);
        NewChattingTabUI newChattingTabUI = this.chattingTabUI;
        if (newChattingTabUI.ypn != null) {
            String talkerUserName = newChattingTabUI.ypn.cgL.getTalkerUserName();
            if (!ah.isNullOrNil(talkerUserName)) {
                ab.i("MicroMsg.LauncherUI.NewChattingTabUI", "onSaveInstanceState:%s", new Object[]{talkerUserName});
                bundle.putString("last_restore_talker", talkerUserName);
            }
        }
        AppMethodBeat.o(29474);
    }

    public boolean onOptionsItemSelected(MenuItem menuItem) {
        boolean z = false;
        AppMethodBeat.i(29475);
        HomeUI homeUI = this.yjJ;
        MMFragment currentFragmet = homeUI.yhZ.getCurrentFragmet();
        if ((currentFragmet == null || !currentFragmet.isShowing()) && !homeUI.yiN.dxM()) {
            if (menuItem.getItemId() == 2) {
                com.tencent.mm.plugin.report.service.h.pYm.X(10919, "0");
                homeUI.dxj();
            } else if (menuItem.getItemId() == 1) {
                homeUI.dxl();
            } else if (menuItem.getItemId() == 5) {
                if (com.tencent.mm.sdk.a.b.dnO() || ae.gjs) {
                    j jVar = new j(homeUI.yhZ);
                    jVar.rBl = new 10(homeUI);
                    jVar.rBm = new 11(homeUI);
                    jVar.cuu();
                } else {
                    homeUI.dxm();
                }
            }
            z = true;
        }
        if (z) {
            AppMethodBeat.o(29475);
            return true;
        }
        boolean onOptionsItemSelected = super.onOptionsItemSelected(menuItem);
        AppMethodBeat.o(29475);
        return onOptionsItemSelected;
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        AppMethodBeat.i(29476);
        if (this.chattingTabUI.dxM()) {
            AppMethodBeat.o(29476);
            return false;
        }
        HomeUI homeUI = this.yjJ;
        if (homeUI.yiN == null || homeUI.yiN.dxM()) {
            AppMethodBeat.o(29476);
            return false;
        }
        homeUI.yjf = menu;
        int height = homeUI.yhZ.getSupportActionBar().getHeight();
        int am = com.tencent.mm.bz.a.am(homeUI.yhZ, 2131427600);
        if (homeUI.yiP.mbt == 3 && com.tencent.mm.plugin.story.api.n.isShowStoryCheck()) {
            homeUI.yje = menu.add(0, 5, 0, 2131304084);
            if (homeUI.yja == null) {
                homeUI.yja = com.tencent.mm.kiss.a.b.SM().a(homeUI.yhZ, "R.layout.actionbar_menu", 2130968614);
                homeUI.yja.setLayoutParams(new ViewGroup.LayoutParams(am, height));
                homeUI.yja.setBackgroundResource(2130837630);
                homeUI.yja.setMinimumHeight(height);
                homeUI.yja.setMinimumWidth(am);
                homeUI.yja.setOnLongClickListener(new 3(homeUI));
                homeUI.yja.setOnClickListener(new 4(homeUI));
            }
            com.tencent.mm.plugin.story.g.h hVar;
            if (homeUI.yiT) {
                homeUI.yja.findViewById(2131820972).setVisibility(0);
                hVar = com.tencent.mm.plugin.story.g.h.scu;
                com.tencent.mm.plugin.story.g.h.lo(1);
            } else {
                homeUI.yja.findViewById(2131820972).setVisibility(8);
                hVar = com.tencent.mm.plugin.story.g.h.scu;
                com.tencent.mm.plugin.story.g.h.lo(0);
            }
            homeUI.yje.setActionView(homeUI.yja);
            homeUI.dxu();
            homeUI.dxk();
        } else {
            int dimensionPixelSize;
            if (height == 0) {
                DisplayMetrics displayMetrics = homeUI.yhZ.getResources().getDisplayMetrics();
                dimensionPixelSize = displayMetrics.widthPixels > displayMetrics.heightPixels ? homeUI.yhZ.getResources().getDimensionPixelSize(2131427562) : homeUI.yhZ.getResources().getDimensionPixelSize(2131427563);
            } else {
                dimensionPixelSize = height;
            }
            homeUI.yjb = menu.add(0, 1, 0, 2131304082);
            homeUI.yjb.setIcon(2131230741);
            if (homeUI.qlP) {
                homeUI.yjb.setIcon(2131230748);
            }
            if (homeUI.yfm == null) {
                ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(am, dimensionPixelSize);
                homeUI.yfm = com.tencent.mm.kiss.a.b.SM().a(homeUI.yhZ, "R.layout.actionview_with_dot_tips", 2130968621);
                homeUI.yiZ = (ImageView) homeUI.yfm.findViewById(2131820915);
                homeUI.yfm.setLayoutParams(layoutParams);
                homeUI.yfm.setBackgroundResource(2130837630);
                homeUI.yfm.setMinimumHeight(dimensionPixelSize);
                homeUI.yfm.setMinimumWidth(am);
                homeUI.yiZ.setImageResource(2131230741);
                homeUI.yfm.setOnClickListener(new 5(homeUI));
                homeUI.yfm.post(new HomeUI.6(homeUI));
            }
            android.support.v4.view.g.a(homeUI.yjb, homeUI.yfm);
            homeUI.yjc = menu.add(0, 2, 0, 2131304081);
            if (homeUI.yiW == null) {
                ViewGroup.LayoutParams layoutParams2 = new ViewGroup.LayoutParams(am, dimensionPixelSize);
                homeUI.yiW = com.tencent.mm.kiss.a.b.SM().a(homeUI.yhZ, "R.layout.actionview_with_dot_tips", 2130968621);
                homeUI.yiX = (ImageView) homeUI.yiW.findViewById(2131820915);
                homeUI.yiY = homeUI.yiW.findViewById(2131820972);
                homeUI.yiW.setLayoutParams(layoutParams2);
                homeUI.yiW.setBackgroundResource(2130837630);
                homeUI.yiW.setMinimumHeight(dimensionPixelSize);
                homeUI.yiW.setMinimumWidth(am);
                homeUI.yiX.setImageResource(2131231436);
                homeUI.yiW.setContentDescription(homeUI.getString(2131304081));
                homeUI.yiW.setOnClickListener(new 7(homeUI));
                homeUI.yiW.post(new 8(homeUI));
            }
            if (homeUI.qlP && homeUI.yiX != null) {
                homeUI.yiX.getDrawable().setColorFilter(-1, Mode.SRC_ATOP);
            }
            com.tencent.mm.blink.b.HQ().o(new HomeUI$9(homeUI));
            homeUI.yjc.setActionView(homeUI.yiW);
            homeUI.dxk();
            homeUI.yiW.getLayoutParams().width = am;
            homeUI.yiW.getLayoutParams().height = dimensionPixelSize;
        }
        ab.v("MicroMsg.LauncherUI.HomeUI", "onCreateOptionsMenu");
        AppMethodBeat.o(29476);
        return true;
    }

    public void onConfigurationChanged(Configuration configuration) {
        AppMethodBeat.i(29477);
        super.onConfigurationChanged(configuration);
        HomeUI homeUI = this.yjJ;
        f.b(homeUI.yhZ, homeUI.contentView);
        AppMethodBeat.o(29477);
    }

    public ActionMode onWindowStartingActionMode(Callback callback) {
        ActionMode actionMode = null;
        AppMethodBeat.i(29478);
        NewChattingTabUI newChattingTabUI = this.chattingTabUI;
        if (!(newChattingTabUI.ypn == null || newChattingTabUI.ypn.dBO() == null || !newChattingTabUI.ypn.isSupportCustomActionBar() || com.tencent.mm.compatible.util.d.iX(22))) {
            ActionMode startActionMode = newChattingTabUI.ypn.dBO().startActionMode(callback);
            if (startActionMode != null) {
                actionMode = startActionMode;
            }
        }
        if (actionMode == null) {
            actionMode = super.onWindowStartingActionMode(callback);
        }
        AppMethodBeat.o(29478);
        return actionMode;
    }

    public MMFragment getCurrentFragmet() {
        MMFragment mMFragment;
        AppMethodBeat.i(29479);
        NewChattingTabUI newChattingTabUI = this.chattingTabUI;
        if (newChattingTabUI.mChattingClosed) {
            mMFragment = null;
        } else {
            mMFragment = newChattingTabUI.ypn;
        }
        if (mMFragment == null) {
            mMFragment = super.getCurrentFragmet();
        }
        AppMethodBeat.o(29479);
        return mMFragment;
    }

    public HomeUI getHomeUI() {
        return this.yjJ;
    }

    public static void ho(Context context) {
        AppMethodBeat.i(29480);
        Intent intent = new Intent(context, LauncherUI.class);
        intent.addFlags(67108864);
        context.startActivity(intent);
        AppMethodBeat.o(29480);
    }

    public final void startChatting(String str, Bundle bundle, boolean z) {
        AppMethodBeat.i(29481);
        this.yjJ.dxn();
        this.chattingTabUI.startChatting(str, bundle, z);
        AppMethodBeat.o(29481);
    }

    public final void closeChatting(boolean z) {
        AppMethodBeat.i(29482);
        5 5 = new 5(this);
        if (this.chattingTabUI.pW(z)) {
            this.yjJ.pI(this.chattingTabUI.ypn.isSupportCustomActionBar());
            this.yjJ.getMainTabUI().dyG();
        }
        AppMethodBeat.o(29482);
    }
}
