package com.tencent.qqmusic.mediaplayer.audioplaylist.charsetdetector;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.qqmusic.mediaplayer.audioplaylist.charsetdetector.CharsetRecog_sbcs.NGramParser;
import org.xwalk.core.XWalkEnvironment;

class CharsetRecog_sbcs$NGramParser_IBM420 extends NGramParser {
    protected static byte[] unshapeMap = new byte[]{(byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 64, (byte) 66, (byte) 66, (byte) 68, (byte) 69, (byte) 70, (byte) 71, (byte) 71, (byte) 73, (byte) 74, (byte) 75, (byte) 76, (byte) 77, (byte) 78, (byte) 79, (byte) 80, (byte) 73, (byte) 82, (byte) 83, (byte) 84, (byte) 85, (byte) 86, (byte) 86, (byte) 88, (byte) 88, (byte) 90, (byte) 91, (byte) 92, (byte) 93, (byte) 94, (byte) 95, (byte) 96, (byte) 97, (byte) 98, (byte) 99, (byte) 99, (byte) 101, (byte) 101, (byte) 103, (byte) 103, (byte) 105, (byte) 106, (byte) 107, (byte) 108, (byte) 109, (byte) 110, (byte) 111, (byte) 105, (byte) 113, (byte) 113, (byte) 115, (byte) 116, (byte) 117, (byte) 118, (byte) 119, (byte) 119, (byte) 121, (byte) 122, (byte) 123, (byte) 124, (byte) 125, (byte) 126, Byte.MAX_VALUE, Byte.MIN_VALUE, (byte) -127, (byte) -126, (byte) -125, (byte) -124, (byte) -123, (byte) -122, (byte) -121, (byte) -120, (byte) -119, Byte.MIN_VALUE, (byte) -117, (byte) -117, (byte) -115, (byte) -115, (byte) -113, (byte) -112, (byte) -111, (byte) -110, (byte) -109, (byte) -108, (byte) -107, (byte) -106, (byte) -105, (byte) -104, (byte) -103, (byte) -102, (byte) -102, (byte) -102, (byte) -102, (byte) -98, (byte) -98, (byte) -98, (byte) -95, (byte) -94, (byte) -93, (byte) -92, (byte) -91, (byte) -90, (byte) -89, (byte) -88, (byte) -87, (byte) -98, (byte) -85, (byte) -85, (byte) -83, (byte) -83, (byte) -81, (byte) -81, (byte) -79, (byte) -78, (byte) -77, (byte) -76, (byte) -75, (byte) -74, (byte) -73, (byte) -72, (byte) -71, (byte) -79, (byte) -69, (byte) -69, (byte) -67, (byte) -67, (byte) -65, (byte) -64, (byte) -63, (byte) -62, (byte) -61, (byte) -60, (byte) -59, (byte) -58, (byte) -57, (byte) -56, (byte) -55, (byte) -54, (byte) -65, (byte) -52, (byte) -65, (byte) -50, (byte) -49, (byte) -48, (byte) -47, (byte) -46, (byte) -45, (byte) -44, (byte) -43, (byte) -42, (byte) -41, (byte) -40, (byte) -39, (byte) -38, (byte) -38, (byte) -36, (byte) -36, (byte) -36, (byte) -33, (byte) -32, (byte) -31, (byte) -30, (byte) -29, (byte) -28, (byte) -27, (byte) -26, (byte) -25, (byte) -24, (byte) -23, (byte) -22, (byte) -21, (byte) -20, (byte) -19, (byte) -18, (byte) -17, (byte) -16, (byte) -15, (byte) -14, (byte) -13, (byte) -12, (byte) -11, (byte) -10, (byte) -9, (byte) -8, (byte) -7, (byte) -6, (byte) -5, (byte) -4, (byte) -3, (byte) -2, (byte) -1};
    private byte alef = (byte) 0;

    public CharsetRecog_sbcs$NGramParser_IBM420(int[] iArr, byte[] bArr) {
        super(iArr, bArr);
    }

    private byte isLamAlef(byte b) {
        if (b == (byte) -78 || b == (byte) -77) {
            return (byte) 71;
        }
        if (b == (byte) -76 || b == (byte) -75) {
            return (byte) 73;
        }
        if (b == (byte) -72 || b == (byte) -71) {
            return (byte) 86;
        }
        return (byte) 0;
    }

    private int nextByte(CharsetDetector charsetDetector) {
        AppMethodBeat.i(104760);
        if (this.byteIndex >= charsetDetector.fInputLen || charsetDetector.fInputBytes[this.byteIndex] == (byte) 0) {
            AppMethodBeat.o(104760);
            return -1;
        }
        int i;
        this.alef = isLamAlef(charsetDetector.fInputBytes[this.byteIndex]);
        if (this.alef != (byte) 0) {
            i = 177;
        } else {
            i = unshapeMap[charsetDetector.fInputBytes[this.byteIndex] & XWalkEnvironment.SDK_SUPPORT_INVOKE_RUNTIME_MIN_APKVERSION] & XWalkEnvironment.SDK_SUPPORT_INVOKE_RUNTIME_MIN_APKVERSION;
        }
        this.byteIndex++;
        AppMethodBeat.o(104760);
        return i;
    }

    /* Access modifiers changed, original: protected */
    public void parseCharacters(CharsetDetector charsetDetector) {
        AppMethodBeat.i(104761);
        Object obj = null;
        while (true) {
            int nextByte = nextByte(charsetDetector);
            if (nextByte >= 0) {
                byte b = this.byteMap[nextByte];
                if (b != (byte) 0) {
                    if (b != this.spaceChar || r0 == null) {
                        addByte(b);
                    }
                    obj = b == this.spaceChar ? 1 : null;
                }
                if (this.alef != (byte) 0) {
                    b = this.byteMap[this.alef & XWalkEnvironment.SDK_SUPPORT_INVOKE_RUNTIME_MIN_APKVERSION];
                    if (b != (byte) 0) {
                        if (b != this.spaceChar || obj == null) {
                            addByte(b);
                        }
                        if (b == this.spaceChar) {
                            obj = 1;
                        } else {
                            obj = null;
                        }
                    }
                }
            } else {
                AppMethodBeat.o(104761);
                return;
            }
        }
    }
}
