package com.tencent.smtt.sdk;

import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.smtt.sdk.TbsDownloader.TbsDownloaderCallback;
import com.tencent.smtt.utils.TbsLog;
import com.tencent.smtt.utils.k;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import com.tencent.tmassistantsdk.logreport.UpdateInfoReportManager$UpdateLogConst;
import java.io.FileOutputStream;
import java.nio.channels.FileLock;
import org.xwalk.core.XWalkEnvironment;

final class aj extends Handler {
    aj(Looper looper) {
        super(looper);
    }

    public final void handleMessage(Message message) {
        boolean z = true;
        AppMethodBeat.i(64346);
        switch (message.what) {
            case UpdateInfoReportManager$UpdateLogConst.ACTION_CHECKYYB_INSTALLED /*100*/:
                boolean z2 = message.arg1 == 1;
                boolean a = TbsDownloader.a(true, false);
                if (message.obj != null && (message.obj instanceof TbsDownloaderCallback)) {
                    TbsLog.i("TbsDownload", "needDownload-onNeedDownloadFinish needStartDownload=".concat(String.valueOf(a)));
                    Object obj = BuildConfig.FLAVOR;
                    if (!(TbsDownloader.a() == null || TbsDownloader.a().getApplicationContext() == null || TbsDownloader.a().getApplicationContext().getApplicationInfo() == null)) {
                        obj = TbsDownloader.a().getApplicationContext().getApplicationInfo().packageName;
                    }
                    if (!a || z2) {
                        ((TbsDownloaderCallback) message.obj).onNeedDownloadFinish(a, TbsDownloadConfig.getInstance(TbsDownloader.a()).mPreferences.getInt("tbs_download_version", 0));
                    } else if (XWalkEnvironment.MM_PACKAGE_NAME.equals(obj) || "com.tencent.mobileqq".equals(obj)) {
                        TbsLog.i("TbsDownload", "needDownload-onNeedDownloadFinish in mm or QQ callback needStartDownload = ".concat(String.valueOf(a)));
                        ((TbsDownloaderCallback) message.obj).onNeedDownloadFinish(a, TbsDownloadConfig.getInstance(TbsDownloader.a()).mPreferences.getInt("tbs_download_version", 0));
                    }
                }
                if (TbsShareManager.isThirdPartyApp(TbsDownloader.a()) && a) {
                    TbsDownloader.startDownload(TbsDownloader.a());
                    AppMethodBeat.o(64346);
                    return;
                }
                break;
            case UpdateInfoReportManager$UpdateLogConst.ACTION_START_DOWNLOAD /*101*/:
            case 108:
                FileOutputStream fileOutputStream = null;
                FileLock fileLock = null;
                if (!TbsShareManager.isThirdPartyApp(TbsDownloader.a())) {
                    fileOutputStream = k.b(TbsDownloader.a(), false, "tbs_download_lock_file" + TbsDownloadConfig.getInstance(TbsDownloader.a()).mPreferences.getInt("tbs_download_version", 0) + ".txt");
                    if (fileOutputStream != null) {
                        fileLock = k.a(TbsDownloader.a(), fileOutputStream);
                        if (fileLock == null) {
                            QbSdk.m.onDownloadFinish(177);
                            TbsLog.i("TbsDownload", "file lock locked,wx or qq is downloading");
                            TbsDownloadConfig.getInstance(TbsDownloader.a()).setDownloadInterruptCode(-203);
                            TbsLog.i("TbsDownload", "MSG_START_DOWNLOAD_DECOUPLECORE return #1");
                            AppMethodBeat.o(64346);
                            return;
                        }
                    } else if (k.a(TbsDownloader.a())) {
                        TbsDownloadConfig.getInstance(TbsDownloader.a()).setDownloadInterruptCode(-204);
                        TbsLog.i("TbsDownload", "MSG_START_DOWNLOAD_DECOUPLECORE return #2");
                        AppMethodBeat.o(64346);
                        return;
                    }
                }
                boolean z3 = message.arg1 == 1;
                TbsDownloadConfig instance = TbsDownloadConfig.getInstance(TbsDownloader.a());
                if (!TbsDownloader.a(false, z3, 108 == message.what)) {
                    QbSdk.m.onDownloadFinish(110);
                } else if (z3 && an.a().b(TbsDownloader.a(), TbsDownloadConfig.getInstance(TbsDownloader.a()).mPreferences.getInt("tbs_download_version", 0))) {
                    QbSdk.m.onDownloadFinish(122);
                    instance.setDownloadInterruptCode(-213);
                } else if (instance.mPreferences.getBoolean("tbs_needdownload", false)) {
                    TbsDownloadConfig.getInstance(TbsDownloader.a()).setDownloadInterruptCode(-215);
                    ag b = TbsDownloader.b();
                    if (108 != message.what) {
                        z = false;
                    }
                    b.b(z3, z);
                } else {
                    QbSdk.m.onDownloadFinish(110);
                }
                TbsLog.i("TbsDownload", "------freeFileLock called :");
                k.a(fileLock, fileOutputStream);
                AppMethodBeat.o(64346);
                return;
            case UpdateInfoReportManager$UpdateLogConst.ACTION_DOWNLOAD_SUCCESS /*102*/:
                TbsLog.i("TbsDownload", "[TbsDownloader.handleMessage] MSG_REPORT_DOWNLOAD_STAT");
                int a2 = TbsShareManager.isThirdPartyApp(TbsDownloader.a()) ? TbsShareManager.a(TbsDownloader.a(), false) : an.a().n(TbsDownloader.a());
                TbsLog.i("TbsDownload", "[TbsDownloader.handleMessage] localTbsVersion=".concat(String.valueOf(a2)));
                TbsDownloader.b().a(a2);
                TbsLogReport.getInstance(TbsDownloader.a()).dailyReport();
                AppMethodBeat.o(64346);
                return;
            case UpdateInfoReportManager$UpdateLogConst.ACTION_INSTALL_SUCCESS /*103*/:
                TbsLog.i("TbsDownload", "[TbsDownloader.handleMessage] MSG_CONTINUEINSTALL_TBSCORE");
                if (message.arg1 != 0) {
                    an.a().a((Context) message.obj, false);
                    break;
                }
                an.a().a((Context) message.obj, true);
                AppMethodBeat.o(64346);
                return;
            case UpdateInfoReportManager$UpdateLogConst.ACTION_POP_INSTALL_DIALOG /*104*/:
                TbsLog.i("TbsDownload", "[TbsDownloader.handleMessage] MSG_UPLOAD_TBSLOG");
                TbsLogReport.getInstance(TbsDownloader.a()).reportTbsLog();
                AppMethodBeat.o(64346);
                return;
        }
        AppMethodBeat.o(64346);
    }
}
