package android.support.design.internal;

import android.os.Bundle;
import android.support.design.internal.c.c;
import android.support.design.internal.c.d;
import android.support.design.internal.c.e;
import android.support.design.internal.c.f;
import android.support.design.internal.c.g;
import android.support.design.internal.c.j;
import android.support.v7.widget.RecyclerView.a;
import android.support.v7.widget.RecyclerView.v;
import android.util.SparseArray;
import android.view.SubMenu;
import android.view.View;
import java.util.ArrayList;

public class c$b extends a<j> {
    final /* synthetic */ c lT;
    private android.support.v7.view.menu.j lU;
    boolean lr;
    final ArrayList<d> mItems = new ArrayList();

    public final /* synthetic */ void a(v vVar) {
        j jVar = (j) vVar;
        if (jVar instanceof g) {
            NavigationMenuItemView navigationMenuItemView = (NavigationMenuItemView) jVar.apJ;
            if (navigationMenuItemView.lD != null) {
                navigationMenuItemView.lD.removeAllViews();
            }
            navigationMenuItemView.lC.setCompoundDrawables(null, null, null, null);
        }
    }

    public c$b(c cVar) {
        this.lT = cVar;
        bu();
    }

    public final long getItemId(int i) {
        return (long) i;
    }

    public final int getItemCount() {
        return this.mItems.size();
    }

    public final int getItemViewType(int i) {
        d dVar = (d) this.mItems.get(i);
        if (dVar instanceof e) {
            return 2;
        }
        if (dVar instanceof c) {
            return 3;
        }
        if (!(dVar instanceof f)) {
            throw new RuntimeException("Unknown item type.");
        } else if (((f) dVar).lV.hasSubMenu()) {
            return 1;
        } else {
            return 0;
        }
    }

    /* Access modifiers changed, original: final */
    public final void bu() {
        if (!this.lr) {
            this.lr = true;
            this.mItems.clear();
            this.mItems.add(new c());
            int i = -1;
            int i2 = 0;
            boolean z = false;
            int size = this.lT.lo.gB().size();
            int i3 = 0;
            while (i3 < size) {
                int i4;
                android.support.v7.view.menu.j jVar = (android.support.v7.view.menu.j) this.lT.lo.gB().get(i3);
                if (jVar.isChecked()) {
                    d(jVar);
                }
                if (jVar.isCheckable()) {
                    jVar.V(false);
                }
                int i5;
                if (jVar.hasSubMenu()) {
                    SubMenu subMenu = jVar.getSubMenu();
                    if (subMenu.hasVisibleItems()) {
                        if (i3 != 0) {
                            this.mItems.add(new e(this.lT.lS, 0));
                        }
                        this.mItems.add(new f(jVar));
                        Object obj = null;
                        int size2 = this.mItems.size();
                        int size3 = subMenu.size();
                        for (i5 = 0; i5 < size3; i5++) {
                            android.support.v7.view.menu.j jVar2 = (android.support.v7.view.menu.j) subMenu.getItem(i5);
                            if (jVar2.isVisible()) {
                                if (obj == null && jVar2.getIcon() != null) {
                                    obj = 1;
                                }
                                if (jVar2.isCheckable()) {
                                    jVar2.V(false);
                                }
                                if (jVar.isChecked()) {
                                    d(jVar);
                                }
                                this.mItems.add(new f(jVar2));
                            }
                        }
                        if (obj != null) {
                            k(size2, this.mItems.size());
                        }
                    }
                    i4 = i;
                } else {
                    int size4;
                    boolean z2;
                    i5 = jVar.getGroupId();
                    if (i5 != i) {
                        size4 = this.mItems.size();
                        z2 = jVar.getIcon() != null;
                        if (i3 != 0) {
                            size4++;
                            this.mItems.add(new e(this.lT.lS, this.lT.lS));
                        }
                    } else if (z || jVar.getIcon() == null) {
                        z2 = z;
                        size4 = i2;
                    } else {
                        z2 = true;
                        k(i2, this.mItems.size());
                        size4 = i2;
                    }
                    f fVar = new f(jVar);
                    fVar.lW = z2;
                    this.mItems.add(fVar);
                    z = z2;
                    i2 = size4;
                    i4 = i5;
                }
                i3++;
                i = i4;
            }
            this.lr = false;
        }
    }

    private void k(int i, int i2) {
        while (i < i2) {
            ((f) this.mItems.get(i)).lW = true;
            i++;
        }
    }

    public final void d(android.support.v7.view.menu.j jVar) {
        if (this.lU != jVar && jVar.isCheckable()) {
            if (this.lU != null) {
                this.lU.setChecked(false);
            }
            this.lU = jVar;
            jVar.setChecked(true);
        }
    }

    public final Bundle bv() {
        Bundle bundle = new Bundle();
        if (this.lU != null) {
            bundle.putInt("android:menu:checked", this.lU.getItemId());
        }
        SparseArray sparseArray = new SparseArray();
        int size = this.mItems.size();
        for (int i = 0; i < size; i++) {
            d dVar = (d) this.mItems.get(i);
            if (dVar instanceof f) {
                android.support.v7.view.menu.j jVar = ((f) dVar).lV;
                View actionView = jVar != null ? jVar.getActionView() : null;
                if (actionView != null) {
                    ParcelableSparseArray parcelableSparseArray = new ParcelableSparseArray();
                    actionView.saveHierarchyState(parcelableSparseArray);
                    sparseArray.put(jVar.getItemId(), parcelableSparseArray);
                }
            }
        }
        bundle.putSparseParcelableArray("android:menu:action_views", sparseArray);
        return bundle;
    }
}
