package com.eclipsesource.v8.debug;

import com.facebook.appevents.AppEventsConstants;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.io.IOException;
import java.io.InputStream;
import java.net.Socket;

class V8DebugServer$ClientLoop implements Runnable {
    private int from;
    final /* synthetic */ V8DebugServer this$0;

    private V8DebugServer$ClientLoop(V8DebugServer v8DebugServer) {
        this.this$0 = v8DebugServer;
    }

    public void run() {
        AppMethodBeat.i(74921);
        while (true) {
            try {
                Socket accept = V8DebugServer.access$600(this.this$0).accept();
                accept.setTcpNoDelay(true);
                synchronized (V8DebugServer.access$700(this.this$0)) {
                    V8DebugServer.access$802(this.this$0, accept);
                    V8DebugServer.access$902(this.this$0, false);
                    V8DebugServer.access$700(this.this$0).notifyAll();
                }
                startHandshake();
                processClientRequests();
            } catch (Exception e) {
                synchronized (V8DebugServer.access$700(this.this$0)) {
                    if (V8DebugServer.access$800(this.this$0) != null) {
                        try {
                            V8DebugServer.access$800(this.this$0).close();
                        } catch (IOException e2) {
                        }
                        V8DebugServer.access$802(this.this$0, null);
                    }
                    this.this$0.logError(e);
                }
            } catch (Throwable th) {
                while (true) {
                    AppMethodBeat.o(74921);
                }
            }
        }
    }

    private void startHandshake() {
        AppMethodBeat.i(74922);
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("V8-Version: ");
        stringBuilder.append("4.10.253");
        stringBuilder.append("\r\n");
        stringBuilder.append("Protocol-Version: ");
        stringBuilder.append(AppEventsConstants.EVENT_PARAM_VALUE_YES);
        stringBuilder.append("\r\n");
        stringBuilder.append("Embedding-Host: ");
        stringBuilder.append("j2v8 ");
        stringBuilder.append("4.0.0");
        stringBuilder.append("\r\n");
        stringBuilder.append("Type: ");
        stringBuilder.append("connect");
        stringBuilder.append("\r\n");
        V8DebugServer.access$1000(this.this$0, stringBuilder.toString(), "");
        AppMethodBeat.o(74922);
    }

    private void processClientRequests() {
        InputStream inputStream;
        AppMethodBeat.i(74923);
        byte[] bArr = new byte[0];
        byte[] bArr2 = new byte[4096];
        synchronized (V8DebugServer.access$700(this.this$0)) {
            try {
                inputStream = V8DebugServer.access$800(this.this$0).getInputStream();
            } finally {
                while (true) {
                }
                AppMethodBeat.o(74923);
            }
        }
        int i = -1;
        byte[] bArr3 = bArr;
        boolean z = false;
        int i2 = 0;
        while (true) {
            int read = inputStream.read(bArr2, i2, 4096 - i2);
            if (read <= 0) {
                break;
            }
            i2 += read;
            this.from = 0;
            do {
                if (i < 0) {
                    i = readContentLength(bArr2, i2);
                    if (i < 0) {
                        break;
                    }
                }
                if (!z) {
                    z = skipToolInfo(bArr2, i2);
                    if (!z) {
                        break;
                    }
                }
                read = Math.min(i - bArr3.length, i2 - this.from);
                bArr3 = join(bArr3, bArr2, this.from, read);
                this.from = read + this.from;
                if (bArr3.length == i) {
                    String str = new String(bArr3, V8DebugServer.access$1100());
                    synchronized (V8DebugServer.access$1200(this.this$0)) {
                        try {
                            V8DebugServer.access$1200(this.this$0).add(str);
                        } catch (Throwable th) {
                            while (true) {
                                AppMethodBeat.o(74923);
                            }
                        }
                    }
                    i = -1;
                    bArr3 = bArr;
                    z = false;
                }
            } while (this.from < i2);
            if (this.from < i2) {
                System.arraycopy(bArr2, this.from, bArr2, 0, i2 - this.from);
                i2 -= this.from;
            } else {
                i2 = 0;
            }
        }
    }

    private int readContentLength(byte[] bArr, int i) {
        int i2 = -1;
        AppMethodBeat.i(74924);
        int indexOf = indexOf(V8DebugServer.access$1300(), bArr, this.from, i);
        if (indexOf < 0) {
            AppMethodBeat.o(74924);
        } else {
            indexOf += V8DebugServer.access$1300().length;
            int indexOf2 = indexOf(V8DebugServer.access$1400(), bArr, indexOf, i);
            if (indexOf2 < 0) {
                AppMethodBeat.o(74924);
            } else {
                String str = new String(bArr, indexOf, indexOf2 - indexOf, V8DebugServer.access$1100());
                try {
                    i2 = Integer.parseInt(str.trim());
                    this.from = V8DebugServer.access$1400().length + indexOf2;
                    AppMethodBeat.o(74924);
                } catch (Exception e) {
                    IOException iOException = new IOException("Invalid content length header: '" + str + "' in message" + new String(bArr, V8DebugServer.access$1100()));
                    AppMethodBeat.o(74924);
                    throw iOException;
                }
            }
        }
        return i2;
    }

    private boolean skipToolInfo(byte[] bArr, int i) {
        AppMethodBeat.i(74925);
        int indexOf = indexOf(V8DebugServer.access$1400(), bArr, this.from, i);
        if (indexOf < 0) {
            AppMethodBeat.o(74925);
            return false;
        }
        this.from = indexOf + V8DebugServer.access$1400().length;
        AppMethodBeat.o(74925);
        return true;
    }

    private int indexOf(byte[] bArr, byte[] bArr2, int i, int i2) {
        int length = bArr.length;
        int i3 = i;
        while (i3 < i2) {
            int i4 = 0;
            while (i4 <= length) {
                if (i4 != length) {
                    if (i3 + i4 >= i2 || bArr2[i3 + i4] != bArr[i4]) {
                        break;
                    }
                    i4++;
                } else {
                    return i3;
                }
            }
            i3++;
        }
        return -1;
    }

    private byte[] join(byte[] bArr, byte[] bArr2, int i, int i2) {
        AppMethodBeat.i(74926);
        byte[] bArr3 = new byte[(bArr.length + i2)];
        System.arraycopy(bArr, 0, bArr3, 0, bArr.length);
        System.arraycopy(bArr2, i, bArr3, bArr.length, i2);
        AppMethodBeat.o(74926);
        return bArr3;
    }
}
