package com.facebook.share.model;

import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import com.facebook.internal.Utility;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class CameraEffectTextures$Builder implements ShareModelBuilder<CameraEffectTextures, CameraEffectTextures$Builder> {
    private Bundle textures = new Bundle();

    public CameraEffectTextures$Builder() {
        AppMethodBeat.i(97357);
        AppMethodBeat.o(97357);
    }

    public CameraEffectTextures$Builder putTexture(String str, Bitmap bitmap) {
        AppMethodBeat.i(97358);
        CameraEffectTextures$Builder putParcelableTexture = putParcelableTexture(str, bitmap);
        AppMethodBeat.o(97358);
        return putParcelableTexture;
    }

    public CameraEffectTextures$Builder putTexture(String str, Uri uri) {
        AppMethodBeat.i(97359);
        CameraEffectTextures$Builder putParcelableTexture = putParcelableTexture(str, uri);
        AppMethodBeat.o(97359);
        return putParcelableTexture;
    }

    private CameraEffectTextures$Builder putParcelableTexture(String str, Parcelable parcelable) {
        AppMethodBeat.i(97360);
        if (!(Utility.isNullOrEmpty(str) || parcelable == null)) {
            this.textures.putParcelable(str, parcelable);
        }
        AppMethodBeat.o(97360);
        return this;
    }

    public CameraEffectTextures$Builder readFrom(CameraEffectTextures cameraEffectTextures) {
        AppMethodBeat.i(97361);
        if (cameraEffectTextures != null) {
            this.textures.putAll(CameraEffectTextures.access$100(cameraEffectTextures));
        }
        AppMethodBeat.o(97361);
        return this;
    }

    public CameraEffectTextures$Builder readFrom(Parcel parcel) {
        AppMethodBeat.i(97362);
        CameraEffectTextures$Builder readFrom = readFrom((CameraEffectTextures) parcel.readParcelable(CameraEffectTextures.class.getClassLoader()));
        AppMethodBeat.o(97362);
        return readFrom;
    }

    public CameraEffectTextures build() {
        AppMethodBeat.i(97363);
        CameraEffectTextures cameraEffectTextures = new CameraEffectTextures(this, null);
        AppMethodBeat.o(97363);
        return cameraEffectTextures;
    }
}
