package com.tencent.mm.plugin.appbrand.jsapi.file;

import android.content.Intent;
import android.net.Uri;
import android.os.Build.VERSION;
import android.webkit.ValueCallback;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask.ProcessRequest;
import com.tencent.mm.plugin.appbrand.jsapi.file.JsApiOpenDocument.OpenRequest;
import com.tencent.mm.plugin.appbrand.jsapi.file.JsApiOpenDocument.OpenResult;
import com.tencent.mm.pluginsdk.model.p;
import com.tencent.mm.sdk.f.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.g;
import java.io.File;

final class JsApiOpenDocument$a extends AppBrandProxyUIProcessTask {
    private static final int hJQ = (JsApiOpenDocument$a.class.hashCode() & 65535);

    private JsApiOpenDocument$a() {
    }

    static /* synthetic */ void b(JsApiOpenDocument$a jsApiOpenDocument$a) {
        AppMethodBeat.i(131066);
        jsApiOpenDocument$a.a(null);
        AppMethodBeat.o(131066);
    }

    static {
        AppMethodBeat.i(131067);
        AppMethodBeat.o(131067);
    }

    private void cf(String str, String str2) {
        AppMethodBeat.i(131061);
        String anI = b.anI(str2);
        OpenResult openResult = new OpenResult();
        try {
            Intent intent = new Intent();
            intent.setPackage(null);
            intent.setAction("android.intent.action.VIEW");
            intent.setDataAndType(Uri.fromFile(new File(str)), anI);
            intent.addFlags(268435456);
            int i = VERSION.SDK_INT;
            intent.addFlags(524288);
            aBQ().startActivity(intent);
            openResult.ret = 0;
        } catch (Exception e) {
            ab.e("MicroMsg.AppBrand.JsApiOpenDocument", "start outer view with mime(%s), e = %s", new Object[]{anI, e});
            openResult.ret = 2147483646;
            al.d(new 1(this));
        }
        a(openResult);
        AppMethodBeat.o(131061);
    }

    public final void a(ProcessRequest processRequest) {
        AppMethodBeat.i(131062);
        String str = ((OpenRequest) processRequest).filePath;
        String str2 = ((OpenRequest) processRequest).eov;
        String num = Integer.toString(aBQ().hashCode());
        if (g.dnY()) {
            cf(str, str2);
            AppMethodBeat.o(131062);
            return;
        }
        int a = p.a(aBQ(), str, str2, num, new ValueCallback<String>() {
            public final /* synthetic */ void onReceiveValue(Object obj) {
                AppMethodBeat.i(131060);
                ab.i("MicroMsg.AppBrand.JsApiOpenDocument", "QB openReadFile, receiveValue = %s", new Object[]{(String) obj});
                if ("fileReaderClosed".equals((String) obj) && !JsApiOpenDocument$a.a(JsApiOpenDocument$a.this)) {
                    JsApiOpenDocument$a.b(JsApiOpenDocument$a.this);
                }
                AppMethodBeat.o(131060);
            }
        });
        ab.i("MicroMsg.AppBrand.JsApiOpenDocument", "QB openReadFile, ret = %d", new Object[]{Integer.valueOf(a)});
        if (a == -102) {
            try {
                cf(str, str2);
                AppMethodBeat.o(131062);
                return;
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.AppBrand.JsApiOpenDocument", e, " openOuterAppDirectly exp = %s ", new Object[]{e});
            }
        }
        OpenResult openResult = new OpenResult();
        openResult.ret = a;
        if (openResult.ret != 0) {
            a(openResult);
            AppMethodBeat.o(131062);
            return;
        }
        if (this.hvt != null) {
            this.hvt.b(openResult);
        }
        AppMethodBeat.o(131062);
    }

    public final void aBX() {
        AppMethodBeat.i(131063);
        super.aBX();
        aBQ().getWindow().setBackgroundDrawableResource(2131690597);
        AppMethodBeat.o(131063);
    }

    public final void c(int i, int i2, Intent intent) {
        AppMethodBeat.i(131064);
        if (hJQ == i) {
            OpenResult openResult = new OpenResult();
            if (-1 == i2) {
                openResult.ret = 0;
            } else {
                openResult.ret = Integer.MAX_VALUE;
            }
            a(openResult);
            AppMethodBeat.o(131064);
            return;
        }
        a(null);
        AppMethodBeat.o(131064);
    }
}
