package com.tencent.mm.plugin.appbrand.ui;

import android.app.Activity;
import android.app.ActivityManager.TaskDescription;
import android.content.ContentResolver;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.pm.ActivityInfo;
import android.content.res.Configuration;
import android.net.Uri;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Handler;
import android.provider.Settings.System;
import android.util.Pair;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.WindowManager;
import android.widget.FrameLayout;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.modelstat.d;
import com.tencent.mm.plugin.appbrand.app.AppBrandProcessSuicideLogic;
import com.tencent.mm.plugin.appbrand.app.b;
import com.tencent.mm.plugin.appbrand.b.e;
import com.tencent.mm.plugin.appbrand.config.AppBrandInitConfig;
import com.tencent.mm.plugin.appbrand.config.AppBrandInitConfigWC;
import com.tencent.mm.plugin.appbrand.config.a.b.2;
import com.tencent.mm.plugin.appbrand.g;
import com.tencent.mm.plugin.appbrand.g$d;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProcessProxyUI;
import com.tencent.mm.plugin.appbrand.k.3;
import com.tencent.mm.plugin.appbrand.l;
import com.tencent.mm.plugin.appbrand.launching.AppBrandLaunchProxyUI;
import com.tencent.mm.plugin.appbrand.o;
import com.tencent.mm.plugin.appbrand.p;
import com.tencent.mm.plugin.appbrand.report.AppBrandStatObject;
import com.tencent.mm.plugin.appbrand.task.i;
import com.tencent.mm.plugin.appbrand.widget.input.a.1;
import com.tencent.mm.plugin.appbrand.widget.input.am;
import com.tencent.mm.plugin.appbrand.widget.input.n;
import com.tencent.mm.sdk.h.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.ae;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.base.h;
import java.util.Iterator;

@a(1)
public class AppBrandUI extends MMActivity implements android.support.v4.app.a.a, s, t {
    private i gOD = new 5(this);
    private final com.tencent.mm.plugin.appbrand.widget.input.a iIN = new com.tencent.mm.plugin.appbrand.widget.input.a(this);
    private boolean iIO = false;
    l iIP;
    private m iIQ;
    private e iIR;
    private Intent iIS = null;
    private boolean iIT = false;
    private boolean iIU = false;
    private boolean iIV = false;
    private Configuration iIW = null;
    public boolean iIX = false;
    private Boolean iIY;

    public AppBrandUI() {
        AppMethodBeat.i(133126);
        AppMethodBeat.o(133126);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(133127);
        b.auF();
        this.iIT = !b.auE();
        try {
            super.onCreate(bundle);
            if (getIntent() == null) {
                ab.e("MicroMsg.AppBrandUI", "onCreate %d, null intent", new Object[]{Integer.valueOf(hashCode())});
                finish();
                AppMethodBeat.o(133127);
                return;
            }
            ab.i("MicroMsg.AppBrandUI", "onCreate %d, intent.flags = %d", new Object[]{Integer.valueOf(hashCode()), Integer.valueOf(getIntent().getFlags())});
            this.iIW = new Configuration(getResources().getConfiguration());
            com.tencent.mm.plugin.appbrand.widget.input.a aVar = this.iIN;
            FrameLayout aLY = this.gOD.aLY();
            if (!(aVar.activity == null || aVar.activity.getWindow() == null || aLY == null || aLY.getParent() == null || !(aLY.getParent() instanceof ViewGroup))) {
                aVar.jde = true;
                ViewGroup viewGroup = (ViewGroup) aLY.getParent();
                viewGroup.removeView(aLY);
                n nVar = new n(aVar.activity, aLY);
                viewGroup.addView(nVar, new LayoutParams(-1, -1));
                if (VERSION.SDK_INT < 20) {
                    Activity activity = aVar.activity;
                    if (c.dqy() && activity.getResources().getConfiguration().orientation != 2) {
                        activity.getWindow().setFlags(1024, 1024);
                        activity.getWindow().addFlags(2048);
                        viewGroup.setPadding(0, ae.getStatusBarHeight(activity), 0, 0);
                    }
                    aVar.a(nVar);
                }
                if (com.tencent.mm.plugin.appbrand.widget.input.a.jdd && com.tencent.mm.plugin.appbrand.widget.input.a.dp(aVar.activity)) {
                    am.a(viewGroup, new 1(aVar));
                }
            }
            this.iIP = new l(this.gOD);
            this.iIQ = new 1(this, this, this.iIP);
            m mVar = this.iIQ;
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.intent.action.SCREEN_OFF");
            try {
                ah.getContext().registerReceiver(mVar.gWT, intentFilter);
            } catch (Exception e) {
                ab.e("MicroMsg.BaseAppBrandUIScreenOffReceiver", "register screen off receiver e = ".concat(String.valueOf(e)));
            }
            this.iIR = new 2(this, this);
            e eVar = this.iIR;
            intentFilter = new IntentFilter();
            intentFilter.addAction("android.intent.action.CLOSE_SYSTEM_DIALOGS");
            try {
                ah.getContext().registerReceiver(eVar.receiver, intentFilter);
            } catch (Exception e2) {
                ab.e("MicroMsg.BaseAppBrandUIHomePressReceiver", "register screen off receiver e = ".concat(String.valueOf(e2)));
            }
            ae.hD(this);
            com.tencent.mm.plugin.appbrand.config.a.a t = com.tencent.mm.plugin.appbrand.config.a.a.t(this);
            ab.i("MicroMsg.AppBrandDeviceOrientationHandler", "init");
            synchronized (t) {
                try {
                    t.mFinished = false;
                } finally {
                    while (true) {
                    }
                    AppMethodBeat.o(133127);
                }
            }
            this.iIS = getIntent();
        } catch (Throwable th) {
            ab.printErrStackTrace("MicroMsg.AppBrandUI", th, "%s.onCreate", new Object[]{getLocalClassName()});
            finish();
            AppMethodBeat.o(133127);
        }
    }

    private void aMs() {
        AppMethodBeat.i(133128);
        ab.i("MicroMsg.AppBrandUI", "%s.closeIfNoActiveRuntimes %d,", new Object[]{getLocalClassName(), Integer.valueOf(this.iIP == null ? -1 : this.iIP.atw())});
        if (this.iIP instanceof l) {
            this.iIP.atC();
            AppMethodBeat.o(133128);
            return;
        }
        if (r0 <= 0) {
            finish();
        }
        AppMethodBeat.o(133128);
    }

    public void onNewIntent(Intent intent) {
        int i = 1;
        AppMethodBeat.i(133129);
        ab.i("MicroMsg.AppBrandUI", "onNewIntent %s, %d", new Object[]{intent, Integer.valueOf(hashCode())});
        try {
            super.onNewIntent(intent);
            this.iIX = true;
            if (intent != null && intent.getBooleanExtra("key_appbrand_bring_ui_to_front", false)) {
                aMs();
                AppMethodBeat.o(133129);
            } else if (intent == null) {
                AppMethodBeat.o(133129);
            } else {
                if (intent.getParcelableExtra("key_appbrand_init_config") == null) {
                    i = 0;
                }
                if (i == 0) {
                    com.tencent.mm.plugin.appbrand.i atv = this.iIP == null ? null : this.iIP.atv();
                    if (atv == null || !g.wS(atv.mAppId)) {
                        AppMethodBeat.o(133129);
                        return;
                    } else {
                        AppMethodBeat.o(133129);
                        return;
                    }
                }
                this.iIS = intent;
                AppMethodBeat.o(133129);
            }
        } catch (Throwable th) {
            ab.printErrStackTrace("MicroMsg.AppBrandUI", th, "%s.onNewIntent", new Object[]{getLocalClassName()});
            aMs();
            AppMethodBeat.o(133129);
        }
    }

    public final void aBS() {
    }

    /* Access modifiers changed, original: protected */
    /* JADX WARNING: Removed duplicated region for block: B:7:0x0018 A:{SKIP} */
    public void J(android.content.Intent r12) {
        /*
        r11 = this;
        r3 = 0;
        r10 = 133130; // 0x2080a float:1.86555E-40 double:6.5775E-319;
        r9 = 0;
        r8 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r1 = K(r12);	 Catch:{ Exception -> 0x0031 }
        r0 = r1.first;	 Catch:{ Exception -> 0x0031 }
        r0 = (com.tencent.mm.plugin.appbrand.config.AppBrandInitConfigWC) r0;	 Catch:{ Exception -> 0x0031 }
        r1 = r1.second;	 Catch:{ Exception -> 0x0187 }
        r1 = (com.tencent.mm.plugin.appbrand.report.AppBrandStatObject) r1;	 Catch:{ Exception -> 0x0187 }
        r2 = r0;
    L_0x0016:
        if (r2 == 0) goto L_0x001e;
    L_0x0018:
        if (r1 == 0) goto L_0x001e;
    L_0x001a:
        r0 = r2.hgF;
        if (r0 != 0) goto L_0x0043;
    L_0x001e:
        r0 = r11.iIP;
        if (r0 == 0) goto L_0x002a;
    L_0x0022:
        r0 = r11.iIP;
        r0 = r0.atv();
        if (r0 != 0) goto L_0x002d;
    L_0x002a:
        r11.finish();
    L_0x002d:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x0030:
        return;
    L_0x0031:
        r0 = move-exception;
        r1 = r0;
        r2 = r3;
    L_0x0034:
        r0 = "MicroMsg.AppBrandUI";
        r4 = "getParcelable: %s";
        r5 = new java.lang.Object[r8];
        r5[r9] = r1;
        com.tencent.mm.sdk.platformtools.ab.e(r0, r4, r5);
        r1 = r3;
        goto L_0x0016;
    L_0x0043:
        r0 = r12.getFlags();
        r4 = 1048576; // 0x100000 float:1.469368E-39 double:5.180654E-318;
        r0 = r0 & r4;
        if (r0 <= 0) goto L_0x0085;
    L_0x004c:
        r4 = com.tencent.mm.sdk.platformtools.bo.anU();
        r2.startTime = r4;
        r2.hgP = r8;
    L_0x0054:
        r0 = r11.iIT;	 Catch:{ Throwable -> 0x0168 }
        if (r0 == 0) goto L_0x005c;
    L_0x0058:
        r0 = r11.iIU;	 Catch:{ Throwable -> 0x0168 }
        if (r0 == 0) goto L_0x0088;
    L_0x005c:
        r0 = "MicroMsg.AppBrandUI";
        r4 = "load() config %s , stat %s";
        r5 = 2;
        r5 = new java.lang.Object[r5];
        r5[r9] = r2;
        r5[r8] = r1;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r4, r5);
        r0 = r2.xy();
        if (r0 == 0) goto L_0x0075;
    L_0x0072:
        com.tencent.mm.plugin.webview.ui.tools.widget.o.JV(r8);
    L_0x0075:
        r0 = r11.iIP;
        r0.a(r3, r2, r1);
        r0 = r11.getIntent();
        r11.initActivityOpenAnimation(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x0030;
    L_0x0085:
        r2.hgP = r9;
        goto L_0x0054;
    L_0x0088:
        r0 = r2.hgN;	 Catch:{ Throwable -> 0x0168 }
        if (r0 == 0) goto L_0x005c;
    L_0x008c:
        r0 = 1;
        r11.iIU = r0;	 Catch:{ Throwable -> 0x0168 }
        r0 = new com.tencent.mm.g.b.a.bt;	 Catch:{ Throwable -> 0x0168 }
        r0.<init>();	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.hgN;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4.igT;	 Catch:{ Throwable -> 0x0168 }
        r0.gt(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.appId;	 Catch:{ Throwable -> 0x0168 }
        r0.gu(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.axy;	 Catch:{ Throwable -> 0x0168 }
        r4 = (long) r4;	 Catch:{ Throwable -> 0x0168 }
        r0.ddd = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.gVs;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4 + 1;
        r4 = com.tencent.mm.g.b.a.bt.a.gU(r4);	 Catch:{ Throwable -> 0x0168 }
        r0.ddS = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.bQe;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4 + 1000;
        r4 = (long) r4;	 Catch:{ Throwable -> 0x0168 }
        r0.ddz = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = r1.scene;	 Catch:{ Throwable -> 0x0168 }
        r4 = (long) r4;	 Catch:{ Throwable -> 0x0168 }
        r0.cVR = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.hgK;	 Catch:{ Throwable -> 0x0168 }
        r0.dF(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = com.tencent.mm.kernel.a.a.eKO;	 Catch:{ Throwable -> 0x0168 }
        r0.dG(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = r0.ddC;	 Catch:{ Throwable -> 0x0168 }
        r6 = r0.ddB;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4 - r6;
        r0.dE(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.hgP;	 Catch:{ Throwable -> 0x0168 }
        r4 = (long) r4;	 Catch:{ Throwable -> 0x0168 }
        r0.ddT = r4;	 Catch:{ Throwable -> 0x0168 }
        r0.ajK();	 Catch:{ Throwable -> 0x0168 }
        r0 = new com.tencent.mm.g.b.a.bu;	 Catch:{ Throwable -> 0x0168 }
        r0.<init>();	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.hgN;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4.igT;	 Catch:{ Throwable -> 0x0168 }
        r0.gv(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.appId;	 Catch:{ Throwable -> 0x0168 }
        r0.gw(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.axy;	 Catch:{ Throwable -> 0x0168 }
        r4 = (long) r4;	 Catch:{ Throwable -> 0x0168 }
        r0.ddd = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.gVs;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4 + 1;
        r4 = com.tencent.mm.g.b.a.bu.a.gV(r4);	 Catch:{ Throwable -> 0x0168 }
        r0.ddY = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.bQe;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4 + 1000;
        r4 = (long) r4;	 Catch:{ Throwable -> 0x0168 }
        r0.ddz = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = r1.scene;	 Catch:{ Throwable -> 0x0168 }
        r4 = (long) r4;	 Catch:{ Throwable -> 0x0168 }
        r0.cVR = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = com.tencent.mm.plugin.appbrand.a.a.gQJ;	 Catch:{ Throwable -> 0x0168 }
        r0.dI(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = com.tencent.mm.plugin.appbrand.a.a.gQK;	 Catch:{ Throwable -> 0x0168 }
        r0.dJ(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = r0.ddC;	 Catch:{ Throwable -> 0x0168 }
        r6 = r0.ddB;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4 - r6;
        r0.dH(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = com.tencent.mm.plugin.appbrand.ui.AppBrandUI.6.iJa;	 Catch:{ Throwable -> 0x0168 }
        r5 = com.tencent.xweb.WebView.getCurWebType();	 Catch:{ Throwable -> 0x0168 }
        r5 = r5.ordinal();	 Catch:{ Throwable -> 0x0168 }
        r4 = r4[r5];	 Catch:{ Throwable -> 0x0168 }
        switch(r4) {
            case 1: goto L_0x0178;
            case 2: goto L_0x017d;
            case 3: goto L_0x0182;
            default: goto L_0x0122;
        };	 Catch:{ Throwable -> 0x0168 }
    L_0x0122:
        r0.ajK();	 Catch:{ Throwable -> 0x0168 }
        r0 = new com.tencent.mm.g.b.a.bq;	 Catch:{ Throwable -> 0x0168 }
        r0.<init>();	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.hgN;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4.igT;	 Catch:{ Throwable -> 0x0168 }
        r0.gn(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.appId;	 Catch:{ Throwable -> 0x0168 }
        r0.go(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.axy;	 Catch:{ Throwable -> 0x0168 }
        r4 = (long) r4;	 Catch:{ Throwable -> 0x0168 }
        r0.ddd = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.gVs;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4 + 1;
        r4 = com.tencent.mm.g.b.a.bq$a.gR(r4);	 Catch:{ Throwable -> 0x0168 }
        r0.ddy = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = r2.bQe;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4 + 1000;
        r4 = (long) r4;	 Catch:{ Throwable -> 0x0168 }
        r0.ddz = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = r1.scene;	 Catch:{ Throwable -> 0x0168 }
        r4 = (long) r4;	 Catch:{ Throwable -> 0x0168 }
        r0.cVR = r4;	 Catch:{ Throwable -> 0x0168 }
        r4 = com.tencent.mm.kernel.a.a.eKO;	 Catch:{ Throwable -> 0x0168 }
        r0.dx(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = com.tencent.mm.plugin.appbrand.a.a.gQI;	 Catch:{ Throwable -> 0x0168 }
        r0.dy(r4);	 Catch:{ Throwable -> 0x0168 }
        r4 = r0.ddC;	 Catch:{ Throwable -> 0x0168 }
        r6 = r0.ddB;	 Catch:{ Throwable -> 0x0168 }
        r4 = r4 - r6;
        r0.dw(r4);	 Catch:{ Throwable -> 0x0168 }
        r0.ajK();	 Catch:{ Throwable -> 0x0168 }
        goto L_0x005c;
    L_0x0168:
        r0 = move-exception;
        r4 = "MicroMsg.AppBrandUI";
        r5 = "reportProcessColdStart %s";
        r6 = new java.lang.Object[r8];
        r6[r9] = r0;
        com.tencent.mm.sdk.platformtools.ab.w(r4, r5, r6);
        goto L_0x005c;
    L_0x0178:
        r4 = 3;
        r0.dbX = r4;	 Catch:{ Throwable -> 0x0168 }
        goto L_0x0122;
    L_0x017d:
        r4 = 4;
        r0.dbX = r4;	 Catch:{ Throwable -> 0x0168 }
        goto L_0x0122;
    L_0x0182:
        r4 = 2;
        r0.dbX = r4;	 Catch:{ Throwable -> 0x0168 }
        goto L_0x0122;
    L_0x0187:
        r1 = move-exception;
        r2 = r0;
        goto L_0x0034;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.appbrand.ui.AppBrandUI.J(android.content.Intent):void");
    }

    private static Pair<AppBrandInitConfigWC, AppBrandStatObject> K(Intent intent) {
        AppMethodBeat.i(138698);
        Bundle extras = intent.getExtras();
        NullPointerException nullPointerException;
        if (extras == null) {
            nullPointerException = new NullPointerException("intent.getExtras() returns NULL");
            AppMethodBeat.o(138698);
            throw nullPointerException;
        }
        extras.setClassLoader(AppBrandInitConfigWC.class.getClassLoader());
        AppBrandInitConfigWC appBrandInitConfigWC = (AppBrandInitConfigWC) extras.getParcelable("key_appbrand_init_config");
        extras.setClassLoader(AppBrandStatObject.class.getClassLoader());
        AppBrandStatObject appBrandStatObject = (AppBrandStatObject) extras.getParcelable("key_appbrand_stat_object");
        if (appBrandInitConfigWC == null) {
            nullPointerException = new NullPointerException("config is NULL");
            AppMethodBeat.o(138698);
            throw nullPointerException;
        } else if (appBrandStatObject == null) {
            nullPointerException = new NullPointerException("stat is NULL");
            AppMethodBeat.o(138698);
            throw nullPointerException;
        } else {
            Pair create = Pair.create(appBrandInitConfigWC, appBrandStatObject);
            AppMethodBeat.o(138698);
            return create;
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        AppMethodBeat.i(133131);
        ab.i("MicroMsg.AppBrandUI", "onConfigurationChanged newConfig: %s", new Object[]{Integer.valueOf(configuration.orientation)});
        super.onConfigurationChanged(configuration);
        if (configuration.smallestScreenWidthDp != this.iIW.smallestScreenWidthDp) {
            ab.i("MicroMsg.AppBrandUI", "onConfigurationChanged by fold or unfold, last.smallestScreenWidthDp[%d], new.smallestScreenWidthDp[%d]", new Object[]{Integer.valueOf(this.iIW.smallestScreenWidthDp), Integer.valueOf(configuration.smallestScreenWidthDp)});
            try {
                Pair K = K(getIntent());
                AppBrandInitConfigWC appBrandInitConfigWC = (AppBrandInitConfigWC) K.first;
                AppBrandStatObject appBrandStatObject = (AppBrandStatObject) K.second;
                appBrandInitConfigWC.hgK = bo.anU();
                appBrandInitConfigWC.startTime = bo.anU();
                Intent intent = getIntent();
                intent.putExtra("key_appbrand_init_config", appBrandInitConfigWC);
                intent.putExtra("key_appbrand_stat_object", appBrandStatObject);
                AppBrandProcessSuicideLogic.auG();
                recreate();
                AppMethodBeat.o(133131);
                return;
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.AppBrandUI", e, "onConfigurationChanged by fold or unfold", new Object[0]);
                finish();
                AppMethodBeat.o(133131);
                return;
            }
        }
        this.iIW = new Configuration(configuration);
        com.tencent.mm.plugin.appbrand.widget.input.a aVar = this.iIN;
        if (configuration != null) {
            ab.i("MicroMsg.AppBrandFixInputIssuesActivityHelper", "onActivityConfigurationChanged, orientation %d", new Object[]{Integer.valueOf(configuration.orientation)});
            aVar.aQi();
        }
        this.iIP.onConfigurationChanged(configuration);
        com.tencent.mm.plugin.appbrand.config.a.a t = com.tencent.mm.plugin.appbrand.config.a.a.t(this);
        if (t.hiH != null) {
            al.d(new 2(t.hiH));
            t.hiH = null;
        }
        t.hiG = configuration.orientation;
        ab.i("MicroMsg.AppBrandDeviceOrientationHandler", "onConfigurationChanged  " + t.hiG);
        t.a(t.G(t.hiG, com.tencent.mm.plugin.appbrand.config.a.a.ayQ()));
        com.tencent.mm.plugin.appbrand.i atv = this.iIP.atv();
        if (atv != null) {
            try {
                atv.asV().getCurrentPage().onConfigurationChanged(configuration);
                AppMethodBeat.o(133131);
                return;
            } catch (NullPointerException e2) {
            }
        }
        AppMethodBeat.o(133131);
    }

    public void onEnterAnimationComplete() {
        AppMethodBeat.i(133132);
        ab.i("MicroMsg.AppBrandUI", "onEnterAnimationComplete");
        this.iIV = false;
        AppMethodBeat.o(133132);
    }

    public void onWindowAttributesChanged(WindowManager.LayoutParams layoutParams) {
        AppMethodBeat.i(133133);
        super.onWindowAttributesChanged(layoutParams);
        com.tencent.mm.plugin.appbrand.widget.input.a aVar = this.iIN;
        if (layoutParams == null) {
            AppMethodBeat.o(133133);
            return;
        }
        ab.i("MicroMsg.AppBrandFixInputIssuesActivityHelper", "onActivityWindowAttributesChanged, oldFlags %d, newFlags %d", new Object[]{Integer.valueOf(aVar.jdf), Integer.valueOf(layoutParams.flags)});
        if (layoutParams.flags != aVar.jdf) {
            aVar.jdf = layoutParams.flags;
            aVar.aQi();
        }
        AppMethodBeat.o(133133);
    }

    public void startActivityForResult(Intent intent, int i, Bundle bundle) {
        Object obj = 1;
        AppMethodBeat.i(133134);
        Object obj2 = (intent == null || (intent.getFlags() & 268435456) <= 0) ? null : 1;
        if (intent == null || !com.tencent.mm.plugin.appbrand.s.e.c(intent.getComponent()).equals(com.tencent.mm.plugin.appbrand.s.e.c(getComponentName()))) {
            obj = null;
        }
        boolean B = AppBrandProcessProxyUI.B(intent);
        boolean D = AppBrandLaunchProxyUI.D(intent);
        boolean I = AppBrandEmbedUI.I(intent);
        if (this.iIP.atv() != null) {
            String str = this.iIP.atv().mAppId;
            if (D || I) {
                g.a(str, g$d.LAUNCH_MINI_PROGRAM);
            } else if ((obj2 == null || obj != null || B) && g$d.HIDE == g.wV(str)) {
                g.a(str, g$d.LAUNCH_NATIVE_PAGE);
            }
        }
        try {
            ((o) this.iIP.atv()).atJ().getReporter().F(intent);
        } catch (Exception e) {
        }
        super.startActivityForResult(intent, i, bundle);
        AppMethodBeat.o(133134);
    }

    public void onStart() {
        AppMethodBeat.i(133135);
        super.onStart();
        ab.i("MicroMsg.AppBrandUI", "onStart");
        AppMethodBeat.o(133135);
    }

    public void onWindowFocusChanged(boolean z) {
        AppMethodBeat.i(133136);
        super.onWindowFocusChanged(z);
        ab.i("MicroMsg.AppBrandUI", "onWindowFocusChanged %b", new Object[]{Boolean.valueOf(z)});
        if (!z) {
            this.iIX = false;
        }
        AppMethodBeat.at(this, z);
        AppMethodBeat.o(133136);
    }

    public void onResume() {
        AppMethodBeat.i(133137);
        super.onResume();
        ab.i("MicroMsg.AppBrandUI", "onResume %d", new Object[]{Integer.valueOf(hashCode())});
        if (VERSION.SDK_INT < 21) {
            try {
                this.mController.contentView.getViewTreeObserver().addOnPreDrawListener(new 3(this));
            } catch (Exception e) {
                ab.w("MicroMsg.AppBrandUI", "onResume addOnPreDrawListener failed, invoke onEnterAnimationComplete() directly");
                onEnterAnimationComplete();
            }
        }
        boolean z = this.iIO;
        this.iIO = false;
        if (this.iIS != null) {
            setIntent(this.iIS);
            J(this.iIS);
            this.iIS = null;
        } else {
            int i;
            if (!aLZ() || z) {
                i = 0;
            } else {
                i = 2;
            }
            o oVar = (o) this.iIP.atv();
            if (oVar != null) {
                ab.i("MicroMsg.AppBrandUI", "onResume, appId = %s, systemRecentsReason = %d", new Object[]{oVar.mAppId, Integer.valueOf(i)});
                oVar.atI().hgP = i;
            }
        }
        this.iIP.onResume();
        com.tencent.mm.plugin.appbrand.config.a.a t = com.tencent.mm.plugin.appbrand.config.a.a.t(this);
        t.a(t.hiE, null);
        ContentResolver contentResolver = ah.getContext().getApplicationContext().getContentResolver();
        Uri uriFor = System.getUriFor("accelerometer_rotation");
        t.hiD = new com.tencent.mm.plugin.appbrand.config.a.a.1(t, new Handler());
        try {
            contentResolver.registerContentObserver(uriFor, false, t.hiD);
        } catch (Throwable th) {
            ab.printErrStackTrace("MicroMsg.AppBrandDeviceOrientationHandler", th, "registerContentObserver [Settings.System.ACCELEROMETER_ROTATION] ", new Object[0]);
        }
        try {
            if (this.iIP.atv() != null) {
                d.b(3, "AppBrandUI_" + this.iIP.atv().mAppId, hashCode());
            }
        } catch (Throwable th2) {
            ab.printErrStackTrace("MicroMsg.AppBrandUI", th2, "[oneliang]AppBrandUI click flow exception.", new Object[0]);
        }
        if (p.k(this.iIP.atv())) {
            com.tencent.mm.plugin.webview.ui.tools.widget.o.JV(1);
            com.tencent.mm.plugin.normsg.a.b.oTO.fu("ce_mg", this.iIP.atv().mAppId);
        }
        AppMethodBeat.o(133137);
    }

    public void onPause() {
        AppMethodBeat.i(133138);
        super.onPause();
        ab.i("MicroMsg.AppBrandUI", "onPause %d", new Object[]{Integer.valueOf(hashCode())});
        this.iIV = true;
        l lVar = this.iIP;
        com.tencent.luggage.g.d.i("MicroMsg.AppBrandRuntimeContainer", "onPause tid = %d", new Object[]{Long.valueOf(Thread.currentThread().getId())});
        lVar.gNy.runOnUiThread(new 3(lVar));
        com.tencent.mm.plugin.appbrand.config.a.a t = com.tencent.mm.plugin.appbrand.config.a.a.t(this);
        if (t.hiD != null) {
            try {
                ah.getContext().getContentResolver().unregisterContentObserver(t.hiD);
            } catch (Throwable th) {
                ab.printErrStackTrace("MicroMsg.AppBrandDeviceOrientationHandler", th, "unregisterContentObserver", new Object[0]);
            }
        }
        try {
            if (this.iIP.atv() != null) {
                d.b(4, "AppBrandUI_" + this.iIP.atv().mAppId, hashCode());
            }
        } catch (Throwable th2) {
            ab.printErrStackTrace("MicroMsg.AppBrandUI", th2, "[oneliang]AppBrandUI click flow exception.", new Object[0]);
        }
        if (p.k(this.iIP.atv())) {
            com.tencent.mm.plugin.webview.ui.tools.widget.o.JV(2);
            if (com.tencent.mm.plugin.normsg.a.b.oTO.TO("ce_mg")) {
                com.tencent.mm.plugin.normsg.a.b.oTO.TN("ce_mg");
            }
            byte[] TP = com.tencent.mm.plugin.normsg.a.b.oTO.TP("ce_mg");
            if (TP != null) {
                com.tencent.mm.plugin.secinforeport.a.d.qjp.o(540999682, TP);
            }
        }
        AppMethodBeat.o(133138);
    }

    public boolean initNavigationSwipeBack() {
        return false;
    }

    public final void initActivityOpenAnimation(Intent intent) {
        AppBrandInitConfigWC appBrandInitConfigWC;
        AppBrandStatObject appBrandStatObject;
        AppMethodBeat.i(133139);
        if (intent != null && intent.getComponent() != null && intent.getComponent().getClassName().endsWith(getLocalClassName())) {
            try {
                appBrandInitConfigWC = (AppBrandInitConfigWC) intent.getParcelableExtra("key_appbrand_init_config");
                try {
                    appBrandStatObject = (AppBrandStatObject) intent.getParcelableExtra("key_appbrand_stat_object");
                } catch (Exception e) {
                    appBrandStatObject = null;
                    try {
                        e(appBrandInitConfigWC, appBrandStatObject);
                        AppMethodBeat.o(133139);
                        return;
                    } catch (Exception e2) {
                        ab.e("MicroMsg.AppBrandUI", "initAppBrandUIOpenAnimation, e = %s", new Object[]{e2});
                    }
                }
            } catch (Exception e3) {
                appBrandInitConfigWC = null;
                appBrandStatObject = null;
                e(appBrandInitConfigWC, appBrandStatObject);
                AppMethodBeat.o(133139);
                return;
            }
            if (!(appBrandStatObject == null || appBrandInitConfigWC == null)) {
                e(appBrandInitConfigWC, appBrandStatObject);
            }
            AppMethodBeat.o(133139);
            return;
        } else if (!(intent == null || intent.getComponent() == null || !com.tencent.mm.ui.base.b.aqN(com.tencent.mm.ui.base.b.d(intent.getComponent())))) {
            com.tencent.mm.ui.base.b.hN(this);
            AppMethodBeat.o(133139);
            return;
        }
        super.initActivityOpenAnimation(intent);
        AppMethodBeat.o(133139);
    }

    public void initActivityCloseAnimation() {
        AppMethodBeat.i(133140);
        ((u) com.tencent.luggage.a.e.B(u.class)).k(this);
        AppMethodBeat.o(133140);
    }

    /* Access modifiers changed, original: protected|final */
    public final void aMt() {
        AppMethodBeat.i(133142);
        super.finish();
        AppMethodBeat.o(133142);
    }

    public void finish() {
        AppMethodBeat.i(133143);
        if (isFinishing() || this.uiu) {
            AppMethodBeat.o(133143);
            return;
        }
        try {
            if (VERSION.SDK_INT >= 21) {
                super.finishAndRemoveTask();
            } else {
                super.finish();
            }
            initActivityCloseAnimation();
            AppMethodBeat.o(133143);
        } catch (Exception e) {
            ab.e("MicroMsg.AppBrandUI", "finish e = %s", new Object[]{e});
            getIntent().removeExtra("android.view.autofill.extra.RESTORE_SESSION_TOKEN");
            super.finishAndRemoveTask();
            AppMethodBeat.o(133143);
        } catch (Throwable th) {
            ab.e("MicroMsg.AppBrandUI", "finish api27 fallback, thr = %s", new Object[]{th});
            AppMethodBeat.o(133143);
        }
    }

    public boolean moveTaskToBack(boolean z) {
        AppMethodBeat.i(133144);
        try {
            boolean moveTaskToBack = super.moveTaskToBack(z);
            initActivityCloseAnimation();
            AppMethodBeat.o(133144);
            return moveTaskToBack;
        } catch (NullPointerException e) {
            finish();
            AppMethodBeat.o(133144);
            return true;
        }
    }

    /* JADX WARNING: Missing block: B:49:?, code skipped:
            return;
     */
    /* JADX WARNING: Missing block: B:50:?, code skipped:
            return;
     */
    public void onDestroy() {
        /*
        r7 = this;
        r2 = 1;
        r4 = 0;
        r6 = 133145; // 0x20819 float:1.86576E-40 double:6.57824E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r6);
        super.onDestroy();
        r0 = "MicroMsg.AppBrandUI";
        r1 = "onDestroy %d";
        r2 = new java.lang.Object[r2];
        r3 = r7.hashCode();
        r3 = java.lang.Integer.valueOf(r3);
        r2[r4] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r2);
        r1 = r7.iIP;
        r0 = new java.util.LinkedList;
        r0.<init>();
        r2 = r1.gOB;
        r0.addAll(r2);
        r2 = r1.gOC;
        r2 = r2.values();
        r0.addAll(r2);
        r1.atx();
        r2 = r0.iterator();
    L_0x003c:
        r0 = r2.hasNext();
        if (r0 == 0) goto L_0x004e;
    L_0x0042:
        r0 = r2.next();
        r0 = (com.tencent.mm.plugin.appbrand.i) r0;
        r0.gNT = r4;
        r1.f(r0);
        goto L_0x003c;
    L_0x004e:
        r0 = "MicroMsg.AppBrandRuntimeContainer";
        r1 = "cleanup";
        com.tencent.luggage.g.d.i(r0, r1);
        r0 = r7.iIR;
        if (r0 == 0) goto L_0x0066;
    L_0x005b:
        r0 = r7.iIR;
        r1 = com.tencent.mm.sdk.platformtools.ah.getContext();	 Catch:{ Exception -> 0x0099 }
        r0 = r0.receiver;	 Catch:{ Exception -> 0x0099 }
        r1.unregisterReceiver(r0);	 Catch:{ Exception -> 0x0099 }
    L_0x0066:
        r0 = r7.iIQ;
        if (r0 == 0) goto L_0x0075;
    L_0x006a:
        r0 = r7.iIQ;
        r1 = com.tencent.mm.sdk.platformtools.ah.getContext();	 Catch:{ Exception -> 0x00ac }
        r0 = r0.gWT;	 Catch:{ Exception -> 0x00ac }
        r1.unregisterReceiver(r0);	 Catch:{ Exception -> 0x00ac }
    L_0x0075:
        r1 = com.tencent.mm.plugin.appbrand.config.a.a.t(r7);
        r0 = "MicroMsg.AppBrandDeviceOrientationHandler";
        r2 = "release";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2);
        monitor-enter(r1);
        r0 = r1.hiA;	 Catch:{ all -> 0x00fd }
        if (r0 != 0) goto L_0x00bf;
    L_0x0087:
        r0 = r1.hiB;	 Catch:{ all -> 0x00fd }
        if (r0 != 0) goto L_0x00bf;
    L_0x008b:
        r0 = "MicroMsg.AppBrandDeviceOrientationHandler";
        r2 = "Every request is executed well";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2);	 Catch:{ all -> 0x00fd }
        monitor-exit(r1);	 Catch:{ all -> 0x00fd }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
    L_0x0098:
        return;
    L_0x0099:
        r0 = move-exception;
        r1 = "MicroMsg.BaseAppBrandUIHomePressReceiver";
        r2 = "unregister screen off receiver e = ";
        r0 = java.lang.String.valueOf(r0);
        r0 = r2.concat(r0);
        com.tencent.mm.sdk.platformtools.ab.e(r1, r0);
        goto L_0x0066;
    L_0x00ac:
        r0 = move-exception;
        r1 = "MicroMsg.BaseAppBrandUIScreenOffReceiver";
        r2 = "unregister screen off receiver e = ";
        r0 = java.lang.String.valueOf(r0);
        r0 = r2.concat(r0);
        com.tencent.mm.sdk.platformtools.ab.e(r1, r0);
        goto L_0x0075;
    L_0x00bf:
        r0 = "MicroMsg.AppBrandDeviceOrientationHandler";
        r2 = "Still has request not executed current[%s] pending[%s]";
        r3 = 2;
        r3 = new java.lang.Object[r3];	 Catch:{ all -> 0x00fd }
        r4 = 0;
        r5 = r1.hiA;	 Catch:{ all -> 0x00fd }
        r3[r4] = r5;	 Catch:{ all -> 0x00fd }
        r4 = 1;
        r5 = r1.hiB;	 Catch:{ all -> 0x00fd }
        r3[r4] = r5;	 Catch:{ all -> 0x00fd }
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2, r3);	 Catch:{ all -> 0x00fd }
        r0 = 0;
        r1.hiA = r0;	 Catch:{ all -> 0x00fd }
        r0 = 0;
        r1.hiB = r0;	 Catch:{ all -> 0x00fd }
        r0 = 1;
        r1.mFinished = r0;	 Catch:{ all -> 0x00fd }
        r2 = com.tencent.mm.plugin.appbrand.config.a.a.hiz;	 Catch:{ all -> 0x00fd }
        monitor-enter(r2);	 Catch:{ all -> 0x00fd }
        r0 = com.tencent.mm.plugin.appbrand.config.a.a.hiz;	 Catch:{ all -> 0x00f4 }
        r0 = r0.indexOfValue(r1);	 Catch:{ all -> 0x00f4 }
        if (r0 < 0) goto L_0x00ee;
    L_0x00e9:
        r3 = com.tencent.mm.plugin.appbrand.config.a.a.hiz;	 Catch:{ all -> 0x00f4 }
        r3.removeAt(r0);	 Catch:{ all -> 0x00f4 }
    L_0x00ee:
        monitor-exit(r2);	 Catch:{ all -> 0x00f4 }
        monitor-exit(r1);	 Catch:{ all -> 0x00fd }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        goto L_0x0098;
    L_0x00f4:
        r0 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x00f4 }
        r2 = 133145; // 0x20819 float:1.86576E-40 double:6.57824E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ all -> 0x00fd }
        throw r0;	 Catch:{ all -> 0x00fd }
    L_0x00fd:
        r0 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x00fd }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.appbrand.ui.AppBrandUI.onDestroy():void");
    }

    public void onBackPressed() {
        AppMethodBeat.i(133146);
        ab.i("MicroMsg.AppBrandUI", "onBackPressed %d, mEatOnBackPressed[%b]", new Object[]{Integer.valueOf(hashCode()), Boolean.valueOf(this.iIV)});
        if (this.iIV) {
            AppMethodBeat.o(133146);
            return;
        }
        this.iIP.onBackPressed();
        AppMethodBeat.o(133146);
    }

    public final void onCreateBeforeSetContentView() {
        AppMethodBeat.i(133147);
        super.onCreateBeforeSetContentView();
        supportRequestWindowFeature(10);
        supportRequestWindowFeature(1);
        com.tencent.mm.plugin.appbrand.widget.input.a aVar = this.iIN;
        if (aVar.activity == null || aVar.activity.getWindow() == null) {
            AppMethodBeat.o(133147);
            return;
        }
        aVar.activity.getWindow().setSoftInputMode(16);
        AppMethodBeat.o(133147);
    }

    public final boolean noActionBar() {
        return true;
    }

    public final int getLayoutId() {
        return -1;
    }

    public final boolean needShowIdcError() {
        return false;
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        AppMethodBeat.i(133148);
        Iterator it = this.iIP.gOB.iterator();
        while (it.hasNext()) {
            com.tencent.mm.plugin.appbrand.permission.n.a(((com.tencent.mm.plugin.appbrand.i) it.next()).mAppId, i, strArr, iArr);
        }
        com.tencent.luggage.g.e ax = com.tencent.luggage.g.e.ax(this);
        com.tencent.luggage.g.e.c cVar = (com.tencent.luggage.g.e.c) ax.bRD.get(i);
        ax.bRD.delete(i);
        if (cVar != null) {
            ((com.tencent.luggage.g.e.d) cVar).l(iArr);
        }
        AppMethodBeat.o(133148);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(133149);
        super.onActivityResult(i, i2, intent);
        com.tencent.luggage.g.e.ax(this).onActivityResult(i, i2, intent);
        if (i2 == 5) {
            h.a(this, intent.getStringExtra("key_jsapi_pay_err_msg"), "", getString(2131296583), false, new OnClickListener() {
                public final void onClick(DialogInterface dialogInterface, int i) {
                }
            });
        }
        AppMethodBeat.o(133149);
    }

    public final boolean aLZ() {
        boolean z = true;
        AppMethodBeat.i(133150);
        if (this.iIY != null) {
            z = this.iIY.booleanValue();
            AppMethodBeat.o(133150);
            return z;
        }
        ActivityInfo activityInfo;
        try {
            activityInfo = ah.getContext().getPackageManager().getActivityInfo(getComponentName(), 128);
        } catch (Exception e) {
            ab.e("MicroMsg.AppBrandUI", "runInStandaloneTask, resolve info e = %s", new Object[]{e});
            activityInfo = null;
        }
        if (activityInfo == null) {
            AppMethodBeat.o(133150);
            return true;
        }
        if (ah.getPackageName().equals(activityInfo.taskAffinity)) {
            z = false;
        }
        Boolean valueOf = Boolean.valueOf(z);
        this.iIY = valueOf;
        z = valueOf.booleanValue();
        AppMethodBeat.o(133150);
        return z;
    }

    public void setTaskDescription(TaskDescription taskDescription) {
        AppMethodBeat.i(133151);
        if (aLZ()) {
            try {
                super.setTaskDescription(taskDescription);
                AppMethodBeat.o(133151);
                return;
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.AppBrandUI", e, "setTaskDescription ", new Object[0]);
                if (taskDescription != null) {
                    try {
                        super.setTaskDescription(new TaskDescription(taskDescription.getLabel(), null, taskDescription.getPrimaryColor()));
                        AppMethodBeat.o(133151);
                        return;
                    } catch (Exception e2) {
                    }
                }
            }
        }
        AppMethodBeat.o(133151);
    }

    /* Access modifiers changed, original: protected */
    public void e(AppBrandInitConfigWC appBrandInitConfigWC, AppBrandStatObject appBrandStatObject) {
        AppMethodBeat.i(133141);
        appBrandInitConfigWC.bQn = appBrandStatObject;
        ((u) com.tencent.luggage.a.e.B(u.class)).a((Activity) this, (AppBrandInitConfig) appBrandInitConfigWC);
        AppMethodBeat.o(133141);
    }
}
