package com.tencent.mm.plugin.facedetectlight.ui;

import android.graphics.Rect;
import android.hardware.Camera;
import com.facebook.internal.AnalyticsEvents;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.facedetect.e.a;
import com.tencent.mm.plugin.facedetectlight.ui.c.2;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.ttpic.thread.FaceGestureDetGLThread;
import com.tencent.youtu.ytfacetrace.YTFaceTraceInterface;
import com.tencent.youtu.ytfacetrace.YTFaceTraceInterface.FaceTraceingNotice;
import com.tencent.youtu.ytfacetrace.jni.YTFaceTraceJNIInterface.FaceStatus;

class c$1 implements FaceTraceingNotice {
    final /* synthetic */ c mdV;

    c$1(c cVar) {
        this.mdV = cVar;
    }

    public final void onTracing(int i, FaceStatus faceStatus, Rect rect, byte[] bArr, Camera camera) {
        AppMethodBeat.i(788);
        ab.i("MicroMsg.FaceReflectLogic", "facePreviewState：".concat(String.valueOf(faceStatus)));
        switch (i) {
            case 0:
                ab.i("MicroMsg.FaceReflectLogic", "Face mState：init");
                AppMethodBeat.o(788);
                return;
            case 1:
                ab.i("MicroMsg.FaceReflectLogic", "Face mState：detecting");
                c cVar = this.mdV;
                ab.i("MicroMsg.FaceReflectLogic", "setFaceRect（）");
                cVar.mcd = cVar.mContext.getResources().getDisplayMetrics().widthPixels;
                cVar.mce = cVar.mContext.getResources().getDisplayMetrics().heightPixels;
                cVar.mcc.left = (int) (((double) cVar.mcd) * 0.15d);
                cVar.mcc.right = (int) (((double) cVar.mcd) * 0.85d);
                cVar.mcc.top = (int) (((double) cVar.mce) * 0.2d);
                cVar.mcc.bottom = (int) (((double) cVar.mce) * 0.65d);
                cVar = this.mdV;
                ab.i("MicroMsg.FaceReflectLogic", "setFaceLiveRect（）");
                ab.i("MicroMsg.FaceReflectLogic", "faceInPreviewFrame is".concat(String.valueOf(rect)));
                if (rect != null) {
                    int i2 = cVar.mcd;
                    int i3 = cVar.mce;
                    int i4 = cVar.mDesiredPreviewWidth;
                    int i5 = cVar.mDesiredPreviewHeight;
                    cVar.mdS = ((float) i2) / ((float) i5);
                    cVar.mdT = ((float) i3) / ((float) i4);
                    cVar.mcb.left = (int) (((float) rect.left) * cVar.mdS);
                    cVar.mcb.right = (int) (((float) rect.right) * cVar.mdS);
                    cVar.mcb.top = (int) (((float) rect.top) * cVar.mdT);
                    cVar.mcb.bottom = (int) (((float) rect.bottom) * cVar.mdT);
                    ab.i("MicroMsg.FaceReflectLogic", "mUiWidth：" + cVar.mcd);
                    ab.i("MicroMsg.FaceReflectLogic", "mUiHeight：" + cVar.mce);
                    ab.i("MicroMsg.FaceReflectLogic", "previewWidth：".concat(String.valueOf(i4)));
                    ab.i("MicroMsg.FaceReflectLogic", "previewHeight：".concat(String.valueOf(i5)));
                    ab.i("MicroMsg.FaceReflectLogic", "faceInPreviewFrame.right：" + rect.right);
                    ab.i("MicroMsg.FaceReflectLogic", "mReflectWidthRatio：" + cVar.mdS);
                }
                cVar = this.mdV;
                Rect rect2 = this.mdV.mcc;
                Rect rect3 = this.mdV.mcb;
                ab.i("MicroMsg.FaceReflectLogic", "getFacePreviewAdvise（）");
                if (faceStatus == null) {
                    ab.i("MicroMsg.FaceReflectLogic", "status == null");
                    cVar.mbZ.setText(2131299502);
                } else {
                    boolean contains = rect2.contains(rect3);
                    float f = ((float) ((rect3.right - rect3.left) * (rect3.bottom - rect3.top))) / ((float) ((rect2.right - rect2.left) * (rect2.bottom - rect2.top)));
                    ab.i("MicroMsg.FaceReflectLogic", "faceInScreen left is ：" + rect3.left);
                    ab.i("MicroMsg.FaceReflectLogic", "faceInScreen right is ：" + rect3.right);
                    ab.i("MicroMsg.FaceReflectLogic", "faceInScreen top is ：" + rect3.top);
                    ab.i("MicroMsg.FaceReflectLogic", "faceInScreen bottom is ：" + rect3.bottom);
                    ab.i("MicroMsg.FaceReflectLogic", "checkRect left is ：" + rect2.left);
                    ab.i("MicroMsg.FaceReflectLogic", "checkRect right is ：" + rect2.right);
                    ab.i("MicroMsg.FaceReflectLogic", "checkRect top is ：" + rect2.top);
                    ab.i("MicroMsg.FaceReflectLogic", "checkRect bottom is ：" + rect2.bottom);
                    ab.i("MicroMsg.FaceReflectLogic", "faceProportion ：".concat(String.valueOf(f)));
                    ab.i("MicroMsg.FaceReflectLogic", "isInRect？ ：".concat(String.valueOf(contains)));
                    ab.i("MicroMsg.FaceReflectLogic", AnalyticsEvents.PARAMETER_SHARE_DIALOG_CONTENT_STATUS.concat(String.valueOf(faceStatus)));
                    if (((double) f) < 0.3d) {
                        ab.i("MicroMsg.FaceReflectLogic", "Detecting result：too far");
                        cVar.mbZ.setText(2131299507);
                    } else if (((double) f) > 0.75d) {
                        ab.i("MicroMsg.FaceReflectLogic", "Detecting result：too close");
                        cVar.mbZ.setText(2131299506);
                    } else if (!contains) {
                        ab.i("MicroMsg.FaceReflectLogic", "Detecting result：out of rect");
                        cVar.mbZ.setText(2131299502);
                    } else if (Math.abs(faceStatus.pitch) > 15.0f || Math.abs(faceStatus.yaw) > 15.0f || Math.abs(faceStatus.roll) > 15.0f) {
                        ab.i("MicroMsg.FaceReflectLogic", "Detecting result：INCORRECT_POSTURE");
                        cVar.mbZ.setText(2131299504);
                    } else {
                        ab.i("MicroMsg.FaceReflectLogic", "Detecting result：normal");
                        cVar.mbZ.setText(2131299503);
                        cVar.mdI.buc();
                        YTFaceTraceInterface.stop();
                        ab.i("MicroMsg.FaceReflectLogic", "YTFacePreviewInterface.stop()");
                        if (a.btw().lZc) {
                            a.btw().EL();
                        }
                        al.n(new 2(cVar), FaceGestureDetGLThread.BRIGHTNESS_DURATION);
                    }
                }
                ab.i("MicroMsg.FaceReflectLogic", "Face end");
                break;
            case 2:
                ab.i("MicroMsg.FaceReflectLogic", "Face mState：stop detect");
                AppMethodBeat.o(788);
                return;
        }
        AppMethodBeat.o(788);
    }
}
