package com.tencent.mm.plugin.game.ui;

import android.content.Context;
import android.support.v7.widget.LinearLayoutManager;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.widget.ImageView;
import android.widget.Scroller;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.b.a;
import com.tencent.mm.ai.w;
import com.tencent.mm.bt.b;
import com.tencent.mm.plugin.appbrand.widget.recyclerview.LoadMoreRecyclerView;
import com.tencent.mm.plugin.game.d.bb;
import com.tencent.mm.plugin.game.d.bc;
import com.tencent.mm.sdk.platformtools.ab;

public class GameIndexListView extends LoadMoreRecyclerView {
    private static boolean nfC = true;
    private static boolean nfG;
    private static int nfI = 0;
    private static int nja = 0;
    private static int njj = 0;
    private View abB;
    private Context mContext;
    private Scroller mScroller;
    private float nfD;
    private int nfE;
    private boolean nfH;
    private ImageView nfJ;
    private ImageView nfK;
    b njg;
    private bc njh;
    private boolean nji = true;

    static /* synthetic */ void a(GameIndexListView gameIndexListView) {
        AppMethodBeat.i(111985);
        gameIndexListView.bFn();
        AppMethodBeat.o(111985);
    }

    public static void setSourceScene(int i) {
        nja = i;
    }

    public static int getSourceScene() {
        return nja;
    }

    public GameIndexListView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.mContext = context;
    }

    /* Access modifiers changed, original: protected */
    public void onFinishInflate() {
        AppMethodBeat.i(111980);
        super.onFinishInflate();
        ab.d("MicroMsg.GameIndexListView", "onFinishInflate");
        this.nfE = ViewConfiguration.get(this.mContext).getScaledTouchSlop();
        this.mScroller = new Scroller(this.mContext);
        getContext();
        setLayoutManager(new LinearLayoutManager());
        this.njg = new b(this);
        setAdapter(this.njg);
        b(new a(this, getResources()));
        setLoadingView(2130969708);
        setOnLoadingStateChangedListener(new 1(this));
        fh(true);
        bFn();
        AppMethodBeat.o(111980);
    }

    private void bFn() {
        b bVar;
        com.tencent.mm.vending.e.b bVar2;
        AppMethodBeat.i(111981);
        a aVar = new a();
        bb bbVar = new bb();
        if (this.njh != null) {
            bVar = this.njh.nbV;
        } else {
            bVar = null;
        }
        bbVar.nbT = bVar;
        aVar.fsJ = bbVar;
        aVar.fsK = new bc();
        aVar.uri = "/cgi-bin/mmgame-bin/getgameindex4feedslist";
        aVar.fsI = 2943;
        aVar.fsL = 0;
        aVar.fsM = 0;
        com.tencent.mm.ai.b acD = aVar.acD();
        2 2 = new 2(this);
        if (this.mContext instanceof com.tencent.mm.vending.e.b) {
            bVar2 = (com.tencent.mm.vending.e.b) this.mContext;
        } else {
            bVar2 = null;
        }
        w.a(acD, 2, false, bVar2);
        AppMethodBeat.o(111981);
    }

    public static void setCanPulldown(boolean z) {
        nfG = z;
    }

    public static void setDefaultPadding(int i) {
        nfI = i;
    }

    public static void setInitPadding(int i) {
        njj = i;
        nfC = true;
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        AppMethodBeat.i(111982);
        ab.d("MicroMsg.GameIndexListView", "onLayout, changed = ".concat(String.valueOf(z)));
        super.onLayout(z, i, i2, i3, i4);
        if (nfC || this.abB == null || this.nfK == null || this.nfJ == null) {
            this.abB = getChildAt(0);
            if (this.abB != null) {
                this.abB.setPadding(0, njj, 0, 0);
                this.nfK = (ImageView) this.abB.findViewById(2131824535);
                this.nfJ = (ImageView) this.abB.findViewById(2131824486);
            }
            nfC = false;
        }
        AppMethodBeat.o(111982);
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        AppMethodBeat.i(111983);
        boolean dispatchTouchEvent;
        if (!nfG || this.abB == null) {
            dispatchTouchEvent = super.dispatchTouchEvent(motionEvent);
            AppMethodBeat.o(111983);
            return dispatchTouchEvent;
        }
        switch (motionEvent.getAction()) {
            case 0:
                this.nfH = false;
                this.nfD = motionEvent.getRawY();
                break;
            case 2:
                if (((LinearLayoutManager) getLayoutManager()).iQ() == 0 && this.abB != null && this.abB.getTop() == 0) {
                    dispatchTouchEvent = true;
                } else {
                    dispatchTouchEvent = false;
                }
                if (dispatchTouchEvent) {
                    if (this.nfH) {
                        AppMethodBeat.o(111983);
                        return true;
                    }
                    int rawY = (int) (motionEvent.getRawY() - this.nfD);
                    if (this.abB.getPaddingTop() <= nfI + this.nfE) {
                        if (rawY > 0 && Math.abs(rawY) >= this.nfE) {
                            this.nfH = true;
                            this.mScroller.startScroll(0, this.abB.getPaddingTop(), 0, -this.abB.getPaddingTop(), 500);
                            this.nfJ.setClickable(true);
                            invalidate();
                            motionEvent.setAction(3);
                            super.dispatchTouchEvent(motionEvent);
                            AppMethodBeat.o(111983);
                            return true;
                        }
                    } else if (this.abB.getPaddingTop() >= (-this.nfE) && rawY < 0 && Math.abs(rawY) >= this.nfE) {
                        this.nfH = true;
                        this.mScroller.startScroll(0, 0, 0, nfI, 500);
                        invalidate();
                        motionEvent.setAction(3);
                        super.dispatchTouchEvent(motionEvent);
                        AppMethodBeat.o(111983);
                        return true;
                    }
                }
                break;
        }
        dispatchTouchEvent = super.dispatchTouchEvent(motionEvent);
        AppMethodBeat.o(111983);
        return dispatchTouchEvent;
    }

    public void computeScroll() {
        AppMethodBeat.i(111984);
        if (this.abB == null) {
            AppMethodBeat.o(111984);
            return;
        }
        if (this.mScroller.computeScrollOffset()) {
            int currY = this.mScroller.getCurrY();
            ab.d("MicroMsg.GameIndexListView", "computeScroll, currY = ".concat(String.valueOf(currY)));
            this.abB.setPadding(0, currY, 0, 0);
            float f = (((float) (nfI - currY)) / ((float) nfI)) * 255.0f;
            int i = 255 - ((int) f);
            currY = (int) f;
            this.nfK.setAlpha(i);
            this.nfJ.setAlpha(currY);
            invalidate();
        }
        AppMethodBeat.o(111984);
    }
}
