package com.tencent.mm.plugin.qqmail.b;

import android.util.SparseArray;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.p;
import com.tencent.mm.bz.a;
import com.tencent.mm.kernel.g;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.vfs.e;
import com.tencent.ugc.TXRecordCommon;
import java.lang.reflect.Field;
import java.lang.reflect.Modifier;
import java.net.HttpURLConnection;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;

public final class v {
    private static SparseArray<String> puI = null;
    public p puD;
    public i puE;
    private k puF;
    private Map<Long, d> puG = new HashMap();
    private Map<Long, b> puH = new HashMap();
    private Map<String, String> pud = new HashMap();

    static /* synthetic */ String Bq(int i) {
        AppMethodBeat.i(68023);
        String Bp = Bp(i);
        AppMethodBeat.o(68023);
        return Bp;
    }

    public v(int i, String str) {
        AppMethodBeat.i(68004);
        af.setHost("qqmail.weixin.qq.com:443");
        af.setUserAgent("weixin/" + str + "/0x" + Integer.toHexString(i));
        reset();
        AppMethodBeat.o(68004);
    }

    public final long a(String str, Map<String, String> map, a aVar) {
        AppMethodBeat.i(68005);
        long a = a(str, map, new c(), aVar);
        AppMethodBeat.o(68005);
        return a;
    }

    public final long a(String str, Map<String, String> map, c cVar, a aVar) {
        AppMethodBeat.i(68006);
        long a = a(str, 1, map, null, cVar, aVar);
        AppMethodBeat.o(68006);
        return a;
    }

    public final long b(String str, Map<String, String> map, a aVar) {
        AppMethodBeat.i(68007);
        long b = b(str, map, new c(), aVar);
        AppMethodBeat.o(68007);
        return b;
    }

    public final long b(String str, Map<String, String> map, c cVar, a aVar) {
        AppMethodBeat.i(68008);
        long a = a(str, 0, map, null, cVar, aVar);
        AppMethodBeat.o(68008);
        return a;
    }

    public final long a(String str, String str2, String str3, c cVar, a aVar) {
        AppMethodBeat.i(68009);
        long a = a(str, 1, null, new n$d(str2, str3), cVar, aVar);
        AppMethodBeat.o(68009);
        return a;
    }

    public static String ccw() {
        return "https://qqmail.weixin.qq.com:443";
    }

    private long a(String str, int i, Map<String, String> map, n$d n_d, c cVar, a aVar) {
        Map map2;
        AppMethodBeat.i(68010);
        if (map2 == null) {
            map2 = new HashMap();
        }
        map2.put("appname", "qqmail_weixin");
        map2.put("f", "xml");
        map2.put("charset", "utf-8");
        map2.put("clientip", getLocalIp());
        d dVar = new d(this, str, new n$b(i, map2, getCookie(), n_d), aVar);
        dVar.puR = cVar;
        al.d(new 1(this, dVar));
        long j = dVar.id;
        AppMethodBeat.o(68010);
        return j;
    }

    private void cancel() {
        AppMethodBeat.i(68011);
        for (b cancel : this.puH.values()) {
            cancel.cancel(true);
        }
        this.puH.clear();
        this.puG.clear();
        AppMethodBeat.o(68011);
    }

    public final void cancel(long j) {
        AppMethodBeat.i(68012);
        b bVar = (b) this.puH.get(Long.valueOf(j));
        if (bVar != null) {
            bVar.onCancelled();
            bVar.cancel(true);
        }
        this.puH.remove(Long.valueOf(j));
        this.puG.remove(Long.valueOf(j));
        AppMethodBeat.o(68012);
    }

    public final void reset() {
        AppMethodBeat.i(68013);
        af.Vg(getDownloadPath());
        cancel();
        this.pud.clear();
        String ccx = ccx();
        this.puD = new p(ccx + "addr/");
        this.puE = new i(ccx + "draft/");
        this.puF = new k(ccx + "http/", 0);
        AppMethodBeat.o(68013);
    }

    public final void clearData() {
        AppMethodBeat.i(68014);
        e.N(ccx(), true);
        reset();
        AppMethodBeat.o(68014);
    }

    public static String getDownloadPath() {
        AppMethodBeat.i(68015);
        String str = com.tencent.mm.compatible.util.e.euQ;
        e.tf(str);
        AppMethodBeat.o(68015);
        return str;
    }

    private static String getLocalIp() {
        AppMethodBeat.i(68016);
        try {
            Enumeration networkInterfaces = NetworkInterface.getNetworkInterfaces();
            while (networkInterfaces.hasMoreElements()) {
                Enumeration inetAddresses = ((NetworkInterface) networkInterfaces.nextElement()).getInetAddresses();
                while (inetAddresses.hasMoreElements()) {
                    InetAddress inetAddress = (InetAddress) inetAddresses.nextElement();
                    if (!inetAddress.isLoopbackAddress()) {
                        String hostAddress = inetAddress.getHostAddress();
                        AppMethodBeat.o(68016);
                        return hostAddress;
                    }
                }
            }
        } catch (Exception | SocketException e) {
        }
        AppMethodBeat.o(68016);
        return null;
    }

    public final Map<String, String> getCookie() {
        Object obj;
        AppMethodBeat.i(68017);
        String str = (String) g.RP().Ry().get(-1535680990, null);
        Map map = this.pud;
        String str2 = "skey";
        if (str == null) {
            obj = "";
        } else {
            String obj2 = str;
        }
        map.put(str2, obj2);
        this.pud.put("uin", "o" + new p(bo.g(g.RP().Ry().get(9, null), 0)));
        ab.d("MicroMsg.NormalMailAppService", "sKey:%b, uin:%d", new Object[]{Boolean.valueOf(bo.isNullOrNil(str)), Integer.valueOf(r1)});
        Map map2 = this.pud;
        AppMethodBeat.o(68017);
        return map2;
    }

    private static String aX(int i, String str) {
        AppMethodBeat.i(68019);
        int i2 = 0;
        switch (i) {
            case -105:
            case TXRecordCommon.RECORD_RESULT_COMPOSE_START_ERR /*-6*/:
                i2 = 2131302001;
                break;
            case -104:
                i2 = 2131301999;
                break;
            case -103:
                i2 = 2131301998;
                break;
            case -102:
                i2 = 2131301997;
                break;
            case TXRecordCommon.RECORD_RESULT_COMPOSE_CANCEL /*-7*/:
                i2 = 2131302002;
                break;
            case -4:
            case -3:
                i2 = 2131302000;
                break;
            case -1:
                i2 = 2131301995;
                break;
        }
        if (i2 == 0) {
            AppMethodBeat.o(68019);
            return str;
        }
        str = a.an(ah.getContext(), i2);
        AppMethodBeat.o(68019);
        return str;
    }

    private static String ccx() {
        AppMethodBeat.i(68020);
        StringBuilder stringBuilder = new StringBuilder();
        g.RQ();
        String stringBuilder2 = stringBuilder.append(g.RP().eJM).append("mailapp/").toString();
        AppMethodBeat.o(68020);
        return stringBuilder2;
    }

    private static String Bp(int i) {
        AppMethodBeat.i(68018);
        if (puI == null) {
            puI = new SparseArray();
            for (Field field : HttpURLConnection.class.getDeclaredFields()) {
                int modifiers = field.getModifiers();
                String name = field.getName();
                if (name != null && name.startsWith("HTTP_") && Modifier.isPublic(modifiers) && Modifier.isFinal(modifiers) && Modifier.isStatic(modifiers)) {
                    try {
                        modifiers = field.getInt(Integer.valueOf(0));
                        StringBuilder stringBuilder = new StringBuilder();
                        String[] split = name.split("_");
                        if (split != null) {
                            for (int i2 = 1; i2 < split.length; i2++) {
                                stringBuilder.append(split[i2]).append(' ');
                            }
                            stringBuilder.append("error");
                        }
                        puI.put(modifiers, stringBuilder.toString().toLowerCase());
                    } catch (Exception e) {
                    }
                }
            }
        }
        String str = (String) puI.get(i);
        if (str == null) {
            str = aX(i, "request error");
            AppMethodBeat.o(68018);
            return str;
        }
        AppMethodBeat.o(68018);
        return str;
    }

    static /* synthetic */ void a(v vVar, Map map) {
        AppMethodBeat.i(68022);
        if (vVar.pud == null || map == null) {
            AppMethodBeat.o(68022);
            return;
        }
        for (String str : map.keySet()) {
            vVar.pud.put(str, map.get(str));
        }
        AppMethodBeat.o(68022);
    }
}
