package com.tencent.mm.plugin.remittance.bankcard.model;

import android.content.Context;
import android.text.SpannableString;
import android.text.style.ForegroundColorSpan;
import android.util.Pair;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Filter;
import android.widget.Filterable;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.pluginsdk.ui.applet.CdnImageView;
import java.util.ArrayList;
import java.util.List;

public final class c extends BaseAdapter implements Filterable {
    private Context mContext;
    private List<TransferRecordParcel> pLU;
    private List<TransferRecordParcel> pLV = new ArrayList();
    private List<Pair<Integer, Integer>> pLW = new ArrayList();
    private Filter pLX;

    public c(Context context, List<TransferRecordParcel> list) {
        AppMethodBeat.i(44503);
        this.mContext = context;
        this.pLU = list;
        AppMethodBeat.o(44503);
    }

    public final int getCount() {
        AppMethodBeat.i(44504);
        int size = this.pLV.size();
        AppMethodBeat.o(44504);
        return size;
    }

    public final Object getItem(int i) {
        AppMethodBeat.i(44505);
        Object obj = this.pLV.get(i);
        AppMethodBeat.o(44505);
        return obj;
    }

    public final long getItemId(int i) {
        return (long) i;
    }

    public final View getView(int i, View view, ViewGroup viewGroup) {
        AppMethodBeat.i(44506);
        if (view == null) {
            view = LayoutInflater.from(this.mContext).inflate(2130968822, viewGroup, false);
            b bVar = new b(this, (byte) 0);
            bVar.pMa = (CdnImageView) view.findViewById(2131821683);
            bVar.pMb = (TextView) view.findViewById(2131821684);
            bVar.pMc = (TextView) view.findViewById(2131821685);
            view.setTag(bVar);
        }
        b bVar2 = (b) view.getTag();
        TransferRecordParcel transferRecordParcel = (TransferRecordParcel) getItem(i);
        Pair pair = (Pair) this.pLW.get(i);
        ForegroundColorSpan foregroundColorSpan = new ForegroundColorSpan(this.mContext.getResources().getColor(2131690316));
        SpannableString spannableString = new SpannableString(transferRecordParcel.pMf);
        spannableString.setSpan(foregroundColorSpan, ((Integer) pair.first).intValue(), ((Integer) pair.second).intValue(), 18);
        bVar2.pMa.setUrl(transferRecordParcel.pLH);
        bVar2.pMb.setText(spannableString);
        bVar2.pMc.setText(this.mContext.getString(2131297481, new Object[]{transferRecordParcel.nuL, transferRecordParcel.pMe}));
        AppMethodBeat.o(44506);
        return view;
    }

    public final Filter getFilter() {
        AppMethodBeat.i(44507);
        if (this.pLX == null) {
            this.pLX = new a(this, (byte) 0);
        }
        Filter filter = this.pLX;
        AppMethodBeat.o(44507);
        return filter;
    }
}
