package com.tencent.mm.plugin.shake.ui;

import android.os.Bundle;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.AdapterView.AdapterContextMenuInfo;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.ListView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.at.a.a;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.c;
import com.tencent.mm.plugin.shake.b.m;
import com.tencent.mm.sdk.platformtools.BackwardSupportUtil;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.n.d;
import com.tencent.mm.ui.tools.j;
import com.tencent.ugc.TXRecordCommon;

public class ShakeItemListUI extends MMActivity {
    private a fGv = null;
    private ListView gxZ;
    private int id;
    private d jKa = new 8(this);
    private View kmS;
    private boolean quA = false;
    private a quB;
    public long quz = 0;
    private int showType;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public ShakeItemListUI() {
        AppMethodBeat.i(24738);
        AppMethodBeat.o(24738);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(24739);
        super.onCreate(bundle);
        initView();
        m.cjS().c(this.quB);
        this.quB.KD();
        ab.i("MicroMsg.ShakeItemListUI", "onResume");
        AppMethodBeat.o(24739);
    }

    public final void initView() {
        AppMethodBeat.i(24740);
        this.fGv = new a(this);
        aw.ZK();
        int a = bo.a((Integer) c.Ry().get(12290, null), 0);
        this.showType = getIntent().getIntExtra("_key_show_type_", 0);
        String stringExtra = getIntent().getStringExtra("_key_title_");
        if (!bo.isNullOrNil(stringExtra)) {
            setMMTitle(stringExtra);
        }
        this.quA = getIntent().getBooleanExtra("_key_show_from_shake_", false);
        addTextOptionMenu(0, getString(2131296871), new 1(this));
        this.gxZ = (ListView) findViewById(2131826296);
        this.kmS = getLayoutInflater().inflate(2130970653, null);
        this.kmS.findViewById(2131827479).setOnClickListener(new 2(this));
        this.gxZ.addFooterView(this.kmS);
        if (this.showType == -1) {
            this.kmS.findViewById(2131827479).setVisibility(0);
        } else {
            this.kmS.findViewById(2131827479).setVisibility(8);
        }
        this.quB = new a(this, this);
        this.quB.CB(this.showType);
        if (this.quB.getCount() <= 0) {
            this.gxZ.setVisibility(8);
            TextView textView = (TextView) findViewById(2131826297);
            textView.setText(CC(this.showType));
            textView.setVisibility(0);
            enableOptionMenu(false);
        } else {
            this.gxZ.setAdapter(this.quB);
            this.gxZ.setOnItemClickListener(new 3(this, a));
            final j jVar = new j(this);
            this.gxZ.setOnItemLongClickListener(new OnItemLongClickListener() {
                public final boolean onItemLongClick(AdapterView<?> adapterView, View view, int i, long j) {
                    AppMethodBeat.i(24723);
                    if (i < ShakeItemListUI.this.gxZ.getHeaderViewsCount()) {
                        ab.w("MicroMsg.ShakeItemListUI", "on header view long click, ignore");
                        AppMethodBeat.o(24723);
                    } else {
                        jVar.a(view, i, j, ShakeItemListUI.this, ShakeItemListUI.this.jKa);
                        AppMethodBeat.o(24723);
                    }
                    return true;
                }
            });
        }
        setBackBtn(new 5(this));
        AnonymousClass6 anonymousClass6 = new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(24725);
                BackwardSupportUtil.c.a(ShakeItemListUI.this.gxZ);
                AppMethodBeat.o(24725);
            }
        };
        this.gxZ.setOnTouchListener(new 7(this));
        AppMethodBeat.o(24740);
    }

    public void onCreateContextMenu(ContextMenu contextMenu, View view, ContextMenuInfo contextMenuInfo) {
        AppMethodBeat.i(24741);
        AdapterContextMenuInfo adapterContextMenuInfo = (AdapterContextMenuInfo) contextMenuInfo;
        this.id = ((com.tencent.mm.plugin.shake.b.d) this.quB.getItem(adapterContextMenuInfo.position)).field_shakeItemID;
        contextMenu.add(adapterContextMenuInfo.position, 0, 0, 2131296881);
        AppMethodBeat.o(24741);
    }

    public void onPause() {
        AppMethodBeat.i(24742);
        super.onPause();
        AppMethodBeat.o(24742);
    }

    public void onDestroy() {
        AppMethodBeat.i(24743);
        this.quB.bIf();
        a aVar = this.quB;
        if (aVar.gvm != null) {
            aVar.gvm.detach();
            aVar.gvm = null;
        }
        m.cjS().d(this.quB);
        ab.i("MicroMsg.ShakeItemListUI", "onPause");
        if (this.fGv != null) {
            this.fGv.detach();
        }
        super.onDestroy();
        AppMethodBeat.o(24743);
    }

    /* Access modifiers changed, original: protected|final */
    public final void CB(int i) {
        AppMethodBeat.i(24744);
        this.quB.CB(i);
        switch (i) {
            case -12:
            case -1:
                if (this.kmS != null) {
                    this.kmS.findViewById(2131827479).setVisibility(0);
                    break;
                }
                break;
            case 0:
            case 11:
                if (this.kmS != null) {
                    this.kmS.findViewById(2131827479).setVisibility(8);
                    AppMethodBeat.o(24744);
                    return;
                }
                break;
        }
        AppMethodBeat.o(24744);
    }

    public final int getLayoutId() {
        return 2130970651;
    }

    public static int CC(int i) {
        switch (i) {
            case -12:
            case 11:
                return 2131303413;
            case TXRecordCommon.RECORD_RESULT_COMPOSE_START_ERR /*-6*/:
            case 5:
                return 2131303480;
            case -5:
            case 4:
                return 2131303440;
            case 100:
                return 2131303410;
            default:
                return 2131303406;
        }
    }
}
