package com.tencent.mm.plugin.sight.decode.ui;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.FrameLayout.LayoutParams;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.facebook.appevents.AppEventsConstants;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class SnsAdNativeLandingPagesVideoPlayerLoadingBar extends RelativeLayout implements a {
    private boolean cAW = false;
    private View contentView = null;
    private boolean hOy = false;
    private int mPosition = 0;
    private b qyk = null;
    private ImageView qyl;
    private ImageView qym = null;
    private ImageView qyn = null;
    private ImageView qyo = null;
    private TextView qyp;
    private TextView qyq;
    private int qyr = 0;
    private int qys = 0;
    private float qyu = 0.0f;
    private int qyv = -1;
    private int qyw = -1;
    private int qyx = -1;
    private int qyy = -1;

    static /* synthetic */ int d(SnsAdNativeLandingPagesVideoPlayerLoadingBar snsAdNativeLandingPagesVideoPlayerLoadingBar) {
        AppMethodBeat.i(70307);
        int currentTimeByBarPoint = snsAdNativeLandingPagesVideoPlayerLoadingBar.getCurrentTimeByBarPoint();
        AppMethodBeat.o(70307);
        return currentTimeByBarPoint;
    }

    static /* synthetic */ int g(SnsAdNativeLandingPagesVideoPlayerLoadingBar snsAdNativeLandingPagesVideoPlayerLoadingBar) {
        AppMethodBeat.i(70308);
        int barLen = snsAdNativeLandingPagesVideoPlayerLoadingBar.getBarLen();
        AppMethodBeat.o(70308);
        return barLen;
    }

    public SnsAdNativeLandingPagesVideoPlayerLoadingBar(Context context) {
        super(context);
        AppMethodBeat.i(70293);
        init();
        AppMethodBeat.o(70293);
    }

    public SnsAdNativeLandingPagesVideoPlayerLoadingBar(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(70294);
        init();
        AppMethodBeat.o(70294);
    }

    public SnsAdNativeLandingPagesVideoPlayerLoadingBar(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(70295);
        init();
        AppMethodBeat.o(70295);
    }

    public void setIplaySeekCallback(b bVar) {
        this.qyk = bVar;
    }

    private void init() {
        AppMethodBeat.i(70296);
        this.contentView = View.inflate(getContext(), 2130970737, this);
        this.qyl = (ImageView) this.contentView.findViewById(2131821425);
        this.qym = (ImageView) this.contentView.findViewById(2131821423);
        this.qyn = (ImageView) this.contentView.findViewById(2131821426);
        this.qyo = (ImageView) this.contentView.findViewById(2131821279);
        this.qyp = (TextView) this.contentView.findViewById(2131821421);
        this.qyq = (TextView) this.contentView.findViewById(2131821427);
        this.qyn.setOnTouchListener(new 1(this));
        AppMethodBeat.o(70296);
    }

    /* Access modifiers changed, original: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        AppMethodBeat.i(70297);
        super.onLayout(z, i, i2, i3, i4);
        if (!(i == this.qyv && i2 == this.qyw && i3 == this.qyx && i4 == this.qyy)) {
            aFQ();
        }
        this.qyv = i;
        this.qyw = i2;
        this.qyx = i3;
        this.qyy = i4;
        AppMethodBeat.o(70297);
    }

    public void setOnPlayButtonClickListener(OnClickListener onClickListener) {
        AppMethodBeat.i(70298);
        this.qyo.setOnClickListener(onClickListener);
        AppMethodBeat.o(70298);
    }

    public void setIsPlay(boolean z) {
        AppMethodBeat.i(70299);
        this.cAW = z;
        if (z) {
            this.qyo.setImageResource(2131231584);
            AppMethodBeat.o(70299);
            return;
        }
        this.qyo.setImageResource(2131231585);
        AppMethodBeat.o(70299);
    }

    public boolean getIsPlay() {
        return this.cAW;
    }

    private int getCurrentTimeByBarPoint() {
        AppMethodBeat.i(70300);
        int paddingLeft = (int) (((((double) (((LayoutParams) this.qyn.getLayoutParams()).leftMargin - (((LayoutParams) this.qym.getLayoutParams()).leftMargin - this.qyn.getPaddingLeft()))) * 1.0d) / ((double) getBarLen())) * ((double) this.qyr));
        if (paddingLeft < 0) {
            paddingLeft = 0;
        }
        AppMethodBeat.o(70300);
        return paddingLeft;
    }

    public final void seek(int i) {
        AppMethodBeat.i(70301);
        this.mPosition = i;
        aFQ();
        AppMethodBeat.o(70301);
    }

    public int getVideoTotalTime() {
        return this.qyr;
    }

    public void setVideoTotalTime(int i) {
        AppMethodBeat.i(70302);
        if (this.qyn.isShown() && this.qyn.getWidth() == 0) {
            post(new 2(this, i));
            AppMethodBeat.o(70302);
            return;
        }
        this.qyr = i;
        this.mPosition = 0;
        this.qyq.setText(oy(this.qyr / 60) + ":" + oy(this.qyr % 60));
        aFQ();
        AppMethodBeat.o(70302);
    }

    private int getBarLen() {
        AppMethodBeat.i(70303);
        this.qys = this.qym.getWidth();
        int i = this.qys;
        AppMethodBeat.o(70303);
        return i;
    }

    public final void clm() {
        this.qys = 0;
    }

    private void aFQ() {
        AppMethodBeat.i(70304);
        if (this.qyr == 0) {
            AppMethodBeat.o(70304);
        } else if (this.hOy) {
            AppMethodBeat.o(70304);
        } else if (this.qyn == null) {
            AppMethodBeat.o(70304);
        } else if (getBarLen() == 0) {
            AppMethodBeat.o(70304);
        } else {
            int width = ((this.qyn.getWidth() - this.qyn.getPaddingLeft()) - this.qyn.getPaddingRight()) / 2;
            this.qyp.setText(oy(this.mPosition / 60) + ":" + oy(this.mPosition % 60));
            LayoutParams layoutParams = (LayoutParams) this.qyn.getLayoutParams();
            layoutParams.leftMargin = ((((LayoutParams) this.qym.getLayoutParams()).leftMargin - this.qyn.getPaddingLeft()) + ((int) (((((double) this.mPosition) * 1.0d) / ((double) this.qyr)) * ((double) getBarLen())))) - width;
            this.qyn.setLayoutParams(layoutParams);
            layoutParams = (LayoutParams) this.qyl.getLayoutParams();
            layoutParams.width = (int) (((((double) this.mPosition) * 1.0d) / ((double) this.qyr)) * ((double) getBarLen()));
            this.qyl.setLayoutParams(layoutParams);
            AppMethodBeat.o(70304);
        }
    }

    public static String oy(int i) {
        AppMethodBeat.i(70305);
        String concat;
        if (i < 10) {
            concat = AppEventsConstants.EVENT_PARAM_VALUE_NO.concat(String.valueOf(i));
            AppMethodBeat.o(70305);
            return concat;
        }
        concat = String.valueOf(i);
        AppMethodBeat.o(70305);
        return concat;
    }
}
