package com.tencent.mm.plugin.sns.ui.item;

import android.app.Activity;
import android.graphics.Color;
import android.graphics.drawable.Drawable;
import android.text.SpannableStringBuilder;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStub;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.LinearLayout.LayoutParams;
import android.widget.TextView;
import android.widget.TextView.BufferType;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.kiss.a.b;
import com.tencent.mm.n.a;
import com.tencent.mm.plugin.sns.abtest.c;
import com.tencent.mm.plugin.sns.model.af;
import com.tencent.mm.plugin.sns.model.ap;
import com.tencent.mm.plugin.sns.model.ap$b;
import com.tencent.mm.plugin.sns.storage.n;
import com.tencent.mm.plugin.sns.ui.AsyncNormalTextView;
import com.tencent.mm.plugin.sns.ui.AsyncTextView;
import com.tencent.mm.plugin.sns.ui.MaskTextView;
import com.tencent.mm.plugin.sns.ui.PhotosContent;
import com.tencent.mm.plugin.sns.ui.SnsTranslateResultView;
import com.tencent.mm.plugin.sns.ui.TagImageView;
import com.tencent.mm.plugin.sns.ui.TranslateCommentTextView;
import com.tencent.mm.plugin.sns.ui.aa;
import com.tencent.mm.plugin.sns.ui.aj;
import com.tencent.mm.plugin.sns.ui.au;
import com.tencent.mm.plugin.sns.ui.av;
import com.tencent.mm.plugin.sns.ui.bb;
import com.tencent.mm.plugin.sns.ui.i;
import com.tencent.mm.plugin.sns.ui.l;
import com.tencent.mm.plugin.sns.ui.w;
import com.tencent.mm.plugin.sns.ui.widget.SnsAvatarImageView;
import com.tencent.mm.plugin.sns.ui.widget.SnsCommentCollapseLayout;
import com.tencent.mm.plugin.story.api.e;
import com.tencent.mm.plugin.story.api.f;
import com.tencent.mm.pluginsdk.ui.e.j;
import com.tencent.mm.pluginsdk.ui.e.m;
import com.tencent.mm.pluginsdk.ui.e.o;
import com.tencent.mm.protocal.protobuf.TimeLineObject;
import com.tencent.mm.protocal.protobuf.bav;
import com.tencent.mm.protocal.protobuf.cat;
import com.tencent.mm.protocal.protobuf.cbf;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.smtt.sdk.TbsReaderView$ReaderCallback;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public abstract class BaseTimeLineItem {
    public boolean DEBUG = false;
    protected int klY;
    protected Activity mActivity;
    protected au qPr;
    public ArrayList<ap$b> rHq = new ArrayList();
    protected boolean rps = false;

    public static class BaseViewHolder {
        public String cFc;
        public String cwT;
        public volatile boolean eBB;
        public TextView gne;
        public TextView kPs;
        public int klY;
        public View mRR;
        public boolean mVC;
        public int position;
        public cbf qCX;
        public boolean qFG;
        public bb qFH;
        public TextView qHh;
        public aj rGD = new aj();
        public SnsTranslateResultView rHA;
        public LinearLayout rHB;
        public ViewStub rHC;
        public boolean rHD = false;
        public TextView rHE;
        public TagImageView rHF;
        public TextView rHG;
        public int rHH = 0;
        public TextView rHI;
        public AsyncTextView rHJ;
        public AsyncTextView rHK;
        public View rHL;
        public ImageView rHM;
        public View rHN;
        public MaskTextView rHO;
        public LinearLayout rHP;
        public LinearLayout rHQ;
        public View rHR;
        public LinearLayout rHS;
        public PhotosContent rHT;
        public View rHU;
        public ViewStub rHV;
        public boolean rHW = false;
        public ViewStub rHX;
        public ViewStub rHY;
        public View rHZ = null;
        public long rHt;
        public int rHu;
        public SnsAvatarImageView rHv;
        public AsyncTextView rHw;
        public ImageView rHx;
        public ViewGroup rHy;
        public AsyncNormalTextView rHz;
        public String rIA;
        public boolean rIa = false;
        public boolean rIb = false;
        public ViewStub rIc;
        public boolean rId = false;
        public View rIe;
        public LinearLayout rIf;
        public TextView rIg;
        public ViewStub rIh;
        public boolean rIi = false;
        public View rIj;
        public LinearLayout rIk;
        public ViewStub rIl;
        public boolean rIm = false;
        public View rIn;
        public ImageView rIo;
        public boolean rIp = false;
        ViewStub rIq;
        boolean rIr = false;
        public a rIs;
        public View rIt;
        public BaseTimeLineItem rIu;
        public ViewStub rIv;
        public View rIw;
        public MaskTextView rIx;
        public View rIy;
        private TextView rIz;
        public TextView raQ;
        public bav rfi;
        public LinearLayout rgx;
        public ImageView rhd;
        public TextView rjj;
        public int rql = 210;
        public TextView rvM;
        public View rvR;
        public TimeLineObject timeLineObject;
        public TextView timeTv;

        public BaseViewHolder() {
            AppMethodBeat.i(40125);
            AppMethodBeat.o(40125);
        }
    }

    public abstract void a(BaseViewHolder baseViewHolder, int i, av avVar, TimeLineObject timeLineObject, int i2, au auVar);

    public abstract void d(BaseViewHolder baseViewHolder);

    public final void setIsFromMainTimeline(boolean z) {
        this.rps = z;
    }

    private static void a(BaseViewHolder baseViewHolder, n nVar) {
        LayoutParams layoutParams;
        if (nVar.DI(32)) {
            if (baseViewHolder.rHz != null) {
                baseViewHolder.rHz.setVisibility(0);
            }
            baseViewHolder.rHB.setLongClickable(false);
            baseViewHolder.rHB.setOnClickListener(null);
            baseViewHolder.rHB.setLayoutParams(new LayoutParams(-1, -2));
            baseViewHolder.rHB.setBackgroundColor(Color.parseColor("#00ffffff"));
            if (baseViewHolder.rHT != null) {
                layoutParams = (LayoutParams) baseViewHolder.rHT.getLayoutParams();
                layoutParams.leftMargin = 0;
                layoutParams.rightMargin = 0;
                baseViewHolder.rHT.setLayoutParams(layoutParams);
            }
            if (baseViewHolder.rIr) {
                layoutParams = (LayoutParams) baseViewHolder.rGD.rns.getLayoutParams();
                layoutParams.leftMargin = 0;
                layoutParams.rightMargin = 0;
                baseViewHolder.rGD.rns.setLayoutParams(layoutParams);
                return;
            }
            return;
        }
        if (baseViewHolder.rHz != null) {
            baseViewHolder.rHz.setVisibility(0);
        }
        baseViewHolder.rHB.setLongClickable(false);
        baseViewHolder.rHB.setOnClickListener(null);
        if (baseViewHolder.rHT != null) {
            layoutParams = (LayoutParams) baseViewHolder.rHT.getLayoutParams();
            layoutParams.leftMargin = 0;
            layoutParams.rightMargin = 0;
            baseViewHolder.rHT.setLayoutParams(layoutParams);
        }
        if (baseViewHolder.rIr) {
            layoutParams = (LayoutParams) baseViewHolder.rGD.rns.getLayoutParams();
            layoutParams.leftMargin = 0;
            layoutParams.rightMargin = 0;
            baseViewHolder.rGD.rns.setLayoutParams(layoutParams);
        }
        baseViewHolder.rHB.setLayoutParams(new LayoutParams(-1, -2));
        baseViewHolder.rHB.setBackgroundColor(Color.parseColor("#00ffffff"));
    }

    public final View a(Activity activity, BaseViewHolder baseViewHolder, int i, au auVar, n nVar) {
        String str;
        this.mActivity = activity;
        this.klY = i;
        this.qPr = auVar;
        baseViewHolder.cFc = nVar.cqA();
        switch (i) {
            case 0:
                str = "R.layout.sns_media_sub_item2";
                break;
            case 1:
                str = "R.layout.sns_media_sub_item2";
                break;
            case 2:
                str = "R.layout.sns_timeline_imagesline_one";
                break;
            case 3:
                str = "R.layout.sns_timeline_imagesline1";
                break;
            case 4:
                str = "R.layout.sns_timeline_imagesline2";
                break;
            case 5:
                str = "R.layout.sns_timeline_imagesline3";
                break;
            case 6:
                str = "R.layout.sns_timeline_item_photo_one3";
                break;
            case 7:
                str = "R.layout.sns_media_sub_item2";
                break;
            case 8:
                str = "R.layout.sns_media_sub_item2";
                break;
            case 9:
                str = "R.layout.sns_media_sight_item";
                break;
            case 10:
                str = "R.layout.sns_hb_reward_item";
                break;
            case 11:
                str = "R.layout.sns_timeline_turn_media";
                break;
            case TbsReaderView$ReaderCallback.NOTIFY_CANDISPLAY /*12*/:
                str = "R.layout.sns_media_collapse_item";
                break;
            case 13:
                str = "R.layout.sns_ad_card_layout_item";
                break;
            case 14:
                str = "R.layout.sns_timeline_ad_full_card";
                break;
            default:
                str = "R.layout.sns_media_sub_item2";
                break;
        }
        View a = b.SM().a(this.mActivity, str, 2130970820);
        baseViewHolder.rIA = str;
        View findViewById = a.findViewById(2131827717);
        if (findViewById instanceof ViewStub) {
            baseViewHolder.rHC = (ViewStub) findViewById;
        } else {
            baseViewHolder.rHC = null;
        }
        ab.i("MicroMsg.BaseTimeLineItem", "create new item  " + i + "  " + a.hashCode());
        baseViewHolder.rIt = a.findViewById(2131827903);
        baseViewHolder.klY = i;
        baseViewHolder.rHv = (SnsAvatarImageView) a.findViewById(2131827708);
        baseViewHolder.rHv.setWeakContext(activity);
        baseViewHolder.rHv.setOnClickListener(auVar.qOL.rJI);
        baseViewHolder.rHv.setOnLongClickListener(auVar.qOL.rJJ);
        baseViewHolder.rHv.setOnTouchListener(new 1(this));
        baseViewHolder.rHw = (AsyncTextView) a.findViewById(2131823149);
        baseViewHolder.rHx = (ImageView) a.findViewById(2131827711);
        baseViewHolder.rHw.setOnTouchListener(new aa());
        baseViewHolder.rHy = (ViewGroup) a.findViewById(2131827904);
        baseViewHolder.rHz = (AsyncNormalTextView) a.findViewById(2131827906);
        baseViewHolder.rHz.setOpClickListener(auVar.rxZ);
        baseViewHolder.rHB = (LinearLayout) a.findViewById(2131827716);
        baseViewHolder.rHB.setTag(baseViewHolder);
        baseViewHolder.rHB.setOnClickListener(auVar.qOL.rKn);
        auVar.jMO.c(a.findViewById(2131820991), auVar.qOL.rJK, auVar.qOL.rJH);
        auVar.jMO.c((TextView) a.findViewById(2131822812), auVar.qOL.rJK, auVar.qOL.rJH);
        baseViewHolder.rHA = (SnsTranslateResultView) a.findViewById(2131827715);
        baseViewHolder.rHA.setVisibility(8);
        baseViewHolder.rHA.getSplitlineView().setPadding(0, 0, (int) this.mActivity.getResources().getDimension(2131427858), 0);
        baseViewHolder.rHA.getResultTextView().setBackgroundResource(2130840255);
        auVar.jMO.c(baseViewHolder.rHA.getResultTextView(), auVar.qOL.rJK, auVar.qOL.rJH);
        baseViewHolder.rHS = (LinearLayout) a.findViewById(2131827758);
        baseViewHolder.rHI = (TextView) a.findViewById(2131827719);
        baseViewHolder.timeTv = (TextView) a.findViewById(2131827720);
        baseViewHolder.rHJ = (AsyncTextView) a.findViewById(2131827721);
        baseViewHolder.rHK = (AsyncTextView) a.findViewById(2131827722);
        baseViewHolder.rvM = (TextView) a.findViewById(2131827718);
        baseViewHolder.qFH = new bb(a);
        baseViewHolder.qFH.a(auVar.qOL.rJS, auVar.qOL.rKg);
        baseViewHolder.rjj = (TextView) a.findViewById(2131827726);
        baseViewHolder.rjj.setText(activity.getString(2131296881));
        baseViewHolder.rjj.setOnClickListener(auVar.qOL.rJM);
        baseViewHolder.rHJ.setOnClickListener(auVar.qOL.rKh);
        baseViewHolder.rHK.setOnClickListener(auVar.qOL.rKi);
        baseViewHolder.rvM.setOnClickListener(auVar.qOL.rKd);
        baseViewHolder.rHL = a.findViewById(2131827723);
        baseViewHolder.rHL.setOnClickListener(auVar.qOL.rJR);
        baseViewHolder.kPs = (TextView) a.findViewById(2131827724);
        baseViewHolder.rHM = (ImageView) a.findViewById(2131827709);
        baseViewHolder.rHV = (ViewStub) a.findViewById(2131827911);
        baseViewHolder.rgx = (LinearLayout) a.findViewById(2131827888);
        baseViewHolder.rIv = (ViewStub) a.findViewById(2131827910);
        baseViewHolder.rHX = (ViewStub) a.findViewById(2131827913);
        baseViewHolder.rHE = (TextView) a.findViewById(2131827908);
        baseViewHolder.rHE.setOnClickListener(auVar.qOL.rJN);
        baseViewHolder.rIz = (TextView) a.findViewById(2131827725);
        baseViewHolder.mRR = a;
        if (this.rps) {
            c.b(a, baseViewHolder);
            com.tencent.mm.plugin.sns.abtest.a.a(a, baseViewHolder);
            af.cnw();
            com.tencent.mm.plugin.sns.g.c.c(a, baseViewHolder);
        }
        d(baseViewHolder);
        a.setTag(baseViewHolder);
        a(baseViewHolder, nVar);
        return a;
    }

    /* JADX WARNING: Removed duplicated region for block: B:217:0x09b3  */
    /* JADX WARNING: Removed duplicated region for block: B:109:0x04c5  */
    /* JADX WARNING: Removed duplicated region for block: B:220:0x09c0  */
    /* JADX WARNING: Removed duplicated region for block: B:123:0x0558  */
    /* JADX WARNING: Removed duplicated region for block: B:261:0x0abb  */
    /* JADX WARNING: Removed duplicated region for block: B:126:0x0563  */
    /* JADX WARNING: Removed duplicated region for block: B:263:0x0ac7  */
    /* JADX WARNING: Removed duplicated region for block: B:129:0x057b  */
    /* JADX WARNING: Removed duplicated region for block: B:140:0x05f6  */
    public final void a(com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem.BaseViewHolder r14, int r15, com.tencent.mm.plugin.sns.storage.n r16, com.tencent.mm.protocal.protobuf.TimeLineObject r17, int r18, com.tencent.mm.plugin.sns.ui.au r19) {
        /*
        r13 = this;
        r2 = r19.cuc();
        r2 = r2.crQ();
        r3 = java.lang.Integer.valueOf(r15);
        r2 = r2.get(r3);
        r10 = r2;
        r10 = (com.tencent.mm.plugin.sns.ui.av) r10;
        r0 = r16;
        a(r14, r0);
        r0 = r18;
        r13.klY = r0;
        r0 = r19;
        r13.qPr = r0;
        r2 = r13.rps;
        if (r2 == 0) goto L_0x0027;
    L_0x0024:
        com.tencent.mm.plugin.sns.ui.a.a.F(r16);
    L_0x0027:
        com.tencent.mm.plugin.sns.ui.a.a.d(r17);
        r2 = 32;
        r0 = r16;
        r2 = r0.DI(r2);
        if (r2 == 0) goto L_0x0059;
    L_0x0034:
        r2 = "MicroMsg.BaseTimeLineItem";
        r3 = new java.lang.StringBuilder;
        r4 = "the ad sns id is ";
        r3.<init>(r4);
        r0 = r16;
        r4 = r0.field_snsId;
        r4 = com.tencent.mm.plugin.sns.data.i.jW(r4);
        r3 = r3.append(r4);
        r4 = " for susan";
        r3 = r3.append(r4);
        r3 = r3.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
    L_0x0059:
        r2 = r10.rAt;
        r14.rHt = r2;
        r2 = 0;
        r14.mVC = r2;
        r14.position = r15;
        r2 = r10.rAs;
        r14.cFc = r2;
        r2 = r10.riA;
        r14.cwT = r2;
        r2 = r10.rAx;
        r14.rHu = r2;
        r2 = r14.rHM;
        r0 = r19;
        r3 = r0.rxY;
        r2.setOnClickListener(r3);
        r0 = r17;
        r14.timeLineObject = r0;
        r11 = r10.qBX;
        r14.qCX = r11;
        r0 = r19;
        r2 = r0.rxP;
        r2 = r2.rhn;
        r2 = r2.qMn;
        if (r16 == 0) goto L_0x012e;
    L_0x0089:
        r3 = r16.cqU();
        r4 = r2.qSA;
        r4.add(r3);
        r4 = 32;
        r0 = r16;
        r4 = r0.DI(r4);
        if (r4 == 0) goto L_0x00a1;
    L_0x009c:
        r4 = r2.qSF;
        r4.add(r3);
    L_0x00a1:
        r4 = r2.qSG;
        r0 = r16;
        r5 = r0.field_userName;
        r4.add(r5);
        r0 = r16;
        r4 = r0.field_type;
        switch(r4) {
            case 1: goto L_0x0639;
            case 2: goto L_0x0640;
            case 3: goto L_0x0663;
            case 4: goto L_0x0647;
            case 5: goto L_0x0655;
            case 15: goto L_0x064e;
            case 18: goto L_0x065c;
            default: goto L_0x00b1;
        };
    L_0x00b1:
        r4 = r2.qSL;
        r4.add(r3);
    L_0x00b6:
        r3 = r2.qSy;
        if (r15 >= r3) goto L_0x00c2;
    L_0x00ba:
        r2.qSy = r15;
        r3 = com.tencent.mm.plugin.sns.data.i.j(r16);
        r2.qRd = r3;
    L_0x00c2:
        r3 = r2.qSz;
        if (r15 <= r3) goto L_0x00ce;
    L_0x00c6:
        r2.qSz = r15;
        r3 = com.tencent.mm.plugin.sns.data.i.j(r16);
        r2.qRe = r3;
    L_0x00ce:
        r3 = r2.qSB;
        r3 = r3.size();
        r2.qRj = r3;
        r3 = r2.qSC;
        r3 = r3.size();
        r2.qRk = r3;
        r3 = r2.qSD;
        r3 = r3.size();
        r2.qRl = r3;
        r3 = r2.qSE;
        r3 = r3.size();
        r2.qRn = r3;
        r3 = r2.qSF;
        r3 = r3.size();
        r2.qRm = r3;
        r3 = r2.qSJ;
        r3 = r3.size();
        r2.qRo = r3;
        r3 = r2.qSK;
        r3 = r3.size();
        r2.qRw = r3;
        r3 = r2.qSG;
        r3 = r3.size();
        r2.jLU = r3;
        r3 = r2.qSH;
        r3 = r3.size();
        r2.qRh = r3;
        r3 = r2.qSI;
        r3 = r3.size();
        r2.qRi = r3;
        r3 = r2.qSL;
        r3 = r3.size();
        r2.qRv = r3;
        r3 = r2.qSA;
        r3 = r3.size();
        r2.qQR = r3;
    L_0x012e:
        r2 = r16.cqo();
        r3 = r10.igi;
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r4 != 0) goto L_0x01b4;
    L_0x013a:
        r4 = r10.rAr;
        r14.rIs = r4;
        r4 = r14.rHv;
        r4.setTag(r3);
        if (r2 == 0) goto L_0x0687;
    L_0x0145:
        r4 = r2.qVa;
        if (r4 == 0) goto L_0x0687;
    L_0x0149:
        r4 = r14.rHv;
        r5 = 2130838444; // 0x7f0203ac float:1.728187E38 double:1.052774072E-314;
        r4.setImageResource(r5);
        r4 = r14.rHv;
        r5 = 4;
        r4.dk(r3, r5);
        r4 = r14.rHv;
        r5 = 0;
        r4.setShowStoryHint(r5);
        r4 = r2.qVc;
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r4);
        if (r4 != 0) goto L_0x0198;
    L_0x0165:
        r4 = "adId";
        r5 = r2.qVc;
        r4 = com.tencent.mm.plugin.sns.storage.AdLandingPagesStorage.h.gj(r4, r5);
        r5 = r14.rHv;
        r6 = 2131820666; // 0x7f11007a float:1.9274053E38 double:1.053259354E-314;
        r7 = r2.qVc;
        r5.setTag(r6, r7);
        r5 = com.tencent.mm.vfs.e.ct(r4);
        if (r5 == 0) goto L_0x067b;
    L_0x017e:
        r2 = 0;
        r2 = com.tencent.mm.sdk.platformtools.d.decodeFile(r4, r2);
        if (r2 == 0) goto L_0x0198;
    L_0x0185:
        r4 = r14.rHv;
        r5 = 1;
        r6 = 1036831949; // 0x3dcccccd float:0.1 double:5.122630465E-315;
        r7 = r2.getWidth();
        r7 = (float) r7;
        r6 = r6 * r7;
        r2 = com.tencent.mm.sdk.platformtools.d.a(r2, r5, r6);
        r4.setImageBitmap(r2);
    L_0x0198:
        r2 = r14.rHw;
        r4 = r10.rAH;
        r5 = new com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem$3;
        r0 = r19;
        r5.<init>(r13, r0);
        r6 = r10.rgZ;
        r7 = r10.riA;
        r9 = r10.rgZ;
        r8 = r18;
        r2.a(r3, r4, r5, r6, r7, r8, r9);
    L_0x01ae:
        r2 = r14.rHv;
        r4 = r10.riA;
        r2.eSe = r4;
    L_0x01b4:
        r2 = r14.rHx;
        r4 = 8;
        r2.setVisibility(r4);
        r2 = r10.rgZ;
        if (r2 == 0) goto L_0x073f;
    L_0x01bf:
        r2 = 1;
        r14.qFG = r2;
        r2 = r10.rAy;
        r14.mVC = r2;
    L_0x01c6:
        r2 = com.tencent.mm.plugin.story.api.e.class;
        r2 = com.tencent.mm.kernel.g.M(r2);
        r2 = (com.tencent.mm.plugin.story.api.e) r2;
        r2 = r2.hasNewStory(r3);
        if (r2 == 0) goto L_0x01d7;
    L_0x01d4:
        r2 = 0;
        r10.rAq = r2;
    L_0x01d7:
        r2 = r14.rHz;
        r3 = r10.rAu;
        r4 = r10.rAv;
        r0 = r19;
        r2.a(r3, r0, r4, r10);
        r2 = r14.rHz;
        r2.setShow(r14);
        r2 = r14.kPs;
        r3 = new com.tencent.mm.plugin.sns.ui.aa;
        r3.<init>();
        r2.setOnTouchListener(r3);
        r2 = r13;
        r3 = r14;
        r4 = r15;
        r5 = r10;
        r6 = r17;
        r7 = r18;
        r8 = r19;
        r2.a(r3, r4, r5, r6, r7, r8);
        r0 = r19;
        r2 = r0.rxR;
        r3 = java.lang.Integer.valueOf(r15);
        r4 = new java.lang.ref.WeakReference;
        r5 = r14.mRR;
        r4.<init>(r5);
        r2.put(r3, r4);
        r2 = r14.mRR;
        r2 = r2.getBackground();
        if (r2 != 0) goto L_0x0235;
    L_0x0218:
        r2 = r14.mRR;
        r3 = 2130838396; // 0x7f02037c float:1.7281773E38 double:1.0527740483E-314;
        r2.setBackgroundResource(r3);
        r2 = r13.mActivity;
        r3 = 12;
        r2 = com.tencent.mm.bz.a.fromDPToPix(r2, r3);
        r3 = r13.mActivity;
        r4 = 8;
        r3 = com.tencent.mm.bz.a.fromDPToPix(r3, r4);
        r4 = r14.mRR;
        r4.setPadding(r2, r2, r2, r3);
    L_0x0235:
        r2 = r14.timeTv;
        r3 = r10.rAA;
        r2.setText(r3);
        r2 = r14.rHJ;
        r3 = 8;
        r2.setVisibility(r3);
        r2 = r14.rHK;
        r3 = 8;
        r2.setVisibility(r3);
        r2 = r10.rgZ;
        if (r2 == 0) goto L_0x02e9;
    L_0x024e:
        r3 = r10.rAB;
        r2 = r14.rHJ;
        r4 = r10.riA;
        r2.setTag(r4);
        r2 = r10.rAB;
        r2 = r2.qTF;
        r4 = com.tencent.mm.plugin.sns.storage.a.qTr;
        if (r2 != r4) goto L_0x074d;
    L_0x025f:
        r2 = r10.rAE;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r2 != 0) goto L_0x0744;
    L_0x0267:
        r2 = r14.rHJ;
        r4 = r10.rAE;
        r2.setText(r4);
        r2 = r14.rHJ;
        r4 = 0;
        r2.setVisibility(r4);
    L_0x0274:
        r2 = r14.rHJ;
        r2 = r2.getVisibility();
        r4 = 8;
        if (r2 == r4) goto L_0x029e;
    L_0x027e:
        r2 = r3.qTH;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r2 == 0) goto L_0x029e;
    L_0x0286:
        r2 = r14.rHJ;
        r3 = r13.mActivity;
        r3 = r3.getResources();
        r4 = 2131690508; // 0x7f0f040c float:1.9010062E38 double:1.0531950476E-314;
        r3 = r3.getColor(r4);
        r2.setTextColor(r3);
        r2 = r14.rHJ;
        r3 = 0;
        r2.setOnClickListener(r3);
    L_0x029e:
        r2 = r16.cqu();
        r2 = r2.xfI;
        r2 = r2.wbL;
        r2 = r2 & 4;
        if (r2 == 0) goto L_0x0812;
    L_0x02aa:
        r2 = r14.rHK;
        r2.setTag(r14);
        r2 = r14.rHK;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = r14.rHK;
        r3 = "%s%s%s";
        r4 = 3;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = r13.mActivity;
        r6 = r6.getResources();
        r7 = 2131303566; // 0x7f091c8e float:1.822525E38 double:1.053003873E-314;
        r6 = r6.getString(r7);
        r4[r5] = r6;
        r5 = 1;
        r6 = r10.rAH;
        r4[r5] = r6;
        r5 = 2;
        r6 = r13.mActivity;
        r6 = r6.getResources();
        r7 = 2131303567; // 0x7f091c8f float:1.8225252E38 double:1.0530038733E-314;
        r6 = r6.getString(r7);
        r4[r5] = r6;
        r3 = java.lang.String.format(r3, r4);
        r2.setText(r3);
    L_0x02e9:
        r2 = r10.rAK;
        if (r2 == 0) goto L_0x081b;
    L_0x02ed:
        r0 = r19;
        r2 = r0.crP;
        r3 = 2131301219; // 0x7f091363 float:1.822049E38 double:1.0530027132E-314;
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = r10.rAL;
        r6 = java.lang.Integer.valueOf(r6);
        r4[r5] = r6;
        r2 = r2.getString(r3, r4);
        r3 = r14.rIz;
        r3.setText(r2);
        r2 = r14.rIz;
        r3 = 0;
        r2.setVisibility(r3);
    L_0x0313:
        r2 = r14.rvM;
        r3 = r10.riA;
        r2.setTag(r3);
        r2 = r10.rAN;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r2 != 0) goto L_0x082b;
    L_0x0322:
        r2 = r14.rvM;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = r14.rvM;
        r3 = r10.rAN;
        r2.setText(r3);
        r2 = r14.rvM;
        r3 = r10.rAO;
        r2.setClickable(r3);
        r3 = r14.rvM;
        r2 = r10.rAO;
        if (r2 == 0) goto L_0x0826;
    L_0x033c:
        r2 = -11048043; // 0xffffffffff576b95 float:-2.8634262E38 double:NaN;
    L_0x033f:
        r3.setTextColor(r2);
    L_0x0342:
        r2 = r14.kPs;
        r3 = r13.mActivity;
        r3 = r3.getResources();
        r4 = 2131690481; // 0x7f0f03f1 float:1.9010007E38 double:1.053195034E-314;
        r3 = r3.getColor(r4);
        r2.setTextColor(r3);
        r2 = r10.rAP;
        if (r2 == 0) goto L_0x0834;
    L_0x0358:
        r2 = r14.kPs;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = r13.mActivity;
        r4 = 2131303608; // 0x7f091cb8 float:1.8225335E38 double:1.0530038936E-314;
        r3 = r3.getString(r4);
        r2 = r2.append(r3);
        r3 = r10.mAppName;
        r2 = r2.append(r3);
        r2 = r2.toString();
        r3 = r2.length();
        r4 = 10;
        if (r3 <= r4) goto L_0x039d;
    L_0x0382:
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = 0;
        r5 = 10;
        r2 = r2.substring(r4, r5);
        r2 = r3.append(r2);
        r3 = "...";
        r2 = r2.append(r3);
        r2 = r2.toString();
    L_0x039d:
        r3 = new android.text.SpannableString;
        r3.<init>(r2);
        r2 = new com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem$b;
        r2.<init>(r13);
        r4 = 0;
        r5 = r3.length();
        r6 = 33;
        r3.setSpan(r2, r4, r5, r6);
        r2 = r14.kPs;
        r4 = android.widget.TextView.BufferType.SPANNABLE;
        r2.setText(r3, r4);
        r2 = r10.rAR;
        if (r2 != 0) goto L_0x03e3;
    L_0x03bc:
        r2 = "wx7fa037cc7dfabad5";
        r0 = r17;
        r3 = r0.xfH;
        r3 = r3.Id;
        r2 = r2.equals(r3);
        if (r2 != 0) goto L_0x03e3;
    L_0x03cb:
        r2 = r14.kPs;
        r3 = r13.mActivity;
        r3 = r3.getResources();
        r4 = 2131690508; // 0x7f0f040c float:1.9010062E38 double:1.0531950476E-314;
        r3 = r3.getColor(r4);
        r2.setTextColor(r3);
        r2 = r14.kPs;
        r3 = 0;
        r2.setOnTouchListener(r3);
    L_0x03e3:
        r2 = r14.kPs;
        r0 = r17;
        r2.setTag(r0);
    L_0x03ea:
        r2 = r10.rAJ;
        if (r2 == 0) goto L_0x0908;
    L_0x03ee:
        r2 = r14.rjj;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = r14.rjj;
        r3 = r10.riA;
        r2.setTag(r3);
    L_0x03fb:
        r2 = r14.rHM;
        r2.setTag(r14);
        r2 = r10.rAV;
        if (r2 == 0) goto L_0x0953;
    L_0x0404:
        r2 = r14.rIb;
        if (r2 != 0) goto L_0x0434;
    L_0x0408:
        r2 = r14.rHX;
        r2 = r2.inflate();
        r2 = (android.widget.LinearLayout) r2;
        r14.rHQ = r2;
        r2 = r14.mRR;
        r3 = 2131827834; // 0x7f111c7a float:1.9288592E38 double:1.0532628956E-314;
        r2 = r2.findViewById(r3);
        r14.rHR = r2;
        r2 = 1;
        r14.rIb = r2;
        r2 = r14.rHR;
        r3 = r10.riA;
        r2.setTag(r3);
        r2 = r14.rHQ;
        r3 = 2131827834; // 0x7f111c7a float:1.9288592E38 double:1.0532628956E-314;
        r2 = r2.findViewById(r3);
        r2 = (android.widget.TextView) r2;
        r14.raQ = r2;
    L_0x0434:
        r2 = r14.rHX;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = r14.rHR;
        r0 = r19;
        r3 = r0.qOL;
        r3 = r3.rJQ;
        r2.setOnClickListener(r3);
        r2 = r10.rAW;
        switch(r2) {
            case 201: goto L_0x0911;
            case 210: goto L_0x0927;
            case 211: goto L_0x093d;
            default: goto L_0x044a;
        };
    L_0x044a:
        r2 = r14.raQ;
        r3 = 2131303747; // 0x7f091d43 float:1.8225617E38 double:1.053003962E-314;
        r2.setText(r3);
        r2 = r14.rHR;
        r3 = 1;
        r2.setClickable(r3);
        r2 = r14.rHR;
        r3 = 1;
        r2.setEnabled(r3);
    L_0x045e:
        r2 = r16.cqM();
        if (r2 == 0) goto L_0x0473;
    L_0x0464:
        r3 = r2.wFu;
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r3 != 0) goto L_0x0473;
    L_0x046c:
        r3 = r14.raQ;
        r2 = r2.wFu;
        r3.setText(r2);
    L_0x0473:
        r2 = r10.rAX;
        if (r2 == 0) goto L_0x0960;
    L_0x0477:
        r2 = r14.rHL;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = r14.rHL;
        r3 = r10.riA;
        r2.setTag(r3);
    L_0x0484:
        r2 = r10.rAY;
        if (r2 == 0) goto L_0x09aa;
    L_0x0488:
        r2 = r10.rAZ;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r2 != 0) goto L_0x0980;
    L_0x0490:
        r2 = r14.rHI;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = 7;
        r0 = r18;
        if (r0 != r2) goto L_0x0969;
    L_0x049b:
        r2 = r13.mActivity;
        r3 = 2131303832; // 0x7f091d98 float:1.822579E38 double:1.053004004E-314;
        r2 = r2.getString(r3);
        r3 = 1;
        r3 = new java.lang.Object[r3];
        r4 = 0;
        r5 = r10.rAZ;
        r3[r4] = r5;
        r2 = java.lang.String.format(r2, r3);
    L_0x04b0:
        r3 = r13.mActivity;
        r4 = r14.rHI;
        r4 = r4.getTextSize();
        r2 = com.tencent.mm.pluginsdk.ui.e.j.b(r3, r2, r4);
        r3 = r14.rHI;
        r3.setText(r2);
    L_0x04c1:
        r2 = r10.rBb;
        if (r2 == 0) goto L_0x09b3;
    L_0x04c5:
        r2 = r14.rIw;
        if (r2 != 0) goto L_0x04f5;
    L_0x04c9:
        r2 = r14.rIv;
        r2 = r2.inflate();
        r14.rIw = r2;
        r2 = r14.rIw;
        r3 = 2131825679; // 0x7f11140f float:1.928422E38 double:1.053261831E-314;
        r2 = r2.findViewById(r3);
        r2 = (android.widget.TextView) r2;
        r14.qHh = r2;
        r2 = r14.rIw;
        r3 = 2131825681; // 0x7f111411 float:1.9284225E38 double:1.053261832E-314;
        r2 = r2.findViewById(r3);
        r2 = (com.tencent.mm.plugin.sns.ui.MaskTextView) r2;
        r14.rIx = r2;
        r2 = r14.rIx;
        r3 = new com.tencent.mm.plugin.sns.ui.aa;
        r3.<init>();
        r2.setOnTouchListener(r3);
    L_0x04f5:
        r2 = r14.rIw;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = r14.rIx;
        r3 = r10.rBe;
        r0 = r18;
        r13.b(r2, r3, r0);
        r2 = r13.mActivity;
        r3 = 2131303707; // 0x7f091d1b float:1.8225536E38 double:1.0530039425E-314;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = r10.rBc;
        r6 = java.lang.Integer.valueOf(r6);
        r4[r5] = r6;
        r5 = 1;
        r6 = r10.rBd;
        r8 = 4636737291354636288; // 0x4059000000000000 float:0.0 double:100.0;
        r6 = r6 / r8;
        r6 = com.tencent.mm.sdk.platformtools.bo.F(r6);
        r4[r5] = r6;
        r2 = r2.getString(r3, r4);
        r3 = r14.qHh;
        r3.setText(r2);
        r2 = r14.rIw;
        r0 = r16;
        r2.setTag(r0);
        r2 = r14.rIw;
        r0 = r19;
        r3 = r0.qOL;
        r3 = r3.rJT;
        r2.setOnClickListener(r3);
    L_0x053c:
        r2 = r10.rBf;
        if (r2 == 0) goto L_0x0548;
    L_0x0540:
        r2 = r10.rBf;
        r2 = r2.size();
        if (r2 != 0) goto L_0x09cd;
    L_0x0548:
        r2 = r10.rBg;
        if (r2 == 0) goto L_0x0554;
    L_0x054c:
        r2 = r10.rBg;
        r2 = r2.size();
        if (r2 != 0) goto L_0x09cd;
    L_0x0554:
        r2 = r14.rgx;
        if (r2 == 0) goto L_0x09c0;
    L_0x0558:
        r2 = r14.rgx;
        r3 = 8;
        r2.setVisibility(r3);
    L_0x055f:
        r2 = r10.rBh;
        if (r2 == 0) goto L_0x0abb;
    L_0x0563:
        r2 = r14.rHE;
        r3 = r10.riA;
        r2.setTag(r3);
        r2 = r14.rHE;
        r3 = r10.rBi;
        r2.setText(r3);
        r2 = r14.rHE;
        r3 = 0;
        r2.setVisibility(r3);
    L_0x0577:
        r2 = r10.rgZ;
        if (r2 == 0) goto L_0x0ac7;
    L_0x057b:
        r2 = "MicroMsg.BaseTimeLineItem";
        r3 = new java.lang.StringBuilder;
        r4 = "adatag ";
        r3.<init>(r4);
        r4 = r10.rAD;
        r3 = r3.append(r4);
        r3 = r3.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r9 = r14.qFH;
        r2 = r10.rAt;
        r12 = java.lang.Long.valueOf(r2);
        r2 = new com.tencent.mm.plugin.sns.data.b;
        r3 = r14.qFH;
        r4 = r14.position;
        r5 = r10.riA;
        r6 = r10.rAt;
        r8 = r10.rAz;
        r2.<init>(r3, r4, r5, r6, r8);
        r9.z(r12, r2);
        r2 = r14.qFH;
        r3 = r10.rAC;
        r4 = r10.rAB;
        r2.a(r3, r4);
        r2 = r14.qFH;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = r14.rvM;
        if (r2 == 0) goto L_0x05f2;
    L_0x05c0:
        r2 = r14.rvM;
        r2 = r2.getVisibility();
        if (r2 != 0) goto L_0x05f2;
    L_0x05c8:
        r2 = r14.qFH;
        r2 = r2.rDj;
        r2 = r2.getVisibility();
        if (r2 != 0) goto L_0x0ac4;
    L_0x05d2:
        r2 = 1;
    L_0x05d3:
        if (r2 == 0) goto L_0x05f2;
    L_0x05d5:
        r2 = r14.rvM;
        r2 = r2.getLayoutParams();
        r2 = (android.widget.LinearLayout.LayoutParams) r2;
        r3 = r2.leftMargin;
        r4 = r13.mActivity;
        r5 = 0;
        r4 = com.tencent.mm.sdk.platformtools.BackwardSupportUtil.b.b(r4, r5);
        r5 = r2.rightMargin;
        r6 = r2.bottomMargin;
        r2.setMargins(r3, r4, r5, r6);
        r3 = r14.rvM;
        r3.setLayoutParams(r2);
    L_0x05f2:
        r2 = r13.rps;
        if (r2 == 0) goto L_0x05ff;
    L_0x05f6:
        r2 = com.tencent.mm.plugin.sns.model.af.cnw();
        r3 = r13.mActivity;
        r2.a(r3, r11, r14);
    L_0x05ff:
        r2 = new com.tencent.mm.plugin.sns.ui.ar;
        r3 = r10.rAs;
        r4 = r10.riA;
        r5 = 0;
        r6 = 1;
        r7 = 1;
        r2.<init>(r3, r4, r5, r6, r7);
        r3 = r14.rHA;
        r3 = r3.getResultTextView();
        r3.setTag(r2);
        r2 = com.tencent.mm.ui.a.a.a.dzk();
        r3 = r14.mRR;
        r4 = r14.rHw;
        r5 = r14.timeTv;
        r6 = r14.rHz;
        r6 = r6.getContent();
        r7 = r14.rHG;
        r8 = r14.rIr;
        r9 = r2.dzj();
        if (r9 == 0) goto L_0x0638;
    L_0x062e:
        r9 = r2.Gn;
        if (r9 == 0) goto L_0x0638;
    L_0x0632:
        if (r3 == 0) goto L_0x0638;
    L_0x0634:
        if (r4 == 0) goto L_0x0638;
    L_0x0636:
        if (r5 != 0) goto L_0x0ad0;
    L_0x0638:
        return;
    L_0x0639:
        r4 = r2.qSC;
        r4.add(r3);
        goto L_0x00b6;
    L_0x0640:
        r4 = r2.qSB;
        r4.add(r3);
        goto L_0x00b6;
    L_0x0647:
        r4 = r2.qSE;
        r4.add(r3);
        goto L_0x00b6;
    L_0x064e:
        r4 = r2.qSD;
        r4.add(r3);
        goto L_0x00b6;
    L_0x0655:
        r4 = r2.qSJ;
        r4.add(r3);
        goto L_0x00b6;
    L_0x065c:
        r4 = r2.qSK;
        r4.add(r3);
        goto L_0x00b6;
    L_0x0663:
        r0 = r17;
        r4 = r0.xfJ;
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r4);
        if (r4 != 0) goto L_0x0674;
    L_0x066d:
        r4 = r2.qSH;
        r4.add(r3);
        goto L_0x00b6;
    L_0x0674:
        r4 = r2.qSI;
        r4.add(r3);
        goto L_0x00b6;
    L_0x067b:
        r2 = r2.qVc;
        r4 = new com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem$2;
        r4.<init>(r13, r14);
        com.tencent.mm.plugin.sns.storage.AdLandingPagesStorage.h.a(r2, r4);
        goto L_0x0198;
    L_0x0687:
        r2 = "@ad";
        r2 = r3.endsWith(r2);
        if (r2 != 0) goto L_0x072a;
    L_0x0690:
        r2 = r10.rAI;
        if (r2 == 0) goto L_0x0717;
    L_0x0694:
        r2 = "MicroMsg.BaseTimeLineItem";
        r4 = "getContact %s";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r5[r6] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r4, r5);
        r2 = com.tencent.mm.pluginsdk.ui.a.b.diS();
        r2 = r2.AZ();
        if (r2 == 0) goto L_0x06ba;
    L_0x06ad:
        r2 = r14.rHv;
        r4 = com.tencent.mm.pluginsdk.ui.a.b.diS();
        r4 = r4.AZ();
        r2.setImageBitmap(r4);
    L_0x06ba:
        r2 = com.tencent.mm.model.ao.a.flu;
        r4 = "";
        r5 = new com.tencent.mm.plugin.sns.ui.au$b;
        r6 = r19.cuc();
        r5.<init>(r6, r15);
        r2.a(r3, r4, r5);
    L_0x06cb:
        r2 = r10.rAJ;
        if (r2 != 0) goto L_0x071d;
    L_0x06cf:
        r4 = 4;
        r2 = r14.rHv;
        r2 = r2.getTag();
        r2 = (java.lang.String) r2;
        r5 = r14.rHv;
        com.tencent.mm.plugin.sns.ui.e.a.b(r4, r2, r5);
        r2 = r14.rHv;
        r4 = 4;
        r2.dk(r3, r4);
        r2 = r14.rHv;
        r2.setTag(r3);
        r2 = 4;
        r4 = r14.rHv;
        com.tencent.mm.plugin.sns.ui.e.a.a(r2, r3, r4);
        r4 = r14.rHv;
        r2 = com.tencent.mm.plugin.story.api.e.class;
        r2 = com.tencent.mm.kernel.g.M(r2);
        r2 = (com.tencent.mm.plugin.story.api.e) r2;
        r2 = r2.hasNewStory(r3);
        r4.setShowStoryHint(r2);
    L_0x06ff:
        r2 = r14.rHw;
        r4 = r10.rAH;
        r5 = new com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem$4;
        r0 = r19;
        r5.<init>(r13, r0);
        r6 = r10.rgZ;
        r7 = r10.riA;
        r9 = r10.rgZ;
        r8 = r18;
        r2.a(r3, r4, r5, r6, r7, r8, r9);
        goto L_0x01ae;
    L_0x0717:
        r2 = r14.rHv;
        com.tencent.mm.pluginsdk.ui.a.b.b(r2, r3);
        goto L_0x06cb;
    L_0x071d:
        r2 = r14.rHv;
        r4 = 4;
        r2.dk(r3, r4);
        r2 = r14.rHv;
        r4 = 0;
        r2.setShowStoryHint(r4);
        goto L_0x06ff;
    L_0x072a:
        r2 = r14.rHv;
        r4 = 2130838444; // 0x7f0203ac float:1.728187E38 double:1.052774072E-314;
        r2.setImageResource(r4);
        r2 = r14.rHv;
        r4 = 4;
        r2.dk(r3, r4);
        r2 = r14.rHv;
        r4 = 0;
        r2.setShowStoryHint(r4);
        goto L_0x06ff;
    L_0x073f:
        r2 = 0;
        r14.qFG = r2;
        goto L_0x01c6;
    L_0x0744:
        r2 = r14.rHJ;
        r4 = 8;
        r2.setVisibility(r4);
        goto L_0x0274;
    L_0x074d:
        r2 = r3.qTF;
        r4 = com.tencent.mm.plugin.sns.storage.a.qTs;
        if (r2 != r4) goto L_0x0274;
    L_0x0753:
        r2 = r10.rAF;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r2 != 0) goto L_0x0809;
    L_0x075b:
        r2 = r10.rAG;
        r4 = r10.rAF;
        r5 = new com.tencent.mm.pluginsdk.ui.e.k;
        r6 = r13.mActivity;
        r7 = r14.rHJ;
        r7.getTextSize();
        r7 = 1;
        r6 = com.tencent.mm.pluginsdk.ui.e.j.c(r6, r4, r7);
        r5.<init>(r6);
        r6 = 0;
        r7 = 0;
        r5.a(r6, r4, r7);
        r4 = r14.rHJ;
        r4 = r4.getPaint();
        r6 = 0;
        r7 = r5.length();
        r6 = android.text.Layout.getDesiredWidth(r5, r6, r7, r4);
        r7 = r13.mActivity;
        r6 = (int) r6;
        r6 = com.tencent.mm.bz.a.ao(r7, r6);
        r7 = r14.rql;
        if (r6 <= r7) goto L_0x07fa;
    L_0x078f:
        r5 = r2.length();
        r6 = 1;
        if (r5 <= r6) goto L_0x0274;
    L_0x0796:
        r5 = 0;
        r6 = r2.length();
        r6 = r6 + -2;
        r2 = r2.substring(r5, r6);
        r5 = r3.qTG;
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r8 = new java.lang.StringBuilder;
        r8.<init>();
        r8 = r8.append(r2);
        r9 = "...";
        r8 = r8.append(r9);
        r8 = r8.toString();
        r6[r7] = r8;
        r5 = java.lang.String.format(r5, r6);
        r6 = new com.tencent.mm.pluginsdk.ui.e.k;
        r7 = r13.mActivity;
        r8 = r14.rHJ;
        r8.getTextSize();
        r8 = 1;
        r7 = com.tencent.mm.pluginsdk.ui.e.j.c(r7, r5, r8);
        r6.<init>(r7);
        r7 = 0;
        r8 = 0;
        r6.a(r7, r5, r8);
        r5 = 0;
        r7 = r6.length();
        r5 = android.text.Layout.getDesiredWidth(r6, r5, r7, r4);
        r7 = r13.mActivity;
        r5 = (int) r5;
        r5 = com.tencent.mm.bz.a.ao(r7, r5);
        r7 = r14.rHJ;
        r8 = android.widget.TextView.BufferType.SPANNABLE;
        r7.setText(r6, r8);
        r6 = r14.rHJ;
        r7 = 0;
        r6.setVisibility(r7);
        r6 = r14.rql;
        if (r5 > r6) goto L_0x078f;
    L_0x07f8:
        goto L_0x0274;
    L_0x07fa:
        r2 = r14.rHJ;
        r4 = android.widget.TextView.BufferType.SPANNABLE;
        r2.setText(r5, r4);
        r2 = r14.rHJ;
        r4 = 0;
        r2.setVisibility(r4);
        goto L_0x0274;
    L_0x0809:
        r2 = r14.rHJ;
        r4 = 8;
        r2.setVisibility(r4);
        goto L_0x0274;
    L_0x0812:
        r2 = r14.rHK;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x02e9;
    L_0x081b:
        r2 = r14.rIz;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x0313;
    L_0x0826:
        r2 = -9211021; // 0xffffffffff737373 float:-3.2360185E38 double:NaN;
        goto L_0x033f;
    L_0x082b:
        r2 = r14.rvM;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x0342;
    L_0x0834:
        r2 = r10.rAQ;
        if (r2 == 0) goto L_0x086b;
    L_0x0838:
        r2 = r14.kPs;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = new android.text.SpannableString;
        r3 = r10.rAT;
        r2.<init>(r3);
        r3 = new com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem$c;
        r3.<init>(r13);
        r4 = 0;
        r5 = r2.length();
        r6 = 33;
        r2.setSpan(r3, r4, r5, r6);
        r3 = r14.kPs;
        r4 = android.widget.TextView.BufferType.SPANNABLE;
        r3.setText(r2, r4);
        r2 = r14.kPs;
        r3 = new com.tencent.mm.plugin.sns.ui.az;
        r4 = r10.rAS;
        r5 = r10.rAT;
        r3.<init>(r4, r5);
        r2.setTag(r3);
        goto L_0x03ea;
    L_0x086b:
        r2 = r10.rAU;
        if (r2 == 0) goto L_0x08ff;
    L_0x086f:
        r2 = r14.kPs;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = r13.mActivity;
        r3 = 2131296556; // 0x7f09012c float:1.8211032E38 double:1.0530004094E-314;
        r2 = r2.getString(r3);
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r3 = r3.append(r2);
        r4 = r10.mAppName;
        r3 = r3.append(r4);
        r3 = r3.toString();
        r4 = new android.text.SpannableString;
        r4.<init>(r3);
        r5 = new android.text.style.ForegroundColorSpan;
        r6 = r13.mActivity;
        r6 = r6.getResources();
        r7 = 2131690508; // 0x7f0f040c float:1.9010062E38 double:1.0531950476E-314;
        r6 = r6.getColor(r7);
        r5.<init>(r6);
        r6 = 0;
        r7 = r2.length();
        r8 = 33;
        r4.setSpan(r5, r6, r7, r8);
        r5 = new com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem$a;
        r5.<init>(r13);
        r2 = r2.length();
        r3 = r3.length();
        r6 = 33;
        r4.setSpan(r5, r2, r3, r6);
        r2 = r14.kPs;
        r3 = android.widget.TextView.BufferType.SPANNABLE;
        r2.setText(r4, r3);
        r2 = r10.rAR;
        if (r2 != 0) goto L_0x08f6;
    L_0x08cf:
        r2 = "wx7fa037cc7dfabad5";
        r0 = r17;
        r3 = r0.xfH;
        r3 = r3.Id;
        r2 = r2.equals(r3);
        if (r2 != 0) goto L_0x08f6;
    L_0x08de:
        r2 = r14.kPs;
        r3 = r13.mActivity;
        r3 = r3.getResources();
        r4 = 2131690508; // 0x7f0f040c float:1.9010062E38 double:1.0531950476E-314;
        r3 = r3.getColor(r4);
        r2.setTextColor(r3);
        r2 = r14.kPs;
        r3 = 0;
        r2.setOnTouchListener(r3);
    L_0x08f6:
        r2 = r14.kPs;
        r0 = r17;
        r2.setTag(r0);
        goto L_0x03ea;
    L_0x08ff:
        r2 = r14.kPs;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x03ea;
    L_0x0908:
        r2 = r14.rjj;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x03fb;
    L_0x0911:
        r2 = r14.raQ;
        r3 = 2131303744; // 0x7f091d40 float:1.822561E38 double:1.053003961E-314;
        r2.setText(r3);
        r2 = r14.rHR;
        r3 = 0;
        r2.setClickable(r3);
        r2 = r14.rHR;
        r3 = 0;
        r2.setEnabled(r3);
        goto L_0x045e;
    L_0x0927:
        r2 = r14.raQ;
        r3 = 2131303746; // 0x7f091d42 float:1.8225615E38 double:1.0530039618E-314;
        r2.setText(r3);
        r2 = r14.rHR;
        r3 = 0;
        r2.setClickable(r3);
        r2 = r14.rHR;
        r3 = 0;
        r2.setEnabled(r3);
        goto L_0x045e;
    L_0x093d:
        r2 = r14.raQ;
        r3 = 2131303745; // 0x7f091d41 float:1.8225613E38 double:1.0530039613E-314;
        r2.setText(r3);
        r2 = r14.rHR;
        r3 = 1;
        r2.setClickable(r3);
        r2 = r14.rHR;
        r3 = 1;
        r2.setEnabled(r3);
        goto L_0x045e;
    L_0x0953:
        r2 = r14.rIb;
        if (r2 == 0) goto L_0x0473;
    L_0x0957:
        r2 = r14.rHX;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x0473;
    L_0x0960:
        r2 = r14.rHL;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x0484;
    L_0x0969:
        r2 = r13.mActivity;
        r3 = 2131303833; // 0x7f091d99 float:1.8225792E38 double:1.0530040047E-314;
        r2 = r2.getString(r3);
        r3 = 1;
        r3 = new java.lang.Object[r3];
        r4 = 0;
        r5 = r10.rAZ;
        r3[r4] = r5;
        r2 = java.lang.String.format(r2, r3);
        goto L_0x04b0;
    L_0x0980:
        r2 = r10.rBa;
        if (r2 == 0) goto L_0x09aa;
    L_0x0984:
        r2 = r14.rHI;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = r13.mActivity;
        r3 = 2131303834; // 0x7f091d9a float:1.8225794E38 double:1.053004005E-314;
        r2 = r2.getString(r3);
        r3 = r13.mActivity;
        r2 = r2.toString();
        r4 = r14.rHI;
        r4 = r4.getTextSize();
        r2 = com.tencent.mm.pluginsdk.ui.e.j.b(r3, r2, r4);
        r3 = r14.rHI;
        r3.setText(r2);
        goto L_0x04c1;
    L_0x09aa:
        r2 = r14.rHI;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x04c1;
    L_0x09b3:
        r2 = r14.rIw;
        if (r2 == 0) goto L_0x053c;
    L_0x09b7:
        r2 = r14.rIw;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x053c;
    L_0x09c0:
        r2 = r14.rHW;
        if (r2 == 0) goto L_0x055f;
    L_0x09c4:
        r2 = r14.rHV;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x055f;
    L_0x09cd:
        r2 = r14.rHW;
        if (r2 != 0) goto L_0x0a36;
    L_0x09d1:
        r2 = r14.rgx;
        if (r2 != 0) goto L_0x0a86;
    L_0x09d5:
        r2 = r14.rHV;
        r2 = r2.getParent();
        if (r2 == 0) goto L_0x0a86;
    L_0x09dd:
        r2 = r14.rHV;
        r2 = r2.inflate();
        r2 = (android.widget.LinearLayout) r2;
        r14.rgx = r2;
    L_0x09e7:
        r2 = r14.rgx;
        if (r2 == 0) goto L_0x0a36;
    L_0x09eb:
        r2 = r14.rgx;
        r3 = 2131827889; // 0x7f111cb1 float:1.9288703E38 double:1.053262923E-314;
        r2 = r2.findViewById(r3);
        r2 = (com.tencent.mm.plugin.sns.ui.MaskTextView) r2;
        r14.rHO = r2;
        r2 = r14.rHO;
        r3 = new com.tencent.mm.plugin.sns.ui.aa;
        r3.<init>();
        r2.setOnTouchListener(r3);
        r2 = r14.mRR;
        r3 = 2131827891; // 0x7f111cb3 float:1.9288707E38 double:1.053262924E-314;
        r2 = r2.findViewById(r3);
        r2 = (android.widget.LinearLayout) r2;
        r14.rHP = r2;
        r2 = r14.rgx;
        r3 = r10.rAs;
        r2.setTag(r3);
        r2 = r14.rHO;
        r3 = r10.rAs;
        r2.setTag(r3);
        r2 = r14.rgx;
        r3 = 2131827890; // 0x7f111cb2 float:1.9288705E38 double:1.0532629233E-314;
        r2 = r2.findViewById(r3);
        r14.rHU = r2;
        r2 = r14.rgx;
        r3 = 2131827888; // 0x7f111cb0 float:1.9288701E38 double:1.0532629223E-314;
        r2 = r2.findViewById(r3);
        r14.rIy = r2;
        r2 = 1;
        r14.rHW = r2;
    L_0x0a36:
        r2 = r14.rgx;
        if (r2 == 0) goto L_0x0a40;
    L_0x0a3a:
        r2 = r14.rgx;
        r3 = 0;
        r2.setVisibility(r3);
    L_0x0a40:
        r2 = r10.rBf;
        if (r2 == 0) goto L_0x0aa2;
    L_0x0a44:
        r2 = r10.rBf;
        r2 = r2.size();
        if (r2 <= 0) goto L_0x0aa2;
    L_0x0a4c:
        r2 = r14.rHO;
        r3 = 0;
        r2.setVisibility(r3);
        r2 = r14.rHO;
        r3 = r10.rBf;
        r0 = r18;
        r13.a(r2, r3, r0);
    L_0x0a5b:
        r2 = r10.rBg;
        if (r2 == 0) goto L_0x0aaa;
    L_0x0a5f:
        r2 = r11.xat;
        r3 = r10.rBg;
        r13.a(r2, r3, r14);
    L_0x0a66:
        r2 = r10.rBf;
        if (r2 == 0) goto L_0x0ab2;
    L_0x0a6a:
        r2 = r10.rBf;
        r2 = r2.size();
        if (r2 == 0) goto L_0x0ab2;
    L_0x0a72:
        r2 = r10.rBg;
        if (r2 == 0) goto L_0x0ab2;
    L_0x0a76:
        r2 = r10.rBg;
        r2 = r2.size();
        if (r2 == 0) goto L_0x0ab2;
    L_0x0a7e:
        r2 = r14.rHU;
        r3 = 0;
        r2.setVisibility(r3);
        goto L_0x055f;
    L_0x0a86:
        r3 = "MicroMsg.BaseTimeLineItem";
        r4 = "holder.listKeeper = null %s,and holder.commentStub.inflated";
        r2 = 1;
        r5 = new java.lang.Object[r2];
        r6 = 0;
        r2 = r14.rgx;
        if (r2 != 0) goto L_0x0aa0;
    L_0x0a94:
        r2 = 1;
    L_0x0a95:
        r2 = java.lang.Boolean.valueOf(r2);
        r5[r6] = r2;
        com.tencent.mm.sdk.platformtools.ab.e(r3, r4, r5);
        goto L_0x09e7;
    L_0x0aa0:
        r2 = 0;
        goto L_0x0a95;
    L_0x0aa2:
        r2 = r14.rHO;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x0a5b;
    L_0x0aaa:
        r2 = r14.rHP;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x0a66;
    L_0x0ab2:
        r2 = r14.rHU;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x055f;
    L_0x0abb:
        r2 = r14.rHE;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x0577;
    L_0x0ac4:
        r2 = 0;
        goto L_0x05d3;
    L_0x0ac7:
        r2 = r14.qFH;
        r3 = 8;
        r2.setVisibility(r3);
        goto L_0x05f2;
    L_0x0ad0:
        r5 = new com.tencent.mm.ui.a.b;
        r5.<init>();
        r4 = r4.getText();
        r4 = r4.toString();
        r5.aqI(r4);
        r5.aqI(r6);
        if (r7 == 0) goto L_0x0af0;
    L_0x0ae5:
        r4 = r7.getText();
        r4 = r4.toString();
        r5.aqI(r4);
    L_0x0af0:
        if (r8 == 0) goto L_0x0afe;
    L_0x0af2:
        r2 = r2.Gn;
        r4 = 2131298781; // 0x7f0909dd float:1.8215545E38 double:1.0530015087E-314;
        r2 = r2.getString(r4);
        r5.aqI(r2);
    L_0x0afe:
        r5.eD(r3);
        goto L_0x0638;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem.a(com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem$BaseViewHolder, int, com.tencent.mm.plugin.sns.storage.n, com.tencent.mm.protocal.protobuf.TimeLineObject, int, com.tencent.mm.plugin.sns.ui.au):void");
    }

    public static void a(ap$b ap_b, BaseViewHolder baseViewHolder, String str, String str2) {
        if (baseViewHolder != null && baseViewHolder.rHA != null) {
            baseViewHolder.rHA.a(ap_b, 1, str, str2, ap_b.qMU);
            baseViewHolder.rHA.setVisibility(0);
        }
    }

    public static void e(BaseViewHolder baseViewHolder) {
        if (baseViewHolder != null && baseViewHolder.rHA != null) {
            baseViewHolder.rHA.El(1);
            baseViewHolder.rHA.setVisibility(0);
        }
    }

    public static void f(BaseViewHolder baseViewHolder) {
        if (baseViewHolder != null && baseViewHolder.rHA != null) {
            baseViewHolder.rHA.setVisibility(8);
        }
    }

    private boolean a(MaskTextView maskTextView, com.tencent.mm.vending.d.b<com.tencent.mm.vending.j.a> bVar, int i) {
        int i2;
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder(" ");
        int length = spannableStringBuilder.length() - 1;
        StringBuffer stringBuffer = new StringBuffer();
        int[] iArr = new int[bVar.size()];
        int[] iArr2 = new int[bVar.size()];
        Object obj = 1;
        int i3 = 0;
        while (i3 < bVar.size()) {
            try {
                String str = (String) ((com.tencent.mm.vending.j.a) bVar.get(i3)).get(1);
                if (obj != null) {
                    spannableStringBuilder.append(" ");
                    stringBuffer.append(" ");
                    obj = null;
                } else {
                    spannableStringBuilder.append(", ");
                    stringBuffer.append(", ");
                }
                iArr[i3] = spannableStringBuilder.length();
                iArr2[i3] = iArr[i3] + str.length();
                stringBuffer.append(str);
                spannableStringBuilder.append(j.b(this.mActivity, str, maskTextView.getTextSize()));
                if (com.tencent.mm.plugin.sns.e.a.Xt((String) ((com.tencent.mm.vending.j.a) bVar.get(i3)).get(0)) && ((e) g.M(e.class)).getStoryBasicConfig().a(f.a.rQB) && com.tencent.mm.plugin.story.api.n.isShowStoryCheck()) {
                    spannableStringBuilder.append("  ");
                    spannableStringBuilder.setSpan(new com.tencent.mm.plugin.sns.ui.widget.g(((e) g.M(e.class)).getStoryUIFactory().ls(true)), spannableStringBuilder.length() - 1, spannableStringBuilder.length(), 17);
                }
                i3++;
            } catch (Exception e) {
                ab.e("MicroMsg.BaseTimeLineItem", "setLikedList  e:%s", new Object[]{bo.l(e)});
            }
        }
        Drawable drawable = this.mActivity.getResources().getDrawable(i == 10 ? 2130839006 : 2130839705);
        drawable.setBounds(0, 0, drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight());
        com.tencent.mm.ui.widget.a aVar = new com.tencent.mm.ui.widget.a(drawable);
        aVar.zLT = (int) (((((float) drawable.getIntrinsicHeight()) - maskTextView.getTextSize()) + ((float) com.tencent.mm.bz.a.fromDPToPix(this.mActivity, 2))) / 2.0f);
        spannableStringBuilder.setSpan(aVar, length, length + 1, 33);
        if (i == 10) {
            i2 = 3;
        } else {
            i2 = 2;
        }
        for (i3 = 0; i3 < iArr.length; i3++) {
            spannableStringBuilder.setSpan(new o((String) ((com.tencent.mm.vending.j.a) bVar.get(i3)).get(0), new 5(this), i2), iArr[i3], iArr2[i3], 33);
        }
        maskTextView.setText(spannableStringBuilder, BufferType.SPANNABLE);
        maskTextView.setOriginText(stringBuffer.toString());
        return true;
    }

    private void b(MaskTextView maskTextView, com.tencent.mm.vending.d.b<com.tencent.mm.vending.j.a> bVar, int i) {
        if (bVar.size() == 0) {
            maskTextView.setVisibility(8);
            return;
        }
        maskTextView.setVisibility(0);
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder(" ");
        int length = spannableStringBuilder.length() - 1;
        StringBuffer stringBuffer = new StringBuffer();
        int[] iArr = new int[bVar.size()];
        int[] iArr2 = new int[bVar.size()];
        Object obj = 1;
        int i2 = 0;
        while (i2 < bVar.size()) {
            try {
                String str = (String) ((com.tencent.mm.vending.j.a) bVar.get(i2)).get(1);
                if (obj != null) {
                    spannableStringBuilder.append(" ");
                    stringBuffer.append(" ");
                    obj = null;
                } else {
                    spannableStringBuilder.append(", ");
                    stringBuffer.append(", ");
                }
                iArr[i2] = spannableStringBuilder.length();
                iArr2[i2] = iArr[i2] + str.length();
                stringBuffer.append(str);
                spannableStringBuilder.append(j.b(this.mActivity, str, maskTextView.getTextSize()));
                i2++;
            } catch (Exception e) {
                ab.e("MicroMsg.BaseTimeLineItem", "setReward error  e:%s", new Object[]{bo.l(e)});
                return;
            }
        }
        Drawable drawable = this.mActivity.getResources().getDrawable(2131231330);
        drawable.setBounds(0, 0, drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight());
        com.tencent.mm.ui.widget.a aVar = new com.tencent.mm.ui.widget.a(drawable);
        aVar.zLT = (int) (((((float) drawable.getIntrinsicHeight()) - maskTextView.getTextSize()) + ((float) com.tencent.mm.bz.a.fromDPToPix(this.mActivity, 2))) / 2.0f);
        spannableStringBuilder.setSpan(aVar, length, length + 1, 33);
        int i3 = i == 10 ? 3 : 2;
        for (i2 = 0; i2 < iArr.length; i2++) {
            spannableStringBuilder.setSpan(new o((String) ((com.tencent.mm.vending.j.a) bVar.get(i2)).get(0), this.qPr.rqd, i3), iArr[i2], iArr2[i2], 33);
        }
        maskTextView.setText(spannableStringBuilder, BufferType.SPANNABLE);
        maskTextView.setOriginText(stringBuffer.toString());
    }

    public final void a(BaseViewHolder baseViewHolder, int i, n nVar) {
        BaseViewHolder baseViewHolder2 = baseViewHolder;
        int i2 = i;
        a(baseViewHolder2, i2, (av) this.qPr.cuc().crQ().get(Integer.valueOf(i)), nVar.cqu(), baseViewHolder.klY, this.qPr);
    }

    private boolean a(List<cat> list, com.tencent.mm.vending.d.b<com.tencent.mm.vending.j.a> bVar, BaseViewHolder baseViewHolder) {
        int i;
        LinearLayout linearLayout = baseViewHolder.rHP;
        int childCount = linearLayout.getChildCount();
        int size = bVar.size();
        if (childCount > size) {
            for (i = size; i < childCount; i++) {
                View childAt = linearLayout.getChildAt(size);
                linearLayout.removeViewAt(size);
                if (childAt instanceof SnsCommentCollapseLayout) {
                    this.qPr.a((SnsCommentCollapseLayout) childAt);
                }
            }
        }
        if (bVar.size() == 0) {
            linearLayout.setVisibility(8);
            return false;
        }
        av avVar;
        linearLayout.setVisibility(0);
        w cuc = this.qPr.cuc();
        if (cuc instanceof com.tencent.mm.plugin.sns.ui.a.a) {
            avVar = (av) ((com.tencent.mm.plugin.sns.ui.a.a) cuc).rEB.get(baseViewHolder.position);
        } else {
            avVar = null;
        }
        int i2 = 0;
        if (this.DEBUG) {
            ab.d("MicroMsg.BaseTimeLineItem", "debug:setCommentList position " + baseViewHolder.position + " commentCount: " + size);
        }
        i = 0;
        while (true) {
            int i3 = i2;
            int i4 = i;
            if (i4 >= bVar.size()) {
                return true;
            }
            TranslateCommentTextView ctY;
            Object obj;
            View view;
            Object obj2;
            View view2;
            com.tencent.mm.vending.j.a aVar = (com.tencent.mm.vending.j.a) bVar.get(i4);
            long longValue = ((Long) aVar.get(0)).longValue();
            String str = (String) aVar.get(1);
            String str2 = (String) aVar.get(2);
            String str3 = (String) aVar.get(3);
            CharSequence charSequence = (CharSequence) aVar.get(4);
            cat cat = (cat) list.get(i4);
            int i5 = cat.wZL;
            ap$b aq = aq(baseViewHolder.cFc, longValue);
            if (aq != null && aq.aAR) {
                ap.da(aq.id, 2);
            }
            if (i3 >= childCount) {
                if (aq == null || aq.aAR) {
                    ctY = this.qPr.ctY();
                    ((SnsCommentCollapseLayout) ctY).setTextSize$255e752(15.0f * com.tencent.mm.bz.a.dm(ctY.getContext()));
                    if (this.qPr.rxT == -1) {
                        this.qPr.rxT = this.mActivity.getResources().getColor(2131690474);
                    }
                    ((SnsCommentCollapseLayout) ctY).setTextColor(this.qPr.rxT);
                    ((SnsCommentCollapseLayout) ctY).setGravity(16);
                } else {
                    ctY = new TranslateCommentTextView(this.mActivity);
                    ctY.getTranslateResultView().setResultTextSize$255e752(15.0f * com.tencent.mm.bz.a.dm(ctY.getContext()));
                    ctY.getOriginCommentTextView().setTextSize(1, 15.0f * com.tencent.mm.bz.a.dm(ctY.getContext()));
                }
                obj = 1;
                view = ctY;
            } else {
                view = linearLayout.getChildAt(i3);
                obj = null;
            }
            if (aq != null) {
                if (!(view instanceof TranslateCommentTextView)) {
                    linearLayout.removeView(view);
                    ctY = new TranslateCommentTextView(this.mActivity);
                    linearLayout.addView(ctY, i3);
                    ctY.getTranslateResultView().setResultTextSize$255e752(15.0f * com.tencent.mm.bz.a.dm(ctY.getContext()));
                    ctY.getOriginCommentTextView().setTextSize(1, 15.0f * com.tencent.mm.bz.a.dm(ctY.getContext()));
                    view = ctY;
                }
                TranslateCommentTextView translateCommentTextView = (TranslateCommentTextView) view;
                view.setOnTouchListener(null);
                a(translateCommentTextView.getOriginCommentTextView(), charSequence, i5);
                if (!aq.foa) {
                    translateCommentTextView.rDZ.setTextSize(1, 15.0f * com.tencent.mm.bz.a.dm(translateCommentTextView.getContext()));
                    translateCommentTextView.rrm.El(2);
                    translateCommentTextView.rrm.setVisibility(0);
                    obj2 = 1;
                    view2 = view;
                } else if (aq.aAR) {
                    translateCommentTextView.getTranslateResultView().setVisibility(8);
                    i2 = 1;
                    view2 = view;
                } else {
                    String str4 = aq.result;
                    String str5 = aq.fwM;
                    String charSequence2 = translateCommentTextView.rDZ.getText().toString();
                    if (!bo.isNullOrNil(charSequence2)) {
                        String[] strArr;
                        String[] split = charSequence2.split(":");
                        if (split.length > 2) {
                            strArr = new String[]{split[0], charSequence2.substring(r2[0].length() + 1)};
                        } else {
                            strArr = split;
                        }
                        if (strArr.length == 2) {
                            if (bo.isNullOrNil(str4)) {
                                translateCommentTextView.rrm.a(aq, 2, null, str5, aq.qMU);
                            } else {
                                translateCommentTextView.rrm.a(aq, 2, strArr[0] + ": " + str4, str5, aq.qMU);
                            }
                            translateCommentTextView.rrm.setVisibility(0);
                        }
                        translateCommentTextView.rDZ.setTextSize(1, 15.0f * com.tencent.mm.bz.a.dm(translateCommentTextView.getContext()));
                    }
                    i2 = 1;
                    view2 = view;
                }
            } else {
                View ctY2;
                if (obj == null && (view instanceof TranslateCommentTextView)) {
                    linearLayout.removeView(view);
                    ctY2 = this.qPr.ctY();
                    linearLayout.addView(ctY2, i3);
                    ((SnsCommentCollapseLayout) ctY2).setTextSize$255e752(15.0f * com.tencent.mm.bz.a.dm(ctY2.getContext()));
                } else {
                    ctY2 = view;
                }
                if (ctY2 instanceof SnsCommentCollapseLayout) {
                    ((SnsCommentCollapseLayout) ctY2).setTextSize$255e752(15.0f * com.tencent.mm.bz.a.dm(ctY2.getContext()));
                    ((SnsCommentCollapseLayout) ctY2).setOpClickListener(this.qPr.rya);
                    ((SnsCommentCollapseLayout) ctY2).setPressTouchListener(new m(this.mActivity));
                }
                a(ctY2, charSequence, i5);
                obj2 = null;
                view2 = ctY2;
            }
            view2.setBackgroundResource(2130840303);
            if (i3 > 0) {
                if (obj2 != null) {
                    view2.setPadding(0, com.tencent.mm.bz.a.fromDPToPix(this.mActivity, 2), 0, com.tencent.mm.bz.a.fromDPToPix(this.mActivity, 7));
                } else {
                    view2.setPadding(0, com.tencent.mm.bz.a.fromDPToPix(this.mActivity, 2), 0, com.tencent.mm.bz.a.fromDPToPix(this.mActivity, 3));
                }
            } else if (obj2 != null) {
                view2.setPadding(0, 1, 0, com.tencent.mm.bz.a.fromDPToPix(this.mActivity, 7));
            } else {
                view2.setPadding(0, 1, 0, com.tencent.mm.bz.a.fromDPToPix(this.mActivity, 3));
            }
            if (obj2 != null) {
                i = (int) this.mActivity.getResources().getDimension(2131427858);
                ((TranslateCommentTextView) view2).rrm.getSplitlineView().setPadding(0, 0, i, 0);
            }
            view2.setOnLongClickListener(new 6(this, view2));
            view2.setOnClickListener(new i.a(this.qPr.rxP, cat, str2, str3, baseViewHolder));
            if (avVar != null) {
                view2.setTag(new l(avVar.riA, avVar.rAs, cat, str, str3, view2, 1));
            }
            if (obj != null) {
                linearLayout.addView(view2);
            }
            i2 = i3 + 1;
            i = i4 + 1;
        }
    }

    private static void a(View view, CharSequence charSequence, int i) {
        if (view instanceof SnsCommentCollapseLayout) {
            ((SnsCommentCollapseLayout) view).k(charSequence, i);
        } else if (view instanceof TextView) {
            ((TextView) view).setText(charSequence);
        }
    }

    private ap$b aq(String str, long j) {
        if (this.rHq.size() <= 0) {
            return null;
        }
        Iterator it = this.rHq.iterator();
        while (it.hasNext()) {
            ap$b ap_b = (ap$b) it.next();
            if (ap_b.id != null && ap_b.id.equals(ap.ga(str, String.valueOf(j)))) {
                return ap_b;
            }
        }
        return null;
    }
}
