package com.tencent.mm.plugin.sns.ui.item;

import android.graphics.Color;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.GradientDrawable.Orientation;
import android.view.ViewGroup.LayoutParams;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.cb.g;
import com.tencent.mm.plugin.sight.decode.a.a;
import com.tencent.mm.plugin.sight.decode.ui.SightPlayImageView;
import com.tencent.mm.plugin.sns.data.i;
import com.tencent.mm.plugin.sns.model.af;
import com.tencent.mm.plugin.sns.model.an;
import com.tencent.mm.plugin.sns.storage.n;
import com.tencent.mm.plugin.sns.ui.MaskImageView;
import com.tencent.mm.plugin.sns.ui.aj;
import com.tencent.mm.plugin.sns.ui.au;
import com.tencent.mm.plugin.sns.ui.av;
import com.tencent.mm.plugin.sns.ui.item.BaseTimeLineItem.BaseViewHolder;
import com.tencent.mm.plugin.sns.ui.widget.SnsDrawGestureView;
import com.tencent.mm.protocal.protobuf.TimeLineObject;
import com.tencent.mm.protocal.protobuf.bau;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.az;
import com.tencent.mm.ui.widget.MMPinProgressBtn;
import com.tencent.mm.ui.widget.QImageView$a;
import com.tencent.mm.ui.widget.RoundedCornerRelativeLayout;
import com.tencent.mm.vfs.e;

public final class c extends BaseTimeLineItem {
    public final void d(BaseViewHolder baseViewHolder) {
        AppMethodBeat.i(40143);
        a aVar = (a) baseViewHolder;
        if (baseViewHolder.rHC != null) {
            baseViewHolder.rHC.setLayoutResource(2130970812);
            if (!baseViewHolder.rHD) {
                aVar.roq = baseViewHolder.rHC.inflate();
                baseViewHolder.rHD = true;
            }
        } else if (!baseViewHolder.rHD) {
            aVar.roq = baseViewHolder.mRR.findViewById(2131827877);
            baseViewHolder.rHD = true;
        }
        aVar.rGQ = aVar.mRR.findViewById(2131827880);
        aVar.rGR = aVar.mRR.findViewById(2131827883);
        aVar.rGS = (TextView) aVar.mRR.findViewById(2131827881);
        aVar.rGT = (TextView) aVar.mRR.findViewById(2131827882);
        aVar.rGU = (TextView) aVar.mRR.findViewById(2131827884);
        aVar.rGV = (TextView) aVar.mRR.findViewById(2131827885);
        aVar.rGX = (MaskImageView) aVar.mRR.findViewById(2131827878);
        aVar.rGW = aVar.mRR.findViewById(2131827886);
        aVar.rGX.setScaleType(QImageView$a.CENTER_CROP);
        aVar.rGD = new aj();
        aVar.rGD.rnt = aVar.roq.findViewById(2131827879);
        aVar.rGD.rns = aVar.rGD.rnt;
        aVar.rGD.rnt.setOnClickListener(this.qPr.qOL.rKe);
        aVar.rGD.qzM = (a) aVar.rGD.rnt.findViewById(2131820629);
        aVar.rGD.raP = (ImageView) aVar.rGD.rnt.findViewById(2131820981);
        aVar.rGD.rnu = (MMPinProgressBtn) aVar.rGD.rnt.findViewById(2131821370);
        aVar.rGD.rnv = (TextView) aVar.rGD.rnt.findViewById(2131827571);
        aVar.rGD.raQ = (TextView) aVar.rGD.rnt.findViewById(2131827572);
        ((SightPlayImageView) aVar.rGD.qzM).qyI = true;
        ((SightPlayImageView) aVar.rGD.qzM).setScaleType(QImageView$a.CENTER_CROP);
        a.a(aVar, (SnsDrawGestureView) aVar.mRR.findViewById(2131827887));
        AppMethodBeat.o(40143);
    }

    public final void a(BaseViewHolder baseViewHolder, int i, av avVar, TimeLineObject timeLineObject, int i2, au auVar) {
        AppMethodBeat.i(40144);
        ab.i("MicroMsg.FullCardAdTimeLineItem", "fill full card ad item %d", new Object[]{Integer.valueOf(i)});
        if (baseViewHolder.eBB) {
            ab.i("MicroMsg.FullCardAdTimeLineItem", "holder is busy");
            AppMethodBeat.o(40144);
            return;
        }
        bau bau;
        a aVar = (a) baseViewHolder;
        n nVar = avVar.qBY;
        com.tencent.mm.plugin.sns.storage.b.c cVar = null;
        if (!(nVar == null || nVar.cqo() == null)) {
            cVar = nVar.cqo().qUY;
        }
        WindowManager windowManager = (WindowManager) this.mActivity.getSystemService("window");
        int min = Math.min(windowManager.getDefaultDisplay().getWidth(), windowManager.getDefaultDisplay().getHeight());
        aVar.rGQ.setVisibility(8);
        aVar.rGS.setVisibility(8);
        aVar.rGT.setVisibility(8);
        aVar.rGR.setVisibility(8);
        aVar.rGU.setVisibility(8);
        aVar.rGV.setVisibility(8);
        aVar.rGW.setVisibility(8);
        a.b(aVar).setVisibility(8);
        aVar.rGD.qzM.setOnCompletionListener(null);
        aVar.rGD.qzM.setOnDecodeDurationListener(null);
        a(aVar);
        if (cVar != null) {
            LayoutParams layoutParams;
            LayoutParams layoutParams2;
            GradientDrawable gradientDrawable;
            min = (((min - com.tencent.mm.bz.a.fromDPToPix(this.mActivity, 54)) - this.mActivity.getResources().getDimensionPixelSize(2131427786)) - this.mActivity.getResources().getDimensionPixelSize(2131427812)) - this.mActivity.getResources().getDimensionPixelSize(2131427858);
            if (cVar.qVk == 0) {
                layoutParams = new LayoutParams(-2, -2);
                layoutParams.width = min;
                layoutParams.height = (int) (((float) layoutParams.width) * 0.75f);
                layoutParams2 = layoutParams;
            } else if (cVar.qVk == 1) {
                layoutParams = new LayoutParams(-2, -2);
                layoutParams.width = min;
                layoutParams.height = layoutParams.width;
                layoutParams2 = layoutParams;
            } else {
                layoutParams2 = null;
            }
            if (layoutParams2 != null) {
                layoutParams = aVar.roq.getLayoutParams();
                layoutParams.width = layoutParams2.width;
                layoutParams.height = layoutParams2.height;
                aVar.roq.setLayoutParams(layoutParams);
                ((RoundedCornerRelativeLayout) aVar.roq).setRadius(8.0f);
                layoutParams = aVar.rGX.getLayoutParams();
                layoutParams.width = layoutParams2.width;
                layoutParams.height = layoutParams2.height;
                aVar.rGX.setLayoutParams(layoutParams);
                layoutParams = aVar.rGD.rns.getLayoutParams();
                layoutParams.width = layoutParams2.width;
                layoutParams.height = layoutParams2.height;
                aVar.rGD.rns.setLayoutParams(layoutParams);
                aVar.rGD.qzM.fi(layoutParams2.width, layoutParams2.height);
            }
            TextView textView;
            g dqQ;
            if (cVar.qVm == 0) {
                gradientDrawable = new GradientDrawable(Orientation.TOP_BOTTOM, new int[]{Color.argb((int) (((float) cVar.qVl) * 2.55f), 0, 0, 0), Color.argb(0, 0, 0, 0)});
                gradientDrawable.setGradientType(0);
                aVar.rGQ.setBackground(gradientDrawable);
                if (!(bo.isNullOrNil(cVar.title) && bo.isNullOrNil(cVar.description))) {
                    aVar.rGQ.setVisibility(0);
                }
                if (!bo.isNullOrNil(cVar.title)) {
                    aVar.rGS.setVisibility(0);
                    textView = aVar.rGS;
                    dqQ = g.dqQ();
                    aVar.rGS.getContext();
                    textView.setText(dqQ.b(cVar.title, aVar.rGS.getTextSize()));
                }
                if (!bo.isNullOrNil(cVar.description)) {
                    aVar.rGT.setVisibility(0);
                    textView = aVar.rGT;
                    dqQ = g.dqQ();
                    aVar.rGT.getContext();
                    textView.setText(dqQ.b(cVar.description, aVar.rGT.getTextSize()));
                }
            } else if (cVar.qVm == 1) {
                gradientDrawable = new GradientDrawable(Orientation.BOTTOM_TOP, new int[]{Color.argb((int) (((float) cVar.qVl) * 2.55f), 0, 0, 0), Color.argb(0, 0, 0, 0)});
                gradientDrawable.setGradientType(0);
                aVar.rGR.setBackground(gradientDrawable);
                if (!(bo.isNullOrNil(cVar.title) && bo.isNullOrNil(cVar.description))) {
                    aVar.rGR.setVisibility(0);
                    RelativeLayout.LayoutParams layoutParams3 = (RelativeLayout.LayoutParams) aVar.rGW.getLayoutParams();
                    layoutParams3.topMargin = com.tencent.mm.bz.a.fromDPToPix(aVar.roq.getContext(), 4);
                    aVar.rGW.setLayoutParams(layoutParams3);
                }
                if (!bo.isNullOrNil(cVar.title)) {
                    aVar.rGU.setVisibility(0);
                    textView = aVar.rGU;
                    dqQ = g.dqQ();
                    aVar.rGU.getContext();
                    textView.setText(dqQ.b(cVar.title, aVar.rGU.getTextSize()));
                }
                if (!bo.isNullOrNil(cVar.description)) {
                    aVar.rGV.setVisibility(0);
                    textView = aVar.rGV;
                    dqQ = g.dqQ();
                    aVar.rGV.getContext();
                    textView.setText(dqQ.b(cVar.description, aVar.rGV.getTextSize()));
                }
            }
            if (nVar.cqq().coI()) {
                gradientDrawable = new GradientDrawable(Orientation.BOTTOM_TOP, new int[]{Color.argb((int) (((float) cVar.qVl) * 2.55f), 0, 0, 0), Color.argb(0, 0, 0, 0)});
                gradientDrawable.setGradientType(0);
                aVar.rGR.setVisibility(0);
                aVar.rGR.setBackground(gradientDrawable);
                aVar.rGW.setVisibility(0);
            }
        } else {
            ab.e("MicroMsg.FullCardAdTimeLineItem", "invalid full card");
        }
        if (timeLineObject.xfI == null || timeLineObject.xfI.wbK.size() <= 0) {
            bau = null;
        } else {
            bau = (bau) timeLineObject.xfI.wbK.get(0);
        }
        baseViewHolder.rGD.a(timeLineObject, i, avVar.riA, avVar.rgZ);
        baseViewHolder.rGD.raQ.setVisibility(8);
        com.tencent.mm.plugin.sns.model.g cnC = af.cnC();
        if (bau == null) {
            cnC.a(baseViewHolder.rGD.qzM, this.mActivity.hashCode());
            baseViewHolder.rGD.rnv.setVisibility(8);
            baseViewHolder.rGD.qzM.setOnSightCompletionAction(null);
            baseViewHolder.rGD.qzM.setOnCompletionListener(null);
            baseViewHolder.rGD.qzM.setOnDecodeDurationListener(null);
        } else if (timeLineObject.xfI.wbJ == 1) {
            aVar.rGX.setVisibility(0);
            aVar.rGD.rns.setVisibility(4);
            MaskImageView maskImageView = aVar.rGX;
            int hashCode = this.mActivity.hashCode();
            az dtg = az.dtg();
            dtg.oyB = timeLineObject.pcX;
            cnC.b(bau, maskImageView, -1, hashCode, dtg);
            aVar.rGX.setTag(baseViewHolder);
            aVar.rGX.setOnClickListener(auVar.qOL.rKn);
            AppMethodBeat.o(40144);
            return;
        } else if (timeLineObject.xfI.wbJ == 15 || timeLineObject.xfI.wbJ == 5) {
            aVar.rGD.qzM.setOnCompletionListener(new 1(this, auVar, avVar));
            aVar.rGD.qzM.setOnDecodeDurationListener(new 2(this, auVar, avVar, aVar, cVar, nVar));
            com.tencent.mm.plugin.sns.storage.b.c.a aVar2 = cVar.qVn;
            String coW = nVar.cqo().coW();
            if (!bo.isNullOrNil(coW) && aVar2 != null && aVar2.startTime >= 0 && aVar2.endTime > aVar2.startTime) {
                d.post(new 3(this, coW), "preDownloadFloatPage");
            }
            long nanoTime = System.nanoTime() - System.nanoTime();
            ab.i("MicroMsg.FullCardAdTimeLineItem", "isMediaSightExist %b duration %s", new Object[]{Boolean.valueOf(com.tencent.mm.plugin.sns.model.g.t(bau)), Long.valueOf(nanoTime)});
            aj ajVar = aVar.rGD;
            if (com.tencent.mm.plugin.sns.model.g.t(bau)) {
                if (cnC.u(bau)) {
                    ajVar.raP.setVisibility(0);
                    ajVar.rnu.setVisibility(8);
                    ajVar.raP.setImageDrawable(com.tencent.mm.bz.a.g(this.mActivity, 2131231923));
                    ajVar.raP.setContentDescription(this.mActivity.getString(2131301953));
                } else if (cnC.v(bau)) {
                    ajVar.raP.setVisibility(8);
                    ajVar.rnu.setVisibility(8);
                } else if (cnC.b(nVar, null) <= 5) {
                    ajVar.raP.setVisibility(8);
                    ajVar.rnu.setVisibility(8);
                } else {
                    cnC.y(bau);
                    ajVar.raP.setVisibility(0);
                    ajVar.rnu.setVisibility(8);
                    ajVar.raP.setImageDrawable(com.tencent.mm.bz.a.g(this.mActivity, 2131231923));
                    ajVar.raP.setContentDescription(this.mActivity.getString(2131301953));
                }
                if (ajVar.qzM.ckY()) {
                    ab.d("MicroMsg.FullCardAdTimeLineItem", "play video error " + bau.Id + " " + bau.Url + " " + bau.wEH + " " + i);
                    cnC.y(bau);
                    ajVar.raP.setVisibility(0);
                    ajVar.rnu.setVisibility(8);
                    ajVar.raP.setImageDrawable(com.tencent.mm.bz.a.g(this.mActivity, 2131231923));
                    ajVar.raP.setContentDescription(this.mActivity.getString(2131301953));
                }
            } else if (cnC.w(bau)) {
                ajVar.raP.setVisibility(8);
                ajVar.rnu.setVisibility(0);
                ajVar.rnu.dKB();
            } else if (cnC.b(nVar, null) == 5) {
                cnC.A(bau);
                ajVar.raP.setVisibility(8);
                ajVar.rnu.setVisibility(0);
                ajVar.rnu.dKB();
            } else if (cnC.x(bau)) {
                ajVar.rnu.setVisibility(8);
                ajVar.raP.setImageResource(2130840197);
                ajVar.raP.setVisibility(0);
            } else {
                cnC.y(bau);
                ajVar.raP.setVisibility(0);
                ajVar.rnu.setVisibility(8);
                ajVar.raP.setImageDrawable(com.tencent.mm.bz.a.g(this.mActivity, 2131231923));
                ajVar.raP.setContentDescription(this.mActivity.getString(2131301953));
                if (cnC.b(nVar, null) == 4) {
                    ajVar.raQ.setVisibility(0);
                }
            }
            aVar.rGD.rns.setVisibility(0);
            aVar.rGX.setVisibility(4);
            ajVar.qzM.setTagObject(ajVar);
            ajVar.rnt.setTag(baseViewHolder);
            aVar.rGD.rns.setOnClickListener(auVar.qOL.rKn);
            a aVar3 = ajVar.qzM;
            int hashCode2 = this.mActivity.hashCode();
            az dtg2 = az.dtg();
            dtg2.oyB = timeLineObject.pcX;
            cnC.a(nVar, bau, aVar3, hashCode2, i, dtg2, avVar.rgZ, true);
            if (e.ct(an.fZ(af.getAccSnsPath(), bau.Id) + i.j(bau))) {
                auVar.rxP.rhm.v(avVar.rAt, true);
            } else {
                auVar.rxP.rhm.v(avVar.rAt, false);
            }
            auVar.rxP.rhm.c(avVar.rAt, af.cnC().b(nVar, null) == 5, false);
            AppMethodBeat.o(40144);
            return;
        }
        AppMethodBeat.o(40144);
    }

    private void a(a aVar) {
        AppMethodBeat.i(40145);
        al.d(new 5(this, aVar));
        AppMethodBeat.o(40145);
    }

    static /* synthetic */ void a(c cVar, a aVar, com.tencent.mm.plugin.sns.storage.b.c cVar2, n nVar, int i) {
        AppMethodBeat.i(40146);
        com.tencent.mm.plugin.sns.storage.b.c.a aVar2 = cVar2.qVn;
        if (!bo.isNullOrNil(nVar.cqo().coW()) && aVar2 != null && aVar2.startTime >= 0 && aVar2.endTime > aVar2.startTime) {
            ab.i("MicroMsg.FullCardAdTimeLineItem", "%d-%d,%d", new Object[]{Long.valueOf(aVar2.startTime), Long.valueOf(aVar2.endTime), Integer.valueOf(i)});
            if (aVar2.startTime > ((long) i) || aVar2.endTime < ((long) i)) {
                cVar.a(aVar);
            } else if (a.b(aVar).getOnGestureListener() == null) {
                al.d(new 4(cVar, aVar, aVar2, nVar));
                AppMethodBeat.o(40146);
                return;
            }
        }
        AppMethodBeat.o(40146);
    }
}
