package com.tencent.mm.plugin.webview.ui.tools;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.webkit.ValueCallback;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.at.a.a.c;
import com.tencent.mm.at.o;
import com.tencent.mm.g.a.gw;
import com.tencent.mm.kernel.g;
import com.tencent.mm.modelstat.d;
import com.tencent.mm.plugin.mmsight.segment.FFmpegMetadataRetriever;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.pluginsdk.model.app.p;
import com.tencent.mm.pluginsdk.model.app.q;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.MMFragmentActivity;
import com.tencent.mm.ui.base.a;
import com.tencent.tmassistantsdk.common.TMAssistantDownloadSDKContentType;
import java.util.HashMap;

@a(2)
public class WebViewDownloadWithX5UI extends MMActivity {
    private Context mContext;
    private Button utd;
    private final com.tencent.mm.plugin.webview.modeltools.a utt = new com.tencent.mm.plugin.webview.modeltools.a();

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public WebViewDownloadWithX5UI() {
        AppMethodBeat.i(7617);
        AppMethodBeat.o(7617);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(7618);
        super.onCreate(bundle);
        this.mContext = this;
        setMMTitle(getString(2131305547));
        setBackBtn(new 1(this));
        overridePendingTransition(MMFragmentActivity.a.ync, MMFragmentActivity.a.ynd);
        this.utd = (Button) findViewById(2131829167);
        ImageView imageView = (ImageView) findViewById(2131829164);
        TextView textView = (TextView) findViewById(2131829165);
        String stringExtra = getIntent().getStringExtra("task_url");
        String stringExtra2 = getIntent().getStringExtra(FFmpegMetadataRetriever.METADATA_KEY_TITLE);
        long longExtra = getIntent().getLongExtra("task_size", 0);
        String stringExtra3 = getIntent().getStringExtra("page_url");
        ab.i("MicroMsg.WebViewDownloadWithX5UI", "onCreate: url=%s,taskSize=%d, thumbUrl=%s", new Object[]{stringExtra, Long.valueOf(longExtra), getIntent().getStringExtra("thumb_url")});
        if (longExtra > 0) {
            String my = bo.my(longExtra);
            this.utd.setText(getString(2131305538, new Object[]{my}));
        }
        if (g.RK()) {
            com.tencent.mm.at.a.a ahp = o.ahp();
            c.a aVar = new c.a();
            aVar.ePT = 2131232160;
            aVar.ePH = true;
            ahp.a(r7, imageView, aVar.ahG());
        } else {
            imageView.setImageResource(2131232160);
        }
        textView.setVisibility(0);
        if (bo.isNullOrNil(stringExtra2)) {
            textView.setText(getString(2131305546));
        } else {
            textView.setText(stringExtra2);
        }
        h.pYm.e(14217, new Object[]{"", Integer.valueOf(1), stringExtra3, stringExtra, Integer.valueOf(1)});
        this.utd.setOnClickListener(new 2(this, longExtra, stringExtra, stringExtra3));
        AppMethodBeat.o(7618);
    }

    public void onDestroy() {
        AppMethodBeat.i(7619);
        super.onDestroy();
        AppMethodBeat.o(7619);
    }

    public final int getLayoutId() {
        return 2130971212;
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(7620);
        super.onActivityResult(i, i2, intent);
        if (com.tencent.mm.plugin.webview.modeltools.a.d(this, i, i2, intent)) {
            if (-1 == i2) {
                finish();
            }
            AppMethodBeat.o(7620);
            return;
        }
        AppMethodBeat.o(7620);
    }

    public void startActivity(Intent intent) {
        AppMethodBeat.i(7621);
        if (bo.isEqual(intent.getType(), TMAssistantDownloadSDKContentType.CONTENT_TYPE_APK)) {
            q.a(ah.getContext(), intent.getData(), null);
            AppMethodBeat.o(7621);
            return;
        }
        super.startActivity(intent);
        AppMethodBeat.o(7621);
    }

    static /* synthetic */ void a(WebViewDownloadWithX5UI webViewDownloadWithX5UI, String str, String str2) {
        int i;
        AppMethodBeat.i(7622);
        gw gwVar = new gw();
        gwVar.cBC.url = str;
        gwVar.cBC.cvZ = "";
        gwVar.cBC.extInfo = "";
        gwVar.cBC.appId = "";
        com.tencent.mm.sdk.b.a.xxA.m(gwVar);
        h.pYm.e(14217, new Object[]{"", Integer.valueOf(2), str2, str, Integer.valueOf(1)});
        d.b(10, "WebViewDownloadWithX5UI_startDownload", webViewDownloadWithX5UI.hashCode());
        int tbsVersion = com.tencent.xweb.x5.sdk.d.getTbsVersion(webViewDownloadWithX5UI);
        if (g.RK()) {
            String str3 = (String) g.RP().Ry().get(274528, "");
            if (TextUtils.isEmpty(str3) || !p.u(webViewDownloadWithX5UI.mController.ylL, str3)) {
                i = 0;
            } else {
                ab.i("MicroMsg.WebViewDownloadWithX5UI", "use always option PackageName is %s", new Object[]{str3});
                i = 1;
            }
        } else {
            i = 0;
        }
        if (i != 0 || tbsVersion <= 0) {
            com.tencent.mm.plugin.webview.modeltools.a.e(webViewDownloadWithX5UI, str);
            AppMethodBeat.o(7622);
            return;
        }
        HashMap hashMap = new HashMap(2);
        hashMap.put("ChannelID", "com.tencent.mm");
        hashMap.put("PosID", "9");
        ab.i("MicroMsg.WebViewDownloadWithX5UI", "startQbOrMiniQBToLoadUrl ret = %b", new Object[]{Boolean.valueOf(com.tencent.xweb.x5.sdk.d.a(webViewDownloadWithX5UI, str, hashMap, new ValueCallback<String>() {
            public final /* synthetic */ void onReceiveValue(Object obj) {
                AppMethodBeat.i(7616);
                ab.i("MicroMsg.WebViewDownloadWithX5UI", "onReceiveValue Value = %s", new Object[]{(String) obj});
                if ("closeMiniQb".equals((String) obj)) {
                    WebViewDownloadWithX5UI.this.finish();
                }
                AppMethodBeat.o(7616);
            }
        }))});
        if (!com.tencent.xweb.x5.sdk.d.a(webViewDownloadWithX5UI, str, hashMap, /* anonymous class already generated */)) {
            com.tencent.mm.plugin.webview.modeltools.a.e(webViewDownloadWithX5UI, str);
        }
        AppMethodBeat.o(7622);
    }
}
