package com.tencent.mm.plugin.wenote.ui.nativenote.voiceview;

import android.content.Context;
import android.content.res.Configuration;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageButton;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.wenote.ui.nativenote.voiceview.a.a;
import com.tencent.mm.sdk.platformtools.ab;

public class NoteVoiceView extends FrameLayout implements a {
    public int cAO;
    public int duration;
    public View iVh;
    private ViewGroup mkc;
    TextView mkd;
    private ImageButton mke;
    private TextView mkf;
    public String path = "";
    private TextView uVj;
    public a uVk;
    public a uVl;

    public NoteVoiceView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(27217);
        init(context);
        AppMethodBeat.o(27217);
    }

    public NoteVoiceView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(27218);
        init(context);
        AppMethodBeat.o(27218);
    }

    private void init(Context context) {
        AppMethodBeat.i(27219);
        LayoutInflater.from(context).inflate(2130970318, this, true);
        AppMethodBeat.o(27219);
    }

    public final void ahs(String str) {
        AppMethodBeat.i(27220);
        if (!this.path.equals(str)) {
            dfZ();
        }
        AppMethodBeat.o(27220);
    }

    public final void dfX() {
        AppMethodBeat.i(27221);
        dfZ();
        AppMethodBeat.o(27221);
    }

    public void onConfigurationChanged(Configuration configuration) {
        AppMethodBeat.i(27222);
        super.onConfigurationChanged(configuration);
        ab.i("MicroMsg.NoteVoiceView", "on configuration changed, is paused ? %B", new Object[]{Boolean.valueOf(this.uVl.isPaused)});
        if (this.uVl.isPaused) {
            this.uVl.postDelayed(new 1(this), 128);
        }
        AppMethodBeat.o(27222);
    }

    /* Access modifiers changed, original: protected */
    public void onFinishInflate() {
        AppMethodBeat.i(27223);
        super.onFinishInflate();
        this.mkc = (ViewGroup) findViewById(2131824009);
        this.mkf = (TextView) findViewById(2131824008);
        this.uVj = (TextView) findViewById(2131824011);
        this.mkd = (TextView) findViewById(2131824010);
        this.mke = (ImageButton) findViewById(2131824007);
        this.iVh = findViewById(2131826423);
        this.uVl = new a(this, (byte) 0);
        this.mke.setOnClickListener(new 2(this));
        AppMethodBeat.o(27223);
    }

    private void dfZ() {
        AppMethodBeat.i(27224);
        this.uVl.stop();
        this.mkd.setKeepScreenOn(false);
        AppMethodBeat.o(27224);
    }

    public void setVoiceHelper(a aVar) {
        AppMethodBeat.i(27225);
        this.uVk = aVar;
        this.uVk.a(this);
        AppMethodBeat.o(27225);
    }

    static /* synthetic */ void j(NoteVoiceView noteVoiceView) {
        AppMethodBeat.i(27226);
        ab.d("MicroMsg.NoteVoiceView", "start play, path[%s] voiceType[%d]", new Object[]{noteVoiceView.path, Integer.valueOf(noteVoiceView.cAO)});
        if (noteVoiceView.uVk.startPlay(noteVoiceView.path, noteVoiceView.cAO)) {
            noteVoiceView.mkd.setKeepScreenOn(true);
            a aVar = noteVoiceView.uVl;
            aVar.stop();
            aVar.isPaused = false;
            aVar.uVm.mke.setImageResource(2131232107);
            aVar.uVm.mke.setContentDescription(aVar.uVm.getContext().getResources().getString(2131296997));
            aVar.sendEmptyMessage(4096);
            AppMethodBeat.o(27226);
            return;
        }
        Toast.makeText(noteVoiceView.getContext(), 2131299764, 1).show();
        AppMethodBeat.o(27226);
    }
}
