package com.tencent.mm.storage;

import android.database.Cursor;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.cd.g;
import com.tencent.mm.cd.g.a;
import com.tencent.mm.cd.h;
import com.tencent.mm.g.a.tv;
import com.tencent.mm.sdk.e.c;
import com.tencent.mm.sdk.e.e;
import com.tencent.mm.sdk.e.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public final class ai extends j<af> implements a {
    public static final String[] fnj = new String[]{j.a(af.ccO, "ContactLabel")};
    private e bSd;
    private HashMap<String, int[]> xXd;
    public HashMap<Integer, ArrayList<String>> xXe;

    public final /* synthetic */ boolean c(c cVar, String[] strArr) {
        AppMethodBeat.i(29058);
        boolean b = b(true, (af) cVar, strArr);
        AppMethodBeat.o(29058);
        return b;
    }

    static {
        AppMethodBeat.i(29061);
        AppMethodBeat.o(29061);
    }

    public ai(e eVar) {
        this(eVar, af.ccO, "ContactLabel");
    }

    private ai(e eVar, c.a aVar, String str) {
        super(eVar, aVar, str, null);
        AppMethodBeat.i(29030);
        this.xXd = null;
        this.xXe = null;
        this.bSd = eVar;
        eVar.hY("ContactLabel", "CREATE INDEX IF NOT EXISTS  contact_label_createtime_index ON ContactLabel ( createTime )");
        AppMethodBeat.o(29030);
    }

    public final int a(g gVar) {
        this.bSd = gVar;
        return 0;
    }

    public final ArrayList<String> dsm() {
        ArrayList<String> arrayList = null;
        AppMethodBeat.i(29031);
        long anU = bo.anU();
        Cursor a = this.bSd.a("ContactLabel", new String[]{"labelName"}, null, null, null, null, "createTime ASC ", 2);
        if (a == null) {
            AppMethodBeat.o(29031);
        } else {
            arrayList = new ArrayList();
            while (a.moveToNext()) {
                arrayList.add(a.getString(0));
            }
            a.close();
            ab.i("MicroMsg.Label.ContactLabelStorage", "getAllLabel time:%s count:%s stack:%s", new Object[]{Long.valueOf(bo.gb(anU)), Integer.valueOf(arrayList.size()), bo.dpG()});
            AppMethodBeat.o(29031);
        }
        return arrayList;
    }

    public final ArrayList<af> dsn() {
        ArrayList<af> arrayList = null;
        AppMethodBeat.i(29032);
        long anU = bo.anU();
        Cursor a = this.bSd.a("select * from ContactLabel order by createTime ASC ", null, 2);
        if (a == null) {
            AppMethodBeat.o(29032);
        } else {
            arrayList = new ArrayList();
            while (a.moveToNext()) {
                af afVar = new af();
                afVar.d(a);
                arrayList.add(afVar);
            }
            a.close();
            ab.i("MicroMsg.Label.ContactLabelStorage", "getAllContactLable time:%s count:%s stack:%s", new Object[]{Long.valueOf(bo.gb(anU)), Integer.valueOf(arrayList.size()), bo.dpG()});
            AppMethodBeat.o(29032);
        }
        return arrayList;
    }

    public final void ahw() {
        AppMethodBeat.i(29033);
        ab.v("MicroMsg.Label.ContactLabelStorage", "cleanCache %s", new Object[]{bo.dpG()});
        this.xXd = null;
        this.xXe = null;
        AppMethodBeat.o(29033);
    }

    public final void dso() {
        AppMethodBeat.i(29034);
        if (this.xXd == null || this.xXe == null) {
            HashMap hashMap = new HashMap();
            HashMap hashMap2 = new HashMap();
            long anU = bo.anU();
            Cursor a = this.bSd.a("select username , contactLabelIds from rcontact where (type & " + com.tencent.mm.n.a.NS() + " !=0 ) and ( contactLabelIds != '') ;", null, 2);
            if (a == null) {
                this.xXd = hashMap;
                this.xXe = hashMap2;
                AppMethodBeat.o(29034);
                return;
            }
            while (a.moveToNext()) {
                String string = a.getString(0);
                if (!bo.isNullOrNil(string)) {
                    String[] split = bo.nullAsNil(a.getString(1)).split(",");
                    if (split != null && split.length > 0) {
                        int[] iArr = new int[split.length];
                        for (int i = 0; i < split.length; i++) {
                            iArr[i] = bo.getInt(split[i], -1);
                            if (hashMap2.containsKey(Integer.valueOf(iArr[i]))) {
                                ((ArrayList) hashMap2.get(Integer.valueOf(iArr[i]))).add(string);
                            } else {
                                ArrayList arrayList = new ArrayList();
                                arrayList.add(string);
                                hashMap2.put(Integer.valueOf(iArr[i]), arrayList);
                            }
                        }
                        hashMap.put(string, iArr);
                    }
                }
            }
            a.close();
            ab.i("MicroMsg.Label.ContactLabelStorage", "checkRebuildCache time:%s user:%s label:%s stack:%s", new Object[]{Long.valueOf(bo.gb(anU)), Integer.valueOf(hashMap.size()), Integer.valueOf(hashMap2.size()), bo.dpG()});
            this.xXd = hashMap;
            this.xXe = hashMap2;
            AppMethodBeat.o(29034);
            return;
        }
        AppMethodBeat.o(29034);
    }

    public final ArrayList<String> aoD(String str) {
        int i = -1;
        AppMethodBeat.i(29035);
        long anU = bo.anU();
        int i2 = bo.getInt(str, -1);
        if (i2 == -1) {
            ab.e("MicroMsg.Label.ContactLabelStorage", "getUserNameListById  failed id:%s", new Object[]{str});
            AppMethodBeat.o(29035);
            return null;
        }
        dso();
        ArrayList<String> arrayList = (ArrayList) this.xXe.get(Integer.valueOf(i2));
        String str2 = "MicroMsg.Label.ContactLabelStorage";
        String str3 = "getUserNameListById time:%s id:%s count:%s stack:%s";
        Object[] objArr = new Object[4];
        objArr[0] = Long.valueOf(bo.gb(anU));
        objArr[1] = str;
        if (arrayList != null) {
            i = arrayList.size();
        }
        objArr[2] = Integer.valueOf(i);
        objArr[3] = bo.dpG();
        ab.i(str2, str3, objArr);
        AppMethodBeat.o(29035);
        return arrayList;
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x00cd  */
    public final java.util.ArrayList<java.lang.String> w(java.lang.String r10, java.util.List<java.lang.String> r11) {
        /*
        r9 = this;
        r1 = 0;
        r8 = 2;
        r6 = 1;
        r5 = 0;
        r7 = 29036; // 0x716c float:4.0688E-41 double:1.43457E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        r0 = "select labelName from ContactLabel where labelName like ? or labelPYFull like ? or labelPYShort like ?  order by createTime ASC ";
        r2 = "MicroMsg.Label.ContactLabelStorage";
        r3 = "cpan[query] SQL:%s";
        r4 = new java.lang.Object[r6];
        r4[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3, r4);
        r2 = 3;
        r2 = new java.lang.String[r2];
        r3 = new java.lang.StringBuilder;
        r4 = "%";
        r3.<init>(r4);
        r3 = r3.append(r10);
        r4 = "%";
        r3 = r3.append(r4);
        r3 = r3.toString();
        r2[r5] = r3;
        r3 = new java.lang.StringBuilder;
        r4 = "%";
        r3.<init>(r4);
        r3 = r3.append(r10);
        r4 = "%";
        r3 = r3.append(r4);
        r3 = r3.toString();
        r2[r6] = r3;
        r3 = new java.lang.StringBuilder;
        r4 = "%";
        r3.<init>(r4);
        r3 = r3.append(r10);
        r4 = "%";
        r3 = r3.append(r4);
        r3 = r3.toString();
        r2[r8] = r3;
        r3 = r9.bSd;	 Catch:{ Exception -> 0x00ae, all -> 0x00c9 }
        r4 = 2;
        r2 = r3.a(r0, r2, r4);	 Catch:{ Exception -> 0x00ae, all -> 0x00c9 }
        r0 = "labelName";
        r3 = r2.getColumnIndex(r0);	 Catch:{ Exception -> 0x00d6 }
        r0 = r2.moveToFirst();	 Catch:{ Exception -> 0x00d6 }
        if (r0 == 0) goto L_0x00a4;
    L_0x007b:
        r0 = new java.util.ArrayList;	 Catch:{ Exception -> 0x00d6 }
        r0.<init>();	 Catch:{ Exception -> 0x00d6 }
    L_0x0080:
        r4 = r2.getString(r3);	 Catch:{ Exception -> 0x00d6 }
        if (r11 == 0) goto L_0x0092;
    L_0x0086:
        r5 = r11.size();	 Catch:{ Exception -> 0x00d6 }
        if (r5 <= 0) goto L_0x0092;
    L_0x008c:
        r5 = r11.contains(r4);	 Catch:{ Exception -> 0x00d6 }
        if (r5 != 0) goto L_0x0095;
    L_0x0092:
        r0.add(r4);	 Catch:{ Exception -> 0x00d6 }
    L_0x0095:
        r4 = r2.moveToNext();	 Catch:{ Exception -> 0x00d6 }
        if (r4 != 0) goto L_0x0080;
    L_0x009b:
        if (r2 == 0) goto L_0x00a0;
    L_0x009d:
        r2.close();
    L_0x00a0:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
    L_0x00a3:
        return r0;
    L_0x00a4:
        if (r2 == 0) goto L_0x00a9;
    L_0x00a6:
        r2.close();
    L_0x00a9:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        r0 = r1;
        goto L_0x00a3;
    L_0x00ae:
        r0 = move-exception;
        r2 = r1;
    L_0x00b0:
        r3 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[query] exception %s";
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ all -> 0x00d4 }
        r6 = 0;
        r0 = r0.toString();	 Catch:{ all -> 0x00d4 }
        r5[r6] = r0;	 Catch:{ all -> 0x00d4 }
        com.tencent.mm.sdk.platformtools.ab.w(r3, r4, r5);	 Catch:{ all -> 0x00d4 }
        if (r2 == 0) goto L_0x00a9;
    L_0x00c5:
        r2.close();
        goto L_0x00a9;
    L_0x00c9:
        r0 = move-exception;
        r2 = r1;
    L_0x00cb:
        if (r2 == 0) goto L_0x00d0;
    L_0x00cd:
        r2.close();
    L_0x00d0:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x00d4:
        r0 = move-exception;
        goto L_0x00cb;
    L_0x00d6:
        r0 = move-exception;
        goto L_0x00b0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.storage.ai.w(java.lang.String, java.util.List):java.util.ArrayList");
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x00d9  */
    public final java.util.ArrayList<java.lang.String> R(java.lang.String[] r10) {
        /*
        r9 = this;
        r7 = 1;
        r1 = 0;
        r2 = 0;
        r8 = 29037; // 0x716d float:4.069E-41 double:1.4346E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        if (r10 == 0) goto L_0x000d;
    L_0x000a:
        r0 = r10.length;
        if (r0 > 0) goto L_0x0012;
    L_0x000d:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
    L_0x0011:
        return r0;
    L_0x0012:
        r3 = r10.length;
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r0 = "select * from ContactLabel where labelID";
        r4.append(r0);
        r0 = " in ( ";
        r4.append(r0);
        r0 = r2;
    L_0x0025:
        if (r0 >= r3) goto L_0x0050;
    L_0x0027:
        r5 = new java.lang.StringBuilder;
        r6 = "'";
        r5.<init>(r6);
        r6 = r10[r0];
        r5 = r5.append(r6);
        r6 = "'";
        r5 = r5.append(r6);
        r5 = r5.toString();
        r4.append(r5);
        r5 = r3 + -1;
        if (r0 >= r5) goto L_0x004d;
    L_0x0047:
        r5 = ",";
        r4.append(r5);
    L_0x004d:
        r0 = r0 + 1;
        goto L_0x0025;
    L_0x0050:
        r0 = " )";
        r4.append(r0);
        r0 = r4.toString();
        r3 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[getLabelStrList] SQL:%s";
        r5 = new java.lang.Object[r7];
        r5[r2] = r0;
        com.tencent.mm.sdk.platformtools.ab.d(r3, r4, r5);
        r2 = r9.bSd;	 Catch:{ Exception -> 0x00ba, all -> 0x00d5 }
        r3 = 0;
        r4 = 2;
        r2 = r2.a(r0, r3, r4);	 Catch:{ Exception -> 0x00ba, all -> 0x00d5 }
        r0 = "labelName";
        r3 = r2.getColumnIndex(r0);	 Catch:{ Exception -> 0x00e2 }
        r0 = r2.moveToFirst();	 Catch:{ Exception -> 0x00e2 }
        if (r0 == 0) goto L_0x00af;
    L_0x007c:
        r0 = new java.util.ArrayList;	 Catch:{ Exception -> 0x00e2 }
        r0.<init>();	 Catch:{ Exception -> 0x00e2 }
    L_0x0081:
        r4 = r2.getString(r3);	 Catch:{ Exception -> 0x00e2 }
        r0.add(r4);	 Catch:{ Exception -> 0x00e2 }
        r4 = r2.moveToNext();	 Catch:{ Exception -> 0x00e2 }
        if (r4 != 0) goto L_0x0081;
    L_0x008e:
        r3 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[getLabelStrList] resut size:%d";
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ Exception -> 0x00e2 }
        r6 = 0;
        r7 = r0.size();	 Catch:{ Exception -> 0x00e2 }
        r7 = java.lang.Integer.valueOf(r7);	 Catch:{ Exception -> 0x00e2 }
        r5[r6] = r7;	 Catch:{ Exception -> 0x00e2 }
        com.tencent.mm.sdk.platformtools.ab.d(r3, r4, r5);	 Catch:{ Exception -> 0x00e2 }
        if (r2 == 0) goto L_0x00aa;
    L_0x00a7:
        r2.close();
    L_0x00aa:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x0011;
    L_0x00af:
        if (r2 == 0) goto L_0x00b4;
    L_0x00b1:
        r2.close();
    L_0x00b4:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
        goto L_0x0011;
    L_0x00ba:
        r0 = move-exception;
        r2 = r1;
    L_0x00bc:
        r3 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[getLabelStrList] exception:%s";
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ all -> 0x00e0 }
        r6 = 0;
        r0 = r0.toString();	 Catch:{ all -> 0x00e0 }
        r5[r6] = r0;	 Catch:{ all -> 0x00e0 }
        com.tencent.mm.sdk.platformtools.ab.w(r3, r4, r5);	 Catch:{ all -> 0x00e0 }
        if (r2 == 0) goto L_0x00b4;
    L_0x00d1:
        r2.close();
        goto L_0x00b4;
    L_0x00d5:
        r0 = move-exception;
        r2 = r1;
    L_0x00d7:
        if (r2 == 0) goto L_0x00dc;
    L_0x00d9:
        r2.close();
    L_0x00dc:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x00e0:
        r0 = move-exception;
        goto L_0x00d7;
    L_0x00e2:
        r0 = move-exception;
        goto L_0x00bc;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.storage.ai.R(java.lang.String[]):java.util.ArrayList");
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x00ea  */
    public final java.util.ArrayList<java.lang.String> ai(java.util.ArrayList<java.lang.String> r10) {
        /*
        r9 = this;
        r7 = 1;
        r1 = 0;
        r3 = 0;
        r8 = 29038; // 0x716e float:4.0691E-41 double:1.43467E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        if (r10 == 0) goto L_0x0010;
    L_0x000a:
        r0 = r10.size();
        if (r0 > 0) goto L_0x0015;
    L_0x0010:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
    L_0x0014:
        return r0;
    L_0x0015:
        r4 = r10.size();
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r0 = "select * from ContactLabel where labelName";
        r5.append(r0);
        r0 = " in ( ";
        r5.append(r0);
        r2 = r3;
    L_0x002b:
        if (r2 >= r4) goto L_0x005b;
    L_0x002d:
        r6 = new java.lang.StringBuilder;
        r0 = "\"";
        r6.<init>(r0);
        r0 = r10.get(r2);
        r0 = (java.lang.String) r0;
        r0 = r6.append(r0);
        r6 = "\"";
        r0 = r0.append(r6);
        r0 = r0.toString();
        r5.append(r0);
        r0 = r4 + -1;
        if (r2 >= r0) goto L_0x0057;
    L_0x0051:
        r0 = ",";
        r5.append(r0);
    L_0x0057:
        r0 = r2 + 1;
        r2 = r0;
        goto L_0x002b;
    L_0x005b:
        r0 = " )";
        r5.append(r0);
        r0 = " and isTemporary=0";
        r5.append(r0);
        r0 = r5.toString();
        r2 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[getLabelIDList] SQL:%s";
        r5 = new java.lang.Object[r7];
        r5[r3] = r0;
        com.tencent.mm.sdk.platformtools.ab.d(r2, r4, r5);
        r2 = r9.bSd;	 Catch:{ Exception -> 0x00cb, all -> 0x00e6 }
        r3 = 0;
        r4 = 2;
        r2 = r2.a(r0, r3, r4);	 Catch:{ Exception -> 0x00cb, all -> 0x00e6 }
        r0 = "labelID";
        r3 = r2.getColumnIndex(r0);	 Catch:{ Exception -> 0x00f3 }
        r0 = r2.moveToFirst();	 Catch:{ Exception -> 0x00f3 }
        if (r0 == 0) goto L_0x00c0;
    L_0x008d:
        r0 = new java.util.ArrayList;	 Catch:{ Exception -> 0x00f3 }
        r0.<init>();	 Catch:{ Exception -> 0x00f3 }
    L_0x0092:
        r4 = r2.getString(r3);	 Catch:{ Exception -> 0x00f3 }
        r0.add(r4);	 Catch:{ Exception -> 0x00f3 }
        r4 = r2.moveToNext();	 Catch:{ Exception -> 0x00f3 }
        if (r4 != 0) goto L_0x0092;
    L_0x009f:
        r3 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[getLabelIDList] resut size:%d";
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ Exception -> 0x00f3 }
        r6 = 0;
        r7 = r0.size();	 Catch:{ Exception -> 0x00f3 }
        r7 = java.lang.Integer.valueOf(r7);	 Catch:{ Exception -> 0x00f3 }
        r5[r6] = r7;	 Catch:{ Exception -> 0x00f3 }
        com.tencent.mm.sdk.platformtools.ab.d(r3, r4, r5);	 Catch:{ Exception -> 0x00f3 }
        if (r2 == 0) goto L_0x00bb;
    L_0x00b8:
        r2.close();
    L_0x00bb:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x0014;
    L_0x00c0:
        if (r2 == 0) goto L_0x00c5;
    L_0x00c2:
        r2.close();
    L_0x00c5:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
        goto L_0x0014;
    L_0x00cb:
        r0 = move-exception;
        r2 = r1;
    L_0x00cd:
        r3 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[getLabelIDList] exception:%s";
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ all -> 0x00f1 }
        r6 = 0;
        r0 = r0.toString();	 Catch:{ all -> 0x00f1 }
        r5[r6] = r0;	 Catch:{ all -> 0x00f1 }
        com.tencent.mm.sdk.platformtools.ab.w(r3, r4, r5);	 Catch:{ all -> 0x00f1 }
        if (r2 == 0) goto L_0x00c5;
    L_0x00e2:
        r2.close();
        goto L_0x00c5;
    L_0x00e6:
        r0 = move-exception;
        r2 = r1;
    L_0x00e8:
        if (r2 == 0) goto L_0x00ed;
    L_0x00ea:
        r2.close();
    L_0x00ed:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x00f1:
        r0 = move-exception;
        goto L_0x00e8;
    L_0x00f3:
        r0 = move-exception;
        goto L_0x00cd;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.storage.ai.ai(java.util.ArrayList):java.util.ArrayList");
    }

    private boolean a(boolean z, af afVar) {
        AppMethodBeat.i(29039);
        boolean b = super.b(afVar);
        if (b && z) {
            anF(a("insert", afVar));
        }
        AppMethodBeat.o(29039);
        return b;
    }

    public final boolean pI(String str) {
        int delete;
        AppMethodBeat.i(29040);
        ab.i("MicroMsg.Label.ContactLabelStorage", "cpan[delete] labelID:%s", new Object[]{String.valueOf(str)});
        ab.d("MicroMsg.Label.ContactLabelStorage", "cpan[query] SQL:%s", new Object[]{"labelID =? "});
        try {
            delete = this.bSd.delete("ContactLabel", "labelID =? ", new String[]{str});
        } catch (Exception e) {
            ab.w("MicroMsg.Label.ContactLabelStorage", "cpan[delete] exception %s", new Object[]{e.toString()});
            delete = -1;
        }
        if (delete > 0) {
            AppMethodBeat.o(29040);
            return true;
        }
        AppMethodBeat.o(29040);
        return false;
    }

    private boolean a(boolean z, af afVar, String... strArr) {
        AppMethodBeat.i(29041);
        boolean a = super.a(afVar, strArr);
        if (a && z) {
            anF(a("delete", afVar));
            dsp();
        }
        ahw();
        AppMethodBeat.o(29041);
        return a;
    }

    public final boolean a(af afVar, String... strArr) {
        AppMethodBeat.i(29042);
        boolean a = a(true, afVar, strArr);
        AppMethodBeat.o(29042);
        return a;
    }

    public final boolean b(boolean z, af afVar, String... strArr) {
        AppMethodBeat.i(29043);
        boolean c = super.c(afVar, strArr);
        if (c && z) {
            anF(a("update", afVar));
        }
        ahw();
        AppMethodBeat.o(29043);
        return c;
    }

    public final boolean eq(List<af> list) {
        AppMethodBeat.i(29044);
        if (list.size() <= 0) {
            ab.i("MicroMsg.Label.ContactLabelStorage", "cpan[insertAddLabel] list is null.");
            AppMethodBeat.o(29044);
        } else {
            long iV;
            h hVar = null;
            if (this.bSd instanceof h) {
                h hVar2 = (h) this.bSd;
                iV = hVar2.iV(Thread.currentThread().getId());
                ab.i("MicroMsg.Label.ContactLabelStorage", "begin insertOrUpdateList in a transaction, ticket = %d", new Object[]{Long.valueOf(iV)});
                hVar = hVar2;
            } else {
                iV = -1;
            }
            int size = list.size();
            ArrayList arrayList = new ArrayList();
            for (int i = 0; i < size; i++) {
                String c = c((af) list.get(i));
                if (!bo.isNullOrNil(c)) {
                    pI(c);
                }
            }
            if (hVar != null) {
                hVar.mB(iV);
                ab.i("MicroMsg.Label.ContactLabelStorage", "end deleteLocalLabel transaction");
            }
            ahw();
            AppMethodBeat.o(29044);
        }
        return false;
    }

    public final boolean er(List<af> list) {
        AppMethodBeat.i(29045);
        if (list.size() <= 0) {
            ab.i("MicroMsg.Label.ContactLabelStorage", "cpan[insertOrUpdateList] list is null.");
            AppMethodBeat.o(29045);
        } else {
            long iV;
            ArrayList arrayList = new ArrayList();
            ArrayList arrayList2 = new ArrayList();
            h hVar = null;
            if (this.bSd instanceof h) {
                h hVar2 = (h) this.bSd;
                iV = hVar2.iV(Thread.currentThread().getId());
                ab.i("MicroMsg.Label.ContactLabelStorage", "begin insertOrUpdateList in a transaction, ticket = %d", new Object[]{Long.valueOf(iV)});
                hVar = hVar2;
            } else {
                iV = -1;
            }
            int size = list.size();
            for (int i = 0; i < size; i++) {
                af afVar = (af) list.get(i);
                if (afVar != null) {
                    switch (1.xXf[b(afVar).ordinal()]) {
                        case 1:
                            break;
                        case 2:
                            b(false, afVar, "labelID");
                            arrayList2.add(afVar);
                            break;
                        case 3:
                            afVar.field_createTime = System.currentTimeMillis();
                            a(false, afVar);
                            arrayList.add(afVar);
                            break;
                        default:
                            ab.w("MicroMsg.Label.ContactLabelStorage", "cpan[insertOrUpdateList] unknow result.");
                            break;
                    }
                }
            }
            if (hVar != null) {
                hVar.mB(iV);
                ab.i("MicroMsg.Label.ContactLabelStorage", "end insertOrUpdateList transaction");
            }
            if (arrayList.size() > 0) {
                anF(x("insert", arrayList));
            }
            if (arrayList2.size() > 0) {
                anF(x("update", arrayList2));
            }
            ahw();
            AppMethodBeat.o(29045);
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x007d  */
    public final java.lang.String PD(java.lang.String r12) {
        /*
        r11 = this;
        r10 = 29046; // 0x7176 float:4.0702E-41 double:1.43506E-319;
        r1 = 1;
        r0 = 0;
        r9 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r3 = "labelID =?";
        r4 = new java.lang.String[r1];
        r4[r0] = r12;
        r0 = r11.bSd;	 Catch:{ Exception -> 0x005e, all -> 0x0079 }
        r1 = "ContactLabel";
        r2 = 1;
        r2 = new java.lang.String[r2];	 Catch:{ Exception -> 0x005e, all -> 0x0079 }
        r5 = 0;
        r6 = "labelName";
        r2[r5] = r6;	 Catch:{ Exception -> 0x005e, all -> 0x0079 }
        r5 = 0;
        r6 = 0;
        r7 = 0;
        r8 = 2;
        r1 = r0.a(r1, r2, r3, r4, r5, r6, r7, r8);	 Catch:{ Exception -> 0x005e, all -> 0x0079 }
        if (r1 == 0) goto L_0x0054;
    L_0x0027:
        r0 = r1.moveToFirst();	 Catch:{ Exception -> 0x0086 }
        if (r0 == 0) goto L_0x0054;
    L_0x002d:
        r0 = "labelName";
        r0 = r1.getColumnIndex(r0);	 Catch:{ Exception -> 0x0086 }
        r0 = r1.getString(r0);	 Catch:{ Exception -> 0x0086 }
        r2 = "MicroMsg.Label.ContactLabelStorage";
        r3 = "cpan[getLabelStrById] label string is %s";
        r4 = 1;
        r4 = new java.lang.Object[r4];	 Catch:{ Exception -> 0x0086 }
        r5 = 0;
        r6 = java.lang.String.valueOf(r0);	 Catch:{ Exception -> 0x0086 }
        r4[r5] = r6;	 Catch:{ Exception -> 0x0086 }
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);	 Catch:{ Exception -> 0x0086 }
        if (r1 == 0) goto L_0x0050;
    L_0x004d:
        r1.close();
    L_0x0050:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x0053:
        return r0;
    L_0x0054:
        if (r1 == 0) goto L_0x0059;
    L_0x0056:
        r1.close();
    L_0x0059:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r0 = r9;
        goto L_0x0053;
    L_0x005e:
        r0 = move-exception;
        r1 = r9;
    L_0x0060:
        r2 = "MicroMsg.Label.ContactLabelStorage";
        r3 = "cpan[getLabelStrById] exception %s";
        r4 = 1;
        r4 = new java.lang.Object[r4];	 Catch:{ all -> 0x0084 }
        r5 = 0;
        r0 = r0.toString();	 Catch:{ all -> 0x0084 }
        r4[r5] = r0;	 Catch:{ all -> 0x0084 }
        com.tencent.mm.sdk.platformtools.ab.w(r2, r3, r4);	 Catch:{ all -> 0x0084 }
        if (r1 == 0) goto L_0x0059;
    L_0x0075:
        r1.close();
        goto L_0x0059;
    L_0x0079:
        r0 = move-exception;
        r1 = r9;
    L_0x007b:
        if (r1 == 0) goto L_0x0080;
    L_0x007d:
        r1.close();
    L_0x0080:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        throw r0;
    L_0x0084:
        r0 = move-exception;
        goto L_0x007b;
    L_0x0086:
        r0 = move-exception;
        goto L_0x0060;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.storage.ai.PD(java.lang.String):java.lang.String");
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x007d  */
    public final java.lang.String PE(java.lang.String r12) {
        /*
        r11 = this;
        r10 = 29047; // 0x7177 float:4.0704E-41 double:1.4351E-319;
        r1 = 1;
        r0 = 0;
        r9 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r3 = "labelName =?";
        r4 = new java.lang.String[r1];
        r4[r0] = r12;
        r0 = r11.bSd;	 Catch:{ Exception -> 0x005e, all -> 0x0079 }
        r1 = "ContactLabel";
        r2 = 1;
        r2 = new java.lang.String[r2];	 Catch:{ Exception -> 0x005e, all -> 0x0079 }
        r5 = 0;
        r6 = "labelID";
        r2[r5] = r6;	 Catch:{ Exception -> 0x005e, all -> 0x0079 }
        r5 = 0;
        r6 = 0;
        r7 = 0;
        r8 = 2;
        r1 = r0.a(r1, r2, r3, r4, r5, r6, r7, r8);	 Catch:{ Exception -> 0x005e, all -> 0x0079 }
        if (r1 == 0) goto L_0x0054;
    L_0x0027:
        r0 = r1.moveToFirst();	 Catch:{ Exception -> 0x0086 }
        if (r0 == 0) goto L_0x0054;
    L_0x002d:
        r0 = "labelID";
        r0 = r1.getColumnIndex(r0);	 Catch:{ Exception -> 0x0086 }
        r0 = r1.getString(r0);	 Catch:{ Exception -> 0x0086 }
        r2 = "MicroMsg.Label.ContactLabelStorage";
        r3 = "cpan[getLabelIdByStr] label id is %s";
        r4 = 1;
        r4 = new java.lang.Object[r4];	 Catch:{ Exception -> 0x0086 }
        r5 = 0;
        r6 = java.lang.String.valueOf(r0);	 Catch:{ Exception -> 0x0086 }
        r4[r5] = r6;	 Catch:{ Exception -> 0x0086 }
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);	 Catch:{ Exception -> 0x0086 }
        if (r1 == 0) goto L_0x0050;
    L_0x004d:
        r1.close();
    L_0x0050:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x0053:
        return r0;
    L_0x0054:
        if (r1 == 0) goto L_0x0059;
    L_0x0056:
        r1.close();
    L_0x0059:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r0 = r9;
        goto L_0x0053;
    L_0x005e:
        r0 = move-exception;
        r1 = r9;
    L_0x0060:
        r2 = "MicroMsg.Label.ContactLabelStorage";
        r3 = "cpan[getLabelIdByStr] exception %s";
        r4 = 1;
        r4 = new java.lang.Object[r4];	 Catch:{ all -> 0x0084 }
        r5 = 0;
        r0 = r0.toString();	 Catch:{ all -> 0x0084 }
        r4[r5] = r0;	 Catch:{ all -> 0x0084 }
        com.tencent.mm.sdk.platformtools.ab.w(r2, r3, r4);	 Catch:{ all -> 0x0084 }
        if (r1 == 0) goto L_0x0059;
    L_0x0075:
        r1.close();
        goto L_0x0059;
    L_0x0079:
        r0 = move-exception;
        r1 = r9;
    L_0x007b:
        if (r1 == 0) goto L_0x0080;
    L_0x007d:
        r1.close();
    L_0x0080:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        throw r0;
    L_0x0084:
        r0 = move-exception;
        goto L_0x007b;
    L_0x0086:
        r0 = move-exception;
        goto L_0x0060;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.storage.ai.PE(java.lang.String):java.lang.String");
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x0084  */
    public final com.tencent.mm.storage.af aoE(java.lang.String r12) {
        /*
        r11 = this;
        r1 = 1;
        r0 = 0;
        r10 = 29048; // 0x7178 float:4.0705E-41 double:1.43516E-319;
        r9 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r3 = "labelName =?";
        r4 = new java.lang.String[r1];
        r4[r0] = r12;
        r0 = r11.bSd;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r1 = "ContactLabel";
        r2 = 6;
        r2 = new java.lang.String[r2];	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 0;
        r6 = "labelID";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 1;
        r6 = "createTime";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 2;
        r6 = "isTemporary";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 3;
        r6 = "labelName";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 4;
        r6 = "labelPYFull";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 5;
        r6 = "labelPYShort";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 0;
        r6 = 0;
        r7 = 0;
        r8 = 2;
        r1 = r0.a(r1, r2, r3, r4, r5, r6, r7, r8);	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        if (r1 == 0) goto L_0x005c;
    L_0x0045:
        r0 = r1.moveToFirst();	 Catch:{ Exception -> 0x008e }
        if (r0 == 0) goto L_0x005c;
    L_0x004b:
        r0 = new com.tencent.mm.storage.af;	 Catch:{ Exception -> 0x008e }
        r0.<init>();	 Catch:{ Exception -> 0x008e }
        r0.d(r1);	 Catch:{ Exception -> 0x008e }
        if (r1 == 0) goto L_0x0058;
    L_0x0055:
        r1.close();
    L_0x0058:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x005b:
        return r0;
    L_0x005c:
        if (r1 == 0) goto L_0x0061;
    L_0x005e:
        r1.close();
    L_0x0061:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r0 = r9;
        goto L_0x005b;
    L_0x0066:
        r0 = move-exception;
        r1 = r9;
    L_0x0068:
        r2 = "MicroMsg.Label.ContactLabelStorage";
        r3 = "cpan[getLabelIdByStr] exception %s";
        r4 = 1;
        r4 = new java.lang.Object[r4];	 Catch:{ all -> 0x008b }
        r5 = 0;
        r0 = r0.toString();	 Catch:{ all -> 0x008b }
        r4[r5] = r0;	 Catch:{ all -> 0x008b }
        com.tencent.mm.sdk.platformtools.ab.w(r2, r3, r4);	 Catch:{ all -> 0x008b }
        if (r1 == 0) goto L_0x0061;
    L_0x007d:
        r1.close();
        goto L_0x0061;
    L_0x0081:
        r0 = move-exception;
    L_0x0082:
        if (r9 == 0) goto L_0x0087;
    L_0x0084:
        r9.close();
    L_0x0087:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        throw r0;
    L_0x008b:
        r0 = move-exception;
        r9 = r1;
        goto L_0x0082;
    L_0x008e:
        r0 = move-exception;
        goto L_0x0068;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.storage.ai.aoE(java.lang.String):com.tencent.mm.storage.af");
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x0084  */
    public final com.tencent.mm.storage.af aoF(java.lang.String r12) {
        /*
        r11 = this;
        r1 = 1;
        r0 = 0;
        r10 = 29049; // 0x7179 float:4.0706E-41 double:1.4352E-319;
        r9 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r3 = "labelID =?";
        r4 = new java.lang.String[r1];
        r4[r0] = r12;
        r0 = r11.bSd;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r1 = "ContactLabel";
        r2 = 6;
        r2 = new java.lang.String[r2];	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 0;
        r6 = "labelID";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 1;
        r6 = "createTime";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 2;
        r6 = "isTemporary";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 3;
        r6 = "labelName";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 4;
        r6 = "labelPYFull";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 5;
        r6 = "labelPYShort";
        r2[r5] = r6;	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        r5 = 0;
        r6 = 0;
        r7 = 0;
        r8 = 2;
        r1 = r0.a(r1, r2, r3, r4, r5, r6, r7, r8);	 Catch:{ Exception -> 0x0066, all -> 0x0081 }
        if (r1 == 0) goto L_0x005c;
    L_0x0045:
        r0 = r1.moveToFirst();	 Catch:{ Exception -> 0x008e }
        if (r0 == 0) goto L_0x005c;
    L_0x004b:
        r0 = new com.tencent.mm.storage.af;	 Catch:{ Exception -> 0x008e }
        r0.<init>();	 Catch:{ Exception -> 0x008e }
        r0.d(r1);	 Catch:{ Exception -> 0x008e }
        if (r1 == 0) goto L_0x0058;
    L_0x0055:
        r1.close();
    L_0x0058:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x005b:
        return r0;
    L_0x005c:
        if (r1 == 0) goto L_0x0061;
    L_0x005e:
        r1.close();
    L_0x0061:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r0 = r9;
        goto L_0x005b;
    L_0x0066:
        r0 = move-exception;
        r1 = r9;
    L_0x0068:
        r2 = "MicroMsg.Label.ContactLabelStorage";
        r3 = "cpan[getLabelByID] exception %s";
        r4 = 1;
        r4 = new java.lang.Object[r4];	 Catch:{ all -> 0x008b }
        r5 = 0;
        r0 = r0.toString();	 Catch:{ all -> 0x008b }
        r4[r5] = r0;	 Catch:{ all -> 0x008b }
        com.tencent.mm.sdk.platformtools.ab.w(r2, r3, r4);	 Catch:{ all -> 0x008b }
        if (r1 == 0) goto L_0x0061;
    L_0x007d:
        r1.close();
        goto L_0x0061;
    L_0x0081:
        r0 = move-exception;
    L_0x0082:
        if (r9 == 0) goto L_0x0087;
    L_0x0084:
        r9.close();
    L_0x0087:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        throw r0;
    L_0x008b:
        r0 = move-exception;
        r9 = r1;
        goto L_0x0082;
    L_0x008e:
        r0 = move-exception;
        goto L_0x0068;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.storage.ai.aoF(java.lang.String):com.tencent.mm.storage.af");
    }

    private a b(af afVar) {
        AppMethodBeat.i(29050);
        Cursor cursor = null;
        try {
            cursor = this.bSd.a("select * from ContactLabel where labelID=?", new String[]{afVar.field_labelID}, 2);
            a aVar;
            if (cursor == null || !cursor.moveToFirst()) {
                if (cursor != null) {
                    cursor.close();
                }
                aVar = a.xXi;
                AppMethodBeat.o(29050);
                return aVar;
            }
            if (afVar.field_labelName.equalsIgnoreCase(bo.bc(cursor.getString(cursor.getColumnIndex("labelName")), ""))) {
                aVar = a.xXg;
                if (cursor != null) {
                    cursor.close();
                }
                AppMethodBeat.o(29050);
                return aVar;
            }
            aVar = a.xXh;
            if (cursor != null) {
                cursor.close();
            }
            AppMethodBeat.o(29050);
            return aVar;
        } catch (Exception e) {
            ab.w("MicroMsg.Label.ContactLabelStorage", "cpan[checkEqualsName] exception %s", new Object[]{e.toString()});
            if (cursor != null) {
                cursor.close();
            }
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.close();
            }
            AppMethodBeat.o(29050);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x00ae  */
    private java.lang.String c(com.tencent.mm.storage.af r12) {
        /*
        r11 = this;
        r0 = 0;
        r2 = 2;
        r6 = 1;
        r5 = 0;
        r10 = 29051; // 0x717b float:4.0709E-41 double:1.4353E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r1 = "select * from ContactLabel where labelName=? and isTemporary =?";
        r2 = new java.lang.String[r2];
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = r12.field_labelName;
        r3 = r3.append(r4);
        r3 = r3.toString();
        r2[r5] = r3;
        r3 = "1";
        r2[r6] = r3;
        r3 = r11.bSd;	 Catch:{ Exception -> 0x008f, all -> 0x00aa }
        r4 = 2;
        r2 = r3.a(r1, r2, r4);	 Catch:{ Exception -> 0x008f, all -> 0x00aa }
        if (r2 == 0) goto L_0x0086;
    L_0x002d:
        r1 = r2.moveToFirst();	 Catch:{ Exception -> 0x00b8 }
        if (r1 == 0) goto L_0x0086;
    L_0x0033:
        r1 = "labelName";
        r1 = r2.getColumnIndex(r1);	 Catch:{ Exception -> 0x00b8 }
        r1 = r2.getString(r1);	 Catch:{ Exception -> 0x00b8 }
        r3 = "";
        r1 = com.tencent.mm.sdk.platformtools.bo.bc(r1, r3);	 Catch:{ Exception -> 0x00b8 }
        r3 = r12.field_labelName;	 Catch:{ Exception -> 0x00b8 }
        r3 = r3.equalsIgnoreCase(r1);	 Catch:{ Exception -> 0x00b8 }
        r4 = "MicroMsg.Label.ContactLabelStorage";
        r5 = "cpan[checkEqualsName] itemname:%s dbname:%s";
        r6 = 2;
        r6 = new java.lang.Object[r6];	 Catch:{ Exception -> 0x00b8 }
        r7 = 0;
        r8 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x00b8 }
        r8.<init>();	 Catch:{ Exception -> 0x00b8 }
        r9 = r12.field_labelName;	 Catch:{ Exception -> 0x00b8 }
        r8 = r8.append(r9);	 Catch:{ Exception -> 0x00b8 }
        r8 = r8.toString();	 Catch:{ Exception -> 0x00b8 }
        r6[r7] = r8;	 Catch:{ Exception -> 0x00b8 }
        r7 = 1;
        r1 = java.lang.String.valueOf(r1);	 Catch:{ Exception -> 0x00b8 }
        r6[r7] = r1;	 Catch:{ Exception -> 0x00b8 }
        com.tencent.mm.sdk.platformtools.ab.i(r4, r5, r6);	 Catch:{ Exception -> 0x00b8 }
        if (r3 == 0) goto L_0x0086;
    L_0x0072:
        r1 = "labelID";
        r1 = r2.getColumnIndex(r1);	 Catch:{ Exception -> 0x00b8 }
        r0 = r2.getString(r1);	 Catch:{ Exception -> 0x00b8 }
        if (r2 == 0) goto L_0x0082;
    L_0x007f:
        r2.close();
    L_0x0082:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x0085:
        return r0;
    L_0x0086:
        if (r2 == 0) goto L_0x008b;
    L_0x0088:
        r2.close();
    L_0x008b:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x0085;
    L_0x008f:
        r1 = move-exception;
        r2 = r0;
    L_0x0091:
        r3 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[checkEqualsName] exception %s";
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ all -> 0x00b5 }
        r6 = 0;
        r1 = r1.toString();	 Catch:{ all -> 0x00b5 }
        r5[r6] = r1;	 Catch:{ all -> 0x00b5 }
        com.tencent.mm.sdk.platformtools.ab.w(r3, r4, r5);	 Catch:{ all -> 0x00b5 }
        if (r2 == 0) goto L_0x008b;
    L_0x00a6:
        r2.close();
        goto L_0x008b;
    L_0x00aa:
        r1 = move-exception;
        r2 = r0;
    L_0x00ac:
        if (r2 == 0) goto L_0x00b1;
    L_0x00ae:
        r2.close();
    L_0x00b1:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        throw r1;
    L_0x00b5:
        r0 = move-exception;
        r1 = r0;
        goto L_0x00ac;
    L_0x00b8:
        r1 = move-exception;
        goto L_0x0091;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.storage.ai.c(com.tencent.mm.storage.af):java.lang.String");
    }

    private static String a(String str, af afVar) {
        AppMethodBeat.i(29052);
        if (afVar != null) {
            ArrayList arrayList = new ArrayList();
            arrayList.add(afVar);
            String x = x(str, arrayList);
            AppMethodBeat.o(29052);
            return x;
        }
        AppMethodBeat.o(29052);
        return null;
    }

    private static String x(String str, List<af> list) {
        AppMethodBeat.i(29053);
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(str);
        stringBuilder.append(" ");
        if (list == null || list.size() <= 0) {
            AppMethodBeat.o(29053);
            return null;
        }
        int size = list.size();
        for (int i = 0; i < size; i++) {
            af afVar = (af) list.get(i);
            if (afVar != null) {
                stringBuilder.append(afVar.field_labelID);
                if (i < size - 1) {
                    stringBuilder.append(" ");
                }
            }
        }
        ab.i("MicroMsg.Label.ContactLabelStorage", "cpan[genNotifyString] event:%s", new Object[]{stringBuilder.toString()});
        String stringBuilder2 = stringBuilder.toString();
        AppMethodBeat.o(29053);
        return stringBuilder2;
    }

    private static void dsp() {
        AppMethodBeat.i(29054);
        ab.i("MicroMsg.Label.ContactLabelStorage", "cpan[publishUpdateSearchIndexEvent]");
        tv tvVar = new tv();
        tvVar.cPX.cvc = 3000;
        com.tencent.mm.sdk.b.a.xxA.m(tvVar);
        AppMethodBeat.o(29054);
    }

    public final boolean es(List<af> list) {
        AppMethodBeat.i(29055);
        if (list == null || list.size() <= 0) {
            ab.w("MicroMsg.Label.ContactLabelStorage", "cpan[deleteList] list is null.");
            AppMethodBeat.o(29055);
            return false;
        }
        long iV;
        h hVar = null;
        if (this.bSd instanceof h) {
            h hVar2 = (h) this.bSd;
            iV = hVar2.iV(Thread.currentThread().getId());
            ab.i("MicroMsg.Label.ContactLabelStorage", "begin deleteList in a transaction, ticket = %d", new Object[]{Long.valueOf(iV)});
            hVar = hVar2;
        } else {
            iV = -1;
        }
        int size = list.size();
        for (int i = 0; i < size; i++) {
            a(false, (af) list.get(i), "labelID");
        }
        if (hVar != null) {
            hVar.mB(iV);
            ab.i("MicroMsg.Label.ContactLabelStorage", "end insertOrUpdateList transaction");
        }
        anF(x("delete", list));
        dsp();
        AppMethodBeat.o(29055);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:34:0x00e7  */
    public final java.util.ArrayList<com.tencent.mm.storage.af> et(java.util.List<com.tencent.mm.storage.af> r10) {
        /*
        r9 = this;
        r7 = 1;
        r1 = 0;
        r3 = 0;
        r8 = 29056; // 0x7180 float:4.0716E-41 double:1.43556E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r0 = r10.size();
        if (r0 > 0) goto L_0x0013;
    L_0x000e:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
    L_0x0012:
        return r0;
    L_0x0013:
        r4 = r10.size();
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r0 = "select * from ContactLabel where labelID";
        r5.append(r0);
        r0 = " not in ( ";
        r5.append(r0);
        r2 = r3;
    L_0x0029:
        if (r2 >= r4) goto L_0x005b;
    L_0x002b:
        r6 = new java.lang.StringBuilder;
        r0 = "'";
        r6.<init>(r0);
        r0 = r10.get(r2);
        r0 = (com.tencent.mm.storage.af) r0;
        r0 = r0.field_labelID;
        r0 = r6.append(r0);
        r6 = "'";
        r0 = r0.append(r6);
        r0 = r0.toString();
        r5.append(r0);
        r0 = r4 + -1;
        if (r2 >= r0) goto L_0x0057;
    L_0x0051:
        r0 = ",";
        r5.append(r0);
    L_0x0057:
        r0 = r2 + 1;
        r2 = r0;
        goto L_0x0029;
    L_0x005b:
        r0 = " )";
        r5.append(r0);
        r0 = " and isTemporary=0";
        r5.append(r0);
        r0 = r5.toString();
        r2 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[getLabelIdListNoInList] SQL:%s";
        r5 = new java.lang.Object[r7];
        r5[r3] = r0;
        com.tencent.mm.sdk.platformtools.ab.d(r2, r4, r5);
        r2 = r9.bSd;	 Catch:{ Exception -> 0x00c8, all -> 0x00e3 }
        r3 = 0;
        r4 = 2;
        r2 = r2.a(r0, r3, r4);	 Catch:{ Exception -> 0x00c8, all -> 0x00e3 }
        r0 = r2.moveToFirst();	 Catch:{ Exception -> 0x00f0 }
        if (r0 == 0) goto L_0x00bd;
    L_0x0086:
        r0 = new java.util.ArrayList;	 Catch:{ Exception -> 0x00f0 }
        r0.<init>();	 Catch:{ Exception -> 0x00f0 }
    L_0x008b:
        r3 = new com.tencent.mm.storage.af;	 Catch:{ Exception -> 0x00f0 }
        r3.<init>();	 Catch:{ Exception -> 0x00f0 }
        r3.d(r2);	 Catch:{ Exception -> 0x00f0 }
        r0.add(r3);	 Catch:{ Exception -> 0x00f0 }
        r3 = r2.moveToNext();	 Catch:{ Exception -> 0x00f0 }
        if (r3 != 0) goto L_0x008b;
    L_0x009c:
        r3 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[getLabelIdListNoInList] resut size:%d";
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ Exception -> 0x00f0 }
        r6 = 0;
        r7 = r0.size();	 Catch:{ Exception -> 0x00f0 }
        r7 = java.lang.Integer.valueOf(r7);	 Catch:{ Exception -> 0x00f0 }
        r5[r6] = r7;	 Catch:{ Exception -> 0x00f0 }
        com.tencent.mm.sdk.platformtools.ab.d(r3, r4, r5);	 Catch:{ Exception -> 0x00f0 }
        if (r2 == 0) goto L_0x00b8;
    L_0x00b5:
        r2.close();
    L_0x00b8:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x0012;
    L_0x00bd:
        if (r2 == 0) goto L_0x00c2;
    L_0x00bf:
        r2.close();
    L_0x00c2:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
        goto L_0x0012;
    L_0x00c8:
        r0 = move-exception;
        r2 = r1;
    L_0x00ca:
        r3 = "MicroMsg.Label.ContactLabelStorage";
        r4 = "cpan[getLabelIdListNoInList] exception:%s";
        r5 = 1;
        r5 = new java.lang.Object[r5];	 Catch:{ all -> 0x00ee }
        r6 = 0;
        r0 = r0.toString();	 Catch:{ all -> 0x00ee }
        r5[r6] = r0;	 Catch:{ all -> 0x00ee }
        com.tencent.mm.sdk.platformtools.ab.w(r3, r4, r5);	 Catch:{ all -> 0x00ee }
        if (r2 == 0) goto L_0x00c2;
    L_0x00df:
        r2.close();
        goto L_0x00c2;
    L_0x00e3:
        r0 = move-exception;
        r2 = r1;
    L_0x00e5:
        if (r2 == 0) goto L_0x00ea;
    L_0x00e7:
        r2.close();
    L_0x00ea:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x00ee:
        r0 = move-exception;
        goto L_0x00e5;
    L_0x00f0:
        r0 = move-exception;
        goto L_0x00ca;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.storage.ai.et(java.util.List):java.util.ArrayList");
    }
}
