package com.tencent.mm.ui.appbrand;

import android.content.Context;
import android.view.MenuItem;
import android.view.View;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.util.q;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.appbrand.config.WxaAttributes;
import com.tencent.mm.plugin.appbrand.config.WxaExposedParams;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.l;
import java.io.UnsupportedEncodingException;

public final class a {
    public String appId = "";
    Context context;
    public WxaExposedParams iIa = new com.tencent.mm.plugin.appbrand.config.WxaExposedParams.a().ayP();
    com.tencent.mm.ui.widget.a.d irC;
    public boolean jnK;
    public int scene;
    public String username;
    h yrj;
    public String yrk = "";

    public class a extends c {
        public a() {
            super(a.this);
        }

        public final void a(l lVar) {
            AppMethodBeat.i(29928);
            super.a(lVar);
            lVar.e(2, a.this.context.getString(2131296831));
            lVar.e(8, a.this.context.getString(2131296829));
            lVar.e(7, a.a(a.this));
            AppMethodBeat.o(29928);
        }

        public final void onMMMenuItemSelected(MenuItem menuItem, int i) {
            AppMethodBeat.i(29929);
            super.onMMMenuItemSelected(menuItem, i);
            AppMethodBeat.o(29929);
        }
    }

    public class d extends c {
        public d() {
            super(a.this);
        }

        public final void a(l lVar) {
            AppMethodBeat.i(29935);
            super.a(lVar);
            lVar.e(2, a.this.context.getString(2131296831));
            lVar.e(8, a.this.context.getString(2131296829));
            lVar.e(7, a.a(a.this));
            AppMethodBeat.o(29935);
        }

        public final void onMMMenuItemSelected(MenuItem menuItem, int i) {
            AppMethodBeat.i(29936);
            super.onMMMenuItemSelected(menuItem, i);
            AppMethodBeat.o(29936);
        }
    }

    public a(Context context) {
        AppMethodBeat.i(29945);
        this.context = context;
        AppMethodBeat.o(29945);
    }

    public final void show(int i) {
        AppMethodBeat.i(29946);
        this.irC = new com.tencent.mm.ui.widget.a.d(this.context, 1, true);
        switch (i) {
            case 1:
                this.yrj = new a();
                break;
            case 2:
                this.yrj = new b(this);
                break;
            case 3:
                this.yrj = new f(this);
                break;
            case 4:
                this.yrj = new g(this);
                break;
            case 5:
                this.yrj = new d();
                break;
            case 6:
                this.yrj = new e(this);
                break;
            default:
                AppMethodBeat.o(29946);
                return;
        }
        if (this.yrj == null) {
            ab.e("MicroMsg.AppBrandServiceActionSheet", "resetTitleView, state is null");
        } else {
            View dzm = this.yrj.dzm();
            if (dzm != null) {
                this.irC.F(dzm, false);
            }
        }
        this.irC.rBl = new 2(this);
        this.irC.rBm = new 1(this);
        this.irC.cpD();
        AppMethodBeat.o(29946);
    }

    /* Access modifiers changed, original: final */
    public final String getAppId() {
        AppMethodBeat.i(29947);
        if (bo.isNullOrNil(this.username)) {
            AppMethodBeat.o(29947);
            return null;
        }
        if (bo.isNullOrNil(this.appId)) {
            WxaAttributes zb = ((com.tencent.mm.plugin.appbrand.service.d) g.K(com.tencent.mm.plugin.appbrand.service.d.class)).zb(this.username);
            if (zb != null) {
                this.appId = zb.field_appId;
            }
        }
        String str = this.appId;
        AppMethodBeat.o(29947);
        return str;
    }

    /* Access modifiers changed, original: final */
    public final void he(int i, int i2) {
        AppMethodBeat.i(29948);
        if (bo.isNullOrNil(getAppId())) {
            AppMethodBeat.o(29948);
            return;
        }
        ab.d("MicroMsg.AppBrandServiceActionSheet", "stev report(%s), appId : %s, scene %s, sceneId %s, action %s", new Object[]{Integer.valueOf(13918), this.appId, Integer.valueOf(i), this.yrk, Integer.valueOf(i2)});
        h.pYm.e(13918, new Object[]{getAppId(), Integer.valueOf(i), this.yrk, Integer.valueOf(i2), Long.valueOf(bo.anT())});
        AppMethodBeat.o(29948);
    }

    public static String aE(String str, String str2, String str3) {
        AppMethodBeat.i(29949);
        String str4 = "";
        try {
            str4 = String.format("https://mp.weixin.qq.com/mp/wacomplain?action=show&appid=%s&pageid=%s&from=%d&&business_appid=%s#wechat_redirect", new Object[]{q.encode(bo.nullAsNil(str), "UTF-8"), q.encode(bo.nullAsNil(str2), "UTF-8"), Integer.valueOf(10), q.encode(bo.nullAsNil(str3), "UTF-8")});
            AppMethodBeat.o(29949);
        } catch (UnsupportedEncodingException e) {
            ab.e("MicroMsg.AppBrandServiceActionSheet", "buildExposeUrl encode fail, invalid arguments");
            AppMethodBeat.o(29949);
        }
        return str4;
    }

    static /* synthetic */ void a(a aVar, int i) {
        AppMethodBeat.i(29950);
        if (!bo.isNullOrNil(aVar.getAppId())) {
            ab.d("MicroMsg.AppBrandServiceActionSheet", "stev report(%s), eventId : %s, appId %s, sceneId %s", new Object[]{Integer.valueOf(13798), Integer.valueOf(i), aVar.appId, aVar.yrk});
            h.pYm.e(13798, new Object[]{Integer.valueOf(i), aVar.getAppId(), Integer.valueOf(0), aVar.yrk, Long.valueOf(bo.anT())});
        }
        AppMethodBeat.o(29950);
    }

    static /* synthetic */ String a(a aVar) {
        AppMethodBeat.i(29951);
        String str;
        if (aVar.iIa == null) {
            str = "";
            AppMethodBeat.o(29951);
            return str;
        }
        if (bo.isNullOrNil(aVar.iIa.nickname)) {
            if (!bo.isNullOrNil(aVar.iIa.username)) {
                aVar.iIa.nickname = b.aqK(aVar.iIa.username);
            }
            if (bo.isNullOrNil(aVar.iIa.nickname)) {
                aVar.iIa.nickname = "";
            }
        }
        str = aVar.context.getString(2131296531, new Object[]{aVar.iIa.nickname});
        AppMethodBeat.o(29951);
        return str;
    }
}
