package com.tencent.mm.wallet_core.c;

import android.os.Handler;
import android.os.HandlerThread;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.cd.h;
import com.tencent.mm.sdk.a.b;
import com.tencent.mm.sdk.e.n;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ac.a;
import java.util.HashMap;
import junit.framework.Assert;

public final class y extends n {
    public static final String[] fnj = new String[]{"CREATE TABLE IF NOT EXISTS walletcache ( sid TEXT PRIMARY KEY, type INT, value TEXT )"};
    public static final Object xIt = new Object();
    public a<String> AfU = new a(this, "walletcache", "sid");
    public h fni;
    private Handler mHandler;
    private HandlerThread mHandlerThread;
    private HashMap<Integer, b> xIw = new HashMap();
    private HashMap<String, b> xIx = new HashMap();
    private volatile boolean xIy;
    private final Runnable xIz = new 1(this);

    static {
        AppMethodBeat.i(5482);
        AppMethodBeat.o(5482);
    }

    public y(h hVar) {
        AppMethodBeat.i(5478);
        this.fni = hVar;
        this.mHandlerThread = new HandlerThread("ConfigStorage");
        this.mHandlerThread.start();
        this.mHandler = new Handler(this.mHandlerThread.getLooper());
        AppMethodBeat.o(5478);
    }

    public final void set(a aVar, Object obj) {
        AppMethodBeat.i(5479);
        if (aVar == null) {
            AppMethodBeat.o(5479);
            return;
        }
        String name = aVar.name();
        if (bo.isNullOrNil(name)) {
            AppMethodBeat.o(5479);
            return;
        }
        boolean z;
        String[] split = name.split("_");
        String str = split[split.length - 1];
        if (str.equals("SYNC")) {
            str = split[split.length - 2];
            z = true;
        } else {
            z = false;
        }
        if (a(str, obj, true)) {
            String substring = name.substring(0, str.length() + name.lastIndexOf(str));
            if (!obj.equals(this.AfU.put(substring, obj))) {
                Object obj2;
                if (obj == xIt) {
                    obj2 = null;
                } else {
                    obj2 = new b(3, obj.toString());
                }
                synchronized (this) {
                    try {
                        this.xIx.put(substring, obj2);
                        if (z) {
                            synchronized (this) {
                                this.mHandler.removeCallbacks(this.xIz);
                                this.mHandler.post(this.xIz);
                                this.xIy = true;
                            }
                            ab.i("MicroMsg.ConfigStorage", "Posted appendAllToDisk");
                        } else if (!this.xIy) {
                            this.xIy = true;
                            this.mHandler.postDelayed(this.xIz, 30000);
                        }
                    } catch (Throwable th) {
                        AppMethodBeat.o(5479);
                    }
                }
                b(obj == xIt ? 5 : 4, this, substring);
            }
            ab.i("MicroMsg.ConfigStorage", "SET: " + substring + " => " + (obj == xIt ? "(DELETED)" : obj.toString()));
            AppMethodBeat.o(5479);
            return;
        }
        AppMethodBeat.o(5479);
    }

    public static boolean a(String str, Object obj, boolean z) {
        AppMethodBeat.i(5480);
        if (obj == null && z) {
            AppMethodBeat.o(5480);
            return true;
        } else if (str.equals("INT") && (obj instanceof Integer)) {
            AppMethodBeat.o(5480);
            return true;
        } else if (str.equals("LONG") && (obj instanceof Long)) {
            AppMethodBeat.o(5480);
            return true;
        } else if (str.equals("STRING") && (obj instanceof String)) {
            AppMethodBeat.o(5480);
            return true;
        } else if (str.equals("BOOLEAN") && (obj instanceof Boolean)) {
            AppMethodBeat.o(5480);
            return true;
        } else if (str.equals("FLOAT") && (obj instanceof Float)) {
            AppMethodBeat.o(5480);
            return true;
        } else if (str.equals("DOUBLE") && (obj instanceof Double)) {
            AppMethodBeat.o(5480);
            return true;
        } else {
            if (obj != null && b.dnO()) {
                Assert.assertTrue("checkType failed, input type and value[" + str + ", " + obj + "] are not match", false);
            }
            if (z) {
                ab.e("MicroMsg.ConfigStorage", "checkType failed, input type and value[%s, %s] are not match", new Object[]{str, obj});
            }
            AppMethodBeat.o(5480);
            return false;
        }
    }

    public final boolean apK() {
        AppMethodBeat.i(5481);
        if (this.fni == null || this.fni.dpU()) {
            String str = "MicroMsg.ConfigStorage";
            String str2 = "shouldProcessEvent db is close :%s";
            Object[] objArr = new Object[1];
            objArr[0] = this.fni == null ? "null" : Boolean.valueOf(this.fni.dpU());
            ab.w(str, str2, objArr);
            AppMethodBeat.o(5481);
            return false;
        }
        AppMethodBeat.o(5481);
        return true;
    }
}
