package com.facebook.internal;

import com.facebook.internal.FileLruCache.StreamCloseCallback;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.io.OutputStream;

class FileLruCache$CloseCallbackOutputStream extends OutputStream {
    final StreamCloseCallback callback;
    final OutputStream innerStream;

    FileLruCache$CloseCallbackOutputStream(OutputStream outputStream, StreamCloseCallback streamCloseCallback) {
        this.innerStream = outputStream;
        this.callback = streamCloseCallback;
    }

    public void close() {
        AppMethodBeat.i(72331);
        try {
            this.innerStream.close();
        } finally {
            this.callback.onClose();
            AppMethodBeat.o(72331);
        }
    }

    public void flush() {
        AppMethodBeat.i(72332);
        this.innerStream.flush();
        AppMethodBeat.o(72332);
    }

    public void write(byte[] bArr, int i, int i2) {
        AppMethodBeat.i(72333);
        this.innerStream.write(bArr, i, i2);
        AppMethodBeat.o(72333);
    }

    public void write(byte[] bArr) {
        AppMethodBeat.i(72334);
        this.innerStream.write(bArr);
        AppMethodBeat.o(72334);
    }

    public void write(int i) {
        AppMethodBeat.i(72335);
        this.innerStream.write(i);
        AppMethodBeat.o(72335);
    }
}
