package com.tencent.mm.plugin.account.security.ui;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.b.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ap;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMWizardActivity;
import com.tencent.mm.ui.base.h;
import com.tencent.smtt.sdk.TbsListener$ErrorCode;

public class SecurityAccountVerifyUI extends MMWizardActivity implements f {
    private String cCU;
    private String cCW;
    private String cFl;
    private ap che;
    private ProgressDialog ehJ = null;
    private String gsF;
    private String gzO;
    private Button gzR;
    private EditText gzV;
    private TextView gzW;
    private TextView gzX;
    private Button gzY;
    private boolean gzZ = false;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void f(SecurityAccountVerifyUI securityAccountVerifyUI) {
        AppMethodBeat.i(69932);
        securityAccountVerifyUI.aoZ();
        AppMethodBeat.o(69932);
    }

    public final int getLayoutId() {
        return 2130970578;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(69923);
        super.onCreate(bundle);
        this.gsF = a.arO();
        initView();
        AppMethodBeat.o(69923);
    }

    public void onResume() {
        AppMethodBeat.i(69924);
        g.Rg().a(TbsListener$ErrorCode.NEEDDOWNLOAD_6, this);
        g.Rg().a(132, this);
        super.onResume();
        if (!this.gzZ) {
            StringBuilder stringBuilder = new StringBuilder();
            g.RN();
            stringBuilder = stringBuilder.append(com.tencent.mm.kernel.a.Rb()).append(",").append(getClass().getName()).append(",L600_200,");
            g.RN();
            a.f(true, stringBuilder.append(com.tencent.mm.kernel.a.lF("L600_200")).append(",1").toString());
            a.wz("L600_200");
        }
        AppMethodBeat.o(69924);
    }

    public void onPause() {
        AppMethodBeat.i(69925);
        g.Rg().b(TbsListener$ErrorCode.NEEDDOWNLOAD_6, this);
        g.Rg().b(132, this);
        super.onPause();
        if (!this.gzZ) {
            StringBuilder stringBuilder = new StringBuilder();
            g.RN();
            stringBuilder = stringBuilder.append(com.tencent.mm.kernel.a.Rb()).append(",").append(getClass().getName()).append(",L600_200,");
            g.RN();
            a.f(false, stringBuilder.append(com.tencent.mm.kernel.a.lF("L600_200")).append(",2").toString());
        }
        AppMethodBeat.o(69925);
    }

    public void onDestroy() {
        AppMethodBeat.i(69926);
        super.onDestroy();
        this.che.stopTimer();
        AppMethodBeat.o(69926);
    }

    public final void initView() {
        AppMethodBeat.i(69927);
        this.cFl = getIntent().getStringExtra("binded_mobile");
        this.gzO = getIntent().getStringExtra("auth_ticket");
        this.gzZ = getIntent().getBooleanExtra("re_open_verify", false);
        this.gzV = (EditText) findViewById(2131821771);
        this.gzW = (TextView) findViewById(2131827293);
        this.gzX = (TextView) findViewById(2131827294);
        this.gzY = (Button) findViewById(2131827295);
        this.gzV.addTextChangedListener(new 1(this));
        this.gzW.setText(bo.ans(this.cFl));
        this.gzX.setTag(Integer.valueOf(60));
        this.che = new ap(new 2(this), true);
        this.gzY.setOnClickListener(new 3(this));
        if (!this.gzZ) {
            this.gzR = (Button) findViewById(2131827290);
            this.gzR.setVisibility(0);
            this.gzR.setOnClickListener(new 4(this));
        }
        setBackBtn(new 5(this));
        addTextOptionMenu(0, getString(2131296989), new 6(this));
        enableOptionMenu(false);
        setMMTitle(2131302689);
        this.che.ae(1000, 1000);
        AppMethodBeat.o(69927);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(69928);
        if (keyEvent.getKeyCode() == 4 && keyEvent.getRepeatCount() == 0) {
            aoZ();
            AppMethodBeat.o(69928);
            return true;
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(69928);
        return onKeyDown;
    }

    private void aoZ() {
        AppMethodBeat.i(69929);
        cancel();
        Ni(1);
        AppMethodBeat.o(69929);
    }

    private boolean j(int i, int i2, String str) {
        boolean z = true;
        AppMethodBeat.i(69931);
        if (com.tencent.mm.plugin.account.a.a.gkF.a(this.mController.ylL, i, i2, str)) {
            AppMethodBeat.o(69931);
        } else {
            switch (i2) {
                case -74:
                    h.a(this.mController.ylL, 2131297534, 2131297061, null);
                    break;
                case -57:
                case -1:
                    Toast.makeText(this.mController.ylL, 2131296906, 0).show();
                    break;
                case -41:
                    Toast.makeText(this.mController.ylL, 2131297537, 0).show();
                    break;
                case -34:
                    Toast.makeText(this, 2131297538, 0).show();
                    break;
                case -33:
                    h.a(this.mController.ylL, 2131297583, 2131297589, null);
                    break;
                case -32:
                    h.a(this.mController.ylL, 2131297584, 2131297589, null);
                    break;
                default:
                    z = false;
                    break;
            }
            AppMethodBeat.o(69931);
        }
        return z;
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(69930);
        if (this.ehJ != null && this.ehJ.isShowing()) {
            this.ehJ.dismiss();
            this.ehJ = null;
        }
        Intent intent;
        switch (mVar.getType()) {
            case 132:
                if (i != 0 || i2 != 0) {
                    if (!j(i, i2, str)) {
                        Toast.makeText(this, getString(2131302702, new Object[]{Integer.valueOf(i), Integer.valueOf(i2)}), 0).show();
                        break;
                    }
                    AppMethodBeat.o(69930);
                    return;
                }
                com.tencent.mm.plugin.account.security.a.f.n(true, true);
                intent = new Intent(this, MySafeDeviceListUI.class);
                intent.addFlags(67108864);
                startActivity(intent);
                finish();
                AppMethodBeat.o(69930);
                return;
                break;
            case TbsListener$ErrorCode.NEEDDOWNLOAD_6 /*145*/:
                com.tencent.mm.modelfriend.a aVar = (com.tencent.mm.modelfriend.a) mVar;
                if (aVar.Ah() == 10) {
                    if (i == 0 && i2 == 0) {
                        ab.i("MicroMsg.SecurityAccountVerifyUI", "resend verify code successfully");
                        AppMethodBeat.o(69930);
                        return;
                    }
                    ab.w("MicroMsg.SecurityAccountVerifyUI", "resend verify code fail, errType %d, errCode %d", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
                    if (j(i, i2, str)) {
                        AppMethodBeat.o(69930);
                        return;
                    }
                    Toast.makeText(this.mController.ylL, getString(2131302698, new Object[]{Integer.valueOf(i), Integer.valueOf(i2)}), 0).show();
                    AppMethodBeat.o(69930);
                    return;
                } else if (aVar.Ah() != 11) {
                    ab.w("MicroMsg.SecurityAccountVerifyUI", "unknow bind mobile for reg op code %d, errType %d, errCode %d", new Object[]{Integer.valueOf(aVar.Ah()), Integer.valueOf(i), Integer.valueOf(i2)});
                    AppMethodBeat.o(69930);
                    return;
                } else if (i == 0 && i2 == 0) {
                    this.gzO = aVar.agh();
                    ab.d("MicroMsg.SecurityAccountVerifyUI", "duanyi test bind opmobile verify authticket = " + this.gzO);
                    int intExtra = getIntent().getIntExtra("from_source", 1);
                    Intent intent2 = new Intent();
                    intent2.putExtra("from_source", intExtra);
                    intent2.putExtra("binded_mobile", this.cFl);
                    switch (intExtra) {
                        case 1:
                        case 2:
                        case 5:
                        case 6:
                            intent2.addFlags(67108864);
                            intent2.putExtra("auth_ticket", this.gzO);
                            com.tencent.mm.plugin.account.a.a.gkE.a(this, intent2, null);
                            finish();
                            AppMethodBeat.o(69930);
                            return;
                        case 3:
                            intent2.addFlags(67108864);
                            intent2.putExtra("auth_ticket", this.gzO);
                            Object stringExtra = getIntent().getStringExtra("WizardTransactionId");
                            if (stringExtra == null) {
                                stringExtra = "";
                            }
                            intent = (Intent) ynD.get(stringExtra);
                            ynD.clear();
                            if (intent != null) {
                                com.tencent.mm.plugin.account.a.a.gkE.a(this, intent2, intent);
                            } else {
                                com.tencent.mm.plugin.account.a.a.gkE.a(this, intent2, null);
                            }
                            finish();
                            AppMethodBeat.o(69930);
                            return;
                        default:
                            Ni(1);
                            AppMethodBeat.o(69930);
                            return;
                    }
                } else {
                    ab.w("MicroMsg.SecurityAccountVerifyUI", "verify verify-code fail, errType %d, errCode %d", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
                    if (j(i, i2, str)) {
                        AppMethodBeat.o(69930);
                        return;
                    }
                    Toast.makeText(this.mController.ylL, getString(2131302702, new Object[]{Integer.valueOf(i), Integer.valueOf(i2)}), 0).show();
                    AppMethodBeat.o(69930);
                    return;
                }
        }
        AppMethodBeat.o(69930);
    }
}
