package com.tencent.mm.plugin.appbrand.jsapi.g.a;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.SurfaceView;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.widget.FrameLayout;
import android.widget.FrameLayout.LayoutParams;
import android.widget.ImageView;
import android.widget.ImageView.ScaleType;
import com.tencent.mapsdk.raster.model.BitmapDescriptor;
import com.tencent.mapsdk.raster.model.CameraPosition;
import com.tencent.mapsdk.raster.model.CameraPosition.Builder;
import com.tencent.mapsdk.raster.model.Circle;
import com.tencent.mapsdk.raster.model.CircleOptions;
import com.tencent.mapsdk.raster.model.IndoorBuilding;
import com.tencent.mapsdk.raster.model.IndoorInfo;
import com.tencent.mapsdk.raster.model.IndoorLevel;
import com.tencent.mapsdk.raster.model.LatLng;
import com.tencent.mapsdk.raster.model.LatLngBounds;
import com.tencent.mapsdk.raster.model.Marker;
import com.tencent.mapsdk.raster.model.MarkerOptions;
import com.tencent.mapsdk.raster.model.OverlayLevel;
import com.tencent.mapsdk.raster.model.Polygon;
import com.tencent.mapsdk.raster.model.PolygonOptions;
import com.tencent.mapsdk.raster.model.Polyline;
import com.tencent.mapsdk.raster.model.PolylineOptions;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.e;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.f;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.h;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.n;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.o;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.q;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.r;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.s;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.t;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.u;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.v;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.w;
import com.tencent.mm.plugin.appbrand.jsapi.g.a.b.x;
import com.tencent.mm.plugin.appbrand.r.g;
import com.tencent.mm.plugin.appbrand.r.m;
import com.tencent.mm.plugin.location_soso.api.SoSoMapView;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.smtt.sdk.TbsListener$ErrorCode;
import com.tencent.tencentmap.mapsdk.map.CameraUpdateFactory;
import com.tencent.tencentmap.mapsdk.map.TencentMap;
import com.tencent.tencentmap.mapsdk.map.TencentMap.OnIndoorStateChangeListener;
import com.tencent.tencentmap.mapsdk.map.TencentMapOptions;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.atomic.AtomicBoolean;

public class a implements b {
    ImageView cAw;
    Context context;
    private String hMR;
    FrameLayout hMS;
    protected final SoSoMapView hMT;
    b$k hMU;
    n hMV;
    private String hMW;
    private String hMX;
    private int hMY;
    CameraPosition hMZ;
    SurfaceView hNa;
    private Runnable hNb = new 22(this);
    b$l hNc;
    u hNd;
    boolean hNe = false;
    private Runnable hNf;
    t hNg;
    e hNh;
    public ArrayList<Circle> hNi = new ArrayList();
    public ArrayList<b> hNj = new ArrayList();
    private Map<String, Polyline> hNk = new ConcurrentHashMap();
    private a hNl = new a(this);
    Map<String, d> hNm = new ConcurrentHashMap();
    public ArrayList<c> hNn = new ArrayList();
    public ArrayList<Polygon> hNo = new ArrayList();
    boolean hNp;
    d hNq;
    private com.tencent.mm.plugin.appbrand.s.b.a.b hNr = new 15(this);
    private final int hNs = TbsListener$ErrorCode.INFO_CODE_MINIQB;
    AtomicBoolean hNt = new AtomicBoolean(false);
    private AtomicBoolean hNu = new AtomicBoolean(false);
    boolean isBackground;
    private long lastCheckTime = 0;
    private int mMapType;

    public class b {
        ImageView hNJ;

        public b(ImageView imageView) {
            this.hNJ = imageView;
        }
    }

    public class c {
        Marker hNK;

        public c(Marker marker) {
            this.hNK = marker;
        }
    }

    public static class d extends q {
        public Marker hNK;
        public Marker hNL;
    }

    public a(Context context, String str, Map<String, Object> map) {
        AppMethodBeat.i(51177);
        this.context = context;
        this.hMR = str;
        this.hMS = new FrameLayout(context);
        LayoutParams layoutParams = new LayoutParams(-1, -1);
        this.hMS.setBackgroundColor(0);
        this.hMS.setLayoutParams(layoutParams);
        this.hMT = new SoSoMapView(context, A(map));
        this.hMS.addView(this.hMT, new LayoutParams(-1, -1));
        this.cAw = new ImageView(context);
        this.cAw.setScaleType(ScaleType.FIT_XY);
        this.hMS.addView(this.cAw, new ViewGroup.LayoutParams(-1, -1));
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s, init", new Object[]{this});
        this.hMT.getMap().setInfoWindowAdapter(this.hNl);
        this.hMT.getMap().setMapAnchor(0.5f, 0.5f);
        this.hMT.getMap().enableMultipleInfowindow(true);
        this.hMT.getMap().setMapStyle(this.hMY);
        this.hMT.getMap().setOnInfoWindowClickListener(new 1(this));
        this.hMT.getMap().setOnMarkerClickListener(new 12(this));
        this.hMT.getMap().setOnMapClickListener(new 17(this));
        this.hMT.getMap().setOnMapLoadedListener(new 18(this));
        this.hMT.getMap().setOnMapPoiClickListener(new 19(this));
        this.hMT.getMap().setOnIndoorStateChangeListener(new OnIndoorStateChangeListener() {
            public final boolean onIndoorBuildingFocused() {
                AppMethodBeat.i(51169);
                ab.v("MicroMsg.DefaultTencentMapView", "[onIndoorBuildingFocused]");
                AppMethodBeat.o(51169);
                return true;
            }

            public final boolean onIndoorLevelActivated(IndoorBuilding indoorBuilding) {
                AppMethodBeat.i(51170);
                ab.v("MicroMsg.DefaultTencentMapView", "[onIndoorLevelActivated]indoorBuilding:%s", new Object[]{indoorBuilding});
                if (a.this.hNg != null) {
                    e eVar = new e();
                    eVar.buildingId = indoorBuilding.getBuidlingId();
                    eVar.buildingName = indoorBuilding.getBuildingName();
                    eVar.hNP = new LinkedList();
                    for (IndoorLevel indoorLevel : indoorBuilding.getLevels()) {
                        f fVar = new f();
                        fVar.floorName = indoorLevel.getName();
                        eVar.hNP.add(fVar);
                    }
                    eVar.hNQ = indoorBuilding.getActiveLevelIndex();
                    a.this.hNh = eVar;
                    a.this.hNg.a(eVar);
                }
                AppMethodBeat.o(51170);
                return true;
            }

            public final boolean onIndoorBuildingDeactivated() {
                AppMethodBeat.i(51171);
                ab.v("MicroMsg.DefaultTencentMapView", "[onIndoorBuildingDeactivated]");
                if (a.this.hNg != null) {
                    e aDN = a.aDN();
                    a.this.hNh = aDN;
                    a.this.hNg.a(aDN);
                }
                AppMethodBeat.o(51171);
                return true;
            }
        });
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s onCreate", new Object[]{this});
        this.hMT.onCreate(null);
        onResume();
        AppMethodBeat.o(51177);
    }

    /* Access modifiers changed, original: protected */
    public TencentMapOptions A(Map<String, Object> map) {
        AppMethodBeat.i(51178);
        TencentMapOptions tencentMapOptions = new TencentMapOptions();
        if (map == null) {
            ab.w("MicroMsg.DefaultTencentMapView", "params is null, return");
            AppMethodBeat.o(51178);
        } else {
            tencentMapOptions.enableHandDrawMap(f.a(map, "theme", "normal").equals("handDraw"));
            this.mMapType = f.a(map, "mapType", 1);
            tencentMapOptions.setMapType(this.mMapType);
            this.hMW = f.a(map, "subKey", "");
            this.hMX = f.a(map, "subId", "");
            if (bo.isNullOrNil(this.hMW)) {
                this.hMW = "E6FBZ-OLSCQ-UIU5C-GWLJ7-ABUPT-V7FJX";
                this.hMX = "";
            }
            tencentMapOptions.setSubInfo(this.hMW, this.hMX);
            this.hMY = f.a(map, "styleId", 0);
            ab.d("MicroMsg.DefaultTencentMapView", "MapReport subId:%s, subKey:%s", new Object[]{this.hMX, this.hMW});
            ab.i("MicroMsg.DefaultTencentMapView", "[createTencentMapOptions]theme:%s isHandDraw:%b, mapType:%d, subId:%s, subKey:%s, styleId:%d", new Object[]{r1, Boolean.valueOf(r2), Integer.valueOf(this.mMapType), this.hMX, this.hMW, Integer.valueOf(this.hMY)});
            AppMethodBeat.o(51178);
        }
        return tencentMapOptions;
    }

    static e aDN() {
        AppMethodBeat.i(51179);
        e eVar = new e();
        eVar.buildingId = "";
        eVar.buildingName = "";
        eVar.hNP = new LinkedList();
        eVar.hNQ = -1;
        AppMethodBeat.o(51179);
        return eVar;
    }

    public final void onResume() {
        AppMethodBeat.i(51180);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s onResume", new Object[]{this});
        if (this.mMapType == 0) {
            this.cAw.setVisibility(4);
            this.hMT.setVisibility(0);
            this.hMT.onResume();
            aDP();
        } else {
            this.hMT.onResume();
        }
        this.isBackground = false;
        if (this.hNp) {
            ((com.tencent.mm.plugin.appbrand.s.b.a) com.tencent.luggage.a.e.B(com.tencent.mm.plugin.appbrand.s.b.a.class)).b("gcj02", this.hNr, aEc());
            g.a(this);
        }
        AppMethodBeat.o(51180);
    }

    public final void onPause() {
        AppMethodBeat.i(51181);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s onPause", new Object[]{this});
        if (this.mMapType == 0) {
            this.cAw.setVisibility(0);
            if (this.hNa == null) {
                this.hNa = aDO();
            }
            if (this.hNa != null) {
                al.n(this.hNb, 100);
            } else {
                ab.e("MicroMsg.DefaultTencentMapView", "hideTencentMap err");
            }
            this.hMT.setVisibility(4);
            this.hMT.getMap().getScreenShot(new 21(this));
        } else {
            this.hMT.onPause();
        }
        this.isBackground = true;
        if (this.hNp) {
            ((com.tencent.mm.plugin.appbrand.s.b.a) com.tencent.luggage.a.e.B(com.tencent.mm.plugin.appbrand.s.b.a.class)).c("gcj02", this.hNr, aEc());
            g.b(this);
        }
        AppMethodBeat.o(51181);
    }

    private SurfaceView aDO() {
        AppMethodBeat.i(51182);
        SurfaceView surfaceView;
        if (this.hNa != null) {
            surfaceView = this.hNa;
            AppMethodBeat.o(51182);
            return surfaceView;
        }
        this.hNa = h(this.hMT);
        surfaceView = this.hNa;
        AppMethodBeat.o(51182);
        return surfaceView;
    }

    private void aDP() {
        AppMethodBeat.i(51183);
        if (this.hNa == null) {
            this.hNa = aDO();
        }
        if (this.hNa != null) {
            al.af(this.hNb);
            this.hNa.setVisibility(0);
            AppMethodBeat.o(51183);
            return;
        }
        ab.e("MicroMsg.DefaultTencentMapView", "showTencentMap err");
        AppMethodBeat.o(51183);
    }

    public final void onDestroy() {
        AppMethodBeat.i(51184);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s onDestroy", new Object[]{this});
        this.hNu.set(true);
        this.hMT.getMap().setOnMapCameraChangeListener(null);
        aDZ();
        aDY();
        aDY();
        aDX();
        aEa();
        aEb();
        if (this.hMT != null) {
            this.hMT.clean();
            this.hMT.onDestroy();
        }
        if (this.hNq != null) {
            d dVar = this.hNq;
            if (dVar.hNK != null) {
                dVar.hNK.remove();
                dVar.hNK = null;
            }
            this.hNq = null;
        }
        AppMethodBeat.o(51184);
    }

    public final View getView() {
        return this.hMS;
    }

    public final void a(b$l b_l) {
        this.hNc = b_l;
    }

    public final void a(u uVar) {
        this.hNd = uVar;
    }

    public final w aDQ() {
        AppMethodBeat.i(51185);
        LatLngBounds latLngBounds = this.hMT.getProjection().getVisibleRegion().getLatLngBounds();
        b$i b_i = new b$i();
        b_i.hNT = new h(latLngBounds.getSouthwest().getLatitude(), latLngBounds.getSouthwest().getLongitude());
        b_i.hNU = new h(latLngBounds.getNortheast().getLatitude(), latLngBounds.getNortheast().getLongitude());
        x xVar = new x();
        xVar.hOp = b_i;
        w wVar = new w();
        wVar.hOo = xVar;
        AppMethodBeat.o(51185);
        return wVar;
    }

    public final void a(s sVar) {
        AppMethodBeat.i(51186);
        this.hMT.getMap().setTencentMapGestureListener(new 23(this));
        this.hMT.getMap().setOnMapCameraChangeListener(new 2(this, sVar));
        AppMethodBeat.o(51186);
    }

    public final void aDR() {
        AppMethodBeat.i(51187);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s moveToMapLocation", new Object[]{this});
        this.hNf = new 3(this);
        if (this.hNq != null && this.hNp) {
            this.hNf.run();
            this.hNf = null;
        }
        AppMethodBeat.o(51187);
    }

    public final void al(float f) {
        AppMethodBeat.i(51188);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s zoomTo scale:%f", new Object[]{this, Float.valueOf(f)});
        TencentMap map = this.hMT.getMap();
        if (map != null) {
            map.animateCamera(CameraUpdateFactory.zoomTo(f));
        }
        AppMethodBeat.o(51188);
    }

    public final void am(float f) {
        AppMethodBeat.i(51189);
        TencentMap map = this.hMT.getMap();
        if (!(map == null || this.hMZ == null)) {
            map.animateCamera(CameraUpdateFactory.newCameraPosition(new Builder(this.hMZ).skew(this.hMZ.getSkew()).bearing(f).build()));
        }
        AppMethodBeat.o(51189);
    }

    public final void an(float f) {
        AppMethodBeat.i(51190);
        TencentMap map = this.hMT.getMap();
        if (!(map == null || this.hMZ == null)) {
            map.animateCamera(CameraUpdateFactory.newCameraPosition(new Builder(this.hMZ).skew(f).bearing(this.hMZ.getBearing()).build()));
        }
        AppMethodBeat.o(51190);
    }

    public final int getZoomLevel() {
        AppMethodBeat.i(51191);
        int zoomLevel = this.hMT.getMap().getZoomLevel();
        AppMethodBeat.o(51191);
        return zoomLevel;
    }

    public final float aDS() {
        AppMethodBeat.i(51192);
        if (this.hMZ != null) {
            float bearing = this.hMZ.getBearing();
            AppMethodBeat.o(51192);
            return bearing;
        }
        ab.e("MicroMsg.DefaultTencentMapView", "getRotate fail, curCameraPosition is null");
        AppMethodBeat.o(51192);
        return 0.0f;
    }

    public final float getSkew() {
        AppMethodBeat.i(51193);
        if (this.hMZ != null) {
            float skew = this.hMZ.getSkew();
            AppMethodBeat.o(51193);
            return skew;
        }
        ab.e("MicroMsg.DefaultTencentMapView", "getRotate fail, curCameraPosition is null");
        AppMethodBeat.o(51193);
        return 0.0f;
    }

    public final void ed(boolean z) {
        AppMethodBeat.i(51194);
        this.hMT.getUiSettings().setZoomGesturesEnabled(z);
        AppMethodBeat.o(51194);
    }

    public final void ee(boolean z) {
        AppMethodBeat.i(51195);
        this.hMT.getUiSettings().setScrollGesturesEnabled(z);
        AppMethodBeat.o(51195);
    }

    public final void ef(boolean z) {
        AppMethodBeat.i(51196);
        this.hMT.getUiSettings().setRotateGesturesEnabled(z);
        AppMethodBeat.o(51196);
    }

    public final void eg(boolean z) {
        AppMethodBeat.i(51197);
        this.hMT.getUiSettings().setCompassEnabled(z);
        AppMethodBeat.o(51197);
    }

    public final void eh(boolean z) {
        AppMethodBeat.i(51198);
        this.hMT.getMap().set3DEnable(z);
        AppMethodBeat.o(51198);
    }

    public final void ei(boolean z) {
        AppMethodBeat.i(51199);
        this.hMT.getUiSettings().setTiltGesturesEnabled(z);
        AppMethodBeat.o(51199);
    }

    public final void ej(boolean z) {
        AppMethodBeat.i(51200);
        this.hMT.getMap().setSatelliteEnabled(z);
        AppMethodBeat.o(51200);
    }

    public final void ek(boolean z) {
        AppMethodBeat.i(51201);
        this.hMT.getMap().setTrafficEnabled(z);
        AppMethodBeat.o(51201);
    }

    public final void el(boolean z) {
        AppMethodBeat.i(51202);
        this.hMT.getMap().setIndoorEnabled(z);
        AppMethodBeat.o(51202);
    }

    public final void a(t tVar) {
        this.hNg = tVar;
    }

    public final void ci(String str, String str2) {
        AppMethodBeat.i(51203);
        this.hMT.getMap().setIndoorFloor(str, str2);
        AppMethodBeat.o(51203);
    }

    public final e aDT() {
        AppMethodBeat.i(51204);
        e eVar;
        if (this.hNh != null) {
            eVar = this.hNh;
            AppMethodBeat.o(51204);
            return eVar;
        }
        eVar = aDN();
        AppMethodBeat.o(51204);
        return eVar;
    }

    public void onTouchEvent(MotionEvent motionEvent) {
    }

    public void onSizeChanged(int i, int i2) {
    }

    public boolean aDU() {
        return false;
    }

    public final void em(boolean z) {
        AppMethodBeat.i(51205);
        this.hMT.getUiSettings().setIndoorLevelPickerEnabled(z);
        AppMethodBeat.o(51205);
    }

    public final void I(float f, float f2) {
        AppMethodBeat.i(51206);
        this.hMT.getIController().setCenter((double) f, (double) f2);
        AppMethodBeat.o(51206);
    }

    public final h aDV() {
        AppMethodBeat.i(51207);
        LatLng mapCenter = this.hMT.getMap().getMapCenter();
        h hVar = new h(mapCenter.getLatitude(), mapCenter.getLongitude());
        AppMethodBeat.o(51207);
        return hVar;
    }

    public final void h(List<h> list, int i) {
        AppMethodBeat.i(51208);
        LatLngBounds.Builder builder = new LatLngBounds.Builder();
        LinkedList linkedList = new LinkedList();
        for (h hVar : list) {
            linkedList.add(new LatLng(hVar.latitude, hVar.longitude));
        }
        builder.include(linkedList);
        this.hMT.getMap().animateCamera(CameraUpdateFactory.newLatLngBounds(builder.build(), i));
        this.hNf = null;
        AppMethodBeat.o(51208);
    }

    public final void a(float f, float f2, float f3, float f4, float f5) {
        AppMethodBeat.i(51209);
        TencentMap map = this.hMT.getMap();
        if (map != null) {
            map.moveCamera(CameraUpdateFactory.newCameraPosition(new CameraPosition(new LatLng((double) f, (double) f2), f3, f5, f4)));
            this.hNf = null;
        }
        AppMethodBeat.o(51209);
    }

    public final void aDW() {
        AppMethodBeat.i(51210);
        synchronized (this.hNi) {
            try {
                Iterator it = this.hNi.iterator();
                while (it.hasNext()) {
                    ((Circle) it.next()).remove();
                }
                this.hNi.clear();
            } finally {
                AppMethodBeat.o(51210);
            }
        }
    }

    public final void a(b$b b_b) {
        AppMethodBeat.i(51211);
        CircleOptions circleOptions = new CircleOptions();
        circleOptions.center(new LatLng(b_b.latitude, b_b.longitude));
        circleOptions.radius((double) b_b.radius);
        circleOptions.strokeColor(b_b.strokeColor);
        circleOptions.strokeWidth((float) b_b.strokeWidth);
        circleOptions.fillColor(b_b.fillColor);
        Circle addCircle = this.hMT.getMap().addCircle(circleOptions);
        synchronized (this.hNi) {
            try {
                this.hNi.add(addCircle);
            } finally {
                while (true) {
                }
                AppMethodBeat.o(51211);
            }
        }
    }

    public final void aDX() {
        AppMethodBeat.i(51212);
        m.runOnUiThread(new 4(this));
        AppMethodBeat.o(51212);
    }

    public final boolean a(b$c b_c, final b.m mVar, com.tencent.mm.plugin.appbrand.d.a aVar) {
        AppMethodBeat.i(51213);
        if (bo.isNullOrNil(b_c.hNN)) {
            AppMethodBeat.o(51213);
            return false;
        }
        Bitmap bB = aVar.bB(b_c.hNN);
        if (bB == null) {
            AppMethodBeat.o(51213);
            return false;
        }
        ImageView imageView = new ImageView(this.context);
        imageView.setScaleType(ScaleType.FIT_XY);
        imageView.setImageBitmap(bB);
        int i = b_c.left;
        int i2 = b_c.top;
        LayoutParams layoutParams = new LayoutParams(b_c.width == 0 ? g.qb(bB.getWidth()) : b_c.width, b_c.height == 0 ? g.qb(bB.getHeight()) : b_c.height);
        layoutParams.setMargins(i, i2, 0, 0);
        final boolean z = b_c.hNO;
        final String str = b_c.data;
        imageView.setOnTouchListener(new 5(this, z, imageView));
        imageView.setOnClickListener(new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(138416);
                if (z && mVar != null) {
                    mVar.Bf(str);
                }
                AppMethodBeat.o(138416);
            }
        });
        m.runOnUiThread(new 7(this, imageView, layoutParams));
        AppMethodBeat.o(51213);
        return true;
    }

    public final void aDY() {
        AppMethodBeat.i(51214);
        for (Polyline remove : this.hNk.values()) {
            remove.remove();
        }
        this.hNk.clear();
        AppMethodBeat.o(51214);
    }

    public final boolean Bg(String str) {
        AppMethodBeat.i(51215);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s removeLine lineId:%s", new Object[]{this, str});
        Polyline polyline = (Polyline) this.hNk.get(str);
        if (polyline == null) {
            ab.w("MicroMsg.DefaultTencentMapView", "lineId:%s is null", new Object[]{str});
            AppMethodBeat.o(51215);
            return false;
        }
        polyline.remove();
        this.hNk.remove(str);
        AppMethodBeat.o(51215);
        return true;
    }

    public final void a(b$j b_j, com.tencent.mm.plugin.appbrand.d.a aVar) {
        AppMethodBeat.i(51216);
        PolylineOptions polylineOptions = new PolylineOptions();
        ArrayList arrayList = new ArrayList();
        for (h hVar : b_j.hNV) {
            arrayList.add(new LatLng(hVar.latitude, hVar.longitude));
        }
        polylineOptions.addAll(arrayList);
        if (b_j.style != -1) {
            polylineOptions.color(b_j.style);
        } else {
            polylineOptions.color(b_j.color);
        }
        polylineOptions.width((float) b_j.width);
        polylineOptions.setDottedLine(b_j.hNW);
        polylineOptions.edgeColor(b_j.borderColor);
        polylineOptions.edgeWidth((float) b_j.borderWidth);
        if (b_j.hNX) {
            Bitmap bB = aVar.bB(b_j.hNY);
            polylineOptions.arrowTexture(new BitmapDescriptor(bB));
            if (bB == null) {
                polylineOptions.arrowTexture(new BitmapDescriptor(BitmapFactory.decodeResource(this.context.getResources(), 2130837745)));
            }
        }
        polylineOptions.zIndex(1.0f);
        if (!(bo.isNullOrNil(b_j.buildingId) || bo.isNullOrNil(b_j.floorName))) {
            polylineOptions.indoorInfo(new IndoorInfo(b_j.buildingId, b_j.floorName));
        }
        polylineOptions.arrowGap((float) b_j.hNZ);
        if (this.hMT.getMap().isHandDrawMapEnable()) {
            polylineOptions.level(OverlayLevel.OverlayLevelAboveBuildings);
        }
        Polyline addPolyline = this.hMT.getMap().addPolyline(polylineOptions);
        if (addPolyline == null) {
            ab.e("MicroMsg.DefaultTencentMapView", "polyline is null, return");
            AppMethodBeat.o(51216);
            return;
        }
        this.hNk.put(bo.bc(bo.isNullOrNil(b_j.id) ? b_j.hashCode() : b_j.id, b_j.toString()), addPolyline);
        AppMethodBeat.o(51216);
    }

    public final void a(String str, int i, h hVar, boolean z) {
        AppMethodBeat.i(51217);
        Polyline polyline = (Polyline) this.hNk.get(str);
        if (polyline == null) {
            ab.w("MicroMsg.DefaultTencentMapView", "lineId:%s is null", new Object[]{str});
            AppMethodBeat.o(51217);
            return;
        }
        polyline.setEraseable(z);
        polyline.eraseTo(i, new LatLng(hVar.latitude, hVar.longitude));
        AppMethodBeat.o(51217);
    }

    public final q Bh(String str) {
        AppMethodBeat.i(51218);
        q qVar = (q) this.hNm.get(str);
        AppMethodBeat.o(51218);
        return qVar;
    }

    public final void aDZ() {
        AppMethodBeat.i(51219);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s removeAllMarker", new Object[]{this});
        for (d dVar : this.hNm.values()) {
            dVar.hNK.remove();
            if (dVar.hNL != null) {
                if (dVar.hNL.getMarkerView() != null && (dVar.hNL.getMarkerView() instanceof com.tencent.mm.plugin.appbrand.widget.e.d)) {
                    i.a((com.tencent.mm.plugin.appbrand.widget.e.d) dVar.hNL.getMarkerView());
                }
                dVar.hNL.remove();
            }
        }
        this.hNm.clear();
        AppMethodBeat.o(51219);
    }

    public final boolean Bi(String str) {
        AppMethodBeat.i(51220);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s removeMarker markerId:%s", new Object[]{this, str});
        d dVar = (d) this.hNm.get(str);
        if (dVar == null) {
            ab.w("MicroMsg.DefaultTencentMapView", "marker:%s is null", new Object[]{str});
            AppMethodBeat.o(51220);
            return false;
        }
        dVar.hNK.remove();
        if (dVar.hNL != null) {
            if (dVar.hNL.getMarkerView() != null && (dVar.hNL.getMarkerView() instanceof com.tencent.mm.plugin.appbrand.widget.e.d)) {
                i.a((com.tencent.mm.plugin.appbrand.widget.e.d) dVar.hNL.getMarkerView());
            }
            dVar.hNL.remove();
            this.hNm.remove(str + "#label");
        }
        this.hNm.remove(str);
        AppMethodBeat.o(51220);
        return true;
    }

    public final void a(String str, r rVar, com.tencent.mm.plugin.appbrand.d.a aVar) {
        Bitmap bitmap = null;
        AppMethodBeat.i(51221);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s addMarker markerId:%s", new Object[]{this, str});
        MarkerOptions markerOptions = new MarkerOptions();
        markerOptions.position(new LatLng(rVar.latitude, rVar.longitude));
        if (!bo.isNullOrNil(rVar.title)) {
            markerOptions.title(rVar.title);
        }
        if (!bo.isNullOrNil(rVar.hOd)) {
            markerOptions.contentDescription(rVar.hOd);
        }
        markerOptions.rotation(rVar.rotate);
        markerOptions.alpha(rVar.alpha);
        FrameLayout frameLayout = (FrameLayout) ((LayoutInflater) this.context.getSystemService("layout_inflater")).inflate(2130969266, null);
        final ImageView imageView = (ImageView) frameLayout.findViewById(2131821236);
        final float f = rVar.hOb;
        final float f2 = rVar.hOc;
        if (aVar != null) {
            bitmap = aVar.a(rVar.hNN, null, new com.tencent.mm.plugin.appbrand.d.a.c() {
                public final void E(Bitmap bitmap) {
                    AppMethodBeat.i(138418);
                    if (bitmap != null) {
                        a.a(f, f2, bitmap, imageView);
                    }
                    AppMethodBeat.o(138418);
                }
            });
        }
        if (bitmap != null) {
            a(f, f2, bitmap, imageView);
        } else {
            ab.e("MicroMsg.DefaultTencentMapView", "[addMarker] bitmap is null, use default");
        }
        markerOptions.markerView(frameLayout);
        markerOptions.anchor(rVar.bDv, rVar.bDw);
        markerOptions.tag(str);
        markerOptions.infoWindowHideAnimation(new Animation() {
        });
        markerOptions.infoWindowShowAnimation(new 10(this));
        markerOptions.visible(true);
        markerOptions.zIndex(rVar.zIndex + 2);
        if (!(bo.isNullOrNil(rVar.buildingId) || bo.isNullOrNil(rVar.floorName))) {
            markerOptions.indoorInfo(new IndoorInfo(rVar.buildingId, rVar.floorName));
        }
        Marker addMarker = this.hMT.getMap().addMarker(markerOptions);
        d dVar = new d();
        dVar.hNK = addMarker;
        dVar.data = rVar.data;
        dVar.hOa = rVar;
        a(str, dVar);
        if (rVar.hOe != null && rVar.hOe.hOl == com.tencent.mm.plugin.appbrand.jsapi.g.a.b.r.a.hOn) {
            dVar.hNK.showInfoWindow();
        }
        if (rVar.hOf != null) {
            MarkerOptions markerOptions2 = new MarkerOptions();
            markerOptions2.position(new LatLng(rVar.latitude, rVar.longitude));
            markerOptions2.alpha(rVar.alpha);
            com.tencent.mm.plugin.appbrand.widget.e.d aEf = i.aEf();
            if (aEf == null) {
                aEf = new com.tencent.mm.plugin.appbrand.widget.e.d(this.context);
            }
            aEf.setText("");
            aEf.setTextSize(12);
            aEf.setTextColor(com.tencent.mm.plugin.appbrand.widget.e.d.jjZ);
            aEf.setTextPadding(0);
            aEf.setGravity("center");
            int i = com.tencent.mm.plugin.appbrand.widget.e.d.jka;
            aEf.x(0, 0, i, i);
            aEf.setTextColor(rVar.hOf.color);
            aEf.setTextSize(rVar.hOf.hOg);
            aEf.setText(rVar.hOf.content);
            aEf.setTextPadding(rVar.hOf.padding);
            aEf.setGravity(rVar.hOf.hdq);
            aEf.x(rVar.hOf.hOh, rVar.hOf.borderWidth, rVar.hOf.borderColor, rVar.hOf.bgColor);
            aEf.setX(rVar.hOf.x);
            aEf.setY(rVar.hOf.y);
            aEf.measure(0, 0);
            markerOptions2.anchor(aEf.getAnchorX(), aEf.getAnchorY());
            markerOptions2.markerView(aEf);
            markerOptions2.visible(true);
            markerOptions2.tag(str + "#label");
            markerOptions2.zIndex(rVar.zIndex + 2);
            if (!(bo.isNullOrNil(rVar.buildingId) || bo.isNullOrNil(rVar.floorName))) {
                markerOptions2.indoorInfo(new IndoorInfo(rVar.buildingId, rVar.floorName));
            }
            dVar.hNL = this.hMT.getMap().addMarker(markerOptions2);
            a(str + "#label", dVar);
        }
        AppMethodBeat.o(51221);
    }

    static void a(float f, float f2, Bitmap bitmap, ImageView imageView) {
        AppMethodBeat.i(51222);
        if (f == 0.0f || f2 == 0.0f) {
            f = (float) g.qb(bitmap.getWidth());
            f2 = (float) g.qb(bitmap.getHeight());
        }
        if (f <= 0.0f || f2 <= 0.0f || (f == ((float) bitmap.getWidth()) && f2 == ((float) bitmap.getHeight()))) {
            imageView.setImageBitmap(bitmap);
            imageView.setScaleType(ScaleType.CENTER);
            AppMethodBeat.o(51222);
            return;
        }
        float width = f / ((float) bitmap.getWidth());
        float height = f2 / ((float) bitmap.getHeight());
        Matrix matrix = new Matrix();
        matrix.postScale(width, height);
        imageView.setImageBitmap(Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true));
        AppMethodBeat.o(51222);
    }

    private void a(String str, d dVar) {
        AppMethodBeat.i(51223);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s addMarker markerId:%s", new Object[]{this, str});
        this.hNm.put(str, dVar);
        AppMethodBeat.o(51223);
    }

    public final void a(String str, LinkedList<b.g> linkedList, o oVar) {
        AppMethodBeat.i(51224);
        d dVar = (d) Bh(str);
        if (dVar == null || dVar.hNK == null) {
            ab.e("MicroMsg.DefaultTencentMapView", "get marker failed!");
            oVar.ec(false);
            AppMethodBeat.o(51224);
        } else if (linkedList.size() <= 0) {
            ab.e("MicroMsg.DefaultTencentMapView", "keyFrame is empty, err, return");
            oVar.ec(false);
            AppMethodBeat.o(51224);
        } else {
            b.g gVar = (b.g) linkedList.get(0);
            gVar.hNS = dVar.hNK.getPosition().getLatitude();
            gVar.hNR = dVar.hNK.getPosition().getLongitude();
            int size = linkedList.size();
            for (int i = 1; i < size; i++) {
                gVar = (b.g) linkedList.get(i - 1);
                b.g gVar2 = (b.g) linkedList.get(i);
                if (gVar.rotate == 0.0f) {
                    gVar2.hNR = gVar.longitude;
                    gVar2.hNS = gVar.latitude;
                } else {
                    gVar2.hNR = dVar.hNK.getPosition().getLongitude();
                    gVar2.hNS = dVar.hNK.getPosition().getLatitude();
                }
            }
            com.tencent.mm.plugin.appbrand.widget.e.c cVar = new com.tencent.mm.plugin.appbrand.widget.e.c(linkedList, dVar.hNK, this.hMT);
            cVar.uB.addListener(new 11(this, oVar));
            m.runOnUiThread(new 13(this, cVar));
            if (dVar.hNL != null) {
                m.runOnUiThread(new 14(this, new com.tencent.mm.plugin.appbrand.widget.e.c(linkedList, dVar.hNL, this.hMT)));
            }
            AppMethodBeat.o(51224);
        }
    }

    public final void a(n nVar) {
        this.hMV = nVar;
    }

    public final void a(b$k b_k) {
        this.hMU = b_k;
    }

    public final void aEa() {
        AppMethodBeat.i(51225);
        synchronized (this.hNn) {
            try {
                Iterator it = this.hNn.iterator();
                while (it.hasNext()) {
                    ((c) it.next()).hNK.remove();
                }
                this.hNn.clear();
            } finally {
                AppMethodBeat.o(51225);
            }
        }
    }

    public final boolean a(com.tencent.mm.plugin.appbrand.jsapi.g.a.b.d dVar, com.tencent.mm.plugin.appbrand.d.a aVar) {
        AppMethodBeat.i(51226);
        if (bo.isNullOrNil(dVar.hNN)) {
            AppMethodBeat.o(51226);
            return false;
        }
        MarkerOptions markerOptions = new MarkerOptions();
        markerOptions.position(new LatLng(dVar.latitude, dVar.longitude));
        Bitmap bB = aVar.bB(dVar.hNN);
        if (!(bB == null || bB.isRecycled())) {
            markerOptions.icon(new BitmapDescriptor(bB));
        }
        markerOptions.rotation(dVar.rotate);
        Marker addMarker = this.hMT.getMap().addMarker(markerOptions);
        synchronized (this.hNn) {
            try {
                this.hNn.add(new c(addMarker));
            } finally {
                while (true) {
                }
                AppMethodBeat.o(51226);
            }
        }
        return true;
    }

    public final void aEb() {
        AppMethodBeat.i(51227);
        synchronized (this.hNo) {
            try {
                Iterator it = this.hNo.iterator();
                while (it.hasNext()) {
                    ((Polygon) it.next()).remove();
                }
                this.hNo.clear();
            } finally {
                AppMethodBeat.o(51227);
            }
        }
    }

    public final boolean a(v vVar) {
        AppMethodBeat.i(51228);
        PolygonOptions polygonOptions = new PolygonOptions();
        ArrayList arrayList = new ArrayList();
        for (h hVar : vVar.hNV) {
            arrayList.add(new LatLng(hVar.latitude, hVar.longitude));
        }
        polygonOptions.addAll(arrayList);
        polygonOptions.fillColor(vVar.fillColor);
        polygonOptions.strokeColor(vVar.strokeColor);
        polygonOptions.strokeWidth((float) vVar.strokeWidth);
        polygonOptions.zIndex((float) vVar.zIndex);
        Polygon addPolygon = this.hMT.getMap().addPolygon(polygonOptions);
        synchronized (this.hNo) {
            try {
                this.hNo.add(addPolygon);
            } finally {
                while (true) {
                }
                AppMethodBeat.o(51228);
            }
        }
        return true;
    }

    public final void en(boolean z) {
        AppMethodBeat.i(51229);
        ab.i("MicroMsg.DefaultTencentMapView", "map:%s show location", new Object[]{this});
        this.hNp = z;
        d dVar;
        if (z) {
            if (this.hNq != null) {
                dVar = this.hNq;
                if (dVar.hNK != null) {
                    dVar.hNK.setVisible(true);
                }
            }
            ((com.tencent.mm.plugin.appbrand.s.b.a) com.tencent.luggage.a.e.B(com.tencent.mm.plugin.appbrand.s.b.a.class)).b("gcj02", this.hNr, aEc());
            g.a(this);
            AppMethodBeat.o(51229);
            return;
        }
        if (this.hNq != null) {
            dVar = this.hNq;
            if (dVar.hNK != null) {
                dVar.hNK.setVisible(false);
            }
        }
        ((com.tencent.mm.plugin.appbrand.s.b.a) com.tencent.luggage.a.e.B(com.tencent.mm.plugin.appbrand.s.b.a.class)).c("gcj02", this.hNr, aEc());
        g.b(this);
        AppMethodBeat.o(51229);
    }

    private Bundle aEc() {
        AppMethodBeat.i(51230);
        Bundle bundle = new Bundle();
        if (!"E6FBZ-OLSCQ-UIU5C-GWLJ7-ABUPT-V7FJX".equals(this.hMW)) {
            bundle.putString("smallAppKey", bo.nullAsNil(bundle.getString("smallAppKey")) + this.hMW + "#" + this.hMX + ";");
        }
        AppMethodBeat.o(51230);
        return bundle;
    }

    public final void J(float f, float f2) {
        AppMethodBeat.i(51231);
        if (!this.hNp || this.isBackground) {
            AppMethodBeat.o(51231);
            return;
        }
        if (this.hNq != null) {
            this.hNq.J(f, f2);
        }
        AppMethodBeat.o(51231);
    }

    public String toString() {
        AppMethodBeat.i(51232);
        String str = "DefaultTencentMapView{mapId=" + this.hMR + '}';
        AppMethodBeat.o(51232);
        return str;
    }

    private static SurfaceView h(ViewGroup viewGroup) {
        AppMethodBeat.i(51233);
        while (viewGroup != null && viewGroup.getChildCount() != 0) {
            int childCount = viewGroup.getChildCount();
            int i = 0;
            while (i < childCount) {
                View childAt = viewGroup.getChildAt(i);
                if (childAt instanceof SurfaceView) {
                    SurfaceView surfaceView = (SurfaceView) childAt;
                    AppMethodBeat.o(51233);
                    return surfaceView;
                } else if (childAt instanceof ViewGroup) {
                    viewGroup = (ViewGroup) childAt;
                } else {
                    i++;
                }
            }
            AppMethodBeat.o(51233);
            return null;
        }
        AppMethodBeat.o(51233);
        return null;
    }
}
