package com.tencent.mm.plugin.appbrand.jsapi.share;

import android.content.Intent;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.config.AppBrandSysConfigWC;
import com.tencent.mm.plugin.appbrand.jsapi.a;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.plugin.appbrand.menu.n;
import com.tencent.mm.plugin.appbrand.menu.o;
import com.tencent.mm.plugin.appbrand.page.w;
import com.tencent.mm.plugin.appbrand.s;
import com.tencent.mm.plugin.appbrand.v;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import java.util.HashMap;
import org.json.JSONObject;

public final class d extends a<s> {
    public static final int CTRL_INDEX = 240;
    public static final String NAME = "shareAppMessageDirectly";

    public final /* synthetic */ void a(c cVar, JSONObject jSONObject, int i) {
        AppMethodBeat.i(131446);
        s sVar = (s) cVar;
        ab.i("MicroMsg.JsApiShareAppMessageDirectly", "invoke share app message directly.");
        if (jSONObject == null) {
            ab.i("MicroMsg.JsApiShareAppMessageDirectly", "data is null");
            sVar.M(i, j("fail:data is null", null));
            AppMethodBeat.o(131446);
            return;
        }
        MMActivity mMActivity = (MMActivity) sVar.ad(MMActivity.class);
        if (mMActivity == null) {
            ab.i("MicroMsg.JsApiShareAppMessageDirectly", "share app message fail, context is null");
            sVar.M(i, j("fail: page context is null", null));
            AppMethodBeat.o(131446);
            return;
        }
        w wVar = (w) sVar.ac(w.class);
        if (wVar == null) {
            ab.i("MicroMsg.JsApiShareAppMessageDirectly", "share app message fail, pageView is null");
            sVar.M(i, j("fail:current page do not exist", null));
            AppMethodBeat.o(131446);
            return;
        }
        n ps = wVar.ps(o.imO.ordinal());
        if (ps == null) {
            ab.i("MicroMsg.JsApiShareAppMessageDirectly", "share app message fail, menuInfo is null.");
            sVar.M(i, j("fail:menu is null", null));
            AppMethodBeat.o(131446);
            return;
        }
        boolean optBoolean;
        AppBrandSysConfigWC atH = sVar.getRuntime().atH();
        boolean z = ps.hAx.getBoolean("enable_share_with_share_ticket", false);
        int i2 = z ? 3 : 2;
        String optString = jSONObject.optString("title");
        String optString2 = jSONObject.optString("desc", "");
        String optString3 = jSONObject.optString("path");
        String optString4 = jSONObject.optString("imageUrl");
        String optString5 = jSONObject.optString("cacheKey");
        String optString6 = jSONObject.optString("messageExtraData");
        if (sVar.getRuntime().xy()) {
            optBoolean = jSONObject.optBoolean("useDefaultSnapshot", false);
        } else {
            optBoolean = jSONObject.optBoolean("useDefaultSnapshot", true);
        }
        boolean nX = ps.hAx.nX("enable_share_dynamic");
        boolean nX2 = ps.hAx.nX("enable_share_with_updateable_msg");
        String string = ps.hAx.getString("enable_share_with_updateable_msg_template_id", "");
        String appId = sVar.getAppId();
        String str = sVar.getRuntime().atI().username;
        int i3 = atH.hhd.gVt;
        int i4 = atH.hhd.gVu;
        int i5 = sVar.getRuntime().atI().bQe;
        String xh = v.xh(sVar.getAppId());
        boolean BK = l.BK(optString4);
        String a = l.a(wVar, optString4, optBoolean);
        HashMap hashMap = new HashMap();
        hashMap.put("desc", optString2);
        hashMap.put("type", Integer.valueOf(i2));
        hashMap.put("title", optString);
        hashMap.put("app_id", appId);
        hashMap.put("pkg_type", Integer.valueOf(i3));
        hashMap.put("pkg_version", Integer.valueOf(i4));
        hashMap.put("img_url", optString4);
        hashMap.put("is_dynamic", Boolean.valueOf(nX));
        hashMap.put("cache_key", optString5);
        hashMap.put("path", optString3);
        if (!bo.isNullOrNil(a)) {
            hashMap.put("delay_load_img_path", a);
        }
        ab.i("MicroMsg.JsApiShareAppMessageDirectly", "msgParams:%s", new Object[]{hashMap});
        Intent intent = new Intent();
        intent.putExtra("Select_Conv_Type", 3);
        intent.putExtra("mutil_select_is_ret", !z);
        intent.putExtra("select_is_ret", true);
        intent.putExtra("scene_from", 3);
        intent.putExtra("appbrand_params", hashMap);
        intent.putExtra("Retr_Msg_Type", 2);
        al.n(new 2(this, mMActivity, intent, new 1(this, sVar, i, appId, str, optString, optString2, xh, optString3, i2, BK, optString4, atH, optString6, wVar, a, z, nX, nX2, string, optString5, i5, mMActivity)), 200);
        AppMethodBeat.o(131446);
    }
}
