package com.tencent.mm.plugin.brandservice.ui;

import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnCancelListener;
import android.os.Bundle;
import android.os.Looper;
import android.support.v7.app.AppCompatActivity;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.aj.z;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.brandservice.b.f;
import com.tencent.mm.plugin.brandservice.ui.BizSearchResultItemContainer.b;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.tools.SearchViewNotRealTimeHelper;
import com.tencent.mm.ui.tools.SearchViewNotRealTimeHelper.a;

public class SearchOrRecommendBizUI extends MMActivity implements b {
    private int emC = 0;
    private BizSearchResultItemContainer jKU;
    private ProgressDialog jMB = null;
    private int jMC = 0;
    private SearchViewNotRealTimeHelper jMD;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public final int getLayoutId() {
        return 2130969238;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(14049);
        super.onCreate(bundle);
        this.jMC = getIntent().getIntExtra("intent_extra_entry_flag", 0);
        this.emC = getIntent().getIntExtra("fromScene", 0);
        initView();
        if (f.aVV()) {
            g.Rg().a(456, new 1(this));
            g.Rg().a(new f(), 0);
        }
        final String stringExtra = getIntent().getStringExtra("Search_Str");
        if (!bo.isNullOrNil(stringExtra)) {
            new ak(Looper.getMainLooper()).post(new Runnable() {
                public final void run() {
                    AppMethodBeat.i(14042);
                    SearchOrRecommendBizUI.this.jMD.setSearchContent(stringExtra);
                    SearchOrRecommendBizUI.this.jMD.zHm.performClick();
                    AppMethodBeat.o(14042);
                }
            });
        }
        AppMethodBeat.o(14049);
    }

    public void onDestroy() {
        AppMethodBeat.i(14050);
        super.onDestroy();
        z.afb().aeL();
        AppMethodBeat.o(14050);
    }

    public final void initView() {
        AppMethodBeat.i(14051);
        setMMTitle(2131298762);
        setBackBtn(new OnMenuItemClickListener() {
            public final boolean onMenuItemClick(MenuItem menuItem) {
                AppMethodBeat.i(14043);
                SearchOrRecommendBizUI.this.aqX();
                SearchOrRecommendBizUI.this.finish();
                AppMethodBeat.o(14043);
                return true;
            }
        });
        aWk();
        this.jKU = (BizSearchResultItemContainer) findViewById(2131821800);
        this.jKU.setOnTouchListener(new 4(this));
        f fVar = new f(this);
        fVar.jMx = f.aVW();
        this.jKU.setAdapter(fVar);
        this.jKU.setBusinessTypes(new long[]{1});
        this.jKU.setDisplayArgs$25decb5(false);
        this.jKU.setMode(1);
        this.jKU.setScene(this.emC);
        this.jKU.setIOnSearchStateChangedListener(this);
        AppMethodBeat.o(14051);
    }

    private void aWk() {
        AppMethodBeat.i(14052);
        this.jMD = (SearchViewNotRealTimeHelper) findViewById(2131823137);
        this.jMD.setSearchColor(getResources().getColor(2131690316));
        this.jMD.setSearchHint(getString(2131298762));
        this.jMD.setSearchHintColor(getResources().getColor(2131690163));
        this.jMD.setSearchIcon(0);
        this.jMD.setShowBackIcon(false);
        this.jMD.setCallBack(new a() {
            public final boolean vN(String str) {
                AppMethodBeat.i(14045);
                FD(str);
                AppMethodBeat.o(14045);
                return true;
            }

            public final void FD(String str) {
                AppMethodBeat.i(14046);
                if (bo.isNullOrNil(str)) {
                    h.bQ(SearchOrRecommendBizUI.this.mController.ylL, SearchOrRecommendBizUI.this.getString(2131298758));
                    AppMethodBeat.o(14046);
                    return;
                }
                SearchOrRecommendBizUI.this.aqX();
                SearchOrRecommendBizUI.this.jKU.bH(str, 0);
                AppMethodBeat.o(14046);
            }

            public final void aWl() {
                AppMethodBeat.i(14047);
                SearchOrRecommendBizUI.this.showVKB();
                AppMethodBeat.o(14047);
            }
        });
        AppMethodBeat.o(14052);
    }

    public final void aWd() {
        AppMethodBeat.i(14054);
        if (this.jMB != null) {
            this.jMB.dismiss();
            this.jMB = null;
        }
        AppMethodBeat.o(14054);
    }

    public final void aWc() {
        AppMethodBeat.i(14053);
        AppCompatActivity appCompatActivity = this.mController.ylL;
        getString(2131297061);
        this.jMB = h.b(appCompatActivity, getString(2131298760), true, new OnCancelListener() {
            public final void onCancel(DialogInterface dialogInterface) {
                AppMethodBeat.i(14048);
                BizSearchResultItemContainer a = SearchOrRecommendBizUI.this.jKU;
                g.Rg().c(a.jLr);
                a.jLp.jLC = false;
                AppMethodBeat.o(14048);
            }
        });
        AppMethodBeat.o(14053);
    }
}
