package com.tencent.mm.plugin.brandservice.ui.timeline.preload.ui;

import android.content.Context;
import android.os.Looper;
import android.util.Pair;
import android.webkit.ValueCallback;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.webview.preload.TmplParams;
import com.tencent.mm.plugin.webview.ui.tools.jsapi.d;
import com.tencent.mm.plugin.webview.ui.tools.jsapi.f;
import com.tencent.mm.plugin.webview.ui.tools.k;
import com.tencent.mm.pluginsdk.ui.tools.u;
import com.tencent.mm.protocal.GeneralControlWrapper;
import com.tencent.mm.protocal.JsapiPermissionWrapper;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.ui.widget.MMWebView;
import com.tencent.xweb.WebView;
import com.tencent.xweb.b;
import com.tencent.xweb.s;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedList;

public class e extends MMWebView {
    private s iuo;
    public TmplParams jRb;
    private int jUG;
    public String jVi;
    public int jVj;
    public String jVk;
    private boolean jVl;
    private LinkedList<Pair<String, ValueCallback<String>>> jVm;
    protected d jVn;

    static /* synthetic */ String a(e eVar) {
        AppMethodBeat.i(14444);
        String tagName = eVar.getTagName();
        AppMethodBeat.o(14444);
        return tagName;
    }

    static /* synthetic */ void a(e eVar, String str, ValueCallback valueCallback) {
        AppMethodBeat.i(14443);
        super.evaluateJavascript(str, valueCallback);
        AppMethodBeat.o(14443);
    }

    static /* synthetic */ void b(e eVar) {
        AppMethodBeat.i(14445);
        eVar.aYi();
        AppMethodBeat.o(14445);
    }

    public e(Context context, TmplParams tmplParams) {
        super(context);
        AppMethodBeat.i(14436);
        this.jVm = new LinkedList();
        this.iuo = new 2(this);
        this.jUG = (int) (System.currentTimeMillis() % 1000);
        this.inited = true;
        this.isX5Kernel = getIsX5Kernel();
        this.jVi = tmplParams.jVi;
        this.jVk = tmplParams.upO;
        this.jVj = tmplParams.version;
        this.jRb = tmplParams;
        ab.i(getTagName(), "[initParams]tmplParams:%s", new Object[]{this.jRb});
        if (ah.bqo()) {
            ab.i(getTagName(), "[initWebviewCore] current process is mm");
            WebView.initWebviewCore(context, zNq, "mm", null);
        } else if (ah.doF()) {
            ab.i(getTagName(), "[initWebviewCore] current process is tool");
            WebView.initWebviewCore(context, zNq, "tools", null);
        } else if (ah.doG()) {
            ab.i(getTagName(), "[initWebviewCore] current process is toolmp");
            WebView.initWebviewCore(context, zNq, "toolsmp", null);
        }
        il(context);
        ab.i(getTagName(), "[initWebViewSetting]");
        getSettings().setJavaScriptEnabled(true);
        getSettings().setPluginsEnabled(true);
        getSettings().dUh();
        getSettings().setBuiltInZoomControls(false);
        getSettings().setUseWideViewPort(true);
        getSettings().setLoadWithOverviewMode(true);
        getSettings().dUc();
        getSettings().dUb();
        getSettings().setGeolocationEnabled(true);
        getSettings().setJavaScriptCanOpenWindowsAutomatically(true);
        getSettings().dUj();
        getSettings().dUf();
        getSettings().setAppCachePath(getContext().getDir("webviewcache", 0).getAbsolutePath());
        getSettings().dUe();
        getSettings().dUi();
        getSettings().dUg();
        getSettings().setDatabasePath(com.tencent.mm.compatible.util.e.eSi + "databases/");
        b.dTR().dTS();
        b.dTR().f(this);
        getSettings().setUserAgentString(u.bh(getContext(), getSettings().getUserAgentString()));
        addJavascriptInterface(new 3(this, this), "__tmpl_webview_inject_data");
        ab.i(getTagName(), "[initJsApiHandler]");
        k kVar = new k(JsapiPermissionWrapper.vxI, GeneralControlWrapper.vxF, new 4(this));
        HashMap hashMap = new HashMap();
        hashMap.put("webview_type", "1");
        hashMap.put("init_url", getUrl());
        hashMap.put("init_font_size", "1");
        this.jVn = new d(this, kVar, hashMap);
        addJavascriptInterface(this.jVn, "__wx");
        ab.i(getTagName(), "[initJsApiHandler]enableWvSHA1:%b", new Object[]{Boolean.valueOf(ah.getContext().getSharedPreferences("com.tencent.mm_webview_x5_preferences", 4).getBoolean("wvsha1", true))});
        if (ah.getContext().getSharedPreferences("com.tencent.mm_webview_x5_preferences", 4).getBoolean("wvsha1", true)) {
            this.jVn.dch();
            setRandomStr(this.jVn.uFw);
        }
        setWebViewClient(this.iuo);
        AppMethodBeat.o(14436);
    }

    public synchronized void evaluateJavascript(String str, ValueCallback<String> valueCallback) {
        AppMethodBeat.i(14437);
        if (this.jVl) {
            1 1 = new 1(this, str, valueCallback);
            if (Looper.getMainLooper().getThread() == Thread.currentThread()) {
                1.run();
                AppMethodBeat.o(14437);
            } else {
                al.d(1);
                AppMethodBeat.o(14437);
            }
        } else {
            this.jVm.add(new Pair(str, valueCallback));
            AppMethodBeat.o(14437);
        }
    }

    public s getWebViewClient() {
        return this.iuo;
    }

    private synchronized void aYi() {
        AppMethodBeat.i(14438);
        Iterator it = this.jVm.iterator();
        while (it.hasNext()) {
            Pair pair = (Pair) it.next();
            super.evaluateJavascript((String) pair.first, (ValueCallback) pair.second);
            ab.v(getTagName(), "[evaluateJavascript]%s", new Object[]{pair.first});
        }
        this.jVm.clear();
        AppMethodBeat.o(14438);
    }

    public void aXM() {
        AppMethodBeat.i(14439);
        ab.i(getTagName(), "[loadUrlAndData] url:%s", new Object[]{this.jVi});
        loadUrl(this.jVi);
        AppMethodBeat.o(14439);
    }

    public d getJsApiHandler() {
        return this.jVn;
    }

    /* Access modifiers changed, original: protected */
    public String getPageString() {
        return "";
    }

    /* Access modifiers changed, original: protected */
    public void aXO() {
    }

    /* Access modifiers changed, original: protected|final */
    public final String getInjectAPI() {
        return "__tmpl_webview_inject_data.getString()";
    }

    /* Access modifiers changed, original: protected */
    public void aXN() {
        AppMethodBeat.i(14440);
        ab.i(getTagName(), "[initJsEnvironment]");
        new f(this, this.jVn, new 5(this)).dcs();
        AppMethodBeat.o(14440);
    }

    /* Access modifiers changed, original: protected */
    public void aJq() {
        AppMethodBeat.i(14441);
        ab.i(getTagName(), "[onPageReady]");
        AppMethodBeat.o(14441);
    }

    public final boolean isReady() {
        return this.jVl;
    }

    /* Access modifiers changed, original: protected */
    public int getTmplWebViewId() {
        return this.jUG;
    }

    private String getTagName() {
        AppMethodBeat.i(14442);
        String str = "MicroMsg.TmplWxJsWebView:" + getTmplWebViewId();
        AppMethodBeat.o(14442);
        return str;
    }
}
