package com.tencent.mm.plugin.facedetect.model;

import android.app.Activity;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.util.Base64;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.bt.b;
import com.tencent.mm.compatible.util.h;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.av;
import com.tencent.mm.plugin.appbrand.jsapi.appdownload.c;
import com.tencent.mm.plugin.appbrand.jsapi.i.l;
import com.tencent.mm.plugin.facedetect.FaceProNative$FaceResult;
import com.tencent.mm.plugin.facedetect.model.a.a;
import com.tencent.mm.pluginsdk.g.a.a.m;
import com.tencent.mm.protocal.protobuf.ju;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ag;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.d;
import com.tencent.mm.vfs.e;
import java.io.ByteArrayOutputStream;
import java.lang.reflect.Array;
import java.util.ArrayList;

public final class p {
    public static String a(FaceProNative$FaceResult faceProNative$FaceResult) {
        AppMethodBeat.i(265);
        if (faceProNative$FaceResult == null || faceProNative$FaceResult.result != 0) {
            ab.e("MicroMsg.FaceUtils", "alvinluo face result is null or result code not 0");
            AppMethodBeat.o(265);
            return null;
        }
        try {
            String bsS = bsS();
            ju juVar = new ju();
            juVar.vMj = b.bI(faceProNative$FaceResult.sidedata);
            juVar.vMk = b.bI(faceProNative$FaceResult.data);
            d(juVar.toByteArray(), bsS);
            AppMethodBeat.o(265);
            return bsS;
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.FaceUtils", e, "", new Object[0]);
            AppMethodBeat.o(265);
            return null;
        }
    }

    public static Bitmap Lr(String str) {
        Bitmap bitmap = null;
        AppMethodBeat.i(266);
        try {
            if (bo.isNullOrNil(str)) {
                ab.i("MicroMsg.FaceUtils", "hy: username is null or nil. return");
                AppMethodBeat.o(266);
            } else {
                String str2 = a.lTy + ag.ck(str);
                if (new com.tencent.mm.vfs.b(str2).exists()) {
                    byte[] e = e.e(str2, 0, -1);
                    if (e != null) {
                        e = a.e(e, Ls(str));
                        if (e.length <= 0) {
                            ab.w("MicroMsg.FaceUtils", "hy: decrypt err. return null");
                            AppMethodBeat.o(266);
                        } else {
                            bitmap = com.tencent.mm.compatible.g.a.decodeByteArray(e, 0, e.length);
                            AppMethodBeat.o(266);
                        }
                    } else {
                        ab.w("MicroMsg.FaceUtils", "hy: nothing in file");
                        AppMethodBeat.o(266);
                    }
                } else {
                    ab.w("MicroMsg.FaceUtils", "hy: no last file. return");
                    AppMethodBeat.o(266);
                }
            }
        } catch (Exception e2) {
            ab.printErrStackTrace("MicroMsg.FaceUtils", e2, "hy: err in encrypt", new Object[0]);
            AppMethodBeat.o(266);
        }
        return bitmap;
    }

    public static boolean b(Bitmap bitmap, String str) {
        AppMethodBeat.i(267);
        if (bitmap == null) {
            try {
                ab.w("MicroMsg.FaceUtils", "hy: bm is null. abort");
                AppMethodBeat.o(267);
                return false;
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.FaceUtils", e, "hy: err in encrypt", new Object[0]);
                AppMethodBeat.o(267);
                return false;
            }
        } else if (bo.isNullOrNil(str)) {
            ab.i("MicroMsg.FaceUtils", "hy: username is null or nil. return");
            AppMethodBeat.o(267);
            return false;
        } else {
            com.tencent.mm.vfs.b bVar = new com.tencent.mm.vfs.b(a.lTy);
            if (!bVar.exists()) {
                bVar.mkdirs();
            }
            String str2 = a.lTy + ag.ck(str);
            com.tencent.mm.vfs.b bVar2 = new com.tencent.mm.vfs.b(str2);
            if (!bVar2.exists()) {
                ab.i("MicroMsg.FaceUtils", "hy: last file already exists. del");
                bVar2.createNewFile();
            }
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            bitmap.compress(CompressFormat.JPEG, 85, byteArrayOutputStream);
            byte[] toByteArray = byteArrayOutputStream.toByteArray();
            byteArrayOutputStream.close();
            if (toByteArray != null) {
                byte[] e2 = a.e(toByteArray, Ls(str));
                if (e2.length <= 0) {
                    ab.w("MicroMsg.FaceUtils", "hy: enc err. return null");
                    AppMethodBeat.o(267);
                    return false;
                }
                e.b(str2, e2, e2.length);
                AppMethodBeat.o(267);
                return true;
            }
            ab.w("MicroMsg.FaceUtils", "hy: nothing in stream");
            AppMethodBeat.o(267);
            return false;
        }
    }

    private static String Ls(String str) {
        AppMethodBeat.i(268);
        String encodeToString = Base64.encodeToString((str + str.hashCode()).getBytes(), 0);
        AppMethodBeat.o(268);
        return encodeToString;
    }

    public static boolean M(Activity activity) {
        AppMethodBeat.i(c.CTRL_INDEX);
        boolean o = com.tencent.mm.pluginsdk.permission.b.o(activity, "android.permission.CAMERA");
        boolean o2 = com.tencent.mm.pluginsdk.permission.b.o(activity, "android.permission.RECORD_AUDIO");
        ab.d("MicroMsg.FaceUtils", "summerper checkPermission checkCamera[%b], checkAudio[%b], stack[%s], activity[%s]", new Object[]{Boolean.valueOf(o), Boolean.valueOf(o2), bo.dpG(), activity});
        ArrayList arrayList = new ArrayList();
        if (!o) {
            arrayList.add("android.permission.CAMERA");
        }
        if (!o2) {
            arrayList.add("android.permission.RECORD_AUDIO");
        }
        if (o && o2) {
            AppMethodBeat.o(c.CTRL_INDEX);
            return true;
        }
        ab.i("MicroMsg.FaceUtils", "hy: above 23 and no permission. requesting...");
        android.support.v4.app.a.a(activity, (String[]) arrayList.toArray(new String[arrayList.size()]), 23);
        AppMethodBeat.o(c.CTRL_INDEX);
        return false;
    }

    public static void N(Activity activity) {
        AppMethodBeat.i(270);
        activity.getWindow().setFlags(1024, 1024);
        AppMethodBeat.o(270);
    }

    private static void bsM() {
        AppMethodBeat.i(271);
        ab.i("MicroMsg.FaceUtils", "hy: trigger start download model file");
        g.Rg().a(new m(42), 0);
        AppMethodBeat.o(271);
    }

    public static boolean bsN() {
        boolean z = false;
        AppMethodBeat.i(272);
        String bsP = bsP();
        String bsQ = bsQ();
        if (bo.isNullOrNil(bsP) || bo.isNullOrNil(bsQ)) {
            ab.w("MicroMsg.FaceUtils", "hy: not valid model path. start ");
        } else {
            boolean z2;
            com.tencent.mm.vfs.b bVar = new com.tencent.mm.vfs.b(bsP);
            com.tencent.mm.vfs.b bVar2 = new com.tencent.mm.vfs.b(bsQ);
            if (bVar.exists() || vn(0)) {
                z2 = true;
            } else {
                ab.e("MicroMsg.FaceUtils", "hy: no detect model in storage and sdcard");
                z2 = false;
            }
            if (bVar2.exists() || vn(1)) {
                z = z2;
            } else {
                ab.e("MicroMsg.FaceUtils", "hy: no alignment model in storage and sdcard");
            }
        }
        if (!z) {
            bsM();
        }
        AppMethodBeat.o(272);
        return z;
    }

    public static String bsO() {
        String str;
        AppMethodBeat.i(l.CTRL_INDEX);
        if (a.lTw) {
            str = h.getExternalStorageDirectory().getAbsolutePath() + "/face_detect";
        } else {
            str = ah.getContext().getFilesDir().getParent() + "/face_detect";
        }
        com.tencent.mm.vfs.b bVar = new com.tencent.mm.vfs.b(str);
        if (!bVar.exists()) {
            ab.i("MicroMsg.FaceUtils", "hy: face dir not exist. mk dir");
            bVar.mkdirs();
        }
        AppMethodBeat.o(l.CTRL_INDEX);
        return str;
    }

    public static String bsP() {
        AppMethodBeat.i(274);
        String str = bsO() + "/ufdmtcc.bin";
        AppMethodBeat.o(274);
        return str;
    }

    public static String bsQ() {
        AppMethodBeat.i(275);
        String str = bsO() + "/ufat.bin";
        AppMethodBeat.o(275);
        return str;
    }

    public static String bsR() {
        AppMethodBeat.i(276);
        String str = bsO() + "/PE.dat";
        AppMethodBeat.o(276);
        return str;
    }

    public static String bsS() {
        AppMethodBeat.i(277);
        String str = bsO() + "/release_out.fd";
        AppMethodBeat.o(277);
        return str;
    }

    public static boolean vn(int i) {
        AppMethodBeat.i(278);
        String str = "";
        switch (i) {
            case 0:
                str = av.fly.T("LAST_LOGIN_FACE_MODEL_SDCARD_PATH_DETECT", "");
                break;
            case 1:
                str = av.fly.T("LAST_LOGIN_FACE_MODEL_SDCARD_PATH_ALIGNMENT", "");
                break;
        }
        if (bo.isNullOrNil(str)) {
            ab.w("MicroMsg.FaceUtils", "hy: no such path for type: %d", new Object[]{Integer.valueOf(i)});
            AppMethodBeat.o(278);
            return false;
        } else if (new com.tencent.mm.vfs.b(str).exists()) {
            com.tencent.mm.vfs.b bVar = new com.tencent.mm.vfs.b(vo(i));
            if (bVar.exists()) {
                bVar.delete();
            }
            e.y(str, vo(i));
            AppMethodBeat.o(278);
            return true;
        } else {
            ab.e("MicroMsg.FaceUtils", "originFile file not exist");
            AppMethodBeat.o(278);
            return false;
        }
    }

    public static String vo(int i) {
        AppMethodBeat.i(279);
        String bsP;
        switch (i) {
            case 0:
                bsP = bsP();
                AppMethodBeat.o(279);
                return bsP;
            case 1:
                bsP = bsQ();
                AppMethodBeat.o(279);
                return bsP;
            default:
                bsP = "";
                AppMethodBeat.o(279);
                return bsP;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x008d A:{SYNTHETIC, Splitter:B:35:0x008d} */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0092 A:{Catch:{ Exception -> 0x0099 }} */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0049 A:{SYNTHETIC, Splitter:B:16:0x0049} */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x004e A:{Catch:{ Exception -> 0x0083 }} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x008d A:{SYNTHETIC, Splitter:B:35:0x008d} */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0092 A:{Catch:{ Exception -> 0x0099 }} */
    public static void p(android.content.Context r10, java.lang.String r11, java.lang.String r12) {
        /*
        r2 = 0;
        r3 = 2;
        r5 = 1;
        r4 = 0;
        r7 = 280; // 0x118 float:3.92E-43 double:1.383E-321;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        r0 = "MicroMsg.FaceUtils";
        r1 = "alvinluo copyFileFromAssets src: %s, dst: %s";
        r3 = new java.lang.Object[r3];
        r3[r4] = r11;
        r3[r5] = r12;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r3);
        r0 = new com.tencent.mm.vfs.b;	 Catch:{ Exception -> 0x00a0, all -> 0x0088 }
        r0.<init>(r12);	 Catch:{ Exception -> 0x00a0, all -> 0x0088 }
        r1 = r10.getAssets();	 Catch:{ Exception -> 0x00a0, all -> 0x0088 }
        r3 = r1.open(r11);	 Catch:{ Exception -> 0x00a0, all -> 0x0088 }
        r1 = new com.tencent.mm.vfs.f;	 Catch:{ Exception -> 0x00a4, all -> 0x009b }
        r1.<init>(r0);	 Catch:{ Exception -> 0x00a4, all -> 0x009b }
        r2 = 1024; // 0x400 float:1.435E-42 double:5.06E-321;
        r2 = new byte[r2];	 Catch:{ Exception -> 0x003a }
    L_0x002e:
        r4 = r3.read(r2);	 Catch:{ Exception -> 0x003a }
        r5 = -1;
        if (r4 == r5) goto L_0x0055;
    L_0x0035:
        r5 = 0;
        r1.write(r2, r5, r4);	 Catch:{ Exception -> 0x003a }
        goto L_0x002e;
    L_0x003a:
        r0 = move-exception;
    L_0x003b:
        r2 = "MicroMsg.FaceUtils";
        r4 = "alvinluo copyFileFromAssets exception";
        r5 = 0;
        r5 = new java.lang.Object[r5];	 Catch:{ all -> 0x009e }
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r0, r4, r5);	 Catch:{ all -> 0x009e }
        if (r3 == 0) goto L_0x004c;
    L_0x0049:
        r3.close();	 Catch:{ Exception -> 0x0083 }
    L_0x004c:
        if (r1 == 0) goto L_0x0051;
    L_0x004e:
        r1.close();	 Catch:{ Exception -> 0x0083 }
    L_0x0051:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
    L_0x0054:
        return;
    L_0x0055:
        r1.flush();	 Catch:{ Exception -> 0x003a }
        r2 = "MicroMsg.FaceUtils";
        r4 = "alvinluo copyFileFromAssets %s successfully, file len: %d";
        r5 = 2;
        r5 = new java.lang.Object[r5];	 Catch:{ Exception -> 0x003a }
        r6 = 0;
        r5[r6] = r11;	 Catch:{ Exception -> 0x003a }
        r6 = 1;
        r8 = r0.length();	 Catch:{ Exception -> 0x003a }
        r0 = java.lang.Long.valueOf(r8);	 Catch:{ Exception -> 0x003a }
        r5[r6] = r0;	 Catch:{ Exception -> 0x003a }
        com.tencent.mm.sdk.platformtools.ab.i(r2, r4, r5);	 Catch:{ Exception -> 0x003a }
        if (r3 == 0) goto L_0x0077;
    L_0x0074:
        r3.close();	 Catch:{ Exception -> 0x007e }
    L_0x0077:
        r1.close();	 Catch:{ Exception -> 0x007e }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x0054;
    L_0x007e:
        r0 = move-exception;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x0054;
    L_0x0083:
        r0 = move-exception;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x0054;
    L_0x0088:
        r0 = move-exception;
        r1 = r2;
        r3 = r2;
    L_0x008b:
        if (r3 == 0) goto L_0x0090;
    L_0x008d:
        r3.close();	 Catch:{ Exception -> 0x0099 }
    L_0x0090:
        if (r1 == 0) goto L_0x0095;
    L_0x0092:
        r1.close();	 Catch:{ Exception -> 0x0099 }
    L_0x0095:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x0099:
        r1 = move-exception;
        goto L_0x0095;
    L_0x009b:
        r0 = move-exception;
        r1 = r2;
        goto L_0x008b;
    L_0x009e:
        r0 = move-exception;
        goto L_0x008b;
    L_0x00a0:
        r0 = move-exception;
        r1 = r2;
        r3 = r2;
        goto L_0x003b;
    L_0x00a4:
        r0 = move-exception;
        r1 = r2;
        goto L_0x003b;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.facedetect.model.p.p(android.content.Context, java.lang.String, java.lang.String):void");
    }

    public static Bitmap n(String str, Bitmap bitmap) {
        Bitmap bitmap2;
        AppMethodBeat.i(281);
        long currentTimeMillis = System.currentTimeMillis();
        if (bitmap == null) {
            bitmap2 = null;
        } else {
            int i;
            int i2;
            int i3;
            int i4;
            int i5;
            int i6;
            int i7;
            int i8;
            int i9;
            int i10;
            int i11;
            int i12;
            int i13;
            int i14;
            int i15;
            long currentTimeMillis2 = System.currentTimeMillis();
            bitmap2 = Bitmap.createScaledBitmap(bitmap, Math.round(((float) bitmap.getWidth()) * 0.1f), Math.round(((float) bitmap.getHeight()) * 0.1f), false);
            bitmap2 = bitmap2.copy(bitmap2.getConfig(), true);
            int width = bitmap2.getWidth();
            int height = bitmap2.getHeight();
            int[] iArr = new int[(width * height)];
            ab.e("pix", width + " " + height + " " + iArr.length);
            bitmap2.getPixels(iArr, 0, width, 0, 0, width, height);
            int i16 = width - 1;
            int i17 = height - 1;
            int i18 = width * height;
            int[] iArr2 = new int[i18];
            int[] iArr3 = new int[i18];
            int[] iArr4 = new int[i18];
            int[] iArr5 = new int[Math.max(width, height)];
            int[] iArr6 = new int[246016];
            for (int i19 = 0; i19 < 246016; i19++) {
                iArr6[i19] = i19 / 961;
            }
            int[][] iArr7 = (int[][]) Array.newInstance(Integer.TYPE, new int[]{61, 3});
            int i20 = 0;
            int i21 = 0;
            int i22 = 0;
            while (i20 < height) {
                if (b.ik(currentTimeMillis2)) {
                    bitmap2 = null;
                    break;
                }
                i = 0;
                i2 = 0;
                i3 = 0;
                i4 = 0;
                i5 = 0;
                i6 = 0;
                i7 = 0;
                i8 = 0;
                int i23 = 0;
                for (i9 = -30; i9 <= 30; i9++) {
                    i10 = iArr[Math.min(i16, Math.max(i9, 0)) + i22];
                    int[] iArr8 = iArr7[i9 + 30];
                    iArr8[0] = (16711680 & i10) >> 16;
                    iArr8[1] = (65280 & i10) >> 8;
                    iArr8[2] = i10 & 255;
                    i10 = 31 - Math.abs(i9);
                    i7 += iArr8[0] * i10;
                    i8 += iArr8[1] * i10;
                    i23 += i10 * iArr8[2];
                    if (i9 > 0) {
                        i += iArr8[0];
                        i2 += iArr8[1];
                        i3 += iArr8[2];
                    } else {
                        i4 += iArr8[0];
                        i5 += iArr8[1];
                        i6 += iArr8[2];
                    }
                }
                int i24 = 30;
                if (b.ik(currentTimeMillis2)) {
                    bitmap2 = null;
                    break;
                }
                i10 = 0;
                i9 = i;
                i11 = i2;
                i12 = i3;
                i13 = i4;
                i14 = i5;
                i15 = i6;
                while (i10 < width) {
                    iArr2[i22] = iArr6[i7];
                    iArr3[i22] = iArr6[i8];
                    iArr4[i22] = iArr6[i23];
                    i = i7 - i13;
                    i2 = i8 - i14;
                    i3 = i23 - i15;
                    int[] iArr9 = iArr7[((i24 - 30) + 61) % 61];
                    i5 = i13 - iArr9[0];
                    i6 = i14 - iArr9[1];
                    i13 = i15 - iArr9[2];
                    if (i20 == 0) {
                        iArr5[i10] = Math.min((i10 + 30) + 1, i16);
                    }
                    i14 = iArr[iArr5[i10] + i21];
                    iArr9[0] = (16711680 & i14) >> 16;
                    iArr9[1] = (65280 & i14) >> 8;
                    iArr9[2] = i14 & 255;
                    i9 += iArr9[0];
                    i11 += iArr9[1];
                    i4 = iArr9[2] + i12;
                    i7 = i + i9;
                    i8 = i2 + i11;
                    i23 = i3 + i4;
                    i24 = (i24 + 1) % 61;
                    int[] iArr10 = iArr7[i24 % 61];
                    i15 = i13 + iArr10[2];
                    i22++;
                    i10++;
                    i9 -= iArr10[0];
                    i11 -= iArr10[1];
                    i12 = i4 - iArr10[2];
                    i13 = i5 + iArr10[0];
                    i14 = i6 + iArr10[1];
                }
                i20++;
                i21 += width;
            }
            for (i15 = 0; i15 < width; i15++) {
                i = width * -30;
                if (b.ik(currentTimeMillis2)) {
                    bitmap2 = null;
                    break;
                }
                i2 = 0;
                i3 = 0;
                i4 = 0;
                i5 = 0;
                i6 = 0;
                i10 = 0;
                i9 = 0;
                i11 = 0;
                i12 = 0;
                for (i14 = -30; i14 <= 30; i14++) {
                    i13 = Math.max(0, i) + i15;
                    int[] iArr11 = iArr7[i14 + 30];
                    iArr11[0] = iArr2[i13];
                    iArr11[1] = iArr3[i13];
                    iArr11[2] = iArr4[i13];
                    i8 = 31 - Math.abs(i14);
                    i9 += iArr2[i13] * i8;
                    i11 += iArr3[i13] * i8;
                    i12 += iArr4[i13] * i8;
                    if (i14 > 0) {
                        i2 += iArr11[0];
                        i3 += iArr11[1];
                        i4 += iArr11[2];
                    } else {
                        i5 += iArr11[0];
                        i6 += iArr11[1];
                        i10 += iArr11[2];
                    }
                    if (i14 < i17) {
                        i += width;
                    }
                }
                i7 = 30;
                if (b.ik(currentTimeMillis2)) {
                    bitmap2 = null;
                    break;
                }
                i13 = 0;
                i = i2;
                i14 = i15;
                while (i13 < height) {
                    iArr[i14] = (((-16777216 & iArr[i14]) | (iArr6[i9] << 16)) | (iArr6[i11] << 8)) | iArr6[i12];
                    i2 = i9 - i5;
                    i11 -= i6;
                    i12 -= i10;
                    int[] iArr12 = iArr7[((i7 - 30) + 61) % 61];
                    i5 -= iArr12[0];
                    i6 -= iArr12[1];
                    i10 -= iArr12[2];
                    if (i15 == 0) {
                        iArr5[i13] = Math.min(i13 + 31, i17) * width;
                    }
                    i8 = iArr5[i13] + i15;
                    iArr12[0] = iArr2[i8];
                    iArr12[1] = iArr3[i8];
                    iArr12[2] = iArr4[i8];
                    i += iArr12[0];
                    i3 += iArr12[1];
                    i4 += iArr12[2];
                    i9 = i2 + i;
                    i11 += i3;
                    i12 += i4;
                    i7 = (i7 + 1) % 61;
                    int[] iArr13 = iArr7[i7];
                    i5 += iArr13[0];
                    i6 += iArr13[1];
                    i10 += iArr13[2];
                    i -= iArr13[0];
                    i4 -= iArr13[2];
                    i14 += width;
                    i13++;
                    i3 -= iArr13[1];
                }
            }
            ab.e("pix", width + " " + height + " " + i18);
            bitmap2.setPixels(iArr, 0, width, 0, 0, width, height);
        }
        ab.i("MicroMsg.FaceUtils", "hy: blur using %d", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis)});
        Object obj = 1;
        if (bitmap2 == null) {
            ab.w("MicroMsg.FaceUtils", "hy: null on blur. use default");
            obj = null;
            bitmap2 = Lr(str);
            if (bitmap2 == null) {
                bitmap2 = d.LV(2130838625);
            }
        }
        if (obj != null) {
            com.tencent.mm.sdk.g.d.post(new 1(bitmap2, str), "FaceUtils_SaveFile");
        }
        AppMethodBeat.o(281);
        return bitmap2;
    }

    public static String Lt(String str) {
        AppMethodBeat.i(282);
        String x = com.tencent.mm.a.g.x((bo.yz() + ", " + str).getBytes());
        AppMethodBeat.o(282);
        return x;
    }

    public static void d(byte[] bArr, String str) {
        AppMethodBeat.i(264);
        try {
            e.b(str, bArr, bArr.length);
            AppMethodBeat.o(264);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.FaceUtils", e, "hy: err in save debug jpeg", new Object[0]);
            AppMethodBeat.o(264);
        }
    }
}
