package com.tencent.mm.plugin.game.ui;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.util.Pair;
import android.util.SparseArray;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.game.a.c;
import com.tencent.mm.plugin.game.e.b;
import com.tencent.mm.plugin.game.f.d;
import com.tencent.mm.plugin.game.model.ae;
import com.tencent.mm.plugin.game.model.aq;
import com.tencent.mm.plugin.game.model.e;
import com.tencent.mm.plugin.game.ui.m.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.MMActivity;
import java.util.HashMap;
import java.util.LinkedList;

public class GameLibraryUI extends MMActivity implements f {
    private View emz;
    private boolean exX = true;
    private Dialog lud;
    private boolean mGe = false;
    private int mXC = 0;
    private int mXJ = 0;
    private k neZ = new k();
    private ListView nfg;
    private l nfh;
    private boolean nfi = false;
    private boolean nfj = true;
    private a nfm = new 3(this);
    private OnScrollListener nfn = new OnScrollListener() {
        public final void onScrollStateChanged(AbsListView absListView, int i) {
            AppMethodBeat.i(112038);
            if (i == 0 && absListView.getLastVisiblePosition() == absListView.getCount() - 1) {
                if (!GameLibraryUI.this.nfj || GameLibraryUI.this.nfi) {
                    AppMethodBeat.o(112038);
                    return;
                } else {
                    GameLibraryUI.this.emz.setVisibility(0);
                    GameLibraryUI.h(GameLibraryUI.this);
                }
            }
            AppMethodBeat.o(112038);
        }

        public final void onScroll(AbsListView absListView, int i, int i2, int i3) {
        }
    };
    private GameBannerView njP;
    private GameLibraryCategoriesView njQ;
    private View njR;
    private TextView njS;
    private View njT;
    private GameDropdownView njU;
    private HashMap<Integer, String> njV;
    private int njW = 0;
    private View njX;
    private Button njY;
    private boolean njZ = false;
    private int nka = 990;
    private int nkb = 0;
    private OnClickListener nkc = new 5(this);
    private OnClickListener nkd = new 6(this);
    private GameDropdownView.a nke = new GameDropdownView.a() {
        public final void wI(int i) {
            AppMethodBeat.i(112037);
            LinkedList linkedList = new LinkedList();
            linkedList.addAll(GameLibraryUI.this.njV.keySet());
            if (i > linkedList.size() - 1) {
                AppMethodBeat.o(112037);
                return;
            }
            GameLibraryUI.this.njW = ((Integer) linkedList.get(i)).intValue();
            ab.i("MicroMsg.GameLibraryUI", "Selected SortType: %d", new Object[]{Integer.valueOf(GameLibraryUI.this.njW)});
            GameLibraryUI.this.mXJ = 0;
            GameLibraryUI.h(GameLibraryUI.this);
            b.a(GameLibraryUI.this, 11, 1111, GameLibraryUI.this.njW + GameLibraryUI.this.nka, 2, GameLibraryUI.this.mXC, null);
            AppMethodBeat.o(112037);
        }
    };

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public GameLibraryUI() {
        AppMethodBeat.i(112041);
        AppMethodBeat.o(112041);
    }

    static /* synthetic */ void a(GameLibraryUI gameLibraryUI) {
        AppMethodBeat.i(112053);
        gameLibraryUI.goBack();
        AppMethodBeat.o(112053);
    }

    static /* synthetic */ void h(GameLibraryUI gameLibraryUI) {
        AppMethodBeat.i(112055);
        gameLibraryUI.bFq();
        AppMethodBeat.o(112055);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(112042);
        super.onCreate(bundle);
        if (g.RK()) {
            int i;
            this.mXC = getIntent().getIntExtra("game_report_from_scene", 0);
            g.Rg().a(1218, this);
            initView();
            byte[] NK = ((c) g.K(c.class)).bCZ().NK("pb_library");
            if (NK == null) {
                ab.i("MicroMsg.GameLibraryUI", "No cache found");
                i = 0;
            } else {
                g.RS().aa(new 4(this, NK));
                i = 1;
            }
            if (i == 0) {
                this.lud = com.tencent.mm.plugin.game.f.c.ej(this);
                this.lud.show();
            }
            bFq();
            b.a(this, 11, 1100, 0, 1, this.mXC, null);
            AppMethodBeat.o(112042);
            return;
        }
        ab.e("MicroMsg.GameLibraryUI", "account not ready");
        finish();
        AppMethodBeat.o(112042);
    }

    public void onResume() {
        AppMethodBeat.i(112043);
        super.onResume();
        if (g.RK()) {
            this.nfh.refresh();
            if (!(this.exX || this.njP == null)) {
                GameBannerView gameBannerView = this.njP;
                if (gameBannerView.neF != null && gameBannerView.neF.doT() && gameBannerView.neE.size() > 1) {
                    gameBannerView.neF.ae(5000, 5000);
                    ab.i("MicroMsg.GameBannerView", "Auto scroll restarted");
                }
            }
            if (this.exX) {
                this.exX = false;
            }
            AppMethodBeat.o(112043);
            return;
        }
        ab.e("MicroMsg.GameLibraryUI", "account not ready");
        AppMethodBeat.o(112043);
    }

    public void onPause() {
        AppMethodBeat.i(112044);
        super.onPause();
        if (this.njP != null) {
            GameBannerView gameBannerView = this.njP;
            if (gameBannerView.neF != null) {
                gameBannerView.neF.stopTimer();
                ab.i("MicroMsg.GameBannerView", "Auto scroll stopped");
            }
        }
        AppMethodBeat.o(112044);
    }

    public void onDestroy() {
        AppMethodBeat.i(112045);
        ab.i("MicroMsg.GameLibraryUI", "onDestroy");
        super.onDestroy();
        g.Rg().b(1218, this);
        this.nfh.clear();
        if (this.njP != null) {
            this.njP.neF.stopTimer();
        }
        AppMethodBeat.o(112045);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(112046);
        if (i == 4 && keyEvent.getRepeatCount() == 0) {
            goBack();
            AppMethodBeat.o(112046);
            return true;
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(112046);
        return onKeyDown;
    }

    public final int getLayoutId() {
        return 2130969731;
    }

    public final int getForceOrientation() {
        return 1;
    }

    public final void initView() {
        AppMethodBeat.i(112047);
        setMMTitle(2131300277);
        setBackBtn(new 1(this));
        if (!bo.isNullOrNil(e.bEe())) {
            addIconOptionMenu(0, 2131304082, 2131230741, new 2(this));
        }
        this.nfg = (ListView) findViewById(2131824543);
        this.nfg.setOnItemClickListener(this.neZ);
        this.neZ.setSourceScene(this.mXC);
        this.nfg.setOnScrollListener(this.nfn);
        this.nfh = new l(this);
        this.nfh.setSourceScene(this.mXC);
        this.nfh.a(this.nfm);
        LayoutInflater layoutInflater = (LayoutInflater) this.mController.ylL.getSystemService("layout_inflater");
        View inflate = layoutInflater.inflate(2130969739, this.nfg, false);
        this.njP = (GameBannerView) inflate.findViewById(2131824553);
        this.njP.setSourceScene(this.mXC);
        this.nfg.addHeaderView(inflate);
        this.nkb++;
        this.njQ = (GameLibraryCategoriesView) layoutInflater.inflate(2130969733, this.nfg, false);
        LinearLayout linearLayout = new LinearLayout(this);
        linearLayout.addView(this.njQ);
        this.nfg.addHeaderView(linearLayout);
        this.nkb++;
        this.njR = layoutInflater.inflate(2130969738, this.nfg, false);
        this.njR.setOnClickListener(this.nkc);
        this.njS = (TextView) this.njR.findViewById(2131824552);
        this.njT = layoutInflater.inflate(2130969732, this.nfg, false);
        this.njT.setOnClickListener(null);
        this.njU = (GameDropdownView) this.njT.findViewById(2131824545);
        this.njU.setAnchorView(this.njT);
        this.njU.setOnSelectionChangedListener(this.nke);
        this.emz = layoutInflater.inflate(2130969741, this.nfg, false);
        this.emz.setVisibility(8);
        linearLayout = new LinearLayout(this);
        linearLayout.addView(this.emz);
        this.nfg.addFooterView(linearLayout);
        this.njX = layoutInflater.inflate(2130969737, this.nfg, false);
        this.njX.setVisibility(8);
        this.njY = (Button) this.njX.findViewById(2131824550);
        this.njY.setOnClickListener(this.nkd);
        this.nfg.addFooterView(this.njX);
        this.nfg.setAdapter(this.nfh);
        AppMethodBeat.o(112047);
    }

    private void goBack() {
        AppMethodBeat.i(112048);
        bFl();
        finish();
        AppMethodBeat.o(112048);
    }

    private void bFl() {
        AppMethodBeat.i(112049);
        String stringExtra = getIntent().getStringExtra("jump_game_center");
        if (!bo.isNullOrNil(stringExtra) && stringExtra.equals("jump_game_center")) {
            Intent intent = new Intent(this, GameCenterUI.class);
            intent.putExtra("jump_find_more_friends", "jump_find_more_friends");
            startActivity(intent);
        }
        AppMethodBeat.o(112049);
    }

    private void bFq() {
        AppMethodBeat.i(112050);
        g.Rg().a(new aq(this.mXJ, e.bDR(), this.njW, this.mXJ == 0), 0);
        this.nfi = true;
        AppMethodBeat.o(112050);
    }

    public void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(112051);
        if (i == 0 && i2 == 0) {
            switch (mVar.getType()) {
                case 1218:
                    g.RS().aa(new 9(this, ((aq) mVar).lty.fsH.fsP));
                    break;
            }
            AppMethodBeat.o(112051);
            return;
        }
        if (!com.tencent.mm.plugin.game.b.a.gkF.a(this, i, i2, str)) {
            Toast.makeText(this, getString(2131300298, new Object[]{Integer.valueOf(i), Integer.valueOf(i2)}), 0).show();
        }
        if (this.lud != null) {
            this.lud.cancel();
        }
        AppMethodBeat.o(112051);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(112052);
        super.onActivityResult(i, i2, intent);
        ab.i("MicroMsg.GameLibraryUI", "requestCode = %d, resultCode = %d", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
        if (i != 1) {
            ab.e("MicroMsg.GameLibraryUI", "error request code");
            AppMethodBeat.o(112052);
            return;
        }
        AppMethodBeat.o(112052);
    }

    static /* synthetic */ void a(GameLibraryUI gameLibraryUI, ae aeVar, boolean z) {
        Pair pair = null;
        AppMethodBeat.i(112054);
        gameLibraryUI.nfj = aeVar.mYe.nct;
        LinkedList linkedList;
        if (z) {
            gameLibraryUI.nfh.Y(aeVar.mYg);
            ab.i("MicroMsg.GameLibraryUI", "Appending list size: %d", new Object[]{Integer.valueOf(linkedList.size())});
        } else {
            LinkedList linkedList2;
            Pair pair2;
            GameBannerView gameBannerView = gameLibraryUI.njP;
            if (aeVar.mYe.ncr == null || aeVar.mYe.ncr.ncU == null) {
                ab.e("MicroMsg.GamePBDataLibrary", "Has no banner");
                linkedList = null;
            } else {
                linkedList2 = new LinkedList();
                for (int i = 0; i < aeVar.mYe.ncr.ncU.size(); i++) {
                    GameBannerView.a aVar = new GameBannerView.a();
                    com.tencent.mm.plugin.game.d.b bVar = (com.tencent.mm.plugin.game.d.b) aeVar.mYe.ncr.ncU.get(i);
                    com.tencent.mm.plugin.game.model.c a = ae.a(bVar.mZk);
                    if (a != null) {
                        d.a(a);
                        aVar.index = i;
                        aVar.neJ = a;
                        aVar.fqw = bVar.mZl;
                        aVar.mVm = bVar.mZm;
                        linkedList2.add(aVar);
                    }
                }
                linkedList = linkedList2;
            }
            gameBannerView.setBannerList(linkedList);
            gameLibraryUI.njQ.setData(aeVar.bEP());
            gameLibraryUI.njQ.setSourceScene(gameLibraryUI.mXC);
            linkedList = new LinkedList();
            linkedList2 = aeVar.mYf;
            LinkedList linkedList3 = aeVar.mYg;
            linkedList.addAll(linkedList2);
            linkedList.addAll(linkedList3);
            gameLibraryUI.nfh.Z(linkedList);
            ab.i("MicroMsg.GameLibraryUI", "Initial new game list size: %d, initial all game list size: %d", new Object[]{Integer.valueOf(linkedList2.size()), Integer.valueOf(linkedList3.size())});
            gameLibraryUI.njV = aeVar.bEO();
            linkedList = new LinkedList();
            linkedList.addAll(gameLibraryUI.njV.values());
            GameDropdownView gameDropdownView = gameLibraryUI.njU;
            LinkedList linkedList4 = new LinkedList();
            linkedList4.addAll(gameLibraryUI.njV.keySet());
            gameDropdownView.e(linkedList, linkedList4.indexOf(Integer.valueOf(gameLibraryUI.njW)));
            if (aeVar.mYe.ncr == null || aeVar.mYe.ncr.ncV == null) {
                pair2 = null;
            } else {
                pair2 = new Pair(aeVar.mYe.ncr.ncV.ndl, aeVar.mYe.ncr.ncV.ncB);
            }
            if (pair2 == null || bo.isNullOrNil((String) pair2.first) || bo.isNullOrNil((String) pair2.second)) {
                gameLibraryUI.njR.setTag(null);
                gameLibraryUI.njS.setVisibility(8);
            } else {
                gameLibraryUI.njR.setTag(pair2.second);
                gameLibraryUI.njS.setVisibility(0);
                gameLibraryUI.njS.setText((CharSequence) pair2.first);
            }
            SparseArray sparseArray = new SparseArray();
            if (linkedList2.size() != 0) {
                sparseArray.put(0, gameLibraryUI.njR);
            }
            sparseArray.put(linkedList2.size(), gameLibraryUI.njT);
            gameLibraryUI.nfh.e(sparseArray);
            if (!(aeVar.mYe.ncr == null || aeVar.mYe.ncr.ncX == null)) {
                pair = new Pair(aeVar.mYe.ncr.ncX.nde, aeVar.mYe.ncr.ncX.mZm);
            }
            if (pair != null) {
                gameLibraryUI.njY.setText((CharSequence) pair.first);
                gameLibraryUI.njY.setTag(pair.second);
                gameLibraryUI.njZ = true;
            }
        }
        if (!gameLibraryUI.nfj && gameLibraryUI.njZ) {
            gameLibraryUI.njX.setVisibility(0);
        }
        AppMethodBeat.o(112054);
    }
}
