package com.tencent.mm.plugin.scanner.ui;

import android.content.Context;
import android.graphics.Bitmap;
import android.support.v4.view.p;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.widget.ImageView;
import android.widget.ImageView.ScaleType;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.platformtools.x;
import com.tencent.mm.platformtools.x.a;
import com.tencent.mm.plugin.scanner.util.q;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

class ProductFurtherInfoUI$a extends p implements a {
    private Context mContext;
    final /* synthetic */ ProductFurtherInfoUI qcF;
    private List<String> qcH = new ArrayList();
    private Map<String, ImageView> qcI = new HashMap();
    private int qcJ;

    public ProductFurtherInfoUI$a(ProductFurtherInfoUI productFurtherInfoUI, Context context) {
        this.qcF = productFurtherInfoUI;
        AppMethodBeat.i(81049);
        this.mContext = context;
        x.a(this);
        this.qcJ = this.mContext.getResources().getColor(2131690165);
        AppMethodBeat.o(81049);
    }

    public final void cW(List<String> list) {
        AppMethodBeat.i(81050);
        this.qcH = list;
        ProductFurtherInfoUI.c(this.qcF).hj(list.size(), 0);
        notifyDataSetChanged();
        AppMethodBeat.o(81050);
    }

    private ImageView Wh(String str) {
        AppMethodBeat.i(81051);
        ImageView imageView;
        if (this.qcI.containsKey(str)) {
            imageView = (ImageView) this.qcI.get(str);
            AppMethodBeat.o(81051);
            return imageView;
        }
        imageView = new ImageView(this.mContext);
        imageView.setScaleType(ScaleType.FIT_XY);
        imageView.setLayoutParams(new LayoutParams(-1, -1));
        this.qcI.put(str, imageView);
        AppMethodBeat.o(81051);
        return imageView;
    }

    public final Object instantiateItem(ViewGroup viewGroup, int i) {
        AppMethodBeat.i(81052);
        String str = (String) this.qcH.get(i);
        ImageView Wh = Wh(str);
        Bitmap a = x.a(new q(str));
        if (a == null || a.isRecycled()) {
            Wh.setImageBitmap(null);
            Wh.setBackgroundColor(this.qcJ);
        } else {
            Wh.setImageBitmap(a);
            Wh.setBackgroundColor(0);
        }
        try {
            viewGroup.addView(Wh);
        } catch (Exception e) {
            ab.e("MicroMsg.ProductFurtherInfoUI", "Add view failed: " + e.getMessage());
        }
        AppMethodBeat.o(81052);
        return Wh;
    }

    public final void destroyItem(ViewGroup viewGroup, int i, Object obj) {
        AppMethodBeat.i(81053);
        viewGroup.removeView((ImageView) obj);
        String str = (String) this.qcH.get(i);
        if (this.qcI.containsKey(str)) {
            this.qcI.remove(str);
        }
        AppMethodBeat.o(81053);
    }

    public final int getCount() {
        AppMethodBeat.i(81054);
        int size = this.qcH.size();
        AppMethodBeat.o(81054);
        return size;
    }

    public final boolean isViewFromObject(View view, Object obj) {
        return view == obj;
    }

    public final void m(String str, Bitmap bitmap) {
        AppMethodBeat.i(81055);
        if (!(bitmap == null || bitmap.isRecycled() || bo.isNullOrNil(str))) {
            ImageView Wh = Wh(str);
            if (Wh != null) {
                al.d(new 1(this, Wh, bitmap));
            }
        }
        AppMethodBeat.o(81055);
    }
}
