package com.tencent.mm.plugin.setting.ui.setting;

import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.os.Bundle;
import android.os.Looper;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ah.b;
import com.tencent.mm.ah.d;
import com.tencent.mm.ah.e;
import com.tencent.mm.ah.m;
import com.tencent.mm.ah.o;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.r;
import com.tencent.mm.plugin.i.c;
import com.tencent.mm.pluginsdk.ui.GetHdHeadImageGalleryView;
import com.tencent.mm.sdk.f.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.t;

public class PreviewHdHeadImg extends MMActivity {
    private final int qli = 1;
    private final int qlj = 2;
    private final int qlk = 3;
    private GetHdHeadImageGalleryView qll;
    private e qlm;
    private String qln;
    private String username;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void a(PreviewHdHeadImg previewHdHeadImg, Bitmap bitmap, String str) {
        AppMethodBeat.i(127003);
        previewHdHeadImg.d(bitmap, str);
        AppMethodBeat.o(127003);
    }

    static /* synthetic */ void d(PreviewHdHeadImg previewHdHeadImg) {
        AppMethodBeat.i(127004);
        previewHdHeadImg.civ();
        AppMethodBeat.o(127004);
    }

    public final int getLayoutId() {
        return 2130969799;
    }

    public final void initView() {
        AppMethodBeat.i(126996);
        setMMTitle(2131303047);
        xE(getResources().getColor(2131690597));
        Nb(getResources().getColor(2131689481));
        this.username = r.Yz();
        this.qll = (GetHdHeadImageGalleryView) findViewById(2131822081);
        this.qll.setUsername(this.username);
        civ();
        addIconOptionMenu(0, 2130839555, new 1(this));
        setBackBtn(new 2(this));
        AppMethodBeat.o(126996);
    }

    private void civ() {
        AppMethodBeat.i(126997);
        if (g.RP().isSDCardAvailable()) {
            Bitmap ciw = ciw();
            if (ciw == null || ciw.isRecycled()) {
                ab.i("MicroMsg.PreviewHdHeadImg", "The avatar of %s is not in the cache, use default avatar", new Object[]{this.username});
            } else {
                ab.i("MicroMsg.PreviewHdHeadImg", "The avatar of %s is in the cache", new Object[]{this.username});
                this.qll.setThumbImage(ciw);
            }
            o.acd();
            Bitmap qg = d.qg(this.username);
            if (qg == null || qg.isRecycled()) {
                this.qlm = new e();
                this.qlm.a(this.username, new 3(this, ciw));
                AppMethodBeat.o(126997);
                return;
            }
            ab.i("MicroMsg.PreviewHdHeadImg", "The HDAvatar of %s is already exists", new Object[]{this.username});
            o.acd();
            d(qg, d.C(this.username, true));
            AppMethodBeat.o(126997);
            return;
        }
        t.hO(this.mController.ylL);
        d(o.acd().bU(this.mController.ylL), null);
        AppMethodBeat.o(126997);
    }

    private Bitmap ciw() {
        AppMethodBeat.i(126998);
        Bitmap a = b.a(this.username, true, -1);
        if (a == null) {
            a = BitmapFactory.decodeResource(getResources(), 2130838444);
        }
        AppMethodBeat.o(126998);
        return a;
    }

    private void d(Bitmap bitmap, String str) {
        AppMethodBeat.i(126999);
        if (bitmap == null) {
            AppMethodBeat.o(126999);
            return;
        }
        try {
            Bitmap createBitmap;
            if (bitmap.getWidth() < 480) {
                float width = 480.0f / ((float) bitmap.getWidth());
                Matrix matrix = new Matrix();
                matrix.postScale(width, width);
                createBitmap = Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
            } else {
                createBitmap = bitmap;
            }
            ab.d("MicroMsg.PreviewHdHeadImg", "dkhdbm old[%d %d] new[%d %d]", new Object[]{Integer.valueOf(bitmap.getWidth()), Integer.valueOf(bitmap.getHeight()), Integer.valueOf(createBitmap.getWidth()), Integer.valueOf(createBitmap.getHeight())});
            this.qll.setHdHeadImage(createBitmap);
            this.qll.setHdHeadImagePath(str);
            this.qln = str;
            AppMethodBeat.o(126999);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.PreviewHdHeadImg", e, "", new Object[0]);
            AppMethodBeat.o(126999);
        }
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(127000);
        ab.i("MicroMsg.PreviewHdHeadImg", "onAcvityResult requestCode:%d, resultCode:%d", new Object[]{Integer.valueOf(i), Integer.valueOf(i2)});
        if (i2 != -1) {
            if (i == 2 || i == 4) {
                new ak(Looper.getMainLooper()).post(new 4(this));
            }
            AppMethodBeat.o(127000);
            return;
        }
        switch (i) {
            case 2:
                if (intent == null) {
                    AppMethodBeat.o(127000);
                    return;
                }
                Intent intent2 = new Intent();
                intent2.putExtra("CropImageMode", 1);
                intent2.putExtra("CropImage_Filter", true);
                o.acd();
                intent2.putExtra("CropImage_OutputPath", d.C(r.Yz() + ".crop", true));
                intent2.putExtra("CropImage_ImgPath", null);
                com.tencent.mm.plugin.setting.b.gkE.a(this, intent, intent2, c.XW(), 4, null);
                AppMethodBeat.o(127000);
                return;
            case 4:
                new ak(Looper.getMainLooper()).post(new 5(this));
                if (intent == null) {
                    AppMethodBeat.o(127000);
                    return;
                }
                String stringExtra = intent.getStringExtra("CropImage_OutputPath");
                Bitmap aml = com.tencent.mm.sdk.platformtools.d.aml(this.qln);
                if (stringExtra == null) {
                    ab.e("MicroMsg.PreviewHdHeadImg", "crop picture failed");
                    AppMethodBeat.o(127000);
                    return;
                }
                d(com.tencent.mm.sdk.platformtools.d.aml(stringExtra), null);
                new m(this.mController.ylL, stringExtra).w(new 6(this, aml));
                AppMethodBeat.o(127000);
                return;
            default:
                AppMethodBeat.o(127000);
                return;
        }
    }

    public static boolean e(Bitmap bitmap, String str) {
        AppMethodBeat.i(127001);
        if (!(str == null || str.equals(""))) {
            try {
                com.tencent.mm.sdk.platformtools.d.a(bitmap, 100, CompressFormat.PNG, str, true);
                AppMethodBeat.o(127001);
                return true;
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.PreviewHdHeadImg", e, "", new Object[0]);
                ab.e("MicroMsg.PreviewHdHeadImg", "saveBitmapToImage failed:" + e.toString());
            }
        }
        AppMethodBeat.o(127001);
        return false;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(126995);
        this.ylm = true;
        super.onCreate(bundle);
        getWindow().getDecorView().setSystemUiVisibility(1280);
        initView();
        AppMethodBeat.o(126995);
    }

    static /* synthetic */ void b(PreviewHdHeadImg previewHdHeadImg) {
        AppMethodBeat.i(127002);
        if (com.tencent.mm.vfs.e.ct(previewHdHeadImg.qln)) {
            String str = com.tencent.mm.compatible.util.e.euR + "hdImg_" + com.tencent.mm.a.g.x(previewHdHeadImg.username.getBytes()) + System.currentTimeMillis() + ".jpg";
            com.tencent.mm.vfs.e.deleteFile(str);
            com.tencent.mm.vfs.e.y(previewHdHeadImg.qln, str);
            a.a(str, previewHdHeadImg.mController.ylL);
            Toast.makeText(previewHdHeadImg.mController.ylL, previewHdHeadImg.mController.ylL.getString(2131300410, new Object[]{com.tencent.mm.compatible.util.e.euR}), 1).show();
            AppMethodBeat.o(127002);
            return;
        }
        Toast.makeText(previewHdHeadImg.mController.ylL, previewHdHeadImg.mController.ylL.getString(2131303048), 1).show();
        AppMethodBeat.o(127002);
    }
}
