package com.tencent.mm.plugin.shake.c.b;

import android.app.Activity;
import android.content.Context;
import android.content.DialogInterface.OnCancelListener;
import android.content.res.Resources;
import android.graphics.drawable.ShapeDrawable;
import android.graphics.drawable.shapes.RoundRectShape;
import android.os.Bundle;
import android.os.Looper;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.g;
import com.tencent.mm.at.o;
import com.tencent.mm.compatible.util.e;
import com.tencent.mm.g.a.qj;
import com.tencent.mm.g.a.qj.b;
import com.tencent.mm.model.aw;
import com.tencent.mm.sdk.b.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.i;

public final class a extends i {
    private static final String kdH = (e.eSn + "card");
    private ProgressBar gHA;
    private boolean gHY;
    private OnClickListener gKK = new 2(this);
    private View jcl;
    private String kaE = "";
    private ImageView kgH;
    private Button kgI;
    private Resources mResources;
    private ImageView nVJ;
    private TextView pUz;
    private View pou;
    private com.tencent.mm.plugin.shake.c.a.e qsJ;
    private View qsN;
    private TextView qsO;
    private TextView qsP;
    private TextView qsQ;
    private TextView qsR;
    private View qsS;
    private View qsT;
    private TextView qsU;
    private TextView qsV;
    private TextView qsW;
    private View qsX;
    private ImageView qsY;
    public boolean qsZ = false;
    private boolean qta = false;
    private int qtb = 0;
    private b qtc;
    private a qtd = a.qti;
    private b qte;
    private c qtf = new 1(this);

    static /* synthetic */ void c(a aVar) {
        AppMethodBeat.i(24563);
        aVar.cke();
        AppMethodBeat.o(24563);
    }

    static /* synthetic */ void h(a aVar) {
        AppMethodBeat.i(24566);
        aVar.updateLayout();
        AppMethodBeat.o(24566);
    }

    static /* synthetic */ void k(a aVar) {
        AppMethodBeat.i(24568);
        aVar.ckf();
        AppMethodBeat.o(24568);
    }

    static {
        AppMethodBeat.i(24569);
        AppMethodBeat.o(24569);
    }

    private a(Context context) {
        super(context, 2131493868);
        AppMethodBeat.i(24553);
        ab.i("MicroMsg.ShakeCardDialog", "init shake card dialog");
        this.mResources = context.getResources();
        setCanceledOnTouchOutside(true);
        getWindow().setSoftInputMode(2);
        this.jcl = View.inflate(context, 2130970649, null);
        this.qsN = this.jcl.findViewById(2131827461);
        this.qsO = (TextView) this.jcl.findViewById(2131827463);
        this.qsP = (TextView) this.jcl.findViewById(2131822335);
        this.qsQ = (TextView) this.jcl.findViewById(2131827464);
        this.nVJ = (ImageView) this.jcl.findViewById(2131827470);
        this.kgI = (Button) this.jcl.findViewById(2131821929);
        this.qsR = (TextView) this.jcl.findViewById(2131827469);
        this.gHA = (ProgressBar) this.jcl.findViewById(2131827468);
        this.nVJ.setOnClickListener(this.gKK);
        this.kgI.setOnClickListener(this.gKK);
        this.pou = this.jcl.findViewById(2131827462);
        this.qsS = this.jcl.findViewById(2131822001);
        this.qsT = this.jcl.findViewById(2131827471);
        this.kgH = (ImageView) this.jcl.findViewById(2131827472);
        this.qsU = (TextView) this.jcl.findViewById(2131822004);
        this.qsV = (TextView) this.jcl.findViewById(2131821915);
        this.qsW = (TextView) this.jcl.findViewById(2131827475);
        this.qsX = this.jcl.findViewById(2131827465);
        this.qsY = (ImageView) this.jcl.findViewById(2131827466);
        this.pUz = (TextView) this.jcl.findViewById(2131827467);
        this.qtb = com.tencent.mm.plugin.shake.c.c.a.ckk();
        AppMethodBeat.o(24553);
    }

    public final boolean onKeyUp(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(24554);
        if (i == 4) {
            ab.i("MicroMsg.ShakeCardDialog", "back key in shake card dialog");
            dismiss();
            if (this.qte != null) {
                this.qte.ckg();
            }
        }
        boolean onKeyUp = super.onKeyUp(i, keyEvent);
        AppMethodBeat.o(24554);
        return onKeyUp;
    }

    /* Access modifiers changed, original: protected|final */
    public final void onCreate(Bundle bundle) {
        AppMethodBeat.i(24555);
        super.onCreate(bundle);
        setContentView(this.jcl);
        AppMethodBeat.o(24555);
    }

    public final void setCancelable(boolean z) {
        AppMethodBeat.i(24556);
        super.setCancelable(z);
        this.gHY = z;
        setCanceledOnTouchOutside(this.gHY);
        AppMethodBeat.o(24556);
    }

    public final void dismiss() {
        AppMethodBeat.i(24557);
        try {
            if (this.qte != null) {
                this.qte.ckg();
            }
            if (!(this.qtd == a.qtk || this.qta)) {
                this.qta = true;
                ab.i("MicroMsg.ShakeCardDialog", "ShakeCardDialog card is not cancel accepte");
                aw.Rg().a(new com.tencent.mm.plugin.shake.c.a.a(this.qsJ.kbU, this.qsJ.cMD), 0);
            }
            com.tencent.mm.sdk.b.a.xxA.d(this.qtf);
            ab.i("MicroMsg.ShakeCardDialog", "dismiss ShakeCardDialog");
            super.dismiss();
            AppMethodBeat.o(24557);
        } catch (Exception e) {
            ab.e("MicroMsg.ShakeCardDialog", "dismiss exception, e = " + e.getMessage());
            AppMethodBeat.o(24557);
        }
    }

    private void updateLayout() {
        AppMethodBeat.i(24558);
        if (this.qtd == a.qtk) {
            this.pou.setVisibility(8);
            this.qsX.setVisibility(0);
            AppMethodBeat.o(24558);
            return;
        }
        if (this.qtd == a.qti || this.qtd == a.qtj || this.qtd == a.qtl) {
            this.pou.setVisibility(0);
            this.qsX.setVisibility(8);
        }
        AppMethodBeat.o(24558);
    }

    private void cke() {
        AppMethodBeat.i(24559);
        if (this.qtd == a.qti || this.qtd == a.qtl) {
            if (TextUtils.isEmpty(this.qsJ.qst)) {
                this.kgI.setText(2131297805);
                AppMethodBeat.o(24559);
                return;
            }
            this.kgI.setText(this.qsJ.qst);
            AppMethodBeat.o(24559);
        } else if (this.qtd == a.qtj) {
            this.kgI.setText("");
            AppMethodBeat.o(24559);
        } else {
            if (this.qtd == a.qtk) {
                this.kgI.setText(2131303400);
            }
            AppMethodBeat.o(24559);
        }
    }

    private void ckf() {
        AppMethodBeat.i(24560);
        int dimensionPixelOffset = getContext().getResources().getDimensionPixelOffset(2131428632);
        ShapeDrawable shapeDrawable = new ShapeDrawable(new RoundRectShape(new float[]{(float) dimensionPixelOffset, (float) dimensionPixelOffset, (float) dimensionPixelOffset, (float) dimensionPixelOffset, 0.0f, 0.0f, 0.0f, 0.0f}, null, null));
        shapeDrawable.getPaint().setColor(com.tencent.mm.plugin.shake.c.c.a.Hn(this.qsJ.color));
        this.qsT.setBackgroundDrawable(shapeDrawable);
        cke();
        if (!TextUtils.isEmpty(this.qsJ.qsr)) {
            this.qsO.setText(this.qsJ.qsr);
        }
        if (!TextUtils.isEmpty(this.qsJ.qsv)) {
            this.qsP.setText(this.qsJ.qsv);
            this.qsP.setVisibility(0);
        }
        if (!TextUtils.isEmpty(this.qsJ.qss)) {
            this.qsQ.setText(this.qsJ.qss);
            this.qsQ.setVisibility(0);
        }
        if (!TextUtils.isEmpty(this.qsJ.kbV)) {
            dimensionPixelOffset = getContext().getResources().getDimensionPixelSize(2131428631);
            ImageView imageView = this.kgH;
            String str = this.qsJ.kbV;
            if (!(imageView == null || TextUtils.isEmpty(str))) {
                if (TextUtils.isEmpty(str)) {
                    imageView.setImageResource(2131231917);
                } else {
                    com.tencent.mm.at.a.a.c.a aVar = new com.tencent.mm.at.a.a.c.a();
                    aVar.ePK = e.eSn;
                    o.ahq();
                    aVar.ePY = null;
                    aVar.ePJ = String.format("%s/%s", new Object[]{kdH, g.x(str.getBytes())});
                    aVar.ePH = true;
                    aVar.eQf = true;
                    aVar.ePF = true;
                    aVar.ePO = dimensionPixelOffset;
                    aVar.ePN = dimensionPixelOffset;
                    aVar.ePT = 2131231917;
                    o.ahp().a(str, imageView, aVar.ahG());
                }
            }
        }
        if (!TextUtils.isEmpty(this.qsJ.title)) {
            this.qsU.setText(this.qsJ.title);
        }
        if (!TextUtils.isEmpty(this.qsJ.kdg)) {
            this.qsV.setText(this.qsJ.kdg);
        }
        if (this.qsJ.kbZ > 0) {
            this.qsW.setText(getContext().getString(2131298013, new Object[]{com.tencent.mm.plugin.shake.c.c.a.fQ((long) this.qsJ.kbZ)}));
        }
        if (this.qtd == a.qtl) {
            this.qsR.setVisibility(0);
            AppMethodBeat.o(24560);
            return;
        }
        this.qsR.setVisibility(8);
        AppMethodBeat.o(24560);
    }

    public static a a(Context context, com.tencent.mm.plugin.shake.c.a.e eVar, OnCancelListener onCancelListener, b bVar) {
        AppMethodBeat.i(24561);
        if (((Activity) context).isFinishing()) {
            AppMethodBeat.o(24561);
            return null;
        }
        a aVar = new a(context);
        aVar.setOnCancelListener(onCancelListener);
        aVar.setCancelable(true);
        aVar.qsJ = eVar;
        if (aVar.qsJ == null) {
            ab.e("MicroMsg.ShakeCardDialog", "updateView() mCardItem == null");
        } else {
            if (TextUtils.isEmpty(aVar.qsJ.title)) {
                aVar.qsO.setText(aVar.qsJ.title);
            }
            ab.i("MicroMsg.ShakeCardDialog", "updateView() action_type is has card");
            aVar.qtd = a.qti;
            aVar.updateLayout();
            aVar.ckf();
            if (aVar.qtb == 0) {
                aVar.qsN.setBackgroundResource(2130840132);
                aVar.qsS.setBackgroundResource(2130840133);
                aVar.qsO.setTextColor(aVar.mResources.getColor(2131689761));
                aVar.qsP.setTextColor(aVar.mResources.getColor(2131690303));
                aVar.qsQ.setTextColor(aVar.mResources.getColor(2131690303));
                aVar.pUz.setTextColor(aVar.getContext().getResources().getColor(2131689761));
                aVar.kgI.setBackgroundResource(2130838000);
                aVar.kgI.setTextColor(aVar.getContext().getResources().getColor(2131690691));
                aVar.qsR.setTextColor(aVar.getContext().getResources().getColor(2131690309));
            }
        }
        aVar.qte = bVar;
        aVar.show();
        h.a(context, aVar);
        AppMethodBeat.o(24561);
        return aVar;
    }

    static /* synthetic */ void d(a aVar) {
        AppMethodBeat.i(24564);
        ab.i("MicroMsg.ShakeCardDialog", "doNetSceneAccept()");
        if (TextUtils.isEmpty(aVar.qsJ.kbU)) {
            ab.e("MicroMsg.ShakeCardDialog", "card_tp_id is empty befor doNetSceneAccept");
            AppMethodBeat.o(24564);
            return;
        }
        qj qjVar = new qj();
        qjVar.cMB = null;
        qjVar.cMA.cMC = aVar.qsJ.kbU;
        qjVar.cMA.cMD = aVar.qsJ.cMD;
        qjVar.cMA.cME = 15;
        qjVar.callback = new 3(aVar, qjVar);
        com.tencent.mm.sdk.b.a.xxA.a(qjVar, Looper.getMainLooper());
        AppMethodBeat.o(24564);
    }

    static /* synthetic */ void f(a aVar) {
        AppMethodBeat.i(24565);
        ab.i("MicroMsg.ShakeCardDialog", "goCardDetailUI ShakeCardDialog");
        com.tencent.mm.plugin.report.service.h.pYm.X(11665, aVar.kaE);
        com.tencent.mm.plugin.shake.c.c.a.u(aVar.getContext(), aVar.kaE, aVar.qsJ.cMD);
        AppMethodBeat.o(24565);
    }

    static /* synthetic */ void i(a aVar) {
        AppMethodBeat.i(24567);
        aVar.cke();
        if (aVar.qtd == a.qtk) {
            aVar.pUz.setText(2131303383);
            if (aVar.qtb == 1) {
                aVar.qsY.setImageResource(2131231918);
                AppMethodBeat.o(24567);
                return;
            }
            aVar.qsY.setImageResource(2131231919);
        }
        AppMethodBeat.o(24567);
    }
}
