package com.tencent.mm.view;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.util.AttributeSet;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.GridView;
import android.widget.ListAdapter;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.bp.d;
import com.tencent.mm.emoji.a.b;
import com.tencent.mm.m.g;
import com.tencent.mm.plugin.emojicapture.api.EmojiCaptureReporter;
import com.tencent.mm.plugin.emojicapture.api.EmojiCaptureUploadManager.UploadTask;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.pluginsdk.ui.ChatFooterPanel;
import com.tencent.mm.pluginsdk.ui.ChatFooterPanel.a;
import com.tencent.mm.pluginsdk.ui.chat.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.emotion.EmojiGroupInfo;
import com.tencent.mm.storage.emotion.EmojiInfo;
import com.tencent.mm.ui.widget.a.e;
import com.tencent.mm.ui.widget.a.e.c;

public class SmileyGrid extends GridView {
    public static int zZY = 1;
    public int Aaa = 0;
    private int Aab = 0;
    private a Aac;
    private boolean Aad;
    public OnItemClickListener Aae = new 9(this);
    public ListAdapter Ei;
    private int gOW = ChatFooterPanel.vhh;
    private OnItemClickListener jMk = new 1(this);
    private int jiw;
    public int jiy;
    private j voG;
    private int zZZ = 20;

    public void setCallback(j jVar) {
        this.voG = jVar;
    }

    public SmileyGrid(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(62913);
        AppMethodBeat.o(62913);
    }

    /* Access modifiers changed, original: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        AppMethodBeat.i(62914);
        super.onSizeChanged(i, i2, i3, i4);
        AppMethodBeat.o(62914);
    }

    /* Access modifiers changed, original: protected */
    @TargetApi(8)
    public void onConfigurationChanged(Configuration configuration) {
        AppMethodBeat.i(62915);
        super.onConfigurationChanged(configuration);
        AppMethodBeat.o(62915);
    }

    public final void dMI() {
        AppMethodBeat.i(62916);
        setOnItemClickListener(this.jMk);
        AppMethodBeat.o(62916);
    }

    public final void j(int i, int i2, int i3, int i4, int i5) {
        AppMethodBeat.i(62917);
        ab.v("MicroMsg.emoji.SmileyGrid", "type:" + i + " itemsPerPage:" + i4 + " totalPage:" + i5 + " curPage:" + this.jiy);
        setOnItemClickListener(this.jMk);
        this.zZZ = i;
        this.jiy = i2;
        this.jiw = i3;
        this.Aaa = i4;
        this.Aab = i5;
        AppMethodBeat.o(62917);
    }

    public void release() {
        this.Aac = null;
        this.voG = null;
    }

    public void setAdapter(ListAdapter listAdapter) {
        AppMethodBeat.i(62918);
        super.setAdapter(listAdapter);
        this.Ei = listAdapter;
        AppMethodBeat.o(62918);
    }

    public void setOnTextOperationListener(a aVar) {
        this.Aac = aVar;
    }

    public int getSmileyType() {
        return this.zZZ;
    }

    public void setScene(int i) {
        this.gOW = i;
    }

    static /* synthetic */ void c(SmileyGrid smileyGrid) {
        AppMethodBeat.i(62920);
        h.pYm.e(11594, new Object[]{Integer.valueOf(1)});
        String value = g.Nu().getValue("ShowDesignerEmoji");
        ab.i("MicroMsg.emoji.SmileyGrid", "get dynamic Designer_Emoji_Store_Show config value:%s", new Object[]{value});
        d.b(smileyGrid.getContext(), "emoji", ".ui.EmojiCustomUI", new Intent());
        AppMethodBeat.o(62920);
    }

    static /* synthetic */ void a(SmileyGrid smileyGrid, EmojiInfo emojiInfo) {
        AppMethodBeat.i(62921);
        if (smileyGrid.voG == null || emojiInfo == null) {
            ab.e("MicroMsg.emoji.SmileyGrid", "jacks npe dealCustomEmojiClick");
            AppMethodBeat.o(62921);
        } else if (zZY == 2) {
            if (emojiInfo.field_catalog == EmojiGroupInfo.yad) {
                com.tencent.mm.ui.base.h.g(smileyGrid.getContext(), 2131298081, 2131298081).show();
            }
            AppMethodBeat.o(62921);
        } else if (!smileyGrid.voG.bOf()) {
            com.tencent.mm.ui.base.h.a(smileyGrid.getContext(), 2131298185, 0, new 16(smileyGrid));
            AppMethodBeat.o(62921);
        } else if (emojiInfo.field_type != EmojiInfo.yap && emojiInfo.field_type != EmojiInfo.yaq) {
            ab.i("MicroMsg.emoji.SmileyGrid", "cpan send dealcustom emoji click emoji:%s", new Object[]{emojiInfo.Aq()});
            final EmojiInfo n = ((com.tencent.mm.plugin.emoji.b.d) com.tencent.mm.kernel.g.M(com.tencent.mm.plugin.emoji.b.d.class)).getProvider().n(emojiInfo);
            if (n != null) {
                e.a aVar;
                switch (8.Aag[n.duZ().ordinal()]) {
                    case 1:
                        smileyGrid.voG.A(n);
                        ab.d("MicroMsg.emoji.SmileyGrid", "onSendCustomEmoji emoji md5 is [%s]", new Object[]{n.Aq()});
                        AppMethodBeat.o(62921);
                        return;
                    case 2:
                    case 3:
                        com.tencent.mm.ui.base.h.bQ(smileyGrid.getContext(), smileyGrid.getContext().getString(2131299026));
                        AppMethodBeat.o(62921);
                        return;
                    case 4:
                        aVar = new e.a(smileyGrid.getContext());
                        aVar.asL(smileyGrid.getContext().getString(2131299021)).Qg(2131299198).Qh(smileyGrid.getContext().getResources().getColor(2131690386));
                        aVar.c(new c() {
                            public final void d(boolean z, String str) {
                                AppMethodBeat.i(62907);
                                if (z && !bo.isNullOrNil(n.Aq())) {
                                    ((com.tencent.mm.plugin.emoji.b.d) com.tencent.mm.kernel.g.M(com.tencent.mm.plugin.emoji.b.d.class)).getEmojiMgr().Jr(n.Aq());
                                }
                                AppMethodBeat.o(62907);
                            }
                        }).show();
                        AppMethodBeat.o(62921);
                        return;
                    case 5:
                        ab.d("MicroMsg.emoji.SmileyGrid", "CaptureUploadErrCode: %d.", new Object[]{Integer.valueOf(n.dvc().ordinal())});
                        switch (8.lgJ[n.dvc().ordinal()]) {
                            case 1:
                            case 2:
                            case 3:
                            case 4:
                                aVar = new e.a(smileyGrid.getContext());
                                aVar.asL(smileyGrid.getContext().getString(2131299025)).Qg(2131299023);
                                aVar.c(new c() {
                                    public final void d(boolean z, String str) {
                                        AppMethodBeat.i(62908);
                                        if (z) {
                                            n.a(EmojiInfo.a.yaF);
                                            ((com.tencent.mm.plugin.emoji.b.d) com.tencent.mm.kernel.g.M(com.tencent.mm.plugin.emoji.b.d.class)).getEmojiMgr().updateEmojiInfo(n);
                                            EmojiCaptureReporter emojiCaptureReporter = new EmojiCaptureReporter();
                                            emojiCaptureReporter.ezZ = System.currentTimeMillis();
                                            emojiCaptureReporter.lgP = System.currentTimeMillis();
                                            ((com.tencent.mm.plugin.emoji.b.d) com.tencent.mm.kernel.g.M(com.tencent.mm.plugin.emoji.b.d.class)).getProvider().b(new UploadTask(n.field_md5, emojiCaptureReporter));
                                        }
                                        AppMethodBeat.o(62908);
                                    }
                                }).show();
                                AppMethodBeat.o(62921);
                                return;
                            case 5:
                                ((com.tencent.mm.plugin.emoji.b.d) com.tencent.mm.kernel.g.M(com.tencent.mm.plugin.emoji.b.d.class)).getEmojiMgr();
                                b bVar = b.eyD;
                                if (b.OF()) {
                                    aVar = new e.a(smileyGrid.getContext());
                                    aVar.asL(smileyGrid.getContext().getString(2131299197)).zQJ = smileyGrid.getContext().getString(2131299121);
                                    aVar.c(new c() {
                                        public final void d(boolean z, String str) {
                                            AppMethodBeat.i(62909);
                                            if (z) {
                                                Intent intent = new Intent();
                                                intent.putExtra("key_emoji_panel_type", 1);
                                                d.b(SmileyGrid.this.getContext(), "emoji", ".ui.EmojiCustomUI", intent);
                                            }
                                            AppMethodBeat.o(62909);
                                        }
                                    }).show();
                                    AppMethodBeat.o(62921);
                                    return;
                                }
                                break;
                            case 6:
                                break;
                            case 7:
                            case 8:
                            case 9:
                            case 10:
                                String string;
                                if (EmojiInfo.b.yaP == n.dvc()) {
                                    string = smileyGrid.getContext().getString(2131299021);
                                } else if (EmojiInfo.b.yaQ == n.dvc()) {
                                    string = smileyGrid.getContext().getString(2131299042);
                                } else if (EmojiInfo.b.yaR == n.dvc()) {
                                    string = smileyGrid.getContext().getString(2131299024);
                                } else {
                                    string = smileyGrid.getContext().getString(2131299022);
                                }
                                e.a aVar2 = new e.a(smileyGrid.getContext());
                                aVar2.asL(string).Qg(2131299198).Qh(smileyGrid.getContext().getResources().getColor(2131690386));
                                aVar2.c(new 14(smileyGrid, n)).show();
                                AppMethodBeat.o(62921);
                                return;
                            default:
                                aVar = new e.a(smileyGrid.getContext());
                                aVar.asL(smileyGrid.getContext().getString(2131299025)).Qg(2131299023);
                                aVar.c(new 15(smileyGrid, n)).show();
                                AppMethodBeat.o(62921);
                                return;
                        }
                        aVar = new e.a(smileyGrid.getContext());
                        aVar.asL(smileyGrid.getContext().getString(2131299025)).Qg(2131299023);
                        aVar.c(new 13(smileyGrid, n)).show();
                        AppMethodBeat.o(62921);
                        return;
                    default:
                        AppMethodBeat.o(62921);
                        return;
                }
            }
            ab.w("MicroMsg.emoji.SmileyGrid", "onSendCustomEmoji error, emoji is null");
            AppMethodBeat.o(62921);
        } else if (smileyGrid.voG.bOe()) {
            smileyGrid.voG.B(emojiInfo);
            ab.d("MicroMsg.emoji.SmileyGrid", "onSendAppMsgCustomEmoji emoji md5 is [%s]", new Object[]{emojiInfo.Aq()});
            AppMethodBeat.o(62921);
        } else {
            Toast.makeText(smileyGrid.getContext(), smileyGrid.getContext().getString(2131298184), 0).show();
            AppMethodBeat.o(62921);
        }
    }

    /* JADX WARNING: Missing block: B:20:0x019a, code skipped:
            r0 = new com.tencent.mm.ui.widget.a.e.a(r9.getContext());
            r0.asL(r9.getContext().getString(2131299025)).Qg(2131299023);
            r0.c(new com.tencent.mm.view.SmileyGrid.5(r9, r10)).show();
            com.tencent.matrix.trace.core.AppMethodBeat.o(62922);
     */
    /* JADX WARNING: Missing block: B:40:?, code skipped:
            return;
     */
    static /* synthetic */ void b(com.tencent.mm.view.SmileyGrid r9, final com.tencent.mm.storage.emotion.EmojiInfo r10) {
        /*
        r8 = 2131299025; // 0x7f090ad1 float:1.821604E38 double:1.0530016293E-314;
        r7 = 2131299023; // 0x7f090acf float:1.8216036E38 double:1.0530016283E-314;
        r4 = 1;
        r6 = 0;
        r5 = 62922; // 0xf5ca float:8.8173E-41 double:3.10876E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r5);
        r0 = r9.voG;
        if (r0 == 0) goto L_0x0014;
    L_0x0012:
        if (r10 != 0) goto L_0x0021;
    L_0x0014:
        r0 = "MicroMsg.emoji.SmileyGrid";
        r1 = "penn npe dealCaptureEmojiClick";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
    L_0x0020:
        return;
    L_0x0021:
        r0 = "capture";
        r1 = r10.field_groupId;
        r0 = com.tencent.mm.sdk.platformtools.bo.isEqual(r0, r1);
        if (r0 != 0) goto L_0x003f;
    L_0x002c:
        r0 = "MicroMsg.emoji.SmileyGrid";
        r1 = "penn group err, %s.";
        r2 = new java.lang.Object[r4];
        r3 = r10.field_groupId;
        r2[r6] = r3;
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1, r2);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0020;
    L_0x003f:
        r0 = "MicroMsg.emoji.SmileyGrid";
        r1 = "penn send capture emoji click emoji: %s status: %d.";
        r2 = 2;
        r2 = new java.lang.Object[r2];
        r3 = r10.Aq();
        r2[r6] = r3;
        r3 = r10.field_captureStatus;
        r3 = java.lang.Integer.valueOf(r3);
        r2[r4] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r2);
        r0 = com.tencent.mm.view.SmileyGrid.8.Aag;
        r1 = r10.duZ();
        r1 = r1.ordinal();
        r0 = r0[r1];
        switch(r0) {
            case 1: goto L_0x006c;
            case 2: goto L_0x0086;
            case 3: goto L_0x0086;
            case 4: goto L_0x009c;
            case 5: goto L_0x00de;
            default: goto L_0x0068;
        };
    L_0x0068:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0020;
    L_0x006c:
        r0 = r9.voG;
        r0.A(r10);
        r0 = "MicroMsg.emoji.SmileyGrid";
        r1 = "onSendCustomEmoji emoji md5 is [%s].";
        r2 = new java.lang.Object[r4];
        r3 = r10.Aq();
        r2[r6] = r3;
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1, r2);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0020;
    L_0x0086:
        r0 = r9.getContext();
        r1 = r9.getContext();
        r2 = 2131299026; // 0x7f090ad2 float:1.8216042E38 double:1.05300163E-314;
        r1 = r1.getString(r2);
        com.tencent.mm.ui.base.h.bQ(r0, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0020;
    L_0x009c:
        r0 = new com.tencent.mm.ui.widget.a.e$a;
        r1 = r9.getContext();
        r0.<init>(r1);
        r1 = r9.getContext();
        r2 = 2131299021; // 0x7f090acd float:1.8216032E38 double:1.0530016273E-314;
        r1 = r1.getString(r2);
        r1 = r0.asL(r1);
        r2 = 2131299198; // 0x7f090b7e float:1.821639E38 double:1.0530017147E-314;
        r1 = r1.Qg(r2);
        r2 = r9.getContext();
        r2 = r2.getResources();
        r3 = 2131690386; // 0x7f0f0392 float:1.9009814E38 double:1.0531949873E-314;
        r2 = r2.getColor(r3);
        r1.Qh(r2);
        r1 = new com.tencent.mm.view.SmileyGrid$2;
        r1.<init>(r9, r10);
        r0 = r0.c(r1);
        r0.show();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0020;
    L_0x00de:
        r0 = r10.dvc();
        r1 = "MicroMsg.emoji.SmileyGrid";
        r2 = "CaptureUploadErrCode: %d.";
        r3 = new java.lang.Object[r4];
        r4 = r0.ordinal();
        r4 = java.lang.Integer.valueOf(r4);
        r3[r6] = r4;
        com.tencent.mm.sdk.platformtools.ab.d(r1, r2, r3);
        r1 = com.tencent.mm.view.SmileyGrid.8.lgJ;
        r0 = r0.ordinal();
        r0 = r1[r0];
        switch(r0) {
            case 1: goto L_0x0128;
            case 2: goto L_0x0128;
            case 3: goto L_0x0128;
            case 4: goto L_0x0128;
            case 5: goto L_0x0151;
            case 6: goto L_0x019a;
            case 7: goto L_0x01c3;
            case 8: goto L_0x01c3;
            case 9: goto L_0x01c3;
            case 10: goto L_0x01c3;
            default: goto L_0x0102;
        };
    L_0x0102:
        r0 = new com.tencent.mm.ui.widget.a.e$a;
        r1 = r9.getContext();
        r0.<init>(r1);
        r1 = r9.getContext();
        r1 = r1.getString(r8);
        r1 = r0.asL(r1);
        r1.Qg(r7);
        r1 = new com.tencent.mm.view.SmileyGrid$7;
        r1.<init>(r10);
        r0 = r0.c(r1);
        r0.show();
        goto L_0x0068;
    L_0x0128:
        r0 = new com.tencent.mm.ui.widget.a.e$a;
        r1 = r9.getContext();
        r0.<init>(r1);
        r1 = r9.getContext();
        r1 = r1.getString(r8);
        r1 = r0.asL(r1);
        r1.Qg(r7);
        r1 = new com.tencent.mm.view.SmileyGrid$3;
        r1.<init>(r9, r10);
        r0 = r0.c(r1);
        r0.show();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0020;
    L_0x0151:
        r0 = com.tencent.mm.plugin.emoji.b.d.class;
        r0 = com.tencent.mm.kernel.g.M(r0);
        r0 = (com.tencent.mm.plugin.emoji.b.d) r0;
        r0.getEmojiMgr();
        r0 = com.tencent.mm.emoji.a.b.eyD;
        r0 = com.tencent.mm.emoji.a.b.OF();
        if (r0 == 0) goto L_0x019a;
    L_0x0164:
        r0 = new com.tencent.mm.ui.widget.a.e$a;
        r1 = r9.getContext();
        r0.<init>(r1);
        r1 = r9.getContext();
        r2 = 2131299197; // 0x7f090b7d float:1.8216389E38 double:1.053001714E-314;
        r1 = r1.getString(r2);
        r1 = r0.asL(r1);
        r2 = r9.getContext();
        r3 = 2131299121; // 0x7f090b31 float:1.8216234E38 double:1.0530016767E-314;
        r2 = r2.getString(r3);
        r1.zQJ = r2;
        r1 = new com.tencent.mm.view.SmileyGrid$4;
        r1.<init>(r9);
        r0 = r0.c(r1);
        r0.show();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0020;
    L_0x019a:
        r0 = new com.tencent.mm.ui.widget.a.e$a;
        r1 = r9.getContext();
        r0.<init>(r1);
        r1 = r9.getContext();
        r1 = r1.getString(r8);
        r1 = r0.asL(r1);
        r1.Qg(r7);
        r1 = new com.tencent.mm.view.SmileyGrid$5;
        r1.<init>(r9, r10);
        r0 = r0.c(r1);
        r0.show();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0020;
    L_0x01c3:
        r0 = com.tencent.mm.storage.emotion.EmojiInfo.b.yaP;
        r1 = r10.dvc();
        if (r0 != r1) goto L_0x020d;
    L_0x01cb:
        r0 = r9.getContext();
        r1 = 2131299021; // 0x7f090acd float:1.8216032E38 double:1.0530016273E-314;
        r0 = r0.getString(r1);
    L_0x01d6:
        r1 = new com.tencent.mm.ui.widget.a.e$a;
        r2 = r9.getContext();
        r1.<init>(r2);
        r0 = r1.asL(r0);
        r2 = 2131299198; // 0x7f090b7e float:1.821639E38 double:1.0530017147E-314;
        r0 = r0.Qg(r2);
        r2 = r9.getContext();
        r2 = r2.getResources();
        r3 = 2131690386; // 0x7f0f0392 float:1.9009814E38 double:1.0531949873E-314;
        r2 = r2.getColor(r3);
        r0.Qh(r2);
        r0 = new com.tencent.mm.view.SmileyGrid$6;
        r0.<init>(r9, r10);
        r0 = r1.c(r0);
        r0.show();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0020;
    L_0x020d:
        r0 = com.tencent.mm.storage.emotion.EmojiInfo.b.yaQ;
        r1 = r10.dvc();
        if (r0 != r1) goto L_0x0221;
    L_0x0215:
        r0 = r9.getContext();
        r1 = 2131299042; // 0x7f090ae2 float:1.8216074E38 double:1.0530016377E-314;
        r0 = r0.getString(r1);
        goto L_0x01d6;
    L_0x0221:
        r0 = com.tencent.mm.storage.emotion.EmojiInfo.b.yaR;
        r1 = r10.dvc();
        if (r0 != r1) goto L_0x0235;
    L_0x0229:
        r0 = r9.getContext();
        r1 = 2131299024; // 0x7f090ad0 float:1.8216038E38 double:1.053001629E-314;
        r0 = r0.getString(r1);
        goto L_0x01d6;
    L_0x0235:
        r0 = r9.getContext();
        r1 = 2131299022; // 0x7f090ace float:1.8216034E38 double:1.053001628E-314;
        r0 = r0.getString(r1);
        goto L_0x01d6;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.view.SmileyGrid.b(com.tencent.mm.view.SmileyGrid, com.tencent.mm.storage.emotion.EmojiInfo):void");
    }
}
