package android.support.customtabs;

import android.app.Service;
import android.os.Bundle;
import android.os.IBinder;
import android.os.IBinder.DeathRecipient;
import android.support.v4.f.a;
import java.util.Map;
import java.util.NoSuchElementException;

public abstract class CustomTabsService extends Service {
    private final Map<IBinder, DeathRecipient> kD = new a();
    private e$a kE = new 1(this);

    public abstract boolean bi();

    public abstract boolean bj();

    public abstract boolean bk();

    public abstract Bundle bl();

    public abstract boolean bm();

    public abstract boolean bn();

    public abstract int bo();

    public abstract boolean bp();

    /* Access modifiers changed, original: protected|final */
    public final boolean a(c cVar) {
        try {
            synchronized (this.kD) {
                IBinder bq = cVar.bq();
                bq.unlinkToDeath((DeathRecipient) this.kD.get(bq), 0);
                this.kD.remove(bq);
            }
            return true;
        } catch (NoSuchElementException e) {
            return false;
        }
    }
}
