package android.support.v4.content;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.Executor;
import java.util.concurrent.FutureTask;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;

abstract class e<Params, Progress, Result> {
    private static final BlockingQueue<Runnable> Gw = new LinkedBlockingQueue(10);
    private static b Gx;
    private static volatile Executor Gy;
    public static final Executor THREAD_POOL_EXECUTOR;
    private static final ThreadFactory sThreadFactory = new 1();
    final FutureTask<Result> GA = new 3(this, this.Gz);
    volatile c GB = c.GI;
    final AtomicBoolean GC = new AtomicBoolean();
    private final AtomicBoolean GD = new AtomicBoolean();
    final d<Params, Result> Gz = new 2(this);

    static class b extends Handler {
        b() {
            super(Looper.getMainLooper());
        }

        public final void handleMessage(Message message) {
            a aVar = (a) message.obj;
            switch (message.what) {
                case 1:
                    aVar.GG.p(aVar.GH[0]);
                    return;
                default:
                    return;
            }
        }
    }

    public abstract Result dv();

    static {
        ThreadPoolExecutor threadPoolExecutor = new ThreadPoolExecutor(5, 128, 1, TimeUnit.SECONDS, Gw, sThreadFactory);
        THREAD_POOL_EXECUTOR = threadPoolExecutor;
        Gy = threadPoolExecutor;
    }

    private static Handler getHandler() {
        b bVar;
        synchronized (e.class) {
            if (Gx == null) {
                Gx = new b();
            }
            bVar = Gx;
        }
        return bVar;
    }

    e() {
    }

    /* Access modifiers changed, original: final */
    public final void n(Result result) {
        if (!this.GD.get()) {
            o(result);
        }
    }

    /* Access modifiers changed, original: final */
    public final Result o(Result result) {
        getHandler().obtainMessage(1, new a(this, new Object[]{result})).sendToTarget();
        return result;
    }

    /* Access modifiers changed, original: protected */
    public void onPostExecute(Result result) {
    }

    /* Access modifiers changed, original: protected */
    public void onCancelled(Result result) {
    }

    /* Access modifiers changed, original: final */
    public final void p(Result result) {
        if (this.GC.get()) {
            onCancelled(result);
        } else {
            onPostExecute(result);
        }
        this.GB = c.GK;
    }
}
