package android.support.v7.widget;

import android.support.v4.view.s;
import android.support.v7.widget.RecyclerView.LayoutParams;
import android.support.v7.widget.RecyclerView.o;
import android.view.View;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public abstract class RecyclerView$v {
    private static final List<Object> apR = Collections.EMPTY_LIST;
    private int Dj;
    public final View apJ;
    WeakReference<RecyclerView> apK;
    int apL = -1;
    public long apM = -1;
    public int apN = -1;
    int apO = -1;
    RecyclerView$v apP = null;
    RecyclerView$v apQ = null;
    List<Object> apS = null;
    List<Object> apT = null;
    private int apU = 0;
    private o apV = null;
    private boolean apW = false;
    private int apX = 0;
    int apY = -1;
    RecyclerView apZ;
    int mPosition = -1;

    public RecyclerView$v(View view) {
        if (view == null) {
            throw new IllegalArgumentException("itemView may not be null");
        }
        this.apJ = view;
    }

    /* Access modifiers changed, original: final */
    public final void o(int i, boolean z) {
        if (this.apL == -1) {
            this.apL = this.mPosition;
        }
        if (this.apO == -1) {
            this.apO = this.mPosition;
        }
        if (z) {
            this.apO += i;
        }
        this.mPosition += i;
        if (this.apJ.getLayoutParams() != null) {
            ((LayoutParams) this.apJ.getLayoutParams()).aoN = true;
        }
    }

    /* Access modifiers changed, original: final */
    public final void kf() {
        this.apL = -1;
        this.apO = -1;
    }

    /* Access modifiers changed, original: final */
    public final void kg() {
        if (this.apL == -1) {
            this.apL = this.mPosition;
        }
    }

    /* Access modifiers changed, original: final */
    public final boolean kh() {
        return (this.Dj & 128) != 0;
    }

    @Deprecated
    public final int getPosition() {
        return this.apO == -1 ? this.mPosition : this.apO;
    }

    public final int ki() {
        return this.apO == -1 ? this.mPosition : this.apO;
    }

    public final int kj() {
        if (this.apZ == null) {
            return -1;
        }
        return this.apZ.i(this);
    }

    public final int kk() {
        return this.apN;
    }

    /* Access modifiers changed, original: final */
    public final boolean kl() {
        return this.apV != null;
    }

    /* Access modifiers changed, original: final */
    public final void km() {
        this.apV.t(this);
    }

    /* Access modifiers changed, original: final */
    public final boolean kn() {
        return (this.Dj & 32) != 0;
    }

    /* Access modifiers changed, original: final */
    public final void ko() {
        this.Dj &= -33;
    }

    /* Access modifiers changed, original: final */
    public final void kp() {
        this.Dj &= -257;
    }

    /* Access modifiers changed, original: final */
    public final void a(o oVar, boolean z) {
        this.apV = oVar;
        this.apW = z;
    }

    /* Access modifiers changed, original: final */
    public final boolean kq() {
        return (this.Dj & 4) != 0;
    }

    /* Access modifiers changed, original: final */
    public final boolean kr() {
        return (this.Dj & 2) != 0;
    }

    /* Access modifiers changed, original: final */
    public final boolean isBound() {
        return (this.Dj & 1) != 0;
    }

    public final boolean isRemoved() {
        return (this.Dj & 8) != 0;
    }

    /* Access modifiers changed, original: final */
    public final boolean cx(int i) {
        return (this.Dj & i) != 0;
    }

    /* Access modifiers changed, original: final */
    public final boolean ks() {
        return (this.Dj & 256) != 0;
    }

    /* Access modifiers changed, original: final */
    public final void setFlags(int i, int i2) {
        this.Dj = (this.Dj & (i2 ^ -1)) | (i & i2);
    }

    /* Access modifiers changed, original: final */
    public final void addFlags(int i) {
        this.Dj |= i;
    }

    /* Access modifiers changed, original: final */
    public final void O(Object obj) {
        if (obj == null) {
            addFlags(1024);
        } else if ((this.Dj & 1024) == 0) {
            kt();
            this.apS.add(obj);
        }
    }

    private void kt() {
        if (this.apS == null) {
            this.apS = new ArrayList();
            this.apT = Collections.unmodifiableList(this.apS);
        }
    }

    /* Access modifiers changed, original: final */
    public final void ku() {
        if (this.apS != null) {
            this.apS.clear();
        }
        this.Dj &= -1025;
    }

    /* Access modifiers changed, original: final */
    public final List<Object> kv() {
        if ((this.Dj & 1024) != 0) {
            return apR;
        }
        if (this.apS == null || this.apS.size() == 0) {
            return apR;
        }
        return this.apT;
    }

    /* Access modifiers changed, original: final */
    public final void resetInternal() {
        this.Dj = 0;
        this.mPosition = -1;
        this.apL = -1;
        this.apM = -1;
        this.apO = -1;
        this.apU = 0;
        this.apP = null;
        this.apQ = null;
        ku();
        this.apX = 0;
        this.apY = -1;
        RecyclerView.h(this);
    }

    public String toString() {
        Object obj;
        StringBuilder stringBuilder = new StringBuilder("ViewHolder{" + Integer.toHexString(hashCode()) + " position=" + this.mPosition + " id=" + this.apM + ", oldPos=" + this.apL + ", pLpos:" + this.apO);
        if (kl()) {
            stringBuilder.append(" scrap ").append(this.apW ? "[changeScrap]" : "[attachedScrap]");
        }
        if (kq()) {
            stringBuilder.append(" invalid");
        }
        if (!isBound()) {
            stringBuilder.append(" unbound");
        }
        if (kr()) {
            stringBuilder.append(" update");
        }
        if (isRemoved()) {
            stringBuilder.append(" removed");
        }
        if (kh()) {
            stringBuilder.append(" ignored");
        }
        if (ks()) {
            stringBuilder.append(" tmpDetached");
        }
        if (!kw()) {
            stringBuilder.append(" not recyclable(" + this.apU + ")");
        }
        if ((this.Dj & 512) != 0 || kq()) {
            obj = 1;
        } else {
            obj = null;
        }
        if (obj != null) {
            stringBuilder.append(" undefined adapter position");
        }
        if (this.apJ.getParent() == null) {
            stringBuilder.append(" no parent");
        }
        stringBuilder.append("}");
        return stringBuilder.toString();
    }

    public final void ao(boolean z) {
        this.apU = z ? this.apU - 1 : this.apU + 1;
        if (this.apU < 0) {
            this.apU = 0;
            new StringBuilder("isRecyclable decremented below 0: unmatched pair of setIsRecyable() calls for ").append(this);
        } else if (!z && this.apU == 1) {
            this.Dj |= 16;
        } else if (z && this.apU == 0) {
            this.Dj &= -17;
        }
    }

    public final boolean kw() {
        return (this.Dj & 16) == 0 && !s.Q(this.apJ);
    }

    /* Access modifiers changed, original: final */
    public final boolean kx() {
        return (this.Dj & 2) != 0;
    }

    static /* synthetic */ void b(RecyclerView$v recyclerView$v, RecyclerView recyclerView) {
        recyclerView.b(recyclerView$v, recyclerView$v.apX);
        recyclerView$v.apX = 0;
    }

    static /* synthetic */ boolean v(RecyclerView$v recyclerView$v) {
        return (recyclerView$v.Dj & 16) == 0 && s.Q(recyclerView$v.apJ);
    }

    static /* synthetic */ boolean z(RecyclerView$v recyclerView$v) {
        return (recyclerView$v.Dj & 16) != 0;
    }
}
