package com.facebook.login;

import android.content.Context;
import com.facebook.FacebookSdk;
import com.tencent.matrix.trace.core.AppMethodBeat;

class LoginManager$LoginLoggerHolder {
    private static LoginLogger logger;

    private LoginManager$LoginLoggerHolder() {
    }

    static /* synthetic */ LoginLogger access$000(Context context) {
        AppMethodBeat.i(96880);
        LoginLogger logger = getLogger(context);
        AppMethodBeat.o(96880);
        return logger;
    }

    private static synchronized LoginLogger getLogger(Context context) {
        LoginLogger loginLogger;
        synchronized (LoginManager$LoginLoggerHolder.class) {
            AppMethodBeat.i(96879);
            if (context == null) {
                context = FacebookSdk.getApplicationContext();
            }
            if (context == null) {
                loginLogger = null;
                AppMethodBeat.o(96879);
            } else {
                if (logger == null) {
                    logger = new LoginLogger(context, FacebookSdk.getApplicationId());
                }
                loginLogger = logger;
                AppMethodBeat.o(96879);
            }
        }
        return loginLogger;
    }
}
