package com.facebook.share.model;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public final class ShareMediaContent extends ShareContent<ShareMediaContent, Builder> {
    public static final Creator<ShareMediaContent> CREATOR = new 1();
    private final List<ShareMedia> media;

    private ShareMediaContent(Builder builder) {
        super(builder);
        AppMethodBeat.i(97446);
        this.media = Collections.unmodifiableList(Builder.access$000(builder));
        AppMethodBeat.o(97446);
    }

    ShareMediaContent(Parcel parcel) {
        super(parcel);
        AppMethodBeat.i(97447);
        this.media = Arrays.asList((ShareMedia[]) parcel.readParcelableArray(ShareMedia.class.getClassLoader()));
        AppMethodBeat.o(97447);
    }

    public final List<ShareMedia> getMedia() {
        return this.media;
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(97448);
        super.writeToParcel(parcel, i);
        parcel.writeParcelableArray((ShareMedia[]) this.media.toArray(), i);
        AppMethodBeat.o(97448);
    }

    static {
        AppMethodBeat.i(97449);
        AppMethodBeat.o(97449);
    }
}
