package com.facebook.share.model;

import android.net.Uri;
import android.os.Parcel;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class ShareMessengerGenericTemplateElement$Builder implements ShareModelBuilder<ShareMessengerGenericTemplateElement, ShareMessengerGenericTemplateElement$Builder> {
    private ShareMessengerActionButton button;
    private ShareMessengerActionButton defaultAction;
    private Uri imageUrl;
    private String subtitle;
    private String title;

    public ShareMessengerGenericTemplateElement$Builder setTitle(String str) {
        this.title = str;
        return this;
    }

    public ShareMessengerGenericTemplateElement$Builder setSubtitle(String str) {
        this.subtitle = str;
        return this;
    }

    public ShareMessengerGenericTemplateElement$Builder setImageUrl(Uri uri) {
        this.imageUrl = uri;
        return this;
    }

    public ShareMessengerGenericTemplateElement$Builder setDefaultAction(ShareMessengerActionButton shareMessengerActionButton) {
        this.defaultAction = shareMessengerActionButton;
        return this;
    }

    public ShareMessengerGenericTemplateElement$Builder setButton(ShareMessengerActionButton shareMessengerActionButton) {
        this.button = shareMessengerActionButton;
        return this;
    }

    public ShareMessengerGenericTemplateElement build() {
        AppMethodBeat.i(97468);
        ShareMessengerGenericTemplateElement shareMessengerGenericTemplateElement = new ShareMessengerGenericTemplateElement(this, null);
        AppMethodBeat.o(97468);
        return shareMessengerGenericTemplateElement;
    }

    public ShareMessengerGenericTemplateElement$Builder readFrom(ShareMessengerGenericTemplateElement shareMessengerGenericTemplateElement) {
        AppMethodBeat.i(97469);
        if (shareMessengerGenericTemplateElement == null) {
            AppMethodBeat.o(97469);
            return this;
        }
        this = setTitle(ShareMessengerGenericTemplateElement.access$1000(shareMessengerGenericTemplateElement)).setSubtitle(ShareMessengerGenericTemplateElement.access$900(shareMessengerGenericTemplateElement)).setImageUrl(ShareMessengerGenericTemplateElement.access$800(shareMessengerGenericTemplateElement)).setDefaultAction(ShareMessengerGenericTemplateElement.access$700(shareMessengerGenericTemplateElement)).setButton(ShareMessengerGenericTemplateElement.access$600(shareMessengerGenericTemplateElement));
        AppMethodBeat.o(97469);
        return this;
    }

    /* Access modifiers changed, original: 0000 */
    public ShareMessengerGenericTemplateElement$Builder readFrom(Parcel parcel) {
        AppMethodBeat.i(97470);
        ShareMessengerGenericTemplateElement$Builder readFrom = readFrom((ShareMessengerGenericTemplateElement) parcel.readParcelable(ShareMessengerGenericTemplateElement.class.getClassLoader()));
        AppMethodBeat.o(97470);
        return readFrom;
    }
}
