package com.facebook.share.model;

import android.net.Uri;
import com.facebook.share.model.ShareMessengerActionButton.Builder;
import com.facebook.share.model.ShareMessengerURLActionButton.WebviewHeightRatio;
import com.tencent.matrix.trace.core.AppMethodBeat;

public final class ShareMessengerURLActionButton$Builder extends Builder<ShareMessengerURLActionButton, ShareMessengerURLActionButton$Builder> {
    private Uri fallbackUrl;
    private boolean isMessengerExtensionURL;
    private boolean shouldHideWebviewShareButton;
    private Uri url;
    private WebviewHeightRatio webviewHeightRatio;

    public final ShareMessengerURLActionButton$Builder setUrl(Uri uri) {
        this.url = uri;
        return this;
    }

    public final ShareMessengerURLActionButton$Builder setIsMessengerExtensionURL(boolean z) {
        this.isMessengerExtensionURL = z;
        return this;
    }

    public final ShareMessengerURLActionButton$Builder setFallbackUrl(Uri uri) {
        this.fallbackUrl = uri;
        return this;
    }

    public final ShareMessengerURLActionButton$Builder setWebviewHeightRatio(WebviewHeightRatio webviewHeightRatio) {
        this.webviewHeightRatio = webviewHeightRatio;
        return this;
    }

    public final ShareMessengerURLActionButton$Builder setShouldHideWebviewShareButton(boolean z) {
        this.shouldHideWebviewShareButton = z;
        return this;
    }

    public final ShareMessengerURLActionButton$Builder readFrom(ShareMessengerURLActionButton shareMessengerURLActionButton) {
        AppMethodBeat.i(97507);
        if (shareMessengerURLActionButton == null) {
            AppMethodBeat.o(97507);
            return this;
        }
        this = setUrl(shareMessengerURLActionButton.getUrl()).setIsMessengerExtensionURL(shareMessengerURLActionButton.getIsMessengerExtensionURL()).setFallbackUrl(shareMessengerURLActionButton.getFallbackUrl()).setWebviewHeightRatio(shareMessengerURLActionButton.getWebviewHeightRatio()).setShouldHideWebviewShareButton(shareMessengerURLActionButton.getShouldHideWebviewShareButton());
        AppMethodBeat.o(97507);
        return this;
    }

    public final ShareMessengerURLActionButton build() {
        AppMethodBeat.i(97508);
        ShareMessengerURLActionButton shareMessengerURLActionButton = new ShareMessengerURLActionButton(this, null);
        AppMethodBeat.o(97508);
        return shareMessengerURLActionButton;
    }
}
