package com.google.android.gms.stats.internal;

import com.google.android.gms.common.config.GservicesValue;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.concurrent.TimeUnit;

public final class G {

    public static final class netStats {
        public static final GservicesValue<Long> dataSourcePollIntervalMillis = GservicesValue.value("gms:stats:netstats:data_source_poll_millis", Long.valueOf(TimeUnit.MINUTES.toMillis(30)));
        public static final GservicesValue<Boolean> enabled = GservicesValue.value("gms:stats:netstats:enabled", true);
        public static final GservicesValue<Long> recordIntervalSecs = GservicesValue.value("gms:stats:netstats:record_interval_secs", Long.valueOf(TimeUnit.DAYS.toSeconds(1)));

        static {
            AppMethodBeat.i(113977);
            AppMethodBeat.o(113977);
        }

        private netStats() {
        }
    }
}
