package com.tencent.mm.model.gdpr.ui;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.os.ResultReceiver;
import android.view.KeyEvent;
import android.view.View;
import android.widget.FrameLayout;
import com.tencent.luggage.a.e;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.appbrand.r.q;
import com.tencent.mm.plugin.webview.ui.tools.widget.c;
import com.tencent.mm.plugin.webview.ui.tools.widget.f;
import com.tencent.mm.sdk.platformtools.aa;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.MMFalseProgressBar;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.widget.MMWebView;
import java.util.Locale;

@a(1)
public class MPGdprPolicyUI extends MMActivity {
    private MMFalseProgressBar fou;
    private MMWebView fow;
    private com.tencent.mm.model.gdpr.a fox;
    private ResultReceiver foy;
    private String mAppID;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void a(MPGdprPolicyUI mPGdprPolicyUI, boolean z) {
        AppMethodBeat.i(1512);
        mPGdprPolicyUI.cz(z);
        AppMethodBeat.o(1512);
    }

    public final int getLayoutId() {
        return -1;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(1505);
        super.onCreate(bundle);
        try {
            if (getIntent() != null) {
                ResultReceiver resultReceiver = (ResultReceiver) getIntent().getParcelableExtra("MPGdprPolicyUI_KEY_RECEIVER");
                this.foy = resultReceiver;
                if (resultReceiver != null) {
                    this.fox = com.tencent.mm.model.gdpr.a.oY(getIntent().getStringExtra("MPGdprPolicyUI_KEY_BUSINESS"));
                    if (this.fox == null) {
                        ab.e("MicroMsg.MPGdprPolicyUI", "onCreate get empty business");
                        cz(false);
                        finish();
                        AppMethodBeat.o(1505);
                        return;
                    }
                    this.mAppID = getIntent().getStringExtra("MPGdprPolicyUI_KEY_APPID");
                    AppMethodBeat.o(1505);
                    return;
                }
            }
            finish();
            AppMethodBeat.o(1505);
        } catch (Exception e) {
            ab.e("MicroMsg.MPGdprPolicyUI", "onCreate get receiver ex = %s", new Object[]{e});
            finish();
            AppMethodBeat.o(1505);
        }
    }

    private void cz(boolean z) {
        AppMethodBeat.i(1506);
        if (this.foy != null) {
            this.foy.send(z ? 1 : -1, null);
        }
        AppMethodBeat.o(1506);
    }

    public void finish() {
        AppMethodBeat.i(1507);
        super.finish();
        if (this.foy != null) {
            cz(false);
            this.foy = null;
        }
        AppMethodBeat.o(1507);
    }

    @SuppressLint({"SetJavaScriptEnabled", "InlinedApi"})
    public final void dealContentView(View view) {
        AppMethodBeat.i(1508);
        super.dealContentView(view);
        this.fow = f.a.uJi.du(this);
        this.fow.getSettings().dUh();
        this.fow.getSettings().setJavaScriptEnabled(true);
        this.fow.getSettings().setMediaPlaybackRequiresUserGesture(false);
        this.fow.getSettings().dUj();
        this.fow.getSettings().setUserAgentString(q.a(this.mController.ylL, this.fow.getSettings().getUserAgentString(), (q.a) e.B(q.a.class)));
        this.fow.getView().setHorizontalScrollBarEnabled(false);
        this.fow.getView().setVerticalScrollBarEnabled(false);
        this.fow.getSettings().setBuiltInZoomControls(true);
        this.fow.getSettings().setUseWideViewPort(true);
        this.fow.getSettings().setLoadWithOverviewMode(true);
        this.fow.getSettings().dUc();
        this.fow.getSettings().dUb();
        this.fow.getSettings().setGeolocationEnabled(true);
        this.fow.getSettings().setJavaScriptCanOpenWindowsAutomatically(true);
        this.fow.getSettings().dUf();
        this.fow.getSettings().setAppCachePath(this.mController.ylL.getDir("webviewcache", 0).getAbsolutePath());
        this.fow.getSettings().dUe();
        this.fow.getSettings().dUg();
        this.fow.getSettings().setDatabasePath(com.tencent.mm.compatible.util.e.eSi + "databases/");
        Bundle bundle = new Bundle(1);
        bundle.putBoolean("KInitialParam_Force_wcPrivacyPolicyResult_DoInService", true);
        this.fow.setWebViewClient(c.a.uJh.a(this.fow, new 1(this), bundle));
        this.fow.setWebChromeClient(com.tencent.mm.plugin.webview.ui.tools.widget.a.a.uJg.a(this.fow, new 2(this)));
        ((FrameLayout) view).addView(this.fow, -1, -1);
        this.fou = new MMFalseProgressBar(this);
        this.fou.setProgressDrawable(com.tencent.mm.bz.a.g(this, 2130839564));
        ((FrameLayout) view).addView(this.fou, -1, com.tencent.mm.bz.a.fromDPToPix(this, 3));
        AppMethodBeat.o(1508);
    }

    public void onPostCreate(Bundle bundle) {
        AppMethodBeat.i(1509);
        super.onPostCreate(bundle);
        setBackBtn(new 3(this), 2131230739);
        xE(-1);
        this.fow.loadUrl(String.format(Locale.US, "https://weixin.qq.com/cgi-bin/newreadtemplate?t=gdpr/confirm&business=%s&lang=%s&cc=%s", new Object[]{this.fox.fon, aa.gw(this), (String) g.RP().Ry().get(274436, null)}));
        AppMethodBeat.o(1509);
    }

    public void onDestroy() {
        AppMethodBeat.i(1510);
        super.onDestroy();
        try {
            this.fow.destroy();
        } catch (Exception e) {
            ab.e("MicroMsg.MPGdprPolicyUI", "destroy WebView e = %s", new Object[]{e});
        } finally {
            this.fow = null;
            AppMethodBeat.o(1510);
        }
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(1511);
        if (i == 4 && this.fow.canGoBack()) {
            this.fow.goBack();
            AppMethodBeat.o(1511);
            return true;
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(1511);
        return onKeyDown;
    }
}
