package com.tencent.mm.plugin.appbrand.i;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.r.o;
import com.tencent.mm.plugin.messenger.a.e.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.lang.ref.WeakReference;
import java.util.Map;

public final class d implements b {
    public final CharSequence a(Map<String, String> map, String str, Bundle bundle, WeakReference<Context> weakReference) {
        AppMethodBeat.i(132276);
        if (map == null || map.isEmpty()) {
            ab.w("MicroMsg.WxaSysTemplateMsgHandler", "values map is null or nil");
            AppMethodBeat.o(132276);
            return null;
        }
        Context context = (Context) weakReference.get();
        if (context == null) {
            ab.w("MicroMsg.WxaSysTemplateMsgHandler", "context is null");
            AppMethodBeat.o(132276);
            return null;
        }
        String str2 = (String) map.get(str + ".title");
        String str3 = (String) map.get(str + ".username");
        int i = bo.getInt((String) map.get(str + ".type"), 0);
        int i2 = bo.getInt((String) map.get(str + ".wxaapp_type"), 0);
        String str4 = (String) map.get(str + ".path");
        Object obj = bo.getInt((String) map.get(new StringBuilder().append(str).append(".forbids").toString()), 0) == 1 ? 1 : null;
        String string = bundle != null ? bundle.getString("conv_talker_username") : "";
        int i3 = bundle != null ? bundle.getInt("scene") : 0;
        long j = bundle != null ? bundle.getLong("msg_sever_id") : 0;
        String string2 = bundle != null ? bundle.getString("send_msg_username") : "";
        if (bo.isNullOrNil(str2)) {
            ab.w("MicroMsg.WxaSysTemplateMsgHandler", "link title is null or nil");
            AppMethodBeat.o(132276);
            return null;
        }
        CharSequence spannableString = new SpannableString(str2);
        spannableString.setSpan(new 1(this, str2, str3, str4, string, weakReference, i3, j, string2, i), 0, str2.length(), 17);
        ab.d("MicroMsg.WxaSysTemplateMsgHandler", "handleTemplate(title : %s, username : %s, path : %s, talker : %s)", new Object[]{str2, str3, str4, string});
        if (obj != null) {
            AppMethodBeat.o(132276);
            return spannableString;
        }
        int i4 = 2131232001;
        switch (i2) {
            case 1:
                i4 = 2131232002;
                break;
        }
        Drawable drawable = context.getResources().getDrawable(i4);
        drawable.setBounds(0, 0, o.aNT(), o.aNT());
        new SpannableString("@ ").setSpan(new com.tencent.mm.plugin.appbrand.widget.h.b(drawable), 0, 1, 33);
        CharSequence concat = TextUtils.concat(new CharSequence[]{r2, spannableString});
        AppMethodBeat.o(132276);
        return concat;
    }
}
