package com.tencent.mm.plugin.appbrand.jsapi.i;

import com.tencent.luggage.a.e;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.b.b;
import com.tencent.mm.plugin.appbrand.jsapi.websocket.a;
import com.tencent.mm.plugin.appbrand.jsapi.websocket.d;
import com.tencent.mm.plugin.appbrand.l.j;
import com.tencent.mm.plugin.appbrand.l.k;
import com.tencent.mm.plugin.appbrand.l.k$a;
import com.tencent.mm.plugin.appbrand.l.k.c;
import com.tencent.mm.plugin.appbrand.l.l;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import org.json.JSONException;
import org.json.JSONObject;

public final class f extends b {
    public static final int CTRL_INDEX = 346;
    public static final String NAME = "createSocketTask";
    public static int hRA = 0;
    public static int hRB = 1;
    private static k$a hRy;
    private int hRC = hRA;
    private boolean hRD = false;
    private boolean hRE = false;
    private c hRz;

    static /* synthetic */ void b(com.tencent.mm.plugin.appbrand.jsapi.c cVar, String str, String str2) {
        AppMethodBeat.i(108051);
        a(cVar, str, str2);
        AppMethodBeat.o(108051);
    }

    public f(int i, c cVar) {
        AppMethodBeat.i(108043);
        ab.i("MicroMsg.JsApiCreateSocketTask", "JsApiCreateSocketTask, programType:%d", new Object[]{Integer.valueOf(i)});
        this.hRC = i;
        this.hRz = cVar;
        AppMethodBeat.o(108043);
    }

    public static void a(k$a k_a) {
        hRy = k_a;
    }

    public final String aBA() {
        AppMethodBeat.i(108044);
        StringBuilder stringBuilder = new StringBuilder();
        l.aII();
        String stringBuilder2 = stringBuilder.append(l.aIA()).toString();
        AppMethodBeat.o(108044);
        return stringBuilder2;
    }

    public final String OA() {
        return "socketTaskId";
    }

    public static void a(com.tencent.mm.plugin.appbrand.jsapi.c cVar, String str, b bVar, String str2) {
        AppMethodBeat.i(108045);
        if (bVar == b.SUSPEND || bVar == b.DESTROYED) {
            d CT = l.aII().CT(str);
            if (CT == null) {
                AppMethodBeat.o(108045);
                return;
            }
            CT.a(CT.BS(str2));
            HashMap hashMap = new HashMap();
            hashMap.put("reason", "interrupted");
            hashMap.put("socketTaskId", str2);
            hashMap.put("state", "close");
            new a().j(cVar).AM(new JSONObject(hashMap).toString()).aCj();
        }
        AppMethodBeat.o(108045);
    }

    public final void a(com.tencent.mm.plugin.appbrand.jsapi.c cVar, JSONObject jSONObject, String str) {
        AppMethodBeat.i(108046);
        d CT = l.aII().CT(cVar.getAppId());
        if (CT == null) {
            if ((this.hRC == hRA && this.hRD) || (this.hRC == hRB && this.hRE)) {
                CT = new a((com.tencent.mm.plugin.appbrand.l.a) cVar.aa(com.tencent.mm.plugin.appbrand.l.a.class));
            } else {
                CT = new k((com.tencent.mm.plugin.appbrand.l.a) cVar.aa(com.tencent.mm.plugin.appbrand.l.a.class));
            }
            l aII = l.aII();
            String appId = cVar.getAppId();
            if (!aII.hGk.containsKey(appId)) {
                aII.hGk.put(appId, CT);
            }
        }
        1 1 = new 1(this, cVar, str);
        String optString = jSONObject.optString("url");
        if (bo.isNullOrNil(optString)) {
            ab.i("MicroMsg.JsApiCreateSocketTask", "url is null");
            a(cVar, str, "url is null");
            AppMethodBeat.o(108046);
            return;
        }
        ab.i("MicroMsg.JsApiCreateSocketTask", "url is ".concat(String.valueOf(optString)));
        com.tencent.mm.plugin.appbrand.l.a aVar = (com.tencent.mm.plugin.appbrand.l.a) cVar.aa(com.tencent.mm.plugin.appbrand.l.a.class);
        Map a = j.a(jSONObject, aVar);
        Object obj = (aVar.ioe && jSONObject.optBoolean("__skipDomainCheck__")) ? 1 : null;
        if (!(obj != null ? false : aVar.iof) || j.a(aVar.bQG, optString, aVar.bQB)) {
            int optInt = jSONObject.optInt("timeout", 0);
            if (optInt <= 0) {
                optInt = j.a(aVar, 1);
            }
            if (optInt <= 0) {
                optInt = 60000;
            }
            CT.a(cVar.getAppId(), str, this.hRC, optInt, jSONObject, a, 1);
            if (this.hRD || this.hRE) {
                ((com.tencent.mm.plugin.appbrand.n.a) e.C(com.tencent.mm.plugin.appbrand.n.a.class)).f(972, 10, 1);
            } else {
                ((com.tencent.mm.plugin.appbrand.n.a) e.C(com.tencent.mm.plugin.appbrand.n.a.class)).f(972, 0, 1);
            }
            ab.i("MicroMsg.JsApiCreateSocketTask", "connectSocket, url is : %s , componentId: %s", new Object[]{optString, Integer.valueOf(cVar.aBw())});
            AppMethodBeat.o(108046);
            return;
        }
        ab.i("MicroMsg.JsApiCreateSocketTask", "not in domain url %s", new Object[]{optString});
        a(cVar, str, "url not in domain list");
        AppMethodBeat.o(108046);
    }

    public final void g(com.tencent.mm.plugin.appbrand.jsapi.c cVar) {
        AppMethodBeat.i(108047);
        if (this.hRz != null) {
            this.hRD = this.hRz.xj(cVar.getAppId());
            this.hRE = this.hRz.auB();
        }
        AppMethodBeat.o(108047);
    }

    private static JSONObject a(com.tencent.mm.plugin.appbrand.t.e.f fVar) {
        AppMethodBeat.i(108048);
        JSONObject jSONObject = new JSONObject();
        Iterator aOx = fVar.aOx();
        while (aOx.hasNext()) {
            try {
                String str = (String) aOx.next();
                jSONObject.put(str, fVar.Eq(str));
            } catch (JSONException e) {
                ab.printErrStackTrace("MicroMsg.JsApiCreateSocketTask", e, "JSONExceptions ", new Object[0]);
            }
        }
        AppMethodBeat.o(108048);
        return jSONObject;
    }

    private static void a(com.tencent.mm.plugin.appbrand.jsapi.c cVar, String str, String str2) {
        Object obj;
        AppMethodBeat.i(108049);
        if (bo.isNullOrNil(str2)) {
            obj = "fail";
        } else {
            obj = "fail:".concat(String.valueOf(str2));
        }
        HashMap hashMap = new HashMap();
        hashMap.put("socketTaskId", str);
        hashMap.put("state", "error");
        hashMap.put("errMsg", obj);
        new a().j(cVar).AM(new JSONObject(hashMap).toString()).aCj();
        ab.d("MicroMsg.JsApiCreateSocketTask", "onSocketConnectFail jsonResult:%s ", new Object[]{r0});
        ((com.tencent.mm.plugin.appbrand.n.a) e.C(com.tencent.mm.plugin.appbrand.n.a.class)).f(972, 3, 1);
        AppMethodBeat.o(108049);
    }
}
