package com.tencent.mm.plugin.emoji.ui.v2;

import android.os.Bundle;
import android.view.View;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.at.o;
import com.tencent.mm.plugin.emoji.e.g;
import com.tencent.mm.plugin.emoji.f.m;
import com.tencent.mm.plugin.emoji.model.j;
import com.tencent.mm.protocal.protobuf.GetEmotionRewardResponse;
import com.tencent.mm.protocal.protobuf.aim;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.v;
import com.tencent.mm.ui.widget.MMLoadScrollView.a;

public class EmojiStoreV2RewardDetailUI extends MMActivity implements OnScrollListener, f {
    private View abB;
    private boolean isLoading = false;
    private String kWA;
    private String kWl;
    private int kYc = -1;
    private GetEmotionRewardResponse laG;
    private String ldU;
    private String ldV;
    private ImageView ldW;
    private TextView ldX;
    private TextView ldY;
    private TextView ldZ;
    private ak lda = new 1(this);
    private View lea;
    private View leb;
    private a lec;
    private aim led;
    private byte[] lee;
    private m lef;
    private a leg = new 2(this);
    private ListView mListView;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public EmojiStoreV2RewardDetailUI() {
        AppMethodBeat.i(53678);
        AppMethodBeat.o(53678);
    }

    static /* synthetic */ void b(EmojiStoreV2RewardDetailUI emojiStoreV2RewardDetailUI) {
        AppMethodBeat.i(53687);
        emojiStoreV2RewardDetailUI.gx(true);
        AppMethodBeat.o(53687);
    }

    public final int getLayoutId() {
        return 2130969372;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(53679);
        super.onCreate(bundle);
        this.kWl = getIntent().getStringExtra("extra_id");
        this.kWA = getIntent().getStringExtra("extra_name");
        this.ldU = getIntent().getStringExtra("extra_iconurl");
        this.ldV = getIntent().getStringExtra("name");
        initView();
        this.laG = j.getEmojiStorageMgr().xYs.aqq(this.kWl);
        bmg();
        o.ahp().a(this.ldU, this.ldW, g.dH(this.kWl, this.ldU));
        this.ldX.setText(this.kWA);
        this.ldY.setText(this.ldV);
        if (this.led != null) {
            this.lec.Q(this.led.Donors);
            this.lec.lej = true;
        }
        if (this.laG != null) {
            this.ldZ.setText(getString(2131299140, new Object[]{Integer.valueOf(this.laG.DonorNum)}));
        }
        com.tencent.mm.kernel.g.RO().eJo.a(299, this);
        AppMethodBeat.o(53679);
    }

    public void onPause() {
        AppMethodBeat.i(53680);
        super.onPause();
        AppMethodBeat.o(53680);
    }

    public void onDestroy() {
        AppMethodBeat.i(53681);
        super.onDestroy();
        com.tencent.mm.kernel.g.RO().eJo.b(299, this);
        o.ahp().cm(0);
        AppMethodBeat.o(53681);
    }

    public final void initView() {
        AppMethodBeat.i(53682);
        setMMTitle(2131299139);
        setBackBtn(new 3(this));
        this.abB = v.hu(this.mController.ylL).inflate(2130969373, null);
        this.ldW = (ImageView) this.abB.findViewById(2131823538);
        this.ldX = (TextView) this.abB.findViewById(2131823571);
        this.ldY = (TextView) this.abB.findViewById(2131823543);
        this.ldZ = (TextView) this.abB.findViewById(2131823572);
        this.lea = findViewById(2131820987);
        this.mListView = (ListView) findViewById(2131823569);
        this.leb = v.hu(this.mController.ylL).inflate(2130969354, null);
        this.leb.setVisibility(8);
        this.mListView.addHeaderView(this.abB);
        this.mListView.addFooterView(this.leb);
        this.lec = new a(this, this);
        this.mListView.setAdapter(this.lec);
        this.mListView.setOnScrollListener(this);
        AppMethodBeat.o(53682);
    }

    private void bmg() {
        AppMethodBeat.i(53683);
        this.lef = new m(this.kWl, this.lee);
        com.tencent.mm.kernel.g.RO().eJo.a(this.lef, 0);
        AppMethodBeat.o(53683);
    }

    private void gx(boolean z) {
        AppMethodBeat.i(53684);
        if (!(this.isLoading || this.kYc == 0)) {
            bmg();
            this.isLoading = true;
            if (z) {
                this.lda.sendEmptyMessageDelayed(1002, 200);
            }
        }
        AppMethodBeat.o(53684);
    }

    public void onScrollStateChanged(AbsListView absListView, int i) {
        AppMethodBeat.i(53686);
        if (i == 0 && absListView.getLastVisiblePosition() == absListView.getCount() - 1) {
            if (this.kYc == 0 || this.isLoading) {
                ab.d("MicroMsg.emoji.EmojiStoreV2RewardDetailUI", "No More List.");
                AppMethodBeat.o(53686);
                return;
            }
            gx(true);
            ab.i("MicroMsg.emoji.EmojiStoreV2RewardDetailUI", "[onScrollStateChanged] loadMoreData.");
            o.ahp().cm(i);
        }
        AppMethodBeat.o(53686);
    }

    public void onScroll(AbsListView absListView, int i, int i2, int i3) {
    }

    public final int getForceOrientation() {
        return 1;
    }

    public void onSceneEnd(int i, int i2, String str, com.tencent.mm.ai.m mVar) {
        int i3 = 1;
        AppMethodBeat.i(53685);
        this.isLoading = false;
        if (this.leb != null) {
            this.leb.setVisibility(8);
            this.lda.removeMessages(1002);
            this.lda.sendEmptyMessageDelayed(1001, 200);
        }
        switch (mVar.getType()) {
            case 299:
                m mVar2 = (m) mVar;
                if (i != 0 && i != 4) {
                    ab.w("MicroMsg.emoji.EmojiStoreV2RewardDetailUI", "unknow errType:%d", new Object[]{Integer.valueOf(i)});
                    break;
                }
                this.lee = mVar2.kWS;
                if (i2 == 0) {
                    this.kYc = 0;
                    if (mVar2.bkA() != null) {
                        this.lec.Q(mVar2.bkA().Donors);
                        AppMethodBeat.o(53685);
                        return;
                    }
                } else if (i2 == 2) {
                    this.kYc = 2;
                    if (mVar2.bkA() != null) {
                        this.lec.Q(mVar2.bkA().Donors);
                    }
                    if (!(this.lec == null || this.abB == null)) {
                        a aVar = this.lec;
                        ab.i("MicroMsg.emoji.EmojiStoreV2RewardDetailUI", "item:%d header:%d window:%d", new Object[]{Integer.valueOf(aVar.iWJ + aVar.lcR), Integer.valueOf(this.abB.getHeight()), Integer.valueOf(com.tencent.mm.bz.a.ge(this))});
                        if (com.tencent.mm.bz.a.ge(this) > ((aVar.iWJ + aVar.lcR) * this.lec.getCount()) + this.abB.getHeight()) {
                            i3 = 0;
                        }
                    }
                    if (i3 == 0) {
                        gx(false);
                        AppMethodBeat.o(53685);
                        return;
                    }
                } else if (i2 == 3) {
                    this.kYc = 1;
                    this.lee = null;
                    this.lec.lej = true;
                    gx(false);
                    AppMethodBeat.o(53685);
                    return;
                }
                break;
        }
        AppMethodBeat.o(53685);
    }
}
