package com.tencent.mm.plugin.sight.decode.ui;

import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.widget.RelativeLayout.LayoutParams;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.util.g;
import com.tencent.mm.g.a.tn;
import com.tencent.mm.model.d;
import com.tencent.mm.model.d.a;
import com.tencent.mm.pluginsdk.ui.tools.VideoSurfaceView;
import com.tencent.mm.pluginsdk.ui.tools.VideoTextureView;
import com.tencent.mm.pluginsdk.ui.tools.e;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.ui.base.i;

public final class c extends i implements a {
    public int cPL = 0;
    public String ePJ;
    private d iaf = new d();
    public String imagePath;
    private e klq = null;
    public int mik = 0;
    public int qxZ = 0;
    private TextView qyR = null;
    private boolean qyS = false;

    static /* synthetic */ void e(c cVar) {
        AppMethodBeat.i(70290);
        cVar.cln();
        AppMethodBeat.o(70290);
    }

    public c(Context context) {
        super(context, 2131493899);
        AppMethodBeat.i(70285);
        AppMethodBeat.o(70285);
    }

    /* Access modifiers changed, original: protected|final */
    public final void onCreate(Bundle bundle) {
        AppMethodBeat.i(70286);
        long currentTimeMillis = System.currentTimeMillis();
        ab.d("MicroMsg.VideoPopupHelper", currentTimeMillis + " initView beg");
        super.onCreate(bundle);
        getWindow().setFlags(16777216, 16777216);
        setContentView(2130970671);
        if (com.tencent.mm.booter.a.Ib() != null) {
            com.tencent.mm.booter.a.Ib().Id();
        }
        ab.d("MicroMsg.VideoPopupHelper", g.Mp() + " initView: fullpath:" + this.ePJ + ", imagepath:" + this.imagePath);
        this.qyR = (TextView) findViewById(2131823800);
        findViewById(2131827573).setVisibility(8);
        ViewGroup viewGroup = (ViewGroup) findViewById(2131823992);
        viewGroup.setBackgroundResource(2131689761);
        ab.i("MicroMsg.VideoPopupHelper", "getVideoView, is normal video");
        if (com.tencent.mm.compatible.util.d.iW(14)) {
            this.klq = new VideoTextureView(getContext());
        } else {
            this.klq = new VideoSurfaceView(getContext());
        }
        LayoutParams layoutParams = new LayoutParams(-1, -1);
        layoutParams.addRule(13);
        viewGroup.addView((View) this.klq, layoutParams);
        this.klq.setVideoCallback(new 1(this));
        findViewById(2131823992).setOnClickListener(new 2(this));
        ((View) this.klq).setOnClickListener(new 3(this));
        if (this.ePJ != null) {
            this.klq.stop();
            this.klq.setVideoPath(this.ePJ);
        }
        ab.d("MicroMsg.VideoPopupHelper", (System.currentTimeMillis() - currentTimeMillis) + " initView end");
        tn tnVar = new tn();
        tnVar.cPI.type = 1;
        com.tencent.mm.sdk.b.a.xxA.m(tnVar);
        AppMethodBeat.o(70286);
    }

    private void cln() {
        AppMethodBeat.i(70287);
        ab.v("check", "onclick");
        if (this.klq.isPlaying()) {
            this.klq.pause();
            this.iaf.cy(false);
        }
        new ak().post(new 4(this));
        AppMethodBeat.o(70287);
    }

    public final void dismiss() {
        AppMethodBeat.i(70288);
        ab.d("MicroMsg.VideoPopupHelper", "on dismiss");
        if (com.tencent.mm.booter.a.Ib() != null) {
            com.tencent.mm.booter.a.Ib().Ic();
        }
        if (this.klq != null) {
            this.klq.setVideoCallback(null);
            this.klq.stop();
            this.klq.onDetach();
            findViewById(2131823992).setOnClickListener(null);
        }
        if (!this.qyS && isShowing()) {
            tn tnVar = new tn();
            tnVar.cPI.type = 0;
            tnVar.cPI.cPJ = this.qxZ;
            tnVar.cPI.cPK = this.mik;
            tnVar.cPI.cPL = this.cPL;
            com.tencent.mm.sdk.b.a.xxA.m(tnVar);
        }
        super.dismiss();
        this.iaf.cy(true);
        AppMethodBeat.o(70288);
    }

    static /* synthetic */ void a(c cVar) {
        AppMethodBeat.i(70289);
        if (cVar.klq.start()) {
            cVar.iaf.a(cVar);
            AppMethodBeat.o(70289);
            return;
        }
        cVar.cln();
        AppMethodBeat.o(70289);
    }
}
