package com.tencent.mm.plugin.wallet.balance.ui;

import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnCancelListener;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.os.Bundle;
import android.os.Parcelable;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.m;
import com.tencent.mm.g.a.uo;
import com.tencent.mm.platformtools.x;
import com.tencent.mm.plugin.wallet.a.s;
import com.tencent.mm.plugin.wallet.balance.a.b;
import com.tencent.mm.plugin.wallet.balance.a.d;
import com.tencent.mm.plugin.wallet_core.c.v;
import com.tencent.mm.plugin.wallet_core.c.y;
import com.tencent.mm.plugin.wallet_core.model.Bankcard;
import com.tencent.mm.plugin.wallet_core.model.Orders;
import com.tencent.mm.plugin.wallet_core.model.Orders.Commodity;
import com.tencent.mm.plugin.wallet_core.model.g;
import com.tencent.mm.plugin.wallet_core.model.j;
import com.tencent.mm.plugin.wallet_core.ui.view.c;
import com.tencent.mm.pluginsdk.wallet.PayInfo;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ac;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.t;
import com.tencent.mm.wallet_core.c.ad;
import com.tencent.mm.wallet_core.c.ae;
import com.tencent.mm.wallet_core.c.k;
import com.tencent.mm.wallet_core.c.z;
import com.tencent.mm.wallet_core.ui.WalletBaseUI;
import com.tencent.mm.wallet_core.ui.e;
import com.tencent.mm.wallet_core.ui.formview.WalletFormView;
import java.math.RoundingMode;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.UUID;

@a(2)
public class WalletBalanceFetchUI extends WalletBaseUI implements WalletFormView.a {
    private String czZ = null;
    private Button gHn;
    private final int gnS = com.tencent.mm.bz.a.fromDPToPix(ah.getContext(), 270);
    private View jcl;
    private double pQV;
    private String rMr;
    private ArrayList<Bankcard> tgB;
    private Bankcard tgC;
    private String tgD;
    private WalletFormView tgE;
    private LinearLayout tgF;
    private View tgG;
    private TextView tgH;
    private TextView tgI;
    private TextView tgJ;
    private TextView tgK;
    private TextView tgL;
    private ViewGroup tgM;
    private ViewGroup tgN;
    private int tgO = 0;
    private int tgP = 0;
    private int tgQ = 0;
    private double tgR = 0.0d;
    private int tgS = -1;
    private int tgT = 0;
    private DecimalFormat tgU = new DecimalFormat("0.00");
    private boolean tgV = false;
    private int tgW = 0;
    private int tgX = 0;
    private b tgY;
    private Runnable tgZ = new 1(this);
    private boolean tha = false;
    private boolean thb = false;
    private boolean thc = false;
    private boolean thd = false;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public WalletBalanceFetchUI() {
        AppMethodBeat.i(45386);
        AppMethodBeat.o(45386);
    }

    static /* synthetic */ void b(WalletBalanceFetchUI walletBalanceFetchUI, d dVar) {
        AppMethodBeat.i(45424);
        walletBalanceFetchUI.a(dVar);
        AppMethodBeat.o(45424);
    }

    static /* synthetic */ void cMW() {
    }

    static /* synthetic */ void i(WalletBalanceFetchUI walletBalanceFetchUI) {
        AppMethodBeat.i(45419);
        walletBalanceFetchUI.cMQ();
        AppMethodBeat.o(45419);
    }

    static /* synthetic */ void j(WalletBalanceFetchUI walletBalanceFetchUI) {
        AppMethodBeat.i(45420);
        walletBalanceFetchUI.cMR();
        AppMethodBeat.o(45420);
    }

    static /* synthetic */ void n(WalletBalanceFetchUI walletBalanceFetchUI) {
        AppMethodBeat.i(45422);
        walletBalanceFetchUI.cMS();
        AppMethodBeat.o(45422);
    }

    static /* synthetic */ void o(WalletBalanceFetchUI walletBalanceFetchUI) {
        AppMethodBeat.i(45425);
        walletBalanceFetchUI.cMT();
        AppMethodBeat.o(45425);
    }

    public final int getLayoutId() {
        return 2130971048;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(45387);
        this.rMr = UUID.randomUUID().toString();
        super.onCreate(bundle);
        au(getIntent());
        cfk();
        this.tgD = getString(2131304573);
        initView();
        cu();
        z.hL(4, 0);
        AppMethodBeat.o(45387);
    }

    public void onDestroy() {
        AppMethodBeat.i(45388);
        al.af(this.tgZ);
        super.onDestroy();
        AppMethodBeat.o(45388);
    }

    /* JADX WARNING: Removed duplicated region for block: B:66:0x018d  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00aa  */
    private void cfk() {
        /*
        r14 = this;
        r13 = 45389; // 0xb14d float:6.3604E-41 double:2.2425E-319;
        r5 = 0;
        r12 = 1;
        r3 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r13);
        com.tencent.mm.plugin.wallet.a.s.cNC();
        r6 = com.tencent.mm.plugin.wallet.a.s.cND();
        r0 = r14.tgV;
        if (r0 == 0) goto L_0x0169;
    L_0x0014:
        r0 = "MicroMsg.WalletBalanceFetchUI";
        r1 = "is from new bind bankcard";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r7 = new java.util.ArrayList;
        r7.<init>();
        r8 = new java.util.ArrayList;
        r8.<init>();
        r0 = r14.tgB;
        if (r0 == 0) goto L_0x0038;
    L_0x002b:
        r0 = r14.tgB;
        r0 = r0.size();
        if (r0 <= 0) goto L_0x0038;
    L_0x0033:
        r0 = r14.tgB;
        r7.addAll(r0);
    L_0x0038:
        r0 = r6.cQD();
        r14.tgB = r0;
        r0 = r14.tgB;
        if (r0 == 0) goto L_0x004f;
    L_0x0042:
        r0 = r14.tgB;
        r0 = r0.size();
        if (r0 <= 0) goto L_0x004f;
    L_0x004a:
        r0 = r14.tgB;
        r8.addAll(r0);
    L_0x004f:
        r0 = r7.size();
        if (r0 <= 0) goto L_0x0190;
    L_0x0055:
        r0 = r8.size();
        if (r0 <= 0) goto L_0x0190;
    L_0x005b:
        r9 = new java.util.ArrayList;
        r9.<init>();
        r2 = r3;
    L_0x0061:
        r0 = r7.size();
        if (r2 >= r0) goto L_0x0093;
    L_0x0067:
        r0 = r7.get(r2);
        r0 = (com.tencent.mm.plugin.wallet_core.model.Bankcard) r0;
        r4 = r3;
    L_0x006e:
        r1 = r8.size();
        if (r4 >= r1) goto L_0x008f;
    L_0x0074:
        r1 = r8.get(r4);
        r1 = (com.tencent.mm.plugin.wallet_core.model.Bankcard) r1;
        if (r0 == 0) goto L_0x008b;
    L_0x007c:
        if (r1 == 0) goto L_0x008b;
    L_0x007e:
        r10 = r0.field_bindSerial;
        r11 = r1.field_bindSerial;
        r10 = r10.equals(r11);
        if (r10 == 0) goto L_0x008b;
    L_0x0088:
        r9.add(r1);
    L_0x008b:
        r1 = r4 + 1;
        r4 = r1;
        goto L_0x006e;
    L_0x008f:
        r0 = r2 + 1;
        r2 = r0;
        goto L_0x0061;
    L_0x0093:
        r0 = r9.size();
        if (r0 <= 0) goto L_0x009c;
    L_0x0099:
        r8.removeAll(r9);
    L_0x009c:
        r0 = r8.size();
        if (r0 <= 0) goto L_0x0190;
    L_0x00a2:
        r0 = r8.get(r3);
        r0 = (com.tencent.mm.plugin.wallet_core.model.Bankcard) r0;
    L_0x00a8:
        if (r0 != 0) goto L_0x018d;
    L_0x00aa:
        r0 = r14.tgB;
        r0 = r6.a(r0, r5, r3, r12);
        r1 = r0;
    L_0x00b1:
        r2 = r3;
    L_0x00b2:
        r0 = r14.tgB;
        if (r0 == 0) goto L_0x00d6;
    L_0x00b6:
        r0 = r14.tgB;
        r0 = r0.size();
        if (r2 >= r0) goto L_0x00d6;
    L_0x00be:
        r0 = r14.tgB;
        r0 = r0.get(r2);
        r0 = (com.tencent.mm.plugin.wallet_core.model.Bankcard) r0;
        if (r1 == 0) goto L_0x0164;
    L_0x00c8:
        if (r0 == 0) goto L_0x0164;
    L_0x00ca:
        r4 = r1.field_bindSerial;
        r0 = r0.field_bindSerial;
        r0 = r4.equals(r0);
        if (r0 == 0) goto L_0x0164;
    L_0x00d4:
        r14.tgS = r2;
    L_0x00d6:
        r14.tgC = r1;
        r14.tgV = r3;
    L_0x00da:
        r1 = com.tencent.mm.plugin.report.service.h.pYm;
        r2 = 16398; // 0x400e float:2.2978E-41 double:8.1017E-320;
        r0 = 4;
        r4 = new java.lang.Object[r0];
        r0 = r14.rMr;
        r4[r3] = r0;
        r0 = java.lang.Integer.valueOf(r12);
        r4[r12] = r0;
        r5 = 2;
        r0 = r14.tgC;
        if (r0 == 0) goto L_0x0179;
    L_0x00f0:
        r0 = r14.tgC;
        r0 = r0.field_bankcardType;
    L_0x00f4:
        r4[r5] = r0;
        r5 = 3;
        r0 = r14.tgC;
        if (r0 == 0) goto L_0x017e;
    L_0x00fb:
        r0 = r14.tgC;
        r0 = r0.field_bindSerial;
    L_0x00ff:
        r4[r5] = r0;
        r1.e(r2, r4);
        r0 = r6.tCX;
        if (r0 == 0) goto L_0x0183;
    L_0x0108:
        r0 = r6.tCX;
        r0 = r0.tgO;
        r14.tgO = r0;
        r0 = r6.tCX;
        r0 = r0.tgP;
        r14.tgP = r0;
        r14.cMO();
        r0 = r6.tCX;
        r0 = r0.tgQ;
        r14.tgQ = r0;
    L_0x011d:
        r14.tgW = r3;
        r14.tgX = r3;
        r0 = "MicroMsg.WalletBalanceFetchUI";
        r1 = new java.lang.StringBuilder;
        r2 = "is_show_charge:";
        r1.<init>(r2);
        r2 = r14.tgO;
        r1 = r1.append(r2);
        r2 = " is_cal_charge:";
        r1 = r1.append(r2);
        r2 = r14.tgP;
        r1 = r1.append(r2);
        r2 = " min_charge_fee:";
        r1 = r1.append(r2);
        r2 = r14.tgR;
        r1 = r1.append(r2);
        r2 = " is_full_fetch_direct:";
        r1 = r1.append(r2);
        r2 = r14.tgQ;
        r1 = r1.append(r2);
        r1 = r1.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r13);
        return;
    L_0x0164:
        r0 = r2 + 1;
        r2 = r0;
        goto L_0x00b2;
    L_0x0169:
        r0 = r6.cQD();
        r14.tgB = r0;
        r0 = r14.tgB;
        r0 = r6.a(r0, r5, r3, r12);
        r14.tgC = r0;
        goto L_0x00da;
    L_0x0179:
        r0 = "";
        goto L_0x00f4;
    L_0x017e:
        r0 = "";
        goto L_0x00ff;
    L_0x0183:
        r0 = "MicroMsg.WalletBalanceFetchUI";
        r1 = "BalanceFetchInfo is null";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        goto L_0x011d;
    L_0x018d:
        r1 = r0;
        goto L_0x00b1;
    L_0x0190:
        r0 = r5;
        goto L_0x00a8;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.wallet.balance.ui.WalletBalanceFetchUI.cfk():void");
    }

    public final boolean bwP() {
        return false;
    }

    public final void initView() {
        AppMethodBeat.i(45390);
        setMMTitle(2131304543);
        this.jcl = findViewById(2131828604);
        this.tgF = (LinearLayout) findViewById(2131828607);
        12 12 = new 12(this);
        this.tgG = findViewById(2131828607);
        this.tgG.setOnClickListener(12);
        this.tgF.setOnClickListener(12);
        this.tgE = (WalletFormView) findViewById(2131828613);
        e(this.tgE, 2, false);
        com.tencent.mm.wallet_core.ui.formview.a.f(this.tgE);
        this.tgE.setOnInputValidChangeListener(this);
        this.gHn = (Button) findViewById(2131822846);
        this.gHn.setOnClickListener(new 20(this));
        this.gHn.setEnabled(false);
        this.tgH = (TextView) findViewById(2131828605);
        this.tgI = (TextView) findViewById(2131828606);
        this.tgJ = (TextView) findViewById(2131828618);
        this.tgK = (TextView) findViewById(2131828615);
        this.tgL = (TextView) findViewById(2131828616);
        this.tgM = (ViewGroup) findViewById(2131828614);
        this.tgN = (ViewGroup) findViewById(2131828617);
        this.tgL.setOnClickListener(new 21(this));
        this.tgE.a(new 22(this));
        this.obM = new 23(this);
        uo uoVar = new uo();
        uoVar.cQJ.cQL = "3";
        uoVar.callback = new 24(this, uoVar);
        com.tencent.mm.sdk.b.a.xxA.m(uoVar);
        AppMethodBeat.o(45390);
    }

    public void onResume() {
        AppMethodBeat.i(45391);
        cMT();
        super.onResume();
        AppMethodBeat.o(45391);
    }

    private void cMO() {
        AppMethodBeat.i(45392);
        if (this.tgC != null) {
            this.tgR = e.b(this.tgC.txn, "100", RoundingMode.HALF_UP);
            ab.i("MicroMsg.WalletBalanceFetchUI", "min charge fee: %s", new Object[]{Double.valueOf(this.tgR)});
        }
        AppMethodBeat.o(45392);
    }

    private void cu() {
        AppMethodBeat.i(45393);
        if (this.tgE.getTitleTv() != null) {
            this.tgE.getTitleTv().setText(String.format(getString(2131302423), new Object[]{ae.dOd()}));
        } else {
            ab.i("MicroMsg.WalletBalanceFetchUI", "mTotalFeeEHV.getTitleTv() is null");
        }
        ImageView imageView = (ImageView) this.tgF.findViewById(2131828609);
        if (this.tgC != null) {
            String str = "";
            com.tencent.mm.plugin.wallet_core.model.e i = com.tencent.mm.plugin.wallet_core.d.b.i(this, this.tgC.field_bankcardType, this.tgC.cPb());
            if (i != null) {
                str = i.oRi;
            }
            imageView.setImageBitmap(null);
            if (this.tgC.cPc()) {
                imageView.setBackgroundResource(2130840657);
            } else {
                Bitmap a = x.a(new c(str));
                x.a(new 25(this, imageView));
                if (!(a == null || a == null)) {
                    imageView.setImageBitmap(com.tencent.mm.sdk.platformtools.d.a(a, getResources().getDimensionPixelOffset(2131428760), getResources().getDimensionPixelOffset(2131428760), true, false));
                }
            }
            ((TextView) this.tgF.findViewById(2131828610)).setText(getString(2131304572, new Object[]{this.tgC.field_bankName, this.tgC.field_bankcardTail}));
            ((TextView) this.tgF.findViewById(2131828610)).setVisibility(0);
            if (!bo.isNullOrNil(this.tgC.field_fetchArriveTimeWording)) {
                ((TextView) this.tgF.findViewById(2131828611)).setText(this.tgC.field_fetchArriveTimeWording);
                ((TextView) this.tgF.findViewById(2131828611)).setVisibility(0);
                if (this.tgC.field_is_hightlight_pre_arrive_time_wording == 1) {
                    ((TextView) this.tgF.findViewById(2131828611)).setTextColor(Color.parseColor("#FA962A"));
                } else {
                    ((TextView) this.tgF.findViewById(2131828611)).setTextColor(Color.parseColor("#B2B2B2"));
                }
            }
            this.tgJ.setText("");
            this.tgJ.setVisibility(8);
        } else {
            imageView.setImageBitmap(null);
            ((TextView) this.tgF.findViewById(2131828610)).setText(this.tgD);
            ((TextView) this.tgF.findViewById(2131828611)).setText("");
            ((TextView) this.tgF.findViewById(2131828611)).setVisibility(8);
            ((ImageView) this.tgF.findViewById(2131828609)).setImageBitmap(null);
            this.tgJ.setVisibility(8);
        }
        s.cNC();
        String str2 = s.cND().thy.twY;
        if (bo.isNullOrNil(str2)) {
            this.tgI.setVisibility(8);
        } else {
            this.tgI.setVisibility(0);
            this.tgI.setText(str2);
        }
        if (this.tgW == 1) {
            this.tgM.setVisibility(8);
            this.tgN.setVisibility(0);
        } else {
            this.tgM.setVisibility(0);
            this.tgN.setVisibility(8);
        }
        cMQ();
        cMR();
        cMP();
        AppMethodBeat.o(45393);
    }

    private void cMP() {
        AppMethodBeat.i(45394);
        s.cNC();
        com.tencent.mm.plugin.wallet_core.model.b bVar = s.cND().tCX;
        this.mController.removeAllOptionMenu();
        if (!(bVar == null || bVar.twB == null || bVar.twB.twD == null || bVar.twB.twD.length <= 0)) {
            addIconOptionMenu(0, 2131230740, new 26(this, bVar));
        }
        AppMethodBeat.o(45394);
    }

    private void cMQ() {
        AppMethodBeat.i(45395);
        if (this.pQV <= 0.0d || this.tgC == null) {
            this.gHn.setEnabled(false);
            AppMethodBeat.o(45395);
            return;
        }
        this.gHn.setEnabled(true);
        AppMethodBeat.o(45395);
    }

    private void cMR() {
        AppMethodBeat.i(45396);
        if (this.tgW == 0) {
            this.pQV = bo.getDouble(this.tgE.getText(), 0.0d);
            double d = this.pQV;
            s.cNC();
            if (!(d == s.cND().thy.twU || this.tgC == null)) {
                d = this.pQV;
                s.cNC();
                if (d != s.cND().thy.twU - this.tgC.field_full_fetch_charge_fee) {
                    this.tgT = 0;
                }
            }
            StringBuilder stringBuilder = new StringBuilder();
            double d2 = this.pQV;
            s.cNC();
            if (d2 > s.cND().thy.twS) {
                this.tgL.setVisibility(8);
                this.tgK.setTextColor(getResources().getColor(2131690384));
                stringBuilder.append(getString(2131304546));
            } else {
                String str;
                if (!(this.tgC == null || this.tgO == 0 || ((this.tgO == 1 && this.tgC.field_fetch_charge_rate <= 0.0d) || (this.tgO == 1 && this.tgC.field_fetch_charge_rate > 0.0d && this.tgP == 0)))) {
                    d2 = this.tgR;
                    s.cNC();
                    if (d2 < s.cND().thy.twU) {
                        if (this.tgO == 1 && this.tgC.field_fetch_charge_rate > 0.0d && this.tgP == 1 && (this.pQV <= 0.0d || !this.tgE.asa())) {
                            this.tgL.setVisibility(0);
                            this.tgK.setTextColor(getResources().getColor(2131690164));
                            s.cNC();
                            str = s.cND().thy.twZ;
                            if (bo.isNullOrNil(str)) {
                                ab.i("MicroMsg.WalletBalanceFetchUI", "hy: wording's missing. use former routine");
                                s.cNC();
                                stringBuilder.append(getString(2131304537, new Object[]{e.e(s.cND().thy.twU, "CNY")}));
                            } else {
                                stringBuilder.append(str);
                            }
                            stringBuilder.append("，");
                        } else if (this.tgO == 1 && this.tgC.field_fetch_charge_rate > 0.0d && this.tgP == 1) {
                            this.tgL.setVisibility(8);
                            this.tgK.setTextColor(getResources().getColor(2131690164));
                            d2 = this.pQV;
                            s.cNC();
                            if (d2 != s.cND().thy.twU - this.tgC.field_full_fetch_charge_fee || this.tgC.field_full_fetch_charge_fee <= 0.0d) {
                                if (bo.isNullOrNil(this.tgC.txm)) {
                                    stringBuilder.append(getString(2131304519, new Object[]{e.e(C(this.pQV), "CNY"), (this.tgC.field_fetch_charge_rate * 100.0d) + "%"}));
                                } else {
                                    stringBuilder.append(String.format(this.tgC.txm, new Object[]{e.e(C(this.pQV), "CNY")}));
                                }
                            } else if (bo.isNullOrNil(this.tgC.txm)) {
                                stringBuilder.append(getString(2131304519, new Object[]{e.e(this.tgC.field_full_fetch_charge_fee, "CNY"), (this.tgC.field_fetch_charge_rate * 100.0d) + "%"}));
                            } else {
                                stringBuilder.append(String.format(this.tgC.txm, new Object[]{e.e(this.tgC.field_full_fetch_charge_fee, "CNY")}));
                            }
                        }
                    }
                }
                this.tgL.setVisibility(0);
                this.tgK.setTextColor(getResources().getColor(2131690164));
                s.cNC();
                str = s.cND().thy.twZ;
                if (bo.isNullOrNil(str)) {
                    ab.i("MicroMsg.WalletBalanceFetchUI", "hy: wording's missing. use former routine");
                    s.cNC();
                    stringBuilder.append(getString(2131304537, new Object[]{e.e(s.cND().thy.twU, "CNY")}));
                } else {
                    stringBuilder.append(str);
                }
                stringBuilder.append("，");
            }
            this.tgK.setText(stringBuilder.toString());
        }
        AppMethodBeat.o(45396);
    }

    private double C(double d) {
        AppMethodBeat.i(45397);
        s.cNC();
        double max = Math.max(e.c((d - s.cND().tCX.pPt), this.tgC.field_fetch_charge_rate, RoundingMode.HALF_UP), this.tgR);
        AppMethodBeat.o(45397);
        return max;
    }

    private void a(d dVar) {
        AppMethodBeat.i(45398);
        if (bo.isNullOrNil(this.czZ)) {
            ab.w("MicroMsg.WalletBalanceFetchUI", "hy: req key is null. abandon");
            AppMethodBeat.o(45398);
            return;
        }
        PayInfo payInfo = new PayInfo();
        payInfo.czZ = this.czZ;
        payInfo.cIf = 21;
        this.mBundle.putParcelable("key_pay_info", payInfo);
        Orders orders = new Orders();
        orders.pTN = dVar.pPz - dVar.pPp;
        orders.tAa = dVar.pPz - dVar.pPp;
        orders.tAq.add(new Commodity());
        orders.pPp = dVar.pPp;
        this.mBundle.putParcelable("key_orders", orders);
        this.mBundle.putParcelable("key_bankcard", this.tgC);
        this.mBundle.putString("key_fetch_cashier_desc", dVar.tfb);
        this.mBundle.putString("key_report_session_id", this.rMr);
        if (dOD() == null) {
            com.tencent.mm.wallet_core.a.a(this, com.tencent.mm.plugin.wallet.balance.b.class, this.mBundle, null);
            AppMethodBeat.o(45398);
            return;
        }
        dOE().p(new Object[]{this.mBundle});
        AppMethodBeat.o(45398);
    }

    public final boolean c(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(45399);
        if (i == 0 && i2 == 0) {
            if (mVar instanceof d) {
                boolean a;
                d dVar = (d) mVar;
                this.tha = false;
                if (!this.thd) {
                    this.thb = false;
                }
                this.thc = false;
                this.thd = false;
                if ("1".equals(dVar.cRb)) {
                    ab.i("MicroMsg.WalletBalanceFetchUI", "need realname verify");
                    Bundle bundle = new Bundle();
                    bundle.putString("realname_verify_process_jump_activity", ".balance.ui.WalletBalanceFetchUI");
                    bundle.putString("realname_verify_process_jump_plugin", "wallet");
                    a = com.tencent.mm.plugin.wallet_core.id_verify.util.a.a(this, bundle, null, 0);
                } else if ("2".equals(dVar.cRb)) {
                    ab.i("MicroMsg.WalletBalanceFetchUI", "need upload credit");
                    a = com.tencent.mm.plugin.wallet_core.id_verify.util.a.a(this, dVar.cRc, dVar.cRf, dVar.cRd, dVar.cRe, false, null);
                } else {
                    ab.i("MicroMsg.WalletBalanceFetchUI", "realnameGuideFlag =  " + dVar.cRb);
                    a = false;
                }
                if (a) {
                    AppMethodBeat.o(45399);
                    return false;
                }
                Object obj;
                if (dVar.tfc) {
                    if (dVar.tfd != null) {
                        ab.i("MicroMsg.WalletBalanceFetchUI", "debugIdentifyInfoCompleteDialog() show");
                        String str2 = dVar.tfd.title;
                        String str3 = dVar.tfd.content;
                        String str4 = dVar.tfd.tff;
                        final String str5 = dVar.tfd.tfg;
                        ab.i("MicroMsg.WalletBalanceFetchUI", "showIdentifyInfoCompleteDialog()");
                        View inflate = LayoutInflater.from(this).inflate(2130971047, null);
                        ImageView imageView = (ImageView) inflate.findViewById(2131822694);
                        Button button = (Button) inflate.findViewById(2131828603);
                        ((TextView) inflate.findViewById(2131828601)).setText(str2);
                        ((TextView) inflate.findViewById(2131828602)).setText(str3);
                        ((Button) inflate.findViewById(2131828603)).setText(str4);
                        final Dialog dialog = new Dialog(this, 2131493867);
                        dialog.setContentView(inflate);
                        dialog.setTitle(null);
                        dialog.setOnCancelListener(new OnCancelListener() {
                            public final void onCancel(DialogInterface dialogInterface) {
                                AppMethodBeat.i(45373);
                                ab.i("MicroMsg.WalletBalanceFetchUI", "showIdentifyInfoCompleteDialog onCancel");
                                if (dialog != null && dialog.isShowing()) {
                                    dialog.dismiss();
                                }
                                AppMethodBeat.o(45373);
                            }
                        });
                        imageView.setOnClickListener(new 18(this, dialog));
                        button.setOnClickListener(new OnClickListener() {
                            public final void onClick(View view) {
                                AppMethodBeat.i(45375);
                                ab.i("MicroMsg.WalletBalanceFetchUI", "showIdentifyInfoCompleteDialog completeBtn click");
                                com.tencent.mm.plugin.account.a.b.a.b(this, str5, 2, true);
                                if (dialog != null && dialog.isShowing()) {
                                    dialog.dismiss();
                                }
                                AppMethodBeat.o(45375);
                            }
                        });
                        dialog.show();
                        h.a(this, dialog);
                    } else {
                        ab.i("MicroMsg.WalletBalanceFetchUI", "fetchScene.accountTipDialog == null");
                    }
                    obj = 1;
                } else {
                    obj = null;
                }
                if (obj != null) {
                    AppMethodBeat.o(45399);
                    return false;
                }
                ad.o(21, dVar.cBT, i2);
                if (!b(dVar)) {
                    this.czZ = dVar.cBT;
                    a(dVar);
                }
            } else if (mVar instanceof y) {
                y yVar = (y) mVar;
                cMS();
                if (yVar.bLD()) {
                    k kVar = yVar.nYe;
                    kVar.a(this, new 3(this, kVar, yVar));
                    AppMethodBeat.o(45399);
                    return true;
                }
            }
        } else if (mVar instanceof d) {
            ad.o(21, "", i2);
            cMT();
        }
        AppMethodBeat.o(45399);
        return false;
    }

    private void cMS() {
        AppMethodBeat.i(45400);
        cfk();
        cu();
        cMV();
        AppMethodBeat.o(45400);
    }

    public final int getForceOrientation() {
        return 1;
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(45402);
        if (i != 1) {
            super.onActivityResult(i, i2, intent);
            AppMethodBeat.o(45402);
        } else if (i2 != -1 || intent == null) {
            ab.i("MicroMsg.WalletBalanceFetchUI", "onActivityResult cancel select");
            AppMethodBeat.o(45402);
        } else {
            int intExtra = intent.getIntExtra("key_select_index", -1);
            int i3 = this.tgS;
            this.tgS = intExtra;
            ab.i("MicroMsg.WalletBalanceFetchUI", "onActivityResult select bankcard index is ".concat(String.valueOf(intExtra)));
            if (this.tgB == null || intExtra < 0 || intExtra >= this.tgB.size()) {
                if (this.tgB == null || intExtra < 0 || intExtra > this.tgB.size()) {
                    this.tgC = null;
                } else {
                    this.tgS = i3;
                }
                cMU();
            } else {
                this.tgC = (Bankcard) this.tgB.get(intExtra);
            }
            cu();
            AppMethodBeat.o(45402);
        }
    }

    private boolean b(d dVar) {
        AppMethodBeat.i(45403);
        boolean z = false;
        if (!this.tha) {
            z = c(dVar);
        }
        if (!z) {
            z = d(dVar);
        }
        if (!(z || this.thb)) {
            z = e(dVar);
        }
        if (!(z || this.thc)) {
            z = f(dVar);
        }
        AppMethodBeat.o(45403);
        return z;
    }

    private void cMT() {
        this.tha = false;
        this.thb = false;
        this.thc = false;
        this.thd = false;
    }

    private boolean c(d dVar) {
        AppMethodBeat.i(45404);
        if (dVar.teW) {
            this.tha = true;
            h.a(this, false, dVar.teX, "", getString(2131296994), getString(2131296868), new 4(this, dVar), new 5(this));
            AppMethodBeat.o(45404);
            return true;
        }
        AppMethodBeat.o(45404);
        return false;
    }

    private boolean d(d dVar) {
        AppMethodBeat.i(45405);
        j jVar = dVar.tfa;
        if (jVar == null) {
            AppMethodBeat.o(45405);
            return false;
        }
        ab.i("MicroMsg.WalletBalanceFetchUI", "show balance Charge tips");
        com.tencent.mm.plugin.wallet_core.ui.k.a(this, jVar, new 6(this, dVar), new DialogInterface.OnClickListener() {
            public final void onClick(DialogInterface dialogInterface, int i) {
                AppMethodBeat.i(45361);
                dialogInterface.dismiss();
                com.tencent.mm.plugin.report.service.h.pYm.e(16398, new Object[]{WalletBalanceFetchUI.this.rMr, Integer.valueOf(6), "", ""});
                AppMethodBeat.o(45361);
            }
        });
        AppMethodBeat.o(45405);
        return true;
    }

    private boolean e(d dVar) {
        AppMethodBeat.i(45406);
        com.tencent.mm.plugin.wallet_core.model.b bVar = dVar.teY;
        if (bVar == null || (TextUtils.isEmpty(bVar.twx) && (bVar.twy == null || bVar.twy.size() <= 0))) {
            AppMethodBeat.o(45406);
            return false;
        }
        this.thb = true;
        com.tencent.mm.plugin.wallet_core.ui.k.a(this, bVar, false, new 8(this, dVar), new 9(this));
        AppMethodBeat.o(45406);
        return true;
    }

    private boolean f(d dVar) {
        AppMethodBeat.i(45407);
        com.tencent.mm.plugin.wallet_core.model.b bVar = dVar.teZ;
        if (bVar == null || (TextUtils.isEmpty(bVar.twx) && (bVar.twy == null || bVar.twy.size() <= 0))) {
            AppMethodBeat.o(45407);
            return false;
        }
        this.thc = true;
        com.tencent.mm.plugin.wallet_core.ui.k.a(this, bVar, true, new DialogInterface.OnClickListener() {
            public final void onClick(DialogInterface dialogInterface, int i) {
                AppMethodBeat.i(45364);
                dialogInterface.dismiss();
                String str = "";
                if (WalletBalanceFetchUI.this.tgC != null) {
                    str = WalletBalanceFetchUI.this.tgC.field_bankcardType;
                }
                WalletBalanceFetchUI.this.tgT = 1;
                WalletBalanceFetchUI.this.thd = true;
                WalletBalanceFetchUI.this.a(new d(WalletBalanceFetchUI.this.pQV, "CNY", str, WalletBalanceFetchUI.this.tgT), true, true);
                AppMethodBeat.o(45364);
            }
        }, new 11(this));
        AppMethodBeat.o(45407);
        return true;
    }

    public void onNewIntent(Intent intent) {
        AppMethodBeat.i(45408);
        cMT();
        au(intent);
        AppMethodBeat.o(45408);
    }

    private void au(Intent intent) {
        AppMethodBeat.i(45409);
        this.tgV = av(intent);
        if (this.tgV) {
            ab.i("MicroMsg.WalletBalanceFetchUI", "onNewIntent() bind card success");
            PayInfo payInfo = (PayInfo) this.mBundle.get("key_pay_info");
            if (payInfo == null) {
                payInfo = new PayInfo();
                payInfo.czZ = this.czZ;
                payInfo.cIf = 21;
            }
            a(new v(payInfo.czZ), true, false);
        }
        AppMethodBeat.o(45409);
    }

    private void cMU() {
        AppMethodBeat.i(45410);
        g cPl = g.cPl();
        if (cPl.aFF()) {
            h.b(this, cPl.pbp, getString(2131297061), true);
            AppMethodBeat.o(45410);
            return;
        }
        Bundle bundle = new Bundle();
        Parcelable parcelable = (PayInfo) this.mBundle.get("key_pay_info");
        if (parcelable == null) {
            parcelable = new PayInfo();
            parcelable.czZ = this.czZ;
            parcelable.cIf = 21;
        }
        if (parcelable != null) {
            bundle.putParcelable("key_pay_info", parcelable);
        }
        bundle.putInt("key_scene", 21);
        bundle.putInt("key_bind_scene", 0);
        bundle.putBoolean("key_need_bind_response", true);
        bundle.putInt("key_bind_scene", 0);
        bundle.putBoolean("key_is_bind_bankcard", true);
        bundle.putInt("from_bind_ui", com.tencent.mm.plugin.wallet.balance.a.teU);
        com.tencent.mm.wallet_core.a.a(this, com.tencent.mm.plugin.wallet.balance.a.class, bundle, null);
        AppMethodBeat.o(45410);
    }

    private static boolean av(Intent intent) {
        AppMethodBeat.i(45411);
        if (intent == null || !intent.getBooleanExtra("intent_bind_end", false)) {
            AppMethodBeat.o(45411);
            return false;
        }
        AppMethodBeat.o(45411);
        return true;
    }

    private void cMV() {
        AppMethodBeat.i(45412);
        if (this.tgO != 0) {
            ab.i("MicroMsg.WalletBalanceFetchUI", "showRemainFeeTip is_show_charge =" + this.tgO);
            AppMethodBeat.o(45412);
            return;
        }
        com.tencent.mm.kernel.g.RQ();
        boolean booleanValue = ((Boolean) com.tencent.mm.kernel.g.RP().Ry().get(ac.a.xNv, Boolean.FALSE)).booleanValue();
        s.cNC();
        if (!(s.cND().tCX == null || booleanValue)) {
            h.a(this, getString(2131305184, new Object[]{e.G(r1.pPt)}), getString(2131305185), getString(2131304829), getString(2131305186), new 14(this), new 15(this), 2131690683);
            com.tencent.mm.kernel.g.RQ();
            com.tencent.mm.kernel.g.RP().Ry().set(ac.a.xNv, Boolean.TRUE);
        }
        AppMethodBeat.o(45412);
    }

    public final void hY(boolean z) {
        AppMethodBeat.i(45401);
        this.tgE.fx(null);
        AppMethodBeat.o(45401);
    }

    static /* synthetic */ void g(WalletBalanceFetchUI walletBalanceFetchUI) {
        String str;
        AppMethodBeat.i(45417);
        walletBalanceFetchUI.pQV = bo.getDouble(walletBalanceFetchUI.tgE.getText(), 0.0d);
        String str2 = "";
        if (walletBalanceFetchUI.tgC != null) {
            str2 = walletBalanceFetchUI.tgC.field_bankcardType;
        } else {
            g cPl = g.cPl();
            if (cPl.aFF()) {
                h.b(walletBalanceFetchUI, cPl.pbp, walletBalanceFetchUI.getString(2131297061), true);
                AppMethodBeat.o(45417);
                return;
            }
        }
        if (walletBalanceFetchUI.tgC != null && !bo.isNullOrNil(walletBalanceFetchUI.tgC.field_forbidWord)) {
            t.makeText(walletBalanceFetchUI.mController.ylL, walletBalanceFetchUI.tgC.field_forbidWord, 0).show();
        } else if (walletBalanceFetchUI.pQV <= 0.0d || !walletBalanceFetchUI.tgE.asa()) {
            t.makeText(walletBalanceFetchUI.mController.ylL, 2131304579, 0).show();
        } else {
            double d = walletBalanceFetchUI.pQV;
            s.cNC();
            if (d > s.cND().thy.twS) {
                t.makeText(walletBalanceFetchUI.mController.ylL, 2131304540, 0).show();
            } else {
                d = walletBalanceFetchUI.pQV;
                s.cNC();
                if (d > s.cND().thy.twU) {
                    t.makeText(walletBalanceFetchUI.mController.ylL, 2131304541, 0).show();
                } else {
                    walletBalanceFetchUI.a(new d(walletBalanceFetchUI.pQV, "CNY", str2, walletBalanceFetchUI.tgT), true, true);
                }
            }
        }
        com.tencent.mm.plugin.report.service.h hVar = com.tencent.mm.plugin.report.service.h.pYm;
        Object[] objArr = new Object[4];
        objArr[0] = walletBalanceFetchUI.rMr;
        objArr[1] = Integer.valueOf(7);
        if (walletBalanceFetchUI.tgC != null) {
            str = walletBalanceFetchUI.tgC.field_bankcardType;
        } else {
            str = "";
        }
        objArr[2] = str;
        if (walletBalanceFetchUI.tgC != null) {
            str = walletBalanceFetchUI.tgC.field_bindSerial;
        } else {
            str = "";
        }
        objArr[3] = str;
        hVar.e(16398, objArr);
        AppMethodBeat.o(45417);
    }

    /* JADX WARNING: Removed duplicated region for block: B:32:0x00b9  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x004d  */
    static /* synthetic */ void h(com.tencent.mm.plugin.wallet.balance.ui.WalletBalanceFetchUI r9) {
        /*
        r2 = 0;
        r8 = 45418; // 0xb16a float:6.3644E-41 double:2.24395E-319;
        r7 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r0 = r9.tgC;
        if (r0 == 0) goto L_0x003e;
    L_0x000d:
        r0 = r9.tgO;
        if (r0 == 0) goto L_0x003e;
    L_0x0011:
        r0 = r9.tgO;
        if (r0 != r7) goto L_0x001d;
    L_0x0015:
        r0 = r9.tgC;
        r0 = r0.field_fetch_charge_rate;
        r0 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1));
        if (r0 <= 0) goto L_0x003e;
    L_0x001d:
        r0 = r9.tgO;
        if (r0 != r7) goto L_0x002d;
    L_0x0021:
        r0 = r9.tgC;
        r0 = r0.field_fetch_charge_rate;
        r0 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1));
        if (r0 <= 0) goto L_0x002d;
    L_0x0029:
        r0 = r9.tgP;
        if (r0 == 0) goto L_0x003e;
    L_0x002d:
        r0 = r9.tgR;
        com.tencent.mm.plugin.wallet.a.s.cNC();
        r2 = com.tencent.mm.plugin.wallet.a.s.cND();
        r2 = r2.thy;
        r2 = r2.twU;
        r0 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1));
        if (r0 < 0) goto L_0x007a;
    L_0x003e:
        com.tencent.mm.plugin.wallet.a.s.cNC();
        r0 = com.tencent.mm.plugin.wallet.a.s.cND();
        r0 = r0.thy;
        r0 = r0.twU;
    L_0x0049:
        r2 = r9.tgQ;
        if (r2 != r7) goto L_0x00b9;
    L_0x004d:
        r0 = "MicroMsg.WalletBalanceFetchUI";
        r1 = "do fetch direct to pay!";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r9.tgT = r7;
        r0 = r9.tgC;
        if (r0 == 0) goto L_0x009b;
    L_0x005c:
        r0 = r9.tgC;
        r0 = r0.field_forbidWord;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x009b;
    L_0x0066:
        r0 = r9.mController;
        r0 = r0.ylL;
        r1 = r9.tgC;
        r1 = r1.field_forbidWord;
        r2 = 0;
        r0 = com.tencent.mm.ui.base.t.makeText(r0, r1, r2);
        r0.show();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
    L_0x0079:
        return;
    L_0x007a:
        r0 = r9.tgC;
        if (r0 == 0) goto L_0x008f;
    L_0x007e:
        com.tencent.mm.plugin.wallet.a.s.cNC();
        r0 = com.tencent.mm.plugin.wallet.a.s.cND();
        r0 = r0.thy;
        r0 = r0.twU;
        r2 = r9.tgC;
        r2 = r2.field_full_fetch_charge_fee;
        r0 = r0 - r2;
        goto L_0x0049;
    L_0x008f:
        com.tencent.mm.plugin.wallet.a.s.cNC();
        r0 = com.tencent.mm.plugin.wallet.a.s.cND();
        r0 = r0.thy;
        r0 = r0.twU;
        goto L_0x0049;
    L_0x009b:
        r5 = "";
        r0 = r9.tgC;
        if (r0 == 0) goto L_0x00a6;
    L_0x00a2:
        r0 = r9.tgC;
        r5 = r0.field_bankcardType;
    L_0x00a6:
        r1 = new com.tencent.mm.plugin.wallet.balance.a.d;
        r2 = r9.pQV;
        r4 = "CNY";
        r6 = r9.tgT;
        r1.<init>(r2, r4, r5, r6);
        r9.a(r1, r7, r7);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x0079;
    L_0x00b9:
        r2 = r9.tgE;
        r3 = r9.tgU;
        r0 = r3.format(r0);
        r2.setText(r0);
        r9.cMQ();
        r9.cMR();
        r9.tgT = r7;
        r0 = "MicroMsg.WalletBalanceFetchUI";
        r1 = "is_full_fetch_direct is 0!";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x0079;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.wallet.balance.ui.WalletBalanceFetchUI.h(com.tencent.mm.plugin.wallet.balance.ui.WalletBalanceFetchUI):void");
    }

    static /* synthetic */ void k(WalletBalanceFetchUI walletBalanceFetchUI) {
        AppMethodBeat.i(45421);
        if (walletBalanceFetchUI.jcl != null) {
            int[] iArr = new int[2];
            walletBalanceFetchUI.gHn.getLocationInWindow(iArr);
            int ge = (com.tencent.mm.bz.a.ge(walletBalanceFetchUI) - r0) - com.tencent.mm.bz.a.fromDPToPix(walletBalanceFetchUI, 30);
            ab.d("MicroMsg.WalletBalanceFetchUI", "scrollToFormEditPosAfterShowTenPay, editText locationY: %s, height: %s, diff: %s, hardcodeKeyboardHeight: %s", new Object[]{Integer.valueOf(iArr[1] + walletBalanceFetchUI.gHn.getHeight()), Integer.valueOf(com.tencent.mm.bz.a.ge(walletBalanceFetchUI)), Integer.valueOf(ge), Integer.valueOf(walletBalanceFetchUI.gnS)});
            if (ge > 0 && ge < walletBalanceFetchUI.gnS) {
                ab.d("MicroMsg.WalletBalanceFetchUI", "scrollToFormEditPosAfterShowTenPay, scrollDistance: %s", new Object[]{Integer.valueOf(walletBalanceFetchUI.gnS - ge)});
                walletBalanceFetchUI.jcl.post(new 2(walletBalanceFetchUI, r0));
            }
        }
        AppMethodBeat.o(45421);
    }
}
