package com.tencent.mm.ui.chatting;

import android.content.Context;
import android.content.Intent;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.af.j.b;
import com.tencent.mm.at.e;
import com.tencent.mm.at.f;
import com.tencent.mm.at.o;
import com.tencent.mm.g.a.nt;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.bf;
import com.tencent.mm.model.bh;
import com.tencent.mm.model.v;
import com.tencent.mm.modelvideo.s;
import com.tencent.mm.modelvideo.u;
import com.tencent.mm.plugin.sns.b.i;
import com.tencent.mm.pluginsdk.model.app.l;
import com.tencent.mm.sdk.b.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.az;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.bi;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.t;
import com.tencent.mm.ui.chatting.c.j;
import com.tencent.mm.ui.chatting.viewitems.c;
import com.tencent.mm.ui.transmit.MsgRetransmitUI;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.LinkedList;
import java.util.List;

public final class k {
    private static a yIH = new a((byte) 0);

    static /* synthetic */ void c(Context context, List list, boolean z, String str, ah ahVar) {
        AppMethodBeat.i(30587);
        b(context, list, z, str, ahVar);
        AppMethodBeat.o(30587);
    }

    static {
        AppMethodBeat.i(30589);
        AppMethodBeat.o(30589);
    }

    public static void a(Context context, List<bi> list, boolean z, String str, ah ahVar) {
        AppMethodBeat.i(30580);
        dCa();
        if (context == null) {
            ab.w("MicroMsg.ChattingEditModeRetransmitMsg", "do retransmit fail, context is null");
            AppMethodBeat.o(30580);
        } else if (list == null || list.isEmpty()) {
            ab.w("MicroMsg.ChattingEditModeRetransmitMsg", "do retransmit fail, select item empty");
            AppMethodBeat.o(30580);
        } else {
            for (bi aO : list) {
                if (!ac.aO(aO)) {
                    t.makeText(context, 2131301876, 0).show();
                    AppMethodBeat.o(30580);
                    return;
                }
            }
            if (j.a(false, list, ahVar)) {
                Object obj;
                if (list != null && !list.isEmpty()) {
                    for (bi aO2 : list) {
                        String str2 = null;
                        if (!aO2.dtH()) {
                            if (aO2.drE()) {
                                e eVar = null;
                                if (aO2.field_msgId > 0) {
                                    eVar = o.ahl().fJ(aO2.field_msgId);
                                }
                                if ((eVar == null || eVar.fDy <= 0) && aO2.field_msgSvrId > 0) {
                                    eVar = o.ahl().fI(aO2.field_msgSvrId);
                                }
                                if (eVar != null) {
                                    str2 = o.ahl().q(f.c(eVar), "", "");
                                }
                            } else if (aO2.bwt() || aO2.bws()) {
                                com.tencent.mm.modelvideo.o.all();
                                str2 = com.tencent.mm.modelvideo.t.uh(aO2.field_imgPath);
                            } else if (aO2.bAA()) {
                                b me = b.me(aO2.field_content);
                                if (me != null) {
                                    com.tencent.mm.pluginsdk.model.app.b aiM = l.aiM(me.csD);
                                    if (aiM != null) {
                                        str2 = aiM.field_fileFullPath;
                                    }
                                }
                            } else {
                                str2 = aO2.field_imgPath;
                            }
                            if (aO2.drE() || aO2.bws() || aO2.bwt() || j.aI(aO2)) {
                                if (System.currentTimeMillis() - aO2.field_createTime <= 259200000 || (!bo.isNullOrNil(str2) && com.tencent.mm.vfs.e.ct(str2))) {
                                    obj = null;
                                } else {
                                    obj = 1;
                                }
                                if (obj == null) {
                                }
                            }
                            obj = null;
                            break;
                        }
                    }
                } else {
                    ab.w("MicroMsg.ChattingEditModeLogic", "check contain invalid send to friend msg error, select item empty");
                }
                obj = 1;
                if (obj != null) {
                    ab.i("MicroMsg.ChattingEditModeRetransmitMsg", "slected msg is all expired or clean!!!");
                    if (ahVar != null && (ahVar.dCJ() || list.size() == 1)) {
                        h.a(context, context.getString(2131299405), context.getString(2131297061), new 2());
                        AppMethodBeat.o(30580);
                        return;
                    }
                }
                b(context, list, z, str, ahVar);
                AppMethodBeat.o(30580);
                return;
            }
            h.d(context, context.getString(2131300631), "", context.getString(2131297041), context.getString(2131296868), new 1(list, ahVar, context, z, str), null);
            AppMethodBeat.o(30580);
        }
    }

    private static void e(Context context, List<bi> list) {
        AppMethodBeat.i(30581);
        for (bi biVar : list) {
            if (bh.o(biVar)) {
                switch (biVar.getType() & 65535) {
                    case 1:
                        biVar.setContent(context.getString(2131297059));
                        break;
                    case 3:
                        biVar.setContent(context.getString(2131297012));
                        biVar.setType(1);
                        break;
                    case 43:
                        biVar.setContent(context.getString(2131297076));
                        biVar.setType(1);
                        break;
                    case 49:
                        biVar.setContent(context.getString(2131297069));
                        biVar.setType(1);
                        break;
                }
                bh.p(biVar);
            }
        }
        AppMethodBeat.o(30581);
    }

    private static void b(Context context, List<bi> list, boolean z, String str, ah ahVar) {
        AppMethodBeat.i(30582);
        if (j.eS(list)) {
            h.a(context, context.getString(2131298777), "", context.getString(2131296322), new 3(ahVar));
            AppMethodBeat.o(30582);
            return;
        }
        int i;
        e(context, list);
        yIH.yIP = new LinkedList(list);
        yIH.yFW = z;
        yIH.yIw = ahVar;
        yIH.cKf = str;
        Intent intent = new Intent(context, MsgRetransmitUI.class);
        if (list.size() == 1) {
            int i2;
            bi biVar = (bi) list.get(0);
            if (biVar.bAA() || biVar.drC()) {
                String nW = v.nW(biVar.field_msgSvrId);
                v.b y = v.Zp().y(nW, true);
                y.j("prePublishId", "msg_" + biVar.field_msgSvrId);
                y.j("preUsername", c.a(biVar, z, false));
                y.j("preChatName", biVar.field_talker);
                y.j("preMsgIndex", Integer.valueOf(0));
                y.j("sendAppMsgScene", Integer.valueOf(1));
                y.j("moreRetrAction", Boolean.TRUE);
                if (z) {
                    y.j("fromScene", Integer.valueOf(2));
                } else {
                    y.j("fromScene", Integer.valueOf(1));
                }
                ((i) g.K(i.class)).a("adExtStr", y, biVar);
                intent.putExtra("reportSessionId", nW);
            }
            String str2 = biVar.field_content;
            int i3 = 12;
            s ut;
            if (biVar.bAC()) {
                i3 = 9;
            } else if (biVar.dtx()) {
                i3 = 5;
                intent.putExtra("Retr_File_Name", biVar.field_imgPath);
            } else if (biVar.dtw()) {
                i3 = 8;
            } else if (biVar.isText()) {
                i3 = 4;
                if (z && biVar.field_isSend == 0) {
                    str2 = bf.oz(str2);
                }
            } else if (biVar.drE()) {
                String I;
                e eVar = null;
                if (biVar.field_msgId > 0) {
                    eVar = o.ahl().fJ(biVar.field_msgId);
                }
                if ((eVar == null || eVar.fDy <= 0) && biVar.field_msgSvrId > 0) {
                    eVar = o.ahl().fI(biVar.field_msgSvrId);
                }
                if (eVar.offset < eVar.frO || eVar.frO == 0) {
                    I = o.ahl().I(biVar.field_imgPath, true);
                } else {
                    I = o.ahl().q(f.c(eVar), "", "");
                }
                intent.putExtra("Retr_File_Name", I);
                i3 = 0;
            } else if (biVar.bwt()) {
                ut = u.ut(biVar.field_imgPath);
                if (ut != null) {
                    intent.putExtra("Retr_length", ut.fXd);
                }
                i3 = 11;
                intent.putExtra("Retr_File_Name", biVar.field_imgPath);
            } else if (biVar.bws()) {
                ut = u.ut(biVar.field_imgPath);
                if (ut != null) {
                    intent.putExtra("Retr_length", ut.fXd);
                }
                i3 = 1;
                intent.putExtra("Retr_File_Name", biVar.field_imgPath);
            } else if (biVar.bAA()) {
                b me = b.me(str2);
                if (me != null && 19 == me.type) {
                    i3 = 10;
                } else if (me != null && 24 == me.type) {
                    i3 = 10;
                } else if (me == null || 16 != me.type) {
                    i3 = 2;
                } else {
                    i3 = 14;
                }
                if (biVar.drC()) {
                    intent.putExtra("is_group_chat", z);
                }
            }
            if (biVar.drC()) {
                i2 = 1;
            } else {
                i2 = 2;
            }
            if (ahVar == null || ahVar.dCJ()) {
                intent.putExtra("Retr_Msg_Type", i3);
            } else {
                intent.putExtra("Retr_Msg_Type", 13);
                intent.putExtra("Retr_Multi_Msg_List_from", str);
            }
            intent.putExtra("Retr_Msg_Id", biVar.field_msgId);
            intent.putExtra("Retr_Msg_content", str2);
            intent.putExtra("Edit_Mode_Sigle_Msg", true);
            i = i2;
        } else if ((ahVar == null || !ahVar.dCJ()) && ((!com.tencent.mm.model.t.mZ(str) || com.tencent.mm.aj.f.kq(str)) && !com.tencent.mm.model.t.nJ(str))) {
            intent.putExtra("Retr_Msg_Type", 13);
            intent.putExtra("Retr_Multi_Msg_List_from", str);
            i = 2;
        } else {
            intent.putExtra("Retr_Msg_Type", 12);
            i = 2;
        }
        intent.putExtra("Retr_MsgFromScene", i);
        intent.putExtra("Retr_show_success_tips", true);
        context.startActivity(intent);
        l.eU(yIH.yIP);
        AppMethodBeat.o(30582);
    }

    public static void l(Context context, String str, boolean z) {
        AppMethodBeat.i(30583);
        nt ntVar = new nt();
        ntVar.cJY.type = 5;
        ntVar.cJY.cKe = yIH.yIP;
        ntVar.cJY.toUser = str;
        ntVar.cJY.cKf = yIH.cKf;
        ntVar.cJY.context = context;
        ntVar.cJY.cJy = yIH.cJy;
        ntVar.cJY.cKh = yIH.yIQ;
        a.xxA.m(ntVar);
        if (yIH.yIP != null) {
            com.tencent.mm.plugin.report.service.h.pYm.e(10811, new Object[]{Integer.valueOf(8), Integer.valueOf(yIH.yIP.size()), Integer.valueOf(yIH.yIP.size() - j.eQ(yIH.yIP))});
            for (bi biVar : yIH.yIP) {
                long anT = bo.anT();
                b me = b.me(bo.anj(biVar.field_content));
                if (!(me == null || me.type != 5 || bo.isNullOrNil(me.url))) {
                    int i;
                    if (biVar.drC()) {
                        i = 1;
                    } else {
                        i = 2;
                    }
                    String str2 = "";
                    try {
                        str2 = URLEncoder.encode(me.url, "UTF-8");
                    } catch (UnsupportedEncodingException e) {
                        ab.printErrStackTrace("MicroMsg.ChattingEditModeRetransmitMsg", e, "", new Object[0]);
                    }
                    ab.d("MicroMsg.ChattingEditModeRetransmitMsg", "report(%s), url : %s, clickTimestamp : %d, scene : %d, actionType : %d, flag : %d", new Object[]{Integer.valueOf(13378), me.url, Long.valueOf(anT), Integer.valueOf(i), Integer.valueOf(1), Integer.valueOf(1)});
                    com.tencent.mm.plugin.report.service.h.pYm.e(13378, new Object[]{str2, Long.valueOf(anT), Integer.valueOf(i), Integer.valueOf(1), Integer.valueOf(1)});
                }
            }
        }
        if (z && yIH.yIw != null) {
            yIH.yIw.b(ah.a.yLP);
        }
        AppMethodBeat.o(30583);
    }

    public static void qo(boolean z) {
        AppMethodBeat.i(30584);
        if (z && yIH.yIw != null) {
            yIH.yIw.b(ah.a.yLP);
        }
        AppMethodBeat.o(30584);
    }

    public static nt hS(Context context) {
        AppMethodBeat.i(30585);
        nt ntVar = new nt();
        ntVar.cJY.type = 6;
        ntVar.cJY.cKe = yIH.yIP;
        ntVar.cJY.cKf = yIH.cKf;
        ntVar.cJY.context = context;
        a.xxA.m(ntVar);
        yIH.cJy = ntVar.cJZ.cJy;
        yIH.yIQ = ntVar.cJZ.cKh;
        AppMethodBeat.o(30585);
        return ntVar;
    }

    public static void m(final Context context, final String str, final boolean z) {
        AppMethodBeat.i(30586);
        if (bo.isNullOrNil(str)) {
            ab.w("MicroMsg.ChattingEditModeRetransmitMsg", "do try retransmit fail, username is empty");
            AppMethodBeat.o(30586);
        } else if (yIH.yIP == null || yIH.yIP.isEmpty()) {
            ab.w("MicroMsg.ChattingEditModeRetransmitMsg", "do try retransmit fail, select items empty");
            AppMethodBeat.o(30586);
        } else {
            ab.v("MicroMsg.ChattingEditModeRetransmitMsg", "post to do job, send to %s", new Object[]{str});
            j.yOM.e(new az.a() {
                final /* synthetic */ Runnable cfC = null;

                public final boolean acf() {
                    AppMethodBeat.i(30576);
                    if (k.yIH.yIP == null) {
                        AppMethodBeat.o(30576);
                        return false;
                    }
                    for (bi d : k.yIH.yIP) {
                        k.d(context, str, d, k.yIH.yFW);
                    }
                    AppMethodBeat.o(30576);
                    return true;
                }

                public final boolean acg() {
                    AppMethodBeat.i(30577);
                    if (k.yIH.yIP != null) {
                        com.tencent.mm.plugin.report.service.h.pYm.e(10811, new Object[]{Integer.valueOf(5), Integer.valueOf(k.yIH.yIP.size()), Integer.valueOf(k.yIH.yIP.size() - j.eQ(k.yIH.yIP))});
                    }
                    if (z) {
                        if (this.cfC != null) {
                            ab.v("MicroMsg.ChattingEditModeRetransmitMsg", "call back is not null, do call back");
                            this.cfC.run();
                        }
                        if (k.yIH.yIw != null) {
                            k.yIH.yIw.b(ah.a.yLP);
                        }
                        k.dCa();
                    }
                    AppMethodBeat.o(30577);
                    return true;
                }
            });
            AppMethodBeat.o(30586);
        }
    }

    public static void dCa() {
        yIH.yIP = null;
        yIH.yFW = false;
        yIH.yIw = null;
        yIH.cKf = null;
        yIH.cJy = null;
        yIH.yIQ = null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:116:0x02e1  */
    /* JADX WARNING: Removed duplicated region for block: B:122:0x02fb  */
    static /* synthetic */ void d(android.content.Context r10, java.lang.String r11, com.tencent.mm.storage.bi r12, boolean r13) {
        /*
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = "MicroMsg.ChattingEditModeRetransmitMsg";
        r1 = "retransmitSingleMsg %s";
        r2 = 1;
        r2 = new java.lang.Object[r2];
        r3 = 0;
        r4 = r12.field_msgId;
        r4 = java.lang.Long.valueOf(r4);
        r2[r3] = r4;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r2);
        r0 = com.tencent.mm.ui.chatting.j.ay(r12);
        if (r0 != 0) goto L_0x0026;
    L_0x0020:
        r0 = com.tencent.mm.ui.chatting.j.az(r12);
        if (r0 == 0) goto L_0x002c;
    L_0x0026:
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
    L_0x002b:
        return;
    L_0x002c:
        r0 = com.tencent.mm.aj.f.kq(r11);
        if (r0 == 0) goto L_0x0061;
    L_0x0032:
        r0 = r12.drE();
        if (r0 != 0) goto L_0x0061;
    L_0x0038:
        r0 = r12.isText();
        if (r0 != 0) goto L_0x0061;
    L_0x003e:
        r0 = r12.drD();
        if (r0 != 0) goto L_0x0061;
    L_0x0044:
        r0 = "MicroMsg.ChattingEditModeRetransmitMsg";
        r1 = "not bizChatSupport msg:type:%d";
        r2 = 1;
        r2 = new java.lang.Object[r2];
        r3 = 0;
        r4 = r12.getType();
        r4 = java.lang.Integer.valueOf(r4);
        r2[r3] = r4;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r2);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0061:
        r0 = r12.drE();
        if (r0 == 0) goto L_0x0070;
    L_0x0067:
        com.tencent.mm.ui.chatting.j.b(r10, r11, r12);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0070:
        r0 = r12.bws();
        if (r0 == 0) goto L_0x007f;
    L_0x0076:
        com.tencent.mm.ui.chatting.j.c(r10, r11, r12);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x007f:
        r0 = r12.bwt();
        if (r0 == 0) goto L_0x00a6;
    L_0x0085:
        com.tencent.mm.ui.chatting.j.c(r10, r11, r12);
        r1 = com.tencent.mm.model.t.kH(r11);
        if (r1 == 0) goto L_0x00a1;
    L_0x008e:
        r0 = com.tencent.mm.ui.chatting.a.c.yFI;
    L_0x0090:
        r2 = com.tencent.mm.ui.chatting.a.d.yFL;
        if (r1 == 0) goto L_0x00a4;
    L_0x0094:
        r1 = com.tencent.mm.model.n.mA(r11);
    L_0x0098:
        com.tencent.mm.ui.chatting.a.a(r0, r2, r12, r1);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x00a1:
        r0 = com.tencent.mm.ui.chatting.a.c.yFH;
        goto L_0x0090;
    L_0x00a4:
        r1 = 0;
        goto L_0x0098;
    L_0x00a6:
        r0 = r12.isText();
        if (r0 == 0) goto L_0x00b6;
    L_0x00ac:
        com.tencent.mm.ui.chatting.j.a(r10, r11, r12, r13);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x00b6:
        r0 = r12.dtr();
        if (r0 != 0) goto L_0x00c2;
    L_0x00bc:
        r0 = r12.bAA();
        if (r0 == 0) goto L_0x040e;
    L_0x00c2:
        r1 = com.tencent.mm.model.t.kH(r11);
        if (r1 == 0) goto L_0x0121;
    L_0x00c8:
        r0 = com.tencent.mm.ui.chatting.a.c.yFI;
    L_0x00ca:
        r2 = com.tencent.mm.ui.chatting.a.d.yFL;
        if (r1 == 0) goto L_0x0124;
    L_0x00ce:
        r1 = com.tencent.mm.model.n.mA(r11);
    L_0x00d2:
        com.tencent.mm.ui.chatting.a.a(r0, r2, r12, r1);
        r0 = r12.dty();
        if (r0 == 0) goto L_0x016e;
    L_0x00db:
        r0 = "appEmoji";
        r0 = com.tencent.mm.ui.chatting.j.a(r10, r11, r12, r0);
        if (r0 == 0) goto L_0x0167;
    L_0x00e4:
        r0 = r12.field_content;
        r2 = com.tencent.mm.storage.ap.aps(r0);
        r0 = r12.field_content;
        r1 = r12.field_reserved;
        r0 = com.tencent.mm.af.j.b.X(r0, r1);
        if (r0 != 0) goto L_0x0470;
    L_0x00f4:
        r0 = new com.tencent.mm.af.j$b;
        r0.<init>();
        r1 = r2.cvZ;
        r0.fgq = r1;
        r1 = r0;
    L_0x00fe:
        r0 = r1.fgq;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x0111;
    L_0x0106:
        r0 = r1.fgq;
        r3 = "-1";
        r0 = r0.equalsIgnoreCase(r3);
        if (r0 == 0) goto L_0x0126;
    L_0x0111:
        r0 = "MicroMsg.ChattingEditModeLogic";
        r1 = "emoji md5 is null. ignore resend";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0121:
        r0 = com.tencent.mm.ui.chatting.a.c.yFH;
        goto L_0x00ca;
    L_0x0124:
        r1 = 0;
        goto L_0x00d2;
    L_0x0126:
        r0 = "MicroMsg.ChattingEditModeLogic";
        r3 = "jacks send App Emoji: %s, %s";
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r4[r5] = r11;
        r5 = 1;
        r6 = r1.fgq;
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.d(r0, r3, r4);
        r0 = com.tencent.mm.plugin.emoji.b.d.class;
        r0 = com.tencent.mm.kernel.g.M(r0);
        r0 = (com.tencent.mm.plugin.emoji.b.d) r0;
        r0 = r0.getEmojiMgr();
        r1 = r1.fgq;
        r0 = r0.Jd(r1);
        if (r0 == 0) goto L_0x0158;
    L_0x014e:
        com.tencent.mm.ui.chatting.j.b(r0, r11);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0158:
        r0 = "MicroMsg.ChattingEditModeLogic";
        r1 = "emoji is null. content:%s";
        r3 = 1;
        r3 = new java.lang.Object[r3];
        r4 = 0;
        r3[r4] = r2;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r3);
    L_0x0167:
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x016e:
        r0 = r12.drC();
        if (r0 == 0) goto L_0x0250;
    L_0x0174:
        r0 = com.tencent.mm.plugin.biz.a.a.class;
        r0 = com.tencent.mm.kernel.g.K(r0);	 Catch:{ Exception -> 0x01af }
        r0 = (com.tencent.mm.plugin.biz.a.a) r0;	 Catch:{ Exception -> 0x01af }
        r2 = r12.field_msgId;	 Catch:{ Exception -> 0x01af }
        r1 = r12.field_content;	 Catch:{ Exception -> 0x01af }
        r1 = r0.b(r2, r1);	 Catch:{ Exception -> 0x01af }
        r0 = r1.fjr;	 Catch:{ Exception -> 0x01af }
        if (r0 == 0) goto L_0x0249;
    L_0x0188:
        r2 = r0.iterator();	 Catch:{ Exception -> 0x01af }
    L_0x018c:
        r0 = r2.hasNext();	 Catch:{ Exception -> 0x01af }
        if (r0 == 0) goto L_0x0249;
    L_0x0192:
        r0 = r2.next();	 Catch:{ Exception -> 0x01af }
        r0 = (com.tencent.mm.af.p) r0;	 Catch:{ Exception -> 0x01af }
        r3 = new com.tencent.mm.af.j$b;	 Catch:{ Exception -> 0x01af }
        r3.<init>();	 Catch:{ Exception -> 0x01af }
        r4 = r0.fjC;	 Catch:{ Exception -> 0x01af }
        r4 = com.tencent.mm.af.l.mg(r4);	 Catch:{ Exception -> 0x01af }
        if (r4 == 0) goto L_0x01d6;
    L_0x01a5:
        r3 = com.tencent.mm.ui.chatting.l.a(r11, r0);	 Catch:{ Exception -> 0x01af }
        r0 = r0.fjH;	 Catch:{ Exception -> 0x01af }
        com.tencent.mm.ui.chatting.l.b(r11, r3, r0);	 Catch:{ Exception -> 0x01af }
        goto L_0x018c;
    L_0x01af:
        r0 = move-exception;
        r1 = "MicroMsg.ChattingEditModeLogic";
        r2 = "";
        r3 = 0;
        r3 = new java.lang.Object[r3];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r1, r0, r2, r3);
        r1 = "MicroMsg.ChattingEditModeLogic";
        r2 = "[oneliang]retransmit multi app msg error : %s";
        r3 = 1;
        r3 = new java.lang.Object[r3];
        r4 = 0;
        r0 = r0.getLocalizedMessage();
        r3[r4] = r0;
        com.tencent.mm.sdk.platformtools.ab.e(r1, r2, r3);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x01d6:
        r4 = r0.title;	 Catch:{ Exception -> 0x01af }
        r3.title = r4;	 Catch:{ Exception -> 0x01af }
        r4 = r0.fjz;	 Catch:{ Exception -> 0x01af }
        r3.description = r4;	 Catch:{ Exception -> 0x01af }
        r4 = "view";
        r3.action = r4;	 Catch:{ Exception -> 0x01af }
        r4 = 5;
        r3.type = r4;	 Catch:{ Exception -> 0x01af }
        r4 = r0.url;	 Catch:{ Exception -> 0x01af }
        r3.url = r4;	 Catch:{ Exception -> 0x01af }
        r4 = r1.cMg;	 Catch:{ Exception -> 0x01af }
        r3.cMg = r4;	 Catch:{ Exception -> 0x01af }
        r4 = r1.cMh;	 Catch:{ Exception -> 0x01af }
        r3.cMh = r4;	 Catch:{ Exception -> 0x01af }
        r4 = r1.dJv;	 Catch:{ Exception -> 0x01af }
        r3.dJv = r4;	 Catch:{ Exception -> 0x01af }
        r4 = com.tencent.mm.af.l.a(r0);	 Catch:{ Exception -> 0x01af }
        r3.thumburl = r4;	 Catch:{ Exception -> 0x01af }
        r4 = new com.tencent.mm.af.e;	 Catch:{ Exception -> 0x01af }
        r4.<init>();	 Catch:{ Exception -> 0x01af }
        r5 = r0.type;	 Catch:{ Exception -> 0x01af }
        r4.ffZ = r5;	 Catch:{ Exception -> 0x01af }
        r5 = r0.type;	 Catch:{ Exception -> 0x01af }
        r6 = 5;
        if (r5 != r6) goto L_0x021f;
    L_0x020a:
        r5 = r0.fgd;	 Catch:{ Exception -> 0x01af }
        r4.fgd = r5;	 Catch:{ Exception -> 0x01af }
        r6 = r0.time;	 Catch:{ Exception -> 0x01af }
        r5 = (int) r6;	 Catch:{ Exception -> 0x01af }
        r4.fga = r5;	 Catch:{ Exception -> 0x01af }
        r5 = r0.fjB;	 Catch:{ Exception -> 0x01af }
        r4.duration = r5;	 Catch:{ Exception -> 0x01af }
        r5 = r0.videoWidth;	 Catch:{ Exception -> 0x01af }
        r4.videoWidth = r5;	 Catch:{ Exception -> 0x01af }
        r0 = r0.videoHeight;	 Catch:{ Exception -> 0x01af }
        r4.videoHeight = r0;	 Catch:{ Exception -> 0x01af }
    L_0x021f:
        r3.a(r4);	 Catch:{ Exception -> 0x01af }
        r0 = r3.thumburl;	 Catch:{ Exception -> 0x01af }
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);	 Catch:{ Exception -> 0x01af }
        if (r0 == 0) goto L_0x023c;
    L_0x022a:
        r0 = com.tencent.mm.ah.o.act();	 Catch:{ Exception -> 0x01af }
        r4 = r12.field_talker;	 Catch:{ Exception -> 0x01af }
        r0 = r0.qo(r4);	 Catch:{ Exception -> 0x01af }
        if (r0 == 0) goto L_0x023c;
    L_0x0236:
        r0 = r0.ack();	 Catch:{ Exception -> 0x01af }
        r3.thumburl = r0;	 Catch:{ Exception -> 0x01af }
    L_0x023c:
        r0 = 0;
        r4 = 0;
        r0 = com.tencent.mm.af.j.b.a(r3, r0, r4);	 Catch:{ Exception -> 0x01af }
        r3 = r12.field_isSend;	 Catch:{ Exception -> 0x01af }
        com.tencent.mm.ui.chatting.j.a(r10, r11, r0, r3, r13);	 Catch:{ Exception -> 0x01af }
        goto L_0x018c;
    L_0x0249:
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0250:
        r0 = r12.field_isSend;
        if (r0 != 0) goto L_0x0270;
    L_0x0254:
        r0 = r12.field_content;
        r0 = com.tencent.mm.model.bf.oz(r0);
    L_0x025a:
        r1 = com.tencent.mm.af.j.b.me(r0);
        if (r1 != 0) goto L_0x0273;
    L_0x0260:
        r0 = "MicroMsg.ChattingEditModeRetransmitMsg";
        r1 = "parse app message content fail";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0270:
        r0 = r12.field_content;
        goto L_0x025a;
    L_0x0273:
        r2 = r1.appId;
        r3 = 0;
        r2 = com.tencent.mm.pluginsdk.model.app.g.bT(r2, r3);
        if (r2 == 0) goto L_0x0292;
    L_0x027c:
        r2 = r2.xy();
        if (r2 == 0) goto L_0x0292;
    L_0x0282:
        r0 = "MicroMsg.ChattingEditModeRetransmitMsg";
        r1 = "do not forward game msg";
        com.tencent.mm.sdk.platformtools.ab.w(r0, r1);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0292:
        r2 = r1.type;
        r3 = 19;
        if (r2 != r3) goto L_0x02b6;
    L_0x0298:
        r0 = new com.tencent.mm.g.a.nt;
        r0.<init>();
        r1 = r0.cJY;
        r2 = 4;
        r1.type = r2;
        r1 = r0.cJY;
        r1.cKd = r12;
        r1 = r0.cJY;
        r1.toUser = r11;
        r1 = com.tencent.mm.sdk.b.a.xxA;
        r1.m(r0);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x02b6:
        r2 = r1.type;
        r3 = 6;
        if (r2 != r3) goto L_0x0374;
    L_0x02bb:
        r2 = r1.fgu;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r2 != 0) goto L_0x0374;
    L_0x02c3:
        r2 = r1.fgu;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r2 != 0) goto L_0x02d8;
    L_0x02cb:
        r2 = r1.csD;
        r2 = com.tencent.mm.pluginsdk.model.app.l.aiM(r2);
        if (r2 != 0) goto L_0x02de;
    L_0x02d3:
        r2 = r12.field_msgId;
        com.tencent.mm.pluginsdk.model.app.l.s(r2, r0);
    L_0x02d8:
        r0 = r1.csD;
        r2 = com.tencent.mm.pluginsdk.model.app.l.aiM(r0);
    L_0x02de:
        r0 = 0;
        if (r2 == 0) goto L_0x02f9;
    L_0x02e1:
        r3 = new java.io.File;
        r4 = r2.field_fileFullPath;
        r3.<init>(r4);
        r4 = r3.exists();
        if (r4 == 0) goto L_0x02f9;
    L_0x02ee:
        r4 = r3.length();
        r6 = r2.field_totalLen;
        r3 = (r4 > r6 ? 1 : (r4 == r6 ? 0 : -1));
        if (r3 != 0) goto L_0x02f9;
    L_0x02f8:
        r0 = 1;
    L_0x02f9:
        if (r0 != 0) goto L_0x0374;
    L_0x02fb:
        r7 = new com.tencent.mm.i.g;
        r7.<init>();
        r0 = new com.tencent.mm.ui.chatting.k$5;
        r3 = r10;
        r4 = r11;
        r5 = r12;
        r6 = r13;
        r0.<init>(r1, r2, r3, r4, r5, r6);
        r7.egl = r0;
        r0 = "checkExist";
        r4 = com.tencent.mm.sdk.platformtools.bo.anU();
        r3 = r12.field_talker;
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r8 = r12.field_msgId;
        r6 = r6.append(r8);
        r6 = r6.toString();
        r0 = com.tencent.mm.al.c.a(r0, r4, r3, r6);
        r7.field_mediaId = r0;
        r0 = r1.eyr;
        r7.field_aesKey = r0;
        r0 = 19;
        r7.field_fileType = r0;
        r0 = r1.fgA;
        r7.field_authKey = r0;
        r0 = r1.fgu;
        r7.egm = r0;
        if (r2 == 0) goto L_0x0362;
    L_0x033b:
        r0 = r2.field_fileFullPath;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x0362;
    L_0x0343:
        r0 = r2.field_fileFullPath;
        r7.field_fullpath = r0;
    L_0x0347:
        r0 = com.tencent.mm.al.f.afx();
        r1 = -1;
        r0 = r0.b(r7, r1);
        if (r0 != 0) goto L_0x035b;
    L_0x0352:
        r0 = "MicroMsg.ChattingEditModeRetransmitMsg";
        r1 = "openim attach download failed before rescend";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
    L_0x035b:
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0362:
        com.tencent.mm.model.aw.ZK();
        r0 = com.tencent.mm.model.c.Ye();
        r2 = r1.title;
        r1 = r1.fgp;
        r0 = com.tencent.mm.pluginsdk.model.app.l.X(r0, r2, r1);
        r7.field_fullpath = r0;
        goto L_0x0347;
    L_0x0374:
        r0 = r1.type;
        r2 = 5;
        if (r0 != r2) goto L_0x03f6;
    L_0x0379:
        r0 = r1.url;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 != 0) goto L_0x03f6;
    L_0x0381:
        r0 = "";
        r2 = r1.url;	 Catch:{ UnsupportedEncodingException -> 0x0400 }
        r3 = "UTF-8";
        r0 = java.net.URLEncoder.encode(r2, r3);	 Catch:{ UnsupportedEncodingException -> 0x0400 }
    L_0x038d:
        r2 = com.tencent.mm.sdk.platformtools.bo.anT();
        r4 = "MicroMsg.ChattingEditModeRetransmitMsg";
        r5 = "report(%s), url : %s, clickTimestamp : %d, scene : %d, actionType : %d, flag : %d";
        r6 = 6;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r8 = 13378; // 0x3442 float:1.8747E-41 double:6.6096E-320;
        r8 = java.lang.Integer.valueOf(r8);
        r6[r7] = r8;
        r7 = 1;
        r1 = r1.url;
        r6[r7] = r1;
        r1 = 2;
        r7 = java.lang.Long.valueOf(r2);
        r6[r1] = r7;
        r1 = 3;
        r7 = 2;
        r7 = java.lang.Integer.valueOf(r7);
        r6[r1] = r7;
        r1 = 4;
        r7 = 1;
        r7 = java.lang.Integer.valueOf(r7);
        r6[r1] = r7;
        r1 = 5;
        r7 = 1;
        r7 = java.lang.Integer.valueOf(r7);
        r6[r1] = r7;
        com.tencent.mm.sdk.platformtools.ab.d(r4, r5, r6);
        r1 = com.tencent.mm.plugin.report.service.h.pYm;
        r4 = 13378; // 0x3442 float:1.8747E-41 double:6.6096E-320;
        r5 = 5;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r5[r6] = r0;
        r0 = 1;
        r2 = java.lang.Long.valueOf(r2);
        r5[r0] = r2;
        r0 = 2;
        r2 = 2;
        r2 = java.lang.Integer.valueOf(r2);
        r5[r0] = r2;
        r0 = 3;
        r2 = 1;
        r2 = java.lang.Integer.valueOf(r2);
        r5[r0] = r2;
        r0 = 4;
        r2 = 1;
        r2 = java.lang.Integer.valueOf(r2);
        r5[r0] = r2;
        r1.e(r4, r5);
    L_0x03f6:
        com.tencent.mm.ui.chatting.j.b(r10, r11, r12, r13);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0400:
        r2 = move-exception;
        r3 = "MicroMsg.ChattingEditModeRetransmitMsg";
        r4 = "";
        r5 = 0;
        r5 = new java.lang.Object[r5];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r3, r2, r4, r5);
        goto L_0x038d;
    L_0x040e:
        r0 = r12.dtw();
        if (r0 == 0) goto L_0x0444;
    L_0x0414:
        r0 = "friendcard";
        r0 = com.tencent.mm.ui.chatting.j.a(r10, r11, r12, r0);
        if (r0 == 0) goto L_0x043a;
    L_0x041d:
        r0 = r12.field_content;
        r1 = r12.field_isSend;
        r1 = com.tencent.mm.ui.chatting.j.v(r0, r1, r13);
        r0 = com.tencent.mm.storage.bi.a.apC(r1);
        r2 = com.tencent.mm.plugin.messenger.a.g.bOk();
        r0 = r0.svN;
        r0 = com.tencent.mm.storage.ad.aox(r0);
        if (r0 == 0) goto L_0x0441;
    L_0x0435:
        r0 = 66;
    L_0x0437:
        r2.F(r11, r1, r0);
    L_0x043a:
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0441:
        r0 = 42;
        goto L_0x0437;
    L_0x0444:
        r0 = r12.dtx();
        if (r0 != 0) goto L_0x0450;
    L_0x044a:
        r0 = r12.dty();
        if (r0 == 0) goto L_0x0460;
    L_0x0450:
        r0 = com.tencent.mm.ui.chatting.j.av(r12);
        if (r0 != 0) goto L_0x0469;
    L_0x0456:
        com.tencent.mm.ui.chatting.j.a(r10, r11, r12);
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0460:
        r0 = r12.bAC();
        if (r0 == 0) goto L_0x0469;
    L_0x0466:
        com.tencent.mm.ui.chatting.j.c(r10, r11, r12, r13);
    L_0x0469:
        r0 = 30588; // 0x777c float:4.2863E-41 double:1.51125E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x002b;
    L_0x0470:
        r1 = r0;
        goto L_0x00fe;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.chatting.k.d(android.content.Context, java.lang.String, com.tencent.mm.storage.bi, boolean):void");
    }
}
