package com.tencent.qqmusic.mediaplayer.audioplaylist.charsetdetector;

import com.tencent.matrix.trace.core.AppMethodBeat;

class CharsetRecog_2022$CharsetRecog_2022JP extends CharsetRecog_2022 {
    private byte[][] escapeSequences = new byte[][]{new byte[]{(byte) 27, (byte) 36, (byte) 40, (byte) 67}, new byte[]{(byte) 27, (byte) 36, (byte) 40, (byte) 68}, new byte[]{(byte) 27, (byte) 36, (byte) 64}, new byte[]{(byte) 27, (byte) 36, (byte) 65}, new byte[]{(byte) 27, (byte) 36, (byte) 66}, new byte[]{(byte) 27, (byte) 38, (byte) 64}, new byte[]{(byte) 27, (byte) 40, (byte) 66}, new byte[]{(byte) 27, (byte) 40, (byte) 72}, new byte[]{(byte) 27, (byte) 40, (byte) 73}, new byte[]{(byte) 27, (byte) 40, (byte) 74}, new byte[]{(byte) 27, (byte) 46, (byte) 65}, new byte[]{(byte) 27, (byte) 46, (byte) 70}};

    CharsetRecog_2022$CharsetRecog_2022JP() {
        AppMethodBeat.i(104739);
        AppMethodBeat.o(104739);
    }

    /* Access modifiers changed, original: 0000 */
    public String getName() {
        return "ISO-2022-JP";
    }

    /* Access modifiers changed, original: 0000 */
    public CharsetMatch match(CharsetDetector charsetDetector) {
        AppMethodBeat.i(104740);
        int match = match(charsetDetector.fInputBytes, charsetDetector.fInputLen, this.escapeSequences);
        if (match == 0) {
            AppMethodBeat.o(104740);
            return null;
        }
        CharsetMatch charsetMatch = new CharsetMatch(charsetDetector, this, match);
        AppMethodBeat.o(104740);
        return charsetMatch;
    }
}
